Copyright: Copyright 1993 (c) WordPerfect Corporation.
Citation: If copying a macro example, you will need to edit the example before running the macro.


Contents

Welcome to the WPWin 6.0 Online Macros Manual

To search for information and move through the Online Macros Manual, use the buttons along the top of this window.  To access specific information contained in this manual, choose from the following topics:

Choose	For information about

Macro Command Index	product and programming commands

System Variable Index	system variables

Macro Basics	macro recording and writing

Programming Basics	variables, arrays, loops, dialog boxes, operators

DDE Basics	dynamic data exchange and WordPerfect 6.0 for Windows

Shipping Macros	macros that ship with WordPerfect 6.0 for Windows

Macro Conversion	converting WordPerfect 5.1 DOS macros

Glossary	glossary terms

WPWin 6.0 Help	WPWin 6.0 Help file


Macro Commands Index

This index contains help on each macro command.  Programming commands are in uppercase letters, and product commands are in both uppercase and lowercase letters.  For more information on using programming and product commands, see Programming and Product Commands in the Programming Basics section.

// (Comment command)

A

AbbreviationCreate

AbbreviationDelete

AbbreviationDlg

AbbreviationExpand

AboutDlg

Advance

AdvanceDlg

APPACTIVATE

Append

APPEXECUTE

APPEXECUTEEXT

APPLICATION

APPLOCATE

AppMaximize

AppMinimize

AppMove

AppRestore

AppSize

AppTaskList

ASSERT

ASSIGN

AssociateDlg

AttributeAppearanceOn

AttributeAppearanceOff

AttributeAppearanceToggle

AttributeNormal

AttributePosition

AttributePositionToggle

AttributeRelativeSize

AttributeRelativeSizeToggle

AttributeSizeRatios

B

BackTab

Backup

BackupMinutes

BackupOriginalDoc

BarcodeDlg

BarcodePOSTNET

BaselinePlacement

BEEP

Binding

BindingOptionsDlg

BlockProtect

BoldKey

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename

BorderBottomLine

BorderColor

BorderCornerRadius

BorderDropShadow

BorderFillColors

BorderInsideSpacing

BorderLeftLine

BorderOutsideSpacing

BorderRightLine

BorderSeparatorLine

BorderSetSpacing

BorderStyleCopy

BorderStyleCreate

BorderStyleDelete

BorderStyleEdit

BorderStyleEnd

BorderStyleName

BorderStyleRetrieve

BorderStyleSave

BorderTopLine

BorderUseBorderColor

BoxAttachTo

BoxBorder

BoxBorderDlg

BoxCaptionEdit

BoxCaptionEditEnd

BoxCaptionFormatting

BoxCaptionInitialStyle

BoxCaptionNumberStyle

BoxCaptionPosition

BoxCaptionRotation

BoxChangeLineHeight

BoxChangeStyle

BoxContentEdit

BoxContentPosition

BoxContentPreserveAspectRatio

BoxContentType

BoxCounter

BoxCreate

BoxDelete

BoxEdit

BoxEditByCounter

BoxEditNext

BoxEditPrevious

BoxEnd

BoxEquationColor

BoxEquationDefaultFont

BoxEquationFilename

BoxEquationFont

BoxEquationFontSize

BoxEquationRedisplay

BoxEquationSaveAsGraphic

BoxFill

BoxHeight

BoxHorizontalAlignment

BoxHorizontalPosition

BoxImageBlackWhiteThreshold

BoxImageBrightness

BoxImageContrast

BoxImageFill

BoxImageFlipX

BoxImageFlipY

BoxImageInvertColors

BoxImageMonochrome

BoxImageMove

BoxImageRetrieve

BoxImageRotate

BoxImageSave

BoxImageScaling

BoxImageShowBackground

BoxInitialStyleDlg

BoxOLEEditObject

BoxOverlap

BoxPageOffset

BoxPosDlg

BoxResetBorder

BoxResetCaption

BoxResetContent

BoxResetContentRender

BoxResetCounter

BoxResetFill

BoxResetPosition

BoxResetTextFlow

BoxStyleCopy

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

BoxStyleEnd

BoxStyleName

BoxStyleRetrieve

BoxStyleSave

BoxTextAngle

BoxTextDefaultStyle

BoxTextEdit

BoxTextEditEnd

BoxTextFilename

BoxTextFlow

BoxTextFlowContour

BoxTextFlowSquare

BoxUpdateDisplay

BoxVerticalAlignment

BoxVerticalPosition

BoxWidth

BoxWrapDlg

BREAK

BulletDlg

ButtonBarCreateDlg

ButtonBarEditDlg

ButtonBarOptionsDlg

ButtonBarSelect

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetRows

ButtonBarSetStyle

ButtonBarShow

ButtonBarShowToggle

C

CALL

CANCEL

CASE

CASE CALL

CASEOF

CaseToggle

Center

CenterCurrentPage

CenterPageDlg

CenterPages

CHAIN

ChapterNumber

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberIncrement

ChapterNumberMethod

Char

CHARLEN

CharMappingDlg

CHARPOS

ClearDoc

ClipboardAppendTo

ClipboardRetrieve

ClipboardSaveTo

Close

CloseGraphicsControlBar

CloseNoSave

CodePage

CodePageDlg

ColorAdd

ColorDelete

ColorModify

ColorPaletteCreate

ColorPaletteDelete

ColorPaletteDlg

ColorPaletteRename

ColorPaletteSelect

ColumnBorderDlg

ColumnDefineDlg

ColumnsDefinition

ColumnsOff

CommentConvert

CommentCreate

CommentEdit

CommentInformation

CommentInsertTime

CommentInsertUserInitials

CommentInsertUserName

CommentsDisplaySetup

ConditionalEndOfPage

CONTINUE

ConvertCaseInitialCaps

ConvertCaseLowercase

ConvertCaseUppercase

Copy

CounterCreate

CounterDecrement

CounterDelete

CounterDisplay

CounterDlg

CounterEditLevel

CounterEditLevelMethod

CounterEditLevelName

CounterEditMethod

CounterEditName

CounterIncrement

CounterSetMethod

CounterSetValue

CrossRefMarkReference

CrossRefMarkTarget

CustomBoxDlg

D

DateCode

DateFormat

DateFormatDlg

DateText

DDEChangeUpdateMode

DDECreateLink

DDEDeleteLink

DDEEditLink

DDEEXECUTE

DDEEXECUTEEXT

DDEINITIATE

DDEPasteLink

DDEPOKE

DDEREQUEST

DDETERMINATE

DDETERMINATEALL

DDEUpdateLink

DecimalAlignmentCharacter

DECLARE

DEFAULT

DEFAULTAPP

DEFAULTUNITS

DelayCodes

DelayCodesDlg

DeleteAppend

DeleteCharNext

DeleteCharPrevious

DeleteToBeginningOfWord

DeleteToEndOfLine

DeleteToEndOfPage

DeleteToEndOfWord

DeleteWord

DIALOGADDCHECKBOX

DIALOGADDCOLORWHEEL

DIALOGADDCOMBOBOX

DIALOGADDCOUNTER

DIALOGADDEDITBOX

DIALOGADDFILENAMEBOX

DIALOGADDFRAME

DIALOGADDGROUPBOX

DIALOGADDHLINE

DIALOGADDHOTSPOT

DIALOGADDICON

DIALOGADDLISTBOX

DIALOGADDLISTITEM

DIALOGADDPOPUPBUTTON

DIALOGADDPUSHBUTTON

DIALOGADDRADIOBUTTON

DIALOGADDSCROLLBAR

DIALOGADDTEXT

DIALOGADDVIEWER

DIALOGADDVLINE

DIALOGDEFINE

DIALOGDESTROY

DIALOGDISPLAY

DIALOGUNDISPLAY

DirectoryCreate

DISCARD

Display

DisplayZoom

DLLCALL

DLLFREE

DLLLOAD

DocCompare

DocCompareAddMarkingsDlg

DocCompareRemoveMarkingsDlg

DocCompareRemoveRedline

DocInitialFont

DocInitialFontDlg

DocMaximize

DocMinimize

DocMove

DocNext

DocPrevious

DocRedlineMethodDlg

DocRestore

DocSize

DocSummaryConfig

DocSummaryDelete

DocSummaryDlg

DocSummaryPrint

DocSummarySaveAs

DocSumSet

DotLeader

DoubleSidedPrint

DraftZoom100

DraftZoomMargin

DragTextBegin

DragTextEnd

E

EditComment

EditCopy

EditCut

EditPaste

ELSE

ENDAPP

EndCenterOrAlignment

ENDFOR

ENDIF

ENDIFPLATFORM

EndnoteCreate

EndnoteEdit

EndnoteEditDlg

EndnoteMinimum

EndnoteNewNumber

EndnoteNumberDecrement

EndnoteNumberDisplay

EndnoteNumberIncrement

EndnoteNumberMethod

EndnoteOptions

EndnoteOptionsDlg

EndnotePlacement

EndnotePlacementDlg

EndnoteSetNumberDlg

EndnotesSpaceBetween

ENDPROMPT

ENDSWITCH

ENDWHILE

EnterKey

EnvelopeDlg

EquationBaseFontDlg

EquationCreate

EquationPalette

EquationPaletteToggle

EquationRetrieveDlg

EquationZoomDlg

ERROR

EXISTS

ExpandDlg

F

FigurePaletteDlg

FigurePaletteDlgEnd

FigureReset

FigureRetrieveDlg

FileChangeAttributes

FileChangeDir

FileCopy

FileDelete

FileInsert

FileInsertDlg

FileMove

FileNew

FileOpen

FileOpenDlg

FileRemoveDirectory

FileSave

FileSaveAsDlg

FillColors

FillSetGradient

FillSetWPG2

FillStyleCopy

FillStyleCreate

FillStyleDelete

FillStyleEdit

FillStyleEnd

FillStyleName

FillStyleRetrieve

FillStyleSave

FindDlg

FindFiles

FirstLineIndent

FloatingCellBegin

FloatingCellCreate

FloatingCellEdit

FloatingCellEnd

FloatingCellFormula

FloatingCellNumAlignCurrency

FloatingCellNumberDateFormat

FloatingCellNumberDecDigits

FloatingCellNumberFormat

FloatingCellNumberNegNumber

FloatingCellNumberRound

FloatingCellNumberUseCurrency

FloatingCellNumberUseCommas

FloatingCellNumSelectCurrency

FlushRight

Font

FontBold

FontDlg

FontDoubleUnderlineToggle

FontExtraLarge

FontExtraLargeToggle

FontFine

FontFineToggle

FontHiddenToggle

FontItalic

FontItalicToggle

FontLarge

FontLargeToggle

FontOutline

FontOutlineToggle

FontRedline

FontRedlineToggle

FontShadow

FontShadowToggle

FontSize

FontSmall

FontSmallCaps

FontSmallCapsToggle

FontSmallToggle

FontStrikeout

FontStrikeoutToggle

FontSubscript

FontSubscriptToggle

FontSuperscript

FontSuperscriptToggle

FontUnderline

FontUnderlineToggle

FontVeryLarge

FontVeryLargeToggle

FooterA

FooterB

FooterSeparationDistance

FootnoteContinuedMessage

FootnoteCreate

FootnoteEdit

FootnoteEditDlg

FootnoteMinimum

FootnoteNewNumber

FootnoteNewNumberDlg

FootnoteNumberDecrement

FootnoteNumberDisplay

FootnoteNumberIncrement

FootnoteOptions

FootnoteOptionsDlg

FootnoteSeparatorLine

FootnoteSpaceBetween

FOR

ForcePage

ForcePageDlg

FOREACH

FormatMarginsDlg

FORNEXT

FRACTION

G

GenerateDlg

GenerateDoc

GetAcceleratorText

GetData

GETNUMBER

GETSTRING

GETUNITS

GLOBAL

GO

GraphicBoxStyleDlg

GraphicCreateBox

GraphicCreateChart

GraphicCreateTextArt

GraphicCustomMenuDlg

GraphicEditBox

GraphicsBoxCaptionDlg

GraphicsBoxContentDlg

GraphicsBoxFindDlg

GraphicsBoxSizeDlg

GraphicsFigureEditAllDlg

GraphicsLineColor

GraphicsLineCreate

GraphicsLineDelete

GraphicsLineEdit

GraphicsLineEditNext

GraphicsLineEditPrevious

GraphicsLineEnd

GraphicsLineHorizontalPosition

GraphicsLineLength

GraphicsLineSpacing

GraphicsLineStyle

GraphicsLineThickness

GraphicsLineType

GraphicsLineUpdateDisplay

GraphicsLineUseColor

GraphicsLineVerticalPosition

GraphicsStylesDlg

H

HardColumnBreak

HardPageBreak

HardPageBreakInsert

HardReturn

HardReturnInsert

HardSpace

HeaderA

HeaderB

HeaderFooterDistanceDlg

HeaderFooterDlg

HeaderFooterPlacementDlg

HeaderFooterPlacement

HeaderSeparationDistance

HelpCoachDlg

HelpContents

HelpContextSensitive

HelpHowDoI

HelpHowToUseHelp

HelpKeystrokes

HelpMacroManual

HelpSearchForHelpOn

HelpTutorial

HelpWhatIs

HiddenText

HiddenTextShowAll

HideBars

HLineCreate

Hypertext

HypertextControlBar

HypertextCreate

HypertextCreateDlg

HypertextDelete

HypertextEdit

HypertextEditDlg

HypertextExecute

HypertextNext

HypertextPrevious

HypertextReturnFrom

Hyphen

Hyphenation

HyphenationIgnore

HyphenationSoftReturn

HyphenationZoneLeft

HyphenationZoneRight

I

IF

IFPLATFORM

ImportCreateDlg

ImportDlg

ImportDoEdit

ImportDoImport

ImportDoLink

ImportDoUpdate

ImportEditDlg

ImportOptionsDlg

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip

ImportSetDestination

ImportSetDictPath

ImportSetFields

ImportSetFileName

ImportSetFilePath

ImportSetIncludeNames

ImportSetPanel

ImportSetPassword

ImportSetQuery

ImportSetRange

ImportSetServer

ImportSetSource

ImportSetSQLQuery

ImportSetUserID

ImportUpdateDlg

Indent

IndentLeftRight

IndexDefineDlg

IndexDefinition

IndexMark

InhibitInput

InitialCodesStyleDlg

InsertDefaultBullet

InsertFilename

InsertFilename

InsertFilenameWithPath

InsertOtherCodesDlg

INTEGER

InvokeDialog

J

Justification

JustifyAll

JustifyCenter

JustifyFull

JustifyLeft

JustifyRight

K

KeepTextTogetherDlg

Kerning

KerningSpacing

KeyboardSelect

KeyboardSelectDlg

L

LABEL

LabelsDefine

LabelsDelete

LabelsDlg

LabelsFileCreate

LabelsFileDescription

LabelsFileSelect

LabelsOff

LabelsSelect

Language

LanguageDlg

LastOpenedAdd

Leading

LineCreateDlg

LineEditDlg

LineHeight

LineHeightDlg

LineHyphenationDlg

LineNumbering

LineNumberingDlg

LineNumberingMethod

LineNumberSet

LineSegmentColor

LineSegmentCreate

LineSegmentDelete

LineSegmentEdit

LineSegmentEnd

LineSegmentSetUser

LineSegmentSetUserData

LineSegmentSetUserEnd

LineSegmentSetWPG2

LineSegmentSpacing

LineSegmentWidth

LineSpacing

LineSpacingDlg

LineStyleCopy

LineStyleCreate

LineStyleDelete

LineStyleEdit

LineStyleEnd

LineStyleName

LineStyleRetrieve

LineStyleSave

LinkUpdate

ListDefineDlg

ListDefinition

ListDefinitionCreate

ListDefinitionDelete

ListDefinitionEditBox

ListDefinitionMode

ListDefinitionRename

ListDefinitionRetrieve

ListDefinitionStyle

ListEditPageFormat

ListMark

LOCAL

M

MacroDialogResult

MacroEditControlBar

MacroMenuAdd

MacroMenuDelete

MacroPause

MacroStatusPrompt

MailDlg

MarginAdjustLeft

MarginAdjustRight

MarginBottom

MarginLeft

MarginReleaseInsert

MarginRight

MarginTop

MarkCrossRef

MarkCrossRefUpdateList

MarkIndex

MarkIndexUpdateList

MarkList

MarkListUpdateList

MarkTableOfAuthorities

MarkTableOfContents

MarkToAUpdateList

MasterDocCondense

MasterDocCondenseDlg

MasterDocExpand

MasterDocSubdocDlg

MatchExtendSelection

MatchLimit

MatchPositionAfter

MatchPositionBefore

MatchSelection

MatchWithAttributes

MatchWithFont

MatchWithFontSize

MENU

MenuAddItem

MenuDeleteItem

MenuSelect

MenuSelectDlg

MergeBlankField

MergeCode

MergeCodesDisplayEdit

MergeCodesDisplayRun

MergeCodesDlg

MergeCondition

MergeDataFile

MergeDlg

MergeEnvelope

MergeEnvelopeDefinitionBegin

MergeEnvelopeDefinitionEnd

MergeFileAssociate

MergeFilesDlg

MergeFileType

MergeFormDlg

MergeMark

MergePageBreak

MergePrintText

MergeRepeat

MergeRun

MergeSelect

MergeTableDataDlg

MergeTextDataDlg

MinusSign

MoveModeEnd

N

NEWDEFAULT

NewHFWOccurrence

NEXT

NOTFOUND

NumberingOptionDlg

NUMSTR

O

OLEAcceptLinks

OLECancelLink

OLECancelLinks

OLEChangeLink

OLEInitializeLinks

OLEInsertDlg

OLEInsertObject

OLELinksDlg

OLEPasteDlg

OLESetLinkUpdate

OLEUpdateLink

ONCANCEL

ONDDEADVISE

ONERROR

ONNOTFOUND

OutlineBarSetup

OutlineBeginNew

OutlineBodyText

OutlineBodyTextToggle

OutlineChangeToBodyText

OutlineDefineDlg

OutlineDown

OutlineEnd

OutlineFamilyCopy

OutlineFamilyCut

OutlineFamilyDemote

OutlineFamilyDown

OutlineFamilyDragDown

OutlineFamilyDragUp

OutlineFamilyHide

OutlineFamilyLeft

OutlineFamilyMove

OutlineFamilyPromote

OutlineFamilyRight

OutlineFamilySelect

OutlineFamilyShow

OutlineFamilyUp

OutlineHideShowingBodyText

OutlineNumberDlg

OutlineOff

OutlineParagraphCopy

OutlineParagraphDelete

OutlineParagraphDemote

OutlineParagraphDragUp

OutlineParagraphDragDown

OutlineParagraphMove

OutlineParagraphNumber

OutlineParagraphPromote

OutlineParagraphSelect

OutlineRight

OutlineSetParagraphNumber

OutlineShow

OutlineStyleCopy

OutlineStyleCreate

OutlineStyleDelete

OutlineStyleDescription

OutlineStyleEditBegin

OutlineStyleEditEnd

OutlineStyleLevel

OutlineStyleNumberFormat

OutlineStyleNumbersOnly

OutlineStyleRename

OutlineStyleRetrieve

OutlineStyleSave

OutlineStyleSelect

OutlineUp

OutputOption

OutputOptionsSetOffsetJogger

OverstrikeCreate

OverstrikeCreateDlg

OverstrikeEdit

P

PageBorderDlg

PageNumber

PageNumberDecrement

PageNumberDisplay

PageNumberDisplayFormat

PageNumberFormat

PageNumberIncrement

PageNumberingDlg

PageNumberMethod

PageNumberPosition

PageNumberSettingsDlg

PageSuppressDlg

PageZoomFull

PaneNext

PanePrevious

PaperSizeAdd

PaperSizeDelete

PaperSizeDlg

PaperSizeResave

PaperSizeSelect

ParagraphBorderDlg

ParagraphFormatDlg

ParagraphHangingIndent

ParagraphNumberDefDlg

ParagraphSpacing

PasteLink

PasteSpecial

PAUSE

PauseCommand

PauseKey

PauseSet

PERSIST

PERSISTALL

PosCharacter

PosCharNext

PosCharPrevious

PosColBottom

PosColFirst

PosColLast

PosColNext

PosColPrevious

PosColTop

PosDocBottom

PosDocTop

PosDocVeryTop

PosFunction

PosGoPrevious

PosGoToDlg

PosLineBeg

PosLineDown

PosLineEnd

PosLineUp

PosLineVeryBeg

PosLineVeryEnd

PosPage

PosPageBottom

PosPageNext

PosPagePrevious

PosPageTop

PosParagraphNext

PosParagraphPrevious

PosScreenDown

PosScreenLeft

PosScreenRight

PosScreenUp

PosSelectBottom

PosSelectTop

PosTableBegin

PosTableBlockBeg

PosTableCell

PosTableCellBottom

PosTableCellDown

PosTableCellNext

PosTableCellPrevious

PosTableCellTop

PosTableCellUp

PosTableColBottom

PosTableColumnTop

PosTableEnd

PosTableGoPrevious

PosTableRowBegin

PosTableRowEnd

PosTableTopCellNext

PosTableTopCellPrevious

PosWordNext

PosWordPrevious

PowerBarShow

PrefBackupDlg

PrefBackupPath

PrefBeep

PrefButtonBar

PrefDisplayDlg

PrefDisplaySet

PrefDocSummary

PrefDocSummaryDlg

PrefEnvironment

PrefEnvSettingsDlg

PrefHyphenation

PrefImportDlg

PrefImportOptions

PrefLiteCodes

PrefLocationDlg

PrefLocationOfDocuments

PrefLocationOfGraphicsFiles

PrefLocationOfHyphenationFiles

PrefLocationOfMacroFiles

PrefLocationOfPrinterFiles

PrefLocationOfSpreadsheetFiles

PrefLocationOfTemplates

PrefMenu

PrefMergeCodes

PrefMetafileOptions

PrefPowerBar

PrefPowerBarEdit

PrefPowerBarFontFaceList

PrefPowerBarFontSizeList

PrefPrintCopies

PrefPrintDoc

PrefPrintRedline

PrefPrintSettingsDlg

PrefPrintSizeRatio

PrefRevealCodes

PrefRevealCodesDlg

PrefRuler

PrefSave

PrefStatusBar

PrefStatusBarEdit

PrefStatusBarOptions

PrefStatusBarOptionsDlg

PrefToA

PrefUnitsOfMeasure

PrefZoom

PrintCopies

PrintCopiesBy

PrintDlg

PrintDocOnDisk

PrinterCommand

PrinterCommandDlg

PrinterControlDlg

PrinterInitialize

PrinterPause

PrinterSelect

PrinterSelectDlg

PrintFullDoc

PrintGraphicsQuality

PrintInkColor

PrintMultiplePages

PrintPage

PrintSelection

PrintTextQuality

PROMPT

Q

QuickFinderDlg

QuickFormat

QuickFormatDlg

QuickFormatToggle

QuickmarkFind

QuickmarkSet

QUIT

R

Redisplay

RedlineCharacter

RedlineMethod

REPEAT

RepeatDlg

RepeatSet

RepeatValue

ReplaceAll

ReplaceBackward

ReplaceCurrent

ReplaceDlg

ReplaceForward

ReplaceString

ReplaceWithAttributes

ReplaceWithCase

ReplaceWithFont

ReplaceWithFontSize

ReselectLastSelection

ResetKeyboardMenu

RETURN

RevealCodes

RulerBarShow

RUN

S

SaveAll

ScrollScreenLeft

ScrollScreenRight

SearchCaseSensitive

SearchCaseSensitive

SearchFindWholeWordsOnly

SearchInSelection

SearchNext

SearchPrevious

SearchString

SearchWrap

SecondaryPageNumber

SecondaryPageNumberDecrement

SecondaryPageNumberDisplay

SecondaryPageNumberIncrement

SecondaryPageNumberMethod

SelectAll

SelectCell

SelectCellDown

SelectCellDownArrow

SelectCellLeft

SelectCellRight

SelectCellUp

SelectCellUpArrow

SelectCharNext

SelectCharPrevious

SelectColumnBottom

SelectColumnNext

SelectColumnPrevious

SelectColumnTop

SelectDelete

SelectDocBottom

SelectDocTop

SelectDocVeryTop

SelectLineBegin

SelectLineDown

SelectLineEnd

SelectLineUp

SelectLineVeryBegin

SelectLineVeryEnd

SelectMode

SelectOff

SelectOn

SelectPage

SelectPageNext

SelectPagePrevious

SelectParagraph

SelectParagraphNext

SelectParagraphPrevious

SelectRectangle

SelectSave

SelectScreenDown

SelectScreenLeft

SelectScreenRight

SelectScreenUp

SelectSentence

SelectSentenceNext

SelectSentencePrevious

SelectTable

SelectTableColumn

SelectTableColumnExtendLeft

SelectTableColumnExtendRight

SelectTableRow

SelectTabularColumn

SelectToggle

SelectWord

SelectWordNext

SelectWordPrevious

SENDKEYS

SetDefaultFileFormat

SetDocumentMapping

SettingsDlg

SetupWritingToolsDlg

ShiftTabKey

ShowBoxes

ShowGraphics

ShowHiddenText

ShowSymbols

SoftHyphen

SoftSpace

Sort

SortAction

SortCaseOrder

SortDlg

SortKeys

SortSelectString

SortType

SoundClipCreate

SoundClipDelete

SoundClipDlg

SoundClipPlayNext

SoundClipSetAttributes

SoundClipSetDescription

SoundClipSetFilename

SpecificDeleteStringBegin

SpecificReplaceStringBegin

SpecificSearchStringBegin

SpecificStringEnd

SPEED

SpreadsheetShowLinkCode

SpreadsheetUpdateOnRetrieve

StatusBarShow

STRLEN

STRNUM

STRPOS

STRUNIT

StyleCodes

StyleCopy

StyleCreate

StyleDelete

StyleDescription

StyleEditBegin

StyleEditEnd

StyleEnterKeySetting

StyleLinkTo

StyleOff

StyleOn

StyleRename

StyleRetrieve

StyleSave

StylesListDlg

StyleSystemOn

StyleType

SUBCHAR

SubdividePage

SubdividePageDlg

SubdividePageOff

SubdocInclude

SUBSTR

SubstructureExit

Suppress

SWITCH

SwitchDoc

T

Tab

TabAdd

TabCenter

TabDecimal

TabDelete

TabInsert

TabKey

TableAdjustBegin

TableAdjustColumnWidth

TableAdjustEnd

TableAdjustPosition

TableAppendRow

TableAttributeOff

TableAttributeOn

TableAutoCalc

TableAutoFill

TableAutoFormulaEntry

TableBlockOff

TableBlockOn

TableBorder

TableBorderEditBegin

TableBorderEditEnd

TableCalculate

TableCalculateAll

TableCalculateDlg

TableCellAttributeOff

TableCellAttributeOn

TableCellCopy

TableCellFillColors

TableCellFillStyle

TableCellIgnoreCalculation

TableCellJustification

TableCellLine

TableCellLineColor

TableCellLock

TableCellNumberAlignCurrency

TableCellNumberDateFormat

TableCellNumberDecimalDigits

TableCellNumberFormat

TableCellNumberNegativeNumber

TableCellNumberRound

TableCellNumberSelectCurrency

TableCellNumberUseCommas

TableCellNumberUseCurrency

TableCellUseColumnAttribute

TableCellUseColumnJust

TableCellUseColumnNumberType

TableCellUseLineColor

TableCellVerticalAlignment

TableColumnAttributeOff

TableColumnAttributeOn

TableColumnDecimalAlignDist

TableColumnDecimalAlignDigits

TableColumnFixedWidth

TableColumnJustification

TableColumnMarginLeft

TableColumnMarginRight

TableColumnNumberAlignCurrency

TableColumnNumberDateFormat

TableColumnNumberDecimalDigits

TableColumnNumberFormat

TableColumnNumberNegNumber

TableColumnNumberRound

TableColumnNumberSelCurrency

TableColumnNumberUseCommas

TableColumnNumberUseCurrency

TableColumnsFixedWidth

TableColumnWidth

TableColumnWidthGrow

TableColumnWidthShrink

TableConvertDlg

TableConvertFrom

TableCopy

TableCopyFormula

TableCreate

TableCreateDlg

TableCreateNewDlg

TableDataFill

TableDecimalAlignmentDigits

TableDecimalAlignmentDistance

TableDefaultLine

TableDefaultLineColor

TableDeleteBlock

TableDeleteColumn

TableDeleteDlg

TableDeleteRow

TableDeleteTable

TableDisableCellLocks

TableEdit

TableFill

TableFormatDlg

TableFormatJustification

TableFormatWidths

TableFormula

TableFormulaCBar

TabLeft

TableGridLinesToggle

TableGuides

TableHardColumnBreak

TableHardRow

TableHeader

TableInsertColumn

TableInsertDlg

TableInsertOneRow

TableInsertRow

TableJoin

TableJoinCells

TableLineFillDlg

TableMarginLeft

TableMarginRight

TableMove

TableMoveCopyDlg

TableNameAdd

TableNameChange

TableNameCreateDlg

TableNameDelete

TableNameListDlg

TableNumberAlignCurrency

TableNumberDateFormat

TableNumberDecimalDigits

TableNumberFormat

TableNumberNegativeNumber

TableNumberRound

TableNumberSelectCurrency

TableNumberTypeDlg

TableNumberUseCommas

TableNumberUseCurrency

TablePosition

TableQuickSum

TableRetrieve

TableRowHeight

TableRowMarginBottom

TableRowMarginTop

TableRowNumberOfLines

TableSelectOff

TableSelectOn

TableSplit

TableSplitCellsDlg

TableSplitColumn

TableSplitRow

TableTextToFormula

TableUndelete

TableUseDefaultLinesColor

TabRight

TabSet

TabSetDlg

TemplateCopyObjectDlg

TemplateCreate

TemplateCreateDlg

TemplateDescriptionDlg

TemplateDlg

TemplateEdit

TemplateSelect

TextBorderCreate

TextBorderEdit

TextBorderEnd

TextBorderFillStyle

TextBorderStyle

TextBoxCreate

TextColor

TextShade

ThousandsSeparator

ToACreateDlg

ToACreateFullFormDlg

ToADefineDlg

ToADefinition

ToADefinitionCombine

ToADefinitionCreate

ToADefinitionDelete

ToADefinitionMode

ToADefinitionRename

ToADefinitionRetrieve

ToADefinitionStyle

ToADefinitionUnderline

ToAEditFullForm

ToAEditFullFormCBar

ToAEditFullFormDlg

ToAEditPageFormat

ToAEditSection

ToAEditShortForm

ToAMark

ToAMarkShortForm

ToCDefine

ToCDefineDlg

TOCMark

TOLOWER

TOUPPER

Type

TypeChar

Typeover

TypeoverKey

TypesetManualKerningDlg

U

Undelete

UndeleteDlg

UnderlineSpaces

UnderlineTabs

Undo

UNITSTR

UNTIL

UserFunction

V

VALUE

VARERRCHK

ViewDraft

ViewOutline

ViewPage

ViewTwoPage

VLineCreate

VolumeNumber

VolumeNumberDecrement

VolumeNumberDisplay

VolumeNumberIncrement

VolumeNumberMethod

W

WAIT

WatermarkA

WatermarkB

WatermarkDlg

WatermarkPlacementDlg

WHILE

WidowOrphan

WindowCascade

WindowNext

WindowPrevious

WindowTile

WordCountDlg

WordLetterSpaceDlg

WordLetterSpacing

WordSpacingJustificationLimits

WPCharactersDlg

WPDraw

WPGrammatik

WPSpeller

WPThesaurus

WritingToolsDisable

X

No index entries for this letter.

Y

No index entries for this letter.

Z

ZoomDlg

ZoomToFullPage

ZoomToMarginWidth

ZoomToPageWidth


System Variables Index

This index contains help on each system variable.  For more information on using system variables, see Variables and Arrays in the Programming Basics section.

A

?Align

?AutoUpdate

B

?BaselineMode

?BetweenTableCodes

?Binding

?BlockActive

?BlockProtect

?Border

?BorderBottomLine

?BorderColorBlue

?BorderColorGreen

?BorderColorRed

?BorderColorShading

?BorderCornerRadius

?BorderInsideSpacingBottom

?BorderInsideSpacingTop

?BorderLeftLine

?BorderRightLine

?BorderSeparatorLine

?BorderSetSpacing

?BorderTopLine

?BorderUseBorderColor

?BoxAttachTo

?BoxCaptionDefaultInitialStyle

?BoxCaptionDefaultNumberStyle

?BoxCaptionFormatting

?BoxCaptionPositionAlignment

?BoxCaptionPositionBorder

?BoxCaptionPositionOffset

?BoxCaptionPositionSide

?BoxCaptionRotation

?BoxChangeLineHeight

?BoxContentFilename

?BoxContentHorizontalPosition

?BoxContentInternal

?BoxContentPreserveAspectRatio

?BoxContentType

?BoxContentVerticalPosition

?BoxCount

?BoxCounter

?BoxEquationColorBlue

?BoxEquationColorGreen

?BoxEquationColorRed

?BoxEquationColorShading

?BoxEquationFont

?BoxEquationFontSize

?BoxHeight

?BoxHorizontalAlignment

?BoxHorizontalAlignTo

?BoxHorizontalOffset

?BoxImageBlackWhiteThreshold

?BoxImageBrightness

?BoxImageContrast

?BoxImageDitherMethod

?BoxImageDitherSource

?BoxImageFill

?BoxImageFlipX

?BoxImageFlipY

?BoxImageHalftoneAngle0

?BoxImageHalftoneAngle1

?BoxImageHalftoneAngle2

?BoxImageHalftoneAngle3

?BoxImageHalftoneScreenLPI

?BoxImageInvertColors

?BoxImageMonochrome

?BoxImagePageBackground

?BoxImageRotation

?BoxImageScalingX

?BoxImageScalingY

?BoxImageTranslationX

?BoxImageTranslationY

?BoxLeftColumn

?BoxNumber

?BoxOverlap

?BoxPageOffset

?BoxRightColumn

?BoxStyleName

?BoxTextAngle

?BoxTextDefaultStyle

?BoxVerticalAlignment

?BoxVerticalAlignTo

?BoxVerticalOffset

?BoxWidth

?BoxWrapping

?BoxWrappingType

?ButtonBarActive

C

?Cell

?CellAlignment

?CellBold

?CellDoubleUnderline

?CellExtraLarge

?CellFill

?CellFine

?CellFormula

?CellIgnoreWhenCalculating

?CellItalics

?CellJustification

?CellLarge

?CellLocked

?CellNormal

?CellOutline

?CellRedline

?CellShadow

?CellSmall

?CellSmallCaps

?CellSpecificAttribute

?CellSpecificJustification

?CellStrikeout

?CellSubscript

?CellSuperscript

?CellUnderline

?CellVeryLarge

?CenterCurrentPage

?CenterPages

?ChapterNumber

?ChapterNumberMethod

?CharSpaceWidth

?Column

?ColumnBorder

?ColumnDefine

?ConfirmCodesDelete

?ConfirmFormulaDelete

?CurrentParagraphLevel

?CurrentPrinter

?CurrentPrinterType

?CurrentTemplate

?CurrentWord

D

?DateDay

?DateMonth

?DateWeekday

?DateYear

?DecimalAlignmentCharacter

?DefaultDocumentExtension

?DefaultTemplateExtension

?DefaultView

?DisplayMode

?DisplayPitch

?DocBlank

?DocChanged

?DocNumber

?DocReadOnly

?DocumentFont

?DocumentInformation

?DotLeader

E

?EditScreen

?Endnote

?EndnoteMinimum

?EndnoteSpace

F

?FeatureBar

?Fill

?FillGradientSteps

?FillGradientType

?FillType

?FillWPG2Pattern

?FirstLineIndent

?FirstPrintLineNum

?Font

?FontBold

?FontDoubleUnderline

?FontExtraLarge

?FontFine

?FontItalics

?FontLarge

?FontOutline

?FontRedline

?FontShadow

?FontSize

?FontSmall

?FontSmallCaps

?FontStrikeout

?FontSubscript

?FontSuperscript

?FontUnderline

?FontVeryLarge

?FooterAOccur

?FooterBOccur

?FooterSeparator

?Footnote

?FootnoteContinued

?FootnoteMinimum

?FootnotePosition

?FootnoteRestartsPage

?FootnoteSpace

G

?GraphicsLineBottomSpacing

?GraphicsLineColorBlue

?GraphicsLineColorGreen

?GraphicsLineColorRed

?GraphicsLineColorShading

?GraphicsLineCount

?GraphicsLineHorizontalAlign

?GraphicsLineHorizontalColumn

?GraphicsLineHorizontalPosition

?GraphicsLineLength

?GraphicsLineNum

?GraphicsLineStyle

?GraphicsLineThickness

?GraphicsLineTopSpacing

?GraphicsLineType

?GraphicsLineUseColor

?GraphicsLineVerticalAlign

?GraphicsLineVerticalPosition

H

?HeaderAOccur

?HeaderBOccur

?HeaderSeparator

?HypertextLast

?HypertextType

?Hyphenation

I

?Indent

?IndexDefinition

?InterimVersion

J

?Justification

K

?Kerning

L

?LabelsToDisplay

?Language

?LeftChar

?LeftCode

?LeftHyphZone

?LeftMarginAdj

?Line

?LineHeight

?LineNumber

?LineNumbering

?LineNumberingInterval

?LineNumberMethod

?LineNumCountBlankLines

?LineNumNewspaperCols

?LineNumPosition

?LineSegmentBlue

?LineSegmentCount

?LineSegmentGreen

?LineSegmentRed

?LineSegmentSetUserData

?LineSegmentShading

?LineSegmentSpacing

?LineSegmentWidth

?LineSegmentWPG2Pattern

?LineSpacing

?ListDefinition

M

?MacroExecute

?MacroRecord

?MajorVersion

?MarginBottom

?MarginLeft

?MarginRight

?MarginTop

?MinorVersion

N

?Name

?NotFound

O

?Overstrike

P

?Page

?PageBorder

?PageNumberFormat

?PageNumberingOn

?PageNumberingValue

?PageNumberMethod

?PageNumberPosition

?PageSuppress

?PaperLength

?PaperSizeType

?PaperWidth

?ParagraphBorder

?ParagraphNumber

?ParagraphNumberMethod

?Path

?PathBackup

?PathCurrent

?PathDatabase

?PathDatabaseSupplemental

?PathDocument

?PathGraphics

?PathGraphicsSupplemental

?PathHyphenation

?PathLabels

?PathMacros

?PathMacrosSupplemental

?PathPrinters

?PathPrintersSupplemental

?PathProgram

?PathShared

?PathSpreadsheet

?PathSpreadsheetSupplemental

?PathTemplate

?PathTemplateSupplemental

?PauseKey

?Position

?PowerBarActive

Q

No index entries for this letter.

R

?Random

?RedlineCharacter

?RedlineMethod

?RevealCodesActive

?RightChar

?RightCode

?RightHyphZone

?RightMarginAdj

?Row

?RowHeader

?RowHeight

?RulerBarActive

S

?SaveWorkspace

?SecondaryPageNumber

?SecondaryPageNumberMethod

?SelectedText

?SelectedTextSize

?ShowBoxes

?SortGetAction

?SortGetCase

?SpaceExpansion

?SpacingBelowPar

?StartingLineNumber

?StatusBarActive

?Substructure

T

?TableDefaultLine

?TableGuides

?TableInTable

?TableLastCell

?TabSettings

?TemplateFile

?TemplateFileSupplemental

?TextColorBlue

?TextColorGreen

?TextColorRed

?TextColumnNumber

?TextColumns

?TextShade

?ThousandsSeparatorChar

?TimeHour

?TimeHundredth

?TimeMinute

?TimeSecond

?TOADefinition

?ToAShortFormMarks

?ToCDefinition

?TypeoverActive

U

?UnderlineSpaces

?UnderlineTabs

?UnprintableBottomMargin

?UnprintableLeftMargin

?UnprintableRightMargin

?UnprintableTopMargin

?UpdateQuickList

?UserColorBlue

?UserColorGreen

?UserColorRed

?UserInitials

?UserName

V

?VolumeNumber

?VolumeNumberMethod

W

?WatermarkAOccur

?WatermarkBOccur

?WidowOrphan

?WritingToolsDisabledState

X

No index entries for this letter.

Y

No index entries for this letter.

Z

?Zoom


Glossary

Character Expression

Codes

Command Name

Compile

Conditional Statement

Enumerated Type

Macro Command

Measurement Expression

Memory

Numeric Equivalent

Numeric Expression

Operator

Parameter

Relational Expression

Toggle

Variable


Macro Basics

This online manual presents basic macro and programming concepts, and provides examples of how to use macros with WordPerfect 6.0 for Windows to increase productivity.  If you are new to Macros, begin by reading the topics listed below.

Macro Introduction

Record a Macro

Play a Macro

Edit a Macro

Macro Syntax

Macro Errors

Assigning Macros to a Button Bar

Recording a Dialog Box Command

Recording Dialog Box Selections

See Also

DDE Basics

Programming Basics


Programming Basics

This online manual presents basic programming concepts.  If you are new to programming, begin by reading the topics listed below.

Writing a Macro

Product and Programming Commands

CALL and LABEL

Loops and Conditional Statements

Variables and Arrays

Operators

Creating Dialog Boxes

See Also

DDE Basics

Macro Basics


DDE Basics

This online manual presents basic DDE concepts and provides examples using DDE with WordPerfect's WP Office.  If you are new to DDE, begin by reading the topics listed below.

DDE, DLL, and OLE

DDE and WP Office

WordPerfect and WP Office

See Also

Macro Basics

Programming Basics


Loops and Subroutines

Loops

A loop is a series of commands that repeats a number of times.  Loops are created with programming commands and are useful in macros if you want to perform a series of tasks but do not need to supervise every step of the process.  For example, a macro can search for and delete every occurrence of a specific word or create a certain number of labels.  Loops are also useful for obtaining information.  For example, you can create a macro to display a dialog box that prompts for mailing address information.  The dialog box will continue requesting information for new addresses until the user clicks on a Last Address button.

The following programming commands can be used to create loops.  See the Macro Commands Index for a complete description and example of each command.

Command Combination	Description

FOR - ENDFOR:	A set of commands repeats for a specified number of times.

FOREACH - ENDFOR:	A set of commands repeats for a specified circumstance.

IF - ENDIF:	A set of commands repeats if a specified condition is satisfied.

REPEAT - UNTIL:	A set of commands repeats until a condition has been satisfied.

WHILE - ENDWHILE:	A set of commands repeats only while a specific condition exists.

Subroutines

 A subroutine is a set of commands you may want to execute several times in a macro.  Instead of entering the commands at several locations in the macro, you include them only once and direct the macro to that location each time the commands are needed.  A subroutine is created with programming commands such as FUNCTION, LABEL, and PROCEDURE.  A macro is directed to a subroutine with programming commands such as CALL, GO, ONERROR, ONCANCEL, and ONNOTFOUND.  See the Macro Commands Index for more information on these commands.

 Since there may be more than one subroutine in a macro, the name associated with each one must be unique.  The label name must be in the command that directs execution to the subroutine, for example GO(MyLabel).  The label must match the name of the FUNCTION, LABEL, or PROCEDURE to which execution is directed.


System Variables

 System variables are variables that WordPerfect creates and maintains, such as ?RevealCodesActive and ?Name.  These variables contain information about the current state of WordPerfect.  You cannot change the names or contents of these variables, but you can obtain and use their contents in a macro.

 Some system variables contain values corresponding to the numeric equivalents or enumerated types of a product command.  If you want to evaluate the variable with programming commands such as IF or WHILE, the expression can contain either the enumerated type or its numeric equivalent.  If you type the contents of the variable, Type only types the numeric equivalent.

 For a list and description of all system variables provided by WordPerfect, see the System Variables Index.


User-defined Variables

 User-defined variables are variables that you create and name, and whose contents you determine.  Variable names can include letters, numbers and the following characters:  ?, _, #.  You can perform operations on these variables to change their contents.  There are three types of user-defined variables: Local, Global, and Persistent.

Variable Type	Description

Local	Available for use only in the current macro.

Global	Available for use anywhere in the current macro as well as in macros named in CHAIN or RUN in the current macro.

Persistent	Available for use in the current macro, macros names in CHAIN or RUN in the current macro, and any merges executed in the current session of WordPerfect.

You can specify the variable type using the programming commands LOCAL, GLOBAL, and PERSIST.  See the Macro Commands Index for information on these commands.

All user-defined variables can contain text or numbers.  There are a number of programming commands that assign variables.  See the Macro Commands Index for information on ASSIGN, CHAR, FOR, FOREACH, GETNUMBER, GETSTRING, GETUNITS, and LOOK.


Arrays

Macro language now supports the use of arrays that are up to 10 dimensions with up to 32767 elements per dimension.  Most computers will not have the memory to support such large arrays. Modest arrays of 3 dimensions and a moderate range of elements will work on most memory configurations of 4 Meg or higher.

A macro array variable must be declared before it is used, unlike normal variables in the macro language.  This is done by using the statement:

DECLARE  VarName[1,2,3,...,n]

The VarName parameter defines the array name that will be used and subscripted later in the macro.  The numbers in the brackets define the size of each dimension in the array and must be a constant integer expression between 1 and 32767.  A maximum of 10 dimensions is allowed.  Macro array variables will be allocated up to the maximum amount of memory available at the time of execution.  There is no preset limit, and a declaration of an array that exceeds the maximum space available will cause a runtime error rather than a compiletime error.

Macro array variable items may be assigned values by subscripting into the array using the bracket symbols.  For example, given the declaration:

DECLARE  ArrayName[10,20]

The following assignments would be valid:

ArrayName[1,1] := "This is a string"

ArrayName[5,10] := 123

ArrayName[10,20] := 57 + 21

ArrayName[1+5,106] := "Yes"

Notice that each element of an array can contain data of a different type.  Expressions can contain macro array variables just like any other variable, such as:

MyVariable := ( 2 + ArrayName[5,10] ) / 26.23546

As mentioned above, the array must be declared first.  In addition, individual items in the array must be initialized (i.e., have values assigned to them) before they are used in an expression. Referencing an uninitialized array element will cause the same error as referencing any other uninitialized or unassigned variable.

The instance of a declared array variable in an expression or an assignment must contain the exact number of indices as in the declaration, and the individual indices must not exceed the maximum value given in the declaration or a runtime error will occur.

The subscript numbers inside the brackets may be any integer expression between 1 and the dimension limit in the array declaration.  Note here that indices start with 1, not 0 as in some programming languages.

Example

In this example, a twodimensional array will be initialized to values that are dependent on the position of the value in the matrix.  Then, the entire matrix will be typed to the screen.

DECLARE x[10,10]

For (i;1;i<=10;i+1)

 For (j;1;j<=10;j+1)

  x[i,j] := i*j

 EndFor

EndFor

For (i;1;i<=x[1,10];i+1)

 For (j;1;j<=10;j+1)

  xtext:=NumStr(x[i,j])

  Type( xtext )

  HardSpace()

 EndFor

 Tab()

EndFor

Compile-time Errors

If the array indices are not enclosed in brackets ( '[' and ']'), a message will indicate their absence and compilation stops. If the number of indices exceeds 10 in the array declaration, a message displays and compilation stops.

Run-time Errors

If the macro interpreter is unable to allocate sufficient memory to hold the array elements, a message displays and macro execution stops. If the number of dimensions in the accessed array do not match the number declared, a message displays and macro execution stops.

If any of the indices in the array instance resolve to something other than an integer between 1 and the maximum size declared, a message displays and macro execution stops. If an array element is used in an expression before it has been assigned a value, the error message "An undefined variable has been referenced" displays.


Macro Conversion

The Macro Conversion Utility (MCVWIN.EXE) converts WordPerfect 5.1 for DOS macros to WordPerfect 6.0 for Windows macros.

Steps

1	From the Windows Program Manager, choose File, Run, enter MCVWIN, OK.  You can use wildcard characters to represent part or all of a directory you want to convert.

2	In the Macro(s) to Convert text box, enter the path for the macro or macros that you want to convert.

3	In the Output File or Directory text box, enter the path for the converted macro or macros.

4	Change the extension for output files if different from the default extension.  WordPerfect 6.0 for Windows accepts .wpm and .wcm extensions.

5	Optional - Enter a path for an output messages log file.

6	Optional - Select a default unit of measure.  If no default is specified, the default unit of measure for converted macros will be inches.

To cancel the conversion at any point, select Cancel.  The conversion quits after converting the current macro.

The resource file WP_WP_US.MRS must be in the same directory as MCVWIN.EXE or in a directory listed in the search path.

Some 5.1 macros completely convert to 6.0.  Other macros require editing.  MCVWIN.EXE lists warnings and problems to help complete the conversion.

The following DOS programming commands will not convert:

{INPUT}

{LOOK}

{MENU OFF}

{MENU ON}

{ORIGINAL KEY}

{PAUSE KEY}

{RESTART}

{SHELL ASSIGN}

{SHELL MACRO}

{SHELL VARIABLE}

{STATUS PROMPT}

{STEP OFF}

{STEP ON}

Hints

When conversion problems or warnings occur, try modifying the original 5.1 macro and reconverting it.

Until you get used to writing macros in the 6.0 language, you may find it easier to write macros in 5.1, convert them, and then analyze the converted macro.

Error Messages

Name missing

Cause:

This error occurs when a macro selects an item from a list without using Name Search.  MCVWIN is unable to generate a token since it does not know what item the insertion point is in.

Solution:

Use Name Search.  For example, instead of selecting the default font, use Name Search to search for a particular font.

Label already referenced with different keystrokes

Cause:

This error occurs when a label is initially referenced while WordPerfect is in one state (for example, while Block is on) and is subsequently referenced while wordPerfect is in another state (for example, while Block is off).  This is a problem because the tokens that MCVWIN creates are sometimes dependent on what state or mode Wordperfect is in at the time.

Once this error occurs, any subsequent references to that label also generate this message (including references made in the same state as the first reference).

However, not every occurrence of this error indicates a conversion failure.  Sometimes MCVWIN generates the error, but the macro functions properly.  Try the converted macro and see if it works.

Solution:

If there are no other problems that keep the macro from compiling, play the macro to see if it runs correctly in spite of the errors.  If not, edit the WordPerfect 5.1 macro and insert the actual keystrokes of the referenced label.

WPWin 5.2 macros

The following WPWin 5.2 commands are not recognized in WordPerfect for Windows 6.0:

CommentCreate

DateFormat

Font

KeyboardSelect

OverStrikeCreate

OverStrikeEdit

PaperSizeAdd

PaperSizeDelete

PrintMultiplePages

Sort

TableSplit

TabSet

ToCMark


Variables and Arrays

A variable represents a place in memory where data is stored.  As its name indicates, the data in a variable can change.  Using variables, you can calculate values and use text that may change during the execution of a macro.  WordPerfect uses two types of variables: system variables and user-defined variables.  Arrays are useful for organizing information contained in variables and giving variables consecutive names.  Choose from the following topics:

System Variables

User-defined Variables

Arrays


Operators

WordPerfect supports the evaluation of expressions with several operators.  Consequently, some order of evaluation must be followed.  The operator precedence used by WordPerfect is similar to the accepted precedence for mathematical operators in formal programming languages.

The following table shows the order in which operators are applied (operators of the same precedence are evaluated left to right in the expression):

Order	Operators

1	(), -(unary minus), +(unary plus), ~(bitwise not), NOT(logical not)

2	*(multiply), /(divide), %(mod), DIV(integer divide)

3	+(add), -(subtract)

4	<<(shift left)  >>(shift right)

5	<(less than), <=(less than or equal to), >(greater than), >=(greater than or equal to), <>(not equal) =(equal)

6	&(bitwise and), |(bitwise or), ^(bitwise xor)

7	AND(logical and), XOR(logical xor)

8	OR(logical or)

You can override the operator precedence by placing parentheses around the elements you want evaluated first.  Elements inside the parentheses are always evaluated before the elements outside.  If parentheses are nested, the innermost parentheses are evaluated first.


Shipping Macros

ADRS2MRG.WCM	Copies the address book (for automated templates) into a merge data file.

ALLFONTS.WCM	Creates a document listing the name and some sample text from every font available to the current printer.

AUTOFILL.WCM	Used by the ExpressDocs shipping templates to automate the template fillin process.

CAPITAL.WCM	Capitalizes the first letter of the current word.

CLOSEALL.WCM	Closes all documents currently open and prompts to save any that have been modified.

CLPBRD.WCM	Opens the Windows Clipboard.

CTRLSFTF.WCM	Prompts for FROM and TO values for the equation editor.

DROPCAPS.WCM	Changes the first letter in a paragraph to a large drop cap.

EXPNDALL.WCM	Expands all abbreviations in the document in one step.

ENDFOOT.WCM	Converts endnotes to footnotes in document or selected text.

FILESTMP.WCM	Places the filename and path of the current document in a header or footer.

FONTDN.WCM	Decreases the font size of the selected text by two points.

FONTUP.WCM	Increases the font size of the selected text by two points.

FOOTEND.WCM	Converts footnotes to endnotes in document or selected text.

GOTODOS.WCM	Opens a DOS window.

LINENUM.WCM	Positions insertion point at a specified line and character for debugging macros.

PAGEXOFY.WCM	Places "Page x of y pages" (or other formats) in specified position on paper.

PARABRK.WCM	Inserts graphical paragraph breaks between paragraphs.

PGBORDER.WCM	Creates decorative page borders with WordPerfect graphics.

REVERSE.WCM	Creates white text on black background (or other color options as set by the user) in document text or tables.

SAVEALL.WCM	Saves all documents currently open and prompts to save any that have been modified.

SQCONFIG.WCM	Configures the Smart Quotes utility.

SQTOGGLE.WCM	Turns on and off the Smart Quotes utility.

TRANSPOSE.WCM	Transposes the two characters preceding the insertion point.

WATERMRK.WCM	Prompts for text or watermark graphic that will be placed in watermark (centered vertically and horizontally).


Assigning Macros to a Button Bar

You can assign a macro to a Button Bar.

Steps

1	Choose File, Preferences, Button Bar icon.

2	Choose Edit or Create.  If you choose Edit, select a Button Bar, Edit.  If you choose Create, type a Button Bar name, select OK.

3	Select Play a Macro, Add Macro button.

4	Type a macro name, select OK, Select, OK.

5	Choose Select, Close.


User-defined Dialog Boxes

The DIALOG... programming commands let you create custom dialog boxes from within your macros.  These user-defined dialog boxes are a very convenient way to let the person who plays the macro make decisions about how the macro should run.

Implementing a user-defined dialog box involves four steps:

1	Define the dialog (using DIALOGDEFINE).

2	Add the controls (using any of the DIALOGADD... commands).

3	Display the dialog (using DIALOGDISPLAY).

4	Destroy the dialog (using DIALOGDESTROY).

You assign each dialog box a unique dialog box identifier (DialogId) that must match the DialogID for the Define, Add, Display, and Destroy commands.

For example, the following macro creates a simple dialog box.

DIALOGDEFINE (100; 50; 50; 200; 100; 1+2+16; "Dialog Box")

DIALOGADDTEXT (100; 1002; 15; 30; 170; 15; 16; "An example Dialog macro")

DIALOGDISPLAY (100; 1)

DIALOGDESTROY (100)

Terms To Know

Following are some terms and definitions that relate to creating user-defined dialog boxes:

Dialog Units

Dialog boxes are dimensioned in dialog units.  A vertical dialog unit is 1/8th the character height.  A horizontal unit is 1/4th the character width.

Style

The style of a dialog or dialog control is a number that is the sum of all desired styles.  To have the DIALOGDEFINE command display OK and Cancel buttons and not display a caption, 1+2+256 (or 259) would be specified as the Style parameter.

Control

The Control parameter is used to set the focus (or default, where applicable) on a specific dialog control item.  A dialog control (option) will be displayed with the focus if the ControlId parameter of both the control option and the DialogDisplay command are the same.

Valid numbers for the Control parameter are 0, 1, 2, and anything greater that 10.  The numbers 1 and 2 are used for OK and Cancel push buttons.  If 1 or 2 is used, the numbers turn off the 1 and/or 2 (OK and Cancel) style(s) of the DialogDefine command.

The value of the control (from the Control parameter) is assigned to the MacroDialogResult variable.  Once the dialog is dismissed, the value of the control used to dismiss the dialog remains in the MacroDialogResult variable.  The variable can be tested to see which control dismissed the dialog.  If the Control is specified as the number 0 or a string of text, a number greater than 10 is assigned to MacroDialogResult when the DialogAdd commands are processed.

MacroDialogResult

Before a dialog box is dimissed, this variable can contain the Control of a pushbutton that was selected in the dialog box.  The variable must be assigned immediately after DialogAddPushButton and must be evaluated before the dialog is destroyed.  Assigning this variable in combination with DialogAddPushButton allows you to evaluate not only what button dismissed the dialog box, but also which pushbutton was selected while the dialog box displayed.

Once a dialog box is dismissed, the MacroDialogResult variable will contain a number.  The number is determined by the component of the dialog box (the dialog control) that was used to dismiss the box (for example, an OK or a Cancel button).  If you do not define the number to be returned when you set the parameters for a control, then the default dialog box numbers will apply.  The default dialog box number is 1 if the OK button was pressed and 2 if the Cancel button was pressed.  If you wish to test to see what number this variable contains, you must do so before DialogDestroy is sent.  Once DialogDestroy takes effect, the MacroDialogResult variable will be cleared.

MacroDialogResult Example:

//This example defines a variable for each DialogAddPushButton command.  The variables will be evaluated after the dialog box is displayed to determine if a pushbutton was selected or if OK or Cancel were pressed.

Application(A1;"Wordperfect";Default;"US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16+8; "Push Button Example")

DialogAddPushButton(100; 1000; 50; 20; 50; 15; 0; "Button &A")

B1 := MacroDialogResult

DialogAddPushButton(100; 1001; 50; 40; 50; 15; 1; "Button &B")

B2 := MacroDialogResult

DialogDisplay(100; 1001)

Result:=MacroDialogResult

If (Result = B1)

Type ("Button A")

EndIf

If(Result=B2)

Type("Button B")

EndIf

If(Result=1)

Type("OK")

EndIf

If(Result=2)

Type("Cancel")

EndIf

DialogDestroy(100)


WPWin 6.0 Help

This option will open the WPWin 6.0 Help file, which is different from the WPWin 6.0 Online Macros Manual.

Choose WPWin 6.0 Help to open the WPWin 6.0 Help file.


?Align

Purpose

?Align contains a value representing the current character justification.

Value	Description

0	Left, Full, or All

64	Center

128	Right


?BaselineMode

Purpose

?BaselineMode contains a value representing whether Baseline Placement for Typesetting is on or off.

Value	Description

0	Baseline Placement is off

1	Baseline Placement is on

See Also

BaselinePlacement


?BetweenTableCodes

Purpose

?BetweenTableCodes contains a value representing whether the insertion point is in a table.

Value	Description

False	Insertion point is not in a table

True	Insertion point is in a table


?Binding

Purpose

?Binding contains a value representing the binding edge for the current page. The value of this variable is one of the numeric equivalents or enumerated types listed for the Edge parameter of Binding.

For example, the following macro causes the computer to beep if the binding edge is set as the left edge:

IF

(

?Binding=0

)

BEEP

ENDIF

See Also

Binding


?BlockActive

Purpose

?BlockActive contains a value representing whether block is on.

Value	Description

0	Block is not on

1	Block is on


?BlockProtect

Purpose

?BlockProtect contains a value representing whether Block Protect is on or off.

Value	Description

False	Block Protect is off

True	Block Protect is on

See Also

BlockProtect


?Border

Purpose

?Border contains a value representing the current border style. The value of this variable is one of the numeric equivalents or enumerated types listed for the Style parameter of BorderStyleEdit. This variable must be preceded by a command which specifies a border or border style, such as TextBorderEdit, and followed by a closing command such as TextBorderEnd.

For example, the following macro causes the computer to beep if the current border style is Dashed Border:

TextBorderEdit

(

BorderType: Paragraph!

)

IF

(

?Border=3

)

BEEP

ENDIF

TextBorderEnd

(

State: Save!

)

See Also

BorderStyleEdit


?BorderBottomLine

Purpose

?BorderBottomLine contains a value representing the bottom line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderBottomLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the bottom line style specified for a paragraph border:

TextBorderEdit

(

BorderType: ParagraphBorder!

)

Type

(

?BorderBottomLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderBottomLine


?BorderColorBlue

Purpose

?BorderColorBlue contains a value representing the amount of blue in a border color.  Values range from 0-255, with 0 indicating no blue and 255 indicating solid blue.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the amount of blue specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderColorBlue

)

TextBorderEnd

(

State: Save!

)

See Also

BorderColor


?BorderColorGreen

Purpose

?BorderColorGreen contains a value representing the amount of green in a border color.  Values range from 0-255, with 0 indicating no green and 255 indicating solid green.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the amount of green specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderColorGreen

)

TextBorderEnd

(

State: Save!

)

See Also

BorderColor


?BorderColorRed

Purpose

?BorderColorRed contains a value representing the amount of red in a border color.  Values range from 0-255, with 0 indicating no red and 255 indicating solid red.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the amount of red specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderColorRed

)

TextBorderEnd

(

State: Save!

)

See Also

BorderColor


?BorderColorShading

Purpose

?BorderColorShading contains a numeric expression representing the shading percentage of a border color.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the shading of a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderColorShading

)

TextBorderEnd

(

State: Save!

)

See Also

BorderColor


?BorderCornerRadius

Purpose

?BorderCornerRadius contains a measurement expression representing the corner radius of a border.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the corner radius specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderCornerRadius

)

TextBorderEnd

(

State: Save!

)

See Also

BorderCornerRadius


?BorderInsideSpacingBottom

Purpose

?BorderInsideSpacingBottom contains a measurement expression representing the bottom spacing inside a border.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a measurement of the bottom inside spacing specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderInsideSpacingBottom

)

TextBorderEnd

(

State: Save!

)

See Also

BorderInsideSpacing


?BorderInsideSpacingTop

Purpose

?BorderInsideSpacingTop contains a measurement expression representing the top spacing inside a border.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a measurement of the top inside spacing specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderInsideSpacingTop

)

TextBorderEnd

(

State: Save!

)

See Also

BorderInsideSpacing


?BorderLeftLine

Purpose

?BorderLeftLine contains a value representing the left line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderLeftLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the left line style specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderLeftLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderLeftLine


?BorderRightLine

Purpose

?BorderRightLine contains a value representing the right line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderRightLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the right line style specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderRightLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderRightLine


?BorderSeparatorLine

Purpose

?BorderSeparatorLine contains a value representing the separator line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderSeparatorLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the separator line style specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderSeparatorLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderSeparatorLine


?BorderSetSpacing

Purpose

?BorderSetSpacing contains a value representing whether Auto Spacing is on or off for the current border.

Value	Description

0	Auto Spacing is off

1	Auto Spacing is on

See Also

BorderSetSpacing


?BorderTopLine

Purpose

?BorderTopLine contains a value representing the top line style of a border.  The value of this variable is either one of the numeric equivalents or enumerated types listed for BorderTopLine, or the name of a custom-made line style.  This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

For example, the following macro types a value representing the top line style specified for a paragraph border:

TextBorderEdit

(

BorderType: Paragraph!

)

Type

(

?BorderTopLine

)

TextBorderEnd

(

State: Save!

)

See Also

BorderTopLine


?BorderUseBorderColor

Purpose

?BorderUseBorderColor contains a value representing whether the border color option is used for a border. This variable must be preceded by either TextBorderCreate or TextBorderEdit and followed by TextBorderEnd.

Value	Description

0	Do not use color

1	Use color

See Also

BorderUseBorderColor


?BoxAttachTo

Purpose

?BoxAttachTo contains a value representing whether a graphics box is attached to a page, a paragraph, or a character.  The value of this variable is one of the numeric equivalents or enumerated types listed for BoxAttachTo.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if box 1 is attached to a page:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxAttachTo=2

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxAttachTo


?BoxCaptionDefaultInitialStyle

Purpose

?BoxCaptionDefaultInitialStyle contains a value representing the current box caption initial style. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxCaptionInitialStyle. This variable must be preceded by a command which identifies a box or box style, such as BoxEdit, and followed by a closing command such as BoxEnd.

For example, the following macro types a value representing the initial caption style specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxCaptionDefaultInitialStyle

)

BoxEnd

(

State: Save!

)

See Also

BoxCaptionInitialStyle


?BoxCaptionDefaultNumberStyle

Purpose

?BoxCaptionDefaultNumberStyle contains a value representing the current box caption number style. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxCaptionNumberStyle. This variable must be preceded by a command which identifies a box or box style, such as BoxEdit, and followed by a closing command such as BoxEnd.

For example, the following macro types a value representing the caption number style specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxCaptionDefaultNumberStyle

)

BoxEnd

(

State: Save!

)

See Also

BoxCaptionNumberStyle


?BoxCaptionFormatting

Purpose

?BoxCaptionFormatting contains a value representing the width of a graphics box caption. If the width is set to Auto, the value of this variable is 2. Otherwise, the value is either a measurement expression in the current unit of measure or a percentage of the box width or height. This command must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the caption width specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxCaptionFormatting

)

 BoxEnd

(

State: Save!

)


?BoxCaptionPositionAlignment

Purpose

?BoxCaptionPositionAlignment contains a value representing the alignment of a graphics box caption. The value of this variable is one of the numeric equivalents or enumerated types listed for the Alignment parameter of BoxCaptionPosition.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if top alignment is specified for the caption of box 1 :

BoxEdit

(

BoxNumber:1

)

IF

(

?BoxCaptionPositionAlignment=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxCaptionPosition


?BoxCaptionPositionBorder

Purpose

?BoxCaptionPositionBorder contains a value representing the position of a graphics box caption relative to the border. The value of this variable is one of the numeric equivalents or enumerated types listed for the Border parameter of BoxCaptionPosition.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the caption for box 1 is inside the border:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxCaptionPositionBorder=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxCaptionPosition


?BoxChangeLineHeight

Purpose

?BoxChangeLineHeight determines whether a graphics box attached to a character position automatically changes the text line height. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	No change

1	Change

See Also

BoxChangeLineHeight


?BoxContentFilename

Purpose

?BoxContentFilename contains the name of a text file or image file contained in a graphics box. The value of this variable is a filename. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the name of the file contained in box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxContentFilename

)

BoxEnd

(

State: Save!

)


?BoxContentHorizontalPosition

Purpose

?BoxContentHorizontalPosition contains a value representing the horizontal position of graphics box contents. The value of this variable is one of the numeric equivalents or enumerated types listed for the Horizontal parameter of BoxContentPosition.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the horizontal position specified for the contents of box 1 is left:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxContentHorizontalPosition=0

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxContentPosition


?BoxContentInternal

Purpose

?BoxContentInternal contains a value representing whether an image is stored in the current document or on a disk.

Value	Description

0	In document

1	On disk


?BoxContentPreserveAspectRatio

Purpose

?BoxContentPreserveAspectRatio contains a value representing whether the image width/height ratio is preserved when the position of a box changes. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not preserved

1	Preserved

See Also

BoxContentPreserveAspectRatio


?BoxContentType

Purpose

?BoxContentType contains a value representing the type of content in a graphics box. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxContentType.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if box 1 contains text:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxContentType=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxContentType


?BoxContentVerticalPosition

Purpose

?BoxContentVerticalPosition contains a value representing the vertical position of graphics box content. The value of this variable is one of the numeric equivalents or enumerated types listed for the Vertical parameter of BoxContentPosition.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the vertical position specified for the contents of box 1 is specified as bottom:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxContentVerticalPosition=4

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxContentPosition


?BoxCount

Purpose

?BoxCount contains the number of boxes in the current document.


?BoxCounter

Purpose

?BoxCounter contains a value representing the counter type of a graphics box or graphics box style. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxCounter.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro causes the computer to beep if the counter for box 1 is a figure counter:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxCounter=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxCounter


?BoxEquationColorBlue

Purpose

?BoxEquationColorBlue contains a value representing whether an equation color contains blue. Values range from 0 to 255, with 0 indicating no blue and 255 indicating solid blue. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the amount of blue in the equation color specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxEquationColorBlue

)

BoxEnd

(

State: Save!

)

See Also

BoxEquationColor


?BoxEquationColorGreen

Purpose

?BoxEquationColorGreen contains a value representing whether an equation color contains green. Values range from 0 to 255, with 0 indicating no green and 255 indicating solid green. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the amount of green in the equation color specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxEquationColorGreen

)

BoxEnd

(

State: Save!

)

See Also

BoxEquationColor


?BoxEquationColorRed

Purpose

?BoxEquationColorRed contains a value representing whether an equation color contains red. Values range from 0 to 255, with 0 indicating no red and 255 indicating solid red. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the amount of red in the equation color specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxEquationColorRed

)

BoxEnd

(

State: Save!

)

See Also

BoxEquationColor


?BoxEquationColorShading

Purpose

?BoxEquationColorShading contains a value representing the shade of an equation color. The value of this variable is a percentage, with 100 indicating the darkest shade of a color. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the shading of the equation color specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Type

(

?BoxEquationColorShading

)

BoxEnd

(

State: Save!

)

See Also

BoxEquationColor


?BoxEquationFont

Purpose

?BoxEquationFont contains a specified font for an equation box. The value of this variable is the name of a font. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types the name of the equation font specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxEquationFont

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxEquationDefaultFont


?BoxEquationFontSize

Purpose

?BoxEquationFontSize contains a value representing an equation box font size. The value of this variable is a measurement expression in the current unit of measure. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types a value representing the equation font size specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxEquationFontSize

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxEquationFontSize


?BoxHeight

Purpose

?BoxHeight contains a value representing the height of a graphics box. If the height is set to Auto, the value of this variable is 2. Otherwise, the value is a measurement expression in WordPerfect units (1200ths of an inch). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the height of box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxHeight

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxHeight


?BoxHorizontalAlignment

Purpose

?BoxHorizontalAlignment contains a value representing the horizontal position of a graphics box attached to a page or a paragraph. The value of this variable is one of the numeric equivalents or enumerated types listed for the Position parameter of BoxHorizontalAlignment.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if full horizontal alignment is specified for box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxHorizontalAlignment=7

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxHorizontalAlignment


?BoxHorizontalAlignTo

Purpose

?BoxHorizontalAlignTo contains a value representing whether a graphics box attached to a page is aligned to the margins or to a column or columns. The value of this variable is one of the numeric equivalents or enumerated types listed for the Alignment parameter of BoxHorizontalAlignment.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if box 1 is aligned to the margins:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxHorizontalAlignTo=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxHorizontalAlignment


?BoxHorizontalOffset

Purpose

?BoxHorizontalOffset contains a value representing the right or left position of a graphics box relative to an alignment point. The value of this variable is a measurement expression in WordPerfect units (1200ths of an inch). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the offset measurement specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxHorizontalOffset

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxHorizontalAlignment


?BoxImageBlackWhiteThreshold

Purpose

?BoxImageBlackWhiteThreshold contains a value representing a threshold where colors and/or grays convert to black or white. Colors or grays below the threshold are converted to black; those above are converted to white. Values range from 1 to 255, with 127 as the default. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the black/white threshold specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageBlackWhiteThreshold

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageBlackWhiteThreshold


?BoxImageContrast

Purpose

?BoxImageContrast contains a value representing image contrast. Values range from -1.0 (slight contrast) to 1.0 (substantial contrast). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the contrast specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageContrast

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageContrast


?BoxImageDitherMethod

Purpose

?BoxImageDitherMethod contains a value representing a dither method. The value of this variable is one of the numeric equivalents or enumerated types listed for the Method parameter of BoxImageDitherMethod.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the dither method specified for box 1 is halftoning:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageDitherMethod=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)


?BoxImageDitherSource

Purpose

?BoxImageDitherSource contains a value representing a dither source. The value of this variable is one of the numeric equivalents or enumerated types listed for the Source parameter of BoxImageDitherMethod.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For Example:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageDitherSource=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)


?BoxImageFill

Purpose

?BoxImageFill contains a value representing an image fill type. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxImageFill.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if a transparent fill type is specified for box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageFill=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxImageFill


?BoxImageFlipX

Purpose

?BoxImageFlipX contains a value representing whether the horizontal axis of an image is reversed. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not reversed

1	Reversed

See Also

BoxImageFlipX


?BoxImageFlipY

Purpose

?BoxImageFlipY contains a value representing whether the vertical axis of an image is reversed. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not reversed

1	Reversed

See Also

BoxImageFlipY


?BoxImageHalftoneAngle0

Purpose

?BoxImageHalftoneAngle0 contains the image halftone angle. The default is generally 45, but is dependent upon the selected printer.


?BoxImageHalftoneAngle1

Purpose

?BoxImageHalftoneAngle1 contains the image halftone angle 1.


?BoxImageHalftoneAngle2

Purpose

?BoxImageHalftoneAngle2 contains the image halftone angle 2.


?BoxImageHalftoneAngle3

Purpose

?BoxImageHalftoneAngle3 contains the image halftone angle 3.


?BoxImageHalftoneScreenLPI

Purpose

?BoxImageHalftoneScreenLPI contains the halftone LPI. The default is 60.


?BoxImageInvertColors

Purpose

?BoxImageInvertColors contains a value representing whether image colors have been inverted to their respective complementary colors. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not inverted

1	Inverted

See Also

BoxImageInvertColors


?BoxImageBrightness

Purpose

?BoxImageBrightness contains a value representing the brightness of an image color. Values range from -1.0 (all black) to 1.0 (all white). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the brightness specified for the image contained in box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageBrightness

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageBrightness


?BoxImageMonochrome

Purpose

?BoxImageMonochrome contains a value representing whether a color image converts to black and white. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Not monochrome

1	Monochrome

See Also

BoxImageMonochrome


?BoxImagePageBackground

Purpose

?BoxImagePageBackground contains a value representing whether any background colors or gradients saved with an image are visible.

Value	Description

0	Background not visible

1	Background visible

See Also

BoxImageShowBackground


?BoxImageRotation

Purpose

?BoxImageRotation contains a value representing a rotation degree. Values range from 0.0 to 359.0. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the rotation degree specified for the image contained in box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageRotation

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageRotate


?BoxImageScalingX

Purpose

?BoxImageScalingX contains a value representing a scaling width. The value of this variable ranges from 0.01 to 9.99. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the scaling width specified for the image contained in box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageScalingX=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxImageScaling


?BoxImageScalingY

Purpose

?BoxImageScalingY contains a value representing a scaling height. The value of this variable ranges from 0.01 to 9.99. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the scaling height specified for the image contained in box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxImageScaling=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxImageScaling


?BoxImageTranslationX

Purpose

?BoxImageTranslationX contains a value representing the horizontal position of an image within a box. Values range from -5.0 to 5.0, with the default at 0.0. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the horizontal position of the contents of box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageTranslationX

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageMove


?BoxImageTranslationY

Purpose

?BoxImageTranslationY contains a value representing the vertical position of an image within a box. Values range from -5.0 to 5.0, with the default at 0.0. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the vertical position of the contents of box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxImageTranslationY

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxImageMove


?BoxLeftColumn

Purpose

?BoxLeftColumn contains a value representing the left column to which a graphics box aligns. The value of this variable is the number of a column. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the number of the left column to box 1 is aligned to:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxLeftColumn

BoxEnd

(

State: Save!

)

Type

(

Var

)


?BoxNumber

Purpose

?BoxNumber contains the current graphics box number. The value of this variable is the number of the box following the insertion point.


?BoxOverlap

Purpose

?BoxOverlap contains a value representing whether a graphics box may overlap other boxes. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	No overlap

1	Overlap

See Also

BoxOverlap


?BoxPageOffset

Purpose

?BoxPageOffset contains a value representing whether a box stays on the page to which it was attached or moves with text. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Does not stay on page

1	Stays on page

See Also

BoxPageOffset


?BoxRightColumn

Purpose

?BoxRightColumn contains a value representing the right column to which a graphics box aligns. The value of this variable is the number of a column. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types the number of the right column box 1 is aligned to:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxRightColumn

BoxEnd

(

State: Save!

)

Type

(

Var

)


?BoxStyleName

Purpose

?BoxStyleName contains the name of a box style. The value of this variable is either one of the numeric equivalents or enumerated types listed for BoxStyleEdit, or the name of a user-created style. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd, or be preceded by either BoxStyleCreate or BoxStyleEdit and followed by BoxStyleEnd.

For example, the following macro types the name of the box style specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var=?BoxStyleName

BoxEnd

(

State: Save!

)

Type

(

Var

)


?BoxTextAngle

Purpose

?BoxTextAngle contains a value representing the degree of rotation for text in a box. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxTextAngle.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the text in box 1 is rotated 90 degrees:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxTextAngle=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxTextAngle


?BoxTextDefaultStyle

Purpose

?BoxTextDefaultStyle contains the default style of box text. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxTextDefaultStyle.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if the default text style specified for box 1 is Doc Style.

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxTextDefaultStyle=33

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxTextDefaultStyle


?BoxVerticalAlignment

Purpose

?BoxVerticalAlignment contains a value representing the vertical position of a graphics box attached to a page or character. The value of this variable is one of the numeric equivalents or enumerated types listed for the Alignment parameter of BoxVerticalAlignment.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For Example:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxVerticalAlignment=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxVerticalAlignment


?BoxVerticalAlignTo

Purpose

?BoxVerticalAlignTo contains a value representing whether a box is aligned to margins.

Value	Description

1	Aligned to margins

2	Fixed position


?BoxVerticalOffset

Purpose

?BoxVerticalOffset contains a value representing the vertical position of a graphics box relative to an alignment point. The value of this variable is a measurement expression in WordPerfect units (1200th of an inch). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the vertical offset specified for box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxVerticalOffset

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxVerticalAlignment


?BoxWidth

Purpose

?BoxWidth contains a value representing the width of a graphics box. If the width is set to Auto, the value of this variable is one of the numeric equivalents or enumerated types listed for BoxWidth.  Otherwise, the value is a measurement expression in WordPerfect units (1200ths of an inch). This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example:, the following macro types a value representing the width of box 1:

BoxEdit

(

BoxNumber: 1

)

Var:=?BoxWidth

BoxEnd

(

State: Save!

)

Type

(

Var

)

See Also

BoxWidth


?BoxWrapping

Purpose

?BoxWrapping contains a value representing the direction of text flow around a graphics box. The value of this variable is one of the numeric equivalents or enumerated types of BoxTextFlow.  This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro causes the computer to beep if text flows to the left of box 1:

BoxEdit

(

BoxNumber: 1

)

IF

(

?BoxWrapping=1

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)

See Also

BoxTextFlow


?BoxWrappingType

Purpose

?BoxWrappingType contains a value representing whether the text outside a graphics box flows around an image. This variable must be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Text is not contoured

1	Text is contoured


?Cell

Purpose

?Cell contains a value representing the current table cell. For example, if the insertion point is in the first cell of a table, this variable contains the value A1.


?CellAlignment

Purpose

?CellAlignment contains a value representing the vertical alignment of the current cell.

Value	Description

1	Top

2	Center

4	Bottom


?CellBold

Purpose

?CellBold indicates whether the cell font attribute is Bold.

Value	Description

False	Not Bold

True	Bold


?CellDoubleUnderline

Purpose

?CellDoubleUnderline indicates whether the cell font attribute is Double Underline.

Value	Description

False	Not Double Underline

True	Double Underline


?CellExtraLarge

Purpose

?CellExtraLarge indicates whether the cell font attribute is Extra Large.

Value	Description

False	Not Extra Large

True	Extra Large


?CellFine

Purpose

?CellFine indicates whether the cell font attribute is Fine.

Value	Description

False	Not Fine

True	Fine


?CellFormula

Purpose

?CellFormula indicates whether the cell contains a formula.

Value	Description

False	Does not contain a formula

True	Contains a formula


?CellIgnoreWhenCalculating

Purpose

?CellIgnoreWhenCalculating contains a value representing whether the option to ignore the current cell or blocked cells when calculating formulas is active.

Value	Description

False	Do not ignore

True	Ignore


?CellItalics

Purpose

?CellItalics indicates whether the cell font attribute is Italics.

Value	Description

False	Not Italics

True	Italics


?CellJustification

Purpose

?CellJustification contains a value representing the justification of the current cell. The value of this variable is one of the numeric equivalents or enumerated types listed for the TableCellJustification command.

See Also

TableCellJustification


?CellLarge

Purpose

?CellLarge indicates whether the cell font attribute is Large.

Value	Description

False	Not Large

True	Large


?CellLocked

Purpose

?CellLocked indicates whether the current cell is locked.

Value	Description

False	Not locked

True	Locked


?CellNormal

Purpose

?CellNormal indicates whether the cell font attribute is Normal (no specified attributes).

Value	Description

False	Not Normal

True	Normal


?CellOutline

Purpose

?CellOutline indicates whether the cell font attribute is Outline.

Value	Description

False	Not Outline

True	Outline


?CellRedline

Purpose

?CellRedline indicates whether the cell font attribute is Redline.

Value	Description

False	Not Redline

True	Redline


?CellShadow

Purpose

?CellShadow indicates whether the cell font attribute is Shadow.

Value	Description

False	Not Shadow

True	Shadow


?CellSmall

Purpose

?CellSmall indicates whether the cell font attribute is Small.

Value	Description

False	Not Small

True	Small


?CellSmallCaps

Purpose

?CellSmallCaps indicates whether the cell font attribute is Small Caps.

Value	Description

False	Not Small Caps

True	Small Caps


?CellSpecificAttribute

Purpose

?CellSpecificAttribute indicates whether the current cell contains cell-specific attributes.

Value	Description

0	Does not contain cell-specific attributes

1	Contains cell-specific attributes


?CellSpecificJustification

Purpose

?CellSpecificJustification contains a value representing whether cell justification is active in the current cell.

Value	Description

0	No cell justification

1	Cell justification


?CellStrikeout

Purpose

?CellStrikeout indicates whether the cell font attribute is Strikeout.

Value	Description

False	Not Strikeout

True	Strikeout


?CellSubscript

Purpose

?CellSubscript indicates whether the cell font attribute is Subscript.

Value	Description

False	Not Subscript

True	Subscript


?CellSuperscript

Purpose

?CellSuperscript indicates whether the cell font attribute is Superscript.

Value	Description

False	Not Superscript

True	Superscript


?CellUnderline

Purpose

?CellUnderline indicates whether the cell font attribute is Underline.

Value	Description

False	Not Underline

True	Underline


?CellVeryLarge

Purpose

?CellVeryLarge indicates whether the cell font attribute is Very Large.

Value	Description

False	Not Very Large

True	Very Large


?CenterCurrentPage

Purpose

?CenterCurrentPage indicates whether the contents of the current page only are set to be centered vertically.

Value	Description

False	Not centered

True	Centered

See Also

CenterCurrentPage


?CenterPages

Purpose

?CenterPages indicates whether the contents of the current page are centered vertically by means of the Current and Subsequent Pages setting in the Center Page(s) dialog box.

Value	Description

False	Not centered

True	Centered

See Also

CenterPages


?ChapterNumber

Purpose

?ChapterNumber contains the current chapter number.

See Also

ChapterNumber


?ChapterNumberMethod

Purpose

?ChapterNumberMethod contains a value representing the current chapter numbering method. The value of this variable is one of the numeric equivalents or enumerated types listed for ChapterNumberMethod.

For example, the following macro causes the computer to beep if the current chapter numbering method is uppercase roman numerals:

IF

(

?ChapterNumberMethod=4

)

BEEP

ENDIF

See Also

ChapterNumberMethod


?CharSpaceWidth

Purpose

?CharSpaceWidth contains a value representing the amount of space between letters. The value of this variable is one of the numeric equivalents or enumerated types listed for the CharacterWidth parameter of WordLetterSpacing, or a percentage of WordPerfect Optimal.

Value	Description

0	Normal spacing

100	WordPerfect optimal spacing

See Also

WordLetterSpacing


?Column

Purpose

?Column contains the number of the current text column or table column.


?ColumnBorder

Purpose

?ColumnBorder contains a value representing whether the current column setting includes a border.

Value	Description

0	No border

1	Border


?ColumnDefine

Purpose

?ColumnDefine contains a value representing the current column type. The value of this variable is one of the numeric equivalents or enumerated types listed for the ColumnsType parameter of ColumnsDefinition.

For example, the following macro causes the computer to beep if the current column type is Parallel:

IF

(

?ColumnDefine=2

)

BEEP

ENDIF

See Also

ColumnsDefinition


?CurrentParagraphLevel

Purpose

?CurrentParagraphLevel contains a value representing the level of the current outline paragraph.


?CurrentWord

Purpose

?CurrentWord contains the word at the insertion point.


?DateDay

Purpose

?DateDay contains a numeric value representing the current day of the month.


?DateMonth

Purpose

?DateMonth contains a numeric value representing the current month.


?DateWeekday

Purpose

?DateWeekday contains a numeric value representing the current day of the week. On Sundays this variable contains the value 0, so values range from 0 to 6.


?DateYear

Purpose

?DateYear contains a numeric value representing the current year.


?DecimalAlignmentCharacter

Purpose

?DecimalAlignmentCharacter contains a value representing the current decimal alignment character. The value of this variable is the character's ASCII numeric equivalent.

See Also

DecimalAlignmentCharacter


?DisplayMode

Purpose

?DisplayMode contains a value representing the current display mode. The value of this variable is one of the numeric equivalents or enumerated types listed for DisplayMode.

For example, the following macro causes the computer to beep if the current display mode is Graphics mode:

IF

(

?DisplayMode=2

)

BEEP

ENDIF


?DisplayPitch

Purpose

?DisplayPitch contains a value representing whether display pitch is set to auto or manual.

Value	Description

0	Automatic

1	Manual


?DocChanged

Purpose

?DocChanged contains a value representing whether the current document has been modified since the last time it was saved.

Value	Description

0	Not changed

1	Changed


?DocNumber

Purpose

?DocNumber contains the current document number. Values range from 1 to 9.


?DocumentFont

Purpose

?DocumentFont contains the current font name.


?DocumentInformation

Purpose

?DocumentInformation contains the number of characters in the current document.


?DotLeader

Purpose

?DotLeader contains a value representing a dot leader character. The value of this variable is the character's ASCII numeric equivalent.

See Also

DotLeader


?EndnoteMinimum

Purpose

?EndnoteMinimum contains a measurement expression indicating the amount of endnote text to keep together.

See Also

EndnoteMinimum


?Endnote

Purpose

?Endnote contains the number of the endnote to the left of the insertion point.


?EndnoteSpace

Purpose

?EndnoteSpace contains a measurement expression indicating the amount of blank space between endnotes.


?Fill

Purpose

?Fill contains a value representing the current fill style. The value of this variable is one of the numeric equivalents or enumerated types listed for FillStyleEdit. This variable must be preceded by a command which specifies a fill style, such as FillStyleEdit, and followed by a closing command such as FillStyleEnd.

For example, the following macro types the name of the style specified by FillStyleEdit:

FillStyleEdit

(

Style: Fill10!

)

Type

(

?Fill

)

FillStyleEnd

(

State: Save!

)

See Also

FillStyleEdit


?FillGradientSteps

Purpose

?FillGradientSteps contains a value representing whether steps in a gradient are calculated automatically. This variable must be preceded by a command which specifies a fill style, such as FillStyleEdit, and followed by a closing command such as FillStyleEnd.

Value	Description

0	Not calculated automatically

1	Calculated automatically


?FillGradientType

Purpose

?FillGradientType contains a value representing whether the current gradient fill is a linear, radial, or rectangular gradient. The value of this variable is one of the numeric equivalents or enumerated types listed for the Gradient parameter of FillSetGradient. This variable must be preceded by a command which specifies a fill style, such as FillStyleEdit, and followed by a closing command such as FillStyleEnd.

For example, the following macro causes the computer to beep if the fill style specified is a radial gradient:

FillStyleEdit

(

Style: Fill10!

)

IF

(

?FillGradientType=1

)

BEEP

ENDIF

FillStyleEnd

(

State: Save!

)

See Also

FillSetGradient


?FillType

Purpose

?FillType contains a value representing whether the fill is a pattern or a gradient. This variable must be preceded by either FillStyleCreate or FillStyleEdit and followed by FillStyleEnd, or be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

Value	Description

0	Pattern

1	Gradient


?FillWPG2Pattern

Purpose

?FillWPG2Pattern contains a value representing a predefined fill pattern. The value of this variable is one of the numeric equivalents or enumerated types listed for the Index parameter of FillSetWPG2.  This variable must be preceded by either FillStyleCreate or FillStyleEdit and followed by FillStyleEnd, or be preceded by either BoxCreate or BoxEdit and followed by BoxEnd.

For example, the following macro types a value representing the pattern specified for Button Fill:

FillStyleEdit

(

FillName: "Button Fill"

)

Type

(

?FillWPG2Pattern

)

FillStyleEnd

(

State: Save!

)

See Also

FillSetWPG2


?FirstLineIndent

Purpose

?FirstLineIndent contains a measurement expression indicating the amount the first line of a new paragraph is indented.


?FirstPrintLineNum

Purpose

?FirstPrintLineNum contains the first line number to print.


?Font

Purpose

?Font contains the current font name.


?FontBold

Purpose

?FontBold contains a value representing whether the current font attribute is Bold.

Value	Description

0	Not Bold

1	Bold


?FontDoubleUnderline

Purpose

?FontDoubleUnderline contains a value representing whether the current font attribute is Double Underline.

Value	Description

0	Not Double Underline

1	Double Underline


?FontExtraLarge

Purpose

?FontExtraLarge contains a value representing whether the current font attribute is Extra Large.

Value	Description

0	Not Extra Large

1	Extra Large


?FontFine

Purpose

?FontFine contains a value representing whether the current font attribute is Fine.

Value	Description

0	Not Fine

1	Fine


?FontItalics

Purpose

?FontItalics contains a value representing whether the current font attribute is Italics.

Value	Description

0	Not Italics

1	Italics


?FontLarge

Purpose

?FontLarge contains a value representing whether the current font attribute is Large.

Value	Description

0	Not Large

1	Large


?FontOutline

Purpose

?FontOutline contains a value representing whether the current font attribute is Outline.

Value	Description

0	Not Outline

1	Outline


?FontRedline

Purpose

?FontRedline contains a value representing whether the current font attribute is Redline.

Value	Description

0	Not Redline

1	Redline


?FontShadow

Purpose

?FontShadow contains a value representing whether the current font attribute is Shadow.

Value	Description

0	Not Shadow

1	Shadow


?FontSize

Purpose

?FontSize contains a value representing the current font size.


?FontSmall

Purpose

?FontSmall contains a value representing whether the current font attribute is Small.

Value	Description

0	Not Small

1	Small


?FontSmallCaps

Purpose

?FontSmallCaps contains a value representing whether the current font attribute is Small Caps.

Value	Description

0	Not Small Caps

1	Small Caps


?FontStrikeout

Purpose

?FontStrikeout contains a value representing whether the current font attribute is Strikeout.

Value	Description

0	Not Strikeout

1	Strikeout


?FontSubscript

Purpose

?FontSubscript contains a value representing whether the current font attribute is Subscript.

Value	Description

0	Not Subscript

1	Subscript


?FontSuperscript

Purpose

?FontSuperscript contains a value representing whether the current font attribute is Superscript.

Value	Description

0	Not Superscript

1	Superscript


?FontUnderline

Purpose

?FontUnderline contains a value representing whether the current font attribute is Underline.

Value	Description

0	Not Underline

1	Underline


?FontVeryLarge

Purpose

?FontVeryLarge contains a value representing whether the current font attribute is Very Large.

Value	Description

0	Not Very Large

1	Very Large


?FooterAOccur

Purpose

?FooterAOccur contains a value representing whether Footer A prints on odd, even, or all pages. The value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of FooterA.

For example, the following macro causes the computer to beep if Footer A occurs on odd pages:

IF

(

?FooterAOccur=1

)

BEEP

ENDIF

See Also

FooterA


?FooterBOccur

Purpose

?FooterBOccur contains a value representing whether Footer B prints on odd, even, or all pages. The value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of FooterB.

For example, the following macro causes the computer to beep if Footer B occurs on even pages:

IF

(

?FooterBOccur=2

)

BEEP

ENDIF

See Also

FooterB


?FooterSeparator

Purpose

?FooterSeparator contains a measurement expression indicating the amount of blank space above a footer.


?FootnoteContinued

Purpose

?FootnoteContinued contains a value representing whether to print a continued message when a footnote is split between two pages.

Value	Description

0	No continued message

1	Print continued message


?FootnoteMinimum

Purpose

?FootnoteMinimum contains a measurement expression indicating the minimum amount of footnote text to keep together.


?Footnote

Purpose

?Footnote contains the footnote number to the left of the insertion point.


?FootnotePosition

Purpose

?FootnotePosition contains a value representing whether footnotes are printed at the bottom of the page or just below the last line of text.

Value	Description

0	Bottom of page

1	After text


?FootnoteRestartsPage

Purpose

?FootnoteRestartsPage contains a value representing footnote numbering restarts on every page.

Value	Description

0	Does not restart

1	Restarts


?FootnoteSpace

Purpose

?FootnoteSpace contains a measurement expression indicating the amount of blank space between footnotes.


?SelectedText

Purpose

?SelectedText contains text selected in the current document.


?GraphicsLineBottomSpacing

Purpose

?GraphicsLineBottomSpacing contains a value representing the amount of space below a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of space below line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineBottomSpacing

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineSpacing


?GraphicsLineColorBlue

Purpose

?GraphicsLineColorBlue contains a value representing the amount of blue in a graphics line color. Values range from 0 to 255, with 0 indicating no blue and 255 indicating solid blue. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of blue in line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineColorBlue

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineColor


?GraphicsLineColorGreen

Purpose

?GraphicsLineColorGreen contains a value representing the amount of green in a graphics line color. Values range from 0 to 255, with 0 indicating no green and 255 indicating solid green. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of green in line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineColorGreen

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineColor


?GraphicsLineColorRed

Purpose

?GraphicsLineColorRed contains a value representing the amount of red in a graphics line color. Values range from 0 to 255, with 0 indicating no red and 255 indicating solid red. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of red in line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineColorRed

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineColor


?GraphicsLineColorShading

Purpose

?GraphicsLineColorShading contains a value representing the shade of a graphics line color. Values range from 0 to 100, with 100 indicating the darkest shade of a color. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the shade of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineColorShading

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineColor


?GraphicsLineCount

Purpose

?GraphicsLineCount contains the number of graphics lines in the current document.


?GraphicsLineHorizontalAlign

Purpose

?GraphicsLineHorizontalAlign contains a value representing the horizontal alignment of a graphics line. The value of this variable is one of the numeric equivalents or enumerated types listed for the Position parameter of GraphicsLineHorizontalPosition.  This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the horizontal position of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineHorizontalAlign

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineHorizontalPosition


?GraphicsLineHorizontalColumn

Purpose

?GraphicsLineHorizontalColumn contains a column number. When the horizontal position of a graphics line is set to Between Columns, the value of this variable is the number of the column to the left of the line. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types the number of the column to the left of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineHorizontalColumn

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineHorizontalPosition


?GraphicsLineHorizontalPosition

Purpose

?GraphicsLineHorizontalPosition contains a value representing the horizontal position of a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the horizontal position of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineHorizontalPosition

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineHorizontalPosition


?GraphicsLineLength

Purpose

?GraphicsLineLength contains the length of a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the length of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineLength

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineLength


?GraphicsLineNum

Purpose

?GraphicsLineNum contains the current graphics line number.


?GraphicsLineStyle

Purpose

?GraphicsLineStyle contains a value representing a graphics line style. The value of this variable is either one of the numeric equivalents or enumerated types listed for GraphicsLineStyle, or the name of a user-created style. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd commands.

For example, the following macro types a value representing the style of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineStyle

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineStyle


?GraphicsLineThickness

Purpose

?GraphicsLineThickness contains a value representing the thickness of a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd commands.

For example, the following macro types a value representing the thickness of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineThickness

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineThickness


?GraphicsLineTopSpacing

Purpose

?GraphicsLineTopSpacing contains a value representing the amount of space above a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the amount of space above line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineTopSpacing

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineSpacing


?GraphicsLineType

Purpose

?GraphicsLineType contains a value representing whether a graphics line is horizontal or vertical. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Value	Description

0	Horizontal line

1	Vertical line

See Also

GraphicsLineType


?GraphicsLineUseColor

Purpose

?GraphicsLineUseColor contains a value representing whether to use the current line style color or to choose another color. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd commands.

Value	Description

0	Use line style color

1	Choose a color

See Also

GraphicsLineUseColor


?GraphicsLineVerticalAlign

Purpose

?GraphicsLineVerticalAlign contains a value representing the vertical alignment of a graphics line. The value of this variable is one of the numeric equivalents or enumerated types listed for the Position parameter of GraphicsLineVerticalPosition.  This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the vertical alignment of line 1:

 	GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineVerticalAlign

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineVerticalPosition


?GraphicsLineVerticalPosition

Purpose

?GraphicsLineVerticalPosition contains a value representing the vertical position of a graphics line. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

For example, the following macro types a value representing the vertical position of line 1:

GraphicsLineEdit

(

Line: 1

)

Type

(

?GraphicsLineVerticalPosition

)

GraphicsLineEnd

(

State: Save!

)

See Also

GraphicsLineVerticalPosition


?HeaderAOccur

Purpose

?HeaderAOccur contains a value representing whether Header A prints on odd, even, or all pages. If the header is active, the value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of HeaderA. A value of 0 is returned if the header is not active.

For example, the following macro causes the computer to beep if Header A occurs on odd pages:

IF

(

?HeaderAOccur=1

)

BEEP

ENDIF

See Also

HeaderA


?HeaderBOccur

Purpose

?HeaderBOccur contains a value representing whether Header B prints on odd, even, or all pages. If the header is active, the value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of HeaderB. A value of 0 is returned if the header is not active.

For example, the following macro causes the computer to beep if Header B occurs on odd pages:

IF

(

?HeaderBOccur=1

)

BEEP

ENDIF

See Also

HeaderB


?HeaderSeparator

Purpose

?HeaderSeparator contains a measurement expression in WordPerfect units (1200ths of an inch) indicating the amount of blank space above a Header.

See Also

HeaderSeparationDistance


?HypertextLast

Purpose

?HypertextLast contains the filename of the file in which a hypertext link originated.


?HypertextType

Purpose

?HypertextType contains a value representing whether a hypertext link jumps to a bookmark or plays a macro.

Value	Description

2	Bookmark

4	Macro


?Hyphenation

Purpose

?Hyphenation contains a value representing whether hyphenation is on or off.

Value	Description

0	Hyphenation off

1	Hyphenation on

See Also

Hyphenation


?Indent

Purpose

?Indent contains a value representing whether the first line of a new paragraph is indented.

Value	Description

0	Not indented

1	Indented

See Also

Indent


?IndexDefinition

Purpose

?IndexDefinition contains a value representing the current index heading style. The value of this variable is one of the numeric equivalents or enumerated types listed for the Heading parameter of IndexDefinition.

For example, the following macro causes the computer to beep if the current index heading style is Index 2 Style:

IF

(

?IndexDefinition=30

)

BEEP

ENDIF

See Also

IndexDefinition


?Justification

Purpose

?Justification contains a value representing the current justification. The value of this variable is one of the numeric equivalents or enumerated types listed for Justification.

For example, the following macro causes the computer to beep if justification is set to Center:

IF

(

?Justification=2

)

BEEP

ENDIF

See Also

Justification


?Kerning

Purpose

?Kerning contains a value representing whether Automatic Kerning is on or off.

Value	Description

0	Off

1	On

See Also

Kerning


?Language

Purpose

?Language contains a value representing the current language. The value of this variable is a WordPerfect language code. For example, if the current language is U.S. English, the value is US.

See Also

Language


?LeftChar

Purpose

?LeftChar contains a value representing the character immediately to the left of the insertion point. The value of this variable is the ASCII numeric equivalent of the character.


?LeftCode

Purpose

?LeftCode contains a value representing the code immediately to the left of the insertion point. The value of this variable is the numeric equivalent of the code.


?LeftHyphZone

Purpose

?LeftHyphZone contains a value representing the lower limit of a hyphenation zone. The value of this variable is a numeric expression indicating a percentage of a word.

See Also

HyphenationZoneLeft


?LeftMarginAdj

Purpose

?LeftMarginAdj contains a measurement expression indicating the amount of left margin adjustment for the current paragraph.

See Also

MarginAdjustLeft


?LineHeight

Purpose

?LineHeight contains a value representing whether line height is fixed or set automatically.

Value	Description

0	Fixed

1	Automatic

See Also

LineHeight


?LineNumber

Purpose

?LineNumber contains the starting line number for the current document.


?LineNumbering

Purpose

?LineNumbering contains a value representing whether Line Numbering is on or off.

Value	Description

False	Line numbering off

True	Line numbering on

See Also

LineNumbering


?LineNumberingInterval

Purpose

?LineNumberingInterval contains a number indicating the interval between numbered lines.

See Also

LineNumbering


?LineNumberMethod

Purpose

?LineNumberMethod contains a value representing the line numbering method. The value of this variable is one of the numeric equivalents or enumerated types listed for LineNumberingMethod.

For example, the following macro causes the computer to beep if the line numbering method is uppercase roman numerals:

IF

(

?LineNumberMethod=4

)

BEEP

ENDIF


?LineNumCountBlankLines

Purpose

?LineNumCountBlankLines contains a value representing whether Line Numbering counts blank lines.

Value	Description

False	Do not count blank lines

True	Count blank lines

See Also

LineNumbering


?LineNumNewspaperCols

Purpose

?LineNumNewspaperCols contains a value representing whether Line Numbering numbers newspaper columns.

Value	Description

False	Do not number newspaper columns

True	Number newspaper columns

See Also

LineNumbering


?LineNumPosition

Purpose

?LineNumPosition returns in WordPerfect units the position of the insertion point relative to the left edge of the page or margin, depending on user selection.

See Also

LineNumbering


?LineSegmentBlue

Purpose

?LineSegmentBlue contains a value representing the amount of blue in a table line segment color. Values range from 0 to 255, with 0 indicating no blue and 255 indicating solid blue. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the amount of blue in a specified line segment:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentBlue

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentColor


?LineSegmentCount

Purpose

?LineSegmentCount contains the number of line segments in a line style. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd.

For Example:

LineStyleEdit

(

Style: "My Style"

)

Type

(

?LineSegmentCount

)

LineStyleEnd

(

State: Save!

)


?LineSegmentGreen

Purpose

?LineSegmentGreen contains a value representing the amount of green in a line segment color. Values range from 0 to 255, with 0 indicating no green and 255 indicating solid green. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the amount of green in a specified line segment:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentGreen

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentColor


?LineSegmentRed

Purpose

?LineSegmentRed contains a value representing the amount of red in a line segment color. Values range from 0 to 255, with 0 indicating no red and 255 indicating solid red. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the amount of red in a specified line segment:

LineStyleEdit

(

State: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentRed

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentColor


?LineSegmentSetUserData

Purpose

?LineSegmentSetUserData contains a measurement expression indicating the dash length in the current custom line pattern. This variable must be preceded by LineSegmentSetUser and followed by LineSegmentSetUserEnd.

For example, the following macro types a value representing the dash length in a specified line segment:

LineSegmentSetUser

(

OnOffs: 2

)

Type

(

?LineSegmentSetUserData

)

LineSegmentSetUserEnd ()

See Also

LineSegmentSetUserData


?LineSegmentShading

Purpose

?LineSegmentShading contains a value representing the shade of a line segment color. Values range from 0 to 100, with 100 indicating the darkest shade of a color. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the shade of a specified line segment:

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentShading

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentColor


?LineSegmentSpacing

Purpose

?LineSegmentSpacing contains a value representing the amount of space between one stacked line segment and the next. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the amount of space between specified stacked line segments:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentSpacing

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentSpacing


?LineSegmentWidth

Purpose

?LineSegmentWidth contains the thickness of a line segment. The value of this variable is a measurement expression using the current unit of measure. This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the width of a specified line segment:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentWidth

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentWidth


?LineSegmentWPG2Pattern

Purpose

?LineSegmentWPG2Pattern contains a value representing a predefined line segment pattern. The value of this variable is one of the numeric equivalents or enumerated types listed for the LineSegmentSetWPG2.  This variable must be preceded by either LineStyleCreate or LineStyleEdit and followed by LineStyleEnd, and be preceded by either LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

For example, the following macro types a value representing the pattern of a specified line segment:

LineStyleEdit

(

Style: "My Style"

)

LineSegmentEdit

(

Position: 0

)

Type

(

?LineSegmentWPG2Pattern

)

LineSegmentEnd

(

State: Save!

)

LineStyleEnd

(

State: Save!

)

See Also

LineSegmentSetWPG2


?LineSpacing

Purpose

?LineSpacing contains a measurement expression indicating the amount of space between lines.

See Also

LineSpacing


?ListDefinition

Purpose

?ListDefinition contains the current list name.

See Also

ListDefinition


?MarginBottom

Purpose

?MarginBottom contains a value representing the size of the bottom margin. The value of this variable is a measurement expression in the current unit of measure.

See Also

MarginBottom


?MarginLeft

Purpose

?MarginLeft contains a value representing the size of the left margin. The value of this variable is a measurement expression in the current unit of measure.

See Also

MarginLeft


?MarginRight

Purpose

?MarginRight contains a value representing the size of the right margin. The value of this variable is a measurement expression in the current unit of measure.

See Also

MarginRight


?MarginTop

Purpose

?MarginTop contains a value representing the size of the top margin. The value of this variable is a measurement expression in the current unit of measure.

See Also

MarginTop


?Overstrike

Purpose

?Overstrike contains the current overstrike characters.

See Also

OverstrikeCreate


?PageBorder

Purpose

?PageBorder contains a value representing whether the current page has a border.

Value	Description

0	No border

1	Border

See Also

PageBorderDlg


?Page

Purpose

?Page contains the current page number.

See Also

PageNumber


?PageNumberFormat

Purpose

?PageNumberFormat contains the text included in the current page numbering format.

See Also

PageNumberFormat


?PageNumberingOn

Purpose

?PageNumberingOn contains a value representing whether page numbering is on in the current document.

Value	Description

0	No page numbering

1	Page numbering on


?PageNumberingValue

Purpose

?PageNumberingValue contains the new page number specified in Page Settings in the Numbering Value dialog box. (Route: Layout, Page, Numbering Value.)


?PageNumberMethod

Purpose

?PageNumberMethod contains a value representing the current page numbering method. The value of this variable is one of the numeric equivalents or enumerated types listed for PageNumberMethod.

For example, the following macro causes the computer to beep if the current page numbering method is numbers:

IF

(

?PageNumberMethod=0

)

BEEP

ENDIF

See Also

PageNumberMethod


?PageNumberPosition

Purpose

?PageNumberPosition contains a value representing the current page number position on the page. The value of this variable is one of the numeric equivalents or enumerated types listed for the Position parameter of PageNumberPosition.

For example, the following macro causes the computer to beep if the current page number position is top left:

IF

(

?PageNumberPosition=1

)

BEEP

ENDIF

See Also

PageNumberPosition


?PageSuppress

Purpose

?PageSuppress contains a value representing the items to suppress on the current page, as set in the Suppress dialog box.  If two or more items are suppressed, the value returned is the sum of the items' values.

Value	Description

0	None

1	Page numbering

2	Print page number at bottom center on current page

4	Header A

8	Header B

16	Footer A

32	Footer B

64	Watermark A

128	Watermark B

253	All

See Also

PageSuppressDlg


?PaperLength

Purpose

?PaperLength contains a measurement expression indicating the current paper length.


?PaperSizeType

?PaperSizeType contains a value representing paper type of the paper definition selected in the Paper Size dialog box. The value of this variable is one of the numeric equivalents or enumerated types listed for the Type parameter of PaperSizeAdd.

For example, the following macro causes the computer to beep if a bond paper type is selected:

IF

(

?PaperSizeType=2

)

BEEP

ENDIF

See Also

PaperSizeDlg

PaperSizeAdd


?PaperWidth

Purpose

?PaperWidth contains a measurement expression indicating the current paper width.


?ParagraphBorder

Purpose

?ParagraphBorder contains a value representing whether a border style is selected in the Paragraph Border dialog box.

Value	Description

0	No border style selected

1	Border style selected

See Also

ParagraphBorderDlg


?ParagraphNumber

Purpose

?ParagraphNumber contains a value indicating the paragraph number if the paragraph outline style is active.  If the paragraph outline style is not active, the value returned is 0.


?ParagraphNumberMethod

Purpose

?ParagraphNumberMethod contains a value indicating the paragraph numbering method specified for an outline when a custom number is defined in the Edit Outline Definition dialog box. The value of this variable is one of the numeric equivalents or enumerated types listed for PageNumberMethod.

For example, the following macro causes the computer to beep if the paragraph numbering method is numbers:

IF

(

?ParagraphNumberMethod=0

)

BEEP

ENDIF

See Also

PageNumberMethod


?Position

Purpose

?Position contains a value representing the horizontal position of the insertion point. The value of this variable is a measurement expression given in WordPerfect units of measure (1/200").


?RedlineCharacter

Purpose

?RedlineCharacter contains a value representing the character used to mark redline text. The value of this variable is the character's ASCII numeric equivalent.

See Also

RedlineCharacter


?RedlineMethod

Purpose

?RedlineMethod contains a value representing a redline method for the current document. The value of this variable is one of the numeric equivalents or enumerated types listed for RedlineMethod.

For example, the following macro causes the computer to beep if the current redline method is printer dependent:

IF

(

?RedlineMethod=0

)

BEEP

ENDIF

See Also

RedlineMethod


?RightChar

Purpose

?RightChar contains the character at the insertion point.


?RightCode

Purpose

?RightCode contains a value representing the code at the insertion point.  The value of this variable is the numeric equivalent of the code.


?RightHyphZone

Purpose

?RightHyphZone contains a value representing the upper limit of a hyphenation zone. The value of this variable is a numeric expression indicating a percentage of a word.

See Also

HyphenationZoneRight


?RightMarginAdj

Purpose

?RightMarginAdj contains a measurement expression indicating the amount of right margin adjustment for the current paragraph.

See Also

MarginAdjustRight


?Row

Purpose

?Row contains the current row number in a table.


?RowHeader

Purpose

?RowHeader contains a value representing whether the current table row is a header row.

Value	Description

0	Not a header

1	Header


?RowHeight

Purpose

?RowHeight contains a measurement expression indicating the current table row height.


?SecondaryPageNumber

Purpose

?SecondaryPageNumber contains the current secondary page number.

See Also

SecondaryPageNumber


?SecondaryPageNumberMethod

Purpose

?SecondaryPageNumberMethod contains a value representing the secondary page numbering method for the current document. The value of this variable is one of the numeric equivalents or enumerated types listed for SecondaryPageNumberMethod.

For example, the following macro causes the computer to beep if the secondary page numbering method is lowercase letters:

IF

(

?SecondaryPageNumberMethod=1

)

BEEP

ENDIF

See Also

SecondaryPageNumberMethod


?ShowBoxes

Purpose

?ShowBoxes contains a value representing whether display preferences are set to hide or show graphics.

Value	Description

0	Hide graphics

1	Show graphics

See Also

ShowBoxes


?SortGetAction

Purpose

?SortGetAction contains a value representing whether Select Without Sorting is on or off.

Value	Description

0	Off

1	On

See Also

SortAction


?SortGetCase

Purpose

?SortGetCase contains a value representing whether the Uppercase First sort option is on or off.

Value	Description

0	Off

1	On

See Also

SortCaseOrder


?SpaceExpansion

Purpose

?SpaceExpansion contains percentage indicating the current compression limit for word spacing justification.

See Also

WordSpacingJustificationLimits


?SpacingBelowPar

Purpose

?SpacingBelowPar contains a measurement expression indicating the amount of blank space between paragraphs. The default is 1.0, which is equal to the font point size plus 2 points.

See Also

ParagraphSpacing


?StartingLineNumber

Purpose

?StartingLineNumber contains the first number to use when numbering lines of text.

See Also

LineNumbering


?TableGuides

Purpose

?TableGuides contains a value representing whether the Table Cell Guides display preference is on or off.

Value	Description

0	Off

1	On

See Also

TableGuides


?TableInTable

Purpose

?TableInTable contains a value representing whether the insertion point is in a table.

Value	Description

0	Not in a table

1	In a table


?TableLastCell

Purpose

?TableLastCell contains a value representing whether the current cell is the last cell in a table.

Value	Description

0	Not lastcell

1	Last cell


?TabSettings

Purpose

?TabSettings contains a value representing whether tabs are positioned from the left edge of the paper or relative to the left margin.

Value	Description

0	Left edge of paper

1	Left margin

See Also

TabSet


?TextColorBlue

Purpose

?TextColorBlue contains a value representing the amount of blue in the current text color. Values range from 0 to 255.

See Also

TextColor


?TextColorGreen

Purpose

?TextColorGreen contains a value representing the amount of green in the current text color. Values range from 0 to 255.

See Also

TextColor


?TextColorRed

Purpose

?TextColorRed contains a value representing the amount of red in the current text color. Values range from 0 to 255.

See Also

TextColor


?TextColumnNumber

Purpose

?TextColumnNumber contains the number of the text column containing the insertion point.


?TextColumns

Purpose

?TextColumns contains the number of text columns in the current document.


?TextShade

Purpose

?TextShade contains a value representing the shade of the current text color. The value of this variable is a percentage, with 100 indicating the darkest shade of a color.

See Also

TextColor


?ThousandsSeparatorChar

Purpose

?ThousandsSeparatorChar contains a value representing the character that appears in numbers greater than or equal to 1000 to separate each three digits. The value of this variable is the character's ASCII numeric equivalent.

See Also

ThousandsSeparator


?TimeHour

Purpose

?TimeHour contains a value representing the current hour.


?TimeHundredth

Purpose

?TimeHundredth contains a value representing the current hundredth of a second.


?TimeMinute

Purpose

?TimeMinute contains a value representing the current minute.


?TimeSecond

Purpose

?TimeSecond contains a value representing the current second.


?TOADefinition

Purpose

?TOADefinition contains the current table of authorities section name.

See Also

TOADefinition


?ToAShortFormMarks

Purpose

?ToAShortFormMarks contains the name of the last table of authorities short form marked.

See Also

TOAMarkShortForm


?ToCDefinition

Purpose

?ToCDefinition contains the number of levels defined for the current table of contents.

See Also

TOCDefine


?TypeoverActive

Purpose

?TypeoverActive contains a value representing whether Typeover is active.

Value	Description

0	Not active

1	Active

See Also

Typeover


?UnderlineSpaces

Purpose

?UnderlineSpaces contains a value representing whether blank spaces are underlined when underline is on.

Value	Description

0	Do not underline spaces

1	Underline spaces

See Also

UnderlineSpaces


?UnderlineTabs

Purpose

?UnderlineTabs contains a value representing whether tabs are underlined when underline is on.

Value	Description

0	Do not underline tabs

1	Underline tabs

See Also

UnderlineTabs


?UnprintableBottomMargin

Purpose

?UnprintableBottomMargin contains a measurement expression indicating the size of the unprintable bottom margin in WordPerfect units.


?UnprintableLeftMargin

Purpose

?UnprintableLeftMargin contains a measurement expression indicating the size of the unprintable left margin in WordPerfect units.


?UnprintableRightMargin

Purpose

?UnprintableRightMargin contains a measurement expression indicating the size of the unprintable right margin in WordPerfect units.


?UnprintableTopMargin

Purpose

?UnprintableTopMargin contains a measurement expression indicating the size of the unprintable top margin in WordPerfect units.


?VolumeNumber

Purpose

?VolumeNumber contains the current volume number.

See Also

VolumeNumber


?VolumeNumberMethod

Purpose

?VolumeNumberMethod contains a value representing the current volume numbering method. The value of this variable is one of the numeric equivalents or enumerated types listed for VolumeNumberMethod.

For example, the following macro causes the computer to beep if the volume numbering method is numbers:

IF

(

?VolumeNumberMethod=0

)

BEEP

ENDIF

See Also

VolumeNumberMethod


?WatermarkAOccur

Purpose

?WatermarkAOccur contains a value representing whether Watermark A occurs on odd, even, or all pages. The value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of WatermarkA.

For example, the following macro causes the computer to beep if Watermark A occurs on all pages:

IF

(

?WatermarkA=3

)

BEEP

ENDIF

See Also

WatermarkA


?WatermarkBOccur

Purpose

?WatermarkBOccur contains a value representing whether Watermark B occurs on odd, even, or all pages. The value of this variable is one of the numeric equivalents or enumerated types listed for the Occurrence parameter of WatermarkB.

For example, the following macro causes the computer to beep if Watermark B occurs on even pages:

IF

(

?WatermarkB=2

)

BEEP

ENDIF

See Also

WatermarkB


?WidowOrphan

Purpose

?WidowOrphan indicates whether Widow/Orphan is on or off.

Value	Description

False	Off

True	On

See Also

WidowOrphan


?WritingToolsDisabledState

Purpose

?WritingToolsDisabledState contains a value representing whether Disable Writing Tools is on or off.

Value	Description

0	Off

1	On

See Also

WritingToolsDisable


?Zoom

Purpose

?Zoom contains a percentage indicating the size of the current view.

See Also

ZoomDlg


AbbreviationCreate

Purpose

AbbreviationCreate creates an abbreviation in a template.

Syntax

AbbreviationCreate (AbbreviationName: Character Expression; Template: Numeric Equivalent or Enumerated Type; Text: Character Expression)

Parameters

AbbreviationName: Character Expression

Names the abbreviation being created.

Template: Numeric Equivalent or Enumerated Type (optional)

Specifies the template containing the abbreviation.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

Text: Character Expression

Specifies the text assigned to an abbreviation name.

See Also

AbbreviationDelete

AbbreviationExpand


Route...

Select text, Insert, Abbreviations, Create.


For Example...

To set the abbreviation for "WordPerfect" to "WP" in the current template, the command is:

AbbreviationCreate

(

AbbreviationName: "WP";

Template: CurrentDoc!;

Text: "WordPerfect"

)


AbbreviationDelete

Purpose

AbbreviationDelete deletes an abbreviation from a template.

Syntax

AbbreviationDelete (AbbreviationName: Character Expression; Template: Numeric Equivalent or Enumerated Type)

Parameters

AbbreviationName: Character Expression

Specifies the name of an abbreviation to delete.

Template: Numeric Equivalent or Enumerated Type

Specifies the template containing the abbreviation.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

AbbreviationCreate

AbbreviationExpand


Route...

Insert, Abbreviations, select an abbreviation, Delete.


For Example...

To delete the abbreviation "DBW" from the current template, the command is:

AbbreviationDelete

(

AbbreviationName: "DBW";

Template: CurrentDoc!

)


AbbreviationDlg

Purpose

AbbreviationDlg displays the Abbreviation dialog box.

Syntax

AbbreviationDlg ()


Route...

Insert, Abbreviations.


For Example...

Since this command doesn't require parameters, the command name is all that is needed to perform the task.

To include this command in a macro you are recording, display the dialog box with the steps described in the Route pop-up, then select the check box located in the upper right corner of the dialog box.  This check box will only be visible while you are recording a macro.  After selecting the check box, you must perform an action that will activate or select a feature within the dialog box.  If you choose Cancel or Close, the macro token will not be recorded.


AbbreviationExpand

Purpose

AbbreviationExpand replaces an abbreviation with the word or words it stands for.

Syntax

AbbreviationExpand (AbbreviationName: Character Expression; Template: Numeric Equivalent or Enumerated Type)

Parameters

AbbreviationName: Character Expression

Specifies the name of an abbreviation to expand.

Template: Numeric Equivalent or Enumerated Type

Specifies the template that contains the abbreviation.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

AbbreviationCreate

AbbreviationDelete


Route...

Insert, Abbreviations, select an abbreviation, Expand.


For Example...

To expand "bldg" to "building" in the personal library, the command is:

AbbreviationExpand:

(

AbbreviationName: "bldg";

Template: PersonalLibrary!

)


AboutDlg

Purpose

AboutDlg displays the About WordPerfect dialog box.

Syntax

AboutDlg ()


Route...

Help, About WordPerfect.


Advance

Purpose

Advance positions text a specified distance from the top or left of the page or at a certain distance from the current insertion point.

Syntax

Advance (Where: Numeric Equivalent or Enumerated Type; Amount: Measurement Expression)

Parameters

Where: Numeric Equivalent or Enumerated Type

Specifies the text advance type.

0	AdvanceLeft!

1	AdvanceRight!

2	AdvanceFromLeftEdge!

3	AdvanceUp!

4	AdvanceDown!

5	AdvanceFromTop!

Amount: Measurement Expression

 	Specifies an advance distance.

See Also

AdvanceDlg


Route...

Layout, Typesetting, Advance, set options.


For Example...

To print text 3.5" to the right of the current insertion point, the command is:

Advance

(

Where: AdvanceRight!;

Amount: 3.5"

)


AdvanceDlg

Purpose

AdvanceDlg displays the Advance dialog box.

Syntax

AdvanceDlg ()


Route...

Layout, Typesetting, Advance.


Append

Purpose

Append adds a copy of selected text or graphics to the end of the clipboard contents.

Macro execution terminates if you use this command when the clipboard is empty.

Syntax

Append ()


Route...

Select text or graphics, Edit, Append.


For Example...

Since this command doesn't require parameters, the command name is all that is needed to perform the task.


AppMaximize

Purpose

AppMaximize maximizes an application window.

If already maximized, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

AppMaximize ()

See Also

AppMinimize

AppRestore

DocMaximize

DocMinimize


Route...

AppMaximize is the same as choosing Maximize from the WordPerfect Control menu or clicking the WordPerfect Maximize button.


AppMinimize

Purpose

AppMinimize minimizes an application window to an icon.

If already minimized, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

AppMinimize ()

See Also

AppMaximize

AppRestore

DocMaximize

DocMinimize


Route...

AppMinimize is the same as choosing Minimize from the WordPerfect Control menu or clicking the WordPerfect Minimize button.


AppMove

Purpose

AppMove allows a user to reposition a window.

If WordPerfect is maximized, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

AppMove ()

See Also

DocMove


Route...

AppMove is the same as choosing Move from the WordPerfect Control menu.


AppRestore

Purpose

AppRestore restores a window to its previous size.

If WordPerfect has already been restored, this command terminates the macro or redirects macro execution to the LABEL command specified by ONERROR.

Syntax

AppRestore ()

See Also

AppMaximize

AppMinimize

DocRestore


Route...

AppRestore is the same as choosing Restore from the WordPerfect Control menu or clicking the WordPerfect Restore button.


AppSize

Purpose

AppSize allows a user to resize a window.

If already maximized, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

AppSize ()

See Also

DocSize


Route...

AppSize is the same as choosing Size from the WordPerfect Control menu.


AssociateDlg

Purpose

AssociateDlg displays the Associate dialog box.

Syntax

AssociateDlg ()


Route...

File, Template, Options, Edit Template or Create Template, Associate button.


AttributeAppearanceOff

Purpose

AttributeAppearanceOff turns off specified attribute(s) where this command is encountered.

Syntax

AttributeAppearanceOff ({Attrib: Numeric Equivalent or Enumerated Type})

Parameters

Attrib: Numeric Equivalent or Enumerated Type

Specifies the attribute(s) to turn off. AttributeAppearanceOff requires at least one attribute parameter but will accept as many attributes as you need to turn off. Enclose the repeated parameters in French braces, and place a semicolon between each attribute and the next occurrence of the Attrib parameter.

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

AttributeAppearanceOn

AttributeNormal


Route...

Layout, Font, deselect attributes.


For Example...

To turn off the attributes Shadow, Underline, and Small Caps, the command is:

AttributeAppearanceOff

(

{

Attrib: Shadow!;

Attrib: Underline!;

Attrib: Small Caps!

}

)


AttributeAppearanceOn

Purpose

AttributeAppearanceOn turns on the specified attributes where this command is encountered.

Syntax

AttributeAppearanceOn ({Attrib: Numeric Equivalent or Enumerated Type})

Parameters

Attrib: Numeric Equivalent or Enumerated Type

Specifies the attribute(s) to turn on. AttributeAppearanceOn requires at least one attribute parameter but will accept as many attributes as you need to turn on.  Enclose the repeated parameters in French braces, and place a semicolon between each attribute and the next occurrence of the Attrib parameter.

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

AttributeAppearanceOff

AttributeNormal

AttributeRelativeSize

AttributeRelativeSizeToggle


Route...

Layout, Font, select attributes.


For Example...

To turn on Shadow, Bold, and Small Caps, the command is:

AttributeAppearanceOn

(

{

Attrib: Shadow!;

Attrib: Bold!;

Attrib: Small Caps!

}

)


AttributeAppearanceToggle

Purpose

AttributeAppearanceToggle toggles attributes, usually the attributes of blocked text.

Syntax

AttributeAppearanceToggle ({Attrib: Numeric Equivalent or Enumerated Type})

Parameters

Attrib: Numeric Equivalent or Enumerated Type

Specifies the attribute(s) to toggle. AttributeAppearanceToggle requires at least one attribute parameter but will accept as many attributes as you need to toggle.  Enclose the repeated parameters in French braces, and place a semicolon between each attribute and the next occurrence of the Attrib parameter.

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

AttributeAppearanceOff

AttributeAppearanceOn

AttributeNormal

AttributeRelativeSize

AttributeRelativeSizeToggle


Route...

Select any attribute appearance buttons on a Button Bar or Power Bar.


For Example...

To toggle Italics and Redline, the command is:

AttributeAppearanceToggle

(

{

Attrib: Italics!;

Attrib: Redline!

}

)


AttributeNormal

Purpose

AttributeNormal turns off all active font attributes, including size.  Font attributes include bold, large, and redline, among others.  This command does not reset font color changes.

Syntax

AttributeNormal ()

See Also

AttributeAppearanceOff

AttributeAppearanceOn

AttributeRelativeSize

AttributeRelativeSizeToggle


Route...

Normal button on a Button Bar or Power Bar.


AttributePosition

Purpose

AttributePosition positions text vertically in relation to text on the same line.

Syntax

AttributePosition (Position: Numeric Equivalent or Enumerated Type)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies the vertical position of subsequent or blocked text.

5	Superscript!

6	Subscript!

7	NormalPosition!

See Also

AttributeNormal

AttributePositionToggle


Route...

Layout, Font, Position, select a position.


For Example...

To set the position of subsequent or blocked text as superscript, the command is:

AttributePosition

(

Position: Superscript!

)


AttributePositionToggle

Purpose

AttributePositionToggle toggles the specified position.

Syntax

AttributePositionToggle (Position: Numeric Equivalent or Enumerated Type)

Parameters

Position:  Numeric Equivalent or Enumerated Type

Specifies a position to toggle.

5	Superscript!

6	Subscript!

7	NormalPosition!

See Also

AttributeNormal

AttributePosition


Route...

Select any attribute position button on a Button Bar or Power Bar.


For Example...

To toggle a subscript position, the command is:

AttributePositionToggle

(

Position: Subscript!

)


AttributeRelativeSize

Purpose

AttributeRelativeSize specifies a font size for subsequent or blocked text. The size of the resulting font is relative to the currently selected font.

Syntax

AttributeRelativeSize (Size: Numeric Equivalent or Enumerated Type)

Parameters

Size: Numeric Equivalent or Enumerated Type

Specifies the relative size of subsequent or blocked text based on the currently selected font.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	NormalSize!

See Also

AttributeRelativeSizeToggle


Route...

Layout, Font, Relative Size, select a size.


For Example...

To select a font size of Large, the command is:

AttributeRelativeSize

(

Size: Large!

)


AttributeRelativeSizeToggle

Purpose

AttributeRelativeSizeToggle toggles the specified relative size.

Syntax

AttributeRelativeSizeToggle (Size: Numeric Equivalent or Enumerated Type)

Parameters

Size: Numeric Equivalent or Enumerated Type

Specifies a relative size to toggle.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	NormalSize!

See Also

AttributeRelativeSize


Route...

Any relative size button on a Button Bar or Power Bar.


For Example...

To toggle the size of Fine, the command is:

AttributeRelativeSizeToggle

(

Size: Fine!

)


AttributeSizeRatios

Purpose

AttributeSizeRatios changes the ratios used to determine the size of a relative font selected by AttributeRelativeSize.

Syntax

AttributeSizeRatios (Attrib: Numeric Equivalent or Enumerated Type; Percentage: Numeric Expression)

Parameters

Attrib: Numeric Equivalent or Enumerated Type

Specifies a size to edit.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	SuperSubScript!

Percentage: Numeric Expression

Specifies the relative size of a font selected by AttributeRelativeSize.

See Also

AttributeRelativeSize

AttributeRelativeSizeToggle


Route...

File, Preferences, Print icon, specify a size attribute ratio.


For Example...

To specify a size ratio for Large that is 150 percent of normal, the command is:

AttributeSizeRatios

(

Attrib: Large!;

Percentage: 150

)


Backup

Purpose

Backup specifies whether Timed Document Backup is on or off.

Syntax

Backup (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Backup is on or off.

0	Off!

1	On!

See Also

BackupMinutes

BackupOriginalDoc


Route...

File, Preferences, File, Documents/Backup, Timed Document Backup every __ minutes.


For Example...

To turn off Backup, the command is:

Backup

(

State: Off!

)


BackupMinutes

Purpose

BackupMinutes specifies the number of minutes between each Timed Backup.

Syntax

BackupMinutes (Minutes: Numeric Expression)

Parameters

Minutes: Numeric Expression

Specifies the number of minutes between backups.

See Also

Backup

BackupOriginalDoc


Route...

File, Preferences, File, enter a number in the Timed Document Backup every __ minutes counter box.


For Example...

To set a timed backup interval of 15 minutes, the command is:

BackupMinutes

(

Minutes: 15

)


BackupOriginalDoc

Purpose

BackupOriginalDoc specifies whether Original Document Backup is on or off.

Syntax

BackupOriginalDoc (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether Original Document Backup is on or off.

0	Off!

1	On!

See Also

Backup

BackupMinutes

PrefSave


Route...

File, Preferences, File icon, Original Document Backup.


For Example...

To turn on Original Document Backup, the command is:

BackupOriginalDoc

(

State: On!

)


BarcodeDlg

Purpose

BarcodeDlg displays the POSTNET Barcode dialog box.

Syntax

BarcodeDlg ()

See Also

BarCodePOSTNET


Route...

Insert, Other, Bar Code.


BarcodePOSTNET

Purpose

BarcodePOSTNET specifies a ZIP Code or a merge field containing a ZIP Code.

Syntax

BarcodePOSTNET (ZIP: Numeric Expression or Character Expression; State: Numeric Equivalent or Enumerated Type)

Parameters

ZIP: Numeric Expression or Character Expression

Specifies a five, nine, or eleven-digit ZIP Code.  If the ZIP Code is contained in a merge field, this parameter can be a character expression specifying the merge field to use.

State: Numeric Equivalent or Enumerated Type (optional)

Specifies whether a merge field is used to provide the ZIP Code.  This parameter is necessary only when a merge field has been specified in the ZIP parameter.

1	MergeFieldAllowed!

See Also

BarCodeDlg


Route...

Insert, Other, Bar Code, enter bar code contents.


For Example...

To enter a POSTNET barcode in a document, the command is:

BarcodePOSTNET

(

ZIP: "84057"

)


BaselinePlacement

Purpose

BaselinePlacement determines whether Baseline Placement for Typesetting is on or off.

Syntax

BaselinePlacement (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Baseline Placement for Typesetting is on or off.

0	Off!

1	On!

See Also

?BaselineMode


Route...

Layout, Typesetting, Word/Letterspacing, Baseline Placement for Typesetting.


For Example...

To turn on Baseline Placement for Typesetting, the command is:

BaselinePlacement

(

State: On!

)


ButtonBarSetFont

Purpose

ButtonBarSetFont specifies a Button Bar font.

Syntax

ButtonBarSetFont (Font: Character Expression; Size: Numeric Expression)

Parameters

Font: Character Expression

Specifies the name of a Button Bar font.

Size: Numeric Expression

Specifies the size of a Button Bar font.

See Also

ButtonBarSetLocation

ButtonBarSetRows

ButtonBarSetStyle


Route...

File, Preferences, Button Bar icon, select a Button Bar, Options, select a font face, select a font size.


For Example...

To specify 14p Courier as the current Button Bar font, the command is:

ButtonBarSetFont

(

Font: "Courier";

Size: 14

)


ButtonBarSetLocation

Purpose

ButtonBarSetLocation specifies a Button Bar location.

Syntax

ButtonBarSetLocation: (Location: Numeric Equivalent or Enumerated Type)

Parameters

Location: Numeric Equivalent or Enumerated Type

Specifies the location of the current Button Bar.

256	Palette!

512	Left!

1024	Top!

2048	Right!

4096	Bottom!

See Also

ButtonBarSetFont

ButtonBarSetRows

ButtonBarSetStyle


Route...

File, Preferences, Button Bar icon, select a Button Bar, Options, select a location.


For Example...

To display a Button Bar on the left side of the screen, the command is:

ButtonBarSetLocation

(

Location: Left!

)


ButtonBarSetRows

Purpose

ButtonBarSetRows specifies the number of rows to show on a Button Bar.

Syntax

ButtonBarSetRows (Rows: Numeric Expression)

Parameters

Rows: Numeric Expression

Specifies the number of rows to show on the current Button Bar.

See Also

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetStyle


Route...

File, Preferences, Button Bar icon, select a Button Bar, Options, Maximum Number of Rows/Columns to Show.


For Example...

To specify a maximum of two rows to show on the current Button Bar, the command is:

ButtonBarSetRows

(

Rows: 2

)


ButtonBarSetStyle

Purpose

ButtonBarSetStyle specifies a Button Bar style.

Syntax

ButtonBarSetStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the current Button Bar style.

1	Picture!

2	Text!

3	PictureAndText!

See Also

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetRows


Route...

File, Preferences, Button Bar icon, select a Button Bar, Options, select an option from the Appearance list box.


For Example...

To specify a picture-style Button Bar, the command is:

ButtonBarSetStyle

(

Style: Picture!

)


Binding

Purpose

Binding specifies the binding offset and the edge of the paper to which that offset should be applied. The offset will be added to the margin of the specified edge.

Syntax

Binding (Edge: Numeric Equivalent or Enumerated Type; Offset: Measurement Expression)

Parameters

Edge: Numeric Equivalent or Enumerated Type

Specifies a binding edge.

0	LeftEdge!

1	RightEdge!

2	TopEdge!

3	BottomEdge!

Offset: Measurement Expression

Specifies the Binding Offset.  The measurement you provide in this parameter will be added to the margin of the edge specified in the Edge parameter.

See Also

?Binding


Route...

Layout, Page, Binding, select a Binding Width option, enter an amount.


For Example...

To set a binding offset of 0.75" at the top of a document, the command is:

Binding

(

Edge: TopEdge!;

Offset: 0.75"

)


BindingOptionsDlg

Purpose

BindingOptionsDlg displays the Binding Options dialog box.

Syntax

BindingOptionsDlg ()


Route...

Layout, Page, Binding.


BlockProtect

Purpose

BlockProtect turns Block Protect on or off.

Syntax

BlockProtect (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Block Protect is on.

0	Off!

1	On!

See Also

?BlockProtect


Route...

Layout, Page, Keep Text Together, select or deselect the Keep Text Together on Same Page check box.


For Example...

To turn on Block Protect, the command is:

BlockProtect

(

State: On!

)


BookmarkBlock

Purpose

BookmarkBlock activates the GoTo and Select bookmark option, which finds a bookmark and blocks the assigned text.

Syntax

BookmarkBlock (Name: Character Expression)

Parameters

Name: Character Expression

Specifies the name of a bookmark to find.  The bookmark must have already been assigned to blocked text.

See Also

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, select a bookmark, Go To & Select.


For Example...

To find a bookmark named Select This and to select the assigned text, the command is:

BookmarkBlock

(

Name: "Select This"

)


BookmarkCreate

Purpose

BookmarkCreate creates a Bookmark.

Syntax

BookmarkCreate (BookmarkName: Character Expression)

Parameters

BookmarkName: Character Expression

Specifies the name of a Bookmark to create.

See Also

BookmarkBlock

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, Create, enter a bookmark name.


For Example...

To create a Bookmark named Find Me, the command is:

BookmarkCreate

(

BookmarkName: "Find Me"

)


BookmarkDelete

Purpose

BookmarkDelete deletes a bookmark.

Syntax

BookmarkDelete (Name: Character Expression)

Parameters

Name: Character Expression

 	Specifies the name of a bookmark to delete.

See Also

BookmarkBlock

BookmarkCreate

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, select a bookmark, Delete.


For Example...

To delete a bookmark named Last Page, the command is:

BookmarkDelete

(

Name: "Last Page"

)


BookmarkDlg

Purpose

BookmarkDlg displays the Bookmark dialog box.

Syntax

BookmarkDlg ()

See Also

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkFind

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark.


BookmarkFind

Purpose

BookmarkFind moves the insertion point to a specified bookmark.

Syntax

BookmarkFind (Name: Character Expression)

Parameters

Name: Character Expression

Specifies the name of a bookmark to find.

See Also

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkMove

BookmarkRename


Route...

Insert, Bookmark, choose a Bookmark, Go To.


For Example...

To find a bookmark named Entry, the command is:

BookmarkFind

(

Name: "Entry"

)


BookmarkMove

Purpose

BookmarkMove moves a bookmark from its current location in your document to the insertion point.

Syntax

BookmarkMove (Bookmark: Character Expression)

Parameters

Bookmark: Character Expression

Specifies a bookmark to move to the insertion point.

See Also

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkRename


Route...

Insert, Bookmark, select a bookmark, Move.


For Example...

To move a bookmark named Read This, the command is:

BookmarkMove

(

Bookmark: "Read This"

)


BookmarkRename

Purpose

BookmarkRename renames a bookmark. If you type in the name of a bookmark that already exists in the current document you will receive an error.

Syntax

BookmarkRename (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies the name of a bookmark to rename.

NewName: Character Expression

Specifies the new name of a bookmark.

See Also

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove


Route...

Insert, Bookmark, select a bookmark, Rename, enter a new name.


For Example...

To rename a bookmark named Edit as Copy, the command is:

BookmarkRename

(

OldName: "Edit";

NewName: "Copy"

)


BorderBottomLine

Purpose

BorderBottomLine specifies the style of a bottom border line.

This command must be preceded by a command which specifies a border, such as BorderStyleEdit, and be followed by a closing command, such as BorderStyleEnd.

Syntax

BorderBottomLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a bottom border line style. To specify a user-defined style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderLeftLine

BorderRightLine

BorderSeparatorLine

BorderTopLine

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderBottomLine


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, deselect All, select Bottom, select a Line Style.


For Example...

To create a paragraph border with a double bottom border line, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderBottomLine

(

Style: DoubleLine!

)

TextBorderEnd

(

State: Save!

)


BorderColor

Purpose

BorderColor specifies the color of a Paragraph, Page, or Column border. All parameters for this command are optional.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate and BorderUseBorderColor and be followed by a closing command such as BorderStyleEnd.

All parameters for this command are optional. If you do not fill in a particular parameter, the current program setting for that aspect of the feature will be used when the macro plays.

Syntax

BorderColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a border color.  Includes custom-made colors.

Red: Numeric Expression (optional)

Specifies the amount of red in a selected color.  The value ranges from 0 to 255.  The values of a selected color are available in the Color Selection dialog box.

Green: Numeric Expression (optional)

Specifies the amount of green in the selected color.  The value ranges from 0 to 255.  The values of a selected color are available in the Color Selection dialog box.

Blue: Numeric Expression (optional)

Specifies the amount of blue in the selected color.  The value ranges from 0 to 255.  The values of a selected color are available in the Color Selection dialog box.

Shade: Numeric Expression (optional)

Specifies the shading percentage of the selected color.  This value can range from 0 to 100.

See Also

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd

BorderUseBorderColor

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderColorBlue

?BorderColorGreen

?BorderColorRed

?BorderColorShading


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, select a border color.


For Example...

To create border style with a magenta border, the command sequence is:

BorderStyleEdit

(

BorderName: SingleBorder!

)

BorderUseBorderColor

(

State: Yes!

)

BorderColor

(

ColorName: "Magenta";

Red: 255;

Green: 0;

Blue: 255;

Shade: 100

)

BorderStyleEnd

(

State: Save!

)


BorderCornerRadius

Purpose

BorderCornerRadius customizes the curve of rounded corners.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command, such as BorderStyleEnd.

Syntax

BorderCornerRadius (Radius: Measurement Expression)

Parameters

Radius: Measurement Expression

Specifies the curve of border corners. Higher measurements produce more rounded corners.

See Also

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderCornerRadius


Route...

Graphics, Graphics Styles, Border, Create (or select a border style, Edit), specify a radius in the Corners entry box.


For Example...

To create a border style named My Style with a border corner radius of 0.5", the command sequence is:

BorderStyleCreate

(

BorderName: "My Style";

)

BorderCornerRadius

(

Radius: 0.5"

)

BorderStyleEnd

(

State: Save!

)


BorderDropShadow

Purpose

BorderDropShadow specifies the location, size, and color of a border shadow.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and be followed by a closing command, such as BorderStyleEnd.

Syntax

BorderDropShadow (Location: Numeric Equivalent or Enumerated Type; Size: Measurement Expression; ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

Location: Numeric Equivalent or Enumerated Type

Specifies the location of a shadow.

0	NoShadow!

1	UpperLeft!

2	LowerLeft!

3	LowerRight!

4	UpperRight!

Size: Measurement Expression (optional)

Specifies the size of a shadow.  The default shadow size is .125".

ColorName: Numeric Expression (optional)

Specifies a shadow color, including custom-made colors.

Red: Numeric Expression (optional)

Specifies the amount of red in a selected color.  The value ranges from 0 to 255 and is available in the Color Selection dialog box.

Green: Numeric Expression (optional)

Specifies the amount of green in a selected color.  The value ranges from 0 to 255 and is available in the Color Selection dialog box.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a selected color.  The value ranges from 0 to 255 and is available in the Color Selection dialog box.

Shade: Numeric Expression (optional)

Specifies the shading percentage of a selected color.  The value ranges from 0 to 100.

See Also

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, select a drop shadow type, color, and width.


For Example...

To create a border style with a blue shadow on the upper right corner of a border, the command sequence is:

BorderStyleCreate

(

BorderName: SingleLine!

)

BorderDropShadow

(

Location: UpperRight!;

Size: 0.125";

ColorName: "Blue";

Red: 0;

Green: 0;

Blue: 255;

Shade: 100

)

BorderStyleEnd

(

State: Save!

)


BorderFillColors

Purpose

BorderFillColors specifies the color of a border fill.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderFillColors (ForeColorName: Character Expression; ForeRed: Numeric Expression; ForeGreen: Numeric Expression; ForeBlue: Numeric Expression; ForeShade: Numeric Expression; BackColorName: Character Expression; BackRed: Numeric Expression; BackGreen: Numeric Expression; BackBlue: Numeric Expression; BackShade: Numeric Expression)

Parameters

The first five parameters specify foreground color and the last five specify background color.  Select a background color only if you have already selected a fill pattern.

ForeColorName: Character Expression (optional)

Specifies a border fill color, including custom-made colors.

ForeRed: Numeric Expression (optional)

Specifies the amount of red in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

ForeGreen: Numeric Expression (optional)

Specifies the amount of green in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

ForeBlue: Numeric Expression (optional)

Specifies the amount of blue in a selected color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

ForeShade: Numeric Expression (optional)

Specifies the shading percentage of a selected color.  Values range from 0 to 100.

BackColorName: Character Expression (optional)

Specifies a border fill background color, including custom-made colors.

BackRed: Numeric Expression (optional)

Specifies the amount of red in a selected background color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

BackGreen: Numeric Expression (optional)

Specifies the amount of green in a selected background color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

BackBlue: Numeric Expression (optional)

Specifies the amount of blue in a selected background color.  Values range from 0 to 255 and are available in the Color Selection dialog box.

ForeShade: Numeric Expression (optional)

Specifies the shading percentage of a selected background color.  Values range from 0 to 100.

See Also

FillColors

FillSetWPG2

TextBorderCreate

TextBorderEdit

TextBorderEnd

TextBorderFillStyle


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, select Pattern Options, Palette, select options.


For Example...

To create a 40% shaded fill paragraph border with a red foreground, the command sequence is:

TextBorderCreate

(

Style: SingleLine!;

FillName: Fill40!;

BorderFunction: ParagraphBorder!

)

BorderFillColors

(

ForeColorName: "Red";

ForeRed: 255;

ForeGreen: 0;

ForeBlue: 0;

ForeShade: 40

)

TextBorderEnd

(

State: Save!

)


BorderInsideSpacing

Purpose

BorderInsideSpacing specifies spacing inside a border.

This option is not available with page borders.

This command must be preceded by a command which specifies a border, such as TextBorderCreate, and followed by a closing command such as TextBorderEnd.

Syntax

BorderInsideSpacing (Bottom: Measurement Expression; Left: Measurement Expression; Right: Measurement Expression; Top: Measurement Expression)

Parameters

Bottom: Measurement Expression (optional)

Specifies bottom inside border spacing.

Left: Measurement Expression (optional)

Specifies left inside border spacing.

Right: Measurement Expression (optional)

Specifies right inside border spacing.

Top: Measurement Expression (optional)

Specifies top inside border spacing.

See Also

BorderOutsideSpacing

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderInsideSpacingTop

?BorderInsideSpacingBottom


Route...

Graphics, Graphics Styles, Border, Create (or select a border style, Edit), specify sides to modify, specify an Inside Space measurement.


For Example...

To create inside spacing of .1" all the way around a paragraph border, the command is:

TextBorderCreate

(

Style: "New Border";

Fillname: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderInsideSpacing

(

Bottom: 0.1";

Left: 0.1";

Right: 0.1";

Top: 0.1"

)

TextBorderEnd

(

State: Save!

)


BorderLeftLine

Purpose

BorderLeftLine specifies the left line style of a border.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderLeftLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies left border line style. To specify a user-defined line style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderBottomLine

BorderRightLine

BorderSeparatorLine

BorderTopLine

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderLeftLine


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, deselect All, select Left, select a Line style.


For Example...

To create a thick left paragraph border line, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderLeftLine

(

Style: ThickLine!

)

TextBorderEnd

(

State: Save!

)


BorderOutsideSpacing

Purpose

BorderOutsideSpacing specifies spacing outside a border.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderOutsideSpacing (Left: Measurement Expression; Right:  Measurement Expression; Top: Measurement Expression; Bottom:  Measurement Expression)

Parameters

Left: Measurement Expression (optional)

Specifies left outside border spacing.

Right: Measurement Expression (optional)

Specifies right outside border spacing.

Top: Measurement Expression (optional)

Specifies top outside border spacing.

Bottom: Measurement Expression (optional)

Specifies bottom outside border spacing.

See Also

BorderInsideSpacing

TextBorderCreate

TextBorderEdit

TextBorderEnd


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, specify an outside measurement.


For Example...

To create a shadow border style with outside spacing of .2" on all sides of a border, the command sequence is:

BorderStyleCreate

(

BorderName: "Shadow"

)

BorderOutsideSpacing

(

Left: .2";

Right: .2";

Top: .2";

Bottom: .2"

)

BorderStyleEnd

(

State: Save!

)


BorderRightLine

Purpose

BorderRightLine specifies the right line border style.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderRightLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies right border line style. To specify a user-defined line style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderBottomLine

BorderLeftLine

BorderSeparatorLine

BorderTopLine

TextBorderCreate

TextBorderEdit

?BorderRightLine


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, deselect All, select Right, select a line style.


For Example...

To create a Paragraph border with a dashed right line, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderRightLine

(

Style: DashedLine!

)

TextBorderEnd

(

State: Save!

)


BorderSeparatorLine

Purpose

BorderSeparatorLine specifies the separator line style in a paragraph or column border.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderSeparatorLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the type of separator line a border contains. To specify a user-defined line style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderBottomLine

BorderLeftLine

BorderRightLine

BorderTopLine

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderSeparatorLine


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, deselect All, select Separator, select a line style.


For Example...

To create a double-line separator in a paragraph border, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderSeparatorLine

(

Style: DoubleLine!

)

TextBorderEnd

(

State: Save!

)


BorderSetSpacing

Purpose

BorderSetSpacing specifies whether or not the Automatic Spacing option is selected. If it is not selected, you can specify a border's inside and/or outside spacing.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderSetSpacing (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether the Automatic Spacing option is selected.

0	No!

1	Yes!

See Also

BorderInsideSpacing

BorderOutsideSpacing

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderSetSpacing


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, Auto Spacing.


For Example...

To specify that Automatic Spacing is selected, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderSetSpacing

(

State: No!

)

TextBorderEnd

(

State: Save!

)


BorderStyleCopy

Purpose

BorderStyleCopy copies a specified style from one location to another.

Syntax

BorderStyleCopy (Style: Numeric Equivalent or Enumerated Type; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; DestName: Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to copy. To specify a user-defined style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies location of a style to copy.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary: Numeric Equivalent or Enumerated Type

Specifies the destination of a style to copy.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

DestName: Character Expression (optional)

Renames a style to copy.  Select this parameter only when placing a second copy of the style in the same location (when contents of Current Location and Destination are the same).

See Also

BorderStyleRetrieve

BorderStyleSave


Route...

Graphics, Graphics Styles, Border, select a style, Options, Copy, enter destination name.


For Example...

To copy a style named MyStyle from a personal style library to a shared style library, the command is:

BorderStyleCopy

(

Style: "MyStyle";

ToLibrary: PersonalLibrary!;

DestLibrary: SharedLibrary!

)


BorderStyleCreate

Purpose

BorderStyleCreate names a new border style.

Syntax

BorderStyleCreate (Style: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression

Names a new style.

Library: Numeric Equivalent or Enumerated Type (optional)

Specifies a location for the new style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BorderStyleEnd

BorderStyleEdit

BorderStyleDelete

TextBorderCreate

TextBorderEdit

TextBorderEnd


Route...

Graphics, Graphics Styles, Border, Create, enter a Style name.


For Example...

To create a border style named Highlight in the Personal Library, the command is:

BorderStyleCreate

(

Style: "Highlight";

Library: PersonalLibrary!

)


BorderStyleDelete

Purpose

BorderStyleDelete deletes a specified style in a current document or a personal or shared style library.

Syntax

BorderStyleDelete (Style: Character Expression; Library:  Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression

Specifies a style to delete.

Library: Numeric Equivalent or Enumerated Type

Specifies the location of the style to delete.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BorderStyleCopy

BorderStyleRetrieve

BorderStyleSave

TextBorderCreate

TextBorderEdit

TextBorderEnd


Route...

Graphics, Graphic Styles, Border, select a style from the Styles list box, Options, Delete.


For Example...

To delete a border style named Example in the current document, the command is:

BorderStyleDelete

(

Style: "Example";

Library: CurrentDoc!

)


BorderStyleEdit

Purpose

BorderStyleEdit specifies a style to edit. It is usually followed by border modification commands such as BorderCornerRadius.

Syntax

BorderStyleEdit (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Names a style to edit. To edit a user-defined style, enclose the name in quotation marks.

Equivalent

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

Library: Numeric Equivalent or Enumerated Type

Specifies the location of the style to edit.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BorderStyleCreate

BorderStyleEnd

TextBorderCreate

TextBorderEdit

TextBorderEnd

?Border


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit.


For Example...

To edit the Thin Thick border line style, the command is:

BorderStyleEdit

(

Style: ThinThickBorder!

)


BorderStyleEnd

Purpose

BorderStyleEnd indicates the end of editing or creating a border style and specifies whether to save or cancel the changes.

Syntax

BorderStyleEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether the most recent changes made to a style should be saved or canceled.

0	Cancel!

1	Save!


Route...

OK or Cancel when closing the Edit Border Style or Create Border Style dialog box.


For Example...

To save the changes made to a border style, the command is:

BorderStyleEnd

(

State: Save!

)


BorderStyleName

Purpose

BorderStyleName renames a border style.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be preceded by BorderStyleEdit or BorderStyleCreate and followed by BorderstyleEnd.

Syntax

BorderStyleName (Style: Character Expression)

Parameters

Style: Character Expression

Specifies the name of a border to rename.


For Example...

To rename a border style from Nouveau to Traditional, the command sequence is:

BorderStyleEdit

(

Style: "Nouveau"

)

BorderStyleName

(

Style: "Traditional"

)

BorderStyleEnd

(

State: Save!

)


BorderStyleRetrieve

Purpose

BorderStyleRetrieve retrieves all border styles in a specified style library into the current document or a personal or shared style library.

Syntax

BorderStyleRetrieve (Filename: Character Expression; FromLibrary:  Numeric Equivalent or Enumerated Type

Parameters

Filename: Character Expression

Specifies a style library containing styles to retrieve.  Specify both the filename and path of the library.

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies where to place the retrieved styles.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleCopy

BorderStyleSave


Route...

Graphics, Graphics Styles, Border, Options, Retrieve, enter a filename.


For Example...

To retrieve styles contained in a style library named Format into a personal style library, the command is:

BorderStyleRetrieve

(

Filename: "Format";

FromLibrary: PersonalLibrary!

)


BorderStyleSave

Purpose

BorderStyleSave saves border styles in a current document or in a personal or shared style library to a specified style library.

Saving to an existing library deletes any styles it contains and replaces them with the new styles.

Syntax

BorderStyleSave (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of the style library to which the styles should be saved.  Specify both the filename and path of the library.

Library: Numeric Equivalent or Enumerated Type

Specifies the location of the styles to save.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BorderStyleCopy

BorderStyleRetrieve


Route...

Graphics, Graphics Style, Border, Options, Save As.


For Example...

To save all styles from the Shared Style Library to a style library named Designs, the command is:

BorderStyleSave

(

Filename: "Designs";

Library: SharedLibrary!

)


BorderTopLine

Purpose

BorderTopLine specifies the top line style of a border.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and be followed by a closing command such as BorderStyleEnd.

Syntax

BorderTopLine (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a top border line style. To specify a user-defined style, enclose the name in quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

BorderBottomLine

BorderLeftLine

BorderRightLine

BorderSeparatorLine

TextBorderCreate

?BorderTopLine


Route...

Graphics, Graphics Styles, Borders, select a style from the Styles list box, Edit, deselect All, select Top, select a line style.


For Example...

To create a paragraph border with an extra thick top line, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderTopLine

(

Style: ExtraThickLine!

)

TextBorderEnd (State: Save!)


BorderUseBorderColor

Purpose

BorderUseBorderColor specifies whether the border color option is for the current border, and is used with BorderStyleCreate or BorderStyleEdit and BorderColor.

This command must be preceded by a command which specifies a border, such as BorderStyleCreate, and followed by a closing command such as BorderStyleEnd.

Syntax

BorderUseBorderColor (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to use the border color option.

0	No!

1	Yes!

See Also

BorderColor

BorderStyleCreate

BorderStyleEdit

BorderStyleEnd

TextBorderCreate

TextBorderEdit

TextBorderEnd

?BorderUseBorderColor


Route...

Graphics, Graphics Styles, Border, select a style from the Styles list box, Edit, Border Color, select a color from the palette.


For Example...

To use the color border option for the current paragraph border, the command is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: NoFill!;

BorderFunction: ParagraphBorder!

)

BorderUseBorderColor

(

State: Yes!

)

BorderColor

(

ColorName: "Magenta";

Red: 255;

Green: 0;

Blue: 255;

Shade: 100

)

TextBorderEnd

(

State: Save!

)


BoxAttachTo

Purpose

BoxAttachTo attaches a graphics box to a page, paragraph, or character. When a box is attached to a location, BoxHorizontalPosition and BoxVerticalPosition specify horizontal and vertical positions.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxAttachTo (Anchor: Numeric Equivalent or Enumerated Type)

Parameters

Anchor: Numeric Equivalent or Enumerated Type

Specifies where a box is attached.

2	Page!

3	Paragraph!

64	Character!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxHorizontalPosition

BoxVerticalPosition

?BoxAttachTo


Route...

Graphics, choose a box or a box type, Position button, select a Box Placement option.


For Example...

To attach a text box to a character, the command sequence is:

BoxCreate

(

BoxType: TextBox!

)

BoxAttachTo

(

Anchor: Character!

)

BoxEnd

(

State: Save!

)


BoxBorder

Purpose

BoxBorder specifies a box border style.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxBorder (Style: Character Expression)

Parameters

Style: Character Expression

Specifies the name of a box border style.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Edit Box, Border/Fill, select a border style.


For Example...

To specify a hairline border for Box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxBorder

(

Style: "Hairline"

)

BoxEnd

(

State: Save!

)


BoxBorderDlg

Purpose

BoxBorderDlg displays the Box Border/Fill dialog box.

Syntax

BoxBorderDlg ()


Route...

Graphics, Graphics Styles, Box, select a style from the Styles list box, Edit, Border/Fill.


BoxCaptionEdit

Purpose

BoxCaptionEdit opens a box caption.

Because this command has no parameters, it is always followed by commands such as Type that furnish caption text.

Syntax

BoxCaptionEdit ()


Route...

Graphics, EditBox, Caption button, Edit.


BoxCaptionFormatting

Purpose

BoxCaptionFormatting specifies the width of a box caption.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxCaptionFormatting (SizeAuto: Numeric Equivalent or Enumerated Type, or Measurement Expression, or Numeric Expression)

Parameters

SizeAuto: Numeric Equivalent or Enumerated Type, or Measurement Expression, or Numeric Expression)

Specifies whether a box caption width is set automatically, is fixed, or is a percentage of a box width. To base the width on a current unit of measure, use a measurement expression. To base the width on a percentage of the box width, use a numeric expression. To set the width automatically, use a numeric equivalent or an enumerated type.

2	AutoWidth!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxCaptionFormatting


Route...

Graphics, Custom Box or Edit Box, Caption button, Caption Width, Automatic or specify.


For Example...

To specify a caption width of one inch for Box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxCaptionFormatting

(

SizeAuto: 1"

)

BoxEnd

(

State: Save!

)


BoxCaptionInitialStyle

Purpose

BoxCaptionInitialStyle specifies an initial style for a box caption.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxCaptionInitialStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the initial style for a box caption.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationBoxNumberStyle!

23	HypertestStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxCaptionDefaultInitialStyle


Route...

Graphics, Graphics Styles, Box, select a Style from the Styles list box, Edit, Caption, Change Initial Style, select a style, Apply.


For Example...

To specify Comment Style as the caption initial style, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxCaptionInitialStyle

(

Style: CommentStyle!

)

BoxEnd

(

State: Save!

)


BoxCaptionNumberStyle

Purpose

BoxCaptionNumberStyle specifies a numbering style for box caption.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxCaptionNumberStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a number style for a box caption.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationBoxNumberStyle!

23	HypertestStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxCaptionDefaultNumberStyle


Route...

Graphics, Graphics Styles, Box, select a style, Edit, Caption, Change, Number Style, select a style, Apply.


For Example...

To specify Bullet Style as the caption numbering style, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxCaptionNumberStyle

(

Style: BulletStyle!

)

BoxEnd

(

State: Save!

)


BoxCaptionPosition

Purpose

BoxCaptionPosition customizes the location of a graphics box caption.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxCaptionPosition (Side: Numeric Equivalent or Enumerated Type; Border: Numeric Equivalent or Enumerated Type; Alignment: Numeric Equivalent or Enumerated Type; AlignmentOffset: Numeric Expression)

Parameters

Side: Numeric Equivalent or Enumerated Type

Specifies the side of the box where the caption is located.

0	Left!

1	Top!

3	Right!

4	Bottom!

Border: Numeric Equivalent or Enumerated Type

Specifies a caption's location relative to the border.

0	OutsideBorder!

1	InsideBorder!

2	OnBorder!

Alignment: Numeric Equivalent or Enumerated Type (optional)

Specifies the position of a caption.

0	Left!

1	Top!

2	Center!

3	Right!

4	Bottom!

AlignmentOffset: Numeric Expression (optional)

Specifies the position offset.

See Also

?BoxCaptionPositionAlignment

?BoxCaptionPositionBorder

?BoxCaptionPositionOffset


Route...

Graphics, choose a box or a box type, Caption button (or use right mouse button while pointer is over a graphic), select options from Side of Box, Position, specify an Absolute or Percent Offset.


For Example...

To position a caption within the top border of a graphics box, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxCaptionPosition

(

Side: Top!;

Border: InsideBorder!;

)

BoxEnd

(

State: Save!

)


BoxCaptionRotation

Purpose

BoxCaptionRotation rotates graphics box captions.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and BoxUpdateDisplay, and be followed by a closing command such as BoxEnd.

Syntax

BoxCaptionRotation (Rotation: Numeric Equivalent or Enumerated Type)

Parameters

Rotation: Numeric Equivalent or Enumerated Type

Specifies the rotation degree of a graphics box caption.

0	None!

1	Degrees90!

2	Degrees180!

3	Degrees270!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxUpdateDisplay


Route...

Graphics, choose a box or a box type, Caption button (or use right mouse button while pointer is over a graphic), select option from Rotate Caption group box.


For Example...

To rotate a caption 90 degrees, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxUpdateDisplay ()

BoxCaptionRotation

(

Rotation: Degrees90!

)

BoxEnd

(

State: Save!

)


BoxChangeLineHeight

Purpose

BoxChangeLineHeight specifies whether attaching a graphics box to a character position changes the text line height. The default changes the height.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxChangeLineHeight (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether the graphics box changes the text line height when attached to a character position.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxChangeLineHeight


Route...

Graphics, choose a box or a box type, Position button, Treat Box as Character, Box Changes Text Line Height.


For Example...

To prevent the graphics box from changing the text line height, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxChangeLineHeight

(

State: No!

)

BoxEnd

(

State: Save!

)


BoxChangeStyle

Purpose

BoxChangeStyle changes the style of a graphics box when creating or editing a box.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxChangeStyle (BoxType: Numeric Equivalent or Enumerated Type)

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Names the box style to change.  To specify a user-defined style, enclose the name in quotation marks.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, select a box or Edit Box, Style button, select a style, OK.


For Example...

To change a box style from graphics to text, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxChangeStyle

(

BoxType: TextBox!

)

BoxEnd

(

State: Save!

)


BoxContentEdit

Purpose

BoxContentEdit creates and edits box contents.

This command has no parameters and is always followed by commands that furnish box contents.

Syntax

BoxContentEdit ()

See Also

BoxContentType


Route...

Graphics, choose a box or a box type, Content button, Edit.


BoxContentPosition

Purpose

BoxContentPosition positions graphics box contents.

Syntax

BoxContentPosition (Horizontal: Numeric Equivalent or Enumerated Type; Vertical: Numeric Equivalent or Enumerated Type)

Parameters

Horizontal: Numeric Equivalent or Enumerated Type

Specifies the horizontal position of box contents.

0	Left!

2	Center!

3	Right!

Vertical: Numeric Equivalent or Enumerated Type

Specifies the vertical position of box contents.

1	Top!

2	Center!

4	Bottom!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxContentHorizontalPosition

?BoxContentVerticalPosition


Route...

Graphics, choose a box type or Edit Box, Content, select a horizontal position and a vertical position.


For Example...

To position contents at the left and bottom of a box, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxContentPosition

(

Horizontal: Left!;

Vertical: Bottom!

)

BoxEnd

(

State: Save!

)


BoxContentPreserveAspectRatio

Purpose

BoxContentPreserveAspectRatio specifies whether to preserve the width/height ratio when the position of box contents changes.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxContentPreserveAspectRatio (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to preserve the image width/height ratio when the size of box contents changes.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxContentPreserveAspectRatio


Route...

Graphics, choose a box type or Edit Box, Content, Preserve Image Width/Height Ratio.


For Example...

To preserve the image width/height ratio, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxContentPreserveAspectRatio

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxContentType

Purpose

BoxContentType specifies the content type of a graphics box.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and followed by a closing command such as BoxEnd.

Syntax

BoxContentType (Content: Numeric Equivalent or Enumerated Type)

Parameters

Content: Numeric Equivalent or Enumerated Type

Specifies the type of contents in a graphics box.

1	Text!

2	LinkedText!

3	Image!

4	Equation!

5	Presentation!

6	Video!

7	Macro!

8	External!

127	Empty!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxContentType


Route...

Graphics, select a box type or Edit Box, select a Content.


For Example...

To specify box contents as a graphics image, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxContentType

(

Content: Image!

)

BoxEnd

(

State: Save!

)


BoxCounter

Purpose

BoxCounter assigns a new counter type to a current graphics box or graphics box style.

Syntax

BoxCounter (CounterName: Numeric Equivalent or Enumerated Type or Character Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies the counter type of a current graphics box or graphics box style.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserCounter!

5	EquationCounter!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxEditByCounter

?BoxCounter


Route...

Graphics, Graphics Styles, Box, select a Style, Create or Edit, Caption, Counter, Change button.


For Example...

To assign a Text Box counter type to a graphics box style, the command sequence is:

BoxStyleEdit

(

Style: FigureBox!;

Library: PersonalLibrary!

)

BoxCounter

(

CounterName: TextBoxCounter!

)


BoxCreate

Purpose

BoxCreate creates the specified graphics box.

Syntax

BoxCreate (BoxType: Numeric Equivalent or Enumerated Type)

This command must be followed by BoxEnd.

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Designates the type of box to create.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

See Also

BoxEdit

BoxEnd


Route...

Graphics, Custom Box, select a box style from the Style Name list box.


For Example...

To create an Equation Box, the command sequence is:

BoxCreate

(

BoxType: EquationBox!

)

BoxEnd

(

State: Save!

)


BoxDelete

Purpose

BoxDelete deletes a specified graphics box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

BoxDelete (BoxType: Numeric Equivalent or Enumerated Type; BoxNumber: Numeric Expression)

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Designates the type of box to delete.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

BoxNumber: Numeric Expression

Specifies the box number to delete.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Select a box with the mouse, Delete, Yes.


For Example...

To delete Equation Box 3, the command is:

BoxDelete

(

BoxType: EquationBox!;

BoxNumber: 3

)


BoxEdit

Purpose

BoxEdit specifies a box number to edit.

This command must be followed by box editing commands and BoxEnd.

Syntax

BoxEdit (BoxNumber: Numeric Expression)

Parameters

BoxNumber: Numeric Expression

Specifies a box number to edit.

See Also

BoxCreate

BoxEnd


Route...

Graphics, Edit Box, Document Box number, specify box number.


For Example...

To edit graphics box 3 of a document, the command sequence is:

BoxEdit

(

BoxNumber: 3

)

BoxEnd

(

State: Save!

)


BoxEditByCounter

Purpose

BoxEditByCounter specifies box type and number.

This command must be preceded by a command which identifies a box, such as BoxCreate or BoxEdit, and be followed by a closing command such as BoxEnd.

Syntax

BoxEditByCounter (CounterName: Numeric Equivalent or Enumerated Type; Word: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type

Specifies a box type to edit.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Word: Numeric Expression

Specifies the number of a box type.  If the edited counter has more than one level, specify each of the levels by repeating this parameter.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Graphics Boxes, Edit, Counter Number, specify counter and number.


For Example...

To edit text box 2 in a document, the command sequence is:

BoxEditByCounter

(

CounterName: TextBoxCounter!;

Word: 2

)

BoxEnd

(

State: Save!

)


BoxEditNext

Purpose

BoxEditNext edits the next occurrence of a box type.

This command must be followed by box editing commands and BoxEnd.

Syntax

BoxEditNext (BoxType: Numeric Equivalent or Enumerated Type)

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Specifies a box type to edit.  If a box type is not specified, the macro edits the box following the insertion point, regardless of type.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

See Also

BoxEdit

BoxEditByCounter

BoxEditPrevious


Route...

With a box selected, Graphics, Edit Box, Next.


For Example...

To edit the next occurrence of a user box, the command sequence is:

BoxEditNext

(

BoxType: UserBox!

)

BoxEnd

(

State: Save!

)


BoxEditPrevious

Purpose

BoxEditPrevious edits the previous occurrence of a box type.

This command must be followed by box editing commands and BoxEnd.

Syntax

BoxEditPrevious (BoxType: Numeric Equivalent or Enumerated Type)

Parameters

BoxType: Numeric Equivalent or Enumerated Type

Specifies a box type to edit.  If a box type is not specified, the macro edits the box immediately previous to the insertion point, regardless of type.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

See Also

BoxEdit

BoxEditByCounter

BoxEditNext


Route...

With a box selected, Graphics, Edit Box, select Prev from the Graphics feature bar.


For Example...

To edit the previous occurrence of a button box, the command sequence is:

BoxEditPrevious

(

BoxType: ButtonBox!

)

BoxEnd

(

State: Save!

)


BoxEnd

Purpose

BoxEnd saves or cancels changes made when creating or editing a graphics box.

This command must be preceded by BoxCreate or BoxEdit.

Syntax

BoxEnd (State: Numeric Equivalent or Enumerated Type; BoxOptionsBar: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether creating or editing changes to a graphics box are saved or canceled.

0	Cancel!

1	Save!

BoxOptionsBar: Numeric Equivalent or Enumerated Type

Determines whether to display the box options control bar.

0	Hide!

1	DontHide!

See Also

BoxCreate

BoxEdit


Route...

Graphics, choose a box type or Edit Box, Edit or Create, OK or Cancel.


For Example...

To save changes made to graphics box number 1 and hide the box options control bar, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxEnd

(

State: Save!;

BoxOptionsBar: Hide!

)


BoxEquationColor

Purpose

BoxEquationColor specifies a box equation color and shade values.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxEquationColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression

Specifies an equation color.

Red: Numeric Expression

Specifies the amount of red in an equation color.

Green: Numeric Expression

Specifies the amount of green in an equation color.

Blue: Numeric Expression

Specifies the amount of blue in an equation color.

Shade: Numeric Expression

Specifies the shade of an equation color.

See Also

BoxContentEdit

BoxCreate

BoxEdit

BoxEnd

?BoxEquationColorBlue

?BoxEquationColorGreen

?BoxEquationColorRed

?BoxEquationColorShading


Route...

Graphics, Equation, Equation Font, Color, select a color.


For Example...

To specify red as the equation color in Box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxEquationColor

(

Red: 255;

Shade: 100

)

BoxEnd

(

State: Save!

)


BoxEquationFilename

Purpose

BoxEquationFilename specifies the name of an equation file.

This command doesn't retrieve the file; it simply indicates to the program that the box contents are an equation.  To retrieve an equation file, use FileRetrieve.

Syntax

BoxEquationFilename (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of an equation file.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, EditBox, Content, Content, Equation, Filename.


For Example...

To specify an equation filename STAT.DOC, the command is:

BoxEquationFilename

(

Filename: "STAT.DOC"

)


BoxEquationFontSize

Purpose

BoxEquationFontSize specifies an equation font size.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxEquationFontSize (Size: Numeric Expression)

Parameters

Size: Numeric Expression

Specifies an equation font size in points.

See Also

?BoxEquationFontSize


Route...

Graphics, Equation, Font, choose a font size.


For Example...

To specify a 12 point equation font in Box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxEquationFontSize

(

Size: 12

)

BoxEnd

(

State: Save!

)


BoxEquationRedisplay

Purpose

BoxEquationRedisplay redisplays an equation.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

BoxEquationRedisplay (Zoom: Numeric Expression)

Parameters

Zoom: Numeric Expression (optional)

Specifies a degree of enlargement or reduction of the equation.

See Also

BoxContentEdit

BoxCreate

BoxEdit

BoxEnd


For Example...

To redisplay an equation in Box 1 and reduce it by 50%, the command is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxEquationRedisplay

(

Zoom: 50

)

BoxEnd

(

State: Save!

)


BoxEquationSaveAsGraphic

Purpose

BoxEquationSaveAsGraphic saves an equation in a graphics file format.

Syntax

BoxEquationSaveAsGraphic (Filename: Character Expression; Format: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Names a file to save.

Format: Numeric Equivalent or Enumerated Type (optional)

Specifies the graphic format of an equation box. If a format is not specified, the equation is saved in the current graphics format.

725	WordPerfectGraphic_10!

726	WordPerfectGraphic_20!

See Also

BoxEquationFilename


Route...

In the Equation Editor: File, Save As, enter filename, select graphics format.


For Example...

To save an equation named Calculus as a WordPerfect Graphic 1.0, the command is:

BoxEquationSaveAsGraphic

(

Filename: "Calculus";

Format: WordPerfectGraphic_10!

)


BoxFill

Purpose

BoxFill specifies a box fill style.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxFill (FillStyleName: Character Expression)

Parameters

FillStyleName: Character Expression

Specifies the name of a box fill style.

See Also

BoxContentEdit

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, choose a box or box type, Border/Fill button, select a fill style.


For Example...

To specify the Waves fill style for Box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxFill

(

FillStyleName: "Waves"

)

BoxEnd

(

State: Save!

)


BoxHeight

Purpose

BoxHeight sets box height based on the height of box contents or manually specified measurements.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxHeight (Height: Numeric Equivalent or Enumerated Type or Numeric Expression)

Parameters

Height: Numeric Equivalent or Enumerated Type or Numeric Expression

Specifies a graphics box height.  Select a numeric equivalent or enumerated type to set box height based on the height of its contents.  Enter a numeric expression to manually set the height.

2	AutoHeight!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxHeight


Route...

Graphics, choose a box or a box type, Size button, select a Height option. If you select Set, enter a box height.


For Example...

To set box height to four inches, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxHeight

(

Height: 4"

)

BoxEnd

(

State: Save!

)


BoxHorizontalAlignment

Purpose

BoxHorizontalAlignment specifies the alignment of a graphics box attached to a page or paragraph.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxHorizontalAlignment (Alignment:  Numeric Equivalent or Enumerated Type; Position:  Numeric Equivalent or Enumerated Type; Offset: Numeric Expression; Left Column: Numeric Expression; Right Column: Numeric Expression)

Parameters

Alignment:  Numeric Equivalent or Enumerated Type

Specifies where to horizontally align a graphics box.

1	AlignMargins!

2	AlignColumns!

Position:  Numeric Equivalent or Enumerated Type

Specifies the horizontal position of a graphics box after its alignment to margins or columns.

0	Left!

2	Center!

3	Right!

7	FullAlign!

Offset: Numeric Expression (optional)

Specifies the left or right offset of a graphics box.  The offset moves the image to the left or right of the alignment point; left offsets are negative numbers, right offsets are positive.

Left Column: Numeric Expression (optional)

Specifies the left column when a box is aligned to columns.

Right Column: Numeric Expression (optional)

Specifies the right column when a box is aligned to columns.

See Also

BoxCreate

BoxEdit

BoxEnd

BoxHorizontalPosition

?BoxHorizontalAlignment

?BoxHorizontalAlignTo

?BoxHorizontalOffset


Route...

Graphics, select a box type or Edit Box, Position, Horizontal Position, select an option, Offset from Position, type a number.


For Example...

To center a graphics box between two columns, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxHorizontalAlignment

(

Alignment: AlignColumns!;

Position: Center!;

Offset: 0";

LeftColumn: 1;

RightColumn: 2

)

BoxEnd

(

State: Save!

)


BoxHorizontalPosition

Purpose

BoxHorizontalPosition specifies the horizontal position of a graphics box.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxHorizontalPosition (Position: Measurement Expression)

Parameters

Position: Measurement Expression

Specifies the horizontal position of a graphics box.

See Also

BoxCreate

BoxEdit

BoxEnd

BoxHorizontalAlignment


Route...

Graphics, Graphics Boxes, Create or Edit, Edit Position, Horizontal Position, Set, enter a position.


For Example...

To position a graphics box two inches from the left edge of the page, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxHorizontalPosition

(

Position: 2.5"

)

BoxEnd

(

State: Save!

)


BoxImageBlackWhiteThreshold

Purpose

BoxImageBlackWhiteThreshold determines the threshold or point at which colors and/or grays in the current graphics image are converted to black and white.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageBlackWhiteThreshold (Threshold: Numeric Expression)

Parameters

Threshold: Numeric Expression

Specifies the threshold at which colors and/or grays are converted to either black or white.  Colors or grays below the threshold are converted to black; those above the threshold are converted to white.  Values range from 1 to 255, with 127 as the default.

See Also

BoxCreate

BoxEdit

BoxEnd

BoxImageMonochrome

?BoxImageBlackWhiteThreshold


Route...

Graphics, Figure, select a filename, OK, Tools button, Black & White icon, select a Threshold.


For Example...

To set the threshold for converting colors and/or grays to black and white to 150, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxImageBlackWhiteThreshold

(

Threshold: 150

)

BoxEnd

(

State: Save!

)


BoxImageContrast

Purpose

BoxImageContrast determines the contrast between light and dark areas of a graphic image.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageContrast (Contrast: Numeric Expression)

Parameters

Contrast: Numeric Equivalent or Enumerated Type

Specifies the contrast or sharpness of an image.  Values range from -1.0 (slight contrast) to 1.0 (substantial contrast).

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageContrast


Route...

Graphics, Edit Box, Tools, Contrast icon.


For Example...

To set the contrast of an image color to 0.7, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageContrast

(

Contrast: 0.7

)

BoxEnd

(

State: Save!

)


BoxImageFill

Purpose

BoxImageFill specifies a graphic image fill type.

Syntax

BoxImageFill (ImageFillType: Numeric Equivalent or Enumerated Type)

Parameters

ImageFillType: Numeric Equivalent or Enumerated Type

Specifies an image fill type.

0	Normal!

1	Transparent!

2	White!

See Also

?BoxImageFill


Route...

Graphics, Edit Box, Tools, Fill icon.


For Example...

To set an image fill type to transparent, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageFill

(

ImageFillType: Transparent!

)

BoxEnd

(

State: Save!

)


BoxImageFlipX

Purpose

BoxImageFlipX determines whether an image is reversed on its X axis. For example, if an image faces right, this command causes it to face left.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageFlipX (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether an image is reversed on its horizontal axis.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageFilpX


Route...

Graphics, Edit Box, Tools, Mirror Vertical icon.


For Example...

To reverse an image on its horizontal axis, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageFlipX

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxImageFlipY

Purpose

BoxImageFlipY determines whether to reverse an image on its Y axis, which turns the image upside down.

This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

Syntax

BoxImageFlipY (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxImageFlipX

?BoxImageFlipY


Route...

Graphics, Edit Box, Tools, Mirror Horizontal icon.


For Example...

To reverse a image along its Y axis, the command is:

BoxEdit

(

BoxNumber: 1

)

BoxImageFlipY

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxImageInvertColors

Purpose

BoxImageInvertColors determines whether the current colors of an image are inverted to their respective complementary colors.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageInvertColors (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether image colors are inverted.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageInvertColors


Route...

Graphics, Edit Box, Tools, Complement icon.


For Example...

To invert the colors of the current image, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageInvertColors

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxImageMonochrome

Purpose

BoxImageMonochrome converts a color image to black and white.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageMonochrome (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether a color image is converted to black and white.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

BoxImageBlackWhiteThreshold

BoxImageFill

?BoxImageMonochrome


Route...

Graphics, Edit Box, Tools, Black & White icon.


For Example...

To convert a color image to black and white, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageMonochrome

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxImageMove

Purpose

BoxImageMove moves an image within a graphics box.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageMove (XPosition: Numeric Expression; YPosition: Numeric Expression)

Parameters

XPosition: Numeric Expression

Specifies the horizontal position of an image within a box.  Values range from -5.0 to 5.0, with 0.0 being the default.

YPosition: Numeric Expression

Specifies the vertical position of an image within a box.  Values range from -5.0 to 5.0, with 0.0 centering the image.

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageTranslationX

?BoxImageTranslationY


Route...

Graphics, Edit Box, Tools, Move icon.


For Example...

To move an image slightly up and to the left within a graphics box, the command sequence is:

BoxEdit

(

BoxNumber: 2

)

BoxImageMove

(

XPosition: 0.2;

YPosition: 0.2

)

BoxEnd

(

State: Save!

)


BoxImageRetrieve

Purpose

BoxImageRetrieve retrieves a specified image from a specific location.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageRetrieve (Action: Numeric Equivalent or Enumerated Type; Filename: Character Expression)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies the current location of an image.

0	LeaveExternal!

1	MakeInternal!

2	UseInternal!

Filename: Character Expression

Specifies the filename of an image to retrieve.

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Edit Box, Content, Content, Image, enter a filename, OK.


For Example...

To retrieve an image named Mountain.wpg from the current document into another box created in the same document, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxImageRetrieve

(

Action: UseInternal!;

Filename: "Mountain.wpg"

)

BoxEnd

(

State: Save!

)


BoxImageRotate

Purpose

BoxImageRotate rotates a graphic image.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageRotate (Rotation: Numeric Expression)

Parameters

Rotation: Numeric Expression

Specifies a degree of rotation.  Values range from 0.0 to 359.0.

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageRotation


Route...

Graphics, Edit Box, Tools, Rotate icon.


For Example...

To rotate an image 90 degrees, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageRotate

(

Rotation: 90.0

)

BoxEnd

(

State: Save!

)


BoxImageSave

Purpose

BoxImageSave saves an image either with its current name or with a new name. It can also specify the graphics format.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageSave (Filename: Character Expression)

Parameters

Filename: Character Expression

Names an image.

See Also

BoxCreate

BoxEdit

BoxEnd


For Example...

To save an image named Fireworks, the command sequence is:

BoxEdit

(

BoxNumber: 3

)

BoxImageSave

(

Filename: "Fireworks"

)

BoxEnd

(

State: Save!

)


BoxImageScaling

Purpose

BoxImageScaling scales an image within a graphics box.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageScaling (XScale: Numeric Expression; YScale: Numeric Expression)

Parameters

XScale: Numeric Expression

Specifies the width to which an image is scaled.  Values range from 0.01 to 9.99, with 1.0 being the default.

YScale:  Numeric Equivalent or Enumerated Type

Specifies the height to which an image is scaled.  Values range from 0.01 to 9.99, with 1.0 being the default.

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImageScalingX

?BoxImageScalingY


Route...

Graphics, Edit Box, Tools, Scale icon.


For Example...

To scale an image to a width of 1.5 and a height of 1.2, the command is:

BoxEdit

(

BoxNumber: 2

)

BoxImageScaling

(

XScale: 1.5;

YScale: 1.2

)

BoxEnd

(

State: Save!

)


BoxImageShowBackground

Purpose

BoxImageShowBackground determines whether any background colors or gradients saved with the original image are visible.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageShowBackground (State: Numeric Equivalent or Enumerated Type)

Parameters

State:  Numeric Equivalent or Enumerated Type

Determines whether image backgrounds are visible.

0	No!

1	Yes!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxImagePageBackground


Route...

Graphics, Edit Box, Tools, Image Settings icon, Miscellaneous, Use Page Background.


For Example...

To show an image background, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageShowBackground

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxInitialStyleDlg

Purpose

BoxInitialStyleDlg displays the Text Box Initial Style dialog box.

A graphics box must be selected before this command can be executed.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

BoxInitialStyleDlg ()


Route...

Graphics, Graphics Styles, Box, Create, Settings.


BoxOLEEditObject

Purpose

BoxOLEEditObject uses the OLE (Object Linking and Embedding) server to edit graphics box contents.

Syntax

BoxOLEEditObject ()


Route...

When a box contains an OLE object, choose Graphics, Edit Box, Content button, Edit.


BoxOverlap

Purpose

BoxOverlap specifies whether a graphics box is allowed to overlap other boxes.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxOverlap (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether the box is allowed to overlap other boxes.

0	No!

1	Yes!

See Also

BoxHorizontalAlignment

BoxHorizontalPosition

BoxVerticalAlignment

BoxVerticalPosition

?BoxOverlap


Route...

Graphics, Edit Box, Position, Page Anchor or Paragraph Anchor, select Allow Box to Overlap Other Boxes.


For Example...

To allow a graphics box to overlap other boxes, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxOverlap

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxPageOffset

Purpose

BoxPageOffset toggles the offset option when a box is attached to a page.

This command must be preceded by BoxCreate or BoxEdit and BoxAttachTo, and followed by BoxEnd.

Syntax

BoxPageOffset (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether a box is offset from the page.

0	No!

1	Yes!

See Also

BoxAttachTo

BoxContentEdit

BoxCreate

BoxEdit

BoxEnd

?BoxPageOffset


Route...

Graphics, select a box or box type, Position button, Stays Where Placed.


For Example...

To offset Box 1, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxContentEdit ()

BoxAttachTo

(

Anchor: Page!

)

BoxPageOffset

(

State: Yes!

)

BoxEnd

(

State: Save!

)


BoxPosDlg

Purpose

BoxPosDlg displays the Box Position dialog box.

Syntax

BoxPosDlg ()


Route...

Graphics, select a box or a box type, Position button.


BoxResetBorder

Purpose

BoxResetBorder resets the border values for the current box to the border values for the corresponding box style. For example, border changes made to a specific figure box reset to the default border values assigned to the Figure Box style.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetBorder ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxResetCaption

Purpose

BoxResetCaption resets the caption values for the current box to the caption values for the corresponding box style. For example, caption changes made to a specific text box reset to the default caption values assigned to the Text Box style.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetCaption ()

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Box Edit, Caption, Reset.


BoxResetContent

Purpose

BoxResetContent resets the content values for the current box to the content values for the corresponding box style. For example, content changes made to a specific user box reset to the default content values assigned to the User Box style.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetContent ()

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

Graphics, Box Edit, Content, Reset.


BoxResetContentRender

Purpose

BoxResetContentRender resets the content render values for the current box to the content render values for the corresponding box style. For example, content render changes made to a specific equation box reset to the default content render values assigned to the Equation Box style.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetContentRender ()

See Also

BoxCreate

BoxEdit

BoxEnd


Route...

After making border changes to a box, choose Graphics, Graphics Boxes, Create or Edit, Based on Box Style, Reset to Style, Content Options.


BoxResetCounter

Purpose

BoxResetCounter resets the counter values for the current box to the counter values for the corresponding box style. For example, counter changes made to a specific equation box reset to the default counter values assigned to the Equation Box style.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetCounter ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxResetFill

Purpose

BoxResetFill resets the fill values for the current box to the position values for the corresponding box style. For example, fill style changes made to a specified figure box reset to the default fill values assigned to the Figure Box style.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetFill ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxResetPosition

Purpose

BoxResetPosition resets the position values for the current box to the position values for the corresponding box style. For example, position changes made to a specific figure box reset to the default position values assigned to the Figure Box style.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetPosition ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxResetTextFlow

Purpose

BoxResetTextFlow resets the text flow values for the current box to the text flow values for the corresponding box style. For example, text flow changes made to a specific user box reset to the default text flow values assigned to the User Box style.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxResetTextFlow ()

See Also

BoxCreate

BoxEdit

BoxEnd


BoxStyleCopy

Purpose

BoxStyleCopy copies the specified style from one location to another.

Syntax

BoxStyleCopy (Style: Character Expression; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; DestName: Character Expression)

Parameters

Style: Character Expression

Specifies the name of the style to copy.

FromLibrary:  Numeric Equivalent or Enumerated Type

Specifies the current location of the style to copy.

0	CurrentDocument!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary: Numeric Equivalent or Enumerated Type

Specifies the destination of the style to copy.

0	CurrentDocument!

1	PersonalLibrary!

2	SharedLibrary!

DestName: Character Expression (optional)

Specifies the new name to give to the style.  This parameter is only necessary if you want to place a second copy of the style in the same location.  The macro expects this parameter if the contents of the FromLibrary and ToLibrary parameters are the same.

See Also

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

BoxStyleDlg

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Box, select a Style, Options, Copy, enter a new style name.


For Example...

To copy a style named Original to a Style named New, the command is:

BoxStyleCopy

(

Style: "Original";

FromLibrary: PersonalLibrary!;

ToLibrary: PersonalLibrary!;

DestName:"New"

)


BoxStyleCreate

Purpose

BoxStyleCreate specifies the name of the style to create.

Syntax

BoxStyleCreate (Style: Character Expression;  Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression

Specifies the name of the style to create.

Library: Numeric Equivalent or Enumerated Type

Specifies a library to contain the new style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleDelete

GraphicBoxStyleDlg

BoxStyleEdit

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Box, Create, select options.


For Example...

To create a box style named NewBox, the command is:

BoxStyleCreate

(

Style: "NewBox";

Library: PersonalLibrary!

)


BoxStyleDelete

Purpose

BoxStyleDelete deletes a specified box style.

Syntax

BoxStyleDelete (Style: Character Expression)

Parameters

Style: Character Expression

Specifies the name of the style to delete.

See Also

BoxStyleCreate

GraphicBoxStyleDlg

BoxStyleEdit

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Box, select a style, Options, Delete.


For Example...

To delete a box style named OldBox, the command is:

BoxStyleDelete

(

Style: "OldBox"

)


BoxStyleEdit

Purpose

BoxStyleEdit initiates the editing of a specified style.

This command must be followed by style editing commands.

Syntax

BoxStyleEdit (Style: Numeric Equivalent or Enumerated Type or Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specifies the name of the style to edit.  Select a numeric equivalent or enumerated type to specify styles provided by WordPerfect.  To edit a user-defined style, enclose the name in quotation marks.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

Library: Numeric Equivalent or Enumerated Type

Specifies the library containing the style to edit.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

BoxStyleEnd

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Box, select a style, Edit, select options.


For Example...

To edit a box style named Watermark, located in the Personal Library, the command is:

BoxStyleEdit

(

Style: "Watermark";

Library: PersonalLibrary!

)


BoxStyleEnd

Purpose

BoxStyleEnd determines whether to save or cancel changes made to a box style.

This command must be preceded by BoxStyleCreate or BoxStyleEdit and by style editing commands.

Syntax

BoxStyleEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Cancel!

1	Save!

See Also

BoxStyleCreate

BoxStyleEdit


Route...

Graphics, Graphics Styles, Box, select a style, Create or Edit, specify editing options, OK or Cancel.


For Example...

To save changes made to a box style named Watermark, the command sequence is:

BoxStyleEdit

(

Style: "Watermark";

Library: PersonalLibrary!

)

BoxBorder

(

Style: 5

)

BoxStyleEnd

(

State: Save!

)


BoxStyleName

Purpose

BoxStyleName names a style.

This command must be preceded by BoxStyleCreate.

Syntax

BoxStyleName (Style: Character Expression)

Parameters

Style: Character Expression

Specifies a new name for a style.

See Also

BoxStyleCreate


Route...

Graphics, Graphics Styles, Box, Create, enter a style name.


For Example...

To create a style named Portrait, the command sequence is:

BoxStyleCreate

(

Style: "unnamed";

Library: PersonalLibrary!

)

BoxStyleName

(

Style: "Portrait"

)


BoxStyleRetrieve

Purpose

BoxStyleRetrieve retrieves the specified style into the current document or your personal or shared style libraries.

Syntax

BoxStyleRetrieve (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the style library containing the styles to retrieve.

Library: Numeric Equivalent or Enumerated Type

Specifies the location into which the style should be retrieved.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleCopy

BoxStyleSave


Route...

Graphics, Graphics Styles, Options, Retrieve, type a filename.


For Example...

To retrieve all styles in a style library named Retro into your Shared Style Library, the command is:

BoxStyleRetrieve

(

Filename: "Retro";

Library: SharedLibrary!

)


BoxStyleSave

Purpose

BoxStyleSave saves all styles from the current document or your personal or shared style libraries to the specified style library.

If the specified style library contains styles, they will be replaced.

Syntax

BoxStyleSave (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the style library to which the styles are saved.

Library: Numeric Equivalent or Enumerated Type

Specifies the current location of the styles.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

BoxStyleCopy

BoxStyleRetrieve


Route...

Graphics, Graphics Styles, Options, Save As, type a filename.


For Example...

To save all in your Shared Style library to a style library named Award, the command is:

BoxStyleSave

(

Filename: "Award";

Library: SharedLibrary!

)


BoxTextAngle

Purpose

BoxTextAngle rotates the text in a graphics box.

This command must be preceded by BoxStyleCreate or BoxStyleEdit and followed by BoxEnd.

Syntax

BoxTextAngle (Degree: Numeric Expression)

Parameters

Degree: Numeric Equivalent or Enumerated Type

Specifies the degree to rotate the text in a graphics box.

0	None!

1	Degrees90!

2	Degrees180!

3	Degrees270!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxTextAngle


Route...

Content button on the Graphics control bar, select an option from the Rotate Contents Counterclockwise button box.


For Example...

To rotate box text 180 degrees, the command sequence is:

BoxCreate

(

BoxType: TextBox!

)

BoxTextAngle

(

Degrees: Degrees180!

)

BoxEnd

(

State: Save!

)


BoxTextDefaultStyle

Purpose

BoxTextDefaultStyle determines the default style for box text.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxTextDefaultStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the default style for box text.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationBoxNumberStyle!

23	HypertestStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxTextDefaultStyle


Route...

Graphics, Graphics Styles, select Box from the Style Type button box, select an option from the Styles list box, Edit or Create, Settings button, Change, select a style from the Name list box, Close or Apply, OK.


For Example...

To specify Normal Style as the default for box text, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxTextDefaultStyle

(

Style: NormalStyle!

)

BoxEnd

(

State: Save!

)


BoxTextFilename

Purpose

BoxTextFilename specifies the name of a text file. This command doesn't retrieve the file, it simply indicates to the program that the contents of the box is text.  To retrieve a text file, use FileRetrieve.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxTextFilename (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of the text file.


Route...

Graphics, select a box type, Contents, specify the box contents as Text, Retrieve a file.


For Example...

To specify a text filename of Draft.fil, the command sequence is:

BoxCreate

(

BoxType: TextBox!

)

RetrieveFile

(

Filename: "DRAFT.FIL"

)

BoxTextFilename

(

Filename: "DRAFT.FIL"

)

BoxEnd

(

State: Save!

)


BoxTextFlow

Purpose

BoxTextFlow specifies the flow or placement of text surrounding a graphics box.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxTextFlow (Direction: Numeric Equivalent or Enumerated Type)

Parameters

Direction: Numeric Equivalent or Enumerated Type

Specifies the location of the text flow surrounding a graphics box.

0	LargestSide!

1	LeftSide!

2	RightSide!

3	NeitherSide!

8	BothSides!

9	Columnar!

15	NoWrapping!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxWrapping


Route...

Graphics, Graphics Boxes, Create or Edit, Wrap, select a Wrap Text around choice.


For Example...

To allow text to wrap around the box, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxTextFlow

(

Direction: BothSides!

)

BoxEnd

(

State: Save!

)


BoxTextFlowContour

Purpose

BoxTextFlowContour determines whether text should be contoured to the shape of the graphics image. Contouring applies only to text outside of the box.

Syntax

BoxTextFlowContour ()

See Also

BoxTextFlow

BoxTextFlowSquare


Route...

Graphics, Graphics Boxes, Create or Edit, Wrap, Contour.


BoxTextFlowSquare

Purpose

BoxTextFlowSquare determines whether text should be contoured to the square shape of the box.

BoxTextFlowSquare is only necessary if you have previously used BoxTextFlowContour.

Syntax

BoxTextFlowSquare ()

See Also

BoxTextFlow

BoxTextFlowContour


Route...

Graphics, Graphics Boxes, Create or Edit, Wrap, Square.


BoxUpdateDisplay

Purpose

BoxUpdateDisplay shows the most current version of a box.

Syntax

BoxUpdateDisplay ()


Route...

BoxUpdateDisplay records when a graphics box is updated, so the route will vary. For example, the following is one of many valid routes: Graphics, Edit Box, Size button, adjust box width or height, OK.


BoxVerticalAlignment

Purpose

BoxVerticalAlignment specifies the vertical position of a graphics box that is attached to either a page or a paragraph. If you want to align the box relative to the page or character to which it is attached, use BoxVerticalPosition.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxVerticalAlignment (Alignment: Numeric Equivalent or Enumerated Type; Offset: Numeric Expression)

Parameters

Alignment: Numeric Equivalent or Enumerated Type

Specifies the vertical position of a box.

1	Top!

2	Center!

4	Bottom!

6	Baseline!

7	FullAlign!

Offset: Numeric Expression

Specifies the distance a box is offset from the page.

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxVerticalAlignment

?BoxVerticalOffset


Route...

Graphics, select a box or Edit Box, Position, make selection under Vertical.


For Example...

To vertically center a figure box that is attached to a page, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxVerticalAlignment

(

Alignment: Center!

)

BoxEnd

(

State: Save!

)


BoxVerticalPosition

Purpose

BoxVerticalPosition specifies the vertical position of a graphics box attached to a page or a paragraph relative to the top of the page or paragraph.

To align a box relative to a page or character to which it is attached, use BoxVerticalAlignment.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxVerticalPosition (Alignment: Measurement Expression)

Parameters

Alignment: Measurement Expression

Specifies the vertical position of a box.

See Also

BoxCreate

BoxEdit

BoxEnd

BoxVerticalAlignment

TextBoxCreate


Route...

Graphics, select a box or a box type, Position button, select Put Box on Current Page and select Top of Page from the Vertical pop-up list or select Put Box in Current Paragraph, enter a measurement in the Vertical Place entry box.


For Example...

To position a text box three inches from the top of the page, the command sequence is:

TextBoxCreate ()

BoxAttachTo

(

Anchor: Page!

)

BoxVerticalPosition

(

Alignment: 3.0"

)

BoxEnd

(

State: Save!

)


BoxWidth

Purpose

BoxWidth sets the box width or allows WordPerfect to automatically set the width based on the box contents.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxWidth (Width: Numeric Equivalent or Enumerated Type or Numeric Expression)

Parameters

Width: Numeric Equivalent or Enumerated Type or Numeric Expression

Specifies the width of a graphics box.  Select a numeric equivalent or enumerated type to automatically set the width based on the width of the box contents.  Use a numeric expression if you want to set the width.

2	AutoWidth!

See Also

BoxCreate

BoxEdit

BoxEnd

?BoxWidth


Route...

Graphics, select a box or Edit, Size, select from the choices under Height.


For Example...

To set a figure box width to three inches, the command sequence is:

BoxCreate

(

BoxType: FigureBox!

)

BoxWidth

(

Width 3"

)

BoxEnd

(

State: Save!

)


BoxWrapDlg

Purpose

BoxWrapDlg displays the Wrap Text dialog box.

Syntax

BoxWrapDlg ()


Route...

Graphics, select a box or box type, Wrap button.


BulletDlg

Purpose

BulletDlg displays the Bullets & Numbers dialog box.

Syntax

BulletDlg ()


Route...

Insert, Bullets & Numbers.


ButtonBarOptionsDlg

Purpose

ButtonBarOptionsDlg displays the Button Bar Options dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

ButtonBarOptionsDlg ()


ButtonBarSelect

Purpose

ButtonBarSelect selects a specified Button Bar.

 Syntax

ButtonBarSelect (ButtonBarName: Character Expression)

Parameters

ButtonBarName: Character Expression

Specifies a Button Bar to select.


Route...

File, Preferences, Button Bar icon, highlight a Button Bar, Select.


For Example...

To select a Button Bar named MyMacros, the command is:

ButtonBarSelect

(

ButtonBarName: "MyMacros"

)


ButtonBarShow

Purpose

ButtonBarShow determines whether to display the Button Bar.

Syntax

ButtonBarShow(State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!


Route...

View, Button Bar.


For Example...

To display a Button Bar, the command is:

ButtonBarShow

(

State: On!

)


CaseToggle

Purpose

CaseToggle changes selected text to uppercase or lowercase letters.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

CaseToggle ()


Route...

Press Ctrl+K, or click the Case Toggle button the Power Bar.


Center

Purpose

Center centers one line of text.

Syntax

Center ()

See Also

CenterCurrentPage

CenterPages


Route...

Layout, Line, Center.


CenterCurrentPage

Purpose

CenterCurrentPage determines whether to vertically center the current page.

Syntax

CenterCurrentPage (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to vertically center the contents of a current page.

0	Off!

1	On!

See Also

CenterPages

?CenterCurrentPage


Route...

Layout, Page, Center, Current Page.


For Example...

To vertically center a current page, the command is:

CenterCurrentPage

(

State: On!

)


CenterPageDlg

Purpose

CenterPageDlg displays the Center Page(s) dialog box.

Syntax

CenterPageDlg ()


Route...

Layout, Page, Center.


CenterPages

Purpose

CenterPages determines whether the current page and all subsequent pages center vertically.

Syntax

CenterPages (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Designates whether to center all pages vertically in a current document.

0	Off!

1	On!

See Also

Center

CenterCurrentPage

?CenterPages


Route...

Layout, Page, Center, Current and Subsequent Pages.


For Example...

To vertically center all pages in the current document, the command is:

CenterPages

(

State: On!

)


ChapterNumber

Purpose

ChapterNumber specifies a chapter number.

Syntax

ChapterNumber (Chapter: Numeric Expression)

Parameters

Chapter: Numeric Expression

Specifies a chapter number.

See Also

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberIncrement

ChapterNumberMethod

?ChapterNumber


Route...

Layout, Page, Numbering, Value, New Chapter Number, specify number.


For Example...

To specify chapter 5, the command is:

ChapterNumber

(

Chapter: 5

)


ChapterNumberDecrement

Purpose

ChapterNumberDecrement decreases the chapter number by one.

Syntax

ChapterNumberDecrement ()

See Also

ChapterNumber

ChapterNumberDisplay

ChapterNumberIncrement

ChapterNumberMethod


Route...

Layout, Page, Numbering, Value, Increase/Decrease Existing Chapter Number, specify a negative number.


ChapterNumberDisplay

Purpose

ChapterNumberDisplay types the chapter number at the insertion point.

Syntax

ChapterNumberDisplay ()

See Also

ChapterNumber

ChapterNumberDecrement

ChapterNumberIncrement

ChapterNumberMethod


Route...

Layout, Page, Numbering, Value, Chapter Settings, Insert and Display at Insertion Point.


ChapterNumberIncrement

Purpose

ChapterNumberIncrement increases the chapter number by one.

Syntax

ChapterNumberIncrement ()

See Also

ChapterNumber

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberMethod


Route...

Layout, Page, Numbering, Value, Chapter Settings, Increase/Decrease Existing Chapter Number, specify a positive number.


ChapterNumberMethod

Purpose

ChapterNumberMethod specifies the method of numbering a chapter.

Syntax

ChapterNumberMethod (Method: Numeric Equivalent or Enumerated Type)

Parameters

Method: Numeric Equivalent or Enumerated Type

Designates the numbering method for a current chapter.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

ChapterNumber

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberIncrement

?ChapterNumberMethod


Route...

Layout, Page, Numbering, Options, Chapter, select method.


For Example...

To select uppercase roman numerals as the numbering method, the command is:

ChapterNumberMethod

(

Method: UpperRoman!

)


CharMappingDlg

Purpose

CharMappingDlg displays the Document Character Map dialog box.

Syntax

CharMappingDlg ()


Route...

Layout, Document, Character Mapping.


ClearDoc

Purpose

ClearDoc closes the current document without saving and leaves the current window open.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ClearDoc ()


Route...

This command is not recordable. To use this command, you must type it into the macro.


Close

Purpose

Close closes the current window or text editor.

Syntax

Close(Save: Numeric Equivalent or Enumerated Type)

Parameters

Save: Numeric Equivalent or Enumerated Type (optional)

Determines whether to save changes.  You are prompted to save document if parameter is omitted.

0	No!

1	Yes!

See Also

CloseNoSave


Route...

File, Close.


For Example...

To save and close the current window, the command is:

Close

(

Save: Yes!

)


CloseNoSave

Purpose

CloseNoSave closes the active document without saving it and resets the window for a new document.

Syntax

CloseNoSave (Verify: Numeric Equivalent or Enumerated Type)

Parameters

Verify: Numeric Equivalent or Enumerated Type (optional)

Verifies that the user wants to close the current document without saving.  You are not prompted to save document if parameter is omitted.

0	No!

1	Yes!


Route...

Press Ctrl+Shift+F4.


For Example...

To be prompted before closing the current document, the command is:

CloseNoSave

(

Verify: Yes!

)


ColumnBorderDlg

Purpose

ColumnBorderDlg displays the Column Border dialog box.

Syntax

ColumnBorderDlg ()


Route...

Layout, Columns, Border/Fill.


HardColumnBreak

Purpose

HardColumnBreak inserts a hard column break at the insertion point.

Syntax

HardColumnBreak ()

See Also

ColumnsOff


Route...

Layout, Columns, Column Break.


ColumnDefineDlg

Purpose

ColumnDefineDlg displays the Columns dialog box.

Syntax

ColumnDefineDlg ()

See Also

ColumnsDefiniton


Route...

Layout, Columns, Define.


ColumnsDefinition

Purpose

ColumnsDefinition defines columns.

Syntax

ColumnsDefinition (ColumnsType: Numeric Equivalent or Enumerated Type; VerticalSpacing: Numeric Expression; {Spacing: Measurement Expression; SpacingDef: Numeric Equivalent or Enumerated Type})

ColumnsType: Numeric Equivalent or Enumerated Type

Specifies the type of column being defined.

0	Newspaper!

1	NewspaperBalanced!

2	Parallel!

3	ParallelBlockProtect!

VerticalSpacing: Numeric Expression

Specifies the spacing between sections of text in parallel columns.

Spacing: Measurement Expression

Alternates between specifying the width of each column and the desired space between the columns.  This parameter is always paired with the SpacingDef parameter.

SpacingDef: Numeric Equivalent or Enumerated Type

Specifies whether or not the width of the column or the space between columns is fixed.  This parameter is always paired with the Spacing parameter.

0	NotFixed!

1	Fixed!

See Also

ColumnsOff


Route...

Layout, Columns, Define, select column type, select number of columns, specify Width and Fixed options for each column, specify Spacing Between Columns, specify Spacing Between Rows in Parallel Columns (if applicable).


For Example...

To define columns, the command is:

ColumnsDefinition

(

ColumnsType: Newspaper!;

VerticalSpacing: 1.0;

{

Spacing: 3.125";

SpacingDef: NotFixed!;

Spacing: 0.25";

SpacingDef: Fixed!;

Spacing: 3.125";

SpacingDef: NotFixed!

}

)


ColumnsOff

Purpose

ColumnsOff turns columns off.

Syntax

ColumnsOff ()

See Also

ColumnsDefinition


Route...

Layout, Columns, Off.


CommentConvert

Purpose

CommentConvert converts a comment to text.

Syntax

CommentConvert ()

See Also

CommentEdit


Route...

Insert, Comment, Convert to Text.


CommentEdit

Purpose

CommentEdit opens the Comment editing screen.

If a comment has not been created, a "Not Found" error is generated.

Syntax

CommentEdit ()

See Also

CommentConvert


Route...

Insert, Comment, Edit.


CommentInformation

Purpose

CommentInformation displays the Comment Information dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

CommentInformation ()


Route...

Click Comment icon in a document, click right mouse button on the displayed comment, Info.


ConditionalEndOfPage

Purpose

ConditionalEndOfPage protects the specified number of lines from being separated by a page break. If a page break falls between the lines, the lines are moved to the next page.

Syntax

ConditionalEndOfPage (LinesTogether: Numeric Expression)

Parameters

LinesTogether: Numeric Expression

Specifies the number of lines to keep together.


Route...

Layout, Page, Keep Text Together, Conditional End of Page, enter number of lines to keep together.


For Example...

To keep ten lines of text together, the command is:

ConditionalEndOfPage

(

LinesTogether: 10

)


ConvertCaseInitialCaps

Purpose

ConvertCaseInitialCaps converts selected text to lowercase but capitalizes the first letter of each word.

Syntax

ConvertCaseInitialCaps ()

See Also

ConvertCaseLowercase

ConvertCaseUppercase


Route...

Edit, Convert Case, Initial Capitals.


ConvertCaseLowercase

Purpose

ConvertCaseLowercase converts selected text to lowercase, except the first word of each sentence and "I" and its forms, such as "I'm" and "I've."

Syntax

ConvertCaseLowercase ()

See Also

ConvertCaseInitialCaps

ConvertCaseUppercase


Route...

Edit, Convert Case, Lowercase.


ConvertCaseUppercase

Purpose

ConvertCaseUppercase converts selected text to uppercase.

Syntax

ConvertCase ()

See Also

ConvertCaseInitialCaps

ConvertCaseLowercase


Route...

Edit, Convert Case, Uppercase.


Copy

Purpose

Copy duplicates blocked text and is used with Paste to retrieve the duplicated text.

This command is not recordable. To use this command, you must type it into the macro. To record a command with similar functionality, use EditCopy.

Syntax

Copy ()

See Also

EditCopy


Route...

This command is not recordable. To use this command, you must type it into the macro..


CounterCreate

Purpose

CounterCreate specifies a graphics box reference number.

Syntax

CounterCreate (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; {Method: Numeric Equivalent or Enumerated Type})

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value.  Use a character expression to create and name a user-defined counter.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Method:  Numeric Equivalent or Enumerated Type

Specifies a numbering method. To specify different numbering methods for each level, repeat the method parameter. Enclose the repeated parameters in French braces, and place a semicolon between each method and the next occurrence of the Method parameter.

0	Numbers!

1	LowLetter!

2	UpLetter!

3	LowRoman!

4	UpRoman!

See Also

CounterDelete

CounterSetMethod

CounterSetValue


Route...

Insert, Other, Counter, Create, type a name.


For Example...

To specify a graphics box reference number, and to specify lowercase letters for level 1 and lowercase roman numerals for level 2, the command is:

CounterCreate

(

CounterName: UserBoxCounter!;

{

Method: LowLetter!

Method: LowRoman!

}

)


CounterDecrement

Purpose

CounterDecrement decreases a counter by one.

Syntax

CounterDecrement (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; Level: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Level: Numeric Expression

Specifies a level to decrease.

See Also

CounterIncrement

CounterSetValue


Route...

Insert, Other, Counter, select a counter type, Decrease.


For Example...

To decrease a counter by one, the command is:

CounterDecrement

(

CounterName: FigureCounter!;

Level: 1

)


CounterDelete

Purpose

CounterDelete specifies a counter value to delete.

This command accepts either a character expression, if the counter is a user-defined counter, a numeric equivalent, or an enumerated type. If a numeric equivalent or enumerated type is specified, the counter resets and does not delete.

Syntax

CounterDelete (CounterName: Numeric Equivalent or Enumerated Type or Character Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter to delete.  This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

See Also

CounterCreate


Route...

Insert, Other, Counter, select a counter type, Delete.


For Example...

To delete a counter, the command is:

CounterDelete

(

CounterName: "My Counter"

)


CounterDisplay

Purpose

CounterDisplay displays the counter value of a graphics box or user-defined counter.

Syntax

CounterDisplay (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; Level: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value.  This parameter can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Level: Numeric Expression

Specifies a level of the graphics box counter to display.


Route...

Insert, Other, Counter, select a counter, Display in Document.


For Example...

To display the counter value of a graphics box or user-defined counter, the command is:

CounterDisplay

(

CounterName: "My Counter";

Level: 1

)


CounterEditLevel

Purpose

CounterEditLevel specifies the number of levels a counter contains.

Syntax

CounterEditLevel (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; NewNumLvls: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value type.  This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

NewNumLvls:  Numeric Equivalent or Enumerated Type

Specifies a counter level to display.

See Also

CounterEditLevelMethod

CounterEditLevelName


Route...

Insert, Other, Counter, select a counter, Edit, Levels, specify a number of levels.


For Example...

To specify the number of levels a counter contains, the command is:

CounterEditLevel

(

CounterName: FigureCounter!;

NewNumLvls: 2

)


CounterEditLevelMethod

Purpose

CounterEditLevelMethod changes the numbering method for a counter level.

This command is only available after specifying more than one level in the Edit Counter Definition dialog box.

Syntax

CounterEditLevelMethod (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; LevelNum: Numeric Expression; NewMethod: Numeric Equivalent or Enumerated Type)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a graphics box type.  This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

LevelNum: Numeric Expression

Specifies a level to edit.

NewMethod: Numeric Equivalent or Enumerated Type

Specifies a display type for the counter.

0	Numbers!

1	LowLetter!

2	UpLetter!

3	LowRoman!

4	UpRoman!

See Also

CounterEditMethod


Route...

Insert, Other, Counter, select a counter, Edit, select a Numbering Method for the level to change.


For Example...

To change the numbering method for a counter level, the command is:

CounterEditLevelMethod

(

CounterName: FigureCounter!;

LevelNum: 2;

NewMethod: UpLetter!

)


CounterEditLevelName

Purpose

CounterEditLevelName renames a counter level type.  This command is only available if the counter has more than one level.

Syntax

CounterEditLevelName (OldCounterName: Numeric Equivalent or Enumerated Type or Character Expression; OldLevelName: Character Expression; NewLevelName: Character Expression)

Parameters

OldCounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a type of counter. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

OldLevelName: Character Expression

Specifies the old name of a graphics box counter type.

NewLevelName: Character Expression

Specifies the new name of a graphics box counter type.

See Also

CounterEditName


Route...

Insert, Other, select a counter with more than one level, Edit, select the text in a Level Name text box, enter a new name.


For Example...

To rename a counter level type when the counter has more than one level, the command is:

CounterEditLevelName

(

OldCounterName: "My Box";

OldLevelName: "Level 1";

NewLevelName: "First Level"

)


CounterEditMethod

Purpose

CounterEditMethod changes the numbering method which can be used for a specified counter.

Syntax

CounterEditMethod (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; NewMethod: Numeric Equivalent or Enumerated Type)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

NewMethod: Numeric Equivalent or Enumerated Type

Specifies a display type for the counter.

0	Numbers!

1	LowLetter!

2	UpLetter!

3	LowRoman!

4	UpRoman!

See Also

CounterEditLevelMethod


Route...

Insert, Other, Counter, select a counter, Edit, Single Level Method, select a different numbering method.


For Example...

To change the numbering method for a specified counter, the command is:

CounterEditMethod

(

CounterName: FigureCounter!;

NewMethod: UpLetter!

)


CounterEditName

Purpose

CounterEditName renames a user-created counter.

This command is only available after choosing Create in the Counter Numbering dialog box and naming a new counter value.

Syntax

CounterEditName (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies the name of a counter value.

NewName: Character Expression

Specifies the new name of a counter value.

See Also

CounterEditLevelName


Route...

Insert, Other, Counter, select a user-created counter, Edit, Counter Name, enter a new name.


For Example...

To rename a user-created counter, the command is:

CounterEditName

(

OldName: "My Box";

NewName: "Shaded Box"

)


CounterIncrement

Purpose

CounterIncrement increments a specified counter by one.

Syntax

CounterIncrement (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; Level: Numeric Expression)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

Level: Numeric Expression

Specifies a counter level to increment.

See Also

CounterDecrement


Route...

Insert, Other, Counter, select a counter, Increase.


For Example...

To increment TableBoxCounter! by one, the command is:

CounterIncrement

(

CounterName: TableBoxCounter!;

Level: 1

)


CounterDlg

Purpose

CounterDlg displays the Counter Numbering dialog box.

Syntax

CounterDlg ()


Route...

Insert, Other, Counter.


CounterSetMethod

Purpose

CounterSetMethod specifies a numbering method for a counter.

Syntax

CounterSetMethod (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; CounterLevel: Numeric Expression; Method: Numeric Equivalent or Enumerated Type)

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

CounterLevel: Numeric Expression

Specifies a counter level to increment.

Method: Numeric Equivalent or Enumerated Type

Specifies a display type for the counter.

0	Numbers!

1	LowerLetter!

2	UpperLetter!

3	LowerRoman!

4	UpperRoman!


Route...

Insert, Other, Counter, select a counter, Value, Number Method, select a method.


For Example...

To specify a counter numbering method, the command is:

CounterSetMethod

(

CounterName: TextBoxCounter!;

CounterLevel: 2;

Method LowerRoman!

)


CounterSetValue

Purpose

CounterSetValue sets the value of a counter.

Syntax

CounterSetValue (CounterName: Numeric Equivalent or Enumerated Type or Character Expression; {CounterLevel: Numeric Expression})

Parameters

CounterName: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a counter value. This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!

CounterLevel: Numeric Expression

Specifies the value of the selected counter or counter level.  To specify different counter levels, repeat the CounterLevel parameter. Enclose the repeated parameters in French braces and place a semicolon between each level and the next occurrence of the CounterLevel parameter.


Route...

Insert, Other, Counter, select a counter, Value, enter a number in the Value text box.


For Example...

To set a value for FigureCounter!, the command is:

CounterSetValue

(

CounterName: FigureCounter!;

{

CounterLevel: 5

}

)


CrossRefMarkReference

Purpose

CrossRefMarkReference specifies a reference mark.

Syntax

CrossRefMarkReference (TargetName: Character Expression; RefType: Numeric Equivalent or Enumerated Type; CounterName: Numeric Equivalent or Enumerated Type or Character Expression)

Parameters

TargetName: Character Expression

Specifies a reference name.

RefType: Numeric Equivalent or Enumerated Type

Specifies what to tie the reference to.

0	RefPage!

1	RefSecondaryPage!

2	RefChapter!

3	RefVolume!

4	RefParagraph!

5	RefFootnote!

6	RefEndnote!

7	RefBox!

8	RefCounter!

CounterName: Numeric Equivalent or Enumerated Type or Character Expression (optional)

Specifies a counter value.  This can be a character expression specifying a user-defined counter, a numeric equivalent, or an enumerated type.

0	None!

1	FigureCounter!

2	TableBoxCounter!

3	TextBoxCounter!

4	UserBoxCounter!

5	EquationCounter!


Route...

Tools, Cross-Reference, Reference, specify a reference type, and enter a target name, Mark Reference.


For Example...

To specify a reference mark, the command is:

CrossRefMarkReference

(

TargetName: "Next";

RefType: RefSecondaryPage!

)


CrossRefMarkTarget

Purpose

CrossRefMarkTarget names a cross-reference target.

Syntax

CrossRefMarkTarget (TagName: Character Expression)

Parameters

TagName: Character Expression (optional)

Specifies the name of a cross-reference target.


Route...

Tools, Cross-Reference, Target, enter a target name, Mark Target.


For Example...

To name a cross-reference target, the command is:

CrossRefMarkTarget

(

TagName: "Index"

)


CustomBoxDlg

Purpose

CustomBoxDlg displays the Custom Box dialog box.

Syntax

CustomBoxDlg ()


Route...

Graphics, Custom Box.


DeleteAppend

Purpose

DeleteAppend deletes a selection and appends it to the clipboard contents.

Syntax

DeleteAppend ()


Route...

Select text, Edit, Append, press Delete.


DateCode

Purpose

DateCode inserts a code that displays the current date at the insertion point. The date code updates to the current system date whenever the document is retrieved or reformatted.

Syntax

DateCode ()

See Also

DateText


Route...

Insert, Date, Date Code.


DateFormat

Purpose

DateFormat specifies a date format through DateCode or DateText.

This command must be recorded.

Syntax

DateFormat (DateFormatString: Character Expression)

Parameters

DateFormatString: Character Expression

Specifies an order of day, month, year codes, and time codes.

See Also

DateFormatDlg


Route...

Insert, Date, Date Format, specify a format.


For Example...

To specify a format such as June 11, 1964, the command is:

DateFormat

(

DateFormatString: "Month Name Day, Year (4 Digit)"

)


DateFormatDlg

Purpose

DateFormatDlg displays the Document Date/Time Format dialog box.

Syntax

DateFormatDlg ()

See Also

DateFormat


Route...

Insert, Date, Date Format.


DateText

Purpose

DateText inserts the system date at the insertion point.

Syntax

DateText ()

See Also

DateCode


Route...

Insert, Date, Date Text.


DecimalAlignmentCharacter

Purpose

DecimalAlignmentCharacter specifies the ASCII numeric equivalent for a decimal character.

Syntax

DecimalAlignmentCharacter (Character: Numeric Expression)

Parameters

Character: Numeric Expression

Specifies a decimal separator character.

See Also

?DecimalAlignmentCharacter


Route...

Layout, Line, Tab Set, insert a character in the Align Character text box.


For Example...

To use a comma as a decimal alignment character, the command is:

DecimalAlignmentCharacter

(

Character: 44

)


DelayCodes

Purpose

DelayCodes postpones the effects of codes for one or more pages.

Syntax

DelayCodes (PagesToDelay: Numeric Expression)

Parameters

PagesToDelay: Numeric Expression

Specifies a number of pages to postpone codes.


Route...

Layout, Page, Delay Codes, enter number of pages.


For Example...

To postpone codes for two pages, the command is:

DelayCodes

(

PagesToDelay: 2

)


DelayCodesDlg

Purpose

DelayCodesDlg displays the Delay Codes dialog box.

Syntax

DelayCodesDlg ()


Route...

Layout, Page, Delay Codes.


DeleteCharNext

Purpose

DeleteCharNext deletes the character to the right of the insertion point.

Syntax

DeleteCharNext ()

See Also

DeleteCharPrevious


Route...

Press Delete.


DeleteCharPrevious

Purpose

DeleteCharPrevious deletes the character to the left of the insertion point.

Syntax

DeleteCharPrevious ()

See Also

DeleteCharNext


Route...

Press Back Space.


DeleteToBeginningOfWord

Purpose

DeleteToBeginningOfWord deletes text and codes from the insertion point to the beginning of the current word.

The insertion point must be positioned within a word for this command to work.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

DeleteToBeginningOfWord ()

See Also

DeleteToEndOfWord


Route...

Ctrl+Shift+Left Arrow, Delete.


DeleteToEndOfLine

Purpose

DeleteToEndOfLine deletes all characters from the insertion point to the end of the current line.

This command does not delete HardPageBreaks.

Syntax

DeleteToEndOfLine ()


Route...

Press Ctrl+Delete.


DeleteToEndOfPage

Purpose

DeleteToEndOfPage deletes all characters from the insertion point to the end of the current page.

Syntax

DeleteToEndOfPage ()


Route...

Press Ctrl+Shift+Delete.


DeleteToEndOfWord

Purpose

DeleteToEndOfWord deletes text and codes from the insertion point to the beginning of the following word.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

DeleteToEndOfWord ()

See Also

DeleteToBeginningOfWord


Route...

Press Ctrl+Shift+Right Arrow, Delete.


DeleteWord

Purpose

DeleteWord deletes the current word or space.

Syntax

DeleteWord ()


Route...

Press Ctrl+Backspace.


Display

Purpose

Display determines whether macro execution is displayed while a macro is running.

A macro runs faster with display off.  A "Please Wait" message appears on the status line.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

Display (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

See Also

InhibitInput


Route...

This command is not recordable. To use this command, you must type it into the macro.


For Example...

To turn on Display during macro execution, the command is:

Display

(

State: On!

)


DisplayZoom

Purpose

DisplayZoom specifies the display of a current document screen.

Syntax

DisplayZoom (Percent: Numeric Expression)

Parameters

Percent: Numeric Expression

Specifies a zoom mode to display, expressed as a percentage. Use a number between 25 and 400.


Route...

View, Zoom, choose a percentage, or choose Other and specify a percentage.


For Example...

To specify the display of the current document screen, the command is:

DisplayZoom

(

Percent: 50

)


DocCompare

Purpose

DocCompare compares the current document with a specified document using redline and strikeout to mark changes.

Syntax

DocCompare (Filename: Character Expression; CompFlags: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of an original document to which a current document is compared.

CompFlags:  Numeric Equivalent or Enumerated Type

Specifies the scope of comparison between the specified document and the document on-screen.

0	Phrase!

1	Word!

2	Sentence!

3	Paragraph!

See Also

DocCompareAddMarkingsDlg

DocCompareRemoveMarkingsDlg


Route...

File, Compare Document, Add Markings, enter a filename, specify a comparison type.


For Example...

To compare the current document with a specified document using redline and strikeout to mark changes, the command is:

DocCompare

(

Filename: "ORIGINAL";

CompFlags: Sentence!

)


DocCompareAddMarkingsDlg

Purpose

DocCompareAddMarkingsDlg displays the Add Markings dialog box.

Syntax

DocCompareAddMarkingsDlg ()

See Also

DocCompareRemoveMarkingsDlg


Route...

File, Compare Document, Add Markings.


DocCompareRemoveMarkingsDlg

Purpose

DocCompareRemoveMarkingsDlg displays the Remove Markings dialog box.

Syntax

DocCompareRemoveMarkingsDlg ()

See Also

DocCompare

DocCompareAddMarkingsDlg


Route...

File, Compare Document, Remove Markings.


DocCompareRemoveRedline

Purpose

DocCompareRemoveRedline either removes strikeout and redline codes as well as strikeout text; or removes strikeout codes and text, retaining redline codes.

Syntax

DocCompareRemoveRedline (Flag: Numeric Equivalent or Enumerated Type)

Parameters

Flag:  Numeric Equivalent or Enumerated Type

Specifies whether to remove text contained within strikeout and redline codes.

0	RemoveAll!

1	LeaveRedline!

See Also

DocCompare


Route...

File, Compare Document, Remove Markings, specify the codes to remove.


For Example...

To remove all strikeout and redline codes, the command is:

DocCompareRemoveRedline

(

Flag: RemoveAll!

)


DocInitialFont

Purpose

DocInitialFont sets the default font for the current document.

Syntax

DocInitialFont (Name: Character Expression; PointSize: Numeric Expression; Family: Numeric Equivalent or Enumerated Type; Attributes: Numeric Equivalent or Enumerated Type; Weight: Numeric Equivalent or Enumerated Type; Width: Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; CharacterSet: Numeric Equivalent or Enumerated Type)

Parameters

FontName: Character Expression

Specifies a font name.

PointSize: Numeric Expression

Specifies a font size.

Family: Numeric Equivalent or Enumerated Type

Specifies a font family.

256	FamilyITCBenquiat!

2304	FamilyTimesRoman!

4352	FamilyTCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodoni!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicroStyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBruch!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyUnical!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

55552	FamilyAestheticOrnamented!

Attributes: Numeric Equivalent or Enumerated Type

Specifies font attributes.

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

Specifies a font weight.

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

96	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

Specifies a font width.

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

Determines whether the font source is a .PRS file or a .DRS file.

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

Specifies a font type.

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

Specifies a character set.

0	FontMatchASCII!

1	FontMatchMultiNational1!

2	FontMatchMultiNational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!

See Also

DocInitialFontDlg


Route...

Layout, Document, Initial Font, select font.


For Example...

To specify an initial font, the command is:

DocInitialFont

(

Name: "Courier New Bold";

PointSize: 12p;

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


DocInitialFontDlg

Purpose

DocInitialFontDlg displays the Document Initial Font dialog box.

Syntax

DocInitialFontDlg ()

See Also

DocInitialFont


Route...

Layout, Document, Initial Font.


DocMaximize

Purpose

DocMaximize fills the screen with the current document.

If the document is already maximized, macro execution is terminated or redirected to the LABEL specified by ONERROR.

Syntax

DocMaximize ()

See Also

AppMaximize

DocMinimize


Route...

This command is the same as choosing Maximize from the document control menu.


DocMinimize

Purpose

DocMinimize shrinks the current document to an icon.

If the document is already minimized, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

DocMinimize ()

See Also

AppMinimize

DocMaximize


Route...

This command is the same as choosing Minimize from the document control menu.


DocMove

Purpose

DocMove repositions the current document.

Syntax

DocMove ()

See Also

AppMove


Route...

This command is the same as choosing Move from the document control menu.


DocNext

Purpose

DocNext cycles the current document to the back and the most recently opened document to the front.

Syntax

DocNext ()

See Also

DocPrevious


Route...

This command is the same as choosing Next from the document control menu.


DocPrevious

Purpose

DocPrevious activates the most recently opened document before the current document.

In Windows 3.0, this command is the same as DocNext.

Syntax

DocPrevious ()

See Also

DocNext


Route...

This command is the same as choosing Previous from the document control menu.


DocRedlineMethodDlg

Purpose

DocRedlineMethodDlg displays the Redline dialog box.

Syntax

DocRedlineMethodDlg ()


Route...

Layout, Document, Redline Method.


DocRestore

Purpose

DocRestore restores the current document to the size it had before it was minimized or maximized.

If the document is already restored, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

DocRestore ()

See Also

AppRestore

DocMaximize

DocMinimize


Route...

This command is the same as choosing Restore from the document Control menu.


DocSize

Purpose

DocSize allows a user to size the current document window.

If the current document window is maximized, an error is returned and macro execution is terminated or redirected to the LABEL specified by ONERROR.

Syntax

DocSize ()


Route...

DocSize is the same as choosing Size from the WordPerfect Control menu.


DocSummaryConfig

Purpose

DocSummaryConfig specifies fields to include in the current document summary.

Syntax

DocSummaryConfig (DocSumFieldName: Numeric Equivalent or Enumerated Type)

Parameters

DocSumFieldName: Numeric Equivalent or Enumerated Type

Specifies fields to include in the current document summary.

1	Abstract!

2	Account!

3	Address!

4	Attachments!

5	Author!

6	Authorization!

7	BillTo!

8	BlindCopy!

9	CarbonCopy!

10	Category!

11	CheckedBy!

12	Client!

13	Comments!

14	CreationDate!

15	DateCompleted!

16	Department!

17	DescriptiveName!

18	DescriptiveType!

19	Destination!

20	Disposition!

21	Division!

22	DocumentNumber!

23	Editor!

24	ForwardTo!

25	Group!

26	Keywords!

27	Language!

28	MailStop!

29	Matter!

30	Office!

31	Owner!

32	Project!

33	Publisher!

34	Purpose!

35	ReceivedFrom!

36	RecordedBy!

37	RecordedDate!

38	Reference!

39	RevisionDate!

40	RevisionNotes!

41	RevisionNumber!

42	Section!

43	Security!

44	Source!

45	Status!

46	Subject!

47	TelephoneNumber!

48	Typist!

49	VersionDate!

50	VersionNotes!

51	VersionNumber!

See Also

DocSumSet


Route...

File, Document Summary, Configure button, select options from Available Fields list box.


For Example...

To include Author, Subject, and Creation Date fields in the current document summary, the command is:

DocSummaryConfig

(

DocSumFieldName: Author!;

DocSumFieldName: Subject!;

DocSumFieldName: CreationDate!

)


DocSummaryDelete

Purpose

DocSummaryDelete deletes the current document's summary information.

Syntax

DocSummaryDelete ()

See Also

DocSummaryDlg


Route...

File, Document Summary, Options, Delete Summary from Document, Yes.


DocSummaryDlg

Purpose

DocSummaryDlg displays the Document Summary dialog box.

Syntax

DocSummaryDlg ()

See Also

DocSummaryDelete


Route...

Layout, Document, Summary.


DocSummaryPrint

Purpose

DocSummaryPrint prints the current document summary.

Syntax

DocSummaryPrint ()

See Also

DocSummaryDlg


Route...

File, Document Summary, Options, Print Summary.


DocSummarySaveAs

Purpose

DocSummarySaveAs specifies a filename for the current document summary.

Syntax

DocSummarySaveAs(Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a filename.


Route...

File, Document Summary, Options button, Save Summary As New Document, specify a filename.


For Example...

To specify MYDOC as the filename of the current document summary, the command is:

DocSummarySaveAs

(

Filename: "MYDOC"

)


DocSumSet

Purpose

DocSumSet specifies fields and field data for a predefined document summary. The parameters are always paired, and any number of DocSumFieldName-DocSumFieldData pairs can be included in a single DocSumSet command. Enclose the repeated parameters in French braces.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

DocSumSet ({DocSumFieldName: Numeric Equivalent or Enumerated Type; DocSumFieldData: Character Expression})

Parameters

DocSumFieldName: Numeric Equivalent or Enumerated Type

Specifies the names of fields in a predefined document summary. This parameter is always paired with DocSumFieldData.

1	Abstract!

2	Account!

3	Address!

4	Attachments!

5	Author!

6	Authorization!

7	BillTo!

8	BlindCopy!

9	CarbonCopy!

10	Category!

11	CheckedBy!

12	Client!

13	Comments!

14	CreationDate!

15	DateCompleted!

16	Department!

17	DescriptiveName!

18	DescriptiveType!

19	Destination!

20	Disposition!

21	Division!

22	DocumentNumber!

23	Editor!

24	ForwardTo!

25	Group!

26	Keywords!

27	Language!

28	MailStop!

29	Matter!

30	Office!

31	Owner!

32	Project!

33	Publisher!

34	Purpose!

35	ReceivedFrom!

36	RecordedBy!

37	RecordedDate!

38	Reference!

39	RevisionDate!

40	RevisionNotes!

41	RevisionNumber!

42	Section!

43	Security!

44	Source!

45	Status!

46	Subject!

47	TelephoneNumber!

48	Typist!

49	VersionNumber!

50	VersionNotes!

51	VersionNumber!

DocSumFieldData: Character Expression

Specifies data or text contained in the document summary fields. This parameter is always paired with DocSumFieldName.


Route...

File, Document Summary, Configure, select fields, OK, enter text.


For Example...

To define a set of document summaries with "Amy Brunvand" listed as the author and "cat care" as the subject, the command is:

DocSumSet

(

{

DocSumFieldName: Author!;

DocSumFieldData: "Amy Brunvand";

DocSumFieldName: Subject!;

DocSumFieldData: "cat care"

}

)


DotLeader

Purpose

DotLeader specifies a dot leader character, expressed as an ASCII number, and a number of spaces between each character.

Syntax

DotLeader (Character: Numeric Expression; SpaceCount: Numeric Expression)

Parameters

Character: Numeric Expression

Specifies a dot leader character, expressed as an ASCII number.

SpaceCount: Numeric Expression

Specifies a number of spaces between visible dot leader characters.

See Also

?DotLeader


Route...

Layout, Line, Tab Set, Dot Leader Character, enter a character, Spaces Between Characters, enter a number.


For Example...

To specify a dot leader character, the command is:

DotLeader

(

Character: 44;

SpaceCount: 5

)


DoubleSidedPrint

Purpose

DoubleSidedPrint turns on or off Double-sided Printing, and selects a binding edge.

Syntax

DoubleSidedPrint (Flags: Numeric Equivalent or Enumerated Type)

Parameters

Flags: Numeric Equivalent or Enumerated Type

Determines whether to turn on double-sided Printing and select a binding edge.

0	None!

1	LongEdge!

2	ShortEdge!


Route...

Layout, Page, Binding, Duplexing, select a binding edge (or none).


For Example...

To turn on double-sided printing and select a short edge for binding, the command is:

DoubleSidedPrint

(

Flags: ShortEdge!

)


DraftZoom100

Purpose

DraftZoom100 switches the view to draft mode and zooms the display size of screen text and graphics to 100%.

Syntax

DraftZoom100 ()

See Also

DraftZoomMargin


Route...

Click the ViewDraft/Zoom to 100% button on the Power Bar.


DraftZoomMargin

Purpose

DraftZoomMargin switches the view to draft mode and zooms the display size of screen text and graphics to reach the margins.

Syntax

DraftZoomMargin ()

See Also

DraftZoom100


Route...

On the Power Bar, select the View Draft/Zoom to Margins button.


DragTextBegin

Purpose

DragTextBegin is the opening command in a DragTextBegin-DragTextEnd statement used to move selected text. This statement may contain positioning commands such as PosLineUp or PosPageTop.

Syntax

DragTextBegin ()

See Also

DragTextEnd


Route...

Select text, click and drag, release button.


DragTextEnd

Purpose

DragTextEnd is the closing command in a DragTextBegin-DragTextEnd statement used to move selected text. This statement may contain positioning commands such as PosLineEnd or PosPageBottom.

Syntax

DragTextEnd( )

See Also

DragTextBegin


Route...

Select text, click and drag, release button.


For Example...


EditComment

Purpose

EditComment edits a comment.

Syntax

EditComment ()


Route...

Insert, Comment, Edit.


EditCopy

Purpose

EditCopy copies selected text or graphics to the Clipboard, replacing the contents of the Clipboard.

If no text or graphic is selected, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

EditCopy ()


Route...

Edit, Copy.


EditCut

Purpose

EditCut deletes selected text or graphics and copies it to the Clipboard, replacing the contents of the Clipboard.

If no text or graphic is selected, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

EditCut ()


Route...

Edit, Cut.


EditPaste

Purpose

EditPaste copies the Clipboard contents to the insertion point in the current document.

Syntax

EditPaste (ClipboardFormat: Character Expression; FormatId: Numeric Expression; LinkType: Numeric Equivalent or Enumerated Type)

Parameters

ClipboardFormat: Character Expression (optional)

Specifies a Clipboard contents format.

FormatId: Numeric Expression (optional)

Specifies the identification number assigned by WordPerfect for the selected clipboard contents. This number varies.

LinkType:  Numeric Equivalent or Enumerated Type (optional)

Determines the type of data link.

1	DDE!

2	OLE!


Route...

When the Clipboard is not empty, choose Edit, Paste or Paste Special.


For Example...

To paste a picture, the command is:

EditPaste

(

ClipboardFormat: "P";

FormatId: 3;

LinkType: DDE!

)


EndnoteCreate

Purpose

EndnoteCreate opens an Endnote window.

Subsequent commands insert text and codes into the Endnote window.  The Close command closes the Endnote window.

Syntax

EndnoteCreate ()

See Also

Close


Route...

Insert, Endnote, Create.


EndnoteEdit

Purpose

EndnoteEdit opens a specified Endnote window.

Syntax

EndnoteEdit (EndnoteNumber: Character Expression)

Parameters

EndnoteNumber: Character Expression

Specifies the number of the endnote to edit.  This parameter is a character expression because endnotes can also be numbered with Roman numerals or letters.

See Also

Close

EndnoteEditDlg


Route...

Insert, Endnote, Edit.


For Example...

To open the first endnote, the command is:

EndnoteEdit

(

EndnoteNumber: "1"

)


EndnoteEditDlg

Purpose

EndnoteEditDlg displays the Edit Endnote dialog box.

Syntax

EndnoteEditDlg ()

See Also

EndnoteEdit


Route...

Insert, Endnote, Edit.


EndnoteMinimum

Purpose

EndnoteMinimum specifies the amount of endnote text to keep together.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

EndnoteMinimum (Size: Measurement Expression)

Parameters

Size: Measurement Expression

Specifies the amount of endnote text to keep together.  The default is 0.5".

If the amount specified in the Size parameter is less than 1, a 0 must precede the decimal point.

See Also

EndnoteOptionsDlg


Route...

Insert, Endnote, Options, Amount of Endnote to Keep Together, specify an amount.


For Example...

To keep at least .75" of endnote text together on each page, the command is:

EndnoteMinimum

(

Size: 0.75"

)


EndnoteNewNumber

Purpose

EndnoteNewNumber inserts a code at the insertion point to begin new numbering for all following endnotes.

Syntax

EndnoteNewNumber (NewNumber: Character Expression)

Parameters

EndnoteNumber: Character Expression

Specifies a new starting number or character for endnote numbers.


Route...

Insert, Endnote, New Number, enter a new number or character.


For Example...

To number subsequent endnotes beginning with IV, the command is:

EndnoteNewNumber

(

EndnoteNumber: "IV"

)


EndnoteNumberMethod

Purpose

EndnoteNumberMethod selects an endnote numbering method.

Syntax

EndnoteNumberMethod (NumberingMethod: Numeric Equivalent or Enumerated Type; Characters: Character Expression)

Parameters

NumberingMethod:  Numeric Equivalent or Enumerated Type

Specifies an endnote numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

5	Characters!

Characters: Character Expression (optional)

Specifies a character(s) to use as the endnote numbering method. Used when Characters! is used in the first parameter.

See Also

EndnoteNewNumber


Route...

Insert, Endnote, Options, select an option from the Method pop-up list.


For Example...

To specify the asterisk "*" as an endnote numbering method, the command is:

EndnoteNumberMethod

(

NumberingMethod: Characters!;

Characters: "*"

)


EndnoteOptions

Purpose

EndnoteOptions specifies endnote options from the insertion point of the current document.

Syntax

EndnoteOptions(NumberingMethod: Numeric Equivalent or Enumerated Type; Characters: Character Expression; BetweenSpacing: Measurement Expression; MinimumHeight: Measurement Expression)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies the endnote numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

5	Characters!

Characters: Character Expression (optional)

Specifies up to five characters when the numbering method is Characters!.

BetweenSpacing: Measurement Expression

Specifies the space between endnotes.

MinimumHeight: Measurement Expression

Specifies how much of an endnote must stay together on a page.

See Also

EndnoteOptionsDlg


Route...

Insert, Endnote, Options, select options.


For Example...

To set endnote options, the command is:

EndnoteOptions

(

NumberingMethod: Characters!;

Characters: "*!#%";

BetweenSpacing: .1";

MinimumHeight: .5"

)


EndnoteOptionsDlg

Purpose

EndnoteOptionsDlg displays the Endnote Options dialog box.

Syntax

EndnoteOptionsDlg ()

See Also

EndnoteOptions


Route...

Insert, Endnote, Options.


EndnotePlacement

Purpose

EndnotePlacement inserts a code into the current document, causing endnotes to print at the code position.

This command applies to all endnotes up to the EndnotePlacement code, or from the last Endnote Placement code.

Syntax

EndnotePlacement(Restart: Numeric Equivalent or Enumerated Type)

Parameters

Restart: Numeric Equivalent or Enumerated Type

Determines whether endnotes begin renumbering after the EndnotePlacement code.

0	No!

1	Yes!

See Also

EndnotePlacementDlg


Route...

Insert, Endnote, Placement, select renumbering option.


For Example...

To specify endnote placement with renumbering set to No, the command is:

EndnotePlacement

(

Restart: No!

)


EndnotePlacementDlg

Purpose

EndnotePlacementDlg displays the Endnote Placement dialog box.

Syntax

EndnotePlacementDlg ()

See Also

EndnotePlacement


Route...

Insert, Endnote, Placement.


EndnoteSetNumberDlg

Purpose

EndnoteSetNumberDlg displays the Endnote Number dialog box.

Syntax

EndnoteSetNumberDlg ()


Route...

Insert, Endnote, New Number.


EnterKey

Purpose

EnterKey performs the same function as Enter.

Syntax

EnterKey ()


Route...

Press Enter.


EnvelopeDlg

Purpose

EnvelopeDlg displays the Envelope dialog box.

Syntax

EnvelopeDlg ()


Route...

Layout, Envelope.


EquationBaseFontDlg

Purpose

EquationBaseFontDlg sets the equation editor font to the default.

Syntax

EquationBaseFontDlg ()


Route...

Graphics, Equation, Font, Equation Font.


EquationCreate

Purpose

EquationCreate creates an equation box and opens the Equation Editor.

Syntax

EquationCreate ()

See Also

Close


Route...

Graphics, Equation, Create.


EquationPalette

Purpose

EquationPalette determines whether to display the Equation Palette in the Equation Editor.

Syntax

EquationPalette (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!


Route...

Graphics, Equation, View, Palette.


For Example...

To display the Equation Palette, the command is:

EquationPalette

(

State: On!

)


EquationPaletteToggle

Purpose

EquationPaletteToggle toggles the Equation Editor palette.

Syntax

EquationPaletteToggle ()

See Also

EquationPalette


Route...

Graphics, Equation, View, Palette.


EquationRetrieveDlg

Purpose

EquationRetrieveDlg displays the Retrieve Equation Text dialog box.

Syntax

EquationRetrieveDlg ()


Route...

Graphics, Equation, File, Insert File.


EquationZoomDlg

Purpose

EquationZoomDlg displays the Zoom Equation Display dialog box.

Syntax

EquationZoomDlg ()


Route...

Graphics, Equation, View, Zoom Display.


SubstructureExit

Purpose

SubstructureExit closes the current substructure.

Syntax

SubstructureExit (Action: Numeric Equivalent or Enumerated Type)

Parameters

Action:  Numeric Equivalent or Enumerated Type (optional)

Determines whether to open the previous or the next substructure of the same type.

1	Previous!

15	Next!


Route...

From the Button Bar or the Document Control menu in any substructure, select Next, Previous, or Close.


For Example...

To exit the current substructure and enter the next, the command is:

SubstructureExit

(

Action: Next!

)


ExpandDlg

Purpose

ExpandDlg displays the Expand Master Document dialog box.

Syntax

ExpandDlg ()


Route...

File, Master Document, Expand Master.


FileChangeAttributes

Purpose

FileChangeAttributes modifies file attributes.

Syntax

FileChangeAttributes (Filename: Character Expression; Attributes: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a file to modify.

Attributes: Numeric Equivalent or Enumerated Type

Specifies file attributes to modify.

0	Normal!

1	ReadOnly!

2	Hidden!

4	System!

32	Archive!


Route...

File, Open, File Options, Change Attributes.


For Example...

To apply a read-only attribute to a file named TEST, the command is:

FileChangeAttributes

(

Filename: "C:\WPWIN60\TEST";

Attributes: ReadOnly!

)


FileChangeDir

Purpose

FileChangeDir changes the Documents directory or the Graphics Files directory.

Syntax

FileChangeDir (Directory: Character Expression)

Parameters

Directory: Character Expression

Specifies the drive and path (directory) listed in a dialog box when a user wishes to retrieve or select specified files.


Route...

Follow the menu path to any dialog box where the directory can be changed. For example, the following routes are valid: File, Open, change to another directory; or Graphics, Figure, change to another directory.


For Example...

To change the Documents directory to C:\WPWIN60\DOCS, the command is:

FileChangeDir

(

Directory: "C:\WPWIN60\DOCS"

)


FileCopy

Purpose

FileCopy copies a source file to a destination file.

Syntax

FileCopy(SourceFile: Character Expression; DestinationFile: Character Expression)

Parameters

SourceFile: Character Expression

Specifies the name of a file to copy.

DestinationFile: Character Expression

Specifies the filename the source file is copied to.

See Also

FileDelete

FileMove


Route...

File, Open, File Options, Copy, enter source and destination file names.


For Example...

To copy a file, the command is:

FileCopy

(

SourceFile: "HISDOC";

DestinationFile: "HERDOC"

)


DirectoryCreate

Purpose

DirectoryCreate sets up a new directory.

Syntax

DirectoryCreate (Directory: Character Expression)

Parameters

Directory: Character Expression

Specifies the name of a directory to create.


Route...

File, Open, File Options, Create Directory.


For Example...

To create a directory named Data, the command is:

DirectoryCreate

(

Directory: "C:\DATA"

)


FileDelete

Purpose

FileDelete deletes a specified file.

Syntax

FileDelete(Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a file to delete.

See Also

FileCopy

FileMove


Route...

File, Open, select file to delete, File Options, Delete, Delete.


For Example...

To delete the file MYDOC, the command is:

FileDelete

(

Filename: "MYDOC"

)


FileInsert

Purpose

FileInsert retrieves a file into the current document.

Syntax

FileInsert (Filename: Character Expression; AutoDetect: Numeric Equivalent or Enumerated Type; InsertIntoDoc: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the file to insert.

AutoDetect:  Numeric Equivalent or Enumerated Type

Determines whether auto detect is on.

0	No!

1	Yes!

InsertIntoDoc: Numeric Equivalent or Enumerated Type (optional)

Determines whether a prompt is displayed before a file can be inserted into the current document. If no value is specified for this parameter, a prompt is displayed.

0	Prompt!

1	Insert!

See Also

FileOpen


Route...

Insert, File, select a file, Insert, Yes.


For Example...

To insert a file named DOC1.TXT into the current document, the command is:

FileInsert

(

Filename: "DOC1.TXT";

AutoDetect: No!;

InsertIntoDoc: Prompt!

)


FileInsertDlg

Purpose

FileInsertDlg displays the Insert File dialog box.

Syntax

FileInsertDlg ()


Route...

Insert, File.


FileMove

Purpose

FileMove renames or moves, or renames and moves a file.

Syntax

FileMove(SourceFile: Character Expression; DestinationFile: Character Expression)

Parameters

SourceFile: Character Expression

Specifies a file to move or rename.

DestinationFile: Character Expression

Specifies a new filename or location, or new filename and location for the source file.

See Also

FileDelete

FileCopy


Route...

File, Open, select a file, File Options, Move or Rename, enter path and filename, Move or Rename.


For Example...

To move and rename the file OLDDOC, the command is:

FileMove

(

SourceFile: "C:\WPWIN60\OLDDOC";

DestinationFile: "C:\DATA\NEWDOC"

)


InsertFilename

Purpose

InsertFilename inserts a filename into the current document.

Syntax

InsertFilename ()


Route...

Insert, Other, Filename.


FileNew

Purpose

FileNew opens a new document.  If the maximum nine documents are open, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

FileNew ()


Route...

File, New.


FileOpen

Purpose

FileOpen retrieves a specified file into a new document window.

If the maximum nine document windows are open, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

FileOpen(Filename: Character Expression; Format: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file to open.

Format:  Numeric Equivalent or Enumerated Type (optional)

Specifies the format of a file to open.

1	WordPerfect_42!

2	WordPerfect_50!

3	WordPerfect_51!

4	WordPerfect_60!

30	WordStar_33!

31	WordStar_331!

32	WordStar_34!

33	WordStar_40!

34	WordStar_50!

35	WordStar_55!

36	WordStar_60!

50	WordStar2000_10!

51	WordStar2000_20!

52	WordStar2000_30!

62	MicrosoftWord_40!

63	MicrosoftWord_50!

64	MicrosoftWord_55!

70	WordForWindows_10!

71	WordForWindows_11!

72	WordForWindows_1A!

73	WordForWindows_20!

74	WordForWindows_20a!

75	WordForWindows_20b!

80	RTF!

81	FFT!

82	DisplayWrite_40!

83	DisplayWrite_42!

84	DisplayWrite_50!

100	MultiMate_33!

101	MultiMateAdvantage_36!

102	MultiMateAdvantageII_10!

103	MultiMate_40!

120	OfficeWriter_60!

121	OfficeWriter_61!

122	OfficeWriter_611!

123	OfficeWriter_62!

150	RTF!

160	ASCIIStandard!

161	ANSIText_Windows!

163	DelimitedText!

165	ASCIIStripped!

173	Kermit_7bit_Transfer!

175	NavyDIF!

190	XyWriteIIIPlus_355!

191	XyWriteIIIPlus_356!

311	AmiPro_12!

312	AmiPro_12A!

313	AmiPro_12B!

314	AmiPro_20!

315	AmiPro_30!

656	ANSIDelimitedTextWindows!

657	ANSIGenericWordProcessor_Windows!

807	Excel_40!

See Also

Close

FileOpenDlg

LastOpenedAdd


Route...

File, Open, enter a filename.


For Example...

To open the file MYFILE, the command is:

FileOpen

(

Filename: "MYFILE"

)


FileOpenDlg

Purpose

FileOpenDlg displays the Open File dialog box.

Syntax

FileOpenDlg ()

See Also

FileOpen


Route...

File, Open.


FileRemoveDirectory

Purpose

FileRemoveDirectory removes a directory.

Syntax

FileRemoveDirectory (Directory: Character Expression)

Parameters

Directory: Character Expression

Specifies a directory to remove.


Route...

File, Open, select a directory, File Options, Remove Directory, Remove.


For Example...

To remove a directory named NEW, the command is:

FileRemoveDirectory

(

Directory: "C:\WPWIN60\NEW"

)


FileSave

Purpose

FileSave saves the current file.  If the document has not been saved, the Save As dialog box is displayed.

Syntax

FileSave(Filename: Character Expression; ExportType: Numeric Equivalent or Enumerated Type; Overwrite: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file.

ExportType: Numeric Equivalent or Enumerated Type

Specifies the file format to save a document in.

1	WordPerfect42!

2	WordPerfect50!

3	WordPerfect51!

30	WordStar33!

31	WordStar331!

32	WordStar34!

33	WordStar40!

34	WordStar50!

35	WordStar55!

36	WordStar60!

63	MicrosoftWord50!

64	MicrosoftWord55!

70	WordForWindows10!

71	WordForWindows11!

80	IBMDCARevisableFormText!

81	IBMDCAFinalFormText!

82	DisplayWrite40!

83	DisplayWrite42!

84	DisplayWrite50!

100	MultiMate33!

101	MultiMateAdvantage36!

102	MultiMateAdvantageII37!

103	MultiMate40!

120	OfficeWriter60!

121	OfficeWriter61!

122	OfficeWriter611!

123	OfficeWriter62!

150	WordRichTextFormat!

160	ASCIIText!

161	ANSIText!

163	ASCIIDelimitedText!

165	ASCIIGenericWP!

190	XyWriteIIIPlus355!

191	XyWriteIIIPlus356!

311	AmiPro12Windows!

312	AmiPro12aWindows!

313	AmiPro12bWindows!

Overwrite: Numeric Equivalent or Enumerated Type

Determines whether to automatically overwrite a file with the same name, or prompt the user to enter a new filename.

0	No!

1	Yes!

2	Prompt!

See Also

FileSaveAsDlg


Route...

File, Save.


For Example...

To save the file EXPORT.DOC in WordPerfect 4.2 format, the command is:

FileSave

(

Filename: "EXPORT.DOC";

ExportType: WordPerfect42!;

Overwrite: Yes!

)


FileSaveAsDlg

Purpose

FileSaveAsDlg displays the Save As dialog box.

Syntax

FileSaveAsDlg ()

See Also

FileSave


Route...

File, Save As.


FillColors

Purpose

FillColors creates a background (or fill) for graphics boxes and tables.

This command must be preceded by a command which specifies a fill style, such as BoxFill, and followed by a closing command such as BoxUpdateDisplay.

Syntax

FillColors (ForeColorName: Character Expression; ForeRed: Numeric Expression; ForeGreen: Numeric Expression; ForeBlue: Numeric Expression; ForeShade: Numeric Expression; BackColorName: Numeric Expression; BackRed: Numeric Expression; BackGreen: Numeric Expression; BackBlue: Numeric Expression; BackShade: Numeric Expression)

Parameters

The first five parameters specify foreground color and the last five specify background color.

Fore/BackColorName (optional)

Specifies foreground and background colors.

Fore/BackRed: Numeric Expression (optional)

Represents the amount of red in the selected color.  Values range from 0 to 255.

Fore/BackGreen: Numeric Expression (optional)

Represents the amount of green in the selected color.  Values range from 0 to 255.

Fore/BackBlue: Numeric Expression (optional)

Represents the amount of blue in the selected color.  Values range from 0 to 255.

Fore/BackShade: Numeric Expression (optional)

Represents the amount of shading in the selected color.  Values range from 0 to 100.

See Also

BoxFill

BoxUpdateDisplay

FillSetWPG2

FillStyleCreate

FillSetGradient

FillStyleEnd


Route...

With a graphic displayed in the current document, choose Graphics, Edit Box, Border/Fill button, select a Fill style, Foreground, select a color, Background, select a color, OK.


For Example...

To specify a 40 percent grayscale background for a selected graphic, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxFill

(

FillStyleName: 0

)

FillColors

(

ForeColorName: "Black";

ForeRed: 0;

ForeGreen: 0;

ForeBlue: 0;

ForeShade: 40;

BackColorName: "White";

BackRed: 255;

BackGreen: 255;

BackBlue: 255;

BackShade: 100

)

BoxUpdateDisplay ()


FillSetGradient

Purpose

FillSetGradient customizes a gradient fill.

This command must be preceded by FillStyleCreate or FillStyleEdit and followed by FillStyleEnd.

Syntax

FillSetGradient (Gradient: Numeric Equivalent or Enumerated Type; Angle: Numeric Expression; XLocation: Numeric Expression; YLocation: Numeric Expression; Calculate: Numeric Equivalent or Enumerated Type)

Parameters

Gradient: Numeric Equivalent or Enumerated Type

Determines the type of gradient.

0	LinearGradient!

1	RadialGradient!

2	RectangularGradient!

Angle: Numeric Expression

Specifies the rotation angle applied to the style.

XLocation: Numeric Expression

Specifies the percentage of horizontal offset. A horizontal offset of 10% places the center of the gradient effect toward the left edge; a horizontal offset of 50% centers the effect horizontally.

YLocation: Numeric Expression

Specifies the percentage of vertical offset. A vertical offset of 10% places the center of the gradient effect toward the left edge; a horizontal offset of 50% centers the effect vertically.

Calculate: Numeric Equivalent or Enumerated Type

Specifies the number of steps or gradines used to create a gradient. The default is 30 steps, meaning the gradient effect is comprised of 30 lines. The maximum number of steps is 999, and the minimum is 1; both produce a solid appearance. The optimum number of steps is approximately 120.

See Also

FillColors

FillStyleCreate

FillStyleDelete

FillStyleEdit

FillStyleEnd

?FillGradientType


Route...

Graphics, Graphics Styles, Fill, Create or Edit. Create: enter style name, Gradient radio button, select option from Gradient pop-up list, select options from Pattern Options, OK, Close. Edit: Gradient radio button, edit selection from Gradient pop-up list, select options from Pattern Options, OK, Close.


For Example...

To create a gradient fill style named Greenburst with a top left corner offset, using 50 lines, the command sequence is:

FillStyleCreate

(

TemplateName: "Greenburst";

StyleFile: PersonalLibrary!

)

FillSetGradient

(

Gradient: RectangularGradient!;

Angle: 0.0;

XLocation: 0.1;

YLocation: 0.1;

Calculate: 50

)

FillColors

(

ForeRed: 255;

ForeGreen: 255;

ForeBlue: 0;

ForeShade: 100;

BackRed: 0;

BackGreen: 127;

BackBlue: 0;

BackShade: 100

)

FillStyleEnd

(

CancelSave: Save!

)


FillSetWPG2

Purpose

FillSetWPG2 specifies both a pattern set and a pattern from the set.

Syntax

FillSetWPG2 (PatternSet: Numeric Expression; Index: Numeric Equivalent or Enumerated Type)

Parameters

PatternSet: Numeric Expression

Specifies a pattern set. Currently only pattern set 0 is available.

Index: Numeric Equivalent or Enumerated Type

Specifies a pattern.

0	WPG2_Solid!

1	WPG2_50Gray!

2	WPG2_25Gray!

3	WPG2_12Gray!

4	WPG2_Crosshatch1!

5	WPG2_Crosshatch2!

6	WPG2_Crosshatch3!

7	WPG2_Crosshatch4!

8	WPG2_Lines1!

9	WPG2_Lines2!

10	WPG2_Lines3!

11	WPG2_Lines4!

12	WPG2_Lines5!

13	WPG2_Lines6!

14	WPG2_Lines7!

15	WPG2_Lines8!

16	WPG2_Checkboard1!

17	WPG2_Checkboard2!

18	WPG2_Bricks1!

19	WPG2_Bricks2!

20	WPG2_Fishscale!

21	WPG2_Honeycomb!

22	WPG2_Patio!

23	WPG2_Chainlink!

24	WPG2_Weave!

25	WPG2_Plaid!

26	WPG2_Balls!

27	WPG2_Mesh!

28	WPG2_Crosses!

29	WPG2_Triangles!

30	WPG2_Waves!

31	WPG2_Arch!

See Also

FillStyleCreate

FillStyleEdit

FillColors

?FillWPG2Pattern


Route...

Graphics, Graphics Styles, Fill, Create or Edit. Create: enter style name, Pattern button, select options from Pattern Options, OK, Close. Edit: Pattern button, edit options from Pattern Options, OK, Close.


For Example...

To create a fill style named BrickWork, using pattern set 0 and the index pattern WPG2_Bricks2!, the command sequence is:

FillStyleCreate

(

TemplateName: "BrickWork";

StyleFile: PersonalLibrary!

)

FillSetWPG2

(

PatternSet: 0;

Index: WPG2_Bricks2!

)

FillColors

(

ForeRed: 192;

ForeGreen: 192;

ForeBlue: 192;

ForeShade: 100;

BackRed: 127;

BackGreen: 0;

BackBlue: 0;

BackShade: 100

)

FillStyleEnd

(

CancelSave: Save!

)

)


FillStyleCopy

Purpose

FillStyleCopy copies a fill style.

Syntax

FillStyleCopy (StyleName: Numeric Equivalent or Enumerated Type; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; DestName: Character Expression)

Parameters

StyleName: Numeric Equivalent or Enumerated Type

Specifies a fill style to copy.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill50!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies the location of a fill style to copy.

0	CurrentDocument!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary:  Numeric Equivalent or Enumerated Type

Specifies the destination of a copied fill style.

0	CurrentDocument!

1	PersonalLibrary!

2	SharedLibrary!

DestName: Character Expression

Renames a copied fill style if a style of the same name already exists in the target location.

See Also

FillStyleCreate

FillStyleDelete

FillStyleEdit


Route...

Graphics, Graphic Styles, Fill, select a style to copy, Options, Copy, type a new style name.


For Example...

To copy a fill style named 10% Fill from the current document to the personal library, and to rename the copied style My Style, the command is:

FillStyleCopy

(

StyleName: Fill10!;

FromLibrary: CurrentDocument!;

ToLibrary: PersonalLibrary!;

DestName: "My Style"

)

To copy a fill style named 50% Fill from the current document to the personal library, the command is:

FillStyleCopy

(

StyleName: Fill50!;

FromLibrary: CurrentDocument!;

ToLibrary: PersonalLibrary!

)


FillStyleCreate

Purpose

FillStyleCreate creates a new fill style.

Syntax

FillStyleCreate (TemplateName: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

TemplateName: Character Expression

Specifies the name of a new style.

Library: Numeric Equivalent or Enumerated Type

Specifies the destination of a fill style to create.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillColors

FillSetGradient

FillSetWPG2

FillStyleCopy

FillStyleDelete

FillStyleEdit

FillStyleEnd


Route...

Graphics, Graphic Styles, Fill, Create, enter a new style.


For Example...

To create a style named Button Fill, the command is:

FillStyleCreate

(

TemplateName: "Button Fill";

Library: CurrentDoc!

)

FillStyleEnd

(

CancelSave: Save!

)


FillStyleDelete

Purpose

FillStyleDelete deletes a style.

Syntax

FillStyleDelete (StyleName: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

StyleName: Character Expression

Specifies the name of a style to delete.

Library: Numeric Equivalent or Enumerated Type

Specifies the source of a style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillStyleCopy

FillStyleCreate

FillStyleEdit


Route...

Graphics, Graphic Styles, Fill, select a style, Options button, Delete.


For Example...

To delete a style named My Style, the command is:

FillStyleDelete

(

StyleName: "My Style";

Library: CurrentDoc!

)


FillStyleEdit

Purpose

FillStyleEdit is the opening command of a FillStyleEdit-FillStyleEnd statement; this statement contains style commands.

Syntax

FillStyleEdit (Style: Numeric Equivalent or Enumerated Type or Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specifies the name of the style to edit.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

Library: Numeric Equivalent or Enumerated Type

Specifies the source of a style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillStyleCreate

FillStyleEnd

?Fill


Route...

Graphics, Graphic Styles, Fill, select a style, Edit.


For Example...

To edit the fill style named 40% Fill, the command is:

FillStyleEdit

(

Style: Fill40!;

Library: CurrentDoc!

)


FillStyleEnd

Purpose

FillStyleEnd saves or cancels changes after creating or editing a style.

Syntax

FillStyleEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to save changes after creating or editing a style.

0	Cancel!

1	Save!

See Also

FillStyleCreate

FillStyleEdit


Route...

Choose OK or Cancel from the Edit Fill Style or Create Fill Style dialog box.


For Example...

To save changes after creating a new style, the command is:

FillStyleEnd

(

State: Save!

)


FillStyleRetrieve

Purpose

FillStyleRetrieve retrieves a fill style.

Syntax

FillStyleRetrieve (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a fill style to retrieve.

Library: Numeric Equivalent or Enumerated Type (optional)

Specifies the location of a fill style to retrieve.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillStyleSave


Route...

Graphics, Graphics Styles, Fill, Options, Retrieve, enter name of a style to retrieve, OK, Close.


For Example...

To retrieve a fill style named My Style from the current document, the command is:

FillStyleRetrieve

(

Filename: "My Style";

Library: CurrentDoc!

)


FillStyleSave

Purpose

FillStyleSave saves a fill style.

Syntax

FillStyleSave (Filename: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a fill style to save.

Library: Numeric Equivalent or Enumerated Type (optional)

Specifies the location of a fill style to save.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

FillStyleRetrieve


Route...

Graphics, Graphics Styles, Fill, Options, Save As, enter a new name or a new path and name for the style, OK, Close.


For Example...

To save a fill style named My Style in the current document, the command is:

FillStyleSave

(

Filename: "My Style";

Library: CurrentDoc!

)


FindDlg

Purpose

FindDlg displays the Find Text dialog box.

Syntax

FindDlg ()


Route...

Edit, Find.


FindFiles

Purpose

FindFiles locates specified files.

Syntax

FindFiles: (Action: Numeric Equivalent or Enumerated Type; SearchWPDocsOnly: Numeric Equivalent or Enumerated Type; MatchValues: Numeric Equivalent or Enumerated Type; SearchType: Numeric Equivalent or Enumerated Type; SearchPath: Character Expression; SearchPattern: Character Expression; FileTemplate: Character Expression; DocumentSummaryPattern: Character Expression; SearchResultsTitle: Character Expression; ShowResultsDialog: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Determines whether to open or retrieve a file.

1	Open!

2	Retrieve!

SearchWPDocsOnly: Numeric Equivalent or Enumerated Type

Determines whether to search only for WordPerfect documents.

0	No!

1	Yes!

MatchValues: Numeric Equivalent or Enumerated Type

Determines whether to add matching files to search results.

0	No!

1	Yes!

SearchType: Numeric Equivalent or Enumerated Type

Determines whether to search a specified directory or the entire disk.

0	DirectoryOnly!

1	EntireDisk!

SearchPath: Character Expression

Specifies a search path.

SearchPattern: Character Expression

Specifies a file pattern to search.

FileTemplate: Character Expression

Specifies a template to search.

DocumentSummaryPattern: Character Expression

Specifies a document summary pattern to search.

SearchResultsTitle: Character Expression

Specifies the search results title.

ShowResultsDialog: Numeric Equivalent or Enumerated Type

Determines whether to display the results of the search.

0	No!

1	Yes!


Route...

File, QuickFinder, specify options, Options, More, enter search specifications and select options, Find.


For Example...

To find and open a file, the command is:

FindFiles

(

Action: Open!;

SearchWPDocsOnly: Yes!;

MatchValues: Yes!;

SearchType: DirectoryOnly!;

SearchPath: "\NO CASE";

SearchPattern: "doc.*";

FileTemplate: "standard";

DocumentSummaryPattern: "report";

SearchResultsTitle: "results";

ShowResultsDlg: Yes!

)


FirstLineIndent

Purpose

FirstLineIndent indents the first line of a new paragraph relative to the left margin.

Syntax

FirstLineIndent (Width: Measurement Expression)

Parameters

Width: Measurement Expression

Specifies an amount to indent the first line of a new paragraph.


Route...

Layout, Paragraph, Format, enter a measurement in the First Line Indent Edit box.


For Example...

To indent the first line of each new paragraph 1.5 inches, the command is:

FirstLineIndent

(

Width: 1.5"

)


FloatingCellCreate

Purpose

FloatingCellCreate creates a floating cell.

Syntax

FloatingCellCreate ()

See Also

FloatingCellEdit


Route...

Table, Create, Floating Cell.


FloatingCellEdit

Purpose

FloatingCellEdit searches backwards from the insertion point for a floating cell, then moves the insertion point to the first floating cell found. If no floating cell is found, the command searches forward from the insertion point.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

FloatingCellEdit ()

See Also

FloatingCellCreate


FloatingCellFormula

Purpose

FloatingCellFormula specifies a formula used in the current floating cell.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellFormula (Formula: Character Expression)

Parameters

Formula: Character Expression

Specifies a formula to place in a floating cell.

See Also

FloatingCellCreate

FloatingCellEdit


Route...

Table, Formula Bar, enter a formula.


For Example...

To create a floating cell containing a formula to add the values of two other floating cells, the command sequence is:

FloatingCellCreate ()

FloatingCellFormula

(

Formula: "Floating Cell A + Floating Cell B"

)


FloatingCellNumAlignCurrency

Purpose

FloatingCellNumAlignCurrency specifies whether to align currency symbols.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumAlignCurrency (Align: Numeric Equivalent or Enumerated Type)

Parameters

Align: Numeric Equivalent or Enumerated Type

Designates whether to align currency symbols.

0	No!

1	Yes!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Currency, Custom, Align Currency Symbol.


For Example...

To create a floating cell that formats numbers as currency and aligns the currency symbols, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: Currency!

)

FloatingCellNumAlignCurrency

(

Align: Yes!

)


FloatingCellNumberDateFormat

Purpose

FloatingCellNumberDateFormat specifies a floating cell date format.

Syntax

FloatingCellNumberDateFormat (Format: Numeric Equivalent, or Numeric Equivalent or Enumerated Type)

Parameters

Format: Numeric Equivalent

Specifies a date format. To specify the default date format, select the numeric equivalent or enumerated type.

0	DateFormat!

Otherwise, use one of the numeric expressions described below:

1	March 5, 1993

2	3/5/93

3	Mar 5, 1993

4	5 March 1993

5	Friday, March 5, 1993

6	4:18 pm

7	05Mar93

8	March 5, 1993 (4:18pm)

9	1993-03-05

10	3/05

11	Mar 05

12	04:18:53 (hh:mm:ss)

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Date/Time, Custom, select a format.


For Example...

To edit a floating cell and specify the date format mm/dd/yy, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: DateFormat!

)

FloatingCellNumberDateFormat

(

Format: 2

)

TableFormulaCBar()

FloatingCellFormula

(

Formula: "Date()"

)


FloatingCellNumberDecDigits

Purpose

FloatingCellNumberDecDigits specifies the number of digits to display after the decimal point in a floating cell.

Syntax

FloatingCellNumberDecDigits (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies the number of digits to display after a decimal point.

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Fixed, Custom, Digits after Decimal, specify a number of digits after the decimal.


For Example...

To edit a floating cell and display two digits after the decimal point, the command sequence is:

FloatingCellNumberFormat

(

CellNumType: Fixed2!

)

FloatingCellNumberDecDigits

(

Number: 2

)


FloatingCellNumberFormat

Purpose

FloatingCellNumberFormat specifies a number type for floating cells.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumberFormat (CellNumType: Numeric Equivalent or Enumerated Type)

Parameters

CellNumType: Numeric Equivalent or Enumerated Type

Specifies the format of a number in floating cells.

0	General!

1	Integer!

2	Fixed2!

3	Percent!

4	Currency!

5	Accounting!

6	Commas!

7	Scientific!

8	DateFormat!

9	TextOnly!

See Also

FloatingCellCreate

FloatingCellEdit


Route...

Table, Number Type, select a format from the Available Types group box.


For Example...

To create a floating cell in the scientific notation format, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: Scientific!

)


FloatingCellNumberNegNumber

Purpose

FloatingCellNumberNegNumber specifies how to display negative numbers in a floating cell.

Syntax

FloatingCellNumberNegNumber (NegDisplay: Numeric Equivalent or Enumerated Type)

Parameters

NegDisplay: Numeric Equivalent or Enumerated Type

Specifies the display of negative numbers.

0	Minus!

1	Parentheses!

2	CRDR!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Integer, Custom, select an option from the Negative Numbers group box.


For Example...

To edit a floating cell and display negative numbers in parentheses, the command sequence is:

FloatingCellNumberFormat

(

CellNumType: Integer!

)

FloatingCellNumberNegNumber

(

NegDisplay: Parentheses!

)


FloatingCellNumberRound

Purpose

FloatingCellNumberRound determines whether to round numbers for calculation in a floating cell.

Syntax

FloatingCellNumberRound (Round: Numeric Equivalent or Enumerated Type)

Parameters

Round: Numeric Equivalent or Enumerated Type

Designates whether to round numbers to calculate.

0	No!

1	Yes!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Fixed, Custom, Round for Calculation.


For Example...

To edit a floating cell and round numbers for calculation, the command sequence is:

FloatingCellNumberFormat

(

CellNumType: Fixed2!

)

FloatingCellNumberRound

(

Round: Yes!

)


FloatingCellNumberUseCommas

Purpose

FloatingCellNumberUseCommas determines whether to display commas in floating cell numbers.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumberUseCommas (Commas: Numeric Equivalent or Enumerated Type)

Parameters

Commas: Numeric Equivalent or Enumerated Type

Designates whether to use commas in numbers.

0	No!

1	Yes!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumberFormat


Route...

Table, Number Type, Commas, Custom, Use Commas.


For Example...

To create a floating cell that displays numbers without showing commas, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: Commas!

)

FloatingCellNumberUseCommas

(

Commas: No!

)


FloatingCellNumberUseCurrency

Purpose

FloatingCellNumberUseCurrency determines whether to use a currency symbol in a floating cell.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumberUseCurrency (Currency: Numeric Equivalent or Enumerated Type)

Parameters

Currency: Numeric Equivalent or Enumerated Type

Determines whether to use a currency symbol.

0	No!

1	Yes!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumAlignCurrency

FloatingCellNumberFormat


Route...

Table, Number Type, Currency, Custom, Use Currency Symbol.


For Example...

To create a floating cell that does not display currency symbols, the command sequence is:

FloatingCellCreate ()

FloatingCellNumberFormat

(

CellNumType: Currency!

)

FloatingCellNumberUseCurrency

(

Currency: No!

)


FloatingCellNumSelectCurrency

Purpose

FloatingCellNumSelectCurrency specifies a currency symbol for floating cells.

This command must be preceded by FloatingCellCreate or FloatingCellEdit.

Syntax

FloatingCellNumSelectCurrency (IntlCurrency: Numeric Equivalent or Enumerated Type)

Parameters

IntlCurrency: Numeric Equivalent or Enumerated Type

Specifies a currency symbol or country where the currency is used.

0	DefaultCurrency!

1	Dollar!

2	Peso!

3	FrenchCanada!

4	Canada!

5	Brazil!

6	Denmark!

7	Peseta!

8	Croatia!

9	CzechRepublic!

10	SlovakRepublic!

11	Finland!

12	FinlandIntl!

13	France!

14	Germany!

15	Greece!

16	Hungary!

17	Iceland!

18	Italy!

19	Japan!

20	Netherlands!

21	Norway!

22	NorwayIntl!

23	Ruble!

24	RussianRuble!

25	SouthAfrica!

26	Sweden!

27	Turkey!

28	UnitedKingdom!

29	Switzerland!

30	Austria!

31	Belgium!

32	Ecuador!

33	ElSalvador!

34	Guatemala!

35	Honduras!

36	Paraguay!

37	Venezuela!

38	Poland!

39	Slovenia!

See Also

FloatingCellCreate

FloatingCellEdit

FloatingCellNumAlignCurrency

FloatingCellNumberFormat

FloatingCellNumberUseCurrency


Route...

Table, Number Type, Currency, Custom, Symbol, select a currency symbol.


For Example...

To edit a cell and specify the dollar sign ($) as the currency symbol, the command sequence is:

FloatingCellEdit ()

FloatingCellNumberFormat

(

CellNumType: Currency!

)

FloatingCellNumSelectCurrency

(

IntlCurrency: Dollar!

)


FlushRight

Purpose

FlushRight aligns text against the right margin.

Syntax

FlushRight ()


Route...

Layout, Line, Flush Right.


Font

Purpose

Font specifies a font.

Syntax

Font (Name: Character Expression; Family: Numeric Equivalent or Enumerated Type; Attributes: Numeric Equivalent or Enumerated Type; Weight: Numeric Equivalent or Enumerated Type; Width:  Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; Character Set: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies a font name.

Family: Numeric Equivalent or Enumerated Type

256	FamilyITCBenguiat!

2304	FamilyTimesRoman!

4352	FamilyITCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodon!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicrostyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBrush!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyTekton!

35072	FamilyUncial!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

55552	FamilyAestheticOrnamented!

Attributes: Numeric Equivalent or Enumerated Type

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

88	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

240	WeightUltraHeavy!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

0	FontMatchASCII!

1	FontMatchMultinational1!

2	FontMatchMultinational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!


Route...

Layout, Font, select a font.


For Example...

To select the font named Courier New Bold, the command is:

Font

(

Name: "Courier New Bold";

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


BoldKey

Purpose

BoldKey toggles Bold at the insertion point.

Syntax

BoldKey ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, Bold.


FontDlg

Purpose

FontDlg displays the Font dialog box.

Syntax

FontDlg ()

See Also

Font


Route...

Layout, Font.


FontHiddenToggle

Purpose

FontHiddenToggle toggles Hidden at the insertion point.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

FontHiddenToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, Hidden.


FontSize

Purpose

FontSize sets the font size of a selected font.

Syntax

FontSize (FontSize: Measurement Expression)

Parameters

FontSize: Measurement Expression

Specifies a font size in points.

See Also

Font


Route...

Layout, Font, select a size.


For Example...

To set the font size to 14p, the command is:

FontSize

(

FontSize: 14p

)


FooterA

Purpose

FooterA determines whether to create, edit, or cancel Footer A.

Syntax

FooterA (Action: Numeric Equivalent or Enumerated Type; Occurrence:Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Determines whether to create, edit, or cancel Footer A.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type (optional)

Specifies where to display footer A.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

NewHFWOccurrence

?FooterAOccur


Route...

Layout, Header/Footer, Footer A, Create.


For Example...

To create Footer A, containing the text "This is Footer A," the command sequence is:

FooterA

(

Action: Create!

)

Type

(

Text: "This is Footer A"

)

SubstructureExit ()


FooterB

Purpose

FooterB determines whether to create, edit, or cancel Footer B.

Syntax

FooterB (Action: Numeric Equivalent or Enumerated Type; Occurrence: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Determines whether to create, edit, or cancel Footer B.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type (optional)

Specifies where to display footer B.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

NewHFWOccurrence

?FooterBOccur


Route...

Layout, Header/Footer, Footer B, Create.


For Example...

To edit Footer B to contain the text "This is Footer B," the command sequence is:

FooterB

(

Action: Edit!

)

Type

(

Text: "This is Footer B"

)

SubstructureExit ()


FooterSeparationDistance

Purpose

FooterSeparationDistance specifies an amount of blank space above footers.

Syntax

FooterSeparationDistance (Distance: Measurement Expression)

Parameters

Distance: Measurement Expression)

Specifies an amount of blank space above a footer.  The default is .167".


Route...

Layout, Header/Footer, Footer A or Footer B, Create or Edit, Distance, specify a measurement.


For Example...

To specify .5" of blank space above Footer A, the command is:

FooterA

(

Action: Create

)

FooterSeparationDistance

(

Distance: 0.5"

)

SubstructureExit ()


FootnoteContinuedMessage

Purpose

FootnoteContinuedMessage determines whether to print "(continued...)" when a footnote is split between two pages.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

FootnoteContinuedMessage (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to print a continued message when a footnote is split between two pages.

0	No!

1	Yes!

See Also

FootnoteOptionsDlg


Route...

Layout, Footnote, Options, Print Continued Message.


For Example...

To print a continued message, the command is:

FootnoteContinuedMessage

(

State: Yes!

)


FootnoteCreate

Purpose

FootnoteCreate opens a Footnote window, where subsequent commands insert text and codes.  The Close command closes the Footnote window and places a reference to the footnote at the insertion point.

Syntax

FootnoteCreate ()

See Also

Close


Route...

Insert, Footnote, Create.


FootnoteEdit

Purpose

FootnoteEdit opens a specified Footnote window.  Subsequent commands apply to the Footnote window until Close.

Syntax

FootnoteEdit (FootnoteNumber: Character Expression)

Parameters

FootnoteNumber: Character Expression

Specifies the number of a footnote to edit.  Note that this parameter is a character expression.  Footnotes can be numbered with arabic numerals, roman numerals, or letters.

See Also

Close

FootnoteEditDlg


Route...

Insert, Footnote, Edit.


For Example...

To edit footnote number 3, and enter text, the command is:

FootnoteEdit

(

FootnoteNumber: "3"

)

Type

(

Text: "The Cremation of Sam McGee"

)

SubstructureExit ()


FootnoteEditDlg

Purpose

FootnoteEditDlg displays the Edit Footnote dialog box.

Syntax

FootnoteEditDlg ()

See Also

FootnoteEdit


Route...

Insert, Footnote, Edit.


FootnoteNewNumberDlg

Purpose

FootnoteNewNumberDlg displays the Footnote Number dialog box.

Syntax

FootnoteNewNumberDlg ()


Route...

Insert, Footnote, New Number.


FootnoteOptions

Purpose

FootnoteOptions specifies footnote options from the insertion point forward.

Syntax

FootnoteOptions(NumberingMethod: Numeric Equivalent or Enumerated Type; Characters: Character Expression; BetweenSpacing: Measurement Expression; MinimumHeight: Measurement Expression; Restart: Numeric Equivalent or Enumerated Type; PrintContinued: Numeric Equivalent or Enumerated Type; FootnotePosition: Numeric Equivalent or Enumerated Type; Separator: Numeric Equivalent or Enumerated Type)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies the footnote numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

5	Characters!

Characters: Character Expression

Specifies up to five characters.  Used when the numbering method is Characters!.

BetweenSpacing: Measurement Expression

Specifies an amount of space between footnotes.

MinimumHeight: Measurement Expression

Specifies how much of a footnote must be kept together on a page.

Restart: Numeric Equivalent or Enumerated Type

Determines whether the footnote number restarts with 1 on every page.

0	Off!

1	On!

PrintContinued: Numeric Equivalent or Enumerated Type

Determines whether "(continued)..." is printed on the last footnote line of the first page and "...(continued)" on the first footnote line of the next page, according to Footnote Options.

0	No!

1	Yes!

FootnotePosition: Numeric Equivalent or Enumerated Type

Specifies where to display footnotes.

0	AfterText!

1	BottomOfPage!

Separator: Numeric Equivalent or Enumerated Type

Specifies a footnote separator.

0	NoLine!

1	ShortLine!

2	MarginToMargin!

See Also

FootnoteOptionsDlg


Route...

Insert, Footnote, Options, select options.


For Example...

To specify footnote options, the command is:

FootnoteOptions

(

NumberingMethod: Characters!;

Characters: "Note";

BetweenSpacing: .1";

MinimumHeight: .5";

Restart: On!;

PrintContinued: Yes!;

FootnotePosition: BottomOfPage!;

Separator: ShortLine!

)


FootnoteOptionsDlg

Purpose

FootnoteOptionsDlg displays the Footnote Options dialog box.

Syntax

FootnoteOptionsDlg ()

See Also

FootnoteOptions


Route...

Insert, Footnote, Options.


FootnoteSeparatorLine

Purpose

FootnoteSeparatorLine specifies the characteristics of a separator line between text and footnotes.

FootnoteSeparatorLine (Style: Numeric Equivalent or Enumerated Type; SpaceAboveLine: Measurement Expression; SpaceBelowLine: Measurement Expression; Alignment: Numeric Equivalent or Enumerated Type; Width: Measurement Expression; Position: Measurement Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the type of separator line.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

SpaceAboveLine: Measurement Expression

Specifies the amount of space between the separator line and the last line of document text.

SpaceBelowLine: Measurement Expression

Specifies the amount of space between the separator line and the first footnote.

Alignment: Numeric Equivalent or Enumerated Type

Specifies how the separator line is justified.

0	Left!

1	Full!

2	Center!

3	Right!

4	SetPosition!

Width: Measurement Expression (optional)

Specifies the width of a separator line.

Position: Measurement Expression (optional)

Specifies the distance of a separator line from the left edge of the page.

See Also

FootnoteOptionsDlg


Route...

Insert, Footnote, Options, Separator, select options.


For Example...

To create a separator line with 0.5" of space above the line and 0.25" below, 2" from the left edge of the paper, and 3" in length, the command is:

FootnoteSeparatorLine

(

Style: DoubleLine!;

SpaceAboveLine: 0.5";

SpaceBelowLine: 0.25";

Alignment: SetPosition!;

Width: 3.0";

Position: 2.0"

)


FootnoteSpaceBetween

Purpose

FootnoteSpaceBetween specifies the amount of blank space between footnotes.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

FootnoteSpaceBetween (Space: Measurement Expression)

Parameters

Space: Measurement Expression

Specifies the amount of blank space between footnotes.  The default is .167".

See Also

FootnoteOptionsDlg


Route...

Layout, Footnote, Options, Spacing Between Footnotes, specify a measurement.


For Example...

To specify .25" blank space between footnotes, the command is:

FootnotesSpaceBetween

(

Space: .25"

)


ForcePage

Purpose

ForcePage specifies that a certain page always has an odd or even number.

Syntax

ForcePage (EvenOddNew: Numeric Equivalent or Enumerated Type)

Parameters

EvenOddNew: Numeric Equivalent or Enumerated Type

Determines whether a page number is odd or even.

0	Even!

1	Odd!

2	New!


Route...

Layout, Page, Force Page, select Current Page Odd or Current Page Even or New Page.


For Example...

To insert a blank page, forcing a page number to be odd, the command is:

ForcePage

(

EvenOddNew: Odd!

)


ForcePageDlg

Purpose

ForcePageDlg displays the Force Page dialog box.

Syntax

ForcePageDlg ()


Route...

Layout, Page, Force Page.


FormatMarginsDlg

Purpose

FormatMarginsDlg displays the Margins dialog box.

Syntax

FormatMarginsDlg ()


Route...

Layout, Margins.


GenerateDlg

Purpose

GenerateDlg displays the Generate dialog box.

Syntax

GenerateDlg ()


Route...

Tools, Generate.


GenerateDoc

Purpose

GenerateDoc generates Endnotes, Indexes, Tables of Contents, Lists, Cross References, Tables of Authorities, and Master Documents.

Syntax

GenerateDoc (SaveSubdocs: Numeric Equivalent or Enumerated Type; Action: Numeric Expression)

Parameters

SaveSubDocs: Numeric Equivalent or Enumerated Type (optional)

Specifies whether changes to individual subdocuments in a master document are saved. This parameter is not necessary if you are not generating in a master document.

0	DontSave!

1	Save!

Action: Numeric Expression (optional)

Determines whether to build hypertext links. Enter one of the numeric expressions described below.

255	Build hypertext links

65535	Do not build hypertext links.

See Also

GenerateDlg


Route...

Tools, Generate, Options, select or deselect Save SubDocuments or Build Hypertext Links, OK.


For Example...

To generate a document, save subdocuments, and build hypertext links, the command is:

GenerateDoc

(

SaveSubDocs: Save!;

Action: 65535

)


GetData

Purpose

GetData assigns specific information to a variable about the state of WordPerfect or a WordPerfect document.  The macro then uses that variable in conjunction with other commands to retrieve information or to determine whether to perform specified actions.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

GetData (Variable: Variable; Group: Numeric Equivalent or Enumerated Type; Item: Numeric Equivalent or Enumerated Type; Template: Numeric Equivalent or Enumerated Type; ItemNum: Numeric Expression)

Parameters

Variable: Variable

Is assigned the information specified by the other parameters.  Any variable name is a valid value for this parameter.

Group: Numeric Equivalent or Enumerated Type

Specifies the group a variable belongs to.  Summary! extracts data from the document summary by order of entry.  SummaryTag! extracts data from the document summary by field tab number.

0	Font!

1	Printer!

2	Style!

3	Abbreviation!

4	PaperSize!

5	BookMark!

6	Summary!

7	SummaryTag!

8	OutlineStyle!

9	Styles!

Item: Numeric Equivalent or Enumerated Type

Specifies an item type.  For example, Count! returns the number of available fields in the document summary.  Name!, Data!, Type!, and Tag! return information extracted from the document summary field specified by the ItemNum parameter.

0	Count!

1	Name!

2	Data!

3	Width!

4	Length!

5	Type!

6	Tag!

Template: Numeric Equivalent or Enumerated Type

Specifies the location of specified items.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ItemNum: Numeric Expression (optional)

Specifies the number of the item from which the Item parameter extracts information.  For example, ItemNum can be used to specify a particular document summary field.


For Example...

The following macros illustrate some uses of GetData. The first two show different ways to list the current document summary field names and field contents. These macros are valid only if a document summary has been created for the current document. The first macro attempts to read every predefined summary field by tag number, while the second determines the number of summary fields in the current document summary, then reads them in order.  The third macro displays a list of fonts available in the current document.

Example 1:

Type

(

Text: "***SUMMARY TAGS***"

)

HardReturn ()

MacroStatusPrompt

(

State: On!;

Prompt: "Getting summary fields by tag number..."

)

ONERROR

(

Skipit@

)

FOR

(

Count;

1;

Count<=51;

Count+1

)

GetData

(

Variable: STName;

Group: SummaryTag!;

Item: Name!;

Template: CurrentDoc!;

ItemNum: Count

)

GetData

(

Variable: STData;

Group: SummaryTag!;

Item: Data!;

Template: CurrentDoc!;

ItemNum: Count

)

Type

(

STName+"  "+STData

)

HardReturn ()

LABEL

(

Skipit@

)

ENDFOR

Example 2:

Type

(

Text: "***SUMMARY***"

)

HardReturn ()

MacroStatusPrompt

(

State: On!;

Prompt: "Getting summary fields by ordinal..."

)

GetData

(

Variable: NrSummaryFields;

Group: Summary!;

Item: Count!;

Template: CurrentDoc!

)

ONERROR

(

Skipit@

)

FOR

(

Count;

1;

Count<=NrSummaryFields;

Count+1

)

GetData

(

Variable: STName;

Group: Summary!;

Item: Name!;

Template: CurrentDoc!

ItemNum: Count

)

GetData

(

Variable: STData;

Group: Summary!;

Item: Data!;

Template: CurrentDoc!

ItemNum: Count

)

Type

(

STName+"  "+STData

)

HardReturn ()

LABEL

(

Skipit@

)

ENDFOR

Example 3:

NumFonts:= 0

FontName:= " "

GetData

(

Variable: NumFonts;

Group: Font!;

Item: Count!;

Template: CurrentDoc!

)

FOR

(

FontNumber;

1;

FontNumber <= NumFonts;

FontNumber + 1

)

GetData

(

Variable: FontName;

Group: Font!;

Item: Name!;

Template: CurrentDoc!;

ItemNum: FontNumber

)

Type

(

FontName

)

HardReturn ()

ENDFOR

Type

(

Text: "Finished"

)

HardReturn ()


GraphicBoxStyleDlg

Purpose

GraphicBoxStyleDlg displays the Box Styles dialog box.

Syntax

GraphicBoxStyleDlg ()


Route...

Graphics, choose a box or a box style, Style button.


GraphicCreateBox

Purpose

GraphicCreateBox displays the Insert Graphic dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

GraphicCreateBox ()

See Also

GraphicEditBox


Route...

Graphics, select a box type.


GraphicCreateChart

Purpose

GraphicCreateChart creates a chart with Draw.

Syntax

GraphicCreateChart ()


Route...

Graphics, Chart.


GraphicCustomMenuDlg

Purpose

GraphicCustomMenuDlg displays the Edit Graphics Menu dialog box.

Syntax

GraphicCustomMenuDlg ()


Route...

Graphics, Graphics Styles, Menu.


GraphicEditBox

Purpose

GraphicEditBox specifies a graphics box to edit.

Syntax

GraphicEditBox (BoxNumber: Numeric Expression)

Parameters

BoxNumber: Numeric Expression

Specifies the number of a box to edit.

See Also

GraphicCreateBox


Route...

Graphics, Edit Box, enter document box number, OK.


For Example...

To edit box number 2, the command is:

GraphicEditBox

(

BoxNumber: 2

)


GraphicsBoxCaptionDlg

Purpose

GraphicsBoxCaptionDlg displays the Box Caption dialog box.

Syntax

GraphicsBoxCaptionDlg ()


Route...

Graphics, choose a box or a box type, Caption button.


GraphicsBoxContentDlg

Purpose

GraphicsBoxContentDlg displays the Box Content dialog box.

Syntax

GraphicsBoxContentDlg ()


Route...

Graphics, select a box or a box type, Content button. If you select Figure in the second step: select a graphics file from the Insert File dialog box, OK, Content button.


GraphicsBoxFindDlg

Purpose

GraphicsBoxFindDlg displays the Box Find dialog box.

Syntax

GraphicsBoxFindDlg ()


Route...

Graphics, Edit Box.


GraphicsBoxSizeDlg

Purpose

GraphicsBoxSizeDlg specifies the size of a graphics box.

Syntax

GraphicsBoxSizeDlg ()


Route...

Graphics, choose a box or a box type, Size button.


GraphicsFigureEditAllDlg

Purpose

GraphicsFigureEditAllDlg displays the Image Settings dialog box.

Syntax

GraphicsFigureEditAllDlg ()


Route...

Graphics, Edit Box, Tools, Image Settings.


GraphicsLineColor

Purpose

GraphicsLineColor specifies the color of a graphics line.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a graphics line color.

Red: Numeric Expression (optional)

Represents the amount of red in a color.  Values range from 0 to 255.

Green: Numeric Expression (optional)

Represents the amount of green in a color.  Values range from 0 to 255.

Blue: Numeric Expression (optional)

Represents the amount of blue in a color.  Values range from 0 to 255.

Shade: Numeric Expression (optional)

Represents the shading percentage of a color.  Values range from 0 to 100.

See Also

GraphicsLineCreate

GraphicsLineEnd

?GraphicsLineColorBlue

?GraphicsLineColorGreen

?GraphicsLineColorRed

?GraphicsLineColorShading


Route...

Graphics, Edit Line or Custom Line, Line Color, choose a color.


For Example...

To specify the color of a graphics line, the command is:

GraphicsLineCreate ()

GraphicsLineColor

(

ColorName: "Red";

Red: 255;

Green: 0;

Blue: 0;

Shade: 100

)

GraphicsLineEnd

(

State: Save!

)


GraphicsLineCreate

Purpose

GraphicsLineCreate creates a graphic line.

Syntax

GraphicsLineCreate (LineType: Numeric Equivalent or Enumerated Type)

Parameters

LineType: Numeric Equivalent or Enumerated Type

Specifies the type of graphics line to create.

0	HorizontalLine!

1	VerticalLine!

See Also

GraphicsLineDelete

GraphicsLineEdit

GraphicsLineEnd

HLineCreate

VLineCreate


Route...

Graphics, Custom Line.


For Example...

To create a horizontal graphics line, the command is:

GraphicsLineCreate

(

LineType: HorizontalLine!

)


GraphicsLineDelete

Purpose

GraphicsLineDelete deletes a graphics line.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

GraphicsLineDelete (Line: Numeric Expression)

Parameters

Line: Numeric Expression

Specifies a line to delete.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd


Route...

Select a line, press Delete.


For Example...

To delete the first graphics line, the command is:

GraphicsLineDelete

(

Line: 1

)


GraphicsLineEdit

Purpose

GraphicsLineEdit specifies a graphics line to edit.

Syntax

GraphicsLineEdit (Line: Numeric Expression)

Parameters

Line: Numeric Expression

Specifies a line to edit.

See Also

GraphicsLineCreate

GraphicsLineDelete

GraphicsLineEditNext

GraphicsLineEditPrevious

GraphicsLineEnd


Route...

Select a line, Graphics, Edit Line.


For Example...

To edit the third graphics line, the command is:

GraphicsLineEdit

(

Line: 3

)


GraphicsLineEditNext

Purpose

GraphicsLineEditNext edits the next graphics line.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

GraphicsLineEditNext (LineType: Numeric Equivalent or Enumerated Type)

Parameters

LineType: Numeric Equivalent or Enumerated Type

Specifies a line type to edit.

0	HorizontalLine!

1	VerticalLine!

See Also

GraphicsLineEdit

GraphicsLineEditPrevious

GraphicsLineEnd


Route...

Select next line, Graphics, Edit Line.


For Example...

To edit the next horizontal line, the command is:

GraphicsLineEditNext

(

LineType: HorizontalLine!

)


GraphicsLineEditPrevious

Purpose

GraphicsLineEditPrevious edits the previous graphics line.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

GraphicsLineEditPrevious (LineType: Numeric Equivalent or Enumerated Type)

Parameters

LineType: Numeric Equivalent or Enumerated Type

Specifies a line type to edit.

0	HorizontalLine!

1	VerticalLine!

See Also

GraphicsLineEdit

GraphicsLineEditNext

GraphicsLineEnd


Route...

Select previous line, Graphics, Edit Line.


For Example...

To edit the previous vertical line, the command is:

GraphicsLineEditPrevious

(

LineType: VerticalLine!

)


GraphicsLineEnd

Purpose

GraphicsLineEnd determines whether to save or cancel changes made to a graphics line.

Syntax

GraphicsLineEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether to save or cancel changes.

0	Cancel!

1	Save!

See Also

GraphicsLineCreate

GraphicsLineDelete

GraphicsLineEdit


Route...

Graphics, Custom Line or Edit Line, select options, OK or Cancel.


For Example...

To save changes after creating or editing a graphics line, the command is:

GraphicsLineEnd

(

State: Save!

)


GraphicsLineHorizontalPosition

Purpose

GraphicsLineHorizontalPosition positions a graphics line horizontally.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineHorizontalPosition (Position: Numeric Equivalent or Enumerated Type; AbsPos: Measurement Expression; LeftColNum: Numeric Expression)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies the horizontal location of a graphics line.

0	Left!

2	Center!

3	Right!

7	FullAlign!

8	Set!

9	BetweenColumns!

AbsPos: Measurement Expression (optional)

Specifies the exact position on a page to place the graphics line.  Use this parameter if you specified Set as the Location parameter.

LeftColNum: Numeric Expression (optional)

Specifies which column to place the graphics line to the right of.  Use this parameter if you specified BetweenColumns! as the Location parameter.

See Also

GraphicsLineCreate

GraphicsLineEdit

?GraphicsLineHorizontalAlign

?GraphicsLineHorizontalColumn

?GraphicsLineHorizontalPosition


Route...

Graphics, Graphics Lines, Create or Edit, Horizontal Position, select position.


For Example...

To center a graphic line horizontally on a page, the command is:

GraphicsLineHorizontalPosition

(

Position: Center!

)


GraphicsLineLength

Purpose

GraphicsLineLength modifies the length of graphics lines.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

To use this command, the horizontal or vertical position of the graphics line may not be set to Full in the Create Graphics Line (or Edit Graphics Line) dialog box.

Syntax

GraphicsLineLength (Length: Measurement Expression)

Parameters

Length: Measurement Expression

Specifies the length of a graphics line.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicslineLength


Route...

Graphics, Custom Line or Edit Line, Length, specify a length, OK.


For Example...

To create a 2.5" graphics line, the command is:

GraphicsLineLength

(

Length: 2.5"

)


GraphicsLineSpacing

Purpose

GraphicsLineSpacing specifies the amount of white space between a graphics line and text.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineSpacing (TopSpace: Measurement Expression; BottomSpace: Measurement Expression)

Parameters

TopSpace: Measurement Expression

Specifies the amount of space above a horizontal graphics line or to the left of a vertical graphics line between the line and text.

BottomSpace: Measurement Expression (optional)

Specifies the amount of space below horizontal graphics line or to the right of a vertical graphics line between the line and text.  The default is the amount entered for the AmountAboveLine parameter.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicsLineBottomSpacing

?GraphicsLineTopSpacing


Route...

Graphics, Graphics Lines, Create or Edit, Spacing, and specifying amount.


For Example...

To specify .25" space above and below a graphics line, the command is:

GraphicsLineSpacing

(

TopSpace: 0.25";

BottomSpace: 0.25"

)


GraphicsLineStyle

Purpose

GraphicsLineStyle modifies the style of a graphics line.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineStyle (Style: Character Expression or Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression or Numeric Equivalent or Enumerated Type

Specifies a graphics line style.  This command may be either a character expression specifying a user-defined graphics line style, or one of the predefined types listed below.  Select an enumerated type or its numeric equivalent to specify a pre-defined type.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicslineStyle


Route...

Graphics, Graphics Lines, Create or Edit, Line Style, select style.


For Example...

To create a dotted graphics line, the command is:

GraphicsLineStyle

(

Style: DottedLine!

)


GraphicsLineThickness

Purpose

GraphicsLineThickness specifies the width or thickness of a graphics line.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineThickness (Thickness: Measurement Expression)

Parameters

Thickness: Measurement Expression

Specifies the thickness of a graphics line.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicsLineThickness


Route...

Graphics, Graphics Lines, Create or Edit, Thickness, Auto or Set; if Set, specify thickness.


For Example...

To make a graphics line .75" thick, the command is:

GraphicsLineThickness

(

Thickness: 0.75"

)


GraphicsLineType

Purpose

GraphicsLineType specifies whether a graphics line is horizontal or vertical.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineType (LineType: Numeric Equivalent or Enumerated Type)

Parameters

LineType: Numeric Equivalent or Enumerated Type

Specifies whether a graphics line is horizontal or vertical.

0	Horizontal!

1	Vertical!

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicsLineType


Route...

Graphics, Custom Line or Edit Line, Line Type, Horizontal or Vertical.


For Example...

To create a vertical graphics line, the command is:

GraphicsLineType

(

LineType: Vertical!

)


GraphicsLineUpdateDisplay

Purpose

GraphicsLineUpdateDisplay determines whether to save or cancel changes made to a graphics line.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

GraphicsLineUpdateDisplay (State: Numeric Equivalent or Enumerated Type)

Purpose

State: Numeric Equivalent or Enumerated Type

Determines whether to save or cancel changes.

0	Cancel!

1	Save!


Route...

This command is not recordable. To use this command, you must type it into the macro.


For Example...

To save changes to a graphics line, the command is:

GraphicslineUpdateDisplay

(

State: Save!

)


GraphicsLineUseColor

Purpose

GraphicsLineUseColor determines whether a graphics line uses the  predefined line style color.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineUseColor (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies whether a graphics line uses a predefined line style color.

0	No!

1	Yes!

See Also

GraphicsLineColor

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

?GraphicslineUseColor


Route...

Graphics, Graphics Lines, Create or Edit, Color, Use Line Style Color or Choose Color.


For Example...

To format a graphics line with the predefined line style color, the command is:

GraphicsLineUseColor

(

State: Yes!

)


GraphicsLineVerticalPosition

Purpose

GraphicsLineVerticalPosition specifies the vertical position of a graphics line.

This command must be preceded by GraphicsLineCreate or GraphicsLineEdit and followed by GraphicsLineEnd.

Syntax

GraphicsLineVerticalPosition (Position: Numeric Equivalent or Enumerated Type; Where: Measurement Expression)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies the vertical location of a graphics line.

0	Top!

2	Center!

4	Bottom!

6	Baseline!

7	FullAlign!

8	Set!

Where: Measurement Expression (optional)

Specifies the exact position of a graphics line.  Use this parameter if you specified Set! as the Location parameter.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd

GraphicsLineHorizontalPosition

?GraphicsLineVerticalAlign

?GraphicsLineVerticalPosition


Route...

Graphics, Custom Line or Edit Line, specify vertical position.


For Example...

To position a vertical line at the top of a page, the command is:

GraphicsLineVerticalPosition

(

Position: Top!

)


GraphicsStylesDlg

Purpose

GraphicsStylesDlg displays the Graphics Styles dialog box.

Syntax

GraphicsStylesDlg ()


Route...

Graphics, Graphics Styles.


HardPageBreak

Purpose

HardPageBreak inserts a hard page break at the insertion point.

Syntax

HardPageBreak ()


Route...

Insert, Page Break.


HardPageBreakInsert

Purpose

HardPageBreakInsert inserts a page break in columns without positioning the insertion point in the next column.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

HardPageBreakInsert ()

See Also

HardPageBreak


HardReturn

Purpose

HardReturn begins a new line at the insertion point.

Syntax

HardReturn ()

See Also

HardReturnInsert


Route...

Press Enter.


HardReturnInsert

Purpose

HardReturnInsert inserts a hard return in Outline mode.

Syntax

HardReturnInsert ()

See Also

HardReturn


Route...

Press Shift+Enter


HardSpace

Purpose

HardSpace inserts a Hard Space [HSpace] at the insertion point.

Syntax

HardSpace ()


Route...

Layout, Line, Other Codes, Hard Space [HSPACE], Insert.


HeaderA

Purpose

HeaderA determines whether to create, edit, or cancel Header A.

Syntax

HeaderA (Action: Numeric Equivalent or Enumerated Type)

Purpose

Action: Numeric Equivalent or Enumerated Type

Determines whether to create, edit, or cancel Header A.

0	Off!

1	Create!

2	Edit!

See Also

?HeaderAOccur

?HeaderBOccur


Route...

Layout, Header/Footer, Header A, Create or Edit or Discontinue.


For Example...

To edit Header A, the command is:

HeaderA

(

Action: Edit!

)


HeaderB

Purpose

HeaderB determines whether to create, edit, or cancel Header B.

Syntax

HeaderB (Action: Numeric Equivalent or Enumerated Type)

Purpose

Action: Numeric Equivalent or Enumerated Type

Determines whether to create, edit, or cancel Header B.

0	Off!

1	Create!

2	Edit!


Route...

Layout, Header/Footer, Header B, Create or Edit or Discontinue.


For Example...

To create Header B, the command is:

HeaderB

(

Action: Create!

)


HeaderFooterDistanceDlg

Purpose

HeaderFooterDistanceDlg displays the Distance dialog box.

Syntax

HeaderFooterDistanceDlg ()


Route...

Layout, Header/Footer, Create or Edit, Distance button.


HeaderFooterPlacementDlg

Purpose

HeaderFooterPlacementDlg displays the Placement dialog box.

Syntax

HeaderFooterPlacementDlg ()

See Also

NewHFWOccurrence


Route...

Layout, Header/Footer, Create or Edit, Placement button.


HeaderSeparationDistance

Purpose

HeaderSeparationDistance sets the amount of blank space below headers.

Syntax

HeaderSeparationDistance (Distance: Measurement Expression)

Parameters

Distance: Measurement Expression

Specifies the amount of blank space below a header.

If the amount specified in the Distance parameter is less than 1, a 0 must precede the decimal point.

See Also

?HeaderSeparator


Route...

Layout, Header/Footer, Create or Edit, Distance, enter an amount.


For Example...

To specify .5" blank space below headers, the command is:

HeaderSeparationDistance

(

Distance: 0.5"

)


HelpCoachDlg

Purpose

HelpCoachDlg displays the Coach dialog box.

Syntax

HelpCoachDlg ()

See Also

HelpTutorial


Route...

Help, Coach.


HelpContents

Purpose

HelpContents displays the contents of Help.

Syntax

HelpContents ()


Route...

Help, Contents.


HelpContextSensitive

Purpose

HelpContextSensitive displays Context-sensitive Help for an active item.  (Use PAUSE to pause a macro when it encounters HelpContextSensitive.)

Syntax

HelpContextSensitive ()

See Also

HelpHowDoI

HelpWhatIs


Route...

Press F1.


HelpHowDoI

Purpose

HelpHowDoI displays a list of features to click for explanations.  (Use PAUSE to pause a macro when it encounters HelpHowDoI.)

Syntax

HelpHowDoI ()

See Also

HelpContextSensitive

HelpWhatIs


Route...

Help, click on How Do I.


HelpHowToUseHelp

Purpose

HelpHowToUseHelp displays instructions for using Help.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

HelpHowToUseHelp ()


Route...

Help, Contents, Using Help.


HelpKeystrokes

Purpose

HelpKeystrokes opens Help information about keystrokes and templates.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

HelpKeystrokes ()

See Also

HelpContents

HelpHowToUseHelp


HelpMacroManual

Purpose

HelpMacroManual opens Help information about macros.

Syntax

HelpMacroManual ()

See Also

HelpContents

HelpHowToUseHelp


Route...

Help, Macros.


HelpSearchForHelpOn

Purpose

HelpSearchForHelpOn displays the Search dialog box in Help.

Syntax

HelpSearchForHelpOn ()


Route...

Help, Search for Help On.


HelpTutorial

Purpose

HelpTutorial starts Tutorial in Help.

Syntax

HelpTutorial ()

See Also

HelpCoachDlg


Route...

Help, Tutorial.


HelpWhatIs

Purpose

HelpWhatIs uses a mouse or keystroke combinations to get information on an active item.  (Use PAUSE to pause a macro when it encounters HelpWhatIs.)

Syntax

HelpWhatIs ()

See Also

HelpContextSensitive

HelpHowDoI


Route...

Press Shift+F1.


HiddenText

Purpose

HiddenText determines whether the Hidden Text option is on or off for selected text.

Syntax

HiddenText (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Toggles the Hidden Text option.

0	Off!

1	On!

See Also

HiddenTextShowAll


Route...

Layout, Font, Hidden.


For Example...

To create hidden text, the command is:

HiddenText

(

State: On!

)


HiddenTextShowAll

Purpose

HiddenTextShowAll shows or hides hidden text.

Syntax

HiddenTextShowAll (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Toggles Show All Hidden Text.

0	Off!

1	On!

See Also

HiddenText


Route...

View, Hidden Text.


For Example...

To show hidden text, the command is:

HiddenTextShowAll

(

State: On!

)


HideBars

Purpose

HideBars hides bars such as scroll bars, Button Bars, and ruler bars.

Syntax

HideBars (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type (optional)

Determines whether bars are shown or hidden.  This command acts as a toggle if the State parameter is omitted.

0	Off!

1	On!


Route...

View, Hide Bars.


For Example...

To hide bars, the command is:

HideBars

(

State: On!

)


HLineCreate

Purpose

HLineCreate creates a horizontal line in the current document.

Syntax

HLineCreate ()


Route...

Graphics, Horizontal Line.


Hypertext

Purpose

Hypertext activates all hypertext links.

Syntax

Hypertext (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether hypertext is active.

0	Inactive!

1	Active!


Route...

Tools, Hypertext, Activate button.


For Example...

To activate hypertext, the command is:

Hypertext

(

State: Active!

)


HypertextControlBar

Purpose

HypertextControlBar displays the Hypertext control bar.

Syntax

HypertextControlBar ()


Route...

Tools, Hypertext.


HypertextCreate

Purpose

HypertextCreate identifies a hypertext link type, identifies the location of a bookmark, and determines whether to identify the hypertext link as highlighted text or as a button.

Syntax

HypertextCreate (Action: Numeric Equivalent or Enumerated Type; Macro: Character Expression; Bookmark: Character Expression; Display: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Determines whether to jump to a bookmark or run a macro.

0	GoToBookmark!

1	RunMacro!

Macro: Character Expression

Specifies the name of a macro or document where a bookmark is located.

Bookmark: Character Expression

Specifies the name of a bookmark within a current document.

Display: Numeric Equivalent or Enumerated Type

Determines whether a hypertext link is displayed highlighted or as a button.

0	HighlightedText!

1	Button!

See Also

HypertextExecute


Route...

Tools, Hypertext, Create button, select options, enter a bookmark, document, or macro name.


For Example...

To create a hypertext link to a bookmark named TEST and display the link as a button, the command is:

HypertextCreate

(

Action: GoToBookmark!;

Bookmark: "TEST";

Display: Button!

)


HypertextCreateDlg

Purpose

HypertextCreateDlg displays the Create Hypertext Link dialog box.

Syntax

HypertextCreateDlg ()


Route...

Tools, Hypertext, Create button.


HypertextDelete

Purpose

HypertextDelete deletes a hypertext link containing the insertion point.

Syntax

HypertextDelete ()


Route...

Tools, Hypertext, Delete.


HypertextEditDlg

Purpose

HypertextEditDlg displays the Edit Hypertext Link dialog box.

Syntax

HypertextEditDlg ()


Route...

Tools, Hypertext, Edit button.


HypertextExecute

Purpose

HypertextExecute performs a hypertext link.

Syntax

HypertextExecute ()

See Also

HypertextCreate

HypertextDelete


Route...

Tools, Hypertext, Perform button.


HypertextNext

Purpose

HypertextNext advances to the next hypertext link in a document.

Syntax

HypertextNext ()


Route...

Tools, Hypertext, Next button.


HypertextPrevious

Purpose

HypertextPrevious returns to the previous hypertext link in a document.

Syntax

HypertextPrevious ()


Route...

Tools, Hypertext, Previous button.


HypertextReturnFrom

Purpose

HypertextReturnFrom returns the insertion point from a bookmark to the bookmark's hypertext link.

Syntax

HypertextReturnFrom ()


Route...

Tools, Hypertext, Back button.


Hyphen

Purpose

Hyphen inserts a hyphen character at the insertion point.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

Hyphen ()


Route...

Layout, Line, Other Codes, Hyphen Character, Insert.


Hyphenation

Purpose

Hyphenation determines whether to turn on Hyphenation.

Syntax

Hyphenation (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to turn on Hyphenation.

0	Off!

1	On!

See Also

HyphenationIgnore

?Hyphenation


Route...

Layout, Line, Hyphenation, select or deselect Hyphenation On.


For Example...

To turn on Hyphenation, the command is:

Hyphenation

(

State: On!

)


HyphenationIgnore

Purpose

HyphenationIgnore determines whether to cancel Hyphenation for a particular word.

Syntax

HyphenationIgnore ()


Route...

Layout, Line, Other Codes, Cancel Hyphenation of Word.


HyphenationSoftReturn

Purpose

HyphenationSoftReturn inserts a Hyphen Soft Return code to indicate where to hyphenate a word if necessary.

Syntax

HyphenationSoftReturn ()


Route...

Layout, Line, Other Codes, Hyphenation Soft Return.


HyphenationZoneLeft

Purpose

HyphenationZoneLeft sets the lower limit of a hyphenation zone; the zone specifies where to hyphenate a word.

Syntax

HyphenationZoneLeft (HZone: Numeric Expression)

Parameters

HZone: Numeric Expression

Specifies the lower limit of a hyphenation zone.

See Also

HyphenationZoneRight

?LeftHyphZone


Route...

Layout, Line, Hyphenation, specify a percentage in the Percent Left entry field.


For Example...

To set the lower limit of a hyphenation zone to 10%, the command is:

HyphenationZoneLeft

(

HZone: 10

)


HyphenationZoneRight

Purpose

HyphenationZoneRight sets the upper limit of a hyphenation zone; the zone specifies where to hyphenate a word.

Syntax

HyphenationZoneRight (HZone: Numeric Expression)

Parameters

HZone: Numeric Expression

Sets the upper limit of a hyphenation zone.

See Also

HyphenationZoneLeft

?RightHyphZone


Route...

Layout, Line, Hyphenation Zone, specify a percentage in the Percent Right entry field.


For Example...

To set the upper limit of a hyphenation zone to 4%, the command is:

HyphenationZoneRight

(

HZone: 4

)


ImportCreateDlg

Purpose

ImportCreateDlg displays the Create Data Link dialog box.

Syntax

ImportCreateDlg ()


Route...

Insert, Spreadsheet/Database, Create Link.


ImportDlg

Purpose

ImportDlg displays the Import Data dialog box.

Syntax

ImportDlg ()


Route...

Insert, Spreadsheet/Database, Import.


ImportDoEdit

Purpose

ImportDoEdit modifies and performs an existing link between a spreadsheet or database and the current document.

Syntax

ImportDoEdit ()

See Also

ImportDoImport

ImportDoLink

ImportDoUpdate


Route...

Import, Spreadsheet/Database, Edit Link.


ImportDoImport

Purpose

ImportDoImport retrieves information from a spreadsheet or database into the current document.

Syntax

ImportDoImport ()

See Also

ImportDoEdit

ImportDoLink

ImportDoUpdate


Route...

Insert, Spreadsheet/Database, Import, select options.


ImportDoLink

Purpose

ImportDoLink creates and performs a link between a spreadsheet or database and the current document.

Syntax

ImportDoLink ()

See Also

ImportDoEdit

ImportDoImport

ImportDoUpdate


Route...

Insert, Spreadsheet/Database, Create Link, select options.


ImportDoUpdate

Purpose

ImportDoUpdate revises linked data in the current document to match the current data in linked spreadsheet or database files.

Syntax

ImportDoUpdate ()

See Also

ImportDoEdit

ImportDoImport

ImportDoLink


Route...

Insert, Spreadsheet/Database, Update.


ImportEditDlg

Purpose

ImportEditDlg displays the Edit Data Link dialog box.

Syntax

ImportEditDlg ()


Route...

Insert, Spreadsheet/Database, Edit Link.


ImportOptionsDlg

Purpose

ImportOptionsDlg displays the Link Options dialog box.

Syntax

ImportOptionsDlg ()


Route...

Insert, Spreadsheet/Database, Option.


ImportSetAsciiEncap

Purpose

ImportSetAsciiEncap specifies an ASCII encapsulation character to use when importing spreadsheet or database data saved as ASCII delimited text.

Syntax

ImportSetAsciiEncap (EncapsulationChar: Character Expression)

Parameters

EncapsulationChar: Character Expression

Specifies an ASCII encapsulation character for ASCII delimited text.

See Also

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select ASCII Delimited Text from the Data Type pop-up list, enter encapsulation character.


For Example...

To use an asterisk "*" as an encapsulation character, the command is:

ImportSetAsciiEncap

(

EncapsulationChar: "*"

)


ImportSetAsciiFieldDelimiter

Purpose

ImportSetAsciiFieldDelimiter specifies characters to mark the beginning or end of a field when importing spreadsheet or database data saved as ASCII delimited text.

Syntax

ImportSetAsciiFieldDelimiter (FieldDelimiter: Character Expression)

Parameters

FieldDelimiter: Character Expression

Specifies characters to mark the beginning or end of an ASCII delimited text field.

See Also

ImportSetAsciiEncap

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select ASCII Delimited Text from the Data Type pop-up list, enter field delimiters.


For Example...

To use a dollar sign ($) and a percent sign (%) as a field delimiter, the command is:

ImportSetAsciiFieldDelimiter

(

FieldDelimiter: "$%"

)


ImportSetAsciiRecordDelimiter

Purpose

ImportSetAsciiRecordDelimiter specifies characters to mark the beginning or end of a record when importing spreadsheet or database data saved as ASCII delimited text.

Syntax

ImportSetAsciiRecordDelimiter (RecordDelimiter: Character Expression)

Parameters

RecordDelimiter: Character Expression

Specifies characters to mark the beginning or end of an import record.

See Also

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiStrip


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select ASCII Delimited Text from the Data Type pop-up list, enter  record delimiter.


For Example...

To use an ampersand (&) as a record delimiter, the command is:

ImportSetAsciiRecordDelimiter

(

RecordDelimiter: "&"

)


ImportSetAsciiStrip

Purpose

ImportSetAsciiStrip removes extra characters when importing spreadsheet or database data saved as ASCII delimited text.

Syntax

ImportSetAsciiStrip (StripChar: Character Expression)

Parameters

StripChar: Character Expression

Specifies characters used to mark text to strip.

See Also

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select ASCII Delimited Text from the Data Type pop-up list, enter character(s) to mark text to strip.


For Example...

To strip characters marked with an asterisk (*), the command is:

ImportSetAsciiStrip

(

StripChars: "*"

)


ImportSetDestination

Purpose

ImportSetDestination specifies a format for imported spreadsheet or database data.

Syntax

ImportSetDestination (DestinationType: Numeric Equivalent or Enumerated Type)

Parameters

DestinationType: Numeric Equivalent or Enumerated Type

Specifies a format for imported data.

1	WPTable!

2	TabbedText!

3	MergeData!

See Also

ImportSetSource


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select an option from the Import As or Link As pop-up list.


For Example...

To import data as a table, the command is:

ImportSetDestination

(

DestinationType: WPTable!

)


ImportSetDictPath

Purpose

ImportSetDictPath specifies the NetWare SQL dictionary path for imported spreadsheet or database data.

Syntax

ImportSetDictPath (DictionaryPath: Character Expression)

Parameters

DictionaryPath: Character Expression

Specifies a netware SQL dictionary path for imported data.

See Also

ImportSetFilePath

ImportSetPassword

ImportSetUserID


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select NetWare SQL from the Data Type pop-up list, Logon, enter dictionary path.


For Example...

To set the dictionary path c:\wpwin\dict, the command is:

ImportSetDictPath

(

DictionaryPath: "c:\wpwin\dict"

)


ImportSetFields

Purpose

ImportSetFields specifies database fields to import.

Syntax

ImportSetFields (FieldNames: Character Expression)

Parameters

FieldNames: Character Expression

Specifies database fields to import.

See Also

ImportSetFileName

ImportSetIncludeNames


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select a database type from the Data Type pop-up list, enter field names.


For Example...

To import database fields field1 and field2, the command is:

ImportSetFields

(

FieldNames: "field1";

FieldNames: "field2"

)


ImportSetFileName

Purpose

ImportSetFileName specifies the filename of a file to import.

Syntax

ImportSetFileName (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of a file to import

See Also

ImportSetFields


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select an option from the Data Type pop-up list, enter a filename.


For Example...

To import a file named a:\data.str, the command is:

ImportSetFileName

(

Filename: "a:\data.str"

)


ImportSetFilePath

Purpose

ImportSetFilePath specifies a netware SQL file path.

Syntax

ImportSetFilePath (FilePath: Character Expression)

Parameters

FilePath: Character Expression

Specifies the path of a database file to import.

See Also

ImportSetDictPath

ImportSetPassword

ImportSetUserID


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, Logon, enter file path.


For Example...

To specify the file path w:\files, the command is:

ImportFilePath

(

FilePath: "w:\files"

)


ImportSetIncludeNames

Purpose

ImportSetIncludeNames determines whether to use field names as headings for imported database data.

Syntax

ImportSetIncludeNames (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to use field names as headings for imported database data.

0	Off!

1	On!

See Also

ImportSetFields


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select a database type, Use field names as headings.


For Example...

To use field names as headings for imported database data, the command is:

ImportSetIncludeNames

(

State: On!

)


ImportSetPassword

Purpose

ImportSetPassword specifies a password for importing NetWare SQL data.

Syntax

ImportSetPassword (Password: Character Expression)

Parameters

Password: Character Expression

Specifies a password for importing NetWare SQL data.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, Select NetWare SQL from the Data Type pop-up list, Logon, enter password.


For Example...

To use bongo as a password, the command is:

ImportSetPassword

(

Password: "bongo"

)


ImportSetQuery

Purpose

ImportSetQuery specifies field conditions for a database import query.

For examples of valid conditions, choose Example from the Define Selection Conditions dialog box.

Syntax

ImportSetQuery (FieldName1: Character Expression; FieldName2: Character Expression; FieldName3: Character Expression; Condition1Field1: Character Expression; Condition1Field2: Character Expression; Condition1Field3: Character Expression; Condition2Field1: Character Expression; Condition2Field2: Character Expression; Condition2Field3: Character Expression; Condition3Field1: Character Expression; Condition3Field2: Character Expression; Condition3Field3: Character Expression; Condition4Field1: Character Expression; Condition4Field2:  Character Expression; Condition4Field3: Character Expression)

Parameters

FieldName1: Character Expression (optional)

Specifies the first field name.

FieldName2: Character Expression (optional)

Specifies the second field name.

FieldName3: Character Expression (optional)

Specifies the third field name.

Condition1Field1: Character Expression (optional)

Defines the first condition for field 1.

Condition1Field2: Character Expression (optional)

Defines the first condition for field 2.

Condition1Field3: Character Expression (optional)

Defines the first condition for field 3.

Condition2Field1: Character Expression (optional)

Defines the second condition for field 1.

Condition2Field2: Character Expression (optional)

Defines the second condition for field 2.

Condition2Field3: Character Expression (optional)

Defines the second condition for field 3.

Condition3Field1: Character Expression (optional)

Defines the third condition for field 1.

Condition3Field2: Character Expression (optional)

Defines the third condition for field 2.

Condition3Field3: Character Expression (optional)

Defines the third condition for field 3.

Condition4Field1: Character Expression (optional)

Defines the fourth condition for field 1.

Condition4Field2: Character Expression (optional)

Defines the fourth condition for field 2.

Condition4Field3: Character Expression (optional)

Defines the fourth condition for field 3.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select a database type from the Data Type pop-up list, enter field, Query, enter conditions.


For Example...

To specify all the names up to and including Ling in the field Last Name, the command is:

ImportSetQuery

(

FieldName1: "Last Name";

Condition1Field1: "-Ling"

)


ImportSetRange

Purpose

ImportSetRange specifies a range of spreadsheet cells to import.

Syntax

ImportSetRange (Range: Character Expression)

Parameters

Range: Character Expression

Specifies a range of spreadsheet cells to import.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select Spreadsheet from the Data Type pop-up list, enter range of cells.


For Example...

To import cells A1-F1, the command is:

ImportSetRange

(

Range: "A1-F1"

)


ImportSetServer

Purpose

ImportSetServer specifies a server for a database import.

Syntax

ImportSetServer (ServerName: Character Expression)

Parameters

ServerName: Character Expression

Specifies a server name.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select SQL Server from the Data Type pop-up list, Login button, enter a network server name.


For Example...

To specify a server named Server 1, the command is:

ImportSetServer

(

ServerName: "Server 1"

)


ImportSetSource

Purpose

ImportSetSource specifies the format of spreadsheet or database data to import.

Syntax

ImportSetSource (SourceType: Numeric Equivalent or Enumerated Type)

Parameters

SourceType: Numeric Equivalent or Enumerated Type

Specifies the format of data to import.

1	Spreadsheet!

33	dBase!

34	Paradox!

65	DataPerfect!

97	ASCII!

129	NetWare!

103	Oracle!

131	DB2!

132	SQLServer!

133	Sybase!

134	SQLBase!


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select an option from the Data Type pop-up list.


For Example...

To import spreadsheet data, the command is:

ImportSetSource

(

SourceType: Spreadsheet!

)


ImportSetSQLQuery

Purpose

ImportSetSQLQuery specifies conditions for an SQL query.

For examples of valid conditions, choose Example from the Define Selection Conditions dialog box.

Syntax

ImportSetSQLQuery (SQLQuery: Character Expression)

Parameters

SQLQuery: Character Expression

Specifies conditions for an SQL query.


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select a SQL data type from the Data Type pop-up list, Logon, Query, enter conditions.


For Example...

To select first and last names from the Sales file where the number in the Units field is greater than 400, the command is:

ImportSetSQLQuery

(

SQLQuery: "SELECT first_name, last_name FROM Sales WHERE units > 400"

)


ImportSetUserID

Purpose

ImportSetUserID specifies an SQL database user identification.

Syntax

ImportSetUserID (UserID: Character Expression)

Parameters

UserID: Character Expression

Specifies an SQL user identification.

See Also

ImportSetDictPath

ImportSetFilePath

ImportSetPassword


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select NetWare SQL from the Data Type pop-up list, Logon, enter  user identification.


For Example...

To specify the user identification "Dana," the command is:

ImportSetUserID

(

UserID: "Dana"

)


ImportUpdateDlg

Purpose

ImportUpdateDlg displays the Update Import dialog box.

Syntax

ImportUpdateDlg ()


Route...

Insert, Spreadsheet/Database, Update.


Indent

Purpose

Indent indents all lines in a paragraph without changing the current margin settings.

Syntax

Indent ()

See Also

?Indent


Route...

Press Indent (F7).


IndexDefineDlg

Purpose

IndexDefineDlg displays the Define Index dialog box.

Syntax

IndexDefineDlg ()


Route...

Tools, Index, Define.


IndexDefinition

Purpose

IndexDefinition specifies an index format.

Syntax

IndexDefinition (Heading: Numeric Equivalent or Enumerated Type; Subheading: Numeric Equivalent or Enumerated Type; NumMode: Numeric Equivalent or Enumerated Type; PGCombine: Numeric Equivalent or Enumerated Type; Concordance: Character Expression; Page NumberFormat: Character Expression)

Parameters

Heading: Numeric Equivalent or Enumerated Type

Specifies the style of an index heading.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

41	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Subheading: Numeric Equivalent or Enumerated Type

Specifies an index subheading style.  See the table under the Heading parameter for a list of numeric equivalents and enumerated types.

NumMode: Numeric Equivalent or Enumerated Type

Specifies the method of displaying a page number after a heading.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

PGCombine: Numeric Equivalent or Enumerated Type

Designates whether sequential page numbers are combined (for example, 51-53) or remain separate (for example, 51, 52, 53).

0	NoCombine!

1	Combine!

Concordance: Character Expression (optional)

Specifies the filename of a concordance file.

UserFormat: Character Expression (optional)

Specifies an index page number format.  If you leave this parameter blank, page numbers are formatted as they are in your document.

See Also

IndexMark

?IndexDefinition


Route...

Tools, Index, Define, select options.


For Example...

To define an index, the command is:

IndexDefinition

(

Heading: Index1Style!;

Subheading: Index2Style!;

NumMode: DefFlushRight!;

PGCombine: Combine!;

Concordance: "";

UserFormat: ""

)


IndexMark

Purpose

IndexMark marks text to index.

Syntax

IndexMark (Heading: Character Expression; Subheading: Character Expression)

Parameters

Heading: Character Expression (optional)

Specifies an index heading.

Subheading: Character Expression (optional)

Specifies an index subheading.

See Also

IndexDefinition


Route...

Tools, Index, Mark, enter a Heading and Subheading, Mark button.


For Example...

To insert an index code for "Ham, baked," the command is:

IndexMark

(

Heading: "Ham";

Subheading: "baked"

)


InhibitInput

Purpose

InhibitInput determines whether to allow keyboard and menu input during macro execution.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

InhibitInput (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

See Also

Display


Route...

This command is not recordable. To use this command, you must type it into the macro.


For Example...

To allow keyboard and menu input during the execution of a macro, the command is:

InhibitInput

(

State: Off!

)


InitialCodesStyleDlg

Purpose

InitialCodesStyleDlg displays the Styles Editor dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

InitialCodesStyleDlg ()


InsertFilenameWithPath

Purpose

InsertFilenameWithPath inserts the current filename and path at the insertion point.

Syntax

InsertFilenameWithPath ()


Route...

Insert, Other, Path and Filename.


InsertOtherCodesDlg

Purpose

InsertOtherCodesDlg displays the Other Codes dialog box.

Syntax

InsertOtherCodesDlg ()


Route...

Layout, Line, Other Codes.


Justification

Purpose

Justification aligns text on right or left margins, on both margins, or centered between margins.

Syntax

Justification (Justification: Numeric Equivalent or Enumerated Type)

Parameters

Justification: Numeric Equivalent or Enumerated Type

Specifies text justification.

0	Left!

1	Full!

2	Center!

3	Right!

4	FullAll!

5	DecAlign!

See Also

?Justification


Route...

Layout, Justification, select a type.


For Example...

To center all subsequent lines of text, the command is:

Justification

(

Justification: Center!

)


JustifyAll

Purpose

JustifyAll aligns all text to left and right margins.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

JustifyAll ()


Route...

Layout, Justification, All, or Justify All button from a Button Bar or Power Bar.


JustifyCenter

Purpose

JustifyCenter centers text between margins from the current paragraph forward.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

JustifyCenter ()

See Also

JustifyFull

JustifyLeft

JustifyRight


Route...

Layout, Justification, Center.


JustifyFull

Purpose

JustifyFull aligns text along the left and right margins from the current paragraph forward.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

JustifyFull ()

See Also

JustifyCenter

JustifyLeft

JustifyRight


Route...

Layout, Justification, Full.


JustifyLeft

Purpose

JustifyLeft aligns text along the left margin from the current paragraph forward.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

JustifyLeft ()

See Also

JustifyCenter

JustifyFull

JustifyRight


Route...

Layout, Justification, Left.


JustifyRight

Purpose

JustifyRight aligns text along the right margin from the current paragraph forward.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

JustifyRight ()

See Also

JustifyCenter

JustifyFull

JustifyLeft


Route...

Layout, Justification, Left.


KeepTextTogetherDlg

Purpose

KeepTextTogetherDlg displays the Keep Text Together dialog box.

Syntax

KeepTextTogetherDlg ()


Route...

Layout, Page, Keep Text Together.


Kerning

Purpose

Kerning selects or deselects Automatic Kerning in the Word Spacing and Letterspacing dialog box.

Syntax

Kerning (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to turn on or turn off Kerning.

0	Off!

1	On!

See Also

?Kerning


Route...

Layout, Typesetting, Word/Letterspacing, select or deselect Automatic Kerning.


For Example...

To turn on kerning, the command is:

Kerning

(

State: On!

)


KerningSpacing

Purpose

KerningSpacing moves the character to the right of the insertion point a specified amount of space left or right.

Syntax

KerningSpacing(KerningSpacingValue: Measurement Expression)

Parameters

KerningSpacingValue: Measurement Expression

Specifies the distance to move the character.  A negative value moves a character left.  A positive value moves a character right.

See Also

Advance


Route...

This command is the same as setting an amount in the Amount text box of the Manual Kerning dialog box.


For Example...

To move a character .005i to the right, the command is:

KerningSpacing

(

KerningSpacingValue: .005i

)


KeyboardSelect

Purpose

KeyboardSelect selects a keyboard, such as WPWin 6.0 Keyboard, Equation Editor Keyboard, or WPDOS 6.0 Compatible keyboard.

Syntax

KeyboardSelect(Keyboard: Character Expression)

Parameters

Keyboard: Character Expression

Specifies the name of a keyboard.

See Also

KeyboardSelectDlg


Route...

File, Preferences, Keyboard icon, select option.


For Example...

To specify the CUA keyboard, the command is:

KeyboardSelect

(

Keyboard: "<WPWIN 6.0 Keyboard>"

)


KeyboardSelectDlg

Purpose

KeyboardSelectDlg displays the Keyboard Preferences dialog box.

Syntax

KeyboardSelectDlg ()

See Also

KeyboardSelect


Route...

File, Preferences, Keyboard icon.


LabelsDefine

Purpose

LabelsDefine creates a customized labels definition.

Syntax

LabelsDefine (Filename: Character Expression; LabelName:Character Expression; LabelFlags: Numeric Equivalent or Enumerated Type; SheetWidth: Measurement Expression; SheetLength: Measurement Expression; ColumnsPerPage: Numeric Expression; RowsPerPage: Numeric Expression; LabelWidth: Measurement Expression; LabelLength: Measurement Expression; LeftOffset: Measurement Expression; TopOffset: Measurement Expression; BetweenColumns: Measurement Expression; BetweenRows: Measurement Expression; MarginLeft: Measurement Expression; MarginRight: Measurement Expression; MarginTop: Measurement Expression; MarginBottom: Measurement Expression)

Parameters

Filename: Character Expression

Specifies the filename where customized labels are saved.

LabelName: Character Expression

Specifies a label name.

LabelFlags: Numeric Equivalent or Enumerated Type

Determines whether the labels displayed in the Labels dialog box are for laser or tractor-fed printers, or both.

1	Laser!

2	TractorFed!

3	LaserAndTractorFed!

SheetWidth: Measurement Expression

Specifies the width of a page of labels.

SheetLength: Measurement Expression

Specifies the length of a page of labels.

ColumnsPerPage: Numeric Expression

Specifies the number of columns on a page.

RowsPerPage: Numeric Expression

Specifies the number of rows on a page.

LabelWidth: Measurement Expression

Specifies label width.

LabelLength: Measurement Expression

Specifies label length.

LeftOffset: Measurement Expression

Specifies the distance from the left edge of the page to the left edge of the first label column.

TopOffset: Measurement Expression

Specifies the distance from the top edge of the page to the top edge of the first label row.

BetweenColumns: Measurement Expression

Specifies the distance between label columns.

BetweenRows: Measurement Expression

Specifies the distance between label rows.

MarginLeft: Measurement Expression

Specifies the left margin of each label.

MarginRight: Measurement Expression

Specifies the right margin of each label.

MarginTop: Measurement Expression

Specifies the top margin of each label.

MarginBottom: Measurement Expression

Specifies the bottom margin of each label.

See Also

LabelsFileDescription

LabelsSelect


Route...

Layout, Page, Labels, Create, enter a label description, specify measurements, select label type.


For Example...

To create a labels paper size/type named My Labels with 3 columns and 10 rows on an 8.5" x 11" sheet, the command is:

LabelsDefine

(

Filename: "WP_WP_US.LAB";

LabelName: "My Labels";

LabelFlags: Laser!;

SheetWidth: 8.5";

SheetLength: 11";

ColumnsPerPage: 3;

RowsPerPage: 10;

LabelWidth: 2.63";

LabelLength: 1";

LeftOffset: 0.188";

TopOffset: 0.5";

BetweenColumns: 0.125";

BetweenRows: 0";

MarginLeft: 0";

MarginRight: 0";

MarginTop: 0";

MarginBottom: 0"

)


LabelsDelete

Purpose

LabelsDelete deletes a labels definition.

Syntax

LabelsDelete (Filename: Character Expression; LabelName: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of a labels file to delete from.

LabelName: Character Expression

Specifies a label definition to delete.


Route...

Layout, Page, Labels, select a labels definition in the Labels list box, Delete.


For Example...

To delete a labels definition named My Labels, the command is:

LabelsDelete

(

Filename: "WP_WP_US.LAB";

LabelName: "My Labels"

)


LabelsDlg

Purpose

LabelsDlg displays the Labels dialog box.

Syntax

LabelsDlg ()


Route...

Layout, Labels.


LabelsFileCreate

Purpose

LabelsFileCreate creates a labels file.

Syntax

LabelsFileCreate (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the path of a new labels file.

See Also

LabelsFileDescription

LabelsFileSelect


Route...

Layout, Labels, Change, Create, enter a filename.


For Example...

To create a labels file named CUSTOM.LAB in the C:\WPWIN60 directory, the command is:

LabelsFileCreate

(

Filename: "C:\WPWIN60\CUSTOM.LAB"

)


LabelsFileDescription

Purpose

LabelsFileDescription adds a description to an existing labels file.

Syntax

LabelsFileDescription (Filename: Character Expression; Description: Character Expression)

Parameters

Filename: Character Expression

Specifies the filename of a labels file.

Description: Character Expression

Specifies a labels file description.

See Also

LabelsFileCreate

LabelsFileSelect


Route...

Layout, Labels, Change, highlight a label file, Edit, enter a description.


For Example...

To add the description Label Library to a labels file named CUSTOM.LAB, the command is:

LabelsFileDescription

(

Filename: "C:\WP60\CUSTOM.LAB";

Description: "Label Library"

)


LabelsFileSelect

Purpose

LabelsFileSelect selects a labels file.

Syntax

LabelsFileSelect (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the filename of a labels file.

See Also

LabelsFileDescription


Route...

Layout, Labels, Change, highlight a labels file, Select.


For Example...

To select a labels file named CUSTOM.LAB, the command is:

LabelsFileSelect

(

Filename: "C:\WP60\CUSTOM.LAB"

)


LabelsSelect

Purpose

LabelsSelect selects a label definition.

Syntax

LabelsSelect (Filename: Character Expression; LabelName: Character Expression)

Parameters

Filename: Character Expression

Specifies a label filename.

LabelName: Character Expression

Specifies a label definition to select.


Route...

Layout, Labels, highlight a label definition in the Labels list box, Select.


For Example...

To select a label definition named My Labels from the default WordPerfect labels file named WP_WP_US.LAB, the command is:

LabelsSelect

(

Filename: "C:\WP60\WP_WP_US.LAB";

LabelName: "My Labels"

)


Language

Purpose

Language specifies the language used for a document or section of text.

Syntax

Language (Language: Character Expression)

Parameters

Language: Character Expression

Specifies with two characters the language of a document or section of text.


Route...

Tools, Language, select language.


For Example...

To specify Spanish as the language of a section of text, the command is:

Language

(

Language: "ES"

)


LanguageDlg

Purpose

LanguageDlg displays the Language dialog box.

Syntax

LanguageDlg ()


Route...

Tools, Language.


LastOpenedAdd

Purpose

LastOpenedAdd places a filename at the top of the last opened filenames list.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

LastOpenedAdd (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a filename.


For Example...

To place TEST.DOC at the top of the last opened filenames list, the command is:

LastOpenedAdd

(

Filename: "TEST.DOC"

)


Leading

Purpose

Leading specifies leading adjustment.

Syntax

Leading (Adjustment: Measurement Expression)

Parameters

Adjustment: Measurement Expression

Specifies a leading adjustment.


Route...

Layout, Typesetting, Word/Letter Spacing, check Adjust Leading, enter a value in the Between Lines edit box.


For Example...

To specify a leading adjustment of 0.1 inches, the command is:

Leading

(

Adjustment: 0.1"

)


IndentLeftRight

Purpose

IndentLeftRight indents equally both sides of a paragraph.  Tab specifies the amount of the indent.

Syntax

IndentLeftRight ()


Route...

Layout, Paragraph, Double Indent.


LineCreateDlg

Purpose

LineCreateDlg displays the Create Graphics Line dialog box.

Syntax

LineCreateDlg ()


Route...

Graphics, Custom Line.


LineEditDlg

Purpose

LineEditDlg displays the Edit Graphic Line dialog box.

If there is no graphic line to edit, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

LineEditDlg ()

See Also

LineCreateDlg


Route...

Graphics, Edit Line.


LineHeight

Purpose

LineHeight specifies line height.

Line height is measured from baseline to baseline in single-spaced text.  Auto line height configures line height as the point size of the font you are using, plus two points.

Syntax

LineHeight (Height: Measurement Expression or Numeric Equivalent or Enumerated Type)

Parameters

Height: Measurement Expression or Numeric Equivalent or Enumerated Type

Specifies a fixed line height.  To specify Auto Line Height, use the numeric equivalent or enumerated type.

0	Auto!


Route...

Layout, Line, Height, Auto or Fixed, enter a measurement.


For Example...

To specify a line height of .275 inches, the command is:

LineHeight

(

Height: .275"

)


LineHeightDlg

Purpose

LineHeightDlg displays the Line Height dialog box.

Syntax

LineHeightDlg ()

See Also

LineHeight


Route...

Layout, Line, Height.


LineHyphenationDlg

Purpose

LineHyphenationDlg displays the Line Hyphenation dialog box.

Syntax

LineHyphenationDlg ()


Route...

Layout, Line, Hyphenation.


LineNumbering

Purpose

LineNumbering turns on Line Numbering.

Syntax

LineNumbering (State: Numeric Equivalent or Enumerated Type; RestartAtNewPage: Numeric Equivalent or Enumerated Type; CountBlankLines: Numeric Equivalent or Enumerated Type; NumberColumns: Numeric Equivalent or Enumerated Type; PositionRelativeToLeftEdge: Numeric Equivalent or Enumerated Type; Position: Numeric Expression; FirstPrintingNumber: Numeric Expression; NumberInterval: Numeric Expression; Default: Numeric Equivalent or Enumerated Type; FontFace: Character Expression; FontSize: Numeric Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shading: Numeric Expression; AttributesOn: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether line numbering is on.

0	Off!

1	On!

RestartAtNewPage: Numeric Equivalent or Enumerated Type

Determines whether line numbering is continuous or restarted on each page.

0	DontRestartNumbersEachPage!

1	RestartNumbersEachPage!

CountBlankLines: Numeric Equivalent or Enumerated Type

Determines whether blank lines are counted in line numbering.

0	DontCountBlankLines!

1	CountBlankLines!

NumberColumns: Numeric Equivalent or Enumerated Type

Determines whether lines in newspaper columns are numbered.

0	DontNumberAllNewspaperColumns!

1	NumberAllNewspaperColumns!

PositionRelativeToLeftEdge: Numeric Equivalent or Enumerated Type

Determines whether the measurement given in the Position parameter is measured from the left edge of a page or margin.

0	PosNumberFromLeftMargin!

1	PosNumberFromLeftEdgeOfPaper!

Position: Measurement Expression

Specifies where the line number prints.

FirstPrintingNumber: Numeric Expression

Specifies the first line number to print.

NumberInterval: Numeric Expression

Specifies the numbering interval.

Default: Numeric Equivalent or Enumerated Type

Determines whether a line numbering font uses a document's initial font attributes.

0	DontUseDefaultValues!

1	UseDefaultValues!

FontFace: Character Expression (optional)

Specifies the line number font.  Used only when the Values parameter is set to DontUseDefaultValues! or 1.

FontSize: Measurement Expression (optional)

Specifies the point size of a line number font.  Used only when the Values parameter is set to Yes! or 1.

Red: Numeric Expression (optional)

Represents the amount of red in a color.  Values range from 0 to 255. Used only when the Values parameter is set to Yes! or 1.  The values of a selected color are available in the Color Selection dialog box.

Green: Numeric Expression (optional)

Represents the amount of green in a color.  Values range from 0 to 255. Used only when the Values parameter is set to Yes! or 1.  The values of a selected color are available in the Color Selection dialog box.

Blue: Numeric Expression (optional)

Represents the amount of blue in a color.  Values range from 0 to 255. Used only when the Values parameter is set to Yes! or 1.  The values of a selected color are available in the Color Selection dialog box.

Shade: Numeric Expression (optional)

Represents the shading percentage of a color.  Values range from 0 to 100.  Used only when the Values parameter is set to Yes! or 1.

AttributesOn:  Numeric Equivalent or Enumerated Type

Specifies attributes and relative size of a font.  Attributes are separated by semicolons and enclosed in a pair of braces ({}).

1	ExtraLarge!

2	VeryLarge!

3	Large!

4	Small!

5	Fine!

6	Superscript!

7	Subscript!

8	Outline!

9	Italics!

10	Shadow!

11	Redline!

12	DoubleUnderline!

13	Bold!

14	Strikeout!

15	Underline!

16	SmallCaps!

See Also

LineNumberSet

LineNumberingMethod

?LineNumbering

?LineNumCountBlankLines

?StartingLineNumber


Route...

Layout, Line, Numbering, select options in the Line Numbering dialog box.


For Example...

To number lines, the command is:

LineNumbering

(

State: On!;

RestartAtNewPage: RestartNumbersEachPage!;

CountBlankLines: DontCountBlankLines!;

NumberColumns: DontNumberAllNewspaperColumns!;

PositionRelativeToLeftEdge: PosNumberFromLeftMargin!;

Position: 1";

FirstPrintingNumber: 1;

NumberInterval: 5;

Default: UseDefaultValues!;

AttributesOn: {ExtraLarge!;Shadow!;DoubleUnderline!;Bold!}

)


LineNumberingDlg

Purpose

LineNumberingDlg displays the Line Numbering dialog box.

Syntax

LineNumberingDlg ()

See Also

LineNumbering


Route...

Layout, Line, Numbering.


LineNumberingMethod

Purpose

LineNumberingMethod specifies a numbering method for Line Numbering.

Syntax

LineNumberingMethod (NumberingMethod: Numeric Equivalent or Enumerated Type)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies a numbering method for Line Numbering.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

LineNumberSet

LineNumbering

?LineNumberMethod


Route...

Layout, Line, Numbering, Numbering Method, select an option.


For Example...

To specify uppercase letters as the Line Numbering method, the command is:

LineNumberingMethod

(

NumberingMethod: UpperLetters!

)


LineNumberSet

Purpose

LineNumberSet specifies the beginning line number on a page.

Syntax

LineNumberSet (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies a beginning line number.

See Also

LineNumbering

LineNumberingMethod


Route...

Layout, Line, Numbering, Starting Line Number, enter a number.


For Example...

To consider the first line on a page to be line 5, the command is:

LineNumberSet

(

Number: 5

)


LineSegmentColor

Purpose

LineSegmentColor specifies the color of a line segment.

This command must be used in conjunction with other commands, such as LineSegmentCreate and LineSegmentEnd.

Syntax

LineSegmentColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression

Specifies a color name.

Red: Numeric Expression (optional)

Specifies the amount of red in a color.  Values range from 0 to 255.

Green: Numeric Expression (optional)

Specifies the amount of green in a color.  Values range from 0 to 255.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a color.  Values range from 0 to 255.

Shade: Numeric Expression (optional)

Specifies the shading percentage of a color.  Values range from 0 to 100.

See Also

LineSegmentCreate

LineStyleEdit

LineSegmentEnd

LineStyleEnd

?LineSegmentBlue

?LineSegmentGreen

?LineSegmentRed

?LineSegmentShading


Route...

Graphics, Custom Line, Line Styles, select Line Style, Edit, Color, select a color.


For Example...

To specify a blue line segment, the command is:

LineSegmentColor

(

ColorName: "Blue";

Red: 0;

Green: 0;

Blue: 255;

Shade: 100

)


LineSegmentCreate

Purpose

LineSegmentCreate creates a line segment with multiple lines, or a stacked line style.

This command must be used in conjunction with other commands, such as LineStyleCreate and LineStyleEdit.

Syntax

LineSegmentCreate (Position: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies where a line segment is created or stacked.  The first (inside) position is 0.

See Also

LineSegmentDelete

LineStyleEdit

TableEdit

LineSegmentEnd


Route...

Graphics, Custom Line, Line Styles, Create, Name, Add.


For Example...

To stack a line in the first (inside) position, the command is:

LineSegmentCreate

(

Position: 0

)


LineSegmentDelete

Purpose

LineSegmentDelete deletes a stacked line segment.

This command must be used in conjunction with other commands, such as LineStyleEdit and LineSegmentEnd.

Syntax

LineSegmentDelete (Position: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies where to delete a stacked line.  The first (inside) position is 0.

See Also

LineSegmentCreate

LineStyleEdit

LineStyleEnd


Route...

Graphics, Custom Line, Line Styles, highlight a line style, Edit, Del.


For Example...

To delete an inside stacked line of a border, the command is:

LineSegmentDelete

(

Position: 0

)


LineSegmentEdit

Purpose

LineSegmentEdit edits a line segment.

This command must be followed by LineSegmentEnd.

Syntax

LineSegmentEdit (Position: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies a line to edit.  The first (inside) position is 0.

See Also

LineSegmentColor

LineSegmentEnd

LineSegmentSpacing

LineSegmentWidth


Route...

Graphics, Custom Line, Line Style, select a line style, Edit.


For Example...

To edit an inside stacked line, the command is:

LineSegmentEdit

(

Position: 0

)

LineSegmentEnd

(

State: Save!

)


LineSegmentEnd

Purpose

LineSegmentEnd ends a series of commands modifying a line segment.

This command must be preceded by LineSegmentCreate or LineSegmentEdit.

Syntax

LineSegmentEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether changes to a line segment are saved.

0	Cancel!

1	Save!

See Also

LineSegmentCreate

LineSegmentEdit


Route...

Ok or Cancel in the Edit Line Style (or Create Line Style) dialog box.


For Example...

To create and save a line segment, the command is:

LineSegmentCreate

(

Position: 0

)

LineSegmentEnd

(

State: Save!

)


LineSegmentSetUser

Purpose

LineSegmentSetUser specifies a number of dash/space lengths in a custom line segment.

This command must be followed by the number of LineSegmentSetUserData tokens for the number of dash/space lengths specified, and by LineSegmentSetUserEnd.

Syntax

LineSegmentSetUser (OnOffs: Numeric Expression)

Parameters

OnOffs: Numeric Expression

Specifies a number of dash/space lengths in a custom line segment.

See Also

LineSegmentSetUserData

LineSegmentSetUserEnd

LineSegmentSetWPG2


Route...

Graphics, Custom Line, Line Styles, highlight a style, Edit, Custom, set spacing.


For Example...

To create a line segment with one dash length and one space length, the command sequence is:

LineSegmentSetUser

(

OnOffs: 2

)

LineSegmentSetUserData

(

SegSize: 0.2"

)

LineSegmentSetUserData

(

SegSize: 0.1"

)

LineSegmentSetUserEnd()


LineSegmentSetUserData

Purpose

LineSegmentSetUserData specifies a dash or space length in a custom line pattern.

This command must be preceded by LineSegmentUser and followed by LineSegmentEnd.

Syntax

LineSegmentSetUserData (SegSize: Measurement Expression)

Parameters

SegSize: Measurement Expression

Specifies a dash or space length in a custom line pattern.

See Also

LineSegmentSetUser

LineSegmentSetUserEnd

LineSegmentSetWPG2


Route...

Graphics, Custom Line, Line Styles, highlight a style, Edit, Custom, Set Spacing.


For Example...

To create a line segment with one dash length and one space length, the command sequence is:

LineSegmentSetUser

(

OnOffs: 2

)

LineSegmentSetUserData

(

SegSize: 0.2"

)

LineSegmentSetUserData

(

SetSize: 0.1"

)

LineSegmentSetUserEnd()


LineSegmentSetUserEnd

Purpose

LineSegmentSetUserEnd marks the end of a custom line pattern command sequence.

Syntax

LineSegmentSetUserEnd ()

See Also

LineSegmentSetUser

LineSegmentSetUserData

LineSegmentSetWPG2


Route...

Graphics, Custom Line, Line Styles, highlight a line style, Edit, Custom, OK.


LineSegmentSetWPG2

Purpose

LineSegmentSetWPG2 sets a pattern of a line segment to one of the predefined WPG2 line patterns.

Syntax

LineSegmentSetWPG2 (Style: Numeric Expression; LineStyle: Numeric Expression)

Parameters

Style: Numeric Expression

Specifies a pattern set.  Currently, the only valid entry for this parameter is 0.

LineStyle: Numeric Expression

Specifies which line pattern to use for the selected set.

See Also

LineSegmentSetUser

LineSegmentSetUserData

LineSegmentSetUserEnd

?LineSegmentWPG2Pattern


Route...

Graphics, Custom Line, Line Styles, highlight a line style, Edit (or Create, enter a style name), Pattern, select a predefined pattern.


For Example...

LineSegmentSetWPG2

(

Style: 0;

LineStyle: SingleLine!

)


LineSegmentSpacing

Purpose

LineSegmentSpacing sets the distance between line segments.

Syntax

LineSegmentSpacing (Spacing: Measurement Expression)

Parameters

Spacing: Measurement Expression

Specifies a distance between line segments.

See Also

?LineSegmentSpacing


Route...

Graphics, Custom Line, Line Styles, highlight a line style, Edit (or Create, enter a style name), specify a value in the Spacing Below Line text box.


For Example...

To set the distance between line segments at 0.5 inches, the command is:

LineSegmentSpacing

(

Spacing: 0.5"

)


LineSegmentWidth

Purpose

LineSegmentWidth specifies the width or thickness of a graphics line segment.

This command must be preceded by LineSegmentCreate or LineSegmentEdit and followed by LineSegmentEnd.

Syntax

LineSegmentWidth (Width: Measurement Expression)

Parameters

Width: Measurement Expression

Specifies the width or thickness of a graphics line segment.

See Also

LineSegmentCreate

LineSegmentEdit

LineSegmentEnd

?LineSegmentWidth


Route...

Graphics, Custom Line, Line Styles, highlight a line style, Edit (or Create, enter a style name), specify a value in the Width text box.


For Example...

To set the width of a line segment at 0.2 inches, the command is:

LineSegmentEdit

(

Position: 0

)

LineSegmentWidth

(

Width: 0.2"

)

LineSegmentEnd

(

State: Save!

)


LineSpacing

Purpose

LineSpacing specifies the vertical spacing between lines in your document.

When this command is recorded, the tenths position is used; when entering this command in a macro, tenths is optional.

Syntax

LineSpacing (Spacing: Numeric Expression)

Parameters

Spacing: Numeric Expression

Specifies line spacing.

See Also

?LineSpacing


Route...

Layout, Line, Spacing, specify a line spacing.


For Example...

To specify single-spaced line spacing, the command is:

LineSpacing

(

Spacing: 1.0

)


LineSpacingDlg

Purpose

LineSpacingDlg displays the Line Spacing dialog box.

Syntax

LineSpacingDlg ()

See Also

LineSpacing


Route...

Layout, Line, Spacing.


LineStyleCopy

Purpose

LineStyleCopy copies attributes from one line to another.

Syntax

LineStyleCopy (Style: Numeric Equivalent or Enumerated Type; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; DestName: Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a line to copy.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9 	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies a library from which to copy a line.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary: Numeric Equivalent or Enumerated Type

Specifies a library to which a line is copied.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

DestName: Character Expression (optional)

Specifies a new line name.

See Also

GraphicsLineCreate

GraphicsLineEdit

GraphicsLineEnd


Route...

Graphics, Custom Line, Line Styles, highlight a style, Options, Copy, enter a new style name.


For Example...

To copy the attributes of a line named Single Line in a personal library to a newly created line named New Line in the current document, the command is:

LineStyleCopy

(

Style: SingleLine!;

FromLibrary: PersonalLibrary!;

ToLibrary: CurrentDoc!;

DestName: "New Line"

)


LineStyleCreate

Purpose

LineStyleCreate creates a line style.

This command must be used in conjunction with other commands, such as LineStyleEnd.

Syntax

LineStyleCreate (Name: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies a new line style name.

Library: Numeric Equivalent or Enumerated Type

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

LineStyleEnd


Route...

This command is the same as creating a line style in a Line Styles dialog box.  This feature is available in Tables, Graphics Boxes, and Graphics Lines.


For Example...

To create a line style named Custom, the command is:

LineStyleCreate

(

Name: "Custom";

Library: CurrentDoc!

)


LineStyleDelete

Purpose

LineStyleDelete deletes a line style.

Syntax

LineStyleDelete (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a line style to delete.


Route...

Graphics, Graphics Styles, Line, highlight a line style in the Styles list box, Options, Delete, Yes.

You may not delete line styles which shipped with the program.


For Example...

To delete a line style named Custom, the command is:

LineStyleDelete

(

Name: "Custom"

)


LineStyleEdit

Purpose

LineStyleEdit edits a line style.

This command is used in conjunction with other commands, such as LineStyleEnd.

Syntax

LineStyleEdit (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a line style to edit.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

Library: Numeric Equivalent or Enumerated Type

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

LineStyleEnd


Route...

Graphics, Graphics Styles, Line, highlight a line style, Edit.


For Example...

To edit the Thick Line line style, the command is:

LineStyleEdit

(

Style: ThickLine!;

Library: CurrentDoc!

)


LineStyleEnd

Purpose

LineStyleEnd ends a series of commands that change a line style.

This command must be preceded by commands which change a line style, such as LineStyleCreate or LineStyleEdit.

Syntax

LineStyleEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to save line style changes.

0	Cancel!

1	Save!

See Also

LineStyleCreate

LineStyleEdit


Route...

Graphics, Graphics Styles, Line, Edit or Create, select options, OK or Cancel.


For Example...

To save line style changes, the command is:

LineStyleEnd

(

State: Save!

)


LineStyleName

Purpose

LineStyleName renames a line style.

Line styles shipped with the program cannot be renamed.  This command must be preceded by LineStyleCreate or LineStyleEdit and followed by LineStyleEnd.

Syntax

LineStyleName (Style: Character Expression)

Parameters

Style: Character Expression

Specifies a line style.

See Also

LineStyleCreate

LineStyleEdit

LineStyleEnd


Route...

Graphics, Graphics Styles, Line, highlight a line style in the Styles list box, Options, Rename, enter a new style name, OK.


For Example...

To rename a line style named Custom, the command is:

LineStyleName

(

Style: "Custom"

)


LineStyleRetrieve

Purpose

LineStyleRetrieve retrieves a line style into a library.

Syntax

LineStyleRetrieve (Filename: Character Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a filename containing a line style to retrieve.

Style: Numeric Equivalent or Enumerated Type

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!


Route...

Retrieve in the Line Styles dialog box.  This feature is available in Tables, Graphics Boxes, and Graphics Lines.


For Example...

To retrieve a line style named CUSTOMLN into a personal library, the command is:

LineStyleRetrieve

(

Filename: "CUSTOMLN";

Style: PersonalLibrary!

)


LineStyleSave

Purpose

LineStyleSave saves a line style library.

Syntax

LineStyleSave (Filename: Character Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file in which to save the line style library.

Style: Numeric Equivalent or Enumerated Type

Specifies a line style library.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!


Route...

Save in the Line Styles dialog box.  This feature is available in Table, Graphics Boxes, and Graphics Lines.


For Example...

To save a current document line style library with the filename Current, the command is:

LineStyleSave

(

Filename: "CURRENT";

Style: CurrentDoc!

)


LinkUpdate

Purpose

LinkUpdate updates a linked object.

Syntax

LinkUpdate ()


Route...

Edit, Links, Update Now.


ListDefineDlg

Purpose

ListDefineDlg displays the Define List dialog box.

Syntax

ListDefineDlg ()


Route...

Tools, List, Define button.


ListDefinition

Purpose

ListDefinition selects a list definition and defines the page on which the list is generated.  The item must exist in the defined lists or be created by ListDefinitionCreate before it can be selected.

Syntax

ListDefinition (ListName: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type; Counter: Numeric Equivalent or Enumerated Type; NumberingFormat: Numeric Equivalent or Enumerated Type)

Parameters

ListName: Character Expression

Names or renames a selected list definition.

Style: Numeric Equivalent or Enumerated Type (optional)

Specifies a list style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type (optional)

Specifies a numbering mode the list uses when it is generated.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

Counter: Numeric Equivalent or Enumerated Type (optional)

Specifies a counter type.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

NumberingFormat: Character Expression (optional)

Specifies characters used to number a list.

See Also

ListDefinitionCreate

?ListDefinition


Route...

Tools, List, Define, select a list definition, Insert.


For Example...

To select a list definition named Subject List, the command is:

ListDefinition

(

ListName: "Subject List"

)


ListDefinitionCreate

Purpose

ListDefinitionCreate creates a list definition.

Syntax

ListDefinitionCreate (ListName: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type; Counter: Numeric Equivalent or Enumerated Type; NumberingFormat: Numeric Equivalent or Enumerated Type)

Parameters

ListName: Character Expression

Names a new list definition.

Style: Numeric Equivalent or Enumerated Type

Specifies a list style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type

Specifies a numbering method the list uses when it is generated.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

Counter: Numeric Equivalent or Enumerated Type

Determines whether to include graphics in a generated list.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!

NumberingFormat: Character Expression (optional)

Specifies a type of page numbering used in the list pages.  If this parameter is not used, page numbering on list pages is the same format as in the main document.

See Also

ListDefinition


Route...

Tools, List, Define, Create, select options in the Create List dialog box.


For Example...

To create a list definition named Subject List which specifies a List style and numbering with dot leaders following entries, includes figure boxes, and specifies a different page numbering method than the main document, the command is:

ListDefinitionCreate

(

ListName: "Subject List";

Style: ListStyle!;

Numbering: DefLeader!;

Counter: FigureBox!;

NumberingFormat: "List Page # [page #]"

)


ListDefinitionDelete

Purpose

ListDefinitionDelete deletes a list definition in the Define List dialog box.

Syntax

ListDefinitionDelete (ListName: Character Expression)

Parameters

ListName: Character Expression

Names a list definition to delete.


Route...

Tools, List, Define, select a list definition, Delete.


For Example...

To delete a list definition named Old List, the command is:

ListDefinitionDelete

(

ListName: "Old List"

)


ListDefinitionEditBox

Purpose

ListDefinitionEditBox changes the type of graphics box the specified list includes when generated.

Syntax

ListDefinitionEditBox (Name: Character Expression; BoxName: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Names a list definition to edit.

BoxName: Numeric Equivalent or Enumerated Type

Specifies which type of graphics box the list definition now includes.

0	FigureBox!

1	TableBox!

2	TextBox!

3	UserBox!

4	EquationBox!

5	ButtonBox!

6	WatermarkImageBox!

7	InlineEquationBox!

127	NoBox!


Route...

Tools, List, Define, select a list definition, Edit, Auto Reference Box Captions, select a graphics box type.


For Example...

To change a list definition named List 1 to include figure boxes, the command is:

ListDefinitionEditBox

(

Name: "List 1";

BoxName: FigureBox!

)


ListDefinitionMode

Purpose

ListDefinitionMode changes the method of numbering or numbering mode in a list definition.

Syntax

ListDefinitionMode (ListName: Character Expression; Numbering: Numeric Equivalent or Enumerated Type)

Parameters

ListName: Character Expression

Names a list definition to edit.

Numbering: Numeric Equivalent or Enumerated Type

Specifies which numbering mode a list definition uses.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!


Route...

Tools, List, Define, select a list definition, Edit, select a Numbering Mode.


For Example...

To change the numbering mode to flush right in a list definition named List 2, the command is:

ListDefinitionMode

(

ListName: "List 2";

Numbering: DefFlushRight!

)


ListDefinitionRename

Purpose

ListDefinitionRename renames a list definition.

Syntax

ListDefinitionRename (Filename: Character Expression; ListName: Character Expression)

Parameters

FileName: Character Expression

Specifies a list definition to rename.

ListName: Character Expression

Specifies the new name of a list definition.


Route...

Tools, List, Define, select a list definition, Edit, type a new name in the List entry field.


For Example...

To rename a list definition named List 1 to List One, the command is:

ListDefinitionRename

(

FileName: "List 1";

ListName: "List One"

)


ListDefinitionRetrieve

Purpose

ListDefinitionRetrieve retrieves one list definition from a document.

Syntax

ListDefinitionRetrieve (Filename: Character Expression; ListName: Character Expression)

Parameters

Filename: Character Expression

Names the document which contains a list to retrieve.

ListName: Character Expression

Specifies the list definition to retrieve.


Route...

Tools, List, Define, Retrieve, specify a document name, mark a list to retrieve.


For Example...

To retrieve a list definition named List One from a document named MYFILE, the command is:

ListDefinitionRetrieve

(

Filename: "MYFILE";

ListName: "List One"

)


ListDefinitionStyle

Purpose

ListDefinitionStyle edits a list definition and changes the list style that definition uses.

Syntax

ListDefinitionStyle (ListName: Character Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

ListName: Character Expression

Specifies a list definition to edit.

Style: Numeric Equivalent or Enumerated Type

Specifies which list style the list definition now uses.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

ListEditPageFormat


Route...

Tools, List, Define, select a List Definition, Edit, Change Current Style, highlight a style, Select.


For Example...

To change the list style to Index 2 of a list definition named List One, the command is:

ListDefinitionStyle

(

ListName: "List One";

Style: Index2Style!

)


ListEditPageFormat

Purpose

ListEditPageFormat edits the page numbering format of a list definition.

Syntax

ListEditPageFormat (ListName: Character Expression; NumberFormat: Character Expression)

Parameters

ListName: Character Expression

Specifies a list definition to edit.

NumberFormat: Character Expression

Specifies a page numbering style. If nothing is placed between the quotation marks in this parameter, the same page numbering style used in the main document is used in the generated list.

See Also

ListDefinitionStyle


Route...

Tools, List, Define, select a list definition, Edit, Page Numbering, specify a page number format.


For Example...

To change a page numbering format to be the same as the main document page numbering format in a list definition named List One, the command is:

ListEditPageFormat

(

ListName: "List One";

NumberFormat: ""

)


ListMark

Purpose

ListMark marks selected text to add to a list when a document is generated.

If no text is selected, this command terminates the macro or redirects execution to the LABEL specified by ONERROR.

Syntax

ListMark (ListName: Character Expression)

Parameters

ListName: Character Expression

Names a new list.


Route...

Tools, List, specify a list name, Mark.


For Example...

To mark selected text to add to a list named List One, the command is:

ListMark

(

ListName: "List One"

)


MacroEditControlBar

Purpose

MacroEditControlBar displays the macros Feature Bar.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

MacroEditControlBar ()


Route...

Tools, Macro, Macro Bar.


MacroMenuDelete

Purpose

MacroMenuDelete deletes a macro from a menu.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

MacroMenuDelete (UpdateBIF: Numeric Equivalent or Enumerated Type; MenuPos: Numeric Expression)

Parameters

UpdateBIF: Numeric Expression

Determines whether to update BIF.

0	No!

1	Yes!

MenuPos: Numeric Expression

Specifies a macro's menu position.


For Example...

To delete a macro from the third position on a menu, the command is:

MacroMenuDelete

(

UpdateBIF: No!;

MenuPos: 3

)


MacroPause

Purpose

MacroPause causes a macro to stop until you press Enter or select Pause on the Macro menu.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

MacroPause ()


Route...

Tools, Macro, Pause.


MacroStatusPrompt

Purpose

MacroStatusPrompt determines whether to display the macro status prompt line.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

MacroStatusPrompt(State: Numeric Equivalent or Enumerated Type; Prompt: Character Expression)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

Prompt: Character Expression

Specifies a prompt message.


For Example...

To display the prompt Please Wait..., the command is:

MacroStatusPrompt

(

State: On!;

Prompt: "Please Wait..."

)


MailDlg

Purpose

MailDlg determines if WP Office is running; loads WP Office if it is not; displays the WP Office Mail view; attaches a copy of the active WordPerfect document to Mail; and writes "<WP Attachment Enclosed>" in the Message text box.

Syntax

MailDlg ()


Route...

File, WP Mail.


MarginAdjustLeft

Purpose

MarginAdjustLeft adjusts the left margin relative to the current margin setting.

Syntax

MarginAdjustLeft (AmtToAdjust: Measurement Expression)

Parameters

AmtToAdjust: Measurement Expression

Specifies a positve or negative value to increase or decrease the left margin.

See Also

MarginLeft

?LeftMarginAdj


Route...

Layout, Paragraph, Format, Left Margin Adjustment, type a value.


For Example...

To adjust the left margin .5 inches to the right, the command is:

MarginAdjustLeft

(

AmtToAdjust: .5"

)


MarginAdjustRight

Purpose

MarginAdjustRight adjusts the right margin relative to the current margin setting.

Syntax

MarginAdjustRight (AmtToAdjust: Measurement Expression)

Parameters

AmtToAdjust: Measurement Expression

Specifies a positve or negative value to increase or decrease the right margin.

See Also

MarginRight

?RightMarginAdj


Route...

Layout, Paragraph, Format, Right Margin Adjustment, type a value.


For Example...

To adjust the right margin .5 inches to the left, the command is:

MarginAdjustRight

(

AmtToAdjust: -.5"

)


MarginBottom

Purpose

MarginBottom sets the bottom margin.

Syntax

MarginBottom (MarginWidth: Measurement Expression)

Parameters

MarginWidth: Measurement Expression

Specifies a bottom margin.

See Also

?MarginBottom


Route...

Layout, Margins, Bottom Margin, specify a measurement.


For Example...

To set the bottom margin 1 inch from the bottom edge of the page, the command is:

MarginBottom

(

MarginWidth: 1"

)


MarginLeft

Purpose

MarginLeft sets the left margin.

Syntax

MarginLeft (MarginWidth: Measurement Expression)

Parameters

MarginWidth: Measurement Expression

Specifies a left margin.

See Also

MarginAdjustLeft

?MarginLeft


Route...

Layout, Margins, Left Margin, specify a measurement.


For Example...

To set the left margin 1 inch from the left edge of the page, the command is:

MarginLeft

(

MarginWidth: 1"

)


MarginReleaseInsert

Purpose

MarginReleaseInsert moves the insertion point one tab stop to the left.

Syntax

MarginReleaseInsert ()


Route...

Press Shift+Tab or Ctrl+Shift+Tab.


MarginRight

Purpose

MarginRight sets the right margin.

Syntax

MarginRight (MarginWidth: Measurement Expression)

Parameters

MarginWidth: Measurement Expression

Specifies a right margin.

See Also

MarginAdjustRight

?MarginRight


Route...

Layout, Margins, Right Margin, specify a measurement.


For Example...

To set the right margin 1 inch from the right edge of the page, the command is:

MarginRight

(

MarginWidth: 1"

)


MarginTop

Purpose

MarginTop sets the top margin.

Syntax

MarginTop (MarginWidth: Measurement Expression)

Parameters

MarginWidth: Measurement Expression

Specifies a top margin.

See Also

?MarginTop


Route...

Layout, Margins, Top Margin, specify a measurement.


For Example...

To set the top margin 1.5 inch from the top edge of the page, the command is:

MarginTop

(

MarginWidth: 1.5"

)


MarkCrossRef

Purpose

MarkCrossRef marks a cross reference.

Syntax

MarkCrossRef ()

See Also

MarkCrossRefUpdateLink


Route...

Tools, Cross-Reference.


MarkCrossRefUpdateList

Purpose

MarkCrossRefUpdateList creates a cross-reference to a specified target name.

Syntax

MarkCrossRefUpdateList (Target: Character Expression)

Parameters

Target: Character Expression

Specifies a target name.

See Also

MarkCrossRef


Route...

Tools, Cross Reference, Mark Target button, Mark Reference button.


For Example...

To mark the target name Archaeology, the command is:

MarkCrossRefUpdateList

(

Target: "Archaeology"

)


MarkIndex

Purpose

MarkIndex marks a word for the index.

Syntax

MarkIndex ()

See Also

MarkListUpdateIndex


Route...

Tools, Index.


MarkIndexUpdateList

Purpose

MarkIndexUpdateList creates a reference to a specified heading and subheading in the Index.

Syntax

MarkIndexUpdateList (Heading: Character Expression; SubHeading:Character Expression)

Parameters

Heading: Character Expression

Specifies an index heading.

SubHeading: Character Expression (optional)

Specifies a subheading.

See Also

MarkIndex


Route...

Tools, Index, specify a Heading and Subheading, Mark button.


For Example...

To mark a page for the index under the heading Middle East and subheading Lebanon, the command is:

MarkIndexUpdateList

(

Heading: "Middle East";

Subheading: "Lebanon"

)


MarkList

Purpose

MarkList marks an item for a list.

Syntax

MarkList ()

See Also

MarkListUpdateList


Route...

Tools, List.


MarkListUpdateList

Purpose

MarkListUpdateList creates a reference to a specified List Name.

Syntax

MarkListUpdateList (ListName: Character Expression)

Parameters

ListName: Character Expression

Specifies a list name.

See Also

MarkList


Route...

Tools, List, specify a list, Mark button.


For Example...

To mark the list name Cocker Spaniels, the command is:

MarkListUpdateList

(

ListName: "Cocker Spaniels"

)


MarkTableOfAuthorities

Purpose

MarkTableOfAuthorities marks an item for a table of authorities.

Syntax

MarkTableOfAuthorities ()


Route...

Tools, Table of Authorities.


MarkTableOfContents

Purpose

MarkTableOfContents marks an item for a table of contents.

Syntax

MarkTableOfContents ()


Route...

Tools, Table of Contents.


MarkToAUpdateList

Purpose

MarkToAUpdateList creates a reference to a specified citation in a table of authorities.

Syntax

MarkToAUpdateList (ListName: Character Expression)

Parameters

ListName: Character Expression

Specifies a list name in a table of authorities.


Route...

Tools, Table of Authorities, specify a form, Mark button.


For Example...

To specify the list name Barclay v. Florida, the command is:

MarkToAUpdateList

(

ListName: "Barclay v. Florida"

)


MasterDocCondense

Purpose

MasterDocCondense specifies subdocuments to condense and specifies whether to save changes.

Syntax

MasterDocCondense (Filename: Character Expression; Action: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression (optional)

Specifies a subdocument to condense.

Action: Numeric Equivalent or Enumerated Type

Determines whether to save changes to a subdocument when the subdocument is condensed.

0	SkipSub!

2	SaveSub!


Route...

File, Master Document, Condense Master, select a subdocument to condense and save.


For Example...

To condense and not save changes in a subdocument named C:\WP60\SUB1.DOC, the command is:

MasterDocCondense

(

Filename: "SUB1.DOC";

Action: SkipSub!

)


MasterDocCondenseDlg

Purpose

MasterDocCondenseDlg displays the Condense/Save Subdocuments dialog box.

Syntax

MasterDocCondenseDlg ()

See Also

MasterDocCondense


Route...

File, Master Document, Condense Master.


MasterDocExpand

Purpose

MasterDocExpand specifies a subdocument to expand.

Syntax

MasterDocExpand (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a subdocument to expand.


Route...

File, Master Document, Expand Master, select a subdocument.


For Example...

To expand a subdocument named SUB1.DOC, the command is:

MasterDocExpand

(

Filename: "SUB1.DOC"

)


MasterDocSubdocDlg

Purpose

MasterDocSubdocDlg displays the Include Subdocument dialog box.

Syntax

MasterDocSubdocDlg ()


Route...

File, Master Document, Subdocument.


SearchCaseSensitive

Purpose

SearchCaseSensitive determines whether Find is case sensitive.

Syntax

SearchCaseSensitive (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Find, Match, Case.


For Example...

To make Find case sensitive, the command is:

SearchCaseSensitive

(

State: Yes!

)


MatchExtendSelection

Purpose

MatchExtendSelection determines whether Find selects the text from the insertion point to a matched word.

Syntax

MatchExtendSelection ()


Route...

Edit, Find, Action, Extend Selection.


MatchLimit

Purpose

MatchLimit limits a find and replace search to a specified number.

Syntax

MatchLimit (State: Numeric Equivalent or Enumerated Type; LimitValue: Numeric Expression)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to limit a find and replace search.

0	No!

1	Yes!

LimitValue: Numeric Expression

Specifies the number of find and replace searches.


Route...

Edit, Replace, type Find and Replace With strings, Options, Limit Number of Changes, enter a value, Replace All.  The number of changes is limited to the value you entered.


For Example...

To limit find and replace to 2 matches, the command is:

MatchLimit

(

State: Yes!;

LimitValue: 2

)


MatchPositionAfter

Purpose

MatchPositionAfter positions the insertion point after a search string when using the Find feature.

Syntax

MatchPositionAfter ()


Route...

Edit, Find, Action, Position After.


MatchPositionBefore

Purpose

MatchPositionBefore positions the insertion point before search string when using the Find feature.

Syntax

MatchPositionBefore ()


Route...

Edit, Find, Action, Position Before.


MatchSelection

Purpose

MatchSelection determines whether Find selects the matched text.

Syntax

MatchSelection ()


Route...

Edit, Find, Action, Select Match.


MatchWithAttributes

Purpose

MatchWithAttributes determines whether Find only matches text with selected attributes.

Syntax

MatchWithAttributes (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

See Also

MatchWithFont

MatchWithFontSize


Route...

No! = Edit, Find, Match, Font, select Text Only.  Yes! = Edit, Find, Match, Font, select one or more attributes.


For Example...

To find text with selected attributes, the command is:

MatchWithAttributes

(

State: Yes!

)


MatchWithFont

Purpose

MatchWithFont determines whether Find must match text with selected font attributes.

Syntax

MatchWithFont (State: Numeric Equivalent or Enumerated Type; Typeface: Character Expression; Family: Numeric Expression; Attributes: Numeric Expression; Weight: Numeric Expression; Width: Numeric Expression; Source: Numeric Expression; Type: Numeric Expression; CharacterSet: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

Typeface: Character Expression (optional)

Specifies a typeface name.

Family: Numeric Equivalent or Enumerated Type

256	FamilyITCBenguiat!

2304	FamilyTimesRoman!

4352	FamilyITCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodon!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicrostyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBrush!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyTekton!

35072	FamilyUncial!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

55552	FamilyAestheticOrnamented!

Attributes: Numeric Equivalent or Enumerated Type

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

88	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

240	WeightUltraHeavy!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

0	FontMatchASCII!

1	FontMatchMultinational1!

2	FontMatchMultinational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!

See Also

MatchWithFontSize

MatchWithAttributes


Route...

Edit, Find, Match, Font, select Font, select options.


For Example...

To find text with selected font attributes, the command is:

MatchWithFont

(

State: Yes!

Name: "Courier New Bold";

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


MatchWithFontSize

Purpose

MatchWithFontSize determines whether Find must match text with the selected font size.

Syntax

MatchWithFontSize (State: Numeric Equivalent or Enumerated Type; FontSize: Numeric Expression)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

FontSize: Numeric Expression (optional)

Specifies a font height in points, where 72 points equals one inch.

See Also

MatchWithFont

MatchWithAttributes


Route...

No! = Edit, Find, Match, Font, select Text Only.  Yes! = Edit, Find, Match, Font, select one or more attributes.


For Example...

To find text with a selected font size, the command is:

MatchWithFontSize

(

State: Yes!;

FontSize: 14p

)


SearchFindWholeWordsOnly

Purpose

SearchFindWholeWordsOnly determines whether Find matches a whole word, or if a match can include only part of a word.

Syntax

SearchFindWholeWordsOnly (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Find, Match, Whole Word.


For Example...

To find whole words only, the command is:

SearchFindWholeWordsOnly

(

State: Yes!

)


MenuAddItem

Purpose

MenuAddItem adds an item to a WordPerfect menu or personalized submenus.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

MenuAddItem (MenuName: Character Expression; ItemName: Character Expression; Offset: Numeric Expression; Type: Numeric Equivalent or Enumerated Type; ItemText: Character Expression; MacroName: Character Expression; Prompt: Character Expression; HelpFile: Character Expression; HelpId: Numeric Expression)

Parameters

MenuName: Character Expression

Specifies the menu to add an item to.

ItemName: Character Expression

Specifies a menu item to add.

Offset: Numeric Expression

Specifies the location of a menu item in a list of items.  Values range from 1 to 255.

Type: Numeric Equivalent or Enumerated Type

Specifies the type of menu item to create.

0	Macro!

1	Separator!

2	Submenu!

ItemText: Character Expression

Specifies menu text for the created menu item.

MacroName: Character Expression

Specifies the name of a macro that plays when the corresponding menu item is chosen.

Prompt: Character Expression (optional)

Specifies text to display on the status line when the corresponding menu item is selected.

HelpFile: Character Expression (optional)

Specifies the name of a Help file to use if Help is the menu item.

HelpId: Numeric Expression (optional)

Specifies the ID number of the Help file in the HelpFile parameter.

See Also

MenuDeleteItem


For Example...

To add a macro to the macros menu, the command is:

MenuAddItem

(

MenuName: "Macro";

ItemName: "New Document";

Offset: 1;

Type: Macro!;

ItemText: "New Document";

MacroName: "Newdoc.wcm";

Prompt: "This macro creates a new document."

)


MenuDeleteItem

Purpose

MenuDeleteItem deletes an item from a specified menu.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

MenuDeleteItem (MenuText: Character Expression; ItemText: Character Expression)

Parameters

MenuText: Character Expression

Specifies the name of the menu from which to delete an item.

ItemText: Character Expression

Specifies the name of a menu item to delete.

See Also

MenuAddItem


For Example...

To delete a macro from the Macro menu, the command is:

MenuDeleteItem

(

MenuText: "Macro";

ItemText: "Test Macro"

)


MenuSelect

Purpose

MenuSelect selects a menu.

Syntax

MenuSelect (MenuName: Character Expression)

Parameters

MenuName: Character Expression

Specifies a menu name.

See Also

MenuSelectDlg


Route...

File, Preferences, Menus Bar Icon, select a menu.


For Example...

To select the menu Macros, the command is:

MenuSelect

(

MenuName: "Macros"

)


MenuSelectDlg

Purpose

MenuSelectDlg displays the Menu Bar Preferences dialog box.

Syntax

MenuSelectDlg ()

See Also

MenuSelect


Route...

File, Preferences, Menu Bar Icon.


MergeBlankField

Purpose

MergeBlankField determines whether to remove a blank field.  If blank fields are removed, this command shifts remaining fields up one line.

Syntax

MergeBlankField (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to remove a blank field.

0	Leave!

1	Remove!


Route...

Tools, Merge, Merge, Options, select an option from the Empty Field in Data File pop-up list.


For Example...

To remove a blank field, the command is:

MergeBlankField

(

State: Remove!

)


MergeCode

Purpose

MergeCode inserts a merge code into the current document.

Syntax

MergeCode (Codes: Numeric Equivalent or Enumerated Type; String: Character Expression)

Parameters

Codes: Numeric Equivalent or Enumerated Type

Specifies a merge code to insert.

0	Beep!

1	Break!

2	CancelOff!

3	CancelOn!

4	Continue!

5	Date!

6	Default!

7	DisplayStop!

8	Else!

9	EndSwitch!

10	EndField!

11	EndFor!

12	EndIf!

13	EndRecord!

14	EndWhile!

15	Next!

16	NextRecord!

17	PageOff!

18	PageOn!

19	Print!

20	Quit!

21	ProcessOn!

22	Return!

23	ReturnCancel!

24	ReturnError!

25	Rewrite!

26	StepOff!

27	StepOn!

28	Stop!

29	ProcessOff!

48	Assign!

50	Call!

52	Caps!

54	Switch!

56	CaseOf!

58	ChainMacro!

60	ChainData!

62	ChainForm!

64	Char!

66	Codes!

68	Comment!

70	CtoN!

72	Document!

74	EmbedMacro!

76	Field!

78	FieldNames!

80	FirstCap!

82	For!

84	ForEach!

86	GetString!

88	Go!

90	If!

92	IfBlank!

94	IfExists!

96	IfNotBlank!

98	Insert!

100	Keyboard!

102	Label!

104	AssignLocal!

106	Look!

108	MrgCmnd!

110	NestData!

112	NestForm!

114	NestMacro!

116	NtoC!

118	OnCancel!

120	OnError!

122	Prompt!

124	StatusPrompt!

126	StrLen!

128	StrPos!

130	SubstData!

132	SubstForm!

134	SubStr!

136	System!

138	ToLower!

140	ToUpper!

142	Variable!

144	Wait!

146	While!

148	PostNet!

String: Character Expression (optional)

Specifies field parameters if needed.


Route...

Select the Merge Codes button on the Merge Feature Bar.  The Merge Feature Bar is activated when a merge form file or data file is opened.


For Example...

To insert a FieldNames! code with name, address and telephone fields, the command is:

MergeCode

(

Codes: FieldNames!;

String: "name; address; city/state/zip; phone"

)


MergeCodesDisplayEdit

Purpose

MergeCodesDisplayEdit hides or shows merge codes or displays them as icons when defining a range.

Syntax

MergeCodesDisplayEdit (Display: Numeric Equivalent or Enumerated Type)

Parameters

Display: Numeric Equivalent or Enumerated Type

Determines whether to show merge codes or display them as markers.

0	Hide!

1	Show!

2	Marker!

See Also

MergeCodesDisplayRun


Route...

Select the Options button on the Merge Feature Bar.  The Merge Feature Bar is activated when a merge form file or data file is opened.


For Example...

To hide merge codes, the command is:

MergeCodesDisplayEdit

(

Display: Hide!

)


MergeCodesDisplayRun

Purpose

MergeCodesDisplayRun hides or shows merge codes or displays them as icons in a merged document.

Syntax

MergeCodesDisplayRun (Display: Numeric Equivalent or Enumerated Type)

Parameters

Display: Numeric Equivalent or Enumerated Type

Determines whether to show merge codes or display them as markers.

0	Hide!

1	Show!

2	Marker!

See Also

MergeCodesDisplayEdit


Route...

Tools, Merge, Merge, Options, select an option from the Display Options pop-up list.


For Example...

To show merge codes, the command is:

MergeCodesDisplayRun

(

Display: Show!

)


MergeCodesDlg

Purpose

MergeCodesDlg displays the Insert Merge Codes dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

MergeCodesDlg ()


MergeCondition

Purpose

MergeCondition defines a condition for selecting records from a data file.

Syntax

MergeCondition (Condition1: Character Expression; Condition2: Character Expression; ... Condition15: Character Expression)

Parameters

Condition1, Condition2, ... Condition15: Character Expression

Specifies a condition for record selection.


Route...

Tools, Merge, Merge, Select Records, Specify Conditions, select and enter fields and conditions.


For Example...

To select all records that match the following condition set: 1) COMPANY = WordPerfect; (2) TITLE = Regional Manager; (3) STATE = CA, the command is:

MergeCondition

(

Condition1: "COMPANY";

Condition2: "TITLE";

Condition3: "STATE";

Condition4: "WordPerfect";

Condition5: "Regional Manager";

Condition6: "CA"

)


MergeDataFile

Purpose

MergeDataFile specifies a data file from which to list fields when defining a form file.

Syntax

MergeDataFile (DataFile: Character Expression)

Parameters

DataFile: Character Expression (optional)

Specifies the name of a data file from which to list fields when defining a form file.


Route...

Tools, Merge, Form button, Associate a file, specify a name.


For Example...

To specify a file named MYLIST as the data file from which to list fields, the command is:

MergeDataFile

(

DataFile: "MYLIST"

)


MergeDlg

Purpose

MergeDlg displays the Merge dialog box.

Syntax

MergeDlg ()


Route...

Tools, Merge.


MergeEnvelope

Purpose

MergeEnvelope determines whether to create an envelope for merged records.

Syntax

MergeEnvelope (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to create an envelope for merged records.

0	Off!

1	On!


Route...

Tools, Merge, Merge button, Envelopes button.


For Example...

To create a merge envelope, the command is:

MergeEnvelope

(

State: On!

)


MergeEnvelopeDefinitionBegin

Purpose

MergeEnvelopeDefinitionBegin is the opening command of the MergeEnvelopeDefinitionBegin-MergeEnvelopeDefinitionEnd statement; this statement contains address information.

Syntax

MergeEnvelopeDefinitionBegin ()

See Also

MergeEnvelope


Route...

Tools, Merge, Merge button, Envelopes button.


MergeEnvelopeDefinitionEnd

Purpose

MergeEnvelopeDefinitionEnd is the closing command of a MergeEnvelopeDefinitionBegin-MergeEnvelopeDefinitionEnd statement; this statement contains address information.

Syntax

MergeEnvelopeDefinitionEnd ()

See Also

MergeEnvelope


Route...

Tools, Merge, Merge button, Envelopes button.


MergeFileAssociate

Purpose

MergeFileAssociate associates primary and secondary files.

Syntax

MergeFileAssociate (FormFile: Character Expression; DataFile: Character Expression)

Parameters

FormFile: Character Expression

Specifies a form file.

DataFile: Character Expression (optional)

Specifies a data file.


Route...

Tools, Merge, Merge, specify a form file and a data file.


For Example...

To associate DOC1 and DOC2, the command is:

MergeFileAssociate

(

FormFile: "C:\WP60\DOC1";

DataFile: "C:\WP60\DOC2"

)


MergeFilesDlg

Purpose

MergeFilesDlg displays the Perform Merge dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

MergeFilesDlg()


Route...

Tools, Merge, Merge button.


MergeFileType

Purpose

MergeFileType specifies a type of file to merge.

Syntax

MergeFileType (FileType: Numeric Equivalent or Enumerated Type)

Parameters

FileType: Numeric Equivalent or Enumerated Type

0	None!

1	Form!

2	TableData!

4	TextData!


Route...

Tools, Merge, Form button or Data button.


For Example...

To merge a form file, the command is:

MergeFileType

(

FileType: Form!

)


MergeFormDlg

Purpose

MergeFormDlg displays the Create Merge File dialog box.

Syntax

MergeFormDlg ()


Route...

Tools, Merge, Form button.


MergeMark

Purpose

MergeMark marks a record to include in a merge.

Syntax

MergeMark (RecordNum: Numeric Expression)

Parameters

RecordNum: Numeric Expression

Specifies a record number to mark for merging.


Route...

Tools, Merge, Merge button, Records button, Mark Records, mark records.


For Example...

To mark record 5 in a merge, the command is:

MergeMark

(

RecordNum: 5

)


MergePageBreak

Purpose

MergePageBreak determines whether to separate merged documents with a page break.

Syntax

MergePageBreak (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type)

0	Off!

1	On!


Route...

Tools, Merge, Merge button, Options button, Separate Each Merged Document with a Page Break.


For Example...

To separate merged documents with a page break, the command is:

MergePageBreak

(

State: On!

)


MergePrintText

Purpose

MergePrintText sends a secondary merge file form to a printer.

Syntax

MergePrintText ()

See Also

MergeFileType


Route...

From the Merge Feature Bar: Options button, Print.  The Merge Feature Bar is activated when a merge form file or data file is opened.


MergeRepeat

Purpose

MergeRepeat sets the number of times to merge each record.

Syntax

MergeRepeat (NumberToRepeat: Numeric Expression)

Parameters

NumberToRepeat: Numeric Expression

Specifies how many times to merge each data record.


Route...

Tools, Merge, Merge button, Options button, specify a number.


For Example...

To merge a data record 3 times, the command is:

MergeRepeat

(

NumberToRepeat: 3

)


MergeSelect

Purpose

MergeSelect identifies records to merge.

Syntax

MergeSelect (SelectType: Numeric Equivalent or Enumerated Type; Begin: Numeric Expression; End: Numeric Expression)

Parameters

SelectType: Numeric Equivalent or Enumerated Type

Specifies records to merge.

0	All!

1	Marked!

2	Range!

Begin: Numeric Expression

Specifies the low end of a range.

End: Numeric Expression

Specifies the high end of a range.

See Also

MergeMark


Route...

Tools, Merge, Merge button, specify files, Select Records button, select options.


For Example...

To merge records 10 through 50, the command is:

MergeSelect

(

SelectType: Range!;

Begin: 10;

End: 50

)


MergeTableDataDlg

Purpose

MergeTableDataDlg displays the Create Data File dialog box.

Syntax

MergeTableDataDlg ()


Route...

Tools, Merge, Data.


MergeTextDataDlg

Purpose

MergeTextDataDlg displays the Create Merge File dialog box.

Syntax

MergeTextDataDlg ()


Route...

Tools, Merge, Data.


MinusSign

Purpose

MinusSign is the same as pressing the minus sign or hyphen.

Syntax

MinusSign ()


Route...

Press the minus sign or hyphen key.


MoveModeEnd

Purpose

MoveModeEnd is the closing command for moving text.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

MoveModeEnd ()


NewHFWOccurrence

Purpose

NewHFWOccurrence specifies where to display headers, footers, and watermarks.

Syntax

NewHFWOccurrence (Occurrence: Numeric Equivalent or Enumerated Type)

Parameters

Occurrence: Numeric Equivalent or Enumerated Type

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!


Route...

Layout, Header/Footer or Watermark, Create or Edit, Placement button, select an option.


For Example...

To display a header on every page, the command is:

NewHFWOccurrence

(

Occurrence: AllPages!

)


OLEAcceptLinks

Purpose

OLEAcceptLinks accepts a link updated or initialized between server and client applications.

Syntax

OLEAcceptLinks ()

See Also

OLEInitializeLinks

OLEUpdateLink


Route...

Edit, Links, select a link, Update Now.


OLECancelLink

Purpose

OLECancelLink cancels a linked object.

Syntax

OLECancelLink (LinkName: Character Expression)

Parameters

LinkName: Character Expression

Specifies the name of a linked object.


Route...

Edit, Links, select a link, Cancel Link.


For Example...

To delete the linked object PBRUSH.BMP, the command is:

OLECancelLink

(

LinkName: "PBRUSH.BMP"

)


OLECancelLinks

Purpose

OLECancelLinks cancels a link updated or initialized between server and client applications.

Syntax

OLECancelLinks ()


Route...

Edit, Links, Cancel.


OLEChangeLink

Purpose

OLEChangeLink changes the file used in a link.

Syntax

OLEChangeLink (ObjectName: Character Expression; Filename: Character Expression)

Parameters

ObjectName: Character Expression

Specifies an object name.

Filename: Character Expression

Specifies the name of the replacement file.


Route...

Edit, Links, select a link, Change Link, select a new object.


For Example...

To specify a new linked file, the command is:

OLEChangeLink

(

ObjectName: "WPWIN60[0]";

Filename: "C:\WINDOWS\PAINTBRUSH.BMP"

)


OLEInitializeLinks

Purpose

OLEInitializeLinks reinitializes a link with its server application.

This command records when you create, update, change, or perform any function on a link.

Syntax

OLEInitializeLinks ()

See Also

OLEAcceptLinks

OLEChangeLink

OLEUpdateLink


Route...

Edit, Links, select option.


OLEInsertDlg

Purpose

OLEInsertDlg displays the Insert Object dialog box.

Syntax

OLEInsertDlg ()


Route...

Insert, Object.


OLEInsertObject

Purpose

OLEInsertObject specifies the name of a program to insert an object into.

Syntax

OLEInsertObject (ObjectType: Character Expression)

Parameters

ObjectType: Character Expression

Specifies the name of a program.


Route...

Insert, Object.


For Example...

To specify the Paintbrush program, the command is:

OLEInsertObject

(

ObjectType: "Paintbrush Picture"

)


OLELinksDlg

Purpose

OLELinksDlg displays the OLELinks dialog box.

Syntax

OLELinksDlg ()


Route...

Edit, Links.


OLEPasteDlg

Purpose

OLEPasteDlg displays the Paste Special dialog box.

Syntax

OLEPasteDlg ()


Route...

Edit, Paste Special.


OLESetLinkUpdate

Purpose

OLESetLinkUpdate specifies how to update a linked object.

Syntax

OLESetLinkUpdate (ObjectName: Character Expression; UpdateType: Numeric Equivalent or Enumerated Type)

Parameters

ObjectName: Character Expression

Specifies a link name.

UpdateType: Numeric Equivalent or Enumerated Type

1	UpdateAlways!

2	UpdateManually!


Route...

Edit, Links, Automatic or Manual, OK.


For Example...

To automatically update a link named Project, command is:

OLESetLinkUpdate

(

ObjectName: "Project";

UpdateType: UpdateAlways!

)


OLEUpdateLink

Purpose

OLEUpdateLink updates a specified link.

Syntax

OLEUpdateLink (LinkName: Character Expression)

Parameters

LinkName: Character Expression

Specifies the name of a link to update.


Route...

Edit, Links, Update Now.


For Example...

To update the link WPWin60[0] the command is:

OLEUpdateLink

(

LinkName: "WPWin60[0]"

)


OutlineBarSetup

Purpose

OutlineBarSetup determines whether to turn on the outline bar.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineBarSetup (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display the outline bar.

0	Off!

1	On!


For Example...

To turn on the Outline bar, the command is:

OutlineBarSetup

(

State: On!

)


OutlineBeginNew

Purpose

OutlineBeginNew begins a new outline in a specified style.

Syntax

OutlineBeginNew (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a style for a new outline.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

OutlineEnd


Route...

Tools, Outline, Options, Define Outline, Start New Outline.


For Example...

To create a bullets style outline, the command is:

OutlineBeginNew

(

Style: BulletsOutlnStyle!

)


OutlineBodyText

Purpose

OutlineBodyText hides or shows outline body text.  When no parameter is specified, the command is a toggle.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineBodyText (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to show outline body text.

0	ShowBodyText!

1	HideBodyText!

See Also

OutlineHideShowingBodyText


For Example...

To hide outline body text, the command is:

OutlineBodyText

(

State: HideBodyText!

)


OutlineChangeToBodyText

Purpose

OutlineChangeToBodyText moves text or the insertion point from an outline to body text.

Syntax

OutlineChangeToBodyText ()

See Also

OutlineBodyText

OutlineParagraphNumber


Route...

Tools, Outline, Change to Body Text button ("T" button).


OutlineDefineDlg

Purpose

OutlineDefineDlg displays the Outline Define dialog box.

Syntax

OutlineDefineDlg ()


Route...

Tools, Outline, Options button, Define Outline.


OutlineDown

Purpose

OutlineDown blocks the next outline paragraph.  After blocking each paragraph of an outline family, OutlineDown blocks the entire family.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineDown ()

See Also

OutlineUp


OutlineEnd

Purpose

OutlineEnd turns off the outline feature.

Syntax

OutlineEnd ()

See Also

OutlineBeginNew


Route...

Tools, Outline, Options button, Mark End.


OutlineFamilyCopy

Purpose

OutlineFamilyCopy copies an outline family and adjusts the numbering in the outline when the family is retrieved.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyCopy ()

See Also

OutlineFamilyMove

OutlineFamilyCut

MoveModeEnd

OutlineFamilySelect


OutlineFamilyCut

Purpose

OutlineFamilyCut deletes an outline family and adjusts the numbering in the outline.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyCut ()

See Also

OutlineFamilyMove

OutlineFamilyCopy

OutlineFamilySelect


OutlineFamilyDemote

Purpose

OutlineFamilyDemote adjusts an outline family to the next level.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyDemote ()


OutlineFamilyDown

Purpose

OutlineFamilyDown moves the insertion point to the end of the next outline family.  In Edit Outline Mode, this command blocks the next outline family.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyDown ()

See Also

OutlineFamilyUp


OutlineFamilyDragDown

Purpose

OutlineFamilyDragDown positions a selected outline family below the next family and adjusts the numbering in Edit in Outline Mode.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command with the same functionality, use OutlineParagraphDragDown.

Syntax

OutlineFamilyDragDown ()

See Also

OutlineFamilyUp

OutlineFamilySelect

OutlineParagraphDragDown


Route...

Tools, Outline, Down Arrow button.


OutlineFamilyHide

Purpose

OutlineFamilyHide hides the current outline family.

Syntax

OutlineFamilyHide (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display an outline family.

0	ShowBodyText!

1	HideBodyText!

See Also

OutlineFamilyShow

OutlineFamilySelect


Route...

Tools, Outline, Hide Family button (-).


For Example...

To hide an outline family, the command is:

OutlineFamilyHide

(

State: HideBodyText!

)


OutlineFamilyLeft

Purpose

OutlineFamilyLeft moves the insertion point from one outline paragraph to the previous outline paragraph.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyLeft ()

See Also

OutlineFamilyRight


OutlineFamilyMove

Purpose

OutlineFamilyMove moves an outline family.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyMove ()

See Also

OutlineFamilyCopy

OutlineFamilyCut

OutlineFamilySelect

MoveModeEnd


OutlineFamilyPromote

Purpose

OutlineFamilyPromote adjusts an outline family to the previous level in Edit in Outline Mode.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyPromote ()

See Also

OutlineFamilyDemote

OutlineFamilySelect


OutlineFamilyRight

Purpose

OutlineFamilyRight moves the insertion point from one outline paragraph to the next outline paragraph.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyRight ()

See Also

OutlineFamilyLeft


OutlineFamilySelect

Purpose

OutlineFamilySelect selects an outline family.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilySelect ()

See Also

OutlineParagraphSelect


OutlineFamilyShow

Purpose

OutlineFamilyShow displays a hidden outline family.

Syntax

OutlineFamilyShow (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display a previously hidden outline family.

0	ShowBodyText!

1	HideBodyText!

See Also

OutlineFamilyHide


Route...

Tools, Outline, Show Family button (+).


For Example...

To show a previously hidden outline family, the command is:

OutlineFamilyShow

(

State: ShowBodyText!

)


OutlineFamilyUp

Purpose

OutlineFamilyUp moves the insertion point to the beginning of the previous outline family.  With Select Mode on, this command blocks the previous outline family.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineFamilyUp ()

See Also

OutlineFamilyDown


OutlineHideShowingBodyText

Purpose

OutlineHideShowingBodyText hides an outline but leaves body text showing.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineHideShowingBodyText ()

See Also

OutlineBodyText


OutlineNumberDlg

Purpose

OutlineNumberDlg displays the Set Paragraph Number dialog box.

Syntax

OutlineNumberDlg ()


Route...

Tools, Outline, Options button, Set Number.


OutlineOff

Purpose

OutlineOff closes the Outline feature bar.

Syntax

OutlineOff ()


Route...

Tools, Outline, Close button.


OutlineParagraphCopy

Purpose

OutlineParagraphCopy copies an outline paragraph.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineParagraphCopy ()

See Also

OutlineParagraphMove

OutlineParagraphDelete

MoveModeEnd

OutlineParagraphSelect


OutlineParagraphDelete

Purpose

OutlineParagraphDelete deletes an outline paragraph.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineParagraphDelete ()

See Also

OutlineParagraphMove

OutlineParagraphCopy

MoveModeEnd

OutlineParagraphSelect


OutlineParagraphDemote

Purpose

OutlineParagraphDemote adjusts an outline paragraph to the next level.

Syntax

OutlineParagraphDemote ()

See Also

OutlineParagraphPromote

OutlineParagraphSelect


Route...

Tools, Outline, Left Arrow button.


OutlineParagraphDragDown

Purpose

OutlineParagraphDragDown positions an outline paragraph below the next paragraph and adjusts the numbering.

Syntax

OutlineParagraphDragDown ()

See Also

OutlineParagraphDragUp

OutlineParagraphSelect

OutlineFamilyDragDown


Route...

Tools, Outline, Down Arrow button.


OutlineParagraphDragUp

Purpose

OutlineParagraphDragUp positions an outline paragraph above the previous paragraph and adjusts the numbering.

Syntax

OutlineParagraphDragUp ()

See Also

OutlineParagraphDragDown

OutlineParagraphSelect


Route...

Tools, Outline, Up Arrow button.


OutlineParagraphMove

Purpose

OutlineParagraphMove moves an outline paragraph.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineParagraphMove ()

See Also

OutlineParagraphCopy

OutlineParagraphDelete

MoveModeEnd

OutlineParagraphSelect


OutlineParagraphNumber

Purpose

OutlineParagraphNumber specifies an outline paragraph level.  If the Level parameter is not specified, the current number is inserted.

Syntax

OutlineParagraphNumber (Level: Numeric Expression)

Parameters

Level: Numeric Expression

Specifies an outline paragraph level.  Values range from 1 to 8.


Route...

Tools, Outline, Options button, Set Number, select option.


For Example...

To adjust an outline paragraph to level 3, the command is:

OutlineParagraphNumber

(

Level: 3

)


OutlineParagraphPromote

Purpose

OutlineParagraphPromote adjusts an outline paragraph to the previous level.

Syntax

OutlineParagraphPromote ()

See Also

OutlineParagraphDemote

OutlineParagraphSelect


Route...

Tools, Outline, Right Arrow button.


OutlineParagraphSelect

Purpose

OutlineParagraphSelect selects an outline paragraph.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineParagraphSelect ()

See Also

OutlineFamilySelect


OutlineRight

Purpose

OutlineRight blocks the next outline family, with Select Mode on in Outline Mode.  When repeated, the command unblocks the family and, with each repetition, blocks successive outline paragraphs until reaching the next family.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineRight ()

See Also

OutlineUp


OutlineSetParagraphNumber

Purpose

OutlineSetParagraphNumber sets the number for an outline paragraph.

Syntax

OutlineSetParagraphNumber (WordString: Character Expression)

Parameters

WordString: Character Expression

Specifies an outline paragraph setting number.


Route...

Tools, Outline, Outline Options, Set Paragraph Number, enter a number or character.


For Example...

To set an outline paragraph number as 5, the command is:

OutlineSetParagraphNumber

(

WordString: "5"

)


OutlineShow

Purpose

OutlineShow specifies the lowest outline level to show and whether to show body text.

Syntax

OutlineShow (Level: Numeric Expression; State: Numeric Equivalent or Enumerated Type)

Parameters

Level: Numeric Expression

Specifies the lowest outline level to show.  Values range from 1 to 8.

State: Numeric Equivalent or Enumerated Type

 	Determines whether to display outline body text.

0	ShowBodyText!

1	HideBodyText!

See Also

OutlineBodyText

OutlineHideShowingBodyText


Route...

Tools, Outline, select Show button (1-8 or all).


For Example...

To show outline levels 1 through 3 and hide the body text, the command is:

OutlineShow

(

Level: 3;

State: HideBodyText!

)


OutlineStyleCopy

Purpose

OutlineStyleCopy copies an outline style.

Syntax

OutlineStyleCopy (Style: Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type; Destination: Numeric Equivalent or Enumerated Type; NewName: Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a style to copy.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_20utlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Source: Numeric Equivalent or Enumerated Type

Specifies the source of a specified style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

Destination: Numeric Equivalent or Enumerated Type

Specifies a destination to copy a style to.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

NewName: Character Expression (optional)

Specifies a new style name.

See Also

OutlineStyleDelete

OutlineStyleRetrieve

OutlineStyleSave

OutlineStyleSelect


Route...

Tools, Outline, Options button, Define Outline, select an outline, Options button, Copy, select option.


For Example...

To copy NormalStyle! from the current document to a personal library, the command is:

OutlineStyleCopy

(

Style: NormalStyle!;

Source: CurrentDoc!;

Destination: PersonalLibrary!

)


OutlineStyleCreate

Purpose

OutlineStyleCreate creates, names, and saves an outline style.

Syntax

OutlineStyleCreate (Style: Character Expression; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Character Expression

Specifies a new outline style.

Library: Numeric Equivalent or Enumerated Type (Optional)

Specifies the library of a new outline style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineBeginNew

OutlineStyleEditEnd

OutlineStyleDelete


Route...

Tools, Outline, Options button, Define Outline, Create.


For Example...

To create an outline style named My Style and save it in a shared library, the command is:

OutlineStyleCreate

(

Style: "My Style";

Library: Shared Library!

)


OutlineStyleDelete

Purpose

OutlineStyleDelete deletes an outline style.

Syntax

OutlineStyleDelete (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a style to delete.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_20utlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Library: Numeric Equivalent or Enumerated Type

Specifies where to delete an outline style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineStyleCopy

OutlineStyleRetrieve

OutlineStyleSave

OutlineStyleSelect


Route...

Tools, Outline, Options button, select an outline style, options button, Delete.


For Example...

To delete Newstyle from the current document, the command is:

OutlineStyleDelete

(

Style: "Newstyle";

Library: CurrentDoc!

)


OutlineStyleDescription

Purpose

OutlineStyleDescription describes an outline style.

Syntax

OutlineStyleDescription (Description: Character Expression)

Parameters

Description: Character Expression

Specifies a description for an outline style.

See Also

OutlineStyleEditBegin

OutlineStyleEditEnd


Route...

Tools, Outline, Options button, Define Outline, select an outline, Edit, Description, type description.


For Example...

To describe an outline style as Table of Contents Format, the command is:

OutlineStyleDescription

(

Description: "Table of Contents Format"

)


OutlineStyleEditBegin

Purpose

OutlineStyleEditBegin is the opening command of an OutlineStyleEditBegin-OutlineStyleEditEnd statement.

Syntax

OutlineStyleEditBegin (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies an outline style to edit.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Library: Numeric Equivalent or Enumerated Type

Specifies the library of an outline style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineStyleEditEnd


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit.


For Example...

To edit an outline style named Bullets in the current document, the command is:

OutlineStyleEditBegin

(

Style: BulletsOutInStyle!;

Library: CurrentDoc!

)


OutlineStyleEditEnd

Purpose

OutlineStyleEditEnd is the closing command of an OutlineStyleEditBegin-OutlineStyleEditEnd statement.

Syntax

OutlineStyleEditEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to save outline style changes.

0	Cancel!

1	Save!

See Also

OutlineStyleEditBegin


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit.


For Example...

To save outline style changes, the command is:

OutlineStyleEditEnd

(

State: Save!

)


OutlineStyleLevel

Purpose

OutlineStyleLevel specifies an outline level and a style for that level.

Syntax

OutlineStyleLevel (Level: Numeric Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

Level: Numeric Expression

Specifies an outline level. Values range from 1 to 8.

Style: Numeric Equivalent or Enumerated Type

Specifies an outline style for a selected level.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit, select a level, select an Associated Style.


For Example...

To apply a style named Heading 1 to outline level 3, the command is:

OutlineStyleLevel

(

Level: 3;

Style: Heading1Style!

)


OutlineStyleNumberFormat

Purpose

OutlineStyleNumberFormat specifies the numbering format for each level of a selected outline style.

Syntax

OutlineStyleNumberFormat (Level: Numeric Expression; Format: Character Expression)

Parameters

Level: Numeric Expression

Specifies an outline level. Values range from 1 to 8.

Format: Character Expression

Specifies the numbering format for each outline level.  Select a system format or enter a character expression specifying the format.

See Also

OutlineStyleNumbersOnly


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit, select a level, Custom Number, enter or choose a number format from the pop-up palette.


For Example...

To specify paragraph numbering style for level 1, the command is:

OutlineStyleNumberFormat

(

Level: 1;

Format: "1."

)


OutlineStyleNumbersOnly

Purpose

OutlineStyleNumbersOnly specifies whether to apply the numbers only format to a selected outline.

Syntax

OutlineStyleNumbersOnly (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to define level styles or use the numbers only format.

0	No!

1	Yes!

See Also

OutlineStyleNumberFormat

OutlineStyleEditBegin

OutlineStyleEditEnd


Route...

Tools, Outline, Options button, Define Outline, select a style, Edit, Options, Numbers Only.


For Example...

To specify the numbers only format, the command is:

OutlineStyleNumbersOnly

(

State: Yes!

)


OutlineStyleRename

Purpose

OutlineStyleRename renames a user-created outline style.

Syntax

OutlineStyleRename (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a new name for a user-created outline style.

See Also

OutlineStyleEditBegin

OutlineStyleEditEnd


Route...

Tools, Outline, Options button, Define Outline, select a user-defined style, Edit, Name, type new name.


For Example...

After selecting a user-created outline style, to rename the style My Style, the command is:

OutlineStyleRename

(

Name: "My Style"

)


OutlineStyleRetrieve

Purpose

OutlineStyleRetrieve retrieves outline styles from the current document or a specified file.

Syntax

OutlineStyleRetrieve (Filename: Character Expression; Type: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file to retrieve outline styles from.

Type: Numeric Equivalent or Enumerated Type

Specifies which outline styles to retrieve.

1	UserStyles!

2	SystemStyles!

3	AllStyles!

Library: Numeric Equivalent or Enumerated Type

Specifies where to retrieve outline styles.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineStyleCopy

OutlineStyleDelete

OutlineStyleSave

OutlineStyleSelect


Route...

Tools, Outline, Options button, select an outline style, options button, Retrieve, type a filename.


For Example...

To retrieve outline styles from the file Mystyle into the current document, the command is:

OutlineStyleRetrieve

(

Filename: "Mystyle";

Type: AllStyles!;

Library: CurrentDoc!

)


OutlineStyleSave

Purpose

OutlineStyleSave saves an outline style.

Syntax

OutlineStyleSave (Filename: Character Expression; Type: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies a filename to save outline styles to.

Type: Numeric Equivalent or Enumerated Type

Specifies which styles to save.

1	UserStyles!

2	SystemStyles!

3	AllStyles!

Library: Numeric Equivalent or Enumerated Type

Specifies where to get the outline styles to save.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

OutlineStyleCopy

OutlineStyleDelete

OutlineStyleRetrieve

OutlineStyleSelect


Route...

Tools, Outline, Options button, select an outline style, Options button, Save As, enter a filename.


For Example...

To save all outline styles in the current document to the filename Newstyle.wpt, the command is:

OutlineStyleSave

(

Filename: "Newstyle.wpt";

Type: AllStyles!;

Library: CurrentDoc!

)


OutlineStyleSelect

Purpose

OutlineStyleSelect selects a specified outline style.

Syntax

OutlineStyleSelect (Style: Character Expression)

Parameters

Style: Character Expression

Specifies a style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_20utlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

OutlineStyleCopy

OutlineStyleDelete

OutlineStyleRetrieve

OutlineStyleSave


Route...

Tools, Outline, Options button, Define Outline, select style.


For Example...

To select HeadingsOutlnStyle!, the command is:

OutlineStyleSelect

(

Style: HeadingsOutlnStyle!

)


OutlineUp

Purpose

OutlineUp blocks the previous outline paragraph.  After blocking each paragraph of an outline family, OutlineUp blocks the entire family.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

OutlineUp ()

See Also

OutlineDown


OutputOption

Purpose

OutputOption specifies a printer output type.

Syntax

OutputOption (OutputType: Numeric Equivalent or Enumerated Type; BinsToMark: Numeric Expression)

Parameters

OutputType: Numeric Equivalent or Enumerated Type

Specifies the type of output from a printer.

1	OutputToSort!

2	OutputToPutGroup!

16	OutputToBins!

64	OutputPutNone!

BinsToMark: Numeric Expression (Optional)

Specifies output bins to mark.

See Also

OutputOptionsSetOffsetJogger


Route...

File, Print, Options, select options.


For Example...

To sort output into bins 1 and 2, the command is:

OutputOption

(

OutputType: OutputToSort!;

BinsToMark: 1, 2

)


OutputOptionsSetOffsetJogger

Purpose

OutputOptionsSetOffsetJogger determines whether the Offset Jogger option is selected in the Output Bin Options dialog box.

Syntax

OutputOptionsSetOffsetJogger (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Offset Jogger is active.

8	JoggerOn!

10	JoggerOff!


Route...

File, Print, Options, Output Bin Options, select option.


For Example...

To activate the Offset Jogger option, the command is:

OutputOptionsSetOffsetJogger

(

State: JoggerOn!

)


OverstrikeCreate

Purpose

OverstrikeCreate creates an overstrike.

Syntax

OverstrikeCreate (OvrStrkStrg: Character Expression)

Parameters

OvrStrkStrg: Character Expression

Specifies two or more characters to create an overstrike character.

See Also

OverstrikeCreateDlg

OverstrikeEdit

?Overstrike


Route...

Layout, Typesetting, Overstrike, enter overstrike character(s).


For Example...

To overstrike characters = and \, the command is:

OverstrikeCreate

(

Name: "=\"

)


OverstrikeCreateDlg

Purpose

OverstrikeCreateDlg displays the Delete Overstrike dialog box.

Syntax

OverstrikeCreateDlg ()

See Also

OverstrikeCreate

OverstrikeEdit


Route...

Layout, Typesetting, Overstrike.


OverstrikeEdit

Purpose

OverstrikeEdit edits the first overstrike to the right of the insertion point.  The edited overstrike is replaced by the text in the Characters parameter.

Syntax

OverstrikeEdit (OvrStrkStrg: Character Expression)

Parameters

OvrStrkStrg: Character Expression

Specifies new overstrike characters.

See Also

OverstrikeCreate

OverstrikeCreateDlg


Route...

Layout, Typesetting, Overstrike, Next, modify overstrike characters.


For Example...

To replace an existing overstrike with characters x, y, and z, the command is:

OverstrikeEdit

(

OvrStrkStrg: "xyz"

)


PageBorderDlg

Purpose

PageBorderDlg displays the Page Border dialog box.

Syntax

PageBorderDlg ()

See Also

?PageBorder


Route...

Layout, Page, Border/Fill.


PageNumber

Purpose

PageNumber specifies a new page number on the current page.

Syntax

PageNumber (Page: Numeric Expression)

Parameters

Page: Numeric Expression

Specifies a new number for the current page.


Route...

Layout, Page, Numbering, Value, New Page Number, specify number.


For Example...

To change the page number of a page to 5, the command is:

PageNumber

(

Page: 5

)


PageNumberDecrement

Purpose

PageNumberDecrement decreases the current page number by one.

Syntax

PageNumberDecrement ()

See Also

PageNumberIncrement


Route...

Layout, Page, Numbering, Value, Increase/Decrease Existing Page Number, specify negative number.


PageNumberDisplay

Purpose

PageNumberDisplay displays a page number in the current document window.

Syntax

PageNumberDisplay ()


Route...

Layout, Page, Numbering, Value, Page Settings, Insert and Display at Insertion Point.


PageNumberDisplayFormat

Purpose

PageNumberDisplayFormat displays a formatted page number in the current document window.

Syntax

PageNumberDisplayFormat ()

See Also

PageNumberFormat


Route...

Layout, Page, Numbering, Options, Insert Format and Accompanying Text at Insertion Point.


PageNumberFormat

Purpose

PageNumberFormat specifies a page number format including text, volume or chapter numbers, or secondary page numbers.

Syntax

PageNumberFormat (Format: Character Expression)

Parameters

Format: Character Expression

Specifies a page number format.

See Also

PageNumberDisplayFormat


Route...

Layout, Page, Numbering, Options button, specify page number format.


For Example...

To format page numbers as Page n (n being the number), the command is:

PageNumberFormat

(

Format: "Page [page #]"

)


PageNumberIncrement

Purpose

PageNumberIncrement increases the current page number by one.

Syntax

PageNumberIncrement ()

See Also

PageNumberDecrement


Route...

Layout, Page, Numbering, Value, Increase/Decrease Existing Page Number, specify positive number.


PageNumberingDlg

Purpose

PageNumberingDlg displays the Page Numbering dialog box.

Syntax

PageNumberingDlg ()


Route...

Layout, Page, Numbering.


PageNumberMethod

Purpose

PageNumberMethod specifies a page numbering method.

Syntax

PageNumberMethod (Method: Numeric Equivalent or Enumerated Type)

Parameters

Method: Numeric Equivalent or Enumerated Type

Specifies a page numbering method.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

?PageNumberMethod

?ParagraphNumberMethod


Route...

Layout, Page, Numbering, Options button, select option from Page list box.


For Example...

To specify upper-case roman numerals as the page numbering method, the command is:

PageNumberMethod

(

Method: UpperRoman!

)


PageNumberPosition

Purpose

PageNumberPosition specifies the position and appearance of page numbering.

Syntax

PageNumberPosition (Position: Numeric Equivalent or Enumerated Type; Default: Numeric Equivalent or Enumerated Type; Font: Character Expression; FontSize: Numeric Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression; Attributes: Numeric Equivalent or Enumerated Type)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies where a page number prints.

0	None!

1	TopLeft!

2	TopCenter!

3	TopRight!

4	TopAlternating!

5	BottomLeft!

6	BottomCenter!

7	BottomRight!

8	BottomAlternating!

Default: Numeric Equivalent or Enumerated Type

Determines whether the page numbering font uses the initial document font.

0	UseDefaultValues!

1	DontUseDefaultValues!

Font: Character Expression

Specifies a page numbering font. Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

FontSize: Measurement Expression

Specifies the point size of the page numbering font.  Use this parameter if the Default parameter is set to DontUseDefaultValues! or 1.

Red: Numeric Expression

Specifies the amount of red in a color.  Values range from 0 to 255.  Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

Green: Numeric Expression

Specifies the amount of green in a color.  Values range from 0 to 255.  Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

Blue: Numeric Expression

Specifies the amount of blue in a color.  Values range from 0 to 255.  Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

Shade: Numeric Expression

Specifies the shading percentage of a color.  Values range from 0 to 100. Use this parameter only if the Default parameter is set to DontUseDefaultValues! or 1.

Attributes: Numeric Equivalent or Enumerated Type

Specifies font attributes and relative size.  This parameter is placed in French brackets {} because you may choose more than one attribute.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

?PageNumberPosition


Route...

Layout, Page, Numbering, select option from Position pop-up list, Font, select options.


For Example...

To position page numbers at the bottom center of each page using a small, italicized, bold font, the command is:

PageNumberPosition

(

Position: BottomCenter!;

Default: DontUseDefaultValues!;

Font: "Courier";

FontSize: 12;

Red: 0;

Green: 0;

Blue: 255;

Shade: 0;

Attributes: {Small!; Italics!; Bold!}

)


PageSuppressDlg

Purpose

PageSuppressDlg displays the Suppress dialog box.

Syntax

PageSuppressDlg ()

See Also

?PageSupress


Route...

Layout, Page, Suppress.


PaneNext

Purpose

PaneNext moves focus to the next pane in the equation editor.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

PaneNext ()


PanePrevious

Purpose

PanePrevious moves focus to the previous pane in the equation editor.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

PanePrevious ()


PaperSizeAdd

Purpose

PaperSizeAdd creates a Paper Size/Type definition for the Paper Size dialog box.

Syntax

PaperSizeAdd (Name: Character Expression; Width: Measurement Expression; Length: Measurement Expression; WidthAdjust: Measurement Expression; LengthAdjust: Measurement Expression; Flags: Numeric Equivalent or Enumerated Type; Location: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; Use: Numeric Equivalent or Enumerated Type; ReturnAddressHoriz: Numeric Expression; ReturnAddressVert: Numeric Expression; MailingAddressHoriz: Numeric Expression; MailingAddressVert: Numeric Expression)

Parameters

Name: Character Expression

Specifies a paper type name if the Type parameter is Other!.

Width: Measurement Expression

Specifies page width.

Length: Measurement Expression

Specifies page length.

WidthAdjust: Measurement Expression

Adjusts page contents left or right by assigning a positive or negative value to this parameter.

LengthAdjust: Measurement Expression

Adjust page contents to up or down by assigning a positive or negative value to this parameter.

Flags: Numeric Equivalent or Enumerated Type

Specifies orientation.

1	Portrait!

2	Landscape!

4	PrimaryForm!

8	FormCurrentlyLoaded!

9	PortraitLoaded!

10	LandscapeLoaded!

13	PortraitPrimaryLoaded!

14	LandscapePrimaryLoaded!

Location: Numeric Equivalent or Enumerated Type

Specifies how paper is fed to a printer.

0	Continuous!

32	Manual!

Type: Numeric Equivalent or Enumerated Type

Specifies a paper type.

0	AllOthers!

1	Standard!

2	Bond!

3	Letterhead!

4	Labels!

5	Envelope!

6	Transparency!

7	Cardstock!

8	Glossy!

9	ClayBased!

255	Other!

Use: Numeric Equivalent or Enumerated Type

0	None!

1	US!

2	Europe!

4	Latin_America!

8	Japan!

ReturnAddressHoriz: Numeric Expression

Specifies the return address horizontal position if the Type parameter is Envelope!.

ReturnAddressVert: Numeric Expression

Specifies the return address vertical position if the Type parameter is Envelope!.

MailingAddressHoriz: Numeric Expression

Specifies the mailing address horizontal position if the Type parameter is Envelope!.

MailingAddressVert: Numeric Expression

Specifies the mailing address vertical position if the Type parameter is Envelope!.

See Also

PaperSizeDelete

PaperSizeResave

?PaperSizeType


Route...

Layout, Page, PaperSize, Create.


For Example...

To delete a paper size/type named New Size, the command is:

PaperSizeAdd

(

Name: "New Size";

Width: 8.5";

Length: 11";

WidthAdjust: .25";

LengthAdjust: .2";

Flags: Portrait!;

Location: Continuous!;

Type: Standard!;

Use: None!;

ReturnAddressHoriz: 0.0";

ReturnAddressVert: 0.0";

MailingAddressHoriz: 0.0";

MailingAddressVert: 0.0"

)


PaperSizeDelete

Purpose

PaperSizeDelete removes a specified Paper Size/Type definition.

Syntax

PaperSizeDelete (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a paper size to delete.

See Also

PaperSizeAdd

PaperSizeDlg


Route...

Layout, Page, Paper Size, select definition, Delete.


For Example...

To delete a paper size, the command is:

PaperSizeDelete

(

Name: "NEWSIZE"

)


PaperSizeDlg

Purpose

PaperSizeDlg displays the Paper Size dialog box.

Syntax

PaperSizeDlg ()

See Also

PaperSizeAdd

PaperSizeDelete

?PaperSizeType


Route...

Layout, Page, Paper Size.


PaperSizeResave

Purpose

PaperSizeResave resaves a Paper Size/Type definition for the Paper Size dialog box.

Syntax

PaperSizeResave (OldName: Character Expression; NewName: Character Expression; Width: Measurement Expression; Length: Measurement Expression; WidthAdjust: Measurement Expression; LengthAdjust: Measurement Expression; Flags: Numeric Equivalent or Enumerated Type; Location: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; Use: Numeric Equivalent or Enumerated Type; ReturnAddressHoriz: Numeric Expression; ReturnAddressVert: Numeric Expression; MailingAddressHoriz: Numeric Expression; MailingAddressVert: Numeric Expression)

Parameters

OldName: Character Expression

Specifies the old paper type name if the Type parameter is Other!.

NewName: Character Expression

Specifies the new paper type name if the Type parameter is Other!.

Width: Measurement Expression

Specifies page width.

Length: Measurement Expression

Specifies page length.

WidthAdjust: Measurement Expression

Adjusts page contents left or right by assigning a positive or negative value to this parameter.

LengthAdjust: Measurement Expression

Adjust page contents to up or down by assigning a positive or negative value to this parameter.

Flags: Numeric Equivalent or Enumerated Type

Specifies orientation.

1	Portrait!

2	Landscape!

4	PrimaryForm!

8	FormCurrentlyLoaded!

9	PortraitLoaded!

10	LandscapeLoaded!

13	PortraitPrimaryLoaded!

14	LandscapePrimaryLoaded!

Location: Numeric Equivalent or Enumerated Type

Specifies how paper is fed to a printer.

0	Continuous!

32	Manual!

Type: Numeric Equivalent or Enumerated Type

Specifies a paper type.

0	AllOthers!

1	Standard!

2	Bond!

3	Letterhead!

4	Labels!

5	Envelope!

6	Transparency!

7	Cardstock!

8	Glossy!

9	ClayBased!

255	Other!

Use: Numeric Equivalent or Enumerated Type

0	None!

1	US!

2	Europe!

4	Latin_America!

8	Japan!

ReturnAddressHoriz: Numeric Expression

Specifies the return address horizontal position if the Type parameter is Envelope!.

ReturnAddressVert: Numeric Expression

Specifies the return address vertical position if the Type parameter is Envelope!.

MailingAddressHoriz: Numeric Expression

Specifies the mailing address horizontal position if the Type parameter is Envelope!.

MailingAddressVert: Numeric Expression

Specifies the mailing address vertical position if the Type parameter is Envelope!.

See Also

PaperSizeAdd

PaperSizeDelete


Route...

Layout, Page, PaperSize, select a paper size, Edit, specify changes.


For Example...

To resave a paper size, the command is:

PaperSizeResave

(

OldName: "Letter";

NewName: "Letter Special";

Width: 8.5";

Length: 11";

WidthAdjust: 0.0";

LengthAdjust: 0.0";

Flags: PortraitPrimaryLoaded!;

Location: Continuous!;

Type: Letterhead!;

Use: None!

ReturnAddressHoriz: 0.0";

ReturnAddressVert: 0.0";

MailingAddressHoriz: 0.0";

MailingAddressVert: 0.0"

)


ParagraphBorderDlg

Purpose

ParagraphBorderDlg displays the Paragraph Border dialog box.

Syntax

ParagraphBorderDlg ()

See Also

?ParagraphBorder


Route...

Layout, Paragraph, Border\Fill.


ParagraphFormatDlg

Purpose

ParagraphFormatDlg displays the Paragraph Format dialog box.

Syntax

ParagraphFormatDlg ()


Route...

Layout, Paragraph, Format.


ParagraphHangingIndent

Purpose

ParagraphHangingIndent aligns the first line of a paragraph with the left margin and indents the remaining lines to the next tab stop.

Syntax

ParagraphHangingIndent ()


Route...

Layout, Paragraph, Hanging Indent.


ParagraphNumberDefDlg

Purpose

ParagraphNumberDefDlg displays the Change Outline Level dialog box.

Syntax

ParagraphNumberDefDlg ()


Route...

Tools, Outline, Options button, Change Level.


ParagraphSpacing

Purpose

ParagraphSpacing specifies the spacing of a Hard Return [Hrt], or the spacing between paragraphs.  The default spacing is equal to the font point size plus 2 points.

Syntax

ParagraphSpacing (AmtSpc: Numeric Expression)

Parameters

AmtSpc: Numeric Expression

Specifies spacing between paragraphs.  The default is 1.0.

See Also

?SpacingBelowPar


Route...

Layout, Paragraph, Format, Spacing between Paragraphs, enter a number.


For Example...

To specify a spacing of 1.2 between paragraphs, the command is:

ParagraphSpacing

(

AmtSpc: AmtSpc: 1.2

)


PasteLink

Purpose

PasteLink inserts a linked object from the clipboard into the current document.

Syntax

PasteLink (FormatName: Character Expression; FormatId: Numeric Expression; LinkType: Numeric Equivalent or Enumerated Type)

Parameters

FormatName: Character Expression

FormatId: Numeric Expression

LinkType: Numeric Equivalent or Enumerated Type

1	DDE!

2	OLE!


Route...

Edit, Paste Special, Paste Link.


For Example...

To create a link with PaintBrush, the command is:

PasteLink

(

FormatName: "P";

FormatId: 50585;

LinkType: OLE!

)


PasteSpecial

Purpose

PasteSpecial specifies a format for copying clipboard contents into a document.

This command must be followed by EditPaste.

Syntax

PasteSpecial (PasteType: Numeric Equivalent or Enumerated Type)

Parameters

PasteType: Numeric Equivalent or Enumerated Type

0	OnlySelection!

1	OnlyText!

2	OnlyFunctions!

See Also

EditPaste


Route...

Edit, Paste Special, select an option from the Data Type list box, Paste.


For Example...

To paste clipboard contents when the clipboard contains unformatted text, the command is:

PasteSpecial

(

PasteType: OnlyText!

)

EditPaste

(

ClipboardFormat: "U";

FormatId: 1;

LinkType: DDE!

)	)


PauseKey

Purpose

PauseKey pauses a macro until a specified key or character is pressed.

Syntax

PauseKey (Key: Numeric Equivalent or Enumerated Type; Character: Character Expression)

Parameters

Key: Numeric Equivalent or Enumerated Type

Specifies a key that resumes macro execution when pressed.

0	Enter!

1	Cancel!

2	Close!

3	Character!

4	Any!

Character: Character Expression

Specifies a case-sensitive character that resumes macro execution when pressed.  The Key parameter must be Character!.


Route...

While recording a macro: Tools, Macro, Pause.


For Example...

To select Enter as the pause key to resume macro execution, the command is:

PauseKey

(

Key: Enter!

)


PosCharacter

Purpose

PosCharacter searches forward and positions the insertion point after a specified character.  This command is case sensitive.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

PosCharacter (CharToMoveTo: Character Expression)

Parameters

CharToMoveTo: Character Expression

Specifies a single search character.


For Example...

To position the insertion point after the first C to the right of the insertion point, the command is:

PosCharacter

(

CharToMoveTo: "C"

)


PosCharNext

Purpose

PosCharNext moves the insertion point one character to the right.

Syntax

PosCharNext ()


Route...

Press Right Arrow.


PosCharPrevious

Purpose

PosCharPrevious moves the insertion point one character to the left.

Syntax

PosCharPrevious ()


Route...

Press Left Arrow.


PosColBottom

Purpose

PosColBottom positions the insertion point at the beginning of the last line of a current column.  If the insertion point is not in columns, this command moves the insertion point to the beginning of the last line of the current page.

Syntax

PosColBottom ()


Route...

Edit, Go To, Bottom of Column.


PosColFirst

Purpose

PosColFirst positions the insertion point at the left margin.  If the insertion point is not in columns, this command moves the insertion point to the beginning of the current line.

Syntax

PosColFirst ()


Route...

Edit, Go To, First Column.


PosColLast

Purpose

PosColLast positions the insertion point in the last column of a current row.  If the insertion point is not in columns, this command positions the insertion point at the beginning of the current line.

Syntax

PosColLast ()


Route...

Edit, Go To, Last Column.


PosColNext

Purpose

PosColNext moves the insertion point one column to the right.  This command has no effect if the insertion point is not in columns.

Syntax

PosColNext ()


Route...

Edit, Go To, Next Column.


PosColPrevious

Purpose

PosColPrevious moves the insertion point one column to the left. If the insertion point is not in columns, this command has no effect.

Syntax

PosColPrevious ()


Route...

Edit, Go To, Previous Column.


PosColTop

Purpose

PosColTop positions the insertion point at the top of the current column.  If the insertion point is not in columns, this command positions the insertion point at the beginning of the previous line.

Syntax

PosColTop ()


Route...

Edit, Go To, Top of Column.


PosDocBottom

Purpose

PosDocBottom positions the insertion point at the end of the current document.

Syntax

PosDocBottom ()


Route...

Press Ctrl+End.


PosDocTop

Purpose

PosDocTop positions the insertion point at the beginning of document text.

Syntax

PosDocTop ()


Route...

Press Ctrl+Home.


PosDocVeryTop

Purpose

PosDocVeryTop positions the insertion point at the beginning of a document before codes.

Syntax

PosDocVeryTop ()


Route...

Press Ctrl+Home, Ctrl+Home.


PosGoPrevious

Purpose

PosGoPrevious positions the insertion point at the previous insertion point.

Syntax

PosGoPrevious ()


Route...

Edit, Go To, Last Position.


PosGoToDlg

Purpose

PosGoToDlg displays the Go To dialog box.

Syntax

PosGoToDlg ()


Route...

Edit, GoTo.


PosLineBeg

Purpose

PosLineBeg positions the insertion point at the beginning of the current line of text.

Syntax

PosLineBeg ()


Route...

Press Home.


PosLineDown

Purpose

PosLineDown moves the insertion point down one line.

Syntax

PosLineDown ()


Route...

Press Down Arrow.


PosLineEnd

Purpose

PosLineEnd positions the insertion point at the end of the current line of text.

Syntax

PosLineEnd ()


Route...

Press End.


PosLineUp

Purpose

PosLineUp moves the insertion point up one line.

Syntax

PosLineUp ()


Route...

Press Up Arrow.


PosLineVeryBeg

Purpose

PosLineVeryBeg positions the insertion point at the beginning of a line before codes.

Syntax

PosLineVeryBeg ()


Route...

Press Home, Home.


PosLineVeryEnd

Purpose

PosLineVeryEnd positions the insertion point at the end of a line after codes (with the exception of end of line codes).

Syntax

PosLineVeryEnd ()


Route...

Press End, End.


PosPage

Purpose

PosPage positions the insertion point on a specified page.

Syntax

PosPage (Volume: Numeric Equivalent or Enumerated Type; Chapter: Numeric Equivalent or Enumerated Type; Page: Numeric Expression; Direction: Numeric Equivalent or Enumerated Type)

Parameters

Volume: Numeric Equivalent or Enumerated Type

0	NoneSpecified!

Chapter: Numeric Equivalent or Enumerated Type

0	NoneSpecified!

Page: Numeric Expression

Specifies a page number.

Direction: Numeric Equivalent or Enumerated Type

Specifies a direction.

0	Down!

1	Up!


Route...

Edit, Go To, specify a page number.


For Example...

To position the insertion point at page 3 of chapter 2 in volume 1, the command is:

PosPage

(

Volume: 1;

Chapter: 2;

Page: 3;

Direction: Up!

)


PosPageBottom

Purpose

PosPageBottom positions the insertion point at the bottom of the current page.

Syntax

PosPageBottom ()


Route...

Edit, Go To, Bottom of Current Page.


PosPageNext

Purpose

PosPageNext positions the insertion point at the beginning of the next page. If the insertion point is on the last page of the document, this command positions the insertion point at the end of the page.

Syntax

PosPageNext ()


Route...

Press Alt+Page Down.


PosPagePrevious

Purpose

PosPagePrevious positions the insertion point at the beginning of the previous page.  If the insertion point is on the first page of the document, this command positions the insertion point at the top of that page.

Syntax

PosPagePrevious ()


Route...

Press Alt+Page Up.


PosPageTop

Purpose

PosPageTop positions the insertion point at the top of the current page.

Syntax

PosPageTop ()


Route...

Press Alt+Home.


PosParagraphNext

Purpose

PosParagraphNext positions the insertion point at the beginning of the next paragraph.

Syntax

PosParagraphNext ()

See Also

PosParagraphPrevious


Route...

Press Ctrl+Down Arrow.


PosParagraphPrevious

Purpose

PosParagraphPrevious positions the insertion point at the beginning of the current paragraph.  If the insertion point is at the beginning of a paragraph, this command positions the insertion point at the beginning of the previous paragraph.

Syntax

PosParagraphPrevious ()

See Also

PosParagraphNext


Route...

Press Ctrl+Up Arrow.


PosScreenDown

Purpose

PosScreenDown positions the insertion point at the bottom of the screen, then positions the insertion point down one screen at a time with each repetition of the command.

Syntax

PosScreenDown ()


Route...

Press Page Down.


PosScreenLeft

Purpose

PosScreenLeft positions the insertion point at the left edge of the screen, then positions the insertion point to the left one screen at a time with each repetition of the command.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

PosScreenLeft ()

See Also

SelectScreenLeft


PosScreenRight

Purpose

PosScreenRight positions the insertion point at the right edge of the screen, then positions the insertion point to the right one screen at a time with each repetition of the command.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

PosScreenRight ()

See Also

SelectScreenRight


PosScreenUp

Purpose

PosScreenUp positions the insertion point at the top of the screen, then positions the insertion point up one screen at a time with each repetition of the command.

Syntax

PosScreenUp ()


Route...

Press Page Up.


PosSelectBottom

Purpose

PosSelectBottom positions the insertion point at the end (bottom) of the selected text.

Syntax

PosSelectBottom ()


Route...

Edit, Go To, End of Selection.


PosSelectTop

Purpose

PosSelectTop positions the insertion point at the beginning of the selected text.

Syntax

PosSelectTop ()


Route...

Edit, Go To, Beginning of Selection.


PosTableBegin

Purpose

PosTableBegin positions the insertion point in the first cell of a table.

If the insertion point is not in a table, this command terminates the macro or redirects its execution to the LABEL specified by ONERROR.

Syntax

PosTableBegin ()

See Also

PosTableEnd


Route...

Edit, Go To, Position, First Cell.


PosTableBlockBeg

Purpose

PosTableBlockBeg positions the insertion point in the first cell of a table.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableBlockBeg ()


Route...

Edit, Go To, Position, Beginning of Selection.


PosTableCell

Purpose

PosTableCell positions the insertion point in the cell specified in the Cell parameter.

Syntax

PosTableCell (Cell: Character Expression)

Parameters

Cell: Character Expression

Specifies a table and table cell in which to position the insertion point.


Route...

Edit, Go To, Table, specify a table, Cell/Range, specify a cell.


For Example...

To position the insertion point in cell B3, the command is:

PosTableCell

(

Cell: "Table A.B3"

)


PosTableCellBottom

Purpose

PosTableCellBottom positions the insertion point at the beginning of the last line in a table cell.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableCellBottom ()


Route...

Edit, Go To, Position, select Bottom of Cell.


PosTableCellDown

Purpose

PosTableCellDown moves the insertion point down one cell in a table.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableCellDown ()


Route...

Edit, Go To, Position, Next Row.


PosTableCellNext

Purpose

PosTableCellNext positions the insertion point one cell to the right.

If the insertion point is in the far-right cell, the insertion point moves to the first cell in the next row.  If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableCellNext ()


Route...

Edit, Go To, Position, Next Column.


PosTableCellPrevious

Purpose

PosTableCellPrevious positions the insertion point one cell to the left.

If the insertion point is in the left-most cell, the insertion point moves to the last cell on the previous row.  If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableCellPrevious ()


Route...

Edit, Go To, Position, Previous Column.


PosTableCellTop

Purpose

PosTableCellTop positions the insertion point at the top of the current table cell.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableCellTop ()


Route...

Edit, Go To, Position, Top of Cell.


PosTableCellUp

Purpose

PosTableCellUp positions the insertion point up one table cell.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableCellUp ()


Route...

Edit, Go To, Position, Previous Row.


PosTableColBottom

Purpose

PosTableColBottom positions the insertion point at the bottom of the current column.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableColBottom ()


Route...

Edit, Go To, Position, Bottom of Column


PosTableColumnTop

Purpose

PosTableColumnTop positions the insertion point at the top of the current column.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableColumnTop ()


Route...

Edit, Go To, Position, Top of Column.


PosTableEnd

Purpose

PosTableEnd positions the insertion point in the last cell of the current table.

Syntax

PosTableEnd ()

See Also

PosTableBegin

PosTableRowBegin

PosTableRowEnd


Route...

Layout, Go To, Position, Last Cell.


PosTableGoPrevious

Purpose

PosTableGoPrevious returns the insertion point to its previous position in a table.

This command is not recordable.  To use this command, you must type it into the macro.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableGoPrevious ()


PosTableRowBegin

Purpose

PosTableRowBegin positions the insertion point in the first cell of a current row.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableRowBegin ()

See Also

PosTableEnd


Route...

Edit, Go To, Position, First Column.


PosTableRowEnd

Purpose

PosTableRowEnd positions the insertion point in the last cell of the current row.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableRowEnd ()

See Also

PosTableEnd


Route...

Edit, Go To, Position, Last Column.


PosTableTopCellNext

Purpose

PosTableTopCellNext moves the insertion point one cell to the right.

If the insertion point is in the last cell of a table, this command creates a new table row at the bottom of the table.  If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableTopCellNext ()


Route...

Press Tab while the insertion point is in a Table.


PosTableTopCellPrevious

Purpose

PosTableTopCellPrevious positions the insertion point one cell to the left.

If the insertion point is not in a Table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PosTableTopCellPrevious ()


Route...

Press Shift+Tab while the insertion point is in a Table.


PosWordNext

Purpose

PosWordNext positions the insertion point at the beginning of the next word.

Syntax

PosWordNext ()


Route...

Press Ctrl+Right Arrow.


PosWordPrevious

Purpose

PosWordPrevious positions the insertion point at the beginning of the previous word.

Syntax

PosWordPrevious ()


Route...

Press Ctrl+Left Arrow.


PrefBeep

Purpose

PrefBeep specifies when WordPerfect beeps.

Syntax

PrefBeep (Error: Numeric Equivalent or Enumerated Type; Hyphenation: Numeric Equivalent or Enumerated Type; SearchFailure: Numeric Equivalent or Enumerated Type)

Parameters

Error: Numeric Equivalent or Enumerated Type

Determines whether a beep occurs on errors.

0	Off!

1	On!

Hyphenation: Numeric Equivalent or Enumerated Type

Determines whether a beep occurs when the user is required to position a hyphen.

0	Off!

1	On!

SearchFailure: Numeric Equivalent or Enumerated Type

Determines whether a beep occurs when a search fails.

0	Off!

1	On!

See Also

PrefEnvSettingsDlg

PrefSave


Route...

File, Preferences, Environment, select options in the Beep On group box.


For Example...

To set beep options, the command is:

PrefBeep

(

Error: On!;

Hyphenation: On!;

SearchFailure: Off!

)


PrefButtonBar

Purpose

PrefButtonBar displays the Button Bar Preferences dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefButtonBar ()


Route...

File, Preferences, Button Bar icon.


PrefDisplayDlg

Purpose

PrefDisplayDlg displays the Display Preferences dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefDisplayDlg ()


Route...

File, Preferences, Display icon.


PrefDisplaySet

Purpose

PrefDisplaySet changes the way features display.

Syntax

PrefDisplaySet (DefaultView: Numeric Equivalent or Enumerated Type; ShowTableGridLines: Numeric Equivalent or Enumerated Type; ShowComments: Numeric Equivalent or Enumerated Type; ShowGraphics: Numeric Equivalent or Enumerated Type; TextInSystemColors: Numeric Equivalent or Enumerated Type; ShowHiddenText: Numeric Equivalent or Enumerated Type; SculpturedDialogs: Numeric Equivalent or Enumerated Type; VerticalScrollBar: Numeric Equivalent or Enumerated Type; HorizontalScrollBar: Numeric Equivalent or Enumerated Type)

Parameters

DefaultView: Numeric Equivalent or Enumerated Type (optional)

Specifies a default view.

0	ViewDraft!

1	ViewPage!

2	ViewTwoPage!

ShowTableGridLines: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display table grid lines.

0	No!

1	Yes!

ShowComments: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display comments.

0	No!

1	Yes!

ShowGraphics: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display graphics.

0	No!

1	Yes!

TextInSystemColors: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display text with system colors.

0	No!

1	Yes!

ShowHiddenText: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display hidden text.

0	No!

1	Yes!

SculpturedDialogs: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display sculptured dialog boxes.

0	No!

1	Yes!

VerticalScrollBar: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display the vertical scroll bar.

0	No!

1	Yes!

HorizontalScrollBar: Numeric Equivalent or Enumerated Type (optional)

Specifies how to display the horizontal scroll bar.

0	Hide!

1	Show!

2	WhenRequired!


Route...

File, Preferences, View Zoom, select a Default View, Document, select options.


For Example...

To set display options, the command is:

PrefDisplaySet

(

DefaultView: ViewPage!;

ShowTableGridLines: No!;

ShowComments: No!;

ShowGraphics: No!;

TextInSystemColors: Yes!;

ShowHiddenText: No!;

SculpturedDialogs: Yes!;

VerticalScrollBar: No!;

HorizontalScrollBar: Show!

)


PrefDocSummary

Purpose

PrefDocSummary specifies a subject search text and default description type for a document.

Syntax

PrefDocSummary (SubjectSearchText: Character Expression; DefaultDescriptiveType: Character Expression; CreateOnExit: Numeric Equivalent or Enumerated Type)

Parameters

SubjectSearchText: Character Expression

Specifies text that precedes a document's the subject line.

DefaultDescriptiveType: Character Expression

Specifies text that automatically appears in the Descriptive Type entry every time you create a document summary.

CreateOnExit: Numeric Equivalent or Enumerated Type

Determines whether a document summary is created when documents are saved or closed.

0	No!

1	Yes!

See Also

PrefDocSummaryDlg

PrefSave


Route...

File, Preferences, Summary, select options.


For Example...

To create Document Summary subject search text and a default description, the command is:

PrefDocSummary

(

SubjectSearchText: "Research Paper";

DefaultDescriptiveType: "WordPerfect 6.0";

CreateOnExit: Yes!

)


PrefDocSummaryDlg

Purpose

PrefDocSummaryDlg displays the Document Summary Preferences dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefDocSummaryDlg ()

See Also

PrefDocSummary


Route...

File, Preferences, Summary.


PrefEnvironment

Purpose

PrefEnvironment specifies the default environment settings.

Syntax

PrefEnvironment (UserName: Character Expression; UserInitials: Character Expression; UserColorRed: Numeric Expression; UserColorGreen: Numeric Expression; UserColorBlue: Numeric Expression; ConfirmCodeDeletion: Numeric Equivalent or Enumerated Type; ConfirmTableFormulaDeletion: Numeric Equivalent or Enumerated Type; SetQuickMarkOnSave: Numeric Equivalent or Enumerated Type; ActivateHypertext:  Numeric Equivalent or Enumerated Type; FormatForDefaultPrinter:  Numeric Equivalent or Enumerated Type; SaveWorkSpace:  Numeric Equivalent or Enumerated Type)

Parameters

UserName: Character Expression (optional)

Specifies a user name.

UserInitials: Character Expression (optional)

Specifies a user ID.

UserColorRed: Numeric Expression (optional)

Specifies the amount of red in a user color. Values range from 0 to 255.

UserColorGreen: Numeric Expression (optional)

Specifies the amount of green in a user color. Values range from 0 to 255.

UserColorBlue: Numeric Expression (optional)

Specifies the amount of blue in a user color. Values range from 0 to 255.

ConfirmCodeDeletion: Numeric Equivalent or Enumerated Type (optional)

Determines whether to confirm code deletion.

0	No!

1	Yes!

ConfirmTableFormulaDeletion: Numeric Equivalent or Enumerated Type (optional)

Determines whether to confirm table formula deletion.

0	No!

1	Yes!

SetQuickMarkOnSave: Numeric Equivalent or Enumerated Type (optional)

Determines whether to set a quickmark when saving a document.

0	No!

1	Yes!

ActivateHypertext: Numeric Equivalent or Enumerated Type (optional)

Determines whether to activate Fast Save.

0	Off!

1	On!

FormatForDefaultPrinter: Numeric Equivalent or Enumerated Type (optional)

Determines whether to format documents for the default printer on retrieval.

0	No!

1	Yes!

SaveWorkSpace: Numeric Equivalent or Enumerated Type (optional)

Specifies whether to save the current WorkSpace on exit.

0	Always!

1	Never!

2	PromptOnExit!


Route...

File, Preferences, Environment icon, select options.


For Example...

To set environment settings, the command is:

PrefEnvironment

(

UserName: "John Doe";

UserInitials: "JZD";

UserColorRed: 255;

UserColorGreen: 0;

UserColorBlue: 0;

ConfirmCodeDeletion: Yes!;

ConfirmFormulaDeletion: No!;

SetQuickMarkOnSave: No!;

ActivateHypertext: Off!;

FormatForDefaultPrinter: Yes!;

SaveWorkSpace: PromptOnExit!

)


PrefEnvSettingsDlg

Purpose

PrefEnvSettingsDlg displays the Environment Preferences dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefEnvSettingsDlg ()


Route...

File, Preferences, Environment.


PrefHyphenation

Purpose

PrefHyphenation determines whether Hyphenation is on, and how it performs.

Syntax

PrefHyphenation (Prompt: Numeric Equivalent or Enumerated Type)

Parameters

Prompt: Numeric Equivalent or Enumerated Type

Specifies if and when to prompt for hyphen placement.

0	Always!

1	Never!

2	WhenRequired!

See Also

PrefEnvSettingsDlg

PrefSave


Route...

File, Preferences, Environment, select a Hyphenation Prompt.


For Example...

To set Hyphenation options, the command is:

PrefHyphenation

(

Prompt: Always!

)


PrefImportDlg

Purpose

PrefImportDlg displays the Import Preferences dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefImportDlg ()


Route...

File, Preferences, Import icon.


PrefImportOptions

Purpose

PrefImportOptions specifies merge delimiters.

Syntax

PrefImportOptions (FieldDelimiters: Character Expression; RecordDelimiters: Character Expression; StripCharacter: Character Expression; EncapsulationCharacter: Character Expression)

Parameters

FieldDelimiters: Character Expression (optional)

Specifies a delimiter to separate fields.

RecordDelimiters: Character Expression (optional)

Specifies a delimiter to separate records.

StripCharacter: Character Expression (optional)

Specifies a character to strip during conversion.

EncapsulationCharacter: Character Expression (optional)

Specifies a delimiter to protect information during conversion.


Route...

File, Preferences, Import icon, specify delimiters.


For Example...

To set import options, the command is:

PrefImportOptions

(

FieldDelimiters: "%";

RecordDelimiters: "@";

StripCharacter: "|";

EncapsulationCharacter: "/"

)


PrefLiteCodes

Purpose

PrefLiteCodes determines whether to display specified page formatting codes.

Syntax

PrefLiteCodes (Show: Numeric Equivalent or Enumerated Type; Space: Numeric Equivalent or Enumerated Type; HardReturn: Numeric Equivalent or Enumerated Type; Tab: Numeric Equivalent or Enumerated Type; Indent: Numeric Equivalent or Enumerated Type; SoftHyphen: Numeric Equivalent or Enumerated Type; Advance: Numeric Equivalent or Enumerated Type; Center: Numeric Equivalent or Enumerated Type; CenterPage: Numeric Equivalent or Enumerated Type; FlushRight: Numeric Equivalent or Enumerated Type)

Parameters

Show: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

Space: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

HardReturn: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

Tab: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

Indent: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

SoftHyphen: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

Advance: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

Center: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

CenterPage: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!

FlushRight: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!


Route...

File, Preferences, Display icon, Show, select options.


For Example...

To display specified page formatting codes, the command is:

PrefLiteCodes

(

Show: Yes!;

Space: No!;

HardReturn: Yes!;

Tab: No!;

Indent: No!;

SoftHyphen: No!;

Advance: No!;

Center: No!;

CenterPage: No!;

FlushRight: No!

)


PrefLocationDlg

Purpose

PrefLocationDlg displays the File Preferences dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefLocationDlg ()


Route...

File, Preferences, File.


PrefLocationOfDocuments

Purpose

PrefLocationOfDocuments specifies the location of document and backup files.

Syntax

PrefLocationOfDocuments (Path: Character Expression; UseDefExt: Numeric Equivalent or Enumerated Type; DefExt: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

Path: Character Expression (optional)

Specifies the default document and backup directory.

UseDefExt: Numeric Equivalent or Enumerated Type (optional)

Determines whether to use the default extension on Open and Save.

0	No!

1	Yes!

DefExt: Character Expression (optional)

Specifies a default filename extension.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

Determines whether to update Quick List with changes.

0	No!

1	Yes!


Route...

File, Preferences, File icon, Documents/Backup, select options.


For Example...

To specify the location of Document and Backup files, the command is:

PrefLocationOfDocuments

(

Path: "C:\WPWIN60\DOCS\";

UseDefExt: Yes!;

DefExt: ".doc";

UpdateQuickList: Yes!

)


PrefLocationOfGraphicsFiles

Purpose

PrefLocationOfGraphicsFiles specifies the graphics directories.

Syntax

PrefLocationOfGraphicsFiles (GraphicsDir: Character Expression; GraphicsSupplDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

GraphicsDir: Character Expression

Specifies the graphics default directory.

GraphicsSupplDir: Character Expression

Specifies the graphics supplemental directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type

Determines whether to update Quick List with changes.

0	No!

1	Yes!


Route...

File, Preferences, File icon, select Graphics, enter options.


For Example...

To specify graphics directories, the command is:

PrefLocationOfGraphicsFiles

(

GraphicsDir: "C:\WPWIN60\GRAPHICS\";

GraphicsSupplDir: "C:\WPWIN60\GRAPHICS\SUPP\";

UpdateQuickList: Yes!

)


PrefLocationOfHyphenationFiles

Purpose

PrefLocationOfHyphenationFiles specifies the location of Hyphenation files.

Syntax

PrefLocationOfHyphenationFiles (HyphenationDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

HyphenationDir: Character Expression (optional)

Specifies the default Hyphenation directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!


Route...

File, Preferences, File icon, Hyphenation, select options.


For Example...

To specify the location of Hyphenation files, the command is:

PrefLocationOfHyphenationFiles

(

HyphenationDir: "C:\WPWIN60\HYPHEN\";

UpdateQuickList: Yes!

)


PrefLocationOfMacroFiles

Purpose

PrefLocationOfMacroFiles specifies the location of macro files.

Syntax

PrefLocationOfMacroFiles (MacroDir: Character Expression; MacroSupplDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

MacroDir: Character Expression (optional)

Specifies the default macro directory.

MacroSupplDir: Character Expression (optional)

Specifies the default macro supplemental directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!


Route...

File, Preferences, File icon, Macros, select options.


For Example...

To specify the location of Macro files, the command is:

PrefLocationOfMacroFiles

(

MacroDir: "C:\WPWIN60\MACROS\";

MacroSupplDir: "C:\WPWIN60\MACROS\SUPP\";

UpdateQuickList: Yes!

)


PrefLocationOfPrinterFiles

Purpose

PrefLocationOfPrinterFiles specifies the location of printer files.

Syntax

PrefLocationOfPrinterFiles (PrinterDir: Character Expression; PrinterSupplDir: Character Expression; LabelFile: Character Expression; LabelsDisplay: Numeric Equivalent or Enumerated Type; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

PrinterDir: Character Expression (optional)

Specifies the default printer directory.

PrinterSupplDir: Character Expression (optional)

Specifies the default printer supplemental directory.

LabelFile: Character Expression (optional)

Specifies the default label file directory.

LabelsDisplay: Numeric Equivalent or Enumerated Type (optional)

0	DisplayLaser!

1	DisplayTract!

2	DisplayBoth!

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!


Route...

File, Preferences, File icon, Printers/Labels, select options.


For Example...

To specify the location of printer and label files, the command is:

PrefLocationOfPrinterFiles

(

PrinterDir: "C:\WPWIN60\PRINTER\";

PrinterSupplDir: "C:\WPWIN60\PRINTER\SUPP\";

LabelFile: "C:\WPWIN60\LABEL\";

LabelsDisplay: Display Both!;

UpdateQuickList: Yes!

)


PrefLocationOfSpreadsheetFiles

Purpose

PrefLocationOfSpreadsheetFiles specifies the location of spreadsheet files.

Syntax

PrefLocationOfSpreadsheetFiles (SpreadsheetDir: Character Expression; SpreadsheetSupplDir: Character Expression; DatabaseDir: Character Expression; DatabaseSupplDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

SpreadsheetDir: Character Expression (optional)

Specifies the default spreadsheet directory.

SpreadsheetSupplDir: Character Expression (optional)

Specifies the default supplemental spreadsheet directory.

DatabaseDir: Character Expression (optional)

Specifies the default database directory.

DatabaseSupplDir: Character Expression (optional)

Specifies the default supplemental database directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!


Route...

File, Preferences, File, Spreadsheets, select options.


For Example...

To specify the location of spreadsheet and database files, the command is:

PrefLocationOfSpreadsheetFiles

(

SpreadsheetDir: "C:\WPWIN60\SPREAD\";

SpreadsheetSupplDir: "C:\WPWIN60\SPREAD\SUPP\";

DatabaseDir: "C:\WPWIN60\DATABASE\";

DatabaseSupplDir: "C:\WPWIN60\DATABASE\SUPP\";

UpdateQuickList: Yes!

)


PrefLocationOfTemplates

Purpose

PrefLocationOfTemplates specifies the location of templates.

Syntax

PrefLocationOfTemplates (TemplateDir: Character Expression; TemplateSupplPath: Character Expression; File: Character Expression; SupplFile: Character Expression; DefExt: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

TemplateDir: Character Expression (optional)

Specifies the default templates directory.

TemplateSupplPath: Character Expression (optional)

Specifies the default templates supplemental directory.

File: Character Expression (optional)

Specifies the default templates filename.

SupplFile: Character Expression (optional)

Specifies the default supplemental filename.

DefExt: Character Expression (optional)

Specifies the default filename extension.

UpdateQuickList: Numeric Equivalent or Enumerated Type (optional)

0	No!

1	Yes!


Route...

File, Preferences, File icon, Templates, select options.


For Example...

To specify template names and the location of template files, the command is:

PrefLocationOfTemplates

(

TemplateDir: "C:\WPWIN60\TEMPLATE\";

TemplateSupplPath: "C:\WPWIN60\TEMPLATE\SUPP\";

File: "TEMPLATE";

SupplFile: "TEMPSUPP";

DefExt: "EXT";

UpdateQuickList: Yes!

)


PrefMenu

Purpose

PrefMenu determines whether to display shortcut keys next to menu items, and whether to display the four most recently opened documents at the bottom of the File menu, and whether to display help prompts.

Syntax

PrefMenu (DisplayShortcuts: Numeric Equivalent or Enumerated Type; DisplayLastOpened: Numeric Equivalent or Enumerated Type; DisplayHelpPrompts: Numeric Equivalent or Enumerated Type)

Parameters

DisplayShortcuts: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

DisplayLastOpened: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

DisplayHelpPrompts: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

See Also

PrefEnvSettingsDlg

PrefSave


Route...

File, Preferences, Environment, select options in the Menu group box.


For Example...

To set menu options, the command is:

PrefMenu

(

DisplayShortcuts: Yes!;

DisplayLastOpened: Yes!;

DisplayHelpPrompts:Yes!

)


PrefMergeCodes

Purpose

PrefMergeCodes determines whether to display merge codes.

Syntax

PrefMergeCodes (Show: Numeric Equivalent or Enumerated Type)

Parameters

Show: Numeric Equivalent or Enumerated Type

0	Hide!

1	Show!

2	ShowAsBars!


Route...

File, Preferences, Display icon, Merge, select option.


For Example...

To display merge codes, the command is:

PrefMergeCodes

(

Show: Show!

)


PrefMetafileOptions

Purpose

PrefMetafileOptions specifies how to import graphics files.

Syntax

PrefMetafileOptions (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	ConvertToWPG!

1	RetainWindowsAndWPG!

2	RetainWindowsFormat!


Route...

File, Preferences, Import icon, select option.


For Example...

To convert graphics to WPG format, the command is:

PrefMetafileOptions

(

State: ConvertToWPG!

)


PrefPowerBar

Purpose

PrefPowerBar specifies features to display on the Power Bar.

Syntax

PrefPowerBar (Button: Numeric Expression; Position: Numeric Expression)

Parameters

Button: Numeric Expression

Specifies a button number.

Position: Numeric Expression

Specifies button position on the Power Bar.


Route...

File, Preferences, Power Bar icon, select Items.


For Example...

To move the third button to the fourth position, the command is:

PrefPowerBar

(

Button: 3;

Position: 4

)


PrefPrintCopies

Purpose

PrefPrintCopies specifies the default number of copies to print and how to generate multiple copies.

Syntax

PrefPrintCopies (NumberOfCopies: Numeric Expression; GeneratedBy: Numeric Equivalent or Enumerated Type)

Parameters

NumberOfCopies: Numeric Expression

Specifies the default number of copies to print.

GeneratedBy: Numeric Equivalent or Enumerated Type

Specifies if WordPerfect or the printer generates multiple copies.

0	WordPerfect!

1	Printer!

See Also

PrefPrintSettingsDlg

PrefSave


Route...

File, Preferences, Print icon, specify options in the Copies group box.


For Example...

To set print options, the command is:

PrefPrintCopies

(

NumberOfCopies: 1;

GeneratedBy: WordPerfect!

)


PrefPrintDoc

Purpose

PrefPrintDoc specifies the default binding offset, graphics quality, and text quality for printed documents.

Syntax

PrefPrintDoc (GraphicsQuality: Numeric Equivalent or Enumerated Type; TextQuality: Numeric Equivalent or Enumerated Type; PrintColor: Numeric Equivalent or Enumerated Type)

Parameters

GraphicsQuality: Numeric Equivalent or Enumerated Type

Specifies graphics print quality.

0	DoNotPrint!

1	Draft!

2	Medium!

3	High!

TextQuality: Numeric Equivalent or Enumerated Type

Specifies text print quality.

0	DoNotPrint!

1	Draft!

2	Medium!

3	High!

PrintColor: Numeric Equivalent or Enumerated Type (optional)

Determines whether to print in color.

0	Black!

1	FullColor!

See Also

PrefSave


Route...

File, Preferences, Print icon, select options from the Document Settings group box.


For Example...

To set print options, the command is:

PrefPrintDoc

(

GraphicsQuality: High!;

TextQuality: High!;

PrintColor: Black!

)


PrefPrintRedline

Purpose

PrefPrintRedline specifies how and where redlined text appears in a document.

Syntax

PrefPrintRedline (Method: Numeric Equivalent or Enumerated Type; Character: Character Expression)

Parameters

Method: Numeric Equivalent or Enumerated Type

Specifies how redlined text is printed.  You can leave it up to the printer, or decide on a column of characters down the left or alternating sides of redlined text.

0	PrinterDependent!

1	Left!

2	Alternating!

3	Right!

Character: Character Expression

Specifies a character to display down the left or alternating sides of redlined text.  Omit this parameter if the Method parameter is PrinterDependent!.

See Also

PrefSave


Route...

Layout, Document, Redline Method, specify a Method and Redline character, Use as Default.


For Example...

To set print redline options, the command is:

PrefPrintRedline

(

Method: Left!;

Character: "|"

)


PrefPrintSettingsDlg

Purpose

PrefPrintSettingsDlg displays the Print Preferences dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefPrintSettingsDlg ()


PrefPrintSizeRatio

Purpose

PrefPrintSizeRatio specifies a size setting for each font attribute, measured as a percentage of the selected font. The value range for each font attribute is 1 to 999.

Syntax

PrefPrintSizeRatio (Fine: Numeric Expression; Small: Numeric Expression; Large: Numeric Expression; VeryLarge: Numeric Expression; ExtraLarge: Numeric Expression; SuperSubscript: Numeric Expression)

Parameters

Fine: Numeric Expression

Values range from 1 to 100.

Small: Numeric Expression

Values range from 1 to 100.

Large: Numeric Expression

Values range from 1 to 100.

VeryLarge: Numeric Expression

Values range from 1 to 100.

ExtraLarge: Numeric Expression

Values range from 1 to 100.

SuperSubscript: Numeric Expression

Values range from 1 to 100.

See Also

PrefSave


Route...

File, Preferences, Print icon, specify Size Attribute Ratios.


For Example...

To set print size ratio options, the command is:

PrefPrintSizeRatio

(

Fine: 25;

Small: 50;

Large: 125;

VeryLarge: 150;

ExtraLarge: 200;

SuperSubscript: 15

)


PrefRevealCodes

Purpose

PrefRevealCodes specifies the default Reveal Code settings.

Syntax

PrefRevealCodes (FontFace: Character Expression; FontSize: Numeric Expression; WindowSize: Numeric Expression; ShowOnNew: Numeric Equivalent or Enumerated Type; ShowSpacesAsBullets: Numeric Equivalent or Enumerated Type; WrapAtWindow: Numeric Equivalent or Enumerated Type; ShowInDetail: Numeric Equivalent or Enumerated Type; Sculptured: Numeric Equivalent or Enumerated Type; ForeColorRed: Numeric Expression; ForeColorGreen: Numeric Expression; ForeColorBlue: Numeric Expression; BackColorRed: Numeric Expression; BackColorGreen: Numeric Expression; BackColorBlue: Numeric Expression; ShowHelpPrompts: Numeric Equivalent or Enumerated Type)

Parameters

FontFace: Character Expression (optional)

Specifies a font face name.

FontSize: Numeric Expression (optional)

Specifies a font height in points, where 72 points equals one inch.

WindowSize: Numeric Expression (optional)

Specifies window size as a percentage of the screen.

ShowOnNew: Numeric Equivalent or Enumerated Type (optional)

Determines whether to show Reveal Codes in current and new documents.

0	No!

1	Yes!

ShowSpacesAsBullets: Numeric Equivalent or Enumerated Type (optional)

Determines whether to show spaces as bullets.

0	No!

1	Yes!

WrapAtWindow: Numeric Equivalent or Enumerated Type (optional)

Determines whether to wrap lines at the window edge.

0	No!

1	Yes!

ShowInDetail: Numeric Equivalent or Enumerated Type (optional)

Determines whether to show codes in detail.

0	No!

1	Yes!

Sculptured: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display codes sculptured.

0	No!

1	Yes!

ForeColorRed: Numeric Expression

Specifies the amount of red (0-255) in a foreground color.

ForeColorGreen: Numeric Expression

Specifies the amount of green (0-255) in a foreground color.

ForeColorBlue: Numeric Expression

Specifies the amount of blue (0-255) in a foreground color.

BackColorRed: Numeric Expression

Specifies the amount of red (0-255) in a background color.

BackColorGreen: Numeric Expression

Specifies the amount of green (0-255) in a background color.

BackColorBlue: Numeric Expression

Specifies the amount of blue (0-255) in a background color.

ShowHelpPrompts: Numeric Equivalent or Enumerated Type

Determines whether to show help prompts.

0	No!

1	Yes!


Route...

File, Preferences, Display icon, Reveal Codes, select options.


For Example...

To specify Reveal Code settings, the command is:

PrefRevealCodes

(

FontFace: "Arial";

FontSize: 15;

WindowSize: 25;

ShowOnNew: No!;

ShowSpacesAsBullets: Yes!;

WrapAtWindow: Yes!;

ShowInDetail: No!;

Sculptured: Yes!;

ForeColorRed: 0;

ForeColorGreen: 0;

ForeColorBlue: 0;

BackColorRed: 192;

BackColorGreen: 192;

BackColorBlue: 192;

ShowHelpPrompts: Yes!

)


PrefRevealCodesDlg

Purpose

PrefRevealCodesDlg displays the Display Preferences dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefRevealCodesDlg ()

See Also

PrefRevealCodes


PrefRuler

Purpose

PrefRuler specifies default Ruler display settings.

Syntax

PrefRuler (RulerOnNew: Numeric Equivalent or Enumerated Type; TabsToGrid: Numeric Equivalent or Enumerated Type; ShowRulerGuides: Numeric Equivalent or Enumerated Type; SculpturedRuler: Numeric Equivalent or Enumerated Type)

Parameters

RulerOnNew: Numeric Equivalent or Enumerated Type

Determines whether to display the ruler when you open a new document.

0	No!

1	Yes!

TabsToGrid: Numeric Equivalent or Enumerated Type

Determines whether tabs "snap to" invisible grid lines that occur every 1/16th of an inch or 1/5th of a centimeter.

0	No!

1	Yes!

ShowRuler: Numeric Equivalent or Enumerated Type

Determines whether a ruler guide displays when tab stops move.

0	No!

1	Yes!

SculpturedRuler: Numeric Equivalent or Enumerated Type

Determines whether to display a sculptured ruler.

0	No!

1	Yes!

See Also

PrefEnvSettingsDlg

PrefSave


Route...

File, Preferences, Display, Ruler Bar, select options.


For Example...

To set ruler options, the command is:

PrefRuler

(

RulerOnNew: Yes!;

TabsToGrid: No!;

ShowRulerGuides: No!;

SculpturedRuler: Yes!

)


PrefSave

Purpose

PrefSave saves preference command changes, so they apply each time you run WordPerfect.

Syntax

PrefSave ()


Route...

Choose OK in any Preferences dialog box.


PrefStatusBar

Purpose

PrefStatusBar specifies the default Status Bar settings.

Syntax

PrefStatusBar (Box: Numeric Equivalent or Enumerated Type; Position: Numeric Expression; Width: Numeric Expression)

Parameters

Box: Numeric Equivalent or Enumerated Type (optional)

Specifies an item to display or hide on the Status Bar.

0	Font!

1	Select!

2	InsertMode!

3	Date!

4	Time12!

5	GeneralStatus!

6	AlignChar!

7	Outline!

8	Zoom!

9	CapsLockState!

10	NumLockState!

11	ScrollLockState!

12	Printer!

13	Keyboard!

14	Page!

15	Line!

16	Position!

17	CombinedPosition!

18	Time24!

Position: Numeric Expression (optional)

Specifies an item's position on the Status Bar.

Width: Numeric Expression (optional)

Specifies an item's width.


Route...

File, Preferences, Status Bar icon, select options.


For Example...

To specify Status Bar settings, the command is:

PrefStatusBar

(

Box: Date!;

Position: 1;

Width:1

)


PrefStatusBarEdit

Purpose

PrefStatusBarEdit must precede and follow the PrefStatusBar command.

Syntax

PrefStatusBarEdit (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!


Route...

File, Preferences, Status Bar icon.


For Example...

To edit the Status Bar, the command is:

PrefStatusBarEdit

(

State: On!

)


PrefStatusBarOptions

Purpose

PrefStatusBarOptions specifies Status Bar settings.

Syntax

PrefStatusBarOptions (FontFace: Character Expression; FontSize: Numeric Expression; Bold: Numeric Equivalent or Enumerated Type; BoxStyle: Numeric Equivalent or Enumerated Type; EvenSpaced: Numeric Equivalent or Enumerated Type)

Parameters

FontFace: Character Expression (optional)

Specifies the name of a font face.

FontSize: Numeric Expression (optional)

Specifies a font height in points, where 72 points equals one inch.

Bold: Numeric Equivalent or Enumerated Type (optional)

Determines whether to bold the Status Bar font.

0	No!

1	Yes!

BoxStyle: Numeric Equivalent or Enumerated Type (optional)

Specifies how the status bar appears.

0	Flat!

1	Inset!

2	Raised!

EvenSpaced: Numeric Equivalent or Enumerated Type (optional)

Determines whether items are evenly spaced.

0	No!

1	Yes!

See Also

PrefStatusBarEdit


Route...

File, Preferences, Status Bar icon, Options button, select options.


For Example...

To specify Status Bar options, the command is:

PrefStatusBarOptions

(

FontFace: "Courier";

FontSize: 12p;

Bold: Yes!;

BoxStyle: Raised!;

EvenSpaced: No!

)


PrefStatusBarOptionsDlg

Purpose

PrefStatusBarOptionsDlg displays the Status Bar Options dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefStatusBarOptionsDlg ()


Route...

File, Preferences, Status Bar icon, Options button.


PrefToA

Purpose

PrefToA specifies the format for a table of authorities.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

PrefToA (Underlining: Numeric Equivalent or Enumerated Type; Runs: Numeric Equivalent or Enumerated Type)

Parameters

Underlining: Numeric Equivalent or Enumerated Type

Determines whether underlining is allowed in the full form.

0	NotAllowed!

1	Allowed!

Runs: Numeric Equivalent or Enumerated Type

0	NotAllowed!

1	Allowed!


For Example...

To set table of authorities options, the command is:

PrefToA

(

Underlining: Allowed!

Runs: NotAllowed!

)


PrefUnitsOfMeasure

Purpose

PrefUnitsOfMeasure specifies units of measure settings.

Syntax

PrefUnitsOfMeasure (DisplayUnits: Numeric Equivalent or Enumerated Type; StatusBarUnits: Numeric Equivalent or Enumerated Type)

Parameters

DisplayUnits: Numeric Equivalent or Enumerated Type (optional)

Specifies default units of measure and how they are displayed.

0	InchesQuote!

1	Inches!

2	Centimeters!

3	Millimeters!

4	Point!

5	WPU!

StatusBarUnits: Numeric Equivalent or Enumerated Type (optional)

Specifies how units of measure display on the Status Bar and Ruler.

0	InchesQuote!

1	Inches!

2	Centimeters!

3	Millimeters!

4	Point!

5	WPU!


Route...

File, Preferences, Display icon, Document, select options in the Measurement group box.


For Example...

To specify units of measure, the command is:

PrefUnitsOfMeasure

(

DisplayUnits: InchesQuote!;

StatusBarUnits: InchesQuote!

)


PrefZoom

Purpose

PrefZoom enlarges or reduces the size of text and graphics during macro execution.

Syntax

PrefZoom (Type: Numeric Equivalent or Enumerated Type; Percent: Numeric Expression)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies a type of zoom.

0	FixedPercent!

1	MarginWidth!

2	PageWidth!

3	FullPage!

Percent: Numeric Expression

Specifies a percentage of normal, which is 100 percent.

See Also

DraftZoom100


Route...

File, Preferences, Display icon, View/Zoom, select a Default Zoom.


For Example...

To set zoom options, the command is:

PrefZoom

(

Type: FixedPercent!;

Percent: 150

)


PrintCopies

Purpose

PrintCopies specifies a number of copies to print of the current document.

Syntax

PrintCopies (NumberOfCopies: Numeric Expression)

Parameters

NumberOfCopies: Numeric Expression

Specifies the number of copies to print.

See Also

PrintCopiesBy


Route...

File, Print, Number of Copies, enter a number.


For Example...

To print two copies of a document, the command is:

PrintCopies

(

NumberOfCopies: 2

)


PrintCopiesBy

Purpose

PrintCopiesBy determines whether multiple copies of the current document are generated by WordPerfect or a printer.

Syntax

PrintCopiesBy (CopiesBy: Numeric Equivalent or Enumerated Type)

Parameters

CopiesBy: Numeric Equivalent or Enumerated Type

Determines whether multiple copies are generated by WordPerfect or a printer.

0	WordPerfect!

1	Printer!

2	Network!

See Also

PrintCopies


Route...

File, Print, Generated By, highlight an option.


For Example...

To specify WordPerfect as the generation source for multiple copies of the current document, the command is:

PrintCopiesBy

(

CopiesBy: WordPerfect!

)


PrintDlg

Purpose

PrintDlg displays the Print dialog box.

Syntax

PrintDlg ()


Route...

File, Print.


PrintDocOnDisk

Purpose

PrintDocOnDisk prints a document saved to disk.

Syntax

PrintDocOnDisk (Filename: Character Expression; PageRange: Character Expression; SecondaryRange: Character Expression; ChapterRange: Character Expression; VolumeRange: Character Expression; OddEvenPages: Numeric Equivalent or Enumerated Type; PrintSummary: Numeric Equivalent or Enumerated Type; PrintBooklet: Numeric Equivalent or Enumerated Type; Direction: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a file to print.

PageRange: Character Expression (optional)

Specifies a range of pages to print.

SecondaryRange: Character Expression

Specifies the name of an output file.

ChapterRange: Character Expression

Specifies a range of chapters to print.

VolumeRange: Character Expression

Specifies a volume range to print.

OddEvenPages: Numeric Equivalent or Enumerated Type

Determines the pages to print.

0	PrintAll!

2	PrintOdd!

4	PrintEven!

PrintSummary: Numeric Equivalent or Enumerated Type

Determines whether to print an existing document summary.

0	NoDocSummary!

1	DocSummary!

PrintBooklet: Numeric Equivalent or Enumerated Type

Determines whether to print the document as a booklet.

0	NoBooklet!

1	Booklet!

Direction: Numeric Equivalent or Enumerated Type

Determines whether to print pages in ascending or descending order.

0	Forward!

1	Backward!


Route...

File, Print, Document on Disk, Print button, specify a filename, select options in the Print Multiple Pages dialog box.


For Example...

To print all pages of a document on disk named TEST with a document summary, the command is:

PrintDocOnDisk

(

Filename: "TEST";

PageRange: "1-10";

SecondaryRange: ;

ChapterRange: ;

VolumeRange: ;

OddEvenPages: PrintAll!;

PrintSummary: DocSummary!;

PrintBooklet: NoBooklet!;

Direction: Forward!

)


PrinterCommand

Purpose

PrinterCommand inserts a printer command [Ptr Cmnd] into the current document.

Syntax

PrinterCommand (Flag: Numeric Equivalent or Enumerated Type; Command: Character Expression)

Parameters

Flag: Numeric Equivalent or Enumerated Type

Determines whether the Command parameter contains a printer command or the name of a file with one or more printer commands.

0	File!

1	Command!

Command: Character Expression

Specifies a printer command or the name of a file containing one or more printer commands.


Route...

Layout, Typesetting, Printer Command, select options.


For Example...

To insert printer commands into the current document using a file name PTRCMD, the command is:

PrinterCommand

(

Flag: File!;

Command: "C:\WP60\PTRCMD"

)


PrinterCommandDlg

Purpose

PrinterCommandDlg displays the Printer Command dialog box.

Syntax

PrinterCommandDlg ()

See Also

PrinterCommand


Route...

Layout, Typesetting, Printer Command.


PrinterInitialize

Purpose

PrinterInitialize downloads soft fonts to your printer.

Syntax

PrinterInitialize ()


Route...

File, Print, Initialize Printer.


PrinterPause

Purpose

PrinterPause pauses the current print job.

Syntax

PrinterPause ()


Route...

Layout, Typesetting, Printer Command, Pause Printer.


PrinterSelect

Purpose

PrinterSelect specifies a printer type, name, and port.

Syntax

PrinterSelect (PrinterType: Numeric Equivalent or Enumerated Type; PrinterName: Character Expression; PrinterPort: Character Expression)

Parameters

PrinterType: Numeric Equivalent or Enumerated Type

Determines whether to send to a WordPerfect or Windows print driver.

0	WPPrinter!

1	WindowsPrint!

PrinterName: Character Expression

Specifies a printer name.

PrinterPort: Character Expression

Specifies a printer port.


Route...

File, Select Printer, select options.


For Example...

To select the Apple LaserWriter II NTX windows printer driver, the command is:

PrinterSelect

(

PrinterType: WindowsPrinter!;

PrinterName: "Apple LaserWriter II NTX";

PrinterPort: "LPT1:"

)


PrinterSelectDlg

Purpose

PrinterSelectDlg displays the Select Printer dialog box.

Syntax

PrinterSelectDlg ()


Route...

File, Select Printer.


PrintFullDoc

Purpose

PrintFullDoc prints the current document.

Syntax

PrintFullDoc ()


Route...

File, Print, Full Document, Print.


PrintGraphicsQuality

Purpose

PrintGraphicsQuality specifies graphics print quality for the current document.

Syntax

PrintGraphicsQuality (Quality: Numeric Equivalent or Enumerated Type)

Parameters

Quality: Numeric Equivalent or Enumerated Type

Specifies graphics resolution.

0	DoNotPrint!

1	Draft!

2	Medium!

3	High!

See Also

PrintTextQuality


Route...

File, Print, Print Quality.


For Example...

To print graphics with high resolution, the command is:

PrintGraphicsQuality

(

Quality: High!

)


PrintInkColor

Purpose

PrintInkColor specifies a color to print the current document.

Syntax

PrintInkColor (ColorType: Numeric Equivalent or Enumerated Type)

Parameters

ColorType: Numeric Equivalent or Enumerated Type

Specifies a color to print.

0	Black!

1	FullColor!

2	SolidColor!


Route...

File, Print, Print Color, select a color.


For Example...

To print a document with solid color, the command is:

PrintInkColor

(

ColorType: SolidColor!

)


PrintMultiplePages

Purpose

PrintMultiplePages prints specified pages.

Syntax

PrintMultiplePages (PageRange: Character Expression; SecondaryPageRange: Character Expression; ChapterRange: Character Expression; VolumeRange: Character Expression; OddEvenPages: Numeric Equivalent or Enumerated Type; PrintSummary: Numeric Equivalent or Enumerated Type; PrintBooklet: Numeric Equivalent or Enumerated Type; Direction: Numeric Equivalent or Enumerated Type)

Parameters

PageRange: Character Expression

Specifies a range of pages to print.

SecondaryPageRange: Character Expression (optional)

Specifies the name of an output file.

ChapterRange: Character Expression (optional)

Specifies a range of chapters to print.

VolumeRange: Character Expression (optional)

Specifies a range of volumes to print.

OddEvenPages: Numeric Equivalent or Enumerated Type (optional)

Determines the pages to print.

0	PrintAll!

2	PrintOdd!

4	PrintEven!

PrintSummary: Numeric Equivalent or Enumerated Type

Determines whether to print an existing document summary.

0	NoDocSummary!

1	DocSummary!

PrintBooklet: Numeric Equivalent or Enumerated Type

Determines whether to print the document as a booklet.

0	NoBooklet!

1	Booklet!

Direction: Numeric Equivalent or Enumerated Type

Determines whether to print pages in ascending or descending order.

0	Forward!

1	Backward!


Route...

File, Print, Multiple Pages, Print, select options, Print.


For Example...

To set print options, the command is:

PrintMultiplePages

(

PageRange: "1-10";

SecondaryPageRange: "PrtFile";

ChapterRange: "1-2";

VolumeRange: "1";

OddEvenPages: PrintAll!;

PrintSummary: NoDocSummary!;

Pamphlet: NoBooklet!;

Order: Forward!

)


PrintPage

Purpose

PrintPage prints the current page.

Syntax

PrintPage ()


Route...

File, Print, Current Page, Print.


PrintSelection

Purpose

PrintSelection prints selected text.

If no text is selected, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

PrintSelection ()


Route...

With text selected: File, Print, Print.


PrintTextQuality

Purpose

PrintTextQuality specifies print quality for the current document text.

Syntax

PrintTextQuality (Quality: Numeric Equivalent or Enumerated Type)

Parameters

Quality: Numeric Equivalent or Enumerated Type

Specifies printed text resolution.

0	DoNotPrint!

1	Draft!

2	Medium!

3	High!

See Also

PrintGraphicsQuality


Route...

File, Print, Print Quality, select option.


For Example...

To print the current document text with high resolution, the command is:

PrintTextQuality

(

Quality: High!

)


QuickFormatDlg

Purpose

QuickFormatDlg displays the QuickFormat dialog box.

Syntax

QuickFormatDlg ()


Route...

Layout, QuickFormat.


QuickFormatToggle

Purpose

QuickFormatToggle displays the QuickFormat dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

QuickFormatToggle ()


Route...

Layout, QuickFormat.


QuickmarkFind

Purpose

QuickmarkFind positions the insertion point on the first character after a QuickMark.

Syntax

QuickmarkFind ()


Route...

Insert, Bookmark, Find Quickmark.


QuickmarkSet

Purpose

QuickmarkSet places a unique bookmark in a document.

If Set QuickMark in Document on Save is active, any QuickMark added by the macro automatically moves to the current insertion point when the document is saved.

Syntax

QuickmarkSet ()


Route...

Insert, Bookmark, Set Quickmark.


Redisplay

Purpose

Redisplay rewrites the information on your computer screen without moving the insertion point.

Syntax

Redisplay ()


Route...

Press Ctrl+F3.


RedlineCharacter

Purpose

RedlineCharacter specifies the character used to mark redline text.

Syntax

RedlineCharacter (Character: Character Expression)

Parameters

Character: Character Expression

Specifies a character.

See Also

RedlineMethod

?RedlineCharacter


Route...

Layout, Document, Redline Method, Mark Left Margin or Mark Alternating Margins or Mark Right Margin, Redline Character, type character.


For Example...

To select | as the redline character, the command is:

RedlineCharacter

(

Character: "|"

)


RedlineMethod

Purpose

RedlineMethod specifies a redline method for the current document.

Syntax

RedlineMethod (RedlineMethod: Numeric Equivalent or Enumerated Type)

Parameters

RedlineMethod: Numeric Equivalent or Enumerated Type

Specifies a redline method for the current document.

0	PrinterDependent!

1	LeftMargin!

2	Alternating!

3	RightMargin!

See Also

RedlineCharacter

?RedlineMethod


Route...

Layout, Document, Redline Method.


For Example...

To specify redline markings on the right side of a printout, the command is:

RedlineMethod

(

RedlineMethod:RightMargin!

)


RepeatDlg

Purpose

RepeatDlg displays the Repeat dialog box.

Syntax

RepeatDlg ()

See Also

RepeatValue


Route...

Edit, Repeat.


RepeatValue

Purpose

RepeatValue specifies the number of times to repeat an action.

Syntax

RepeatValue (Value: Numeric Expression)

Parameters

Value: Numeric Expression

See Also

RepeatDlg


Route...

Edit, Repeat, select number.


For Example...

To repeat an action 50 times, the command is:

RepeatValue

(

Value: 50

)


ReplaceBackward

Purpose

ReplaceBackward replaces specified text from the current insertion point backward.

This command must be preceded by other commands such as SearchString and ReplaceString.

Syntax

ReplaceBackward (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a backward find and replace.

0	Regular!

1	Extended!

See Also

ReplaceCurrent

ReplaceForward

ReplaceString

SearchPrevious

SearchString


Route...

Edit, Replace, Direction, Backward, Replace.


For Example...

To replace text from the insertion point backward, the command is:

ReplaceBackward

(

SearchMode: Extended!

)


ReplaceCurrent

Purpose

ReplaceCurrent replaces a matched word, code, or phrase.

This command must be preceded by other commands, such as SearchString, SearchReplace, and SearchNext.

Syntax

ReplaceCurrent ()

See Also

ReplaceString

SearchNext

SearchString

ReplaceWithAttributes


Route...

Edit, Replace, find and match a word, code, or phrase, Replace.


ReplaceDlg

Purpose

ReplaceDlg displays the Find and Replace Text dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

ReplaceDlg()


ReplaceForward

Purpose

ReplaceForward replaces specific text from the insertion point forward.

This command must be preceded by other commands, such as SearchString or ReplaceString.

Syntax

ReplaceForward (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a forward search and replace.

0	Regular!

1	Extended!

See Also

ReplaceBackward

ReplaceString

SearchString


Route...

Edit, Replace, Replace.  If necessary to deselect a backward search, the route is: Edit, Replace, Direction, Backward, Replace.


For Example...

To start the replacement function forward from the insertion point including substructures, the command is:

ReplaceForward

(

SearchMode: Extended!

)


ReplaceString

Purpose

ReplaceString replaces each occurrence of specified text.

Syntax

ReplaceString (RplcStrg: Character Expression)

Parameters

RplcStrg: Character Expression

Specifies text to replace.

See Also

SearchString


Route...

Edit, Replace, Replace With.


For Example...

To define the replacement string as Jonathan, the command is:

ReplaceString

(

RplcStrg: "Jonathan"

)


ReplaceWithAttributes

Purpose

ReplaceWithAttributes replaces a word, code, or phrase with selected attributes.

Syntax

ReplaceWithAttributes (State: Numeric Equivalent or Enumerated Type; Attribute: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

Attribute: Numeric Equivalent or Enumerated Type

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

ReplaceCurrent

ReplaceString

SearchNext

SearchString


Route...

Edit, Replace, specify text or codes in Replace With, Replace, Font, choose one or more attributes from Attributes.


For Example...

To replace a word, code, or phrase with Underline, the command is:

ReplaceWithAttributes

(

State: Yes!

Attribute: Underline!

)


ReplaceWithCase

Purpose

ReplaceWithCase determines whether to replace a word or phrase with upper or mixed case, depending on the case of the Find word or phrase.

Syntax

ReplaceWithCase (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Replace, specify text in Replace With, Replace, Case.


For Example...

To replace a word or phrase with upper or mixed case, depending on the case of the Find word or phrase, the command is:

ReplaceWithCase

(

State: Yes!

)


ReplaceWithFont

Purpose

ReplaceWithFont replaces a word or phrase with selected font and attributes.

Syntax

ReplaceWithFont (State: Numeric Equivalent or Enumerated Type; Name: Character Expression; Family: Numeric Expression; Attributes: Numeric Expression; Weight: Numeric Expression; Width: Numeric Expression; Source: Numeric Expression; Type: Numeric Expression; CharacterSet: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

Name: Character Expression

Specifies a font name.

Family: Numeric Equivalent or Enumerated Type

256	FamilyITCBenguiat!

2304	FamilyTimesRoman!

4352	FamilyITCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodon!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicrostyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBrush!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyTekton!

35072	FamilyUncial!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

55552	FamilyAestheticOrnamented!

Attributes: Numeric Equivalent or Enumerated Type

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

88	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

240	WeightUltraHeavy!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

0	FontMatchASCII!

1	FontMatchMultinational1!

2	FontMatchMultinational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!


Route...

Edit, Replace, specify text in Replace With, Replace, Layout, Font, specify font.


For Example...

To replace a word with selected font attributes, the command is:

ReplaceWithFont

(

State: Yes!

Name: "Courier New Bold";

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


ReplaceWithFontSize

Purpose

ReplaceWithFontSize replaces a word or phrase with a selected font size.

Syntax

ReplaceWithFontSize (State: Numeric Equivalent or Enumerated Type; FontSize: Numeric Expression)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!

FontSize: Numeric Expression

Specifies a font height in points, where 72 points equals one inch.


Route...

Edit, Replace, specify text in Replace With, Replace menu, Font, Point Size.


For Example...

To replace a word or phrase with a 12p font size, the command is:

ReplaceWithFontSize

(

State: Yes!

FontSize: 12

)


ReselectLastSelection

Purpose

ReselectLastSelection selects the last selected text.

Syntax

ReselectLastSelection ()


Route...

Edit, Go To, Reselect Last Selection.


ResetKeyboardMenu

Purpose

ResetKeyboardMenu resets the keyboard and menus to default settings.

Syntax

ResetKeyboardMenu ()


Route...

File, Preferences, Keyboard icon, highlight <WPWin 6.0 Keyboard>, Select, Menu Bar icon, highlight <WPWin 6.0 Menu>, Select.


RevealCodes

Purpose

RevealCodes determines whether Reveal Codes is on.

Syntax

RevealCodes (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type (optional)

Determines whether to activate Reveal Codes.  If you omit the parameter, this command acts as a toggle.

0	Off!

1	On!


Route...

View, Reveal Codes.


For Example...

To turn off Reveal Codes, the command is:

RevealCodes

(

State: Off!

)


RulerBarShow

Purpose

RulerBarShow determines whether to display the Ruler Bar.

Syntax

RulerBarShow (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type (optional)

Determines whether to display the Ruler Bar.  If you omit the parameter, this command acts as a toggle.

0	Off!

1	On!


Route...

View, Ruler Bar.


For Example...

To display the Ruler Bar, the command is:

RulerBarShow

(

State: Yes!

)


SaveAll

Purpose

SaveAll saves all unsaved documents.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

SaveAll ()


ScrollScreenLeft

Purpose

ScrollScreenLeft displays the hidden left side of a document window.

Syntax

ScrollScreenLeft ()

See Also

ScrollScreenRight


Route...

Press Ctrl+PgUp; or, click the left arrow of the horizontal scroll bar.


ScrollScreenRight

Purpose

ScrollScreenRight displays the hidden right side of a document window.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ScrollScreenRight ()

See Also

ScrollScreenLeft


SearchInSelection

Purpose

SearchInSelection determines whether search is restricted to selected text.

Syntax

SearchInSelection (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Find, Options, Limit Find Within Selection.


For Example...

To restrict the search to a block of text, the command is:

SearchInSelection

(

State: Yes!

)


SearchNext

Purpose

SearchNext executes a forward search.

Syntax

SearchNext (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a search.

0	Regular!

1	Extended!

See Also

SearchPrevious


Route...

Edit, Find, enter search text, Find Next.


For Example...

To execute a forward extended search, the command is:

SearchNext

(

SearchMode: Extended!

)


SearchPrevious

Purpose

SearchPrevious executes a backward search.

Syntax

SearchPrevious (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a search.

0	Regular!

1	Extended!

See Also

SearchNext


Route...

Edit, Find, enter search text, Find Prev.


For Example...

To execute a backward extended search, the command is:

SearchPrevious

(

SearchMode: Extended!

)


SearchString

Purpose

SearchString specifies a string to search for.

This command must be used followed by either SearchNext or SearchPrevious.

Syntax

SearchString (StrgToLookFor: Character Expression)

Parameters

StrgToLookFor: Character Expression

Specifies search text and/or codes.


Route...

Edit, Find, enter search text.


For Example...

To search for the next occurrence of NOTE, the command is:

SearchString

(

StrgToLookFor: "NOTE"

)

SearchNext

(

SearchMode: Extended!

)


SearchWrap

Purpose

SearchWrap determines whether Find searches from the beginning of a document after it reaches the end of a document.

Syntax

SearchWrap (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Edit, Find or Replace, Options, Wrap at Beg./End of Document.


For Example...

To turn SearchWrap on, the command is:

SearchWrap

(

State: Yes!

)


SecondaryPageNumber

Purpose

SecondaryPageNumber specifies a secondary page number and inserts the code into a document.

Syntax

SecondaryPageNumber (Page: Numeric Expression)

Parameters

Page: Numeric Expression

Specifies a new secondary page number.

See Also

PageNumber

?SecondaryPageNumber


Route...

Layout, Page, Numbering, Value, New Secondary Number.


For Example...

To define a secondary page number as 10, the command is:

SecondaryPageNumber

(

Page: 10

)


SecondaryPageNumberDecrement

Purpose

SecondaryPageNumberDecrement decreases the value of the current secondary page number.

Syntax

SecondaryPageNumberDecrement ()


Route...

Layout, Page, Numbering, Value, Increase/Decrease Existing Secondary Number.


SecondaryPageNumberDisplay

Purpose

SecondaryPageNumberDisplay displays the current secondary page number, which is entered as a code and updated as the document is modified.

Syntax

SecondaryPageNumberDisplay ()


Route...

Layout, Page, Numbering, Value, Insert and Display at Insertion Point.


SecondaryPageNumberIncrement

Purpose

SecondaryPageNumberIncrement increases the value of the current secondary page number.

Syntax

SecondaryPageNumberIncrement ()


Route...

Layout, Page, Numbering, Value, Increase/Decrease Existing Secondary Number.


SecondaryPageNumberMethod

Purpose

SecondaryPageNumberMethod specifies a numbering method for secondary page numbers.

Syntax

SecondaryPageNumberMethod (NumberingMethod: Numeric Equivalent or Enumerated Type)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies a numbering method for secondary page numbers.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

?SecondaryPageNumberMethod


Route...

Layout, Page, Numbering, Options button, Secondary, select option.


For Example...

To display secondary page numbers in Upper Roman numerals, the command is:

SecondaryPageNumberMethod

(

NumberingMethod: UpperRoman!

)


SelectAll

Purpose

SelectAll selects all text and graphics in the current window.

Syntax

SelectAll ()


Route...

Edit, Select, All.


SelectCell

Purpose

SelectCell selects the cell with the insertion point, including text and attributes.

Syntax

SelectCell ()


Route...

Press Shift+F8.


SelectCellDown

Purpose

SelectCellDown positions the insertion point down one row, selecting text and codes from the previous position to the new position.

This command does not move the insertion point below a table when the insertion point is in the bottom row.  If the insertion point is not in a table, this command terminates the macro or redirects macro execution to the LABEL command specified by ONERROR.

Syntax

SelectCellDown ()

See Also

SelectCellUp

SelectCellDownArrow


Route...

Press Alt+Shift+Down Arrow.


SelectCellDownArrow

Purpose

SelectCellDownArrow repositions the insertion point, selecting text and codes between the old and new insertion points.

This command moves the insertion point below a table when the insertion point is in the bottom row.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

SelectCellDownArrow ()

See Also

SelectCellUp

SelectCellDown


SelectCellLeft

Purpose

SelectCellLeft positions the insertion point left one column, selecting text and codes from the previous position to the new position.

If the insertion point is already in the farthest left column, this command positions the insertion point up one row to the farthest left column.  If the insertion point is outside a table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectCellLeft ()

See Also

SelectCellRight


Route...

Press Alt+Shift+Left Arrow.


SelectCellRight

Purpose

SelectCellRight positions the insertion point right one column, selecting text and codes from the previous position to the new position.

If the insertion point is already in the farthest right column, this command positions the insertion point down one row to the farthest left column.  If the insertion point is outside a table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectCellRight ()

See Also

SelectCellLeft


Route...

Press Alt+Shift+Right Arrow.


SelectCellUp

Purpose

SelectCellUp positions the insertion point up one row, selecting text and codes from the previous position to the new position.

This command does not move the insertion point above a table when the insertion point is in the top row of a table.  If the insertion point is not in a table, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

SelectCellUp ()

See Also

SelectCellDown

SelectCellUpArrow


Route...

Press Alt+Shift+Up Arrow.


SelectCellUpArrow

Purpose

SelectCellUpArrow positions the insertion point up one row, selecting text and codes from the previous position to the new position.

This command moves the insertion point above a table when the insertion point is in the top row of a table.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

SelectCellUpArrow ()

See Also

SelectCellDownArrow

SelectCellUp


SelectCharNext

Purpose

SelectCharNext selects text or code one character position to the right.

Syntax

SelectCharNext ()

See Also

SelectCharPrevious


Route...

Press Shift+Right Arrow.


SelectCharPrevious

Purpose

SelectCharPrevious selects text and codes one character position to the left.

Syntax

SelectCharPrevious ()

See Also

SelectCharNext


Route...

Press Shift+Left Arrow.


SelectColumnBottom

Purpose

SelectColumnBottom positions the insertion point at the bottom of the current column, selecting text and codes from the previous position to the new position.

Syntax

SelectColumnBottom ()

See Also

SelectColumnTop


Route...

Press Shift+Alt+End.


SelectColumnNext

Purpose

SelectColumnNext positions the insertion point right one column, selecting text and codes from the previous position to the new position.

If the insertion point is in the farthest right column, this command positions the insertion point at the beginning of the current line, and selects text and codes from the previous position to the new position.

Syntax

SelectColumnNext ()

See Also

SelectColumnPrevious


Route...

Press Shift+Alt+Right Arrow.


SelectColumnPrevious

Purpose

SelectColumnPrevious positions the insertion point left one column, selecting text and codes from the previous position to the new position.

If the insertion point is in the farthest left column, this command positions the insertion point at the beginning of the current line, and selects text and codes from the previous position to the new position.

Syntax

SelectColumnPrevious ()

See Also

SelectColumnNext


Route...

Press Shift+Alt+Left Arrow.


SelectColumnTop

Purpose

SelectColumnTop positions the insertion point at the top of the current column, selecting text and codes from the previous position to the new position.

Syntax

SelectColumnTop ()

See Also

SelectColumnBottom


Route...

Press Shift+Alt+Home.


SelectDelete

Purpose

SelectDelete deletes a block of selected text.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

SelectDelete ()


SelectDocBottom

Purpose

SelectDocBottom positions the insertion point at the end of the current document, selecting text and codes from the previous position to the new position.

Syntax

SelectDocBottom ()

See Also

SelectDocTop


Route...

Press Shift+Ctrl+End.


SelectDocTop

Purpose

SelectDocTop positions the insertion point at the beginning of the current document, selecting text and codes from the previous position to the new position.

Syntax

SelectDocTop ()

See Also

SelectDocBottom

SelectDocVeryTop


Route...

Press Shift+Ctrl+Home.


SelectDocVeryTop

Purpose

SelectDocVeryTop positions the insertion point before all codes at the beginning of the current document, selecting text and codes from the previous position to the new position.

Syntax

SelectDocVeryTop ()

See Also

SelectDocBottom

SelectDocTop


Route...

Press Ctrl+Shift+Home Home.


SelectLineBegin

Purpose

SelectLineBegin positions the insertion point at the beginning of the current line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineBegin ()

See Also

SelectLineEnd


Route...

Press Shift+Home.


SelectLineDown

Purpose

SelectLineDown positions the insertion point down one line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineDown ()

See Also

SelectLineUp


Route...

Press Shift+Down Arrow.


SelectLineEnd

Purpose

SelectLineEnd positions the insertion point at the end of the current line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineEnd ()

See Also

SelectLineBegin


Route...

Press Shift+End.


SelectLineUp

Purpose

SelectLineUp positions the insertion point up one line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineUp ()

See Also

SelectLineDown


Route...

Press Shift+Up Arrow.


SelectLineVeryBegin

Purpose

SelectLineVeryBegin positions the insertion point at the beginning of the current line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineVeryBegin ()

See Also

PosLineVeryBeg

SelectLineBegin

SelectLineVeryEnd


Route...

Press Shift+Home Home.


SelectLineVeryEnd

Purpose

SelectLineVeryEnd positions the insertion point at the end of the current line, selecting text and codes from the previous position to the new position.

Syntax

SelectLineVeryEnd ()

See Also

PosLineVeryEnd

SelectLineEnd

SelectLineBegin

SelectLineVeryBegin


Route...

Press Shift+End End.


SelectMode

Purpose

SelectMode determines whether to turn Select Mode on. If no parameter is specified, this command acts as a toggle.

Select Mode uses the WordPerfect 5.1 for DOS method of selecting text.  The regular positioning keys extend a selection. The SelectMode command is similar to pressing F8.

Syntax

SelectMode (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!


Route...

Press F8.


For Example...

To turn on Select Mode, the command is:

SelectMode

(

State: On!

)


SelectPage

Purpose

SelectPage selects the contents of the current page.

Syntax

SelectPage ()


Route...

Edit, Select, Page.


SelectPageNext

Purpose

SelectPageNext positions the insertion point at the beginning of the next page in the current document, selecting text and codes from the previous position to the new position.

If the insertion point is already on the last page, this command positions the insertion point at the end of the document, and selects text and codes from the previous position to the new position.

Syntax

SelectPageNext ()

See Also

SelectPagePrevious


Route...

Press Shift+Alt+PgDn.


SelectPagePrevious

Purpose

SelectPagePrevious positions the insertion point at the beginning of the previous page in the current document, selecting text and codes from the previous position to the new position.

If the insertion point is already on the first page, this command positions the insertion point at the beginning of the document, and selects text and codes from the previous position to the new position.

Syntax

SelectPagePrevious ()

See Also

SelectPageNext


Route...

Press Shift+Alt+PgUp.


SelectParagraph

Purpose

SelectParagraph selects the paragraph containing the insertion point.

Syntax

SelectParagraph ()


Route...

Edit, Select, Paragraph.


SelectParagraphNext

Purpose

SelectParagraphNext positions the insertion point at the beginning of the next paragraph, selecting text and codes from the previous position to the new position.

If the insertion point is in the last paragraph of a document, this command positions the insertion point at the end of the document, and selects text and codes from the previous position to the new position.

Syntax

SelectParagraphNext ()

See Also

SelectParagraphPrevious


Route...

Press Shift+Ctrl+Down Arrow.


SelectParagraphPrevious

Purpose

SelectParagraphPrevious positions the insertion point at the beginning of the current paragraph, selecting text and codes from the previous position to the new position.

If the insertion point is at the beginning of a paragraph, this command positions the insertion point at the beginning of the preceding paragraph, and selects text and codes from the previous position to the new position.

Syntax

SelectParagraphPrevious ()

See Also

SelectParagraphNext


Route...

Press Shift+Ctrl+Up Arrow.


SelectRectangle

Purpose

SelectRectangle selects a blocked rectangle.

Syntax

SelectRectangle ()


Route...

Edit, Select, Rectangle.


SelectScreenDown

Purpose

SelectScreenDown selects text and codes from the insertion point to the bottom of the screen.

If the insertion point is already at the bottom of the screen, this command positions the insertion point at the bottom of the next screen, and selects text and codes from the previous position to the new position.

Syntax

SelectScreenDown ()

See Also

SelectScreenUp


Route...

Press Shift+PgDn.


SelectScreenLeft

Purpose

SelectScreenLeft positions the insertion point on the left side of the screen, and selects text and codes from the previous position to the new position.

If the insertion point is already on the left side of the screen, this command positions the insertion point on the left side of the next screen, or at the left margin of a document.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectScreenLeft ()

See Also

PosScreenLeft

SelectScreenRight


Route...

Press Shift+Home+Left Arrow.


SelectScreenRight

Purpose

SelectScreenRight positions the insertion point on the right side of the screen, and selects text and codes from the previous position to the new position.

If the insertion point is already on the right side of the screen, this command positions the insertion point on the right side of the next screen, or at the right margin of a document.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

SelectScreenRight ()

See Also

PosScreenRight

SelectScreenLeft


SelectScreenUp

Purpose

SelectScreenUp selects text and codes from the insertion point to the top of the screen.

If the insertion point is already at the top of the screen, this command positions the insertion point at the top of the next screen, and selects text and codes from the previous position to the new position.

Syntax

SelectScreenUp ()

See Also

SelectScreenDown


Route...

Press Shift+PgUp.


SelectSentence

Purpose

SelectSentence selects the current sentence.

Syntax

SelectSentence ()


Route...

Edit, Select, Sentence.


SelectSentenceNext

Purpose

SelectSentenceNext selects everything from the insertion point to the beginning of the next sentence.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

SelectSentenceNext ()

See Also

SelectSentencePrevious


SelectSentencePrevious

Purpose

SelectSentencePrevious selects everything from the insertion point to the end of the previous sentence.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

SelectSentencePrevious ()

See Also

SelectSentenceNext


SelectTable

Purpose

SelectTable selects all cells in the current table.

This command is not recordable. To use this command, you must type it into the macro.

If the insertion point is not in a table, this command terminates the macro or redirects the macro to the LABEL specified by ONERROR.

Syntax

SelectTable ()

See Also

SelectTableColumn

SelectTableRow


Route...

This command is not recordable. To use this command, you must type it into the macro.


SelectTableColumn

Purpose

SelectTableColumn selects all cells in the current column.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectTableColumn ()

See Also

SelectTable

SelectTableRow


Route...

This command is not recordable. To use this command, you must type it into the macro.


SelectTableColumnExtendLeft

Purpose

SelectTableColumnExtendLeft selects cells from the insertion point to the farthest left cell.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectTableColumnExtendLeft ()

See Also

SelectTableColumnExtendRight


Route...

This command is not recordable. To use this command, you must type it into the macro.


SelectTableColumnExtendRight

Purpose

SelectTableColumnExtendRight selects all cells from the insertion point to the beginning of the farthest right cell.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectTableColumnExtendRight ()

See Also

SelectTableColumnExtendLeft


Route...

This command is not recordable. To use this command, you must type it into the macro.


SelectTableRow

Purpose

SelectTableRow selects the cells in the current row.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectTableRow ()

See Also

SelectTable

SelectTableColumn


Route...

This command is not recordable. To use this command, you must type it into the macro.


SelectTabularColumn

Purpose

SelectTabularColumn selects a blocked tabular column(s).

Syntax

SelectTabularColumn ()


Route...

Edit, Select, Tabular Column.


SelectWord

Purpose

SelectWord selects the word containing the insertion point.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectWord ()


SelectWordNext

Purpose

SelectWordNext selects everything from the insertion point to the beginning of the next word.

Syntax

SelectWordNext ()


Route...

Press Shift+Ctrl+Right Arrow.


SelectWordPrevious

Purpose

SelectWordPrevious selects everything from the insertion point to the end of the previous word.

Syntax

SelectWordPrevious ()


Route...

Press Shift+Ctrl+Left Arrow.


SetDefaultFileFormat

Purpose

SetDefaultFileFormat specifies the default file format.

Syntax

SetDefaultFileFormat (DefaultType: Numeric Equivalent or Enumerated Type)

Parameters

DefaultType: Numeric Equivalent or Enumerated Type

1	WordPerfect_42!

2	WordPerfect_50!

3	WordPerfect_51!

4	WordPerfect_60!

30	WordStar_33!

31	WordStar_331!

32	WordStar_34!

33	WordStar_40!

34	WordStar_50!

35	WordStar_55!

36	WordStar_60!

50	WordStar2000_10!

51	WordStar2000_20!

52	WordStar2000_30!

62	MicroSoftWord_40!

63	MicroSoftWord_50!

64	MicroSoftWord_55!

70	WordForWindows_10!

71	WordForWindows_11!

72	WordForWindows_1A!

73	WordForWindows_20!

74	WordForWindows_20a!

75	WordForWindows_20b!

80	RFT!

81	FFT!

82	DisplayWrite_40!

83	DisplayWrite_42!

84	DisplayWrite_50!

100	MultiMate_33!

101	MultiMateAdvantage_36!

102	MultiMateAdvantageII_10!

103	MultiMate_40!

120	OfficeWriter_60!

121	OfficeWriter_61!

122	OfficeWriter_611!

123	OfficeWriter_62!

150	RTF!

160	ASCIIStandard!

161	ANSIText_Windows!

163	DelimitedText!

165	ASCIIStripped!

173	Kermit_7bit_Transfer!

175	NavyDIF!

190	XyWriteIIIPlus_355!

191	XyWriteIIIPlus_356!

311	AmiPro_12!

312	AmiPro_12A!

313	AmiPro_12B!

314	AmiPro_20!

315	AmiPro_30!

656	ANSIDelimitedTextWindows!

657	ANSIGenericWordProcessor_Windows!

807	Excel_40!

See Also

PrefSave


Route...

File, Save As, Setup button, select a file format from the Default Save File Format list box.


For Example...

To set the default file format to WordPerfect 6.0 for Windows, the command is:

SetDefaultFileFormat

(

DefaultType: WordPerfect_60!

)


SettingsDlg

Purpose

SettingsDlg displays the Preferences dialog box.

Syntax

SettingsDlg ()


Route...

File, Preferences.


SetupWritingToolsDlg

Purpose

SetupWritingToolsDlg displays the Writing Tools dialog box.

Syntax

SetupWritingToolsDlg ()


Route...

File, Preferences, Writing Tools icon.


ShiftTabKey

Purpose

ShiftTabKey inserts a [Hd Back Tab] at the insertion point.

Syntax

ShiftTabKey ()


Route...

Press Shift+Tab.


ShowBoxes

Purpose

ShowBoxes determines whether to display graphic boxes.

Syntax

ShowBoxes (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

See Also

?ShowBoxes


Route...

View, Graphics.


For Example...

To display graphic boxes, the command is:

ShowBoxes

(

State: On!

)


ShowGraphics

Purpose

ShowGraphics toggles Graphics.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ShowGraphics ()


Route...

This command is not recordable. To use this command, you must type it into the macro.


ShowHiddenText

Purpose

ShowHiddenText toggles Hidden Text.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ShowHiddenText ()


Route...

View, Hidden Text.


ShowSymbols

Purpose

ShowSymbols toggles symbols for features such as Space, Hard Return, and Tab.

Syntax

ShowSymbols ()


Route...

View, Show.


SoftHyphen

Purpose

SoftHyphen inserts a soft hyphen at the insertion point.

Syntax

SoftHyphen ()


Route...

Layout, Line, Other Codes, Soft Hyphen [-Soft Hyphen].


Sort

Purpose

Sort specifies a file to sort and a file to which the changes are written.  The current document is the default.

Syntax

Sort (InFile: Character Expression; OutFile: Character Expression)

Parameters

InFile: Character Expression (optional)

Specifies a file to sort.  If this parameter is omitted, the current document is sorted.

OutFile: Character Expression (optional)

Specifies a file to which the resulting sort writes.  If this parameter is omitted, the sort updates the current document.


Route...

Tools, Sort.


For Example...

To sort the current document and save it as a file named RESULT, the command is:

Sort

(;

OutFile: "RESULT"

)


SortAction

Purpose

SortAction specifies whether to sort a file or select only certain records.

Syntax

SortAction (SortAction: Numeric Equivalent or Enumerated Type)

Parameters

SortAction: Numeric Equivalent or Enumerated Type

Specifies a sort type.

0	Sort!

1	SelectOnly!

See Also

?SortGetAction


Route...

Tools, Sort, Select Without Sorting.


For Example...

To select only certain records without changing their order, the command is:

SortAction

(

SortAction: SelectOnly!

)


SortCaseOrder

Purpose

SortCaseOrder specifies case priority.

Syntax

SortCaseOrder (Case: Numeric Equivalent or Enumerated Type)

Parameters

Case: Numeric Equivalent or Enumerated Type

Specifies which case has sort priority.

0	LowercaseFirst!

1	UppercaseFirst!

See Also

?SortGetCase


Route...

Tools, Sort, Uppercase First.


For Example...

To prioritize uppercase entries, the command is:

SortCaseOrder

(

Case: UppercaseFirst!

)


SortDlg

Purpose

SortDlg displays the Sort (Source and Destination) dialog box.

Syntax

SortDlg ()


Route...

Tools, Sort.


SortKeys

Purpose

SortKeys specifies sort key options.

Syntax

SortKeys ({Field: Numeric Expression; Line: Numeric Expression; Word: Numeric Expression; SortType: Numeric Equivalent or Enumerated Type; SortOrder: Numeric Equivalent or Enumerated Type})

Parameters

Field: Numeric Expression

Specifies a field to sort.

Line: Numeric Expression

Specifies a line to sort within a specified field.  This parameter is always one (1) if the sort type is Line.

Word: Numeric Expression

Specifies a word to sort within a specified line and field.

SortType: Numeric Equivalent or Enumerated Type

Determines whether to perform a numeric or alphanumeric sort.

0	Alphanumeric!

1	Numeric!

SortOrder: Numeric Equivalent or Enumerated Type

Determines whether to sort a-z and 0-9 or z-a and 9-0.

0	Ascending!

1	Descending!


Route...

Tools, Sort, specify Key Definitions.


For Example...

To sort ZIP Codes that are the only word on the only line in the sixth field of a data file, the command is:

SortKeys

(

{

Field: 6;

Line: 1;

Word: 1;

SortType: Numeric!;

SortOrder: Ascending!

}

)


SortSelectString

Purpose

SortSelectString inserts a character string into the Select Records option of the Sort dialog box.

Syntax

SortSelectString (SelectString: Character Expression)

Parameters

SelectString: Character Expression

Specifies text to select.


Route...

Tools, Sort, Select Records, type character string.


For Example...

To sort and select only records that contain the ZIP Code 84057 in the field defined by Key1, the command is:

SortSelectString

(

SelectString: "Key1=84057"

)


SortType

Purpose

SortType specifies a source file format.

ParagraphSort! sorts the file leaving paragraphs intact; LineSort! sorts each line of the file individually; ColumnSort! sorts parallel columns; TableSort! sorts a table where rows act as lines and cells act as fields; and MergeSort! sorts a data file.

Syntax

SortType (SortType: Numeric Equivalent or Enumerated Type)

Parameters

SortType: Numeric Equivalent or Enumerated Type

Specifies a sort type reflecting a source file format.

0	ParagraphSort!

1	LineSort!

2	ColumnSort!

3	TableSort!

4	MergeSort!


Route...

Tools, Sort, select a Record Type.


For Example...

To specify the source file as a data file, the command is:

SortType

(

SortType: MergeSort!

)


SoundClipCreate

Purpose

SoundClipCreate inserts a sound clip from a file into Sound Clips in the Document dialog box.

Syntax

SoundClipCreate (Description: Character Expression; Filename: Character Expression; SoundFileType: Numeric Equivalent or Enumerated Type; ClipType: Numeric Equivalent or Enumerated Type; LeftVolume: Numeric Expression; RightVolume: Numeric Expression)

Parameters

Description: Character Expression

Specifies a sound clip description.

Filename: Character Expression

Specifies a sound clip filename.

SoundFileType: Numeric Equivalent or Enumerated Type

Specifies a sound clip location.

0	OnDisk!

1	InDoc!

ClipType: Numeric Equivalent or Enumerated Type

Specifies a sound clip type.

0	MIDI!

1	DigitalAudio!

LeftVolume: Numeric Expression

Specifies the left speaker volume.

RightVolume: Numeric Expression

Specifies the right speaker volume.


Route...

Insert, Sound, Insert, enter a filename.


For Example...

To give a sound clip on disk the description Duplicate of Exit and to insert it into the document, the command is:

SoundClipCreate

(

Description: "Duplicate of Exit";

Filename: "c:\wp60\exit.snd";

SoundFileType: OnDisk!;

ClipType: DigitalAudio!;

LeftVolume: 10;

RightVolume: 10

)


SoundClipDelete

Purpose

SoundClipDelete deletes a sound clip.

Syntax

SoundClipDelete (Description: Character Expression)

Parameters

Description: Character Expression

Specifies a sound clip description to delete.


Route...

Insert, Sound, highlight a sound clip, Delete.


For Example...

To delete a sound clip named OPEN.SND, the command is:

SoundClipDelete

(

Description: "OPEN.SND"

)


SoundClipDlg

Purpose

SoundClipDlg displays the Sound Clips dialog box.

Syntax

SoundClipDlg ()


Route...

Insert, Sound.


SoundClipPlayNext

Purpose

SoundClipPlayNext plays a specified sound clip.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SoundClipPlayNext (Description: Character Expression; StartPos: Numeric Expression; EndPos: Numeric Expression)

Parameters

Description: Character Expression

Specifies the description of a sound clip to play.

StartPos: Numeric Expression

Specifies in seconds a sound clip starting point.

EndPos: Numeric Expression

Specifies in seconds a sound clip ending point.


For Example...

To play a sound clip with the description Close, the command is:

SoundClipPlayNext

(

Description: "Close"

StartPos: 1;

EndPos: 5

)


SoundClipSetAttributes

Purpose

SoundClipSetAttributes specifies sound clip attributes.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SoundClipSetAttributes (Description: Character Expression; Type: Numeric Equivalent or Enumerated Type; LeftVolume: Numeric Expression; RightVolume: Numeric Expression)

Parameters

Description: Character Expression

Specifies a sound clip description.

Type: Numeric Equivalent or Enumerated Type

0	MIDI!

1	DigitalAudio!

LeftVolume: Numeric Expression

Specifies left speaker volume.

RightVolume: Numeric Expression

Specifies right speaker volume.


For Example...

To specify sound clip attributes of a sound clip named Close, the command is:

SoundClipSetAttributes

(

Description: "Close";

Type: DigitalAudio!;

LeftVolume: 10;

RightVolume: 10

)


SoundClipSetDescription

Purpose

SoundClipSetDescription assigns a new name to a sound clip.

Syntax

SoundClipSetDescription (OldDescription: Character Expression; NewDesription: Character Expression)

Parameters

OldDescription: Character Expression

Specifies the old sound clip description name.

NewDesription: Character Expression

Specifies the new sound clip description name.


Route...

Insert, Sound, highlight a sound clip, Edit Desc, enter a new description.


For Example...

To assign a new name to a sound clip, the command is:

SoundClipSetDescription

(

OldDescription: "CloseOld";

NewDescription: "CloseNew"

)


SoundClipSetFilename

Purpose

SoundClipSetFilename assigns a new filename to a sound clip.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SoundClipSetFilename (Description: Character Expression; Filename: Character Expression; Location: Numeric Equivalent or Enumerated Type)

Parameters

Description: Character Expression

Specifies a sound clip description.

Filename: Character Expression

Specifies a sound clip name.

Location: Numeric Equivalent or Enumerated Type

Specifies a sound clip location.

0	OnDisk!

1	InDoc!


For Example...

To select a sound clip file from disk, the command is:

SoundClipSetFilename

(

Description: "Clip";

Filename: "c:wpwin\clip.wav";

Location: OnDisk!

)


SpecificDeleteStringBegin

Purpose

SpecificDeleteStringBegin deletes specific codes.

SpecificDeleteStringBegin must be followed by a macro command corresponding to a specific code to delete.  This command must be used in conjunction with other commands, such as ReplaceBackward, ReplaceForward, and SpecificStringEnd.

Syntax

SpecificDeleteStringBegin ()

See Also

ReplaceBackward

ReplaceForward

SpecificReplaceStringBegin

SpecificSearchStringBegin

SpecificStringEnd

MatchSelection


Route...

Edit, Replace, Type, Specific Codes, select a code type, specify a specific code, Replace with Nothing, Replace or Replace All.


SpecificReplaceStringBegin

Purpose

SpecificReplaceStringBegin replaces a specific code with another specific code.

A macro command corresponding to a specific replacement code must follow SpecificReplaceStringBegin.  The code being replaced is specified using SpecificSearchStringBegin.  SpecificReplaceStringBegin must be used in conjunction with other commands, such as ReplaceBackward, ReplaceForward, SpecificSearchStringBegin, and SpecificStringEnd.

Syntax

SpecificReplaceStringBegin ()

See Also

ReplaceBackward

ReplaceForward

SpecificSearchStringBegin

SpecificStringEnd


Route...

Edit, Replace, Type, Specific Codes, select a code type, specify a code, Replace or Replace All.


SpecificSearchStringBegin

Purpose

SpecificSearchStringBegin finds a specific code.

A macro command corresponding to a specific code to find must follow SpecificSearchStringBegin.  This command must be used in conjunction with SpecificStringEnd.

Syntax

SpecificSearchStringBegin ()

See Also

SearchNext

SearchPrevious

SpecificDeleteStringBegin

SpecificReplaceStringBegin

SpecificStringEnd


Route...

Edit, Find, Type, Specific Codes, select a code type, specify a code, Find Next.


SpreadsheetShowLinkCode

Purpose

SpreadsheetShowLinkCode determines whether to display spreadsheet link codes.

Syntax

SpreadsheetShowLinkCode (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display spreadsheet link codes.

0	No!

1	Yes!

See Also

ImportOptionsDlg


Route...

Insert, Spreadsheet/Database, Options, Show Link Icons.


For Example...

To display spreadsheet link codes, the command is:

SpreadsheetShowLinkCode

(

State: Yes!

)


SpreadsheetUpdateOnRetrieve

Purpose

SpreadsheetUpdateOnRetrieve determines whether to update spreadsheet links every time the document containing them is retrieved.

Syntax

SpreadsheetUpdateOnRetrieve (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to update spreadsheet links when retrieved with a document.

0	No!

1	Yes!

See Also

ImportOptionsDlg


Route...

Insert, Spreadsheet/Database, Options, Update on Retrieve.


For Example...

To update all spreadsheet links when the document they are in is retrieved, the command is:

SpreadsheetUpdateOnRetrieve

(

State: Yes!

)


StatusBarShow

Purpose

StatusBarShow determines whether to display the Status Bar. If the parameter is omitted, this command acts as a toggle.

Syntax

StatusBarShow (State:  Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display the Status Bar.

0	Off!

1	On!


Route...

View, Status Bar.


For Example...

To display the status bar, the command is:

StatusBarShow

(

State: On!

)


StyleCodes

Purpose

StyleCodes edits style codes.

This command must be used in conjunction with other commands, such as StyleEditBegin, StyleEditEnd, and SubstructureExit.

Syntax

StyleCodes (State: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to include codes that take effect when the style is turned off.

0	WithoutOffCodes!

1	WithOffCodes!

Library: Numeric Equivalent or Enumerated Type

Specifies where to get the styles codes.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleEditBegin

StyleEditEnd


Route...

Layout, Styles, select a style, Edit, Style Content.


For Example...

To add a Times font code to a style named Heading, the command sequence is:

StyleEditBegin

(

Style: "Heading";

Library: CurrentDoc!

)

StyleCodes

(

State: WithOffCodes!;

Library: CurrentDoc!

)

Font

(

Name: "Times"

)

SubstructureExit ()

StyleEditEnd

(

State: Save!

)


StyleCopy

Purpose

StyleCopy copies a style between the current document, the personal library, and the shared library.

Syntax

StyleCopy (Style: Numeric Equivalent or Enumerated Type; FromLibrary: Numeric Equivalent or Enumerated Type; ToLibrary: Numeric Equivalent or Enumerated Type; NewName: Character Expression)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to copy.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

FromLibrary: Numeric Equivalent or Enumerated Type

Specifies a style library source.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

ToLibrary: Numeric Equivalent or Enumerated Type

Specifies a destination style library.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

NewName: Character Expression (optional)

Specifies a new style name.

See Also

StyleCreate

StyleDelete


Route...

Layout, Styles, select a style, Options, Copy, select a destination, OK, enter a style name (if applicable).


For Example...

To copy a style named Heading from the current document to the personal library, the command is:

StyleCopy

(

Style: "Heading";

FromLibrary: CurrentDoc!;

ToLibrary: PersonalLibrary!;

NewName: "MyStyle"

)


StyleCreate

Purpose

StyleCreate creates a style.

Syntax

StyleCreate (Name: Character Expression; Type: Numeric Equivalent or Enumerated Type; CreateFlag: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies a style name.

Type: Numeric Equivalent or Enumerated Type

Specifies a style type.

1	OpenStyle!

2	CharacterStyle!

3	ParagraphStyle!

CreateFlag: Numeric Equivalent or Enumerated Type

Specifies a pattern to base a style on.

1	CreateFromCurrent!

2	CreateBulletStyle!

3	CreateNumberStyle!

Library: Numeric Equivalent or Enumerated Type

Specifies where to save a style.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleEditBegin

StyleEditEnd


Route...

Layout, Styles, Create, enter a style name, select a style type.


For Example...

To create a paragraph style named Heading and save it in the personal library, the command is:

StyleCreate

(

Name: "Heading";

Type: ParagraphStyle!;

CreateFlag: CreateFromCurrent!;

Library: PersonalLibrary!

)


StyleDelete

Purpose

StyleDelete deletes a style.

Syntax

StyleDelete (Style: Numeric Equivalent or Enumerated Type; Codes: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to delete.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Codes: Numeric Equivalent or Enumerated Type

Determines whether to delete document style codes with the style.

4	IncludingCodes!

5	LeavingCodes!

Library: Numeric Equivalent or Enumerated Type

Specifies the library containing a style to delete.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleCopy

StyleCreate


Route...

Layout, Styles, select a style, Options, Delete, select Include Codes or Leave Codes.


For Example...

To delete a style named Heading from the default personal library, leaving the codes that are part of the style in the document, the command is:

StyleDelete

(

Style: "Heading";

Codes: LeavingCodes!;

Library: PersonalLibrary!

)


StyleDescription

Purpose

StyleDescription changes a style description.

This command must be used in conjunction with other commands, such as StyleEditBegin and StyleEditEnd.

Syntax

StyleDescription (Description: Character Expression)

Parameters

Description: Character Expression

Specifies a style description.

See Also

StyleCreate

StyleEditBegin

StyleEditEnd


Route...

Layout, Style, select a style, Edit, Description, enter a description.


For Example...

To change the description of a style named Heading in the current document, the command sequence is:

StyleEditBegin

(

Style: "Heading";

Library: CurrentDoc!

)

StyleDescription

(

Description: "1st level heading style"

)

StyleEditEnd

(

State: Save!

)


StyleEditBegin

Purpose

StyleEditBegin marks the start of changes to a style.

Any changes must appear between StyleEditBegin and StyleEditEnd.

Syntax

StyleEditBegin (Style: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to edit.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Library: Numeric Equivalent or Enumerated Type

Specifies a style library edit.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleEditEnd


Route...

Layout, Styles, select a style, Edit.


For Example...

To begin editing a style named Heading saved in the current document, the command is:

StyleEditBegin

(

Style: "Heading";

Library: CurrentDoc!

)


StyleEditEnd

Purpose

StyleEditEnd marks the end of changes to a style and determines whether to save the changes.

This command must be used in conjunction with StyleEditBegin.

Syntax

StyleEditEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to save changes made to a style.

0	Cancel!

1	Save!

See Also

StyleEditBegin


Route...

Layout, Styles, select a style, Edit, make editing changes, OK.


For Example...

To end style editing and save changes, the command is:

StyleEditEnd

(

State: Save!

)


StyleEnterKeySetting

Purpose

StyleEnterKeySetting specifies the effect of pressing Enter when a style is on.

This command must be used in conjunction with other commands, such as StyleEditBegin and StyleEditEnd.

Syntax

StyleEnterKeySetting (Action: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies the effect of pressing Enter.

0	HardReturn!

4	StyleOff!

12	StyleOffOn!

See Also

StyleEditBegin

StyleEditEnd

StyleLinkTo


Route...

Layout, Styles, select a style, Edit, Enter Key will Chain to, select an option.


For Example...

To specify that Enter turns off a style named Heading, the command sequence is:

StyleEditBegin

(

Style: "Heading"

)

StyleEnterKeySetting

(

Action: StyleOff!

)

StyleEditEnd

(

State: Save!

)


StyleLinkTo

Purpose

StyleLinkTo specifies a style to turn on when Enter is pressed.

This command must be used in conjunction with other commands, such as StyleEditBegin and StyleEditEnd.

Syntax

StyleLinkTo (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to link to another style.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

StyleEditBegin

StyleEditEnd

StyleEnterKeySetting


Route...

Layout, Styles, select a style, Edit, Enter Key will Chain to, specify a style.


For Example...

To link a style named Body Text to a style named Heading, the command sequence is:

StyleEditBegin

(

Style: "Heading"

)

StyleLinkTo

(

Style: "Body Text"

)

StyleEditEnd

(

State: Save!

)


StyleOff

Purpose

StyleOff turns off a character style.

This command must be used in conjunction with other commands, such as StyleOn.

Syntax

StyleOff (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the name of a style to turn off.  This parameter accepts a character expression to specify a user-defined style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!


Route...

Layout, Styles, select a style, Off.


For Example...

To turn off a style named Description, the command is:

StyleOff

(

Style: "Description"

)


StyleRename

Purpose

StyleRename renames a style.

This command must be used in conjunction with other commands, such StyleEditBegin and StyleEditEnd.

Syntax

StyleRename (Name: Character Expression)

Parameters

Name: Character Expression

Specifies a new style name.

See Also

StyleEditBegin

StyleEditEnd


Route...

Layout, Styles, select a style, Edit, Style Name, enter a name.


For Example...

To rename a style from Heading to Level1, the command sequence is:

StyleEditBegin

(

Style: "Heading"

)

StyleRename

(

Name: "Level1"

)

StyleEditEnd

(

State: Save!

)


StyleRetrieve

Purpose

StyleRetrieve retrieves the styles in a specified style file.

Syntax

StyleRetrieve (File: Character Expression; Styles: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

File: Character Expression

Specifies the name of a style file to retrieve.

Styles: Numeric Equivalent or Enumerated Type

Specifies the type of style to retrieve.

1	UserStyles!

2	SystemStyles!

3	AllStyles!

Library: Numeric Equivalent or Enumerated Type

Specifies a destination library for the retrieved styles.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleSave


Route...

Layout, Style, Options, Retrieve, enter the name of a style file.


For Example...

To retrieve a style file named SCRIPT.STY into the current document, the command is:

StyleRetrieve

(

File: "SCRIPT.STY";

Styles: AllStyles!;

Library: CurrentDoc!

)


StyleSave

Purpose

StyleSave saves styles from a library to a style file.

Syntax

StyleSave (Filename: Character Expression; StyleType: Numeric Equivalent or Enumerated Type; Library: Numeric Equivalent or Enumerated Type)

Parameters

Filename: Character Expression

Specifies the name of a style file to save.

StyleType: Numeric Equivalent or Enumerated Type

Specifies style types to save.

1	UserStyles!

2	SystemStyles!

3	AllStyles!

Library: Numeric Equivalent or Enumerated Type

Specifies the source library of styles to save.

0	CurrentDoc!

1	PersonalLibrary!

2	SharedLibrary!

See Also

StyleRetrieve


Route...

Layout, Styles, Options, Save, enter a style file name.


For Example...

To save the styles in the personal library in a style file named SCRIPT.STY, the command is:

StyleSave

(

Filename: "SCRIPT.STY";

StyleType: UserStyles!;

Library: PersonalLibrary!

)


StylesListDlg

Purpose

StylesListDlg displays the Style List dialog box.

Syntax

StylesListDlg ()


Route...

Layout, Styles.


StyleSystemOn

Purpose

StyleSystemOn turns on a system style or user-defined style.

Syntax

StyleSystemOn (Style: Numeric Equivalent or Enumerated Type or Character Expression; Action: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specifies the name of a system style to turn on.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Action: Numeric Equivalent or Enumerated Type

Determines whether to skip empty paragraphs.

1	SkipEmptyParagraphs!


Route...

Layout, Styles, highlight a system style, Select.


For Example...

To turn on the Heading 1 system style, the command is:

StyleSystemOn

(

Style: Heading1Style!;

Action: SkipEmptyParagraphs!

)


StyleType

Purpose

StyleType specifies a style type.

This command must be used in conjunction with other commands, such as StyleEditBegin and StyleEditEnd.

Syntax

StyleType (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies a style type.

1	OpenStyle!

2	CharacterStyle!

3	ParagraphStyle!

See Also

StyleEditBegin

StyleEditEnd


Route...

Layout, Styles, select a style, Edit, Type, select a type.


For Example...

To specify a paragraph style type for a style named Heading, the command sequence is:

StyleEditBegin

(

Style: "Heading"

)

StyleType

(

Type: ParagraphStyle!

)

StyleEditEnd

(

State: Save!

)


SubdividePage

Purpose

SubdividePage divides a physical page into two or more logical pages.

Syntax

SubdividePage (Columns: Numeric Expression; Rows: Numeric Expression)

Parameters

Columns: Numeric Expression

Specifies the number of logical page columns on a physical page.

Rows: Numeric Expression

Specifies the number of logical page rows on a physical page.


Route...

Layout, Page, Subdivide Page, enter the number of columns and rows.


For Example...

To subdivide a physical page into four logical pages (two columns and two rows), the command is:

SubdividePage

(

Columns: 2;

Rows: 2

)


SubdividePageDlg

Purpose

SubdividePageDlg displays the Subdivide Page dialog box.

Syntax

SubdividePageDlg ()


Route...

Layout, Page, Subdivide Page.


SubdocInclude

Purpose

SubdocInclude inserts a document into the current document as a subdocument.

Syntax

SubdocInclude (DocumentName: Character Expression)

Parameters

DocumentName: Character Expression

Specifies the name of a file to insert as a subdocument.


Route...

File, Master Document, Subdocument, enter a filename.


For Example...

To insert a document named CHAPTER3 as a subdocument, the command is:

SubdocInclude

(

DocumentName: "CHAPTER3"

)


Suppress

Purpose

Suppress turns off specified page formatting item(s) for the current page.

Syntax

Suppress (Item: Numeric Equivalent or Enumerated Type)

Parameters

Item: Numeric Equivalent or Enumerated Type

Specifies page format items to suppress.

0	PageNumbering!

1	PageNumberBottomCenter!

2	HeaderA!

3	HeaderB!

4	FooterA!

5	FooterB!

6	WatermarkA!

7	WatermarkB!


Route...

Layout, Page, Suppress, select items.


For Example...

To turn off Page Numbering and Header A on the current page, the command is:

Suppress

(

Item: PageNumbering!;

Item: HeaderA!

)


SwitchDoc

Purpose

SwitchDoc specifies a document to switch to.

Syntax

SwitchDoc (DocNum: Numeric Expression)

Parameters

DocNum: Numeric Expression


Route...

Window, select document.


For Example...

To switch to document 3, the command is:

SwitchDoc

(

DocNum: 3

)


Tab

Purpose

Tab inserts a tab.

Syntax

Tab ()

See Also

TabKey

TabSet


Route...

Press Tab.


TabAdd

Purpose

TabAdd adds one or more tab sets to the current setting. If the parameter SpaceBetweenTabs is included, all tabs following an added tab will be reset to the new type and spacing.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TabAdd (Position: Numeric Expression; Type: Numeric Equivalent or Enumerated Type; SpaceBetweenTabs: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies a tab position relative to the left edge of the page.

Type: Numeric Equivalent or Enumerated Type

Specifies a tab type.

0	TabLeft!

1	TabCenter!

2	TabRight!

3	TabDecimal!

16	TabLeftDot!

17	TabCenterDot!

18	TabRightDot!

19	TabDecimalDot!

SpaceBetweenTabs: Measurement Expression

Specifies the space between tabs.

See Also

Tab

TabSet


For Example...

To add a center tab 3.2 inches from the left edge of the page, the command is:

TabAdd

(

Position: 3.2";

Type: TabCenter!;

SpaceBetweenTabs: .5"

)


TabDecimal

Purpose

TabDecimal inserts a decimal align tab.

Syntax

TabDecimal (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies whether to include a dot leader.

0	Normal!

1	DotLeader!

See Also

TabCenter

TabLeft

TabRight


Route...

Layout, Line, Other Codes, select Decimal from Hard Tab Codes options or Center from Hard Tab Codes with Dot Leaders options.


For Example...

To insert a decimal tab with a dot leader, the command is:

TabDecimal

(

Type: DotLeader!

)


TabDelete

Purpose

TabDelete deletes one tab setting without affecting any other tab settings.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TabDelete (Position: Measurement Expression)

Parameters

Position: Measurement Expression

Specifies a tab setting position to remove.

See Also

Tab

TabAdd

TabSet


For Example...

To remove a tab setting at 3 inches, the command is:

TabDelete

(

Position: 3"

)


TabInsert

Purpose

TabInsert inserts a tab at the insertion point in the current document or table.

Syntax

TabInsert ()


Route...

Press Ctrl+Tab.


TableAdjustBegin

Purpose

TableAdjustBegin is the opening command of the TableAdjustBegin-TableAdjustEnd statement.

Between these commands may come other commands, such as TableAdjustColumnWidth and TableAdjustPosition.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableAdjustBegin ()


TableAdjustColumnWidth

Purpose

TableAdjustColumnWidth specifies a column width in WordPerfect units (100 units equals one inch).

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableAdjustColumnWidth (Column: Numeric Expression; Width: Numeric Expression)

Parameters

Column: Numeric Expression

Specifies a column number.  The farthest column to the left is 0.

Width: Numeric Expression

Specifies column width.


For Example...

To specify a column width of two inches, the command is:

TableAdjustColumnwidth

(

Column: 1

Width: 200

)


TableAdjustEnd

Purpose

TableAdjustEnd is the closing command of the TableAdjustBegin-TableAdjustEnd statement.

Between these commands may come other commands, such as TableAdjustColumnWidth and TableAdjustPosition.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableAdjustEnd ()


TableAdjustPosition

Purpose

TableAdjustPosition specifies in WordPerfect units the horizontal position of a table relative to the left margin.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableAdjustPosition (Position: Numeric Expression)

Parameters

Position: Numeric Expression

Specifies table position relative to the left margin.


For Example...

To position a table one inch to the right of the left margin, the command is:

TableAdjustPosition

(

Position: 100

)


TableAppendRow

Purpose

TableAppendRow inserts a new row below the current row.

Syntax

TableAppendRow ()

See Also

TableInsertRow


Route...

Press Alt+Shift+Insert.


TableAttributeOff

Purpose

TableAttributeOff turns off one or more character attributes in a table.

Syntax

TableAttributeOff (Attribute: Numeric Equivalent or Enumerated Type)

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn off.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

TableAttributeOn


Route...

Table, Format, Table, deselect options.


For Example...

To turn off all attributes in a Table, the command is:

TableAttributeOff

(

Attribute: Every!

)


TableAttributeOn

Purpose

TableAttributeOn turns on one or more character attributes in a table.

Syntax

TableAttributeOn (Attribute: Numeric Equivalent or Enumerated Type)

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn on.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

See Also

TableAttributeOff


Route...

Table, Format, Table, select options.


For Example...

To turn on Bold and Underline in a table, the command is:

TableAttributeOn

(

Attribute: Bold!;

Attribute: Underline!

)


TableAutoFill

Purpose

TableAutoFill uses TableDataFill to increment values across a row or down a column.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableAutoFill ()


TableAutoFormulaEntry

Purpose

TableAutoFormulaEntry determines whether formulas can be entered in tables at the document level or only in table editing mode.

Syntax

TableAutoFormulaEntry (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether formula entry is on.

0	Off!

1	On!

See Also

TableFormula

TableTextToFormula


Route...

Table, Cell Formula Entry.


For Example...

To allow formula entry at the document level, the command is:

TableAutoFormulaEntry

(

State: On!

)


TableBorder

Purpose

TableBorder specifies a border type for a table.

This command must be used in conjunction with other commands, such as TableBorderEditBegin and TableBorderEditEnd.

Syntax

TableBorder (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a border type.

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

See Also

TableBorderEditBegin

TableBorderEditEnd


Route...

Table, Line/Fill, Table, Border Lines.


For Example...

To specify an extra thick table border, the command sequence is:

TableBorderEditBegin ()

TableBorder

(

Style: ExtraThickBorder!

)

TableBorderEditEnd

(

State: Save!

)


TableBorderEditBegin

Purpose

TableBorderEditBegin initiates table border editing.

Border commands must appear between this command and TableBorderEditEnd.

Syntax

TableBorderEditBegin ()

See Also

TableBorderEditEnd


Route...

Table, Line/Fill, Table, Border Lines.


TableBorderEditEnd

Purpose

TableBorderEditEnd marks the end of table border editing.

This command must be used in conjunction with TableBorderEditBegin.

Syntax

TableBorderEditEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to save changes.

0	Cancel!

1	Save!

See Also

TableBorderEditBegin


Route...

Table, Line/Fill, Table, Border Lines.


For Example...

To specify no table border, the command sequence is:

TableBorderEditBegin ()

TableBorder

(

State: NoBorder!

)

TableBorderEditEnd

(

State: Save!

)


TableCalculate

Purpose

TableCalculate calculates formula values in the current table.

Syntax

TableCalculate ()

See Also

TableCalculateAll

TableFormula


Route...

Table, Calculate, Calc Table.


TableCalculateAll

Purpose

TableCalculateAll calculates formula values for all tables and floating cells in the current document.

Syntax

TableCalculateAll ()

See Also

TableCalculate


Route...

Table, Calculate, Calc Document.


TableCalculateDlg

Purpose

TableCalculateDlg displays the Calculate dialog box.

Syntax

TableCalculateDlg ()


Route...

Table, Calculate.


TableCellAttributeOff

Purpose

TableCellAttributeOff turns off one or more character attributes in a table cell.

Syntax

TableCellAttributeOff (Attribute: Numeric Equivalent or Enumerated Type)

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn off.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

TableCellAttributeOn


Route...

Table, Format, Cell, deselect options.


For Example...

To turn off Bold and Underline in a table cell, the command is:

TableCellAttributeOff

(

Attribute: Bold!;

Attribute: Underline!

)


TableCellAttributeOn

Purpose

TableCellAttributeOn turns on one or more character attributes in a table cell.

Syntax

TableCellAttributeOn (Attribute: Numeric Equivalent or Enumerated Type)

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn on.  You may list more than one attribute.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

See Also

TableCellAttributeOff


Route...

Table, Format, Cell, select options.


For Example...

To turn on Italics and Large in a table cell, the command is:

TableCellAttribute

(

Attribute: Italics!;

Attribute: Large!

)


TableCellCopy

Purpose

TableCellCopy specifies where in a table to copy the contents of a cell.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be followed by EditCopy and EditPaste.

Syntax

TableCellCopy (CopyType: Numeric Equivalent or Enumerated Type; Count: Numeric Expression)

Parameters

CopyType: Numeric Equivalent or Enumerated Type

Determines whether to copy the contents of the current cell down, to the right, or to a specific cell.

0	Down!

3	Right!

4	Cell!

Count: Numeric Expression (optional)

Specifies the number of cells to copy down or to the right.  This parameter is used only when Down! or Right! is selected as the destination parameter.

See Also

EditCopy

EditPaste


For Example...

To copy the contents of a cell four times to the right, the command sequence is:

TableSelectOn

(

SelectionMode: Cell!

)

TableCellCopy

(

CopyType: Right!;

Count: 4

)

EditCopy ()

EditPaste ()


TableCellFillColors

Purpose

TableCellFillColors specifies foreground and background colors for a cell or blocked cells.

Syntax

TableCellFillColors (BackColorName: Character Expression; BackColorRed: Numeric Expression; BackColorGreen: Numeric Expression; BackColorBlue: Numeric Expression; BackColorShade: Numeric Expression; ForeColorName: Character Expression; ForeColorRed: Numeric Expression; ForeColorGreen: Numeric Expression; ForeColorBlue: Numeric Expression; ForeColorShade: Numeric Expression)

Parameters

BackColorName: Character Expression (optional)

Specifies a predefined color name.

BackColorRed: Numeric Expression (optional)

Specifies the amount of red in a custom color.  Values range from 0 to 255.

BackColorGreen: Numeric Expression (optional)

Specifies the amount of green in a custom color.  Values range from 0 to 255.

BackColorBlue: Numeric Expression (optional)

Specifies the amount of blue in a custom color.  Values range from 0 to 255.

BackColorShade: Numeric Expression (optional)

Specifies the shading percentage in a custom color.

ForeColorName: Character Expression (optional)

Specifies a predefined color name.

ForeColorRed: Numeric Expression (optional)

Specifies the amount of red in a custom color.  Values range from 0 to 255.

ForeColorGreen: Numeric Expression (optional)

Specifies the amount of green in a custom color.  Values range from 0 to 255.

ForeColorBlue: Numeric Expression (optional)

Specifies the amount of blue in a custom color.  Values range from 0 to 255.

ForeColorShade: Numeric Expression (optional)

Specifies the shading percentage in a custom color.

See Also

TableCellFillStyle


Route...

Table, Lines/Fill, select a Fill Style, foreground color, background color.


For Example...

To specify a cyan foreground and a magenta background, the command is:

TableCellFillColors

(

BackColorName: "Cyan";

BackColorRed: 0;

BackColorGreen: 255;

BackColorBlue: 255;

BackColorShade: 100;

ForeColorName: "Magenta";

ForeColorRed: 255;

ForeColorGreen: 0;

ForeColorBlue: 255;

ForeColorShade: 100

)


TableCellFillStyle

Purpose

TableCellFillStyle specifies a shading style for a cell or blocked cells.

Syntax

TableCellFillStyle (FillPattern: Numeric Equivalent or Enumerated Type)

Parameters

FillPattern: Numeric Equivalent or Enumerated Type

Specifies a fill style.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

See Also

TableCellFillColors


Route...

Table, Lines/Fill, CurrentCell or Selection, select a Fill Style.


For Example...

To fill a table cell with 20% shading, the command is:

TableCellFillStyle

(

FillPattern: Fill20!

)


TableCellIgnoreCalculation

Purpose

TableCellIgnoreCalculation specifies a cell or blocked cells to ignore when table calculations are performed.

Syntax

TableCellIgnoreCalculation (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to ignore the current cell or blocked cells when calculating formulas.

0	No!

1	Yes!

See Also

TableCalculate


Route...

Table, Format, Ignore Cell When Calculating.


For Example...

To ignore the current cell when calculating, the command is:

TableCellIgnoreCalculation

(

State: Yes!

)


TableCellJustification

Purpose

TableCellJustification specifies the justification for a cell or blocked cells.

Syntax

TableCellJustification (JustifyMode: Numeric Equivalent or Enumerated Type)

Parameters

JustifyMode: Numeric Equivalent or Enumerated Type

Specifies the justification for a cell or blocked cells.

0	Left!

1	Full!

2	Center!

3	Right!

4	FullAll!

5	DecAlign!

See Also

TableColumnJustification

TableFormatJustification


Route...

Table, Format, Justification, select option.


For Example...

To specify right justification for a cell, the command is:

TableCellJustification

(

JustifyMode: Right!

)


TableCellLine

Purpose

TableCellLine changes specified lines around a cell or blocked cells, or in between blocked cells.

Syntax

TableCellLine (Position: Numeric Equivalent or Enumerated Type; Style: Numeric Equivalent or Enumerated Type)

Parameters

Position: Numeric Equivalent or Enumerated Type

Specifies a line or lines to change.

0	Left!

1	Top!

2	Inside!

3	Right!

4	Bottom!

5	Outside!

Style: Numeric Equivalent or Enumerated Type

Specifies a line style.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

TableCellLineColor


Route...

Table, Lines/Fill, Current Cell or Selection, select options from the Line Styles group box.


For Example...

To create a thick line around a blocked cells, the command is:

TableCellLine

(

Position: Outside!;

Style: ThickLine!

)


TableCellLineColor

Purpose

TableCellLineColor specifies the line color of a cell or blocked cells.

Syntax

TableCellLineColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a predefined color name.

Red: Numeric Expression (optional)

Specifies the amount of red in a custom color.  Values range from 0 to 255.

Green: Numeric Expression (optional)

Specifies the amount of green in a custom color.  Values range from 0 to 255.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a custom color.  Values range from 0 to 255.

Shade: Numeric Expression (optional)

Specifies the shading percentage in a custom color.

See Also

TableCellLine


Route...

Table, Lines/Fill, select a color from the Line Color group box.


For Example...

To specify magenta cell lines, the command is:

TableCellLineColor

(

ColorName: "Magenta";

Red: 255;

Green: 0;

Blue: 255;

Shade: 100

)


TableCellLock

Purpose

TableCellLock determines whether to lock a cell or selected cells to prevent editing.

Syntax

TableCellLock (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to lock a cell or blocked cells.

0	No!

1	Yes!


Route...

Table, Format, Lock.


For Example...

To lock a cell, the command is:

TableCellLock

(

State: Yes!

)


TableCellNumberAlignCurrency

Purpose

TableCellNumberAlignCurrency aligns currency symbols in a block of cells.

Syntax

TableCellNumberAlignCurrency (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to align currency symbols.

0	No!

1	Yes!

See Also

TableCellNumberSelectCurrency


Route...

Table, Number Type, Currency.


For Example...

To align currency symbols, the command is:

TableCellNumberAlignCurrency

(

State: Yes!

)


TableCellNumberDateFormat

Purpose

TableCellNumberDateFormat specifies a date format for a cell or blocked cells.

Syntax

TableCellNumberDateFormat (DateFormatNumber: Numeric Expression)

Parameters

DateFormatNumber: Numeric Expression

Specifies a date format.

1	July 5, 1959

2	7/5/59

3	Jul 5, 1959

4	5 July 1959

5	Sunday, July 5, 1959

6	12:00 pm

7	05Jul59

8	July 5, 1959 (12:00pm)

9	1959-07-05

10	7/5

11	Jul 5

12	12:00:00

See Also

TableCellNumberFormat


Route...

Table, Number Type, Date/Time, Custom, select a Date/Time type.


For Example...

To display the date in the format Sunday, July 5, 1959, the command is:

TableCellNumberDateFormat

(

DateFormatNumber: 5

)


TableCellNumberDecimalDigits

Purpose

TableCellNumberDecimalDigits specifies how many digits appear after the decimal point.

Use with the Fixed2! option of TableCellNumberFormat.

Syntax

TableCellNumberDecimalDigits (NumDigits: Numeric Expression)

Parameters

NumDigits: Numeric Expression

Specifies how many digits appear after the decimal point.

See Also

TableCellNumberFormat


Route...

Table, Number Type, Fixed, Custom, specify Digits after Decimal.


For Example...

To specify that three digits appear after the decimal point, the command sequence is:

TableCellNumberDecimalDigits

(

NumDigits: 3

)


TableCellNumberFormat

Purpose

TableCellNumberFormat specifies a number format for a cell or blocked cells.

Syntax

TableCellNumberFormat (FormatType: Numeric Equivalent or Enumerated Type)

Parameters

FormatType: Numeric Equivalent or Enumerated Type

Specifies a number format.

0	General!

1	Integer!

2	Fixed2!

3	Percent!

4	Currency!

5	Accounting!

6	Commas!

7	Scientific!

8	DateFormat!

9	TextOnly!

See Also

TableCellNumberAlignCurrency

TableCellNumberDateFormat

TableCellNumberDecimalDigits

TableCellNumberRound

TableCellNumberSelectCurrency


Route...

Table, Number Type.


For Example...

To specify currency as the number type, the command is:

TableCellNumberFormat

(

FormatType: Currency!

)


TableCellNumberNegativeNumber

Purpose

TableCellNumberNegativeNumber specifies how to display negative numbers in the current cell or block of cells.

Syntax

TableCellNumberNegativeNumber  (NegDisplayType: Numeric Equivalent or Enumerated Type)

Parameters

NegDisplayType: Numeric Equivalent or Enumerated Type

Specifies a display style for negative numbers.

0	Minus!

1	Parentheses!

2	CRDR!


Route...

Table, Number Types, General, Custom, select a Negative Numbers option.


For Example...

To display numbers using the Credit/Debit method, the command is:

TableCellNumberNegativeNumber

(

NegDisplayType: CRDR!

)


TableCellNumberRound

Purpose

TableCellNumberRound specifies a method for converting numbers entered as decimals to integers.

Use with the Integer! option of TableCellNumberFormat.

Syntax

TableCellNumberRound (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to round off numbers or truncate them when converting to integers.

0	No!

1	Yes!

See Also

TableCellNumberFormat


Route...

Table, Number Type, Integer, Custom, Round for Calculation.


For Example...

To round off numbers after the decimal point when converting them to integers, the command is:

TableCellNumberRound

(

State: Yes!

)


TableCellNumberSelectCurrency

Purpose

TableCellNumberSelectCurrency specifies a currency type for the current cell or block of cells.

Syntax

TableCellNumberSelectCurrency (IntlCurrency: Numeric Equivalent or Enumerated Type)

Parameters

IntlCurrency: Numeric Equivalent or Enumerated Type

Specifies a currency type.

1	Dollar!

2	Peso!

3	FrenchCanada!

4	Canada!

5	Brazil!

6	Denmark!

7	Peseta!

8	Croatia!

9	CzechRepublic!

10	SlovakRepublic!

11	Finland!

12	FinlandIntl!

13	France!

14	Germany!

15	Greece!

16	Hungary!

17	Iceland!

18	Italy!

19	Japan!

20	Netherlands!

21	Norway!

22	NorwayIntl!

23	Ruble!

24	RussianRuble!

25	SouthAfrica!

26	Sweden!

27	Turkey!

28	UnitedKingdom!

29	Switzerland!

30	Austria!

31	Belgium!

32	Ecuador!

33	ElSalvador!

34	Guatemala!

35	Honduras!

36	Paraguay!

37	Venezuela!

38	Poland!

39	Slovenia!

See Also

TableCellNumberAlignCurrency

TableCellNumberFormat


Route...

Table, Number Type, Currency, Custom, select a symbol.


For Example...

To specify pesos as the currency type, the command is:

TableCellNumberSelectCurrency

(

IntlCurrency: Peso!

)


TableCellNumberUseCommas

Purpose

TableCellNumberUseCommas displays commas in numbers with more than three digits to the left of the decimal point.

Syntax

TableCellNumberUseCommas  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display commas in numbers with more than three digits to the left of the decimal point.

0	No!

1	Yes!

See Also

TableCellNumberFormat


Route...

Table, Number Type, Commas.


For Example...

To display commas in numbers, the command is:

TableCellNumberUseCommas

(

State: Yes!

)


TableCellNumberUseCurrency

Purpose

TableCellNumberUseCurrency displays a currency symbol with numbers.

Syntax

TableCellNumberUseCurrency  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display numbers with a currency symbol.

0	No!

1	Yes!

See Also

TableCellNumberFormat


Route...

Table, Number Type, Currency.


For Example...

To display a currency symbol with numbers, the command is:

TableCellNumberUseCurrency

(

State: Yes!

)


TableCellUseColumnAttribute

Purpose

TableCellUseColumnAttribute determines whether to use the specified column attribute in the current cell or blocked cells.

Syntax

TableCellUseColumnAttribute  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to use the specified column attribute in the current cell(s).

0	No!

1	Yes!

See Also

TableCellUseColumnJust


Route...

Table, Format, Cell, Use Column Appearance and Text Size.


For Example...

To use the specified column attribute in the current cell, the command is:

TableCellUseColumnAttribute

(

State: Yes!

)


TableCellUseColumnJust

Purpose

TableCellUseColumnJust determines whether to use the current column justification in the current cell.

Syntax

TableCellUseColumnJust (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to use the current column justification in the current cell(s).

0	No!

1	Yes!

See Also

TableCellUseColumnAttribute

TableCellUseColumnNumberType


Route...

Table, Format, Cell, Use Column Justification.


For Example...

To use the current column justification in the current cell, the command is:

TableCellUseColumnJust

(

State: Yes!

)


TableCellUseColumnNumberType

Purpose

TableCellUseColumnNumberType determines whether to use the current column number type in a cell or blocked cells.

Syntax

TableCellUseColumnNumberType  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to use the current column number type in the current cell(s).

0	No!

1	Yes!

See Also

TableCellUseColumnAttribute

TableCellUseColumnJust


Route...

Table, Number Type, Use Column Type.


For Example...

To use the current column number type in the current cell, the command is:

TableCellUseColumnNumberType

(

State: Yes!

)


TableCellUseLineColor

Purpose

TableCellUseLineColor specifies a default line color for lines around a cell or block of cells.

Syntax

TableCellUseLineColor ()

See Also

LineStyleEdit

TableCellLineColor


Route...

Table, Lines/Fill, deselect Custom Color.


TableCellVerticalAlignment

Purpose

TableCellVerticalAlignment specifies vertical alignment for a cell or blocked cells.

Syntax

TableCellVerticalAlignment  (Alignment: Numeric Equivalent or Enumerated Type)

Parameters

Alignment: Numeric Equivalent or Enumerated Type

Specifies vertical alignment for a cell or blocked cells.

1	Top!

2	Center!

4	Bottom!

See Also

TableCellJustification


Route...

Table, Format, Cell, select a Vertical Alignment.


For Example...

To align text at the bottom, the command is:

TableCellVerticalAlignment

(

Alignment: Bottom!

)


TableColumnAttributeOff

Purpose

TableColumnAttributeOff turns off one or more character attributes in a table column.

Syntax

TableColumnAttributeOff  (Attributes: Numeric Equivalent or Enumerated Type)

Parameters

Attributes: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn off.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

16	Every!

See Also

TableColumnAttributeOn


Route...

Table, Format, Column, deselect attributes in the Appearance group box.


For Example...

To turn off Bold in a table column, the command is:

TableColumnAttributeOff

(

Attributes: Bold!

)


TableColumnAttributeOn

Purpose

TableColumnAttributeOn turns on one or more character attributes in a table column.

Syntax

TableColumnAttributeOn  (Attribute: Numeric Equivalent or Enumerated Type)

Parameters

Attribute: Numeric Equivalent or Enumerated Type

Specifies an attribute to turn on.

0	ExtraLarge!

1	VeryLarge!

2	Large!

3	Small!

4	Fine!

5	Superscript!

6	Subscript!

7	Outline!

8	Italics!

9	Shadow!

10	Redline!

11	DoubleUnderline!

12	Bold!

13	Strikeout!

14	Underline!

15	SmallCaps!

See Also

TableColumnAttributeOff


Route...

Table, Format, Column, select attributes in the Appearance group box.


For Example...

To turn on Bold in a table column, the command is:

TableColumnAttributeOn

(

Attribute: Bold!

)


TableColumnDecimalAlignDigits

Purpose

TableColumnDecimalAlignDigits specifies the number of digit places that appear between the decimal point and the right edge of cells in the current column.

This command applies only to cells with decimal align justification.

Syntax

TableColumnDecimalAlignDigits  (Digits: Numeric Expression)

Parameters

Digits: Numeric Expression

Specifies the number of digit places that appear between the decimal point and the right edge of the cells in the current column.

See Also

TableCellJustification

TableColumnDecimalAlignDist

TableColumnJustification

TableFormatJustification


Route...

Table, Format, Column, Justification, Decimal Align, Digits after Decimal, specify number of digits.


For Example...

To specify three digit places between the decimal point and the right edge of the cells in the current column, the command is:

TableColumnDecimalAlignDigits

(

Digits: 3

)


TableColumnDecimalAlignDist

Purpose

TableColumnDecimalAlignDist specifies the distance between the decimal point and the right edge of cells in the current column.

This command applies only to cells with decimal align justification.

Syntax

TableColumnDecimalAlignDist  (Distance: Measurement Expression)

Parameters

Distance: Measurement Expression

Specifies the distance between the decimal point and the right edge of cells in the current column.

See Also

TableCellJustification

TableColumnDecimalAlignDigit

TableColumnJustification

TableFormatJustification


Route...

Table, Format, Justification, Decimal Align, Position from Right, specify a distance.


For Example...

To specify 0.2 inches between the decimal point and the right edge of the cells in the current column, the command is:

TableColumnDecimalAlignDist

(

Distance: 0.2"

)


TableColumnFixedWidth

Purpose

TableColumnFixedWidth designates a column width as fixed.

Syntax

TableColumnFixedWidth  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether a column has a fixed width.

0	No!

1	Yes!

See Also

TableColumnsFixedWidth

TableColumnWidth


Route...

Table, Format, Column, Fixed Width.


For Example...

To designate a column width as fixed, the command is:

TableColumnFixedWidth

(

State: Yes!

)


TableColumnWidthGrow

Purpose

TableColumnWidthGrow increases the size of a table column.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableColumnWidthGrow ()


TableColumnJustification

Purpose

TableColumnJustification specifies the justification for a column.

Syntax

TableColumnJustification  (Mode: Numeric Equivalent or Enumerated Type)

Parameters

Mode: Numeric Equivalent or Enumerated Type

Specifies column justification.

0	Left!

1	Full!

2	Center!

3	Right!

4	FullAll!

5	DecAlign!

See Also

TableCellJustification

TableFormatJustification


Route...

Table, Format, Column, select a justification option.


For Example...

To specify right justification for a column, the command is:

TableColumnJustification

(

Mode: Right!

)


TableColumnMarginLeft

Purpose

TableColumnMarginLeft specifies the amount of space between the left edge of a column and the text in the column.

Syntax

TableColumnMarginLeft  (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies the amount of space between the left edge of a table column and the text in the column.

See Also

TableColumnMarginRight

TableMarginLeft

TableMarginRight


Route...

Table, Format, Column, specify a left margin.


For Example...

To specify a left column margin of 0.2 inches, the command is:

TableColumnMarginLeft

(

Margin: 0.2"

)


TableColumnMarginRight

Purpose

TableColumnMarginRight specifies the amount of space between the right edge of a column and the text in the column.

Syntax

TableColumnMarginRight  (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies the amount of space between the right edge of a table column and the text in the column.

See Also

TableColumnMarginLeft

TableMarginLeft

TableMarginRight


Route...

Table, Format, Column, specify a right margin.


For Example...

To specify a right column margin of 0.5 inches, the command is:

TableColumnMarginRight

(

Margin: 0.5"

)


TableColumnNumberAlignCurrency

Purpose

TableColumnNumberAlignCurrency aligns currency symbols in a column.

Syntax

TableColumnNumberAlignCurrency  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to align currency symbols in the current column.

0	No!

1	Yes!

See Also

TableColumnNumberSelCurrency


Route...

Table, Number Type, Column, Currency, Custom, Align Currency Symbol.


For Example...

To align currency symbols in the current column, the command is:

TableColumnNumberAlignCurrency

(

State: Yes!

)


TableColumnNumberDateFormat

Purpose

TableColumnNumberDateFormat specifies a date format for displaying dates in the current column.

Syntax

TableColumnNumberDateFormat  (DateFmtNum: Numeric Expression)

Parameters

DateFmtNum: Numeric Expression

Specifies a date format.

1	July 5, 1959

2	7/5/59

3	Jul 5, 1959

4	5 July 1959

5	Sunday, July 5, 1959

6	12:00 pm

7	5Jul59

8	July 5, 1959 (12:00pm)

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, Date/Time, Custom, select a Date/Time type.


For Example...

To display the date in the format Sunday, July 5, 1959, the command is:

TableColumnNumberDateFormat

(

DateFmtNum: 5

)


TableColumnNumberDecimalDigits

Purpose

TableColumnNumberDecimalDigits specifies how many digits appear after the decimal point.

This command must be preceded by TableColumnNumberFormat.  It is used with the Fixed2! option of TableColumnNumberFormat.

Syntax

TableColumnNumberDecimalDigits  (NumDigits: Numeric Expression)

Parameters

NumDigits: Numeric Expression

Specifies how many digits appear after the decimal point.

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, Fixed, Custom, Digits after Decimal, specify number of digits.


For Example...

To specify that three digits appear after the decimal point, the command sequence is:

TableColumnNumberFormat

(

FormatType: Fixed2!

)

TableColumnNumberDecimalDigits

(

NumDigits: 3

)


TableColumnNumberFormat

Purpose

TableColumnNumberFormat specifies a number format for the current column.

Syntax

TableColumnNumberFormat  (FormatType: Numeric Equivalent or Enumerated Type)

Parameters

FormatType: Numeric Expression

Specifies a number format.

0	General!

1	Integer!

2	Fixed2!

3	Percent!

4	Currency!

5	Accounting!

6	Commas!

7	Scientific!

8	DateFormat!

9	TextOnly!

See Also

TableColumnNumberAlignCurrency

TableColumnNumberDateFormat

TableColumnNumberDecimalDigits

TableColumnNumberRound

TableColumnNumberSelCurrency


Route...

Table, Number Type, Column, select an Available Type.


For Example...

To specify currency as the number type, the command is:

TableColumnNumberFormat

(

FormatType: Currency!

)


TableColumnNumberNegNumber

Purpose

TableColumnNumberNegNumber specifies how to display negative numbers in the current column.

Syntax

TableColumnNumberNegNumber  (NegDisplayType: Numeric Equivalent or Enumerated Type)

Parameters

NegDisplayType: Numeric Equivalent or Enumerated Type

Specifies a negative numbers display style.

0	Minus!

1	Parentheses!

2	CRDR!


Route...

Table, Number Type, Column, Integer, Custom, select an option from the Negative Numbers group box.


For Example...

To display numbers in the Credit/Debit style, the command is:

TableColumnNumberNegNumber

(

NewDisplayType: CRDR!

)


TableColumnNumberRound

Purpose

TableColumnNumberRound specifies how to convert numbers entered as decimals to integers in the current column.

Use with the Integer! option of TableColumnNumberFormat.

Syntax

TableColumnNumberRound  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to round off numbers or truncate them when converting to integers.

0	No!

1	Yes!

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, Integer, Custom, Round for Calculation.


For Example...

To round off numbers after the decimal point when converting them to integers, the command sequence is:

TableColumnNumberFormat

(

FormatType: Integer!

)

TableColumnNumberRound

(

State: Yes!

)


TableColumnNumberSelCurrency

Purpose

TableColumnNumberSelCurrency specifies a currency type for the current column.

Syntax

TableColumnNumberSelCurrency  (IntlCurrency: Numeric Equivalent or Enumerated Type)

Parameters

IntlCurrency: Numeric Equivalent or Enumerated Type

Specifies a currency type.

0	DefaultCurrency!

1	Dollar!

2	Peso!

3	FrenchCanada!

4	Canada!

5	Brazil!

6	Denmark!

7	Peseta!

8	Croatia!

9	CzechRepublic!

10	SlovakRepublic!

11	Finland!

12	FinlandIntl!

13	France!

14	Germany!

15	Greece!

16	Hungary!

17	Iceland!

18	Italy!

19	Japan!

20	Netherlands!

21	Norway!

22	NorwayIntl!

23	Ruble!

24	RussianRuble!

25	SouthAfrica!

26	Sweden!

27	Turkey!

28	UnitedKingdom!

29	Switzerland!

30	Austria!

31	Belgium!

32	Ecuador!

33	ElSalvador!

34	Guatemala!

35	Honduras!

36	Paraguay!

37	Venezuela!

38	Poland!

39	Slovenia!

See Also

TableColumnNumberAlignCurrency

TableColumnNumberFormat


Route...

Table, Number Type, Column, Currency, Custom, Symbol, select a currency type.


For Example...

To specify pesos as the currency type, the command is:

TableColumnNumberSelCurrency

(

IntCurrency: Peso!

)


TableColumnNumberUseCommas

Purpose

TableColumnNumberUseCommas displays commas in numbers with more than three digits to the left of the decimal point.

Syntax

TableColumnNumberUseCommas  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display commas in numbers with more than three digits to the left of the decimal point.

0	No!

1	Yes!

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, Commas.


For Example...

To display commas in numbers, the command is:

TableColumnNumberUseCommas

(

State: Yes!

)


TableColumnNumberUseCurrency

Purpose

TableColumnNumberUseCurrency displays a currency symbol with numbers.

Syntax

TableColumnNumberUseCurrency  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display numbers with a currency symbol.

0	No!

1	Yes!

See Also

TableColumnNumberFormat


Route...

Table, Number Type, Column, Currency, Custom, Use Currency Symbol.


For Example...

To display a currency symbol with numbers, the command is:

TableColumnNumberUseCurrency

(

State: Yes!

)


TableColumnsFixedWidth

Purpose

TableColumnsFixedWidth designates the width of columns in a table as fixed.

Syntax

TableColumnsFixedWidth  (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether the width of columns in a table is fixed.

0	No!

1	Yes!

See Also

TableColumnFixedWidth


Route...

Table, Format, Column, Fixed Width.


For Example...

To designate the width of columns in a table as fixed, the command is:

TableColumnsFixedWidth

(

State: Yes!

)


TableColumnWidthShrink

Purpose

TableColumnWidthShrink decreases the size of a table column.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableColumnWidthShrink ()


TableColumnWidth

Purpose

TableColumnWidth specifies the width of the current column.

Syntax

TableColumnWidth  (ColumnWidth: Measurement Expression)

Parameters

ColumnWidth: Measurement Expression

Specifies a column width.

See Also

TableColumnFixedWidth

TableFormatWidths


Route...

Table, Format, Column, Width, specify a width.


For Example...

To specify a column width of 1.5 inches, the command is:

TableColumnWidth

(

ColumnWidth: 1.5"

)


TableConvertDlg

Purpose

TableConvertDlg displays the Convert Table dialog box.

If no text is selected, this command terminates the macro or redirects macro execution to the LABEL specified by ONERROR.

Syntax

TableConvertDlg ()


Route...

Layout, Tables, Create.


TableConvertFrom

Purpose

TableConvertFrom converts blocked text in tabular or parallel columns to a table.

Syntax

TableConvertFrom  (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type

Specifies whether text to convert is in tabular columns (the text in each column is separated by tabs or indents) or parallel columns.

0	TabularColumns!

1	ParallelColumns!

See Also

TableCreate


Route...

Table, Create, select an option.


For Example...

To convert text from tabular columns to a table, the command is:

TableConvertFrom

(

Type: TabularColumns!

)


TableCopy

Purpose

TableCopy copies the contents of selected cells, the current column, or the current row.

This command is not recordable.  To use this command, you must type it into the macro.

This command must be followed by TableMoveModeCancel or TableMoveModeEnd.  Selected cells can be inserted into the table using TableMoveModeEnd.

Syntax

TableCopy  (Copy: Numeric Equivalent or Enumerated Type)

Parameters

Copy: Numeric Equivalent or Enumerated Type

Determines whether to copy blocked cells, the current row, or the current column.

1	Block!

2	Row!

3	Column!

See Also

TableMove


For Example...

To copy the contents of the current column, the command is:

TableCopy

(

Copy: Column!

)


TableCopyFormula

Purpose

TableCopyFormula copies a formula to the current cell.

Syntax

TableCopyFormula (CellIDCntToCell: Numeric Equivalent or Enumerated Type; Where: Character Expression)

Parameters

CellIDCntToCell: Numeric Equivalent or Enumerated Type

Specifies where to move the insertion point.

0	Down!

3	Right!

4	Cell!

Where: Character Expression

Specifies a formula to copy.


Route...

Table, Copy Formula.


For Example...

To copy a formula down one cell, the command is:

TableCopyFormula

(

CellIDCntToCell: Down!

Where: "A1+A2"

)


TableCreate

Purpose

TableCreate creates a table.

Syntax

TableCreate  (Columns: Numeric Expression; Rows: Numeric Expression)

Parameters

Columns: Numeric Expression

Specifies the number of columns to create.

Rows: Numeric Expression

Specifies the number of rows to create.

See Also

TableConvertFrom

TableJoin

TableSplit


Route...

Table, Create, specify number of columns and rows.


For Example...

To create a table with three columns and five rows, the command is:

TableCreate

(

Columns: 3;

Rows: 5

)


TableCreateDlg

Purpose

TableCreateDlg opens the Create Table dialog box.

Syntax

TableCreateDlg ()

See Also

TableCreate


Route...

Table, Create.


TableCreateNewDlg

Purpose

TableCreateNewDlg displays the Create Table dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableCreateNewDlg ()

See Also

TableCreate


TableDataFill

Purpose

TableDataFill fills a cell with a formula or data.

You must have at least two cells selected, and one must contain data or a formula.

Syntax

TableDataFill ()


Route...

Table, Data Fill.


TableDecimalAlignmentDigits

Purpose

TableDecimalAlignmentDigits specifies the number of digit places between the decimal point and the right edge of cells in the current table.

This command applies only to cells with decimal align justification.

Syntax

TableDecimalAlignmentDigits  (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies the number of digit places between the decimal point and the right edge of cells.

See Also

TableDecimalAlignmentDistance

TableFormatJustification


Route...

Table, Format, Table, Justification, Decimal Align, Digits after Decimal, specify a number.


For Example...

To specify three digit places between the decimal point and the right edge of cells in the current table, the command is:

TableDecimalAlignmentDigits

(

Number: 3

)


TableDecimalAlignmentDistance

Purpose

TableDecimalAlignmentDistance specifies the distance between the decimal point and the right edge of cells in the current table.

This command applies only to cells with decimal align justification.

Syntax

TableDecimalAlignmentDistance  (Position: Measurement Expression)

Parameters

Position: Measurement Expression

Specifies the distance between the decimal point and the right edge of cells in the current table.

See Also

TableDecimalAlignmentDigits

TableFormatJustification


Route...

Table, Format, Table, Justification, Decimal Align, Position from Right, specify a distance.


For Example...

To specify 0.2 inches between the decimal point and the right edge of cells in the current table, the command is:

TableDecimalAlignmentDistance

(

Position: 0.2"

)


TableDefaultLine

Purpose

TableDefaultLine changes the default line style for a table.

Syntax

TableDefaultLine  (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies the line style.  This parameter also accepts a user defined graphic line style, enclosed in double quotation marks.

0	SingleLine!

1	DoubleLine!

2	DashedLine!

3	DottedLine!

4	ThickLine!

5	ExtraThickLine!

6	ThinThickLine!

7	ThickThinLine!

8	ButtonTopLeftLine!

9	ButtonBottomRightLine!

126	TableDefaultLine!

127	NoLine!

See Also

TableCellLine


Route...

Table, Lines/Fill, Table, select a style from the Default Line Style palette or drop-down list.


For Example...

To specify a dotted line as the default table line style, the command is:

TableDefaultLine

(

Style: DottedLine!

)


TableDefaultLineColor

Purpose

TableDefaultLineColor specifies the default line color for a table.

Syntax

TableDefaultLineColor  (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; Shade: Numeric Expression)

Parameters

ColorName: Character Expression (optional)

Specifies a predefined color name.

Red: Numeric Expression (optional)

Specifies the amount of red in a custom color.  Values range from 0 to 255.

Green: Numeric Expression (optional)

Specifies the amount of green in a custom color.  Values range from 0 to 255.

Blue: Numeric Expression (optional)

Specifies the amount of blue in a custom color.  Values range from 0 to 255.

Shade: Numeric Expression (optional)

Specifies the shading percentage in a custom color.  Values range from 1 to 100.

See Also

TableCellLineColor


Route...

Table, Lines/Fill, Table, Custom Color, choose a color from the pop-up palette.


For Example...

To specify magenta default table lines, the command is:

TableDefaultLineColor

(

ColorName: "Magenta";

Red: 255;

Green: 0;

Blue: 255;

Shade: 100

)


TableDeleteBlock

Purpose

TableDeleteBlock deletes the contents of blocked cells.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

TableDeleteBlock ()

See Also

TableDeleteColumn

TableDeleteRow

TableUndelete


TableDeleteColumn

Purpose

TableDeleteColumn deletes one or more table columns.

Syntax

TableDeleteColumn  (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies the number of columns to delete, beginning with the current column and moving left.  If you omit this parameter, this command deletes the current column or selected columns.

See Also

TableDeleteBlock

TableDeleteRow

TableUndelete


Route...

Table, Delete, Columns, specify a number of columns to delete.


For Example...

To delete one column, the command is:

TableDeleteColumn

(

Number: 1

)


TableDeleteDlg

Purpose

TableDeleteDlg displays the Delete Rows/Columns dialog box.

Syntax

TableDeleteDlg ()

See Also

TableDeleteColumn

TableDeleteRow


Route...

Table, Delete.


TableDeleteRow

Purpose

TableDeleteRow deletes one or more table rows.

Syntax

TableDeleteRow (Number: Numeric Expression)

Parameters

Number: Numeric Expression

Specifies the number of rows to delete, beginning with the current row and moving down.  If you omit this parameter, this command deletes the current row or selected rows.

See Also

TableDeleteColumn

TableDeleteDlg


Route...

Table, Delete, Rows, specify the number of rows to delete.


For Example...

To delete a specified number of selected table rows, the command is:

TableDeleteRow

(

Number: 5

)


TableDeleteTable

Purpose

TableDeleteTable deletes a table or its contents, or it converts a table's cells to tabs or merge codes.

Syntax

TableDeleteTable (DelWhat: Numeric Equivalent or Enumerated Type)

Parameters

DelWhat: Numeric Equivalent or Enumerated Type

Performs different actions in a table according to the parameter options: EntireTable! deletes a table; ConvertOnly! deletes only cell contents; ConvertToTabs! converts cells to tabs; ConvertToMerge! converts the cells of each row to ENDFIELD codes; ConvertToMergeNames! converts the cells in the first row to FIELDNAMES, and the cells in the remaining rows to ENDFIELD codes.

0	EntireTable!

1	ConvertOnly!

2	ConvertToTabs!

3	ConvertToMerge!

4	ConvertToMergeNames!


Route...

With a table selected, Table, Delete.


For Example...

To convert cells to tabs, the command is:

TableDeleteTable

(

DelWhat: ConvertToTabs!

)


TableDisableCellLocks

Purpose

TableDisableCellLocks determines whether to turn off cell locks.

Syntax

TableDisableCellLocks (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	No!

1	Yes!


Route...

Table, Format, Table, Disable Cell Locks.


For Example...

To disable cell locks, the command is:

TableDisableCellLocks

(

State: Yes!

)


TableEdit

Purpose

TableEdit initiates editing changes to a table.

If the insertion point is not in a table, this command searches backward for a table to edit.  If no table is found, it then searches forward for a table to edit.  If no table is found, a NOT FOUND error is returned.

Syntax

TableEdit ()

See Also

TableCreate


TableFill

Purpose

TableFill fills a table with the specified fill style.

Syntax

TableFill  (Pattern: Numeric Equivalent or Enumerated Type)

Parameters

Pattern: Numeric Equivalent or Enumerated Type

Specifies a fill style for a table.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

See Also

TableCellFillStyle


Route...

Table, Lines/Fill, Table, select a style from the Fill Options dialog.


For Example...

To specify 20% shading as the fill style for a table, the command is:

TableFill

(

Pattern: Fill20!

)


TableFormatDlg

Purpose

TableFormatDlg opens the Table Format dialog box.

Syntax

TableFormatDlg ()


Route...

Table, Format.


TableFormatJustification

Purpose

TableFormatJustification specifies justification for a table.

Syntax

TableFormatJustification (Justification: Numeric Equivalent or Enumerated Type)

Parameters

Justification: Numeric Equivalent or Enumerated Type

Specifies justification for a table.

0	Left!

1	Full!

2	Center!

3	Right!

4	FullAll!

5	DecAlign!

See Also

TableCellJustification

TableColumnJustification


Route...

Table, Format, Table, Justification, select a justification option.


For Example...

To specify center justification for a table, the command is:

TableFormatJustification

(

Justification: Center!

)


TableFormatWidths

Purpose

TableFormatWidths specifies the width of a table's columns.

Syntax

TableFormatWidths (Width: Numeric Expression)

Parameters

Width: Numeric Expression

Specifies column width.


Route...

Table, Format, select Table, enter column width.


For Example...

To set column width to 1 inch, the command is:

TableFormatWidths

(

Width: 1"

)


TableFormula

Purpose

TableFormula specifies a formula to insert in the current cell.

Syntax

TableFormula  (Formula: Character Expression)

Parameters

Formula: Character Expression

Specifies a table formula.

See Also

TableNameAdd


Route...

Table, Formula Bar, Functions, select a function.


For Example...

To calculate the average of a group of cells named Sales, the command is:

TableFormula

(

Formula: "AVE(Sales)"

)


TabLeft

Purpose

TabLeft inserts a Hard Left Tab at the insertion point.

Syntax

TabLeft (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type (optional)

Determines whether to include a dot leader.

0	Normal!

1	DotLeader!

See Also

TabCenter

TabDecimal

TabRight


Route...

Layout, Line, Other Codes, select Left under Hard Tab Codes or Hard Tab Codes with Dot Leaders.


For Example...

To insert a left tab with a dot leader, the command is:

TabLeft

(

Type: DotLeader!

)


TableGridLinesToggle

Purpose

TableGridLinesToggle determines whether grid lines are on.

Syntax

TableGridLinesToggle ()


Route...

View, Table Gridlines.


TableGuides

Purpose

TableGuides determines whether Table Guides are on.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableGuides (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

0	Off!

1	On!

See Also

?TableGuides


For Example...

To turn on Table Guides, the command is:

TableGuides

(

State: On!

)


TableHardColumnBreak

Purpose

TableHardColumnBreak inserts a column break and continues the table in the next column when the insertion point is at the beginning of a row.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableHardColumnBreak ()

See Also

PosTableRowBegin

TableHardRow


TableHardRow

Purpose

TableHardRow inserts a page break and continues the table on the next page when the insertion point is at the beginning of a row.

Syntax

TableHardRow ()

See Also

PosTableRowBegin

TableHardColumnBreak


Route...

Press Ctrl-Enter while the insertion point is in a table.


TableHeader

Purpose

TableHeader designates the current row as a header row.

Syntax

TableHeader (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to use the current row as a header row.

0	No!

1	Yes!


Route...

Table, Format, Row, Header Row.


For Example...

To make the current row a header row, the command is:

TableHeader

(

State: Yes!

)


TableInsertColumn

Purpose

TableInsertColumn inserts a table column.

Syntax

TableInsertColumn (Number: Numeric Expression; InsertPos: Numeric Equivalent or Enumerated Type)

Parameters

Number: Numeric Expression

Specifies how many columns to insert.

InsertPos: Numeric Equivalent or Enumerated Type

Determines where to insert a column(s).

0	Before!

1	After!

See Also

TableInsertRow


Route...

Table, Insert, Column, specify the number of rows and where to add them.


For Example...

To insert two columns after the current column, the command is:

TableInsertColumn

(

Number: 2;

InsertPos: After!

)


TableInsertDlg

Purpose

TableInsertDlg displays the Insert Rows/Columns dialog box.

Syntax

TableInsertDlg ()

See Also

TableInsertColumn

TableInsertRow


Route...

Table, Insert.


TableInsertOneRow

Purpose

TableInsertOneRow inserts a new row above the row containing the insertion point.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableInsertOneRow ()


TableInsertRow

Purpose

TableInsertRow inserts a specified number of rows.

Syntax

TableInsertRow (NumberOfRows: Numeric Expression; InsertPosition: Numeric Equivalent or Enumerated Type)

Parameters

NumberOfRows: Numeric Expression

Specifies a number of rows to insert above the current row.

InsertPosition: Numeric Equivalent or Enumerated Type

0	Before!

1	After!

See Also

TableAppendRow

TableInsertColumn

TableInsertDlg


Route...

Table, Insert, Row.


For Example...

To insert a specified number of table rows, the command is:

TableInsertRow

(

NumberOfRows: 3;

InsertPosition: Before!

)


TableJoin

Purpose

TableJoin joins the current table and the table immediately following it into one table.

Syntax

TableJoin ()

See Also

TableSplit


Route...

Table, Join.


TableLineFillDlg

Purpose

TableLineFillDlg displays the Table Lines/Fill dialog box.

The insertion point must be in a table.

Syntax

TableLineFillDlg ()


Route...

Table, Lines/Fill.


TableMarginLeft

Purpose

TableMarginLeft specifies an amount of space between the left edge of each cell and the text in the cell for the current table.

Syntax

TableMarginLeft (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies an amount of space between the left edge of each cell and the text in the cell.

See Also

TableColumnMarginLeft

TableColumnMarginRight

TableMarginRight


Route...

Table, Format, Table, Column, Margin, Left, specify amount of space.


For Example...

To specify a left margin of 0.1 inches for the current table, the command is:

TableMarginLeft

(

Margin: 0.1"

)


TableMarginRight

Purpose

TableMarginRight specifies an amount of space between the right edge of each cell and the text in the cell for the current table.

Syntax

TableMarginRight (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies an amount of space between the right edge of each cell and the text in the cell.

See Also

TableColumnMarginLeft

TableColumnMarginRight

TableMarginLeft


Route...

Table, Format, Table, Column, Margin, Right, specify amount of space.


For Example...

To specify a right cell margin of 0.1 inches for the current table, the command is:

TableMarginRight

(

Margin: 0.1"

)


TableMove

Purpose

TableMove moves the contents of a cell, blocked cells, the current column, or the current row.

This command is not recordable.  To use this command, you must type it into the macro.

After TableMove is executed, the contents of the cell(s) can be inserted into the table with TableMoveModeEnd.  TableMove must be used in conjunction with other commands, such as TableMoveModeCancel and TableMoveModeEnd.

Syntax

TableMove (Move: Numeric Equivalent or Enumerated Type)

Parameters

Move: Numeric Equivalent or Enumerated Type

Specifies the source of the contents to move.

1	Block!

2	Row!

3	Column!

4	Cell!

See Also

TableCopy


For Example...

To move the contents of the current column, the command is:

TableMove

(

Move: Column!

)


TableMoveCopyDlg

Purpose

TableMoveCopyDlg opens the Move dialog box.

Syntax

TableMoveCopyDlg ()

See Also

TableCopy

TableMove


Route...

Layout, Tables, Edit, Move/Copy.


TableNameAdd

Purpose

TableNameAdd names a cell, block of cells, row, column, or table.

Syntax

TableNameAdd (RefType: Numeric Equivalent or Enumerated Type; Name: Character Expression)

Parameters

RefType: Numeric Equivalent or Enumerated Type

Specifies cells to name.

1	Block!

2	Row!

3	Column!

4	Cell!

5	Table!

6	FloatingCell!

7	CellsDown!

8	CellsRight!

Name: Character Expression

Specifies a name.

See Also

TableNameDelete


Route...

Table, Names, Create.


For Example...

To name a block of cells Sales Figures, the command is:

TableNameAdd

(

RefType: Block!;

Name: "Sales Figures"

)


TableNameCreateDlg

Purpose

TableNameCreateDlg displays the Create Name dialog box.

The insertion point must be in a table.

Syntax

TableNameCreateDlg ()


Route...

Table, Names, Create button.


TableNameDelete

Purpose

TableNameDelete deletes a table name.

Syntax

TableNameDelete (TableName: Character Expression)

Parameters

TableName: Character Expression

Specifies the name of a table to delete.  The name can be preceded by the name of a table and a period.

See Also

TableNameAdd


Route...

Table, Names, Delete.


For Example...

To delete the table name Sales in a table named Table_C, the command is:

TableNameDelete

(

TableName: "Table_C.Sales"

)


TableNameListDlg

Purpose

TableNameListDlg opens the List Table Names dialog box.

Syntax

TableNameListDlg ()

See Also

TableNameAdd


Route...

Table, Names.


TableNumberAlignCurrency

Purpose

TableNumberAlignCurrency aligns currency symbols in a table.

Syntax

TableNumberAlignCurrency (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to align currency symbols in the current table.

0	No!

1	Yes!

See Also

TableNumberSelectCurrency


Route...

Table, Number Type, Table, Currency, Custom, Align Currency Symbol.


For Example...

To align currency symbols in the current table, the command is:

TableNumberAlignCurrency

(

State: Yes!

)


TableNumberDateFormat

Purpose

TableNumberDateFormat specifies a date format for displaying dates in the current table.

Syntax

TableNumberDateFormat (DateFmtNum: Numeric Expression)

Parameters

DateFmtNum: Numeric Expression

Specifies a date format.

1	July 5, 1959

2	7/5/59

3	Jul 5, 1959

4	5 July 1959

5	Sunday, July 5, 1959

6	12:00 pm

7	05Jul59

8	July 5, 1959 (12:00pm)

See Also

TableNumberFormat


Route...

Table, Number Type, Table, Date/Time, Custom, Select a Type.


For Example...

To display the date in the format Sunday, July 5, 1959, the command is:

TableNumberDateFormat

(

DateFmtNum: 5

)


TableNumberDecimalDigits

Purpose

TableNumberDecimalDigits specifies how many digits appear after the decimal point.

Use with the Fixed2! option of TableNumberFormat.

Syntax

TableNumberDecimalDigits (NumDigits: Numeric Expression)

Parameters

NumDigits: Numeric Expression

Specifies the number of digits that appear after the decimal point.

See Also

TableNumberFormat


Route...

Table, Number Type, Table, Integer, Custom, Decimal Amounts.


For Example...

To specify that three digits appear after the decimal point, the command sequence is:

TableNumberFormat

(

FormatType: Fixed2!

)

TableNumberDecimalDigits

(

NumDigits: 3

)


TableNumberFormat

Purpose

TableNumberFormat specifies a number format for the current table.

Syntax

TableNumberFormat (FormatType: Numeric Equivalent or Enumerated Type)

Parameters

FormatType: Numeric Equivalent or Enumerated Type

Specifies a number format for the current table.

0	General!

1	Integer!

2	Fixed2!

3	Percent!

4	Currency!

5	Accounting!

6	Commas!

7	Scientific!

8	DateFormat!

9	TextOnly!

See Also

TableColumnNumberAlignCurrency

TableColumnNumberDateFormat

TableColumnNumberDecimalDigits

TableColumnNumberRound

TableColumnNumberSelCurrency


Route...

Table, Number Type, Table, select a format.


For Example...

To specify currency as the number type, the command is:

TableNumberFormat

(

FormatType: Currency!

)


TableNumberNegativeNumber

Purpose

TableNumberNegativeNumber specifies how to display negative numbers in the current table.

Syntax

TableNumberNegativeNumber (NegDisplay: Numeric Equivalent or Enumerated Type)

Parameters

NegDisplay: Numeric Equivalent or Enumerated Type

Specifies a display style for negative numbers.

0	Minus!

1	Parentheses!

2	CRDR!


Route...

Table, Number Type, Table, select a type, Custom, Negative Numbers.


For Example...

To display numbers using the Credit/Debit method, the command is:

TableNumberNegativeNumber

(

NegDisplay: CRDR!

)


TableNumberRound

Purpose

TableNumberRound specifies how to convert numbers entered as decimals to integers.

Use with the Integer! option of TableNumberFormat.

Syntax

TableNumberRound (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to round off or truncate numbers when converting them to integers.

0	No!

1	Yes!

See Also

TableNumberFormat


Route...

Table, Number Type, Table, Integer, Round for Calculation.


For Example...

To round off numbers after the decimal point when converting them to integers, the command is:

TableNumberRound

(

State: Yes!

)


TableNumberSelectCurrency

Purpose

TableNumberSelectCurrency specifies a currency type for the current table.

Syntax

TableNumberSelectCurrency (IntlCurrency: Numeric Equivalent or Enumerated Type)

Parameters

IntlCurrency: Numeric Equivalent or Enumerated Type

Specifies a currency type.

1	Dollar!

2	Peso!

3	FrenchCanada!

4	Canada!

5	Brazil!

6	Denmark!

7	Peseta!

8	Croatia!

9	CzechRepublic!

10	SlovakRepublic!

11	Finland!

12	FinlandIntl!

13	France!

14	Germany!

15	Greece!

16	Hungary!

17	Iceland!

18	Italy!

19	Japan!

20	Netherlands!

21	Norway!

22	NorwayIntl!

23	Ruble!

24	RussianRuble!

25	SouthAfrica!

26	Sweden!

27	Turkey!

28	UnitedKingdom!

29	Switzerland!

30	Austria!

31	Belgium!

32	Ecuador!

33	ElSalvador!

34	Guatemala!

35	Honduras!

36	Paraguay!

See Also

TableNumberAlignCurrency


Route...

Table, Number Type, Table, Currency, Custom, Symbol.


For Example...

To specify pesos as the currency type, the command is:

TableNumberSelectCurrency

(

IntlCurrency: Peso!

)


TableNumberTypeDlg

Purpose

TableNumberTypeDlg displays the NumberType dialog box.

Syntax

TableNumberTypeDlg ()


Route...

Table, Number Type.


TableNumberUseCommas

Purpose

TableNumberUseCommas displays commas in numbers with more than three digits to the left of the decimal point.

Syntax

TableNumberUseCommas (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display commas in numbers with more than three digits to the left of the decimal point.

0	No!

1	Yes!

See Also

TableNumberFormat


Route...

Table, Number Type, Table, Commas.


For Example...

To display commas in numbers, the command is:

TableNumberUseCommas

(

State: Yes!

)


TableNumberUseCurrency

Purpose

TableNumberUseCurrency displays a currency symbol with numbers.

Syntax

TableNumberUseCurrency (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to display numbers with a currency symbol.

0	No!

1	Yes!

See Also

TableNumberFormat


Route...

Table, Number Type, Table, Currency, Custom, Use Currency Symbol.


For Example...

To display a currency symbol with numbers, the command is:

TableNumberUseCurrency

(

State: Yes!

)


TablePosition

Purpose

TablePosition specifies the position of a table.

Syntax

TablePosition (PositionVal: Numeric Equivalent or Enumerated Type; SetAbsPos: Measurement Expression)

Parameters

PositionVal: Numeric Equivalent or Enumerated Type

Specifies the current table position on the page.

0	AlignLeft!

1	AlignRight!

2	AlignCenter!

3	AlignFull!

4	AlignAbsolute!

SetAbsPos: Measurement Expression (optional)

Specifies an absolute position for a table from the left edge of the paper when AlignAbsolute is specified as the PositionVal parameter.


Route...

Table, Format, Table, Table Position.


For Example...

To position a table 1.4 inches from the left edge of the paper, the command is:

TablePosition

(

PositionVal: AlignAbsolute!;

SetAbsPos: 1.4"

)


TableQuickSum

Purpose

TableQuickSum calculates the sum of the cells above or to the left of the current cell.

Syntax

TableQuickSum ()


Route...

Table, Sum.


TableRetrieve

Purpose

TableRetrieve retrieves the last item moved or copied.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableRetrieve (Reference: Numeric Equivalent or Enumerated Type)

Parameters

Reference: Numeric Equivalent or Enumerated Type

Determines whether to retrieve a cell, block, row, or column and specifies how to insert it.

1	Block!

2	Row!

3	Column!

4	Cell!

See Also

TableCopy

TableMove


For Example...

To add a row and retrieve a copied row into it, the command is:

TableRetrieve

(

Reference: Row!

)


TableRowHeight

Purpose

TableRowHeight determines whether row height is automatic or fixed, and if fixed, specifies the height.

Syntax

TableRowHeight (RowHeight: Numeric Equivalent or Enumerated Type; Amount: Measurement Expression)

Parameters

RowHeight: Numeric Expression

Specifies row height as automatic (based on font size) or fixed.

0	Auto!

1	Fixed!

Amount: Measurement Expression

Specifies row height when Fixed! is specified as the Type parameter.

See Also

TableColumnWidth


Route...

Table, Format, Row, Row Height, Auto or Fixed.


For Example...

To specify a fixed row height of 0.25 inches, the command is:

TableRowHeight

(

RowHeight: Fixed!;

Amount: 0.25"

)


TableRowMarginBottom

Purpose

TableRowMarginBottom specifies the amount of space between the bottom of each cell and text in the cell.

Syntax

TableRowMarginBottom (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies an amount of space between the bottom of each cell and text in the cell.

See Also

TableRowMarginTop


Route...

Table, Format, Row, Row Margins, Bottom, specify a margin.


For Example...

To specify a bottom margin of 0.05 inches, the command is:

TableRowMarginBottom

(

Margin: 0.05"

)


TableRowMarginTop

Purpose

TableRowMarginTop specifies an amount of space between the top of each cell and text in the cell.

Syntax

TableRowMarginTop (Margin: Measurement Expression)

Parameters

Margin: Measurement Expression

Specifies an amount of space between the top of each cell and text in the cell.

See Also

TableRowMarginBottom


Route...

Table, Format, Row, Row Margins, Top, specify a margin.


For Example...

To specify a top margin of 0.05 inches, the command is:

TableRowMarginTop

(

Margin: 0.05"

)


TableRowNumberOfLines

Purpose

TableRowNumberOfLines determines whether multiple lines are allowed in the cells in a row.

Syntax

TableRowNumberOfLines (RowLines: Numeric Equivalent or Enumerated Type)

Parameters

RowLines: Numeric Equivalent or Enumerated Type

Determines whether to allow multiple lines or only one line.

0	Multiple!

1	Single!


Route...

Table, Format, Row, Lines per Row, Single or Multiple.


For Example...

To allow multiple lines in a cell, the command is:

TableRowNumberOfLines

(

RowLines: Multiple!

)


TableSelectOff

Purpose

TableSelectOff turns off Select.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableSelectOff ()


TableSelectOn

Purpose

TableSelectOn selects a row, column cell, or table.

This command is not recordable.  To use this command, you must type it into the macro.

The insertion point must be in a table.

Syntax

TableSelectOn (SelectionMode: Numeric Equivalent or Enumerated Type)

Parameters

SelectionMode: Numeric Equivalent or Enumerated Type

2	Row!

3	Column!

4	Cell!

5	Table!


For Example...

To select a row, the command is:

TableSelectOn

(

SelectionMode: Row!

)


TableSplit

Purpose

TableSplit splits a table into two tables.  The second table begins with the current row.

Syntax

TableSplit ()

See Also

TableJoin


Route...

Table, Split.


TableSplitCellsDlg

Purpose

TableSplitCellsDlg displays the Split Cell dialog box.

Syntax

TableSplitCellsDlg ()


Route...

Table, Split, Cell.


TableSplitColumn

Purpose

TableSplitColumn splits the current cell into multiple columns.

Syntax

TableSplitColumn (ColumnCount: Numeric Expression)

Parameters

ColumnCount: Numeric Expression

Specifies the number of columns to split a cell into.

See Also

TableSplitRow


Route...

Table, Split, Cell, Columns, specify the number of columns.


For Example...

To split a cell into two columns, the command is:

TableSplitColumn

(

ColumnCount: 2

)


TableSplitRow

Purpose

TableSplitRow splits the current cell into multiple rows.

Syntax

TableSplitRow (RowCount: Numeric Expression)

Parameters

RowCount: Numeric Expression

Specifies the number of rows to split a cell into.

See Also

TableSplitColumn


Route...

Table, Split, Cell, Rows, specify the number of rows.


For Example...

To split a cell into two rows, the command is:

TableSplitRow

(

RowCount: 2

)


TableTextToFormula

Purpose

TableTextToFormula converts the contents of the current cell into a formula.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableTextToFormula ()

See Also

TableFormula


TableUndelete

Purpose

TableUndelete undeletes the last deleted item while in table editing mode.

Syntax

TableUndelete ()

See Also

TableDeleteBlock

TableDeleteColumn

TableDeleteRow


TableUseDefaultLinesColor

Purpose

TableUseDefaultLinesColor specifies the Line Style line color as the default line color for a table.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TableUseDefaultLinesColor ()

See Also

TableDefaultLineColor


TabRight

Purpose

TabRight inserts a right aligned tab.

Syntax

TabRight (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type (optional)

Determines whether to include a dot leader.

0	Normal!

1	DotLeader!

See Also

TabCenter

TabDecimal

TabLeft


Route...

Layout, Line, Other Codes, select Right under Hard Tab Codes or under Hard Tab Codes with Dot Leaders.


For Example...

To insert a right tab with a dot leader, the command is:

TabRight

(

Type: DotLeader!

)


TabSet

Purpose

TabSet specifies tab settings.

Syntax

TabSet (Origin: Numeric Equivalent or Enumerated Type; {Position: Measurement Expression; TabType: Numeric Equivalent or Enumerated Type})

Parameters

Origin: Numeric Equivalent or Enumerated Type

Determines whether to set tabs relative to the left edge of the paper (absolute) or the left margin setting (relative).

0	Absolute!

1	Relative!

Position: Measurement Expression

Specifies a tab position.

TabType: Numeric Equivalent or Enumerated Type

Specifies a tab type.

0	TabLeft!

1	TabCenter!

2	TabRight!

3	TabDecimal!

16	TabLeftDot!

17	TabCenterDot!

18	TabRightDot!

19	TabDecimalDot!

See Also

TabAdd

?TabSettings


Route...

Layout, Line, Tab Set, Absolute or Relative, specify tab settings.


For Example...

To set an absolute left tab at 3 inches, the command is:

TabSet

(

Origin: Absolute!;

{Position: 3";

TabType: TabLeft!}

)


TabSetDlg

Purpose

TabSetDlg displays the Tab Set dialog box.

Syntax

TabSetDlg ()

See Also

TabSet


Route...

Layout, Line, Tab Set.


TemplateCopyObjectDlg

Purpose

TemplateCopyObjectDlg displays the Copy/Remove Template Objects dialog box.

Syntax

TemplateCopyObjectDlg ()


Route...

File, Template, Options button, Edit Template, Copy/Remove Object button.


TemplateCreate

Purpose

TemplateCreate creates a new template.

Syntax

TemplateCreate (Filename: Character Expression; BasedOn: Character Expression)

Parameters

Filename: Character Expression

Specifies a new template filename.

BasedOn: Character Expression (optional)

Specifies the template filename on which a new template is based.


Route...

File, Template, Options button, Create Template, select options.


For Example...

To create a new template file named NEWTEMP.WPT, based on the template file STANDARD.WPT, the command is:

TemplateCreate

(

Filename: "NEWTEMP.WPT";

BasedOn: "STANDARD.WPT"

)


TemplateCreateDlg

Purpose

TemplateCreateDlg displays the Create Document Template dialog box.

Syntax

TemplateCreateDlg ()


Route...

File, Template, Options button, Create Template.


TemplateDescriptionDlg

Purpose

TemplateDescriptionDlg displays the Template Description dialog box.

Syntax

TemplateDescriptionDlg ()


Route...

File, Template, Options button, Edit Template, Description button.


TemplateDlg

Purpose

TemplateDlg displays the Templates dialog box.

Syntax

TemplateDlg ()


Route...

File, Template.


TemplateEdit

Purpose

TemplateEdit edits a selected template file.

Syntax

TemplateEdit (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies the name of a file to edit.


Route...

File, Template, select Template, Options button, Edit Template.


For Example...

To edit a template file named NEWTEMP.WPT, the command is:

TemplateEdit

(

Filename: "NEWTEMP.WPT"

)


TemplateSelect

Purpose

TemplateSelect selects a document template to use.

Syntax

TemplateSelect (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a template filename.


Route...

File, Template, select template.


For Example...

To select the standard template file, the command is:

TemplateSelect

(

Filename: "STANDARD.WPT"

)


TextBorderCreate

Purpose

TextBorderCreate creates a text border.

This command must be used in conjunction with TextBorderEnd.

Syntax

TextBorderCreate (Style: Numeric Equivalent or Enumerated Type; FillName: Numeric Equivalent or Enumerated Type; BorderFunction: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a border style.

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

FillName: Numeric Equivalent or Enumerated Type

Specifies a fill type.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

BorderFunction: Numeric Equivalent or Enumerated Type

Specifies a border type.

0	PageBorder!

1	ParagraphBorder!

2	ColumnBorder!

See Also

TextBorderEdit

TextBorderEnd


Route...

Layout, Select Page, Paragraph or Column, Border/Fill.


For Example...

To create a paragraph border with a single line and a 10% fill, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: Fill10!;

BorderFunction: ParagraphBorder!

)

TextBorderEnd

(

State: Save!

)


TextBorderEdit

Purpose

TextBorderEdit initiates editing changes to the current border.

If the insertion point is not in text that has the specified border, an error is returned.  This command must be used in conjunction with TextBorderEnd.

Syntax

TextBorderEdit (BorderType: Numeric Equivalent or Enumerated Type)

Parameters

BorderType: Numeric Equivalent or Enumerated Type

Specifies a border type to edit.

0	Page!

1	Paragraph!

2	Column!

See Also

TextBorderCreate

TextBorderEnd


Route...

Layout, Select Page, Paragraph or Column, Border/Fill.


For Example...

To change the fill style of the current page border to 10%, the command sequence is:

TextBorderEdit

(

BorderType: PageBorder!

)

TextBorderFillStyle

(

FillName: Fill10!

)

TextBorderEnd

(

State: Save!

)


TextBorderEnd

Purpose

TextBorderEnd ends border creation or editing and determines whether to save changes.

This command must be preceded by TextBorderCreate or TextBorderEdit.

Syntax

TextBorderEnd (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to save changes to a border.

0	Cancel!

1	Save!

See Also

TextBorderCreate

TextBorderEdit


Route...

Layout, Select Page, Paragraph or Column, Border/Fill.


For Example...

To create a paragraph border with a single line and a 10% fill, the command sequence is:

TextBorderCreate

(

Style: SingleBorder!;

FillName: Fill10!;

BorderFunction: ParagraphBorder!

)

TextBorderEnd

(

State: Save!

)


TextBorderFillStyle

Purpose

TextBorderFillStyle specifies a fill style for the current border.

This command is not recordable.  To use this command, you must type it into the macro.

If the insertion point is not in text with a border, an error is returned.  This command must be used in conjunction with TextBorderEdit and TextBorderEnd.

Syntax

TextBorderFillStyle (FillName: Numeric Equivalent or Enumerated Type)

Parameters

FillName: Numeric Equivalent or Enumerated Type

Specifies a fill style.

0	Fill10!

1	Fill20!

2	Fill30!

3	Fill40!

4	Fill50!

5	Fill60!

6	Fill70!

7	Fill80!

8	Fill90!

9	Fill100!

10	FillButton!

127	NoFill!

See Also

TextBorderEdit


For Example...

To change the fill style of the current page border to 10%, the command sequence is:

TextBorderEdit

(

BorderType: PageBorder!

)

TextBorderFillStyle

(

FillName: Fill10!

)

TextBorderEnd

(

State: Save!

)


TextBorderStyle

Purpose

TextBorderStyle specifies a border style for the current border.

This command is not recordable.  To use this command, you must type it into the macro.

If the insertion point is not in text with a border, an error is returned.  This command must be used in conjunction with TextBorderEdit and TextBorderEnd.

Syntax

TextBorderStyle (Style: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type

Specifies a border style.

0	SpacingOnly!

1	SingleBorder!

2	DoubleBorder!

3	DashedBorder!

4	DottedBorder!

5	ThickBorder!

6	ExtraThickBorder!

7	ThinThickBorder!

8	ThickThinBorder!

9	ThickTopBottomBorder!

10	ButtonBorder!

11	ColumnBorderBetween!

12	ColumnBorderAll!

127	NoBorder!

See Also

TextBorderEdit

TextBorderEnd


For Example...

To change the border style of the current page border to thick, the command sequence is:

TextBorderEdit

(

BorderType: PageBorder!

)

TextBorderStyle

(

Style: Thick!

)

TextBorderEnd

(

State: Save!

)


TextBoxCreate

Purpose

TextBoxCreate creates a text box and opens the Text Box Editor.

Syntax

TextBoxCreate ()

See Also

Close


Route...

Graphics, Text Box, Create.


TextColor

Purpose

TextColor specifies a text color.

Syntax

TextColor (ColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression)

Parameters

ColorName: Character Expression

Specifies a predefined color name.

Red: Numeric Expression

Specifies the amount of red in a color.  Values range from 0 to 255.

Green: Numeric Expression

Specifies the amount of green in a color.  Values range from 0 to 255.

Blue: Numeric Expression

Specifies the amount of blue in a color.  Values range from 0 to 255.

See Also

TextShade

?TextColorBlue

?TextColorGreen

?TextColorRed

?TextShade


Route...

Layout, Font, Color button, select color.


For Example...

To specify red text, the command is:

TextColor

(

ColorName: "Red";

Red: 255;

Green: 0;

Blue: 0

)


TextShade

Purpose

TextShade specifies the intensity of a text color, where 100% is full intensity.

Syntax

TextShade (ShadingValue: Numeric Expression)

Parameters

ShadingValue: Numeric Expression

Specifies a shading percentage for a text color.

See Also

TextColor


Route...

Layout, Font, select shading percentage under Color Options.


For Example...

To specify a blue text with half intensity, the command sequence is:

TextColor

(

ColorName: "Blue";

Red: 0;

Green: 0;

Blue: 255

)

TextShade

(

ShadingValue: 50

)


ThousandsSeparator

Purpose

ThousandsSeparator specifies a character that appears in numbers greater than or equal to 1000 to separate each three digits.

Use with the Comma! number type specified in TableCellNumberFormat, TableColumnNumberFormat, or TableNumberFormat, or use with TableCellNumberUseCommas, TableColumnNumberUseCommas, or TableNumberUseCommas.

Syntax

ThousandsSeparator (Character: Character Expression)

Parameters

Character: Character Expression

Specifies a character that appears as a separator between every three digits.

See Also

TableCellNumberFormat

TableCellNumberUseCommas

TableColumnNumberFormat

TableColumnNumberUseCommas

TableNumberFormat

TableNumberUseCommas

?ThousandsSeparatorChar


Route...

Layout, Line, Other Codes, Thousands Separator.


For Example...

To specify a period (.) as the thousands separator, the command is:

ThousandsSeparator

(

Character:"."

)


ToACreateDlg

Purpose

ToACreateDlg displays the Create Full Form dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

ToACreateDlg ()


ToADefineDlg

Purpose

ToADefineDlg displays the Define Table of Authorities dialog box.

Syntax

ToADefineDlg ()


Route...

Tools, Table of Authorities, Define button.


ToADefinition

Purpose

ToADefinition specifies a section and inserts a table of authorities definition.

Syntax

ToADefinition (SectionName: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type; Underline: Numeric Equivalent or Enumerated Type; PageCombine: Numeric Equivalent or Enumerated Type; NumberingFormat: Numeric Equivalent or Enumerated Type)

Parameters

SectionName: Character Expression

Specifies a section name.

Style: Numeric Equivalent or Enumerated Type

Specifies a style for the current section.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type

Specifies how to display page references.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

Underline: Numeric Equivalent or Enumerated Type

Determines whether to allow underlining.

0	NoToAUnderline!

1	ToAUnderline!

PageCombine: Numeric Equivalent or Enumerated Type

Determines whether to combine sequential page numbers.

0	NoCombine!

1	Combine!

NumberingFormat: Character Expression

Specifies how page numbers appear in references.

See Also

ToADefinitionCreate

?TOADefinition


Route...

Tools, Table of Authorities, Define, highlight a section, Select.


For Example...

To specify a section named SWITCHS and insert a definition, the command is:

ToADefinition

(

SectionName: "SWITCHS"

Style: NormalStyle!

Numbering: DefLeader!

Underline: NoToAUnderline!

PageCombine: NoCombine!

)


ToADefinitionCombine

Purpose

ToADefinitionCombine determines whether to combine sequential page numbers in a section.

Syntax

ToADefinitionCombine (SectionName: Character Expression; Combine: Numeric Equivalent or Enumerated Type)

Parameters

SectionName: Character Expression

Specifies a section name.

Combine: Numeric Equivalent or Enumerated Type

Determines whether to combine sequential page numbers.

0	NoCombine!

1	Combine!


Route...

Tools, Table of Authorities, Define, Create or Edit, Combine Sequential Page Numbers.


For Example...

To combine sequential page numbers in a section named SWITCHS, the command is:

ToADefinitionCombine

(

SectionName: "SWITCHS";

Combine: Combine!

)


ToADefinitionCreate

Purpose

ToADefinitionCreate creates a table of authorities definition.

Syntax

ToADefinitionCreate (SectionName: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type; Underline: Numeric Equivalent or Enumerated Type; PageCombine: Numeric Equivalent or Enumerated Type; NumberingFormat: Character Expression)

Parameters

SectionName: Character Expression

Specifies a section name.

Style: Numeric Equivalent or Enumerated Type

Specifies a style for the current section.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type

Specifies how to display page references.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

Underline: Numeric Equivalent or Enumerated Type

Determines whether to allow underlining.

0	NoToAUnderline!

1	ToAUnderline!

PageCombine: Numeric Equivalent or Enumerated Type

Determines whether to combine sequential page numbers.

0	NoCombine!

1	Combine!

NumberingFormat: Character Expression

Specifies how page numbers appear in references.

See Also

ToADefinitionDelete


Route...

Tools, Table of Authorities, Define, Create, enter a name, select a Numbering Mode option, enter, select, specify options.


For Example...

To create a definition for a section named SWITCHS with flush right page numbers and dot leaders, the command is:

ToADefinitionCreate

(

SectionName: "SWITCHS";

Style: ToAStyle!;

Numbering: DefLeader!;

Underline: ToAUnderline!;

PageCombine: Combine!;

NumberingFormat: "One"

)


ToADefinitionDelete

Purpose

ToADefinitionDelete deletes a table of authorities section definition.

Syntax

ToADefinitionDelete (SectionName: Character Expression)

Parameters

SectionName: Character Expression

Specifies a section name.

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, highlight a section, Delete.


For Example...

To delete a section definition named SWITCHS, the command is:

ToADefinitionDelete

(

SectionName: "SWITCHS"

)


ToADefinitionMode

Purpose

ToADefinitionMode changes the display of page references in a section.

Syntax

ToADefinitionMode (SectionName: Character Expression; Numbering: Numeric Equivalent or Enumerated Type)

Parameters

SectionName: Character Expression

Specifies a section name.

Numbering: Numeric Equivalent or Enumerated Type

Specifies how page references are displayed.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, highlight a section, Edit, select a Numbering Mode option.


For Example...

To change the display of page references in a section called SWITCHS to flush right with no dot leader, the command is:

ToADefinitionMode

(

SectionName: "SWITCHS";

Numbering: DefFlushRight!

)


ToADefinitionRename

Purpose

ToADefinitionRename renames a section.

Syntax

ToADefinitionRename (OldSection: Character Expression; NewSection: Character Expression)

Parameters

OldSection: Character Expression

Specifies a section name.

NewSection: Character Expression

Specifies a new name for a section.

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, highlight a section, Edit, Name, enter a name.


For Example...

To rename a section from SWITCHS to UTAH SWITCHS, the command is:

ToADefinitionRename

(

OldSection: "SWITCHS";

NewSection: "UTAH SWITCHS"

)


ToADefinitionRetrieve

Purpose

ToADefinitionRetrieve retrieves a section from another document into the current document.

Syntax

ToADefinitionRetrieve (Filename: Character Expression; SectionName: Character Expression)

Parameters

Filename: Character Expression

Specifies a filename.

SectionName: Character Expression

Specifies a section name.

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, Retrieve, enter a filename, mark sections to retrieve.


For Example...

To retrieve a section named SWITCHS in a file named PROBATE, the command is:

ToADefinitionRetrieve

(

Filename: "PROBATE";

SectionName: "SWITCHS"

)


ToADefinitionStyle

Purpose

ToADefinitionStyle changes the style for a section.

Syntax

ToADefinitionStyle (SectionName: Character Expression; Style: Numeric Equivalent or Enumerated Type)

Parameters

SectionName: Character Expression

Specifies a section name.

Style: Numeric Equivalent or Enumerated Type

Specifies a style for the current section.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, highlight a section, Edit, Style, Select, highlight a style.


For Example...

To specify the TableofCont1 style for a section named SWITCHS, the command is:

ToADefinitionStyle

(

SectionName: "SWITCHS";

Style: ToC1Style!

)


ToAEditFullForm

Purpose

ToAEditFullForm initiates editing changes to a full form.  Use SubstructureExit to end editing and save changes.

Syntax

ToAEditFullForm (ShortForm: Character Expression)

Parameters

ShortForm: Character Expression

Specifies the short form of a full form to edit.

See Also

ToAMark


Route...

Tools, Table of Authorities, Edit Full Form, select a form.


For Example...

To edit a full form with the short form Brown v. Board of Education, the command sequence is:

ToAEditFullForm

(

ShortForm: "Brown v. Board of Education"

)

Type

(

Text: "385 U.S."

)

SubstructureExit ()


ToAEditFullFormCBar

Purpose

ToAEditFullFormCBar displays the Table of Authorities control bar.

Syntax

ToAEditFullFormCBar ()


Route...

Tools, Table of Authorities.


ToAEditFullFormDlg

Purpose

ToAEditFullFormDlg displays the Edit Full Form dialog box.

Syntax

ToAEditFullFormDlg ()

See Also

ToAEditFullForm


Route...

Tools, Table of Authorities, Edit Full Form.


ToAEditPageFormat

Purpose

ToAEditPageFormat changes the page format for a section.

Syntax

ToAEditPageFormat (Listname: Character Expression; NumberFormat: Numeric Equivalent or Enumerated Type)

Parameters

Listname: Character Expression

Specifies a section name.

NumberFormat: Numeric Equivalent or Enumerated Type

Specifies a page format.  This parameter also accepts a character expression to specify a custom format.

0	DocFormat!

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Define, highlight a section, Edit, Page Numbering, Different from Document, enter a custom page format.


For Example...

To include a chapter number and a period in front of the page number for a section named SWITCHS, the command is:

ToAEditPageFormat

(

Listname: "SWITCHS";

NumberFormat: "[chpt #].[page #]"

)


ToAEditShortForm

Purpose

ToAEditShortForm renames a short form.

Syntax

ToAEditShortForm (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies a short form.

NewName: Character Expression

Specifies a new short form.

See Also

ToAMark


Route...

Tools, Table of Authorities, Edit Full Form, select a section, OK, enter a short form.


For Example...

To rename a short form Brown v. Board of Education to Brown v. United States, the command is:

ToAEditShortForm

(

OldName: "Brown v. Board of Education";

NewName: "Brown v. United States"

)


ToAMark

Purpose

ToAMark marks blocked text as a table of authorities reference.

Syntax

ToAMark (SectionName: Character Expression; ShortForm: Character Expression)

Parameters

SectionName: Character Expression (optional)

Specifies a section name.

ShortForm: Character Expression

Specifies a short form.

See Also

ToADefinitionCreate


Route...

Tools, Table of Authorities, Create Full Form, type a Section Name and a Short Form, Short Form, OK, Mark.


For Example...

To mark a reference with the short form Brown v. Board of Education and include it in a section named SWITCHS, the command is:

ToAMark

(

SectionName: "SWITCHS";

ShortForm: "Brown v. Board of Education"

)


ToAMarkShortForm

Purpose

ToAMarkShortForm marks a short form.

Syntax

ToAMarkShortForm (ShortForm: Character Expression)

Parameters

ShortForm: Character Expression

Specifies a short form.

See Also

ToAMark


Route...

Tools, Table of Authorities, Mark.


For Example...

To mark the short form Brown v. Board of Education, the command is:

ToAMarkShortForm

(

ShortForm: "Brown v. Board of Education"

)


ToCDefineDlg

Purpose

ToCDefineDlg displays the Define Table of Contents dialog box.

Syntax

ToCDefineDlg ()

See Also

ToCMark


Route...

Tools, Table of Contents, Define button.


ToCDefine

Purpose

ToCDefine defines a table of contents and inserts the definition.

Syntax

ToCDefine (WrapLastLevel: Numeric Equivalent or Enumerated Type; NumberingFormat: Character Expression; Style: Numeric Equivalent or Enumerated Type; Numbering: Numeric Equivalent or Enumerated Type)

Parameters

WrapLastLevel: Numeric Equivalent or Enumerated Type

Determines whether to wrap the last level.

0	NoLevelWrap!

1	LevelWrap!

NumberingFormat: Character Expression

Specifies a page format.

Style: Numeric Equivalent or Enumerated Type

Specifies a style for each table of contents level.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	ToC1Style!

25	ToC2Style!

26	ToC3Style!

27	ToC4Style!

28	ToC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	ToAStyle!

33	InitialCodesStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

49	HeadingsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Numbering: Numeric Equivalent or Enumerated Type

Specifies the format for references.

0	DefNone!

1	DefFollows!

2	DefParentheses!

3	DefFlushRight!

4	DefLeader!

See Also

ToCMark

?ToCDefinition


Route...

Tools, Table of Contents, Define, specify a number of levels, specify and select options.


For Example...

To create a single-level table of contents with flush right dot leader page numbers, the command is:

ToCDefine

(

WrapLastLevel: LevelWrap!

NumberingFormat: "Page #"

{Style: NormalStyle!

Numbering: DefLeader!}

)


ToCMark

Purpose

ToCMark marks blocked text for inclusion in a table of contents.

Syntax

ToCMark (Level: Numeric Expression)

Parameters

Level: Numeric Expression

Specifies a table of contents level.

See Also

ToCDefine


Route...

Tools, Table of Contents, Mark, specify a level.


For Example...

To mark text for level 1 of a table of contents, the command is:

ToCMark

(

Level: 1

)


Type

Purpose

Type inserts text at the insertion point.

Syntax

Type (Text: Character Expression)

Parameters

Text: Character Expression

Specifies text to enter at the insertion point.

See Also

TypeChar


Route...

Use the keyboard to type in a document window.


For Example...

To type WordPerfect 6.0 for Windows in a document, the command is:

Type

(

Text: "WordPerfect 6.0 for Windows"

)


TypeChar

Purpose

TypeChar inserts a character from the WordPerfect character sets.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TypeChar (CharacterSet: Numeric Expression; Offset: Numeric Expression)

Parameters

CharacterSet: Numeric Expression

Specifies a WP character set.

Offset: Numeric Expression

Specifies a character in a WP character set.

See Also

Type


For Example...

To insert the section symbol (§), which is character 6 of set 4, the command is:

TypeChar

(

CharacterSet: 4;

Offset: 6

)


Typeover

Purpose

Typeover determines whether Typeover mode is on or off.

Syntax

Typeover (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Typeover mode is on.

0	Off!

1	On!

See Also

?TypeoverActive


Route...

Press Insert.


For Example...

To turn on Typeover mode, the command is:

Typeover

(

State: On!

)


TypesetManualKerningDlg

Purpose

TypesetManualKerningDlg displays the Manual Kerning dialog box.

Syntax

TypesetManualKerningDlg ()

See Also

KerningSpacing


Route...

Layout, Typesetting, Manual Kerning.


Undelete

Purpose

Undelete restores up to the last three deletions.

Syntax

Undelete (Which: Numeric Expression)

Parameters

Which: Numeric Expression

Specifies a level to undelete.  Values range from 1 to 3.

See Also

Undo


Route...

Edit, Undelete, select a deletion, Restore.


For Example...

To cancel the last deletion, the command is:

Undelete

(

Which: 1

)


UndeleteDlg

Purpose

UndeleteDlg displays the Undelete dialog box.

Syntax

UndeleteDlg ()


Route...

Edit, Undelete.


UnderlineSpaces

Purpose

UnderlineSpaces determines whether to underline spaces.

Syntax

UnderlineSpaces (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to underline spaces.

0	No!

1	Yes!

See Also

UnderlineTabs

?UnderlineSpaces


Route...

Layout, Font, Underline Options, Spaces.


For Example...

To underline spaces in a document, the command is:

UnderlineSpaces

(

State: Yes!

)


UnderlineTabs

Purpose

UnderlineTabs determines whether to underline tabs.

Syntax

UnderlineTabs (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether to underline tabs.

0	No!

1	Yes!

See Also

UnderlineSpaces

?UnderlineTabs


Route...

Layout, Font, Underline Options, Tabs.


For Example...

To underline tabs, the command is:

UnderlineTabs

(

State: Yes!

)


Undo

Purpose

Undo restores the last document change.  Choosing Undo a second time restores the last undo.

Syntax

Undo ()

See Also

Undelete


Route...

Edit, Undo.


UserFunction

Purpose

UserFunction executes a command from another application.

Syntax

UserFunction (Action: Character Expression; Data: Character Expression)

Parameters

Action: Character Expression

Specifies an action a third-party program is to perform, and has the following form: <signature>:<action>.  The <signature> has four characters and identifies a third-party application.  The <action> specifies a third-party command.

Data: Character Expression


ViewDraft

Purpose

ViewDraft displays a document without features, such as Headers, Footers, and Footnotes.

Syntax

ViewDraft ()

See Also

ViewPage

ViewTwoPage


Route...

View, Draft.


ViewOutline

Purpose

ViewOutline displays the Outline control bar.

Syntax

ViewOutline ()


Route...

Tools, Outline.


ViewPage

Purpose

ViewPage displays a document as it prints with features, such as Headers, Footers, and Footnotes.

Syntax

ViewPage ()

See Also

ViewDraft

ViewTwoPage


Route...

View, Page.


ViewTwoPage

Purpose

ViewTwoPage displays two document pages.

Syntax

ViewTwoPage ()

See Also

ViewDraft

ViewPage


Route...

View, Two Page.


VLineCreate

Purpose

VLineCreate creates a vertical line left of the left margin.

Syntax

VLineCreate ()


Route...

Graphics, Vertical Line.


VolumeNumber

Purpose

VolumeNumber specifies a current volume number.

Syntax

VolumeNumber (Volume: Numeric Expression)

Parameters

Volume: Numeric Expression

Specifies a volume number.

See Also

?VolumnNumber


Route...

Layout, Page, Numbering, Value button, specify New Volume Number under Volume Settings.


For Example...

To specify a current page as volume 5, the command is:

VolumeNumber

(

Volume: 5

)


VolumeNumberDecrement

Purpose

VolumeNumberDecrement decreases the current volume number by one.

Syntax

VolumeNumberDecrement ()


Route...

Layout, Page, Numbering, Value button, lower setting in Increase/Decrease Existing Volume Number.


VolumeNumberDisplay

Purpose

VolumeNumberDisplay displays a current volume number.

Syntax

VolumeNumberDisplay ()


Route...

Layout, Page, Numbering, Value button, select Insert and Display at Insertion Point under Volume Settings.


VolumeNumberIncrement

Purpose

VolumeNumberIncrement increases a current volume number by one.

Syntax

VolumeNumberIncrement ()


Route...

Layout, Page, Numbering, Value button, raise setting in Increase/Decrease Existing Volume Number.


VolumeNumberMethod

Purpose

VolumeNumberMethod specifies a numbering type to display volume numbers.

Syntax

VolumeNumberMethod (NumberingMethod: Numeric Equivalent or Enumerated Type)

Parameters

NumberingMethod: Numeric Equivalent or Enumerated Type

Specifies a numbering type to display volume numbers.

0	Numbers!

1	LowerLetters!

2	UpperLetters!

3	LowerRoman!

4	UpperRoman!

See Also

?VolumeNumberMethod


Route...

Layout, Page, Numbering, Options button, Volume, select type.


For Example...

To display volume numbers as uppercase roman numerals, the command is:

VolumeNumberMethod

(

NumberingMethod: UpperRoman!

)


WatermarkA

Purpose

WatermarkA creates, edits, or turns off Watermark A.

Syntax

WatermarkA (Action: Numeric Equivalent or Enumerated Type; Occurrence: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies the state of Watermark A.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type (optional)

Specifies Watermark pages.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

WatermarkB

?WatermarkAOccur


Route...

Layout, Watermark, Watermark A, Create or Edit or Discontinue.


For Example...

To create Watermark A on all pages, the command is:

WatermarkA

(

Action: Create!;

Occurrence: AllPages!

)


WatermarkB

Purpose

WatermarkB creates, edits, or turns off Watermark B.

Syntax

WatermarkB (Action: Numeric Equivalent or Enumerated Type; Occurrence: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Specifies the state of Watermark B.

0	Off!

1	Create!

2	Edit!

Occurrence: Numeric Equivalent or Enumerated Type

Specifies Watermark pages.

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!

See Also

WatermarkA

?WatermarkBOccur


Route...

Layout, Watermark, Watermark B, Create or Edit or Discontinue.


For Example...

To create Watermark B on all pages, the command is:

WatermarkB

(

Action: Create!;

Occurrence: AllPages!

)


WatermarkDlg

Purpose

WatermarkDlg displays the Watermark dialog box.

Syntax

WatermarkDlg ()


Route...

Layout, Watermark.


WatermarkPlacementDlg

Purpose

WatermarkPlacementDlg displays the Placement dialog box.

Syntax

WatermarkPlacementDlg ()


Route...

Layout, Watermark, Create, Placement button.


WidowOrphan

Purpose

WidowOrphan determines whether Widow/Orphan is on.

Syntax

WidowOrphan (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Widow/Orphan is on.

0	Off!

1	On!

See Also

?WidowOrphan


Route...

Layout, Page, Keep Text Together, select option.


For Example...

To activate Widow/Orphan, the command is:

WidowOrphan

(

State: On!

)


WindowCascade

Purpose

WindowCascade overlaps document windows so the title bar of each window displays.

Syntax

WindowCascade ()


Route...

Window, Cascade.


WindowTile

Purpose

WindowTile reduces open document windows and displays them side by side with no overlapping.

Syntax

WindowTile ()


Route...

Window, Tile.


WordCountDlg

Purpose

WordCountDlg displays the Word Count dialog box.

Syntax

WordCountDlg ()


Route...

File, Document Info.


WordLetterSpaceDlg

Purpose

WordLetterSpaceDlg displays the Word Spacing and Letterspacing dialog box.

Syntax

WordLetterSpaceDlg ()


Route...

Layout, Typesetting, Word/Letter Spacing.


WordLetterSpacing

Purpose

WordLetterSpacing specifies the display spacing between words and letters.

Normal is the specification suggested by the font manufacturer; Optimal is the specification suggested by WordPerfect Corporation.

Syntax

WordLetterSpacing (CharacterWidth: Numeric Equivalent or Enumerated Type; SpaceWidth: Numeric Equivalent or Enumerated Type)

Parameters

CharacterWidth: Numeric Equivalent or Enumerated Type

Specifies spacing between words.  This parameter also accepts a numeric expression to specify a percentage of the WordPerfect default Optimal.

0	Normal!

100	Optimal!

SpaceWidth: Numeric Equivalent or Enumerated Type

Specifies spacing between letters.  This parameter also accepts a numeric expression to specify a percentage of Optimal.

0	Normal!

100	Optimal!

See Also

?CharSpaceWidth


Route...

Layout, Typesetting, Word/Letter Spacing.


For Example...

To specify normal word spacing with letter spacing 80 percent of Optimal, the command is:

WordLetterSpacing

(

CharacterWidth: Normal!;

SpaceWidth: 80

)


WordSpacingJustificationLimits

Purpose

WordSpacingJustificationLimits applies when full justification is active, adjusting spaces between words to justify text on a line.  When a word spacing limit is reached, character spacing begins.

Syntax

WordSpacingJustificationLimits (Compression: Numeric Expression; Expansion: Numeric Expression)

Parameters

Compression: Numeric Expression

Specifies a minimum percentage.

Expansion: Numeric Expression

Specifies a maximum percentage.

See Also

?SpaceExpansion


Route...

Layout, Typesetting, Word/Letterspacing, Word Spacing Justification Limits, specify settings in the Compressed To and Expanded To text boxes.


For Example...

To specify minimum and maximum justification limits of 40% and 300% respectively, the command is:

WordSpacingJustificationLimits

(

Compression: 40;

Expansion: 300

)


WPCharactersDlg

Purpose

WPCharactersDlg displays the WordPerfect Characters dialog box.

Syntax

WPCharactersDlg ()


Route...

Insert, Character.


WPDraw

Purpose

WPDraw opens Draw.

Syntax

WPDraw ()

See Also

GraphicCreateChart


Route...

Graphics, Draw.


WPGrammatik

Purpose

WPGrammatik opens Grammatik.

Syntax

WPGrammatik ()

See Also

WPSpeller

WPThesaurus


Route...

Tools, Grammatik.


WPSpeller

Purpose

WPSpeller opens a spell checker.

Syntax

WPSpeller ()

See Also

WPGrammatik

WPThesaurus


Route...

Tools, Speller.


WPThesaurus

Purpose

WPThesaurus displays the Thesaurus dialog box.

Syntax

WPThesaurus ()

See Also

Grammatik

Speller


Route...

Tools, Thesaurus.


ZoomDlg

Purpose

ZoomDlg displays the Zoom Dialog box.

Syntax

ZoomDlg ()

See Also

ZoomToPageWidth

?Zoom


Route...

View, Zoom.


ZoomToFullPage

Purpose

ZoomToFullPage displays a document as a full page.

Syntax

ZoomToFullPage ()


Route...

View, Zoom, select Full Page.


ZoomToMarginWidth

Purpose

ZoomToMarginWidth displays a document between margin settings.

Syntax

ZoomToMarginWidth ()


Route...

View, Zoom, select margin width.


ZoomToPageWidth

Purpose

ZoomToPageWidth displays the current document between the left and right margins.

Syntax

ZoomToPageWidth ()

See Also

ZoomDlg


Route...

View, Zoom, Page Width.


Character Expression

A series of one or more WordPerfect characters enclosed in quotation marks so the macro will recognize the characters as text, not a variable.


Codes

Formatting commands that make the computer and printer perform various procedures.  Codes are symbols that the computer and printer understand.  They can be edited in Reveal Codes.


Command Name

The word or string of words that begin a macro command.  The command name generally indicates which feature is involved in executing a complete macro command.


Compile

Before a macro can play for the first time, it must be compiled.  When a macro is compiled, the program checks all the commands to see if there are any errors and displays an error message if there are.  Only a macro with no errors can be played.  Some commands are designed to take effect during compilation while others occur during the actual playing of the macro.  Each time a macro is edited and saved, it must recompile before it can be played.  The program will automatically compile macros for you.


Conditional Statement

A statement created with macro programming commands such as IF and WHILE.  A conditional statement contains expressions such as text, numbers, or variables to be evaluated.  The flow or direction of the macro can be affected by the "condition" of these expressions at the time they are evaluated.


Enumerated Type

The parameters for certain product commands can only accept certain words.  These words are referred to as "enumerated types."  Each enumerated type ends in an exclamation point and has a numeric equivalent.  For example, the product command DisplayMode has one parameter and will only accept the words Text!, Graphics!, or FullPage! as entries in that parameter.


ImportSetPanel

Purpose

ImportSetPanel specifies a DataPerfect panel to retrieve into the current document.

Syntax

ImportSetPanel (PanelName: Character Expression)

Parameters

PanelName: Character Expression

Specifies a DataPerfect panel name.

See Also

ImportSetFileName

ImportSetFields


Route...

Insert, Spreadsheet/Database, Import or Create Link or Edit Link, select DataPerfect from the Data Type pop-up list, enter a panel name.


For Example...

To specify DataPerfect panel "panel1" to import, the command is:

ImportSetPanel

(

PanelName: "panel1"

)


Measurement Expression

A number representing a measurement which can, but does not have to be followed by a unit of measurement character (", c, p, u).  If a unit of measurement character is not specified, the program's current unit of measurement will be used.  A measurement expression should not be enclosed in quotation marks.


Memory

The temporary data storage area for a computer or printer.


Numeric Equivalent

The ASCII value of a character.  Also, the number that can be used in place of an enumerated type.  For example, if you are using the FootnoteNumberMethod product command and want to set the numbering method parameter to Characters!, you can either use Characters! (the enumerated type) or 5 (its numeric equivalent).


Numeric Expression

A number on which mathematical operations may be performed.  A numeric expression should not be enclosed in quotation marks.


Operator

A symbol or word that performs a function on one or more expressions.  For  instance, operators compare expressions, link words together, and perform mathematical functions on numbers.


Parameter

Represents which aspect of a feature the macro command is manipulating.  For instance, if you use the BoxCreate command to create a graphics box, you can use a parameter value to specify which type of graphics box to create.


Relational Expression

An expression used to evaluate parameters that have only two possible states: TRUE and FALSE.  A relational expression should not be enclosed in quotation marks.


Toggle

A feature or option that is turned on or off with the same keystroke or command.  If the feature or option is turned on or off with a macro command, the command generally does not require parameters.


Variable

A variable represents a place in memory where information is stored.  Variables can store character, numeric, measurement and relational expressions.  The value contained in a variable is changeable.  Variables are often used to keep track of words, numbers, and measurements that change while the macro plays.


?AutoUpdate

Purpose

?AutoUpdate contains a value representing whether Update on Retrieve is on or off for spreadsheet/database links.

Value	Description

0	Off

1	On


Macro Command

An instruction for WordPerfect to carry out.  The instruction can be in the form of a programming command or a product command.  Many macro commands must be used together with other macro commands to be successful in giving a complete instruction.


// (Comment command)

Purpose

Comment (//) reserves text located between // and the next hard return (HRt) as comments.  Anything reserved as a comment will be ignored by the macro.  Comments are used to document a macro without affecting its execution.

Syntax

// Comments ... [HRt]


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

Display(On!)

ONERROR(Error@)

LABEL(Begin@)

SelectMode(On!)

PROMPT("ASSIGN TEXT TO A VARIABLE";"Highlight the text to assign to a variable and click on OK";;;)

PAUSE

txt:=?SelectedText

SelectMode(Off!)

x:=(EXISTS(txt) AND NOT (txt=""))  //AND, NOT are operators

IF(x=0)

  ASSERT(ErrorCondition!)

ENDIF

//Add more code here to make this macro more functional

 QUIT

LABEL(Error@)

BEEP

PROMPT("You must select text to assign it to a variable";"";;;)

PAUSE

SelectMode(On!)

GO(Begin@)


APPACTIVATE

Purpose

APPACTIVATE brings the designated open window to the front and gives it the focus.  APPACTIVATE is generally used with APPEXECUTE and must be preceded by APPLOCATE.

Syntax

APPACTIVATE (WindowHandle)

Parameters

WindowHandle

A variable assigned by the APPLOCATE command.  The variable contains a window handle.

See Also

APPEXECUTE

APPLOCATE


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

x:=APPLOCATE("Notepad")

IF(x<>0)

APPACTIVATE(x)

ELSE

APPEXECUTE("c:\windows\notepad.exe")

ENDIF


APPEXECUTE

Purpose

APPEXECUTE executes an application.  This command runs executable program files, but cannot launch help files.

Syntax

APPEXECUTE (CommandLine)

Parameters

CommandLine (Character Expression)

Specifies the filename and/or command line of the application to execute.

See Also

APPACTIVATE

APPLOCATE


For Example...


APPLICATION

Purpose

APPLICATION specifies which applications will be used in a macro.  This command sets the two-character product identifier for product commands used with each application accessed in the macro.  You can also specify the default application for any product commands in the macro that do not have a product indentifier.  A macro may contain more that one APPLICATION statement if the macro accesses more than one application.

APPLICATION is executed when a macro is compiled, rather than when it is played.  This means that APPLICATION is always effective from its location in the macro forward, and only product commands following APPLICATON are affected.

If an application listed in one of the application statements of a macro is not running, the macro will not play and an error message indicates which application caused the error.

The following commands are all valid examples of the APPLICATION command:

APPLICATION (A1; "WordPerfect"; Default; "US")

APPLICATION (A1; "WordPerfect"; Default)

APPLICATION (A1; "WordPerfect"; "US")

APPLICATION (A1; "WordPerfect")

Syntax

APPLICATION (ProductPrefix; ApplicationName; Default; LanguageCode)

Parameters

ProductPrefix

Specifies the product in which subsequent product commands will run.  The product prefix for WordPerfect for Windows 6.0 is A1.

ApplicationName

Specifies the name of the application in which subsequent product commands will run.  The application name for WordPerfect for Windows 6.0 is "WordPerfect."  The application name is case sensitive and should be enclosed in quotation marks.

Default (Enumerated Type) (optional)

Determines whether the product specified in the Product Prefix parameter becomes the default for all subsequent product commands not preceeded by a product prefix.

Default!

LanguageCode (Character Expression) (optional)

Specifies the language of WordPerfect for Windows 6.0.

See Also

ENDAPP

NEWDEFAULT


For Example...

APPLICATION((A1; "WordPerfect"; Default; "US")

//Specify default application

APPLICATION(A2; "Office";"US")

//Specify second application (Office)

Type("This is a test of APPLICATION")

//This command is executed in WordPerfect which is the default application

A2.ViewOpen(InBox!)

//This command would be executed in Office which is application A2


APPLOCATE

Purpose

APPLOCATE compares the title bar of all open windows to the string specified in the Title parameter.  If a match is found, APPLOCATE returns a unique number indentifying the matching window.  This number is known as a window handle and can be used in commands such as APPACTIVATE.

If you do not know the precise name of the desired window, you can use an asterisk (*) as a wildcard character at any position in the string.  If the string contains only an asterisk, the window which has the current focus is assigned.

Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.  The value this command returns is generally assigned to a variable to be used in APPACTIVATE.

Syntax

APPLOCATE (WindowTitle)

Parameters

WindowTitle (Character Expression)

Specifies the title of the window to locate.

Return Value

Returns a unique number assigned by Windows representing the window that matches the string in the WindowTitle parameter.  If no match is found, the value is 0.

See Also

APPACTIVATE

APPEXECUTE


For Example...


ASSERT

Purpose

ASSERT causes an Error, a Cancel, or a Not Found condition.  Each of these conditions can be used to end or redirect macro execution.  To redirect macro execution to a specific LABEL, use ONCANCEL, ONERROR, or ONNOTFOUND.  A macro stops if it has not encountered one of these commands before the corresponding condition has been asserted.  ASSERT has no effect if CANCEL(Off!), ERROR(Off!), or NOTFOUND(Off!) occurs before ASSERT.

Syntax

ASSERT (Condition)

Parameters

Condition (Enumerated Type)

Specifies a condition to assert.  Select an enumerated type.

CancelCondition!

ErrorCondition!

NotFoundCondition!

See Also

CANCEL

ERROR

LABEL

NOTFOUND

ONCANCEL

ONERROR

ONNOTFOUND


For Example...


ASSIGN

Purpose

ASSIGN places a value in a WordPerfect variable.  The value can be a numeric expression, measurement expression, character expression, or other variables.  Consider the following examples:

ASSIGN (PERIOD; "Renaissance")

This ASSIGN statement assigns the word "Renaissance" to variable PERIOD.  Note the quotation marks around the character expression.

ASSIGN (SUM; NUMBER+19)

This ASSIGN statement assigns 19 plus the value of variable NUMBER to variable SUM.  For example, if variable NUMBER is 10, variable SUM is assigned the value of 29.

Syntax

ASSIGN (VariableName; Value)

or

VariableName:=Value

Parameters

VariableName

Contains the value in the Value parameter.

Value

Specifies the value to assign.  All expressions, including variables, can be used in this parameter.

See Also

DISCARD

GLOBAL

LOCAL

PERSIST

PERSISTALL


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

ASSIGN(More;"Y")

WHILE(TOUPPER(More)="Y")

FOREACH(field;{"First Name";"Last Name";"Company"; "Address";"City";"State";"Zip"})

GETSTRING(Info;"Enter the "+field;"Field "+field)

Type(Info)

MergeCode(EndField!)

Info:=""

ENDFOR

MergeCode(EndRecord!)

GETSTRING(More;"Enter another record? Y/N";"Continue?")

ENDWHILE


BEEP

Purpose

BEEP causes the computer to beep.  This command is often used to prompt the user when a macro pauses or displays a message.

Syntax

BEEP

See Also

ONCANCEL

ONERROR

ONNOTFOUND

PAUSE

PROMPT


For Example...


CHARLEN

Purpose

CHARLEN returns the number of characters, including codes, of the text contained in the String parameter.  For example, the following CHARLEN command returns the number of characters in the word "Mississippi":

LN:= CHARLEN ("Mississippi")

This use of CHARLEN assigns the number of characters in "Mississippi" (11) to variable LN (assuming there are no codes within the string).

To find the number of characters, excluding codes, in a character expression, use STRLEN.

Syntax

CHARLEN (String)

Parameters

String (Character Expression)

Specifies the string to evaluate.

Return Value

Contains the number of characters, including codes, in a character expression.

See Also

CHARPOS

STRLEN

SUBCHAR


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

GETSTRING(CharString;"Enter a character string")

CharsLong:= CHARLEN(CharString)

Number:= NUMSTR(CharsLong)

PROMPT("Answer";"The string you entered is "+Number+" characters in length";;;)

PAUSE


CHARPOS

Purpose

CHARPOS finds a specific character (or the beginning of a group of characters) in a string and returns, in characters (including codes), the position of that character in the string.  For example, to assign the location of "Perfect" in "WordPerfect," to variable Location, the command is used as follows:

Location:= CHARPOS ("WordPerfect"; "Perfect")

In this example, variable Location is assigned the value of 5 because "Perfect" begins on the fifth character in "WordPerfect."  If the string specified in the SubString parameter is not found in the String parameter, the variable is assigned a value of 0.

To find the character position, excluding codes, of a string, use STRPOS.

Syntax

CHARPOS (String; SubString)

Parameters

String (Character Expression)

Specifies the original string from which a substring is taken.

SubString  (Character Expression)

Specifies a substring.

Return Value

Contains the character position, including codes, of the string specified in the SubString parameter.

See Also

CHARLEN

STRPOS

SUBCHAR


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

GETSTRING(Origexp;"Enter the original expression";"CharPos Macro")

GETSTRING(Subexp;"Enter the sub expression";"CharPos Macro")

CHARPOS(Charnum;Subexp;Origexp)

IF(Charnum=0)

PROMPT("CharPos Macro";"The sub expression"""+Subexp+"""was not found in the original expression.";3;;)

ELSE

NUMSTR(Chartr;;Charnum)

PROMPT("CharPos Macro";"The sub expression"""+Subexp+"""begins at character "+Charstr+".";3;;)

ENDIF

PAUSE

ENDPROMPT


CALL

Purpose

CALL redirects macro execution to the LABEL command specified in the Label parameter.  The macro executes from that point until it encounters a RETURN command.  Macro execution then returns to the command immediately following CALL and resumes from that point.  This command is useful for repeating a subroutine from any location in the macro.

Syntax

CALL (Label@)

Parameters

Label

Any combination of text can specify a label.  The label name specified here must correspond to a LABEL command in the same macro.

See Also

LABEL

RETURN


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

PosDocTop()

CALL(Convert@)

ONNOTFOUND(NotFnd@)

LABEL(Begin@)

SearchString(".  ")

SearchNext()

CALL(Convert@)

GO(Begin@)

LABEL(Convert@)

SelectCharNext()

ConvertCaseUppercase()

SelectMode(Off!)

RETURN

LABEL(NotFnd@)

PROMPT("It's finished.  Press ENTER to continue.")

PAUSE

ENDPROMPT

PosDocTop()


CANCEL

Purpose

CANCEL determines whether to ignore a Cancel condition.  A Cancel condition is created by pressing the Cancel key or by using ASSERT(CancelCondition!).  By default, a Cancel condition is not ignored and stops a macro from executing.  However, a Cancel condition can also be used to redirect a macro using ONCANCEL.  If ONCANCEL is encountered before a Cancel occurs, the macro is redirected to the LABEL specified in ONCANCEL.  Pressing Ctrl+Break always terminates a macro even if CANCEL(Off!) is used.

Syntax

CANCEL (State)

Parameters

State (Enumerated Type)

Specifies whether to ignore Cancel conditions.  Select an enumerated type.

Off!

On!

See Also

ASSERT

LABEL

ONCANCEL


For Example...

ONCANCEL CALL(Cancel@)

LABEL(Top@)

Name:=""

GETSTRING(Name;"Type in a name, (Cancel or Enter) to quit";"Name")

IF(Name="")

ASSERT(CancelCondition!)

ENDIF

TYPE(Name)

Hardreturn()

GO(Top@)

LABEL(Cancel@)

CANCEL(Off!)

GETSTRING(Selection;"Do you really want to Quit? Y/N"; "Quit or Proceed")

SWITCH(TOLOWER(Selection))

CASEOF "y" : QUIT

CASEOF "n" : CANCEL(On!) RETURN

DEFAULT    : GO(Cancel@)

ENDSWITCH


CASE

Purpose

CASE specifies which part of a macro will execute next.  There are three parts to this command:  the Test, the Cases and Labels, and the Default Label.

When a CASE command is executed, the CASE command first finds the value of the Test parameter and compares that value against the value of each of the Case parameters.  If a Case parameter has the same value as the Test parameter, the macro is redirected to the LABEL specified after the Case parameter that provided the match.  If the Test parameter doesn't match any of the Case parameters, the macro is redirected to the LABEL specified by the Default Label parameter.

For example, when a CASE command looks like this:

CASE(YESNO;{"Y";yes@;"y";yes@;"N";no@;"n";no@};maybe@)

and variable YESNO (the Test parameter) contains the value "Y" or "y", the macro is redirected to a LABEL(yes@) command.  If variable YESNO contains the value "N" or "n", the macro is redirected to a LABEL(no@) command.  If variable YESNO doesn't equal either of the case parameters, the macro is redirected to a LABEL(maybe@) command.

For information on an alternate method of branching to subroutines, see SWITCH.

Syntax

CASE (Test;{Case;Label@;Case;Label@;...Case;Label@};Default Label@)

Parameters

Test

Specifies the expression against which each Case will be compared.  This parameter can contain any expression or variable.

Case

Specifies an expression to be evaluated.  This parameter can contain any expression, but must be followed by a Label parameter.  The braces ({}) are optional if only one pair of Case and Label is specified.

Label

Specifies the LABEL command to which the macro should be directed if the Case parameter immediately preceeding provides a match for the Test parameter.  The Label specified in this parameter must correspond to a LABEL found within the macro.  The braces ({}) are optional if only one pair of Case and Label is specified.

DefaultLabel

Specifies the label to which the macro is directed if none of the Case parameters provide a match for the Test parameter.

See Also

CASEOF

CONTINUE

DEFAULT

SWITCH


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DateCode()

HardReturn()

HardReturn()

HardReturn()

HardReturn()

MENU(Addr;DIGIT;;;{"Home Address";"Business Address"})

CASE(Addr;{1;Home@;2;Busi@};Busi@ )

LABEL(Home@)

Type(Text:"Mark")

HardReturn()

Type(Text:"Some Street")

HardReturn()

Type(Text:"Orem, UT 84057")

HardReturn()

HardReturn()

QUIT

LABEL(Busi@)

Type(Text:"Ralph & Associates")

HardReturn()

Type(Text:"c/o WPCorp")

HardReturn()

Type(Text:"1555 N Technology Way")

HardReturn()

Type("Orem, UT 84057")

HardReturn()

HardReturn()

QUIT


DECLARE

Purpose

DECLARE ensures that the specified variables are local to the current macro.  Once the macro executes, the local variables are discarded from memory and are no longer available.  DECLARE is also used to declare an array.  An array is a collection of related information stored in variables.  These variables must be named by DECLARE before they can be used to store information.  For more information on arrays, see the Variables and Arrays section.

Syntax

DECLARE (VariableName;VariableName;...)

Parameters

VariableName

Specifies the variables to be local to the current macro, or specifies the variables to use in an array.

See Also

GLOBAL

LOCAL

PERSIST

PERSISTALL


For Example...

DECLARE(Reports[8])

Reports[1]:="Sunday"

Reports[2]:="Monday"

Reports[3]:="Tuesday"

Reports[4]:="Wednesday"

Reports[5]:="Thursday"

Reports[6]:="Friday"

Reports[7]:="Saturday"

Reports[8]:="Reports are due on "

MENU (DayVar; Digit ; ; ; { "Sunday"; "Monday"; "Tuesday"; "Wednesday"; "Thursday"; "Friday"; "Saturday"})

SWITCH(DayVar)

CASEOF(1):

Type(Reports[8]+Reports[1])

CASEOF(2):

Type(Reports[8]+Reports[2])

CASEOF(3):

Type(Reports[8]+Reports[3])

CASEOF(4):

Type(Reports[8]+Reports[4])

CASEOF(5):

Type(Reports[8]+Reports[5])

CASEOF(6):

Type(Reports[8]+Reports[6])

CASEOF(7):

Type(Reports[8]+Reports[7])

ENDSWITCH


CHAIN

Purpose

CHAIN executes the specified macro when the current macro ends.  Unlike other commands, CHAIN does not take effect when it is encountered.  Regardless of where CHAIN is placed in the macro, it does not execute the chained macro until the current macro has finished.

If a macro contains more than one CHAIN, only the macro specified in the last encountered CHAIN is executed.  A QUIT command at the end of the active macro overrides any pending CHAIN and will not allow execution of the chained macro.

Syntax

CHAIN (MacroFilename)

Parameters

Filename (Character Expression)

Specifies the macro to chain.


For Example...


FORNEXT

Purpose

FORNEXT is the opening command of a FORNEXT-ENDFOR conditional loop.  The FORNEXT command begins a loop which executes all commands between the FORNEXT and its corresponding ENDFOR a specific number of times.  The commands between FORNEXT and ENDFOR are executed until the Control Variable parameter exceeds the Final Value parameter.  When the loop has executed the specified number of times, the macro proceeds to the command immediately following ENDFOR and resumes.

Syntax

FORNEXT (ControlVariable; InitialValue; FinalValue; IncrementValue)

Parameters

ControlVariable

Any variable is valid for this parameter.  The variable specified here initially contains the value of the Initial Value parameter, and is replaced by an incremented (or decremented) value with each repetition of the loop.

InitialValue (Numeric Expression or Measurement Expression)

Specifies the initial value of the loop.

FinalValue (Numeric Expression or Measurement Expression)

Specifies the value to terminate the loop.

IncrementValue (Numeric Expression or Measurement Expression) (optional)

Specifies the value with which to increment the Control Variable parameter.  If this parameter is not specified, the Control Variable parameter is assigned a value of 1.

See Also

ENDFOR

FOR

FOREACH


For Example...

// The following macro will create numbered labels

APPLICATION( A1; "WordPerfect"; Default )

GETNUMBER ( First; "What is the first number?"; "Numbered Labels" )

GETNUMBER ( Last; "What is the last number?"; "Numbered Labels" )

GETNUMBER ( Increment; "Count by what number?"; "Numbered Labels" )

FORNEXT ( Count; First; Last; Increment )

Type ( Count )

HardPageBreak()

ENDFOR


VALUE

Purpose

VALUE assigns the ID associated with a specific Product Command to the specified variable.  This command is useful for assigning, as a variable, the command to end a pause using PauseCommand or PauseKey.

Syntax

Variable:= Value (Function)

Parameters

Function

A Product Command for any product represented in the macro.

Return Value

Variable

Contains the ID associated with the Product Command specified in the Function parameter.

See Also

PauseCommand

PauseKey

PauseSet


For Example...


DDEEXECUTE

Purpose

DDEEXECUTE sends a command to an application with which you have already begun a DDE conversation.  You must use DDEINITIATE to begin the conversation before you can use DDEEXECUTE.  You must be familiar with the commands supported by the application with which you want to communicate with.

Syntax

DDEEXECUTE (ConversationId; Command)

Parameters

ConversationId

The Conversation Id is used in the DDEINITIATE command to identify each DDE conversation begun.  The Conversation Id parameter here must match a Conversation Id used in a DDEINITIATE command.

Command

Specifies a command to send to another application.  You can send the contents of a WordPerfect variable or you can send a command string.  A command string must be enclosed in quotation marks:

DDEEXECUTE (hConv3;"[OPEN(""C:\SHEET1.XLS"")]")

If the command string includes quotation marks, use double quotation marks ("") in place of each single quotation mark you want to send.  For example, the command string

"[OPEN(""C:\SHEET1.XLS"")]"

in a WordPerfect macro would be received by the other application as

[OPEN("C:\SHEET1.XLS")]

Each application has its own set of commands.  For information about what application commands are available or the syntax of particular commands, consult the documentation of that application.

See Also

DDEINITIATE


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITIATE(hConv1;"Exec;";"System")

DDEEXECUTE(hConv1;"[OPEN(""C:\SHEET1.XLS"")]")

DDETERMINATE(hConv1)


DDEINITIATE

Purpose

DDEINITIATE attempts to begin a conversation with another DDE compatible application.  Once a DDE conversation is initiated, you can pass data (DDEPOKE) or commands (DDEEXECUTE) to the other application.  You can also receive data (DDEREQUEST) from the other application.  You can then end a particular conversation (DDETERMINATE) or every conversation you have begun (DDETERMINATEALL).

Syntax

DDEINITATE (ConversationId; ServiceName; TopicName)

Parameters

ConversationId

A unique identifier you give to each conversation you begin.  It can be any string (excluding spaces).  If a conversation is sucessfully initiated, the conversation handle is stored in the Conversation Id.  If the conversation cannot be initiated, the Conversation Id is set to 0.

ServiceName (Character Expression)

Specifies the name of the application (minus its file extension) with which you want to initiate a conversation.  For example, to begin a conversation with WordPerfect for Windows 6.0, the service string would be WPWIN.

TopicName (Character Expression)

Identifies the application topic for the conversation you are intiating.  Each application has its own set of available topics.  You can use the contents of a WordPerfect variable to specify a topic or you can use a topic string.  For more information about the topics available in a particular application, consult the documentation of that application.

See Also

DDEEXECUTE

DDEPOKE


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITATE(hConv;"FAXMNG";"Transmit")

GETSTRING(FAXNum;length=20;"Enter FAX Number";"WinFAX")

DDEPOKE(hConf;"FAX Number";FAXNum)

DDETERMINATE(hConv)

PrintFull()


DDEPOKE

Purpose

DDEPOKE places data into a variable in an application with which you have begun a DDE conversation.  You must use DDEINITIATE to start the conversation before you can use DDEPOKE.

Syntax

DDEPOKE (ConversationId; ItemName; Data)

Parameters

ConversationId

The conversation variable is used in DDEINITIATE to identify each DDE conversation.  The Conversation Id parameter here must match a conversation id used in a DDEINITIATE command.

ItemName

Specifies the name of a variable in another application into which you are placing data.  You can use the contents of a WordPerfect variable to specify an item, or you can use an item name string.  An item name string must be enclosed in quotation marks.  Each application has its own set of variables.  For information about what application variables are available, consult the documentation of that application.

Data

Specifies the data you want to place into a varaible in another application.  You can send the contents of a WordPerfect variable or you can send a data string.  A data string must be enclosed in quotation marks.  For example:

DDEPOKE(hConv;"FAX Number";"18012227577")

See Also

DDEINITIATE


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITATE(hConv;"FAXMNG";"Transmit")

GETSTRING(FAXNum;length=20;"Enter FAX Number";"WinFAX")

DDEPOKE(hConf;"FAX Number";FAXNum)

DDETERMINATE(hConv)

PrintFull()


DDEREQUEST

Purpose

DDEREQUEST requests the value of a variable in an application with which you have initiated a DDE conversation.  DDEREQUEST then places the data in a WordPerfect variable.  You must use the DDEINITIATE command to begin the conversation before you can use the DDEREQUEST command.  Once a request has been made, you can use ONDDEADVISE to monitor any change in the value of the variable.

Syntax

DDEREQUEST (Variable; ConversationId; Item Name)

Parameters

Variable

Specifies the name of a WordPerfect variable into which the requested data will be placed.

ConversationId

The conversation id is used in the DDEINITIATE command to identify each DDE conversation.  The Conversation Id parameter here must match a conversation id used in a DDEINITIATE command.

ItemName (Character Expression)

Specifies the name of a variable in another application.  You can use a WordPerfect variable to specify the item, or you can use an item name string.  An item name string must be enclosed in quotation marks.  Each application has its own set of variables.  For information about what application variables are available, consult the documentation of that application.

See Also

DDEINITIATE

ONDDEADVISE


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITIATE(hConv;"Excel";"System")

DEEREQUEST(data2;hConv;"Topics")

Type("Topics: ")

Type(data2)

HardReturn()

DDETERMINATE(hConv)


DDETERMINATE

Purpose

DDETERMINATE ends a DDE conversation with another application.

Syntax

DDETERMINATE (ConversationId)

Parameters

ConversationId

The conversation id is used in the DDEINITIATE command to identify each DDE conversation.  The Conversation Id parameter here must match a conversation id used in a DDEINITIATE command.


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITATE(hConv;"FAXMNG";"Transmit")

GETSTRING(FAXNum;length=20;"Enter FAX Number";"WinFAX")

DDEPOKE(hConf;"FAX Number";FAXNum)

DDETERMINATE(hConv)

PrintFullDoc()


UNITSTR

Purpose

UNITSTR converts a measurement expression to a character expression.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

UNITSTR (Value; Units)

Parameters

Value (Measurement Expression)

Specifies the number to convert.

Units (Enumerated Type)

Specifies the conversion unit of measurement.  Select an enumerated type.

Inches!

Centimeters!

Millimeters!

Points!

WPUnits!

Return Value

Contains the character expression resulting from the converted measurement expression.

See Also

STRUNIT


For Example...


DEFAULT

Purpose

DEFAULT is used with the SWITCH command to specify a series of commands to execute if all CASEOF expressions are false.  This command is an optional part of a SWITCH statement, but is useful for providing a default action if all other cases are false.

Syntax

DEFAULT:

Parameters

There are no parameters, but DEFAULT is always followed by macro commands to execute.

See Also

SWITCH

CASEOF

CONTINUE

ENDSWITCH


For Example...

ONCANCEL CALL(Cancel@)

LABEL(Top@)

Name:=""

GETSTRING(Name;"Type in a name, (Cancel or Enter) to quit";"Name")

IF(Name="")

ASSERT(CancelCondition!)

ENDIF

TYPE(Name)

Hardreturn()

GO(Top@)

LABEL(Cancel@)

CANCEL(Off!)

GETSTRING(Selection;"Do you really want to Quit? Y/N"; "Quit or Proceed")

SWITCH(TOLOWER(Selection))

CASEOF "y" : QUIT

CASEOF "n" : CANCEL(On!) RETURN

DEFAULT    : GO(Cancel@)

ENDSWITCH


DEFAULTAPP

Purpose

DEFAULTAPP


For Example...


DEFAULTUNITS

Purpose

DEFAULTUNITS sets the default unit of measurement for any measurement expression that does not contain a unit of measurement character (", c, p).

Syntax

DEFAULTUNITS (Units)

Parameters

Units (Enumerated Type)

Specifies the default unit of measurement for measurement expressions.

Inches! (")

Centimeters!

Millimeters!

Points!

WPUnits!


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DEFAULTUNITS(Centimeters!)

Advance(AdvanceFromTop!;4)


DISCARD

Purpose

DISCARD removes variable definitions from the current macro as well as variables set with PERSIST or PERSISTALL.  Variables might reside in one of three variable tables: Local, Global, and Persistent.  Variables are discarded in that order.  For example, to discard local, global, and persistent variables all named ABBEY, you would need to DISCARD(ABBEY) three times to remove ABBEY from all tables.  This command does not specify the table from which the variable should be discarded; the command must simply be repeated enough times to clear the desired tables.  This could be done easily in a WHILE loop, for example:

WHILE(EXISTS(Abbey))

DISCARD(Abbey)

ENDWHILE

Syntax

DISCARD (VariableName;VariableName;...VariableName)

Parameters

VariableName

Any variable is valid for this parameter.

See Also

ASSIGN

GLOBAL

LOCAL

PERSIST

PERSISTALL


For Example...


For Example...

This macro averages a series of numbers and returns the quotient value of the average.

ASSIGN(Last;0)

GETNUMBER(HowMany;"How many numbers do you have to average")

ASSIGN(Y;0)

FORNEXT(Count;1;HowMany)

GETNUMBER(INDIRECT("Number"+Count);"Enter in a number  ")

ASSIGN(last;last+Indirect("Number"+Count))

ENDFOR

Type("The quotient of the average of ")

FORNEXT(X;1;HowMany)

TYPE(Indirect("Number"+x)+"+")

ENDFOR

DeleteCharPrevious

Type(" is "+last DIV howmany)


DLLCALL

CAUTION:  The DLLCALL, DLLLOAD, and DLLFREE statements deal with programming code outside of WordPerfect.  If used incorrectly, these commands can damage files and/or reset your computer.  Do not use these commands unless you are familiar with programming in Windows and using Dynamic Link Libraries (DLLs).  Note that the data type descriptions that follow assume the reader has a working knowledge of the Microsoft Windows 3.x SDK and Microsoft C data types.  All functions called in a DLL via the DLLCALL command must be declared as FAR PASCAL.

Purpose

DLLCALL accesses a function of the Dynamic Link Library (DLL) specified in a corresponding DLLLOAD command.  The variable in the Module Instance parameter of this command must contain a value which it was assigned in the DLLLOAD command.  This value, which is a Windows handle to the DLL, links the macro to the DLL specified in the Filename parameter of the DLLLOAD command. The FunctionName parameter specifies which function from the DLL will be invoked.  The information in the Parameter parameter is passed to that function.  The function processes the information, then returns a value to the variable specified in the Return Variable parameter.

If a DLL writes data into a variable, the Address operator must be used with the expression.  Failure to use this operator may cause the DLL to overwrite memory and cause a UAE or other undesirable result.  Passing an expression without the use of the Address operator is acceptable only when the DLLCALL will only read the data.  NOTE that the largest amount of data that can be written into the variable is 1K bytes.

Syntax

DLLCALL (ModuleInstance; FunctionName; ReturnVariable; ReturnType; {Parameter})

Parameters

ModuleInstance

This parameter is a variable.  The value for this variable must be established via the DLLLOAD command before the DLLCALL command is encountered.

FunctionName (Character Expression)

Determines which function in the DLL specified by the Module Instance parameter will be accessed by the macro.  The name of this function depends on the DLL being accessed; refer to the DLL's documentation for the Function Name parameter's valid values.

ReturnVariable

This parameter is a variable.  The Return Variable parameter is assigned a value from the function specified by the Function Name parameter in the DLL specified by the Module Instance parameter.  The type of value this variable expects to receive depends on the value of the Return Type parameter (see Return Type below).

ReturnType

Specifies the data type of the information that is being returned by the DLL function into the variable specified in the Return Variable parameter.  It is critically important that this data type be compatible with the data type that will actually be returned from the function.  Failure to do so will most likely result in an "Unrecoverable Application Error" or system crash.  Most Windows DLL calls return an ansistring.

Data Type	Equivalent Data Type

ANSISTRING	Windows SDK data type LPSTR.

BOOL	Windows SDK data type BOOL.

DWORD	Windows SDK data type DWORD.

INTEGER	Windows SDK data type LONG

OEMSRING	Windows SDK data type LPSTR.

REAL	Microsoft C type double.

STRING	WordPerfect 6.0 wordstring

WORD	Windows SDK data type WORD.

To DLL

This parameter (or series of parameters) is the information passed to the DLL function.  This parameter may be empty, contain a single parameter (the braces are optional), or contain a series of parameters between the braces (braces required), each separated by a semicolon (;).  In any case, an open brace ({) begins this parameter set and a close brace (}) ends the parameter set.  Individual parameters within this parameter set have the following format:

<expression>

The value of <expression> will be passed directly into the DLL function.  If <expression> results in an integer, the function must expect a LONG or DWORD for this parameter.  If <expression> results in a string, the function must expect a far pointer to a WordPerfect 6.0 wordstring.  If <expression> results in a Boolean, the function must expect a BOOL for this parameter.

ANSISTRING ( <expression> )

The value of <expression> must be a string.  The function must expect a far pointer to an ansistring.

HIWORD ( <expression> )

The value of <expression> must result in an integer.  The high order 16 bits of this 32 bit integer will be passed to the DLL function.  The function must expect an int, short, or WORD for this parameter.

LOWORD ( <expression> )

The value of <expression> must result in an integer.  The low order 16 bits of this 32 bit integer will be passed to the DLL function.  The function must expect an int, short, or WORD for this parameter.

OEMSTRING ( <expression> )

The value of <expression> must be a string.  The function must expect a far pointer to an oemstring.

ADDRESS ( <variable> ) or

ADDRESS (ANSISTRING ( <variable> )) or

ADDRESS (OEMSTRING ( <variable> ))

A far pointer to the address of the contents of the variable will be passed to the DLL function.  If the variable contains an integer, the function must expect an LPDWORD.  If the variable contains a Boolean, the function must expect a BOOL FAR *.  If the variable contains a string, placing either ANSISTRING or OEMSTRING before the variable allows ADDRESS to tell the macro system what type of string the DLL is passing to the variable.  If the variable contains a string, but is not preceeded by either ANSISTRING or OEMSTRING, the function must expect a far pointer to a WordPerfect 6.0 wordstring.

See Also

DLLFREE

DLLLOAD


For Example...

Since this command requires the use of programming code outside of WordPerfect, no example is provided.


DLLFREE

CAUTION:  The DLLCALL, DLLLOAD, and DLLFREE statements deal with programming code outside of WordPerfect.  If used incorrectly, these commands can damage files and/or reset your computer.  Do not use these commands unless you are familiar with programming in Windows and using Dynamic Link Libraries (DLLs).

Purpose

The DLLFREE command breaks the links between the macro and Dynamic Link Library (DLL) which were established with the DLLLOAD command.  After the DLLFREE command has been encountered, the variable specified in the Link parameter no longer corresponds to the DLL specified in the Filename parameter in the DLLLoad command.  The value of the variable specified in the Link parameter is left undefined.

The link between the macro and the DLL must be broken before the macro terminates.  The most efficient way to do this is to use the DLLFREE command.  However, the macro interpreter also tracks all DLLs loaded with the DLLLOAD command and frees any that weren't freed with a DLLFREE command when the execution of a macro terminates.

Syntax

DLLFREE (ModuleInstance)

Parameters

ModuleInstance

This parameter is a variable.  The DLLFREE command does not assign a value to this variable.

See Also

DLLCALL

DLLLOAD


For Example...

Since this command requires the use of programming code outside of WordPerfect, no example is provided.


DLLLOAD

CAUTION:  The DLLCALL, DLLLOAD, and DLLFREE statements deal with programming code outside of WordPerfect.  If used incorrectly, these commands can damage files and/or reset your computer.  Do not use these commands unless you are familiar with programming in Windows and using Dynamic Link Libraries (DLLs).

Purpose

The DLLLOAD command establishes a link between the macro and the Dynamic Link Library (DLL) specified in the Filename parameter.  This command assigns a numeric value (the Windows handle to the DLL) to the variable specified in the Link parameter.  This variable can then be used in the DLLCALL command to access a function of the DLL specified in the Filename parameter.  The link between the macro and the DLL must be broken before the macro terminates.  The most efficient way to do this is to use the DLLFREE command.  However, the macro interpreter also tracks all DLLs loaded with the DLLLOAD command and frees any that weren't freed with a DLLFREE command when the execution of a macro terminates.

Syntax

DLLLOAD (Link; Filename)

Parameters

Link

This parameter is a variable.  The value assigned to this variable is the Windows handle to the DLL and establishes the connection between the macro and the DLL specified in the DLL parameter.

Filename (Character Expression)

Specifies the filename or the complete path of the DLL to be accessed by the macro.

See Also

DLLCALL

DLLFREE


For Example...

Since this command requires the use of programming code outside of WordPerfect, no example is provided.


ELSE

Purpose

ELSE is used with IF to specify macro commands to execute when the IF statement is false.  Commands placed between ELSE and ENDIF execute only if the value of the relational expression in the IF statement is false.  If ELSE is not used within an IF statement, and if the statement is false, the macro moves to the command immediately following ENDIF and resumes execution.

Syntax

ELSE

See Also

IF

ENDIF


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

IF(?Name<>"")

  FooterB(Create!)

  Type(?Path+?Name)

  SubstructureExit

ELSE

  PROMPT("The file hasn't been saved yet.  Please save and rerun the macro.")

  PAUSE

ENDIF


ENDAPP

Purpose

ENDAPP indicates that an application specified in a previous APPLICATION command  will no longer be used in the current macro.  Any product commands with the application's Product Identifier following this command will not be valid.  The ENDAPP command is executed differently than most commands; it is implemented when you compile the macro, rather than when you play the macro.  This means that the ENDAPP command is always effective from its location in the macro, even if the ENDAPP command itself is not encountered when the macro runs.

Syntax

ENDAPP (Product Identifier)

Parameters

Product Identifier

This parameter is two letters.  The Product Identifier parameter must correspond to a Product Identifier set in an APPLICATION command earlier in the macro.  This parameter is not a character expression, so the letters should not be enclosed in quotation marks.

See Also

APPLICATION


For Example...

APPLICATION((A1; "WordPerfect"; Default; "US")

//Specify default application

APPLICATION(A2; "Office";"US")

//Specify second application (Office)

Type("This is a test of APPLICATION")

//This command is executed in WordPerfect which is the default application

A2.ViewOpen(InBox!)

//This command would be executed in Office which is application A2

ENDAPP(A2)

//Any Office commands after this point will be ignored

Type("This is a test of ENDAPP and should only execute in WordPerfect")


DDETERMINATEALL

Purpose

 DDETERMINATEALL ends all DDE conversations with other applications.

Syntax

DDETERMINATEALL

See Also

DDEINITIATE

DDETERMINATE


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITIATE(hConv1;"Excel";"System")

DDEEXECUTE(hConv1;"[OPEN(""C:\Sheet1.XLS"")]")

DDEINITIATE(hConv2;"Excel";"Sheet1.XLS")

IF(hConv2=0)

Type("Could not find the correct file>")

QUIT

ENDIF

DDEREQUEST(Data1;hConv2;"R6C12")

DDEINITIATE(hConv3;"FAXMNG";"Transmit")

DDEPOKE(hConv3;"FAX Number";Data1)

DDETERMINATEALL


ENDFOR

Purpose

ENDFOR is the closing command for a FOR-ENDFOR, FOREACH-ENDFOR and FORNEXT-ENDFOR loops.

Syntax

ENDFOR

See Also

FOR

FORNEXT

FOREACH


For Example...


ENDIF

Purpose

ENDIF is the closing command for an IF-ENDIF conditional statement.

Syntax

ENDIF

See Also

ELSE

IF


For Example...


ENDIFPLATFORM

Purpose

ENDIFPLATFORM is the closing command for an IFPLATFORM-ENDIFPLATFORM statement.

Syntax

ENDIFPLATFORM (PlatformId)

Parameters

PlatformId  (optional)

Contains the platform or platforms specified in IFPLATFORM.

See Also

IFPLATFORM


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

IFPLATFORM("DOS")

//This code will only execute when run in WordPerfect 6.0 for DOS

NEST("c:\wp60\macros\Memo.wpm")

ENDIFPLATFORM

IFPLATFORM("WIN")

//This code will only execute in WordPerfect 6.0 for Windows.

RUN("c:\wpwin60\macros\WPMail.wcm")

ENDIFPLATFORM


ENDPROMPT

Purpose

ENDPROMPT closes the message box created by the PROMPT command.

Syntax

ENDPROMPT

See Also

PROMPT


For Example...

APPLICATION(WP;WPWP;Default)

GetData(DocName;Name!)

If(DocName="")

PROMPT("Counter Macro";"Your file has not been saved. Save before continuing."1;;)

PAUSE

ENDPROMPT

QUIT

ENDIF


ENDSWITCH

Purpose

ENDSWITCH is the closing command for a SWITCH-ENDSWITCH conditional statement.

Syntax

ENDSWITCH

See Also

SWITCH


For Example...


ENDWHILE

Purpose

ENDWHILE is the closing statement for a WHILE-ENDWHILE loop.

Syntax

ENDWHILE

See Also

WHILE


For Example...


ERROR

Purpose

ERROR determines whether an error condition should be ignored while a macro is running.  By default, an error is not ignored and generally stops macro execution.  ERROR can also redirect execution with ONERROR.  If an ONERROR command is encountered in the macro before an Error occurs, the macro is redirected to the LABEL specified in ONERROR.

Syntax

ERROR (State)

Parameters

State (Enumerated Type)

Specifies whether error-checking is on or off.

Off!

On!

See Also

ASSERT

LABEL

ONERROR


For Example...

LABEL(Begin@)

GETSTRING(Path;"Enter the Path of the file to retrieve.")

GETSTRING(Filename;"Enter the filename to retrieve.")

ERROR(On!)

NOTFOUND(Off!)

FileRetrieve(path+filename)

IF(?Filename="")

CALL(Error@)

GO(Begin@)

ENDIF

QUIT

LABEL(Error)

PROMPT("";"The File doesn't exist.  Press Enter to continue";;;)

PAUSE

RETURN


EXISTS

Purpose

EXISTS is used in combination with other commands, such as IF, to determine if a specified variable exists.  For a variable to exist, it must contain an expression.  If DECLARE, LOCAL, GLOBAL, or PERSIST were used to assign the variable to their respective tables, the value returned represents the variable table in which the variable exists.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

EXISTS (VariableName)

Parameters

VariableName

Specifies the variable to evaluate.

Return Value

Returns a value representing in which variable table the variable exists.

Value	Description

0	Does not exist

1	Exists in local table

2	Exists in global table

3	Exists in persist table

See Also

ENDIF

GLOBAL

IF

LOCAL

PERSIST


For Example...


FOR

Purpose

FOR is the opening statement of the FORENDFOR conditional loop.  The  command begins a loop which executes all commands between the FOR and ENDFOR commands.  The number of times this loop runs depends on the values given to the Control Variable, Intial Value, TerminateExp, and IncrementExp parameters. For example, consider the command below:

For (VAR01; 3; VAR01<20; VAR01 + 2)

The first time through the loop, the variable in the Control Variable parameter (VAR01), is assigned the value of the Initial Value parameter (3).  The macro then checks to see if the TerminateExp parameter (VAR01<20) is true.  If the TerminateExp parameter is true, the commands between FOR and ENDFOR run.  The IncrementExp parameter (VAR01+2) then assigns the variable in the Control Variable parameter a new value.  (In this case, since VAR01 had the value 3, its new value is 5.)  The macro returns to the beginning of the  loop and runs, with the variable in the Control Variable parameter containing the new value. If the TerminateExp parameter is false, the macro goes to the command after ENDFOR and continues from that point. The steps remain the same every time through the loop, but the variable in the Control Variable parameter gets a new value from the IncrementExp parameter each time the loop runs.

Syntax

FOR (ControlVariable; InitialValue; TerminateExp; IncrementExp)

Parameters

ControlVariable

Any variable is valid for this parameter.  The variable is incremented by the IncrementExp parameter each time the FOR-ENDFOR statement executes.

InitialValue (Numeric Expression, Measurement Expression)

Specifies the initial value of the Control Variable parameter.

TerminateExp (Relational Expression)

Specifies the test against which the Control Variable parameter is compared.

IncrementExp (Numeric Expression, Measurement Expression)

Specifies the increment of the Control Variable parameter.

See Also

ENDFOR

FOREACH

FORNEXT


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

GETNUMBER(Amount;"How many copies would you like?";"LABELS")

FOR(Count;1;Count<=Amount;Count+1)

Type("Brad Simmons")

HardReturn()

Type("1726 South Main Street")

HardReturn()

Type("Orem, UT  84059")

HardPageBreak()

ENDFOR


FOREACH

Purpose

FOREACH is the opening command of a FOREACH-ENDFOR conditional loop.  A FOREACH loop executes all commands between FOREACH and ENDFOR.  The number of times this loop executes depends on the number of items specified between the braces ({}).  For example, if the command contains four Value List parameters, the loop runs four times.  Each time the loop executes, the next item is assigned to the variable specified in the Control Variable parameter.  When the variable contains the value of the last item, the loop executes a final time.  The macro then proceeds to the command immediately following ENDFOR and resumes.

Syntax

FOREACH (ControlVariable;{ValueList})

Parameters

ControlVariable

Any variable is valid for this parameter.  The variable specified contains the first item in the Value List, and is replaced by the next item with each repetition of the loop.

Value List (Character Expression, Measurement Expression or Numeric Expression)

Specifies the item to assign to the variable.  If only one item is specified, the braces ({}) are optional.

See Also

ENDFOR

FOR

FORNEXT


For Example...


FRACTION

Purpose

FRACTION returns the fractional portion of a numeric expression.  For example, since the quotient of 3/2 is 1.5, FRACTION(3/2) returns the value 0.5.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

FRACTION (Value)

Parameters

Value (Numeric Expression)

Specifies an expression to evaluate.  This numeric expression often contains a mathematical operation such as division.

Return Value

Returns the fractional portion of the number specified in the Value parameter.

See Also

ASSIGN

IF

INTEGER

Type


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

GETNUMBER(Total;"Type in the taxable amount";"Taxable Amount")

Tax1:=INTEGER(Total * 0.065 * 100)

ASSIGN(Tax1;Tax1/100)

Tax2:=FRACTION((Total * 0.0625)*100)

IF(Tax2>0.49)

ASSIGN(Tax1;Tax1+0.01)

ENDIF

Total:=NUMSTR(2;Total)

Tax1:=NUMSTR(2;Tax1)

Type(Tax1 + "is tax on " + Total)


GETNUMBER

Purpose

GETNUMBER displays a dialog box in which the user enters a numeric expression.  When the dialog box displays, the macro pauses and allows the user to enter a number.  The number is then assigned to the variable specified in the Variable Name parameter.  If the user enters a keystroke other than a number, the dialog remains on the screen until the user enters a number.

Syntax

GETNUMBER (VariableName; Prompt; Title)

Parameters

VariableName

Any variable is valid for this parameter.  The variable contains the number entered by the user.

Prompt (Character Expression) (optional)

Specifies the prompt in the dialog box.

Title (Character Expression) (optional)

Specifies the dialog box title.

See Also

GETSTRING

GETUNITS


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

DISPLAY(Off!)

GETNUMBER(tot;"How many return address labels would you like?")

FORNEXT(cnt;1;tot;10)

Type("Your name")

Hardreturn()

Type("Your company")

Hardreturn()

Type("Your address")

Hardreturn()

Type("City, State  ZIP")

HardPageBreak()

ENDFOR


GETSTRING

Purpose

GETSTRING displays a dialog box in which the user enters a character expression.  When the dialog box displays, the macro pauses while the user types in text.  If the optional Length parameter is specified, the dialog box prevents the user from entering more text than the number of characters specified.  The text is assigned to the variable specified in the Variable Name parameter.

Syntax

GETSTRING (VariableName; Prompt; Title; Length)

Parameters

VariableName

Any variable is valid for this parameter.  The variable contains the text entered by the user.

Prompt (Character Expression) (optional)

Specifies the prompt in the dialog box.

Title (Character Expression) (optional)

Specifies the dialog box title.

Length (Numeric Expression) (optional)

Specifies, in characters, the maximum amount of text allowed.

See Also

GETNUMBER

GETUNITS


For Example...


GETUNITS

Purpose

GETUNITS displays a dialog box in which the user enters a measurement expression and an optional unit of measurement character (", i, c, m, p, w).  When the dialog box displays, the macro pauses while the user types in a measurement.  If no unit of measurement character is specified, the macro will use the default unit of measurement.

Syntax

GETUNITS (VariableName; Prompt; Title)

Parameters

VariableName

Any variable is valid for this parameter.  The variable contains the measurement entered by the user.

Prompt (Character Expression) (optional)

Specifies the prompt in the dialog box.

Title (Character Expression) (optional)

Specifies the title of the dialog box.

See Also

GETNUMBER

GETSTRING


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

AutoCodePlacement(On!)

GETUNITS(margint;"Enter top margin";"Top Margin")

GETUNITS(marginb;"Enter bottom margin";Bottom Margin")

MarginTop(margint)

MarginBottom(marginb)


GLOBAL

Purpose

GLOBAL assigns variables to the global variable table.  This allows the specified variables to be used in the current macro, or in macros named in a CHAIN or RUN command in the current macro.

Syntax

GLOBAL (VariableName;VariableName;...VariableName)

Parameters

VariableName

Any variable is valid for this parameter.

See Also

CHAIN

LOCAL

PERSIST


For Example...

APPLICATION(a1;"WordPerfect";Default!)

GLOBAL(x)

x:="Deena T."

NEST("Letter.wcm")	//The variable x is accessable in the macro Letter.wcm

DISCARD(x)	//The variable x has now been removed from memory

NEST("Fax.wcm")	//The variable x is not accessable in the macro Fax.wcm


GO

Purpose

GO redirects macro execution to the label specified in the Label parameter.

Syntax

GO (Label@)

Parameters

Label

Specifies the label to which the macro should be directed.  The specified label must match a label specified by a LABEL command elsewhere in the macro.

See Also

CALL

LABEL


For Example...


IF

Purpose

IF is the opening command of a IF-ENDIF conditional statement.  An IF statement permits the execution of a series of commands only if certain conditions exist.  The IF command contains a relational expression that can be evaluated as true or false.  For example, NUMBER>28 is a relational expression that could be either true or false depending on the value of variable NUMBER.

When an IF expression is true, the commands directly after IF are executed.  When an expression is false, the macro proceeds directly to the ENDIF command and resumes.  To execute certain commands only when the IF expression is false, use ELSE.

Syntax

IF (Test)

Parameters

Test (Relational Expression)

Specifies the condition to evaluate.

See Also

ELSE

ENDIF


For Example...


IFPLATFORM

Purpose

IFPLATFORM specifies the platform on which the commands contained between IFPLATFORM and ENDIFPLATFORM will run.  Commands contained in an IFPLATFORM statment are ignored by all platforms not specified in the Platform Identifier parameter.  This allows a macro to be written for, and executed in, programs running on different platforms.  Each platform requires a specific identifier.  For example, Windows requires WIN and Dos requires DOS.  The identifiers are not case sensitive and multiple platforms can be specified.  If multiple platforms are specified, the commands between IFPLATFORM and ENDIFPLATFORM must be valid on each platform for the macro to execute properly.

Syntax

IFPLATFORM (PlatformId;...PlatformId)

Parameters

PlatformId

Specifies the platforms on which subsequent macro commands are recognized.  The following values are valid for this parameter:

DG

DOS

MAC

NEXT

NONE

OS2

UNIX

VAX

WIN

See Also

ENDIFPLATFORM


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

IFPLATFORM("DOS")

//This code will only execute when run in WordPerfect 6.0 for DOS

NEST("c:\wp60\macros\Memo.wpm")

ENDIFPLATFORM

IFPLATFORM("WIN")

//This code will only execute in WordPerfect 6.0 for Windows.

RUN("c:\wpwin60\macros\WPMail.wcm")

ENDIFPLATFORM


INTEGER

Purpose

INTEGER returns the integer portion of the specified numeric expression.  For example, INTEGER(43/2) returns the value of 21.  The fractional portion (0.5) is ignored.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

INTEGER (Value)

Parameters

Value (Numeric Expression)

Specifies an expression to evaluate.  This numeric expression often contains a mathematical operation such as division.

Return Value

Returns the integer portion of the number specified in the Value parameter.

See Also

ASSIGN

IF

FRACTION

Type


For Example...


LABEL

Purpose

LABEL marks a specific location, sometimes called a subroutine, in a macro.  Execution can be directed to that location from anywhere in the macro using commands such as CALL, GO, ONCANCEL, ONERROR, and ONNOTFOUND.

A macro can contain an unlimited number of LABEL commands, but each label must have a unique name.  Label names cannot include spaces, cannot be longer than 30 characters, and can optionally be followed by an at sign (@).

Syntax

LABEL (Label)

Parameters

Label Name

Specifies the label name.  Although the name usually consists of text, it is not considered a character expression and should not be enclosed in quotation marks.

See Also

CALL

GO

ONCANCEL

ONERROR

ONNOTFOUND


For Example...


LOCAL

Purpose

LOCAL assigns the specifed variables to the local variable table.  This ensures that a variable is local to the current macro.  Once the macro executes, the local variables are discarded from memory and are no longer available.

Syntax

LOCAL (VariableName;VariableName;...VariableName)

Parameters

VariableName

Any variable is valid for this parameter.

See Also

DISCARD

GLOBAL

PERSIST

PERSISTALL


For Example...


MENU

Purpose

MENU displays a menu with the options you specify.  Each option in the menu has a corresponding letter or number (depending on the Mnemonic Type parameter) to its left.  For instance, if you  choose letters for the Mnemonic Type (set the parameter to Letter!), the first option is labeled A, the second is labeled B, and so forth.  If you choose numbers for the Mnemonic Type (set the parameter to Digit!), the first option is labeled 1, the second is labeled 2, and so forth.  Mnemonic Type affects only how the options are displayed, not what is assigned to the variable when the user selects an option.  The user can select an option by clicking on it, or by typing the letter or number corresponding to that option.  A numeric value is then assigned to the variable according to the option the user selects.  For example, if the user selects the first option (regardless of whether the Mnemonic Type is a letter or a digit), 1 is assigned to the variable.  If the user selects the third option, 3 is assigned to the variable, and so forth.  If the user presses Alt, the menu is dismissed.

The MENU command can be used in combination with other commands, such as CASE and CASE CALL, to specify the course of action for the macro.

Syntax

MENU (Variable; MnemonicType; HorizontalPosition; VerticalPosition; {MenuOption})

Parameters

Variable

Any variable is valid for this parameter.

MnemonicType (Enumerated Type)

Specifies whether letters or numbers will correspond to the options in the menu.  The values for this parameter are text, not character expressions, so these values should not be enclosed in quotation marks.

Digit!

Letter!

HorizontalPosition (Numeric Expression) (optional)

Specifies the horizontal position of the menu.  The position is measured in pixels from the leftmost point of the active application window to the left side of the menu.  Since different screen types have different numbers of pixels, where the menu displays depends on the resolution of your screen.  If you omit this parameter, the menu will appear in the center of the screen.

VerticalPosition (Numeric Expression) (optional)

Specifies the vertical position of the menu.  The position is measured in pixels from the top of the active application window to the top of the menu.  Since different screen types have different numbers of pixels, where the menu displays depends on the resolution of your screen.   If you omit this parameter, the menu will appear in the center of the screen.

MenuOption (Character Expression)

Specifies the options on the menu. The number of options is determined by whether you choose Letter! or Digit! as the mnemonic type.  If you use letters, you can have 26 options; if you use digits, you can have 9 options.  Each option is a character expression and will be shown as an item in the menu  If only one option is specified, the braces ({}) are optional.

Although you can display mnemonics in the options on your menu by placing an ampersand (&) immediately before the letter you would like underlined on the menu, this will not affect which letter the user presses to select that option.  For example, if your options are:

MENU (NAME; Letter!;;; {"&Business"; "&Personal";})

Your menu will display the mnemonics for the B and the P, but the mnemonics are not available for option selection; the user must still press the A or the B to select either option.

See Also

CASE

CASE CALL


For Example...


NEWDEFAULT

Purpose

NEWDEFAULT specifies a new product prefix as the default.  After the macro encounters a NEWDEFAULT command, any product commands without a product identifier will be treated as if they have the product identifier specified in the Product Identifier parameter of the NEWDEFAULT command.

Only one product identifier may be the default at any point in time.  Several NEWDEFAULT commands may be included in a single macro, but each NEWDEFAULT command applies only until either the next NEWDEFAULT command or an ENDAPP command specifying a product identifier is encountered.  This command assumes that a product identifier is set as the default when the macro executes.  If no product prefix is currently set as the default and the product commands are not preceded by a product prefix, a compilation error will result when you try to play the macro.  When you define a product identifier in the APPLICATION command, you can also set it as the default application.

NEWDEFAULT is executed differently than most commands; it is implemented when you compile the macro, rather than when you run the macro.  This means that the NEWDEFAULT command is always effective from its location in the macro, even if NEWDEFAULT itself is not encountered when the macro runs.  For example, if a NEWDEFAULT command is located within an IFENDIF conditional statement, the NEWDEFAULT command is effective from its location forward, regardless of whether the IF argument is true.

Syntax

NEWDEFAULT (Product Indentifier)

Parameters

Product Identifier

The contents of this parameter must correspond to the Product Identifier parameter specified in an APPLICATION command earlier in the macro.  This parameter is not a character expression, so it should not be enclosed in quotation marks.

See Also

APPLICATION


For Example...

APPLICATION((A1; "WordPerfect"; Default; "US")

//Specify default application

Type("Open Office and view incoming messages")

//This command is executed in WordPerfect

NEWDEFAULT(A2)  //Office becomes the default application

ViewOpen(InBox!)

//This command would be executed in Office which is application A2


NOTFOUND

Purpose

NOTFOUND determines whether to ignore a Not Found condition during macro execution.  A Not Found condition most commonly occurs when a search fails.  By default, Not Found conditions are not ignored and will stop the macro.   However, NOTFOUND can also be used to redirect macro execution with ONNOTFOUND.  If an ONNOTFOUND command occurs in the macro before a Not Found condition occurs, the macro is redirected to the label specified by ONNOTFOUND.

Syntax

NOTFOUND (State)

Parameters

State (Enumerated Type)

Specifies whether to ignore a Not Found.

Off!

On!

See Also

ASSERT

ONNOTFOUND


For Example...

PosDocVeryTop()

SearchString("[Header A]")

SearchNext()

NOTFOUND(Off!)

IF(?HeaderAOccur=0)

HeaderA(Create!)

ELSE

HeaderA(Edit!)

ENDIF

DeleteToEndOfLine()

Type(?Path+?Name)

SubstructureExit()

QUIT


NUMSTR

Purpose

NUMSTR returns the character expression equivalent of a specified numeric or measurement expression.  For instance, if the number 123 is specified in the Expression parameter, NUMSTR returns the character expression "123."  Character expressions are interpreted and used differently by the computer than numeric or measurement expressions.  Because of this difference, you cannot add a numeric or measurement expression to a character expression.  This command, along with the STRNUM command, allows you to change one type of value to the other.

Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

NUMSTR (Value; RightDigits; LeftDigits)

Parameters

Value (Numeric Expression or Measurment Expression)

Specifies the number to convert to text.

RightDigits (Numeric Expression)  (optional)

Specifies the number of digits right of the decimal to include in the converted text.  This should be a value between 0 and 16.  If the number specified in the Value parameter contains more digits to the right of the decimal than specified in this parameter, NUMSTR will round up.  If this parameter is not specified, NUMSTR will convert six places beyond the decimal.

LeftDigits (Numeric Expression)

Specifies the number of digits left of the decimal to include in the converted text.

Return Value

Contains the character expression equivalent of the numeric or measurement expression specified in the Value parameter.

See Also

STRNUM


For Example...

DISPLAY(Off!)

PosDocBottom()

ASSIGN(TotPgNum;?PageNumber)

PosDocTop()

NUMSTR(TotPgStr;;TotPgNum)

PageNumberPosition(Position:BottomCenter!;Default:UseDefaultValues!)

PageNumberFormat("[page #] of "+TotPgStr)


ONCANCEL

Purpose

ONCANCEL directs macro execution to the specified LABEL command when a Cancel occurs.  If an ONCANCEL command has not been encountered when a Cancel occurs, the macro will stop.  If a Cancel occurs after two or more ONCANCEL commands, the macro is directed to the LABEL command specified in the last encountered ONCANCEL command in the active macro.

ONCANCEL also includes the option of calling a LABEL if you use ONCANCEL CALL.  If you call a LABEL, include a RETURN command at the end of the commands to be executed by the specified LABEL.  This returns the macro execution to the command immediately following the command most recently executed when the Cancel occurred.

Syntax

ONCANCEL (Label)

or

ONCANCEL CALL (Label)

Parameters

Label

The label must correspond to a LABEL command within the macro.

See Also

ASSERT

LABEL

ONERROR

ONNOTFOUND

RETURN


For Example...

ONCANCEL CALL(Cancel@)

LABEL(Top@)

Name:=""

GETSTRING(Name;"Type in a name, (Cancel or Enter) to quit";"Name")

IF(Name="")

ASSERT(CancelCondition!)

ENDIF

TYPE(Name)

Hardreturn()

GO(Top@)

LABEL(Cancel@)

CANCEL(Off!)

GETSTRING(Selection;"Do you really want to Quit? Y/N"; "Quit or Proceed")

SWITCH(TOLOWER(Selection))

CASEOF "y" : QUIT

CASEOF "n" : CANCEL(On!) RETURN

DEFAULT    : GO(Cancel@)

ENDSWITCH


ONDDEADVISE

Purpose

ONDDEADVISE establishes a link with an application with which a conversation has been initiated.  The link established by ONDDEADVISE provides a method for checking whether or not the value of the variable received from DDEREQUEST has changed.  If the value changes, ONDDEADVISE immediately calls the label specified in the CALL portion of the command.

Syntax

ONDDEADVISE (ResultVariable; ConversationId; ItemName) CALL (Label)

Parameters

ResultVariable

Contains a value representing whether the ONDDEADVISE link was established successfully.  A value of 0 indicates success.  Any other value indicates that the link is not established.

ConversationId

Specifies the DDE conversation.  This variable must match the Conversation Id specified in DDEINITIATE and DDEREQUEST.

ItemName

Specifies the name of a variable in another application.  You can use a WordPerfect variable to specify the item or you can use an item name string.  An item name string must be enclosed in quotation marks.  Each application has its own set of variables.  For information about what application variables are available, consult the documentation of that application.  This Item Name must match the Item Name specified in DDEREQUEST.

See Also

DDEINITIATE

DDEPOKE

DDEREQUEST

DDETERMINATE


For Example...

The following is an example of WordPerfect executing Excel,

sending a command to open a file, and causing a cell to be set to

a value.  It then initiates an advise loop and waits for a

terminating value (9999) to occur in the cell before terminating

the macro, at which time it will send a QUIT command to Excel:

APPLICATION(WP;WPWP;Default;"WPWPUS.WCD")

AppLocate(hWndExcel; "Microsoft Excel*")

If (hWndExcel = 0)

   AppExecuteExt(res; "C:\EXCEL\EXCEL.EXE"; 1)

   If (res < 32)

      Type ( "Can't execute Excel!" )

      HardReturn()

      Beep

      Quit

   EndIf

EndIf

AppLocate(hWndExcel; "Microsoft Excel*" )

If (hWndExcel = 0)

   Type( "Can't locate the window" )

Else

   AppActivate( hWndExcel )

EndIf

DDEINITIATE( hConv; "Excel"; "System" )

If (hConv = 0)

   Beep

   Type( "Can't make a connection with Excel!" )

   HardReturn()

   Quit

EndIf

Ack := 0

DDEExecuteExt( res; hConv; "[OPEN(""C:\EXCEL\TEST1.XLS"")]"; 0;

   Lab2@)

While (Ack = 0)

   MyData := 1

EndWhile

If (res = 0)

   Beep

   Type( "Couldn't open TEST1.XLS!" )

   HardReturn()

   DDETerminate( hConv )

   Quit

EndIf

DDETerminate( hConv )

DDEINITIATE( hConv; "Excel"; "TEST1.XLS" )

If (hConv = 0)

   Beep

   Type( "Can't make 2nd connection with Excel!" )

   HardReturn()

   Quit

EndIf

DDEPOKE( hConv; "R1C1"; "4321" )

DDEREQUEST( myData; hConv; "R1C1" )

Type( "Poked and requested: " )

Type( myData )

HardReturn()

DDEAdvise := 0

OnDDEAdvise(result; hConv; "R1C1") CALL (Lab1@)

If (result = 0)

   While (DDEAdvise = 0)

      MyData := "EMPTY"

   EndWhile

Else

   Beep

   Type( "The OnDDEAdvise transaction did not complete!" )

   HardReturn()

EndIf

Type( "GoodBye!" )

HardReturn()

DDEExecuteExt( res; hConv; "[QUIT]"; 0;)

DDETERMINATEALL

Quit

Label (Lab1@)

   Beep

   Type( "Got a change at A1: " )

   DDEREQUEST( myData; hConv; "R1C1" )

   Type( myData )

   SubStr(junk;1;4;myData ) // Because Excel adds CRLF

   If (junk = "9999")

      Type ("Terminating value detected!.....")

      HardReturn()

      Beep

      DDEAdvise := 1

   EndIf

   Return

Label (Lab2@)

   Beep

   Type( "Got the ack from DDEExecuteExt" )

   Ack := 1

   HardReturn()

   Return


ONERROR

Purpose

ONERROR directs macro execution to the specified LABEL command when an Error occurs.  If ONERROR has not been encountered when an Error occurs, the macro will stop.  If an Error occurs after two or more ONERROR commands, the macro is directed to the LABEL command specified in the last encountered ONERROR command in the active macro.

ONERROR also includes the option of calling a LABEL if you use ONERROR CALL.  If you call a LABEL, include a RETURN command at the end of the commands to be executed by the specified LABEL.  This will return the macro execution to the command immediately following the command most recently executed when the Error occurred.

Syntax

ONERROR (Label)

or

ONERROR CALL (Label)

Parameters

Label

The label must correspond to a LABEL command within the macro.

See Also

ASSERT

LABEL

ONCANCEL

ONNOTFOUND

RETURN


For Example...


ONNOTFOUND

Purpose

ONNOTFOUND directs macro execution to a specified LABEL command when a Not Found condition occurs.  Macro execution is directed to the LABEL command specified in the last encountered ONNOTFOUND command.  If an ONNOTFOUND command has not been encountered when a Not Found condition occurs, the macro will stop.

ONNOTFOUND also includes the option of calling a LABEL if you use ONNOTFOUND CALL.  If you call a LABEL, include a RETURN command at the end of the commands to be executed by the specified LABEL.  This will return the macro execution to the command immediately following the command most recently executed when the Not Found occurred.

Syntax

ONNOTFOUND (Label)

or

ONNOTFOUND CALL (Label)

Parameters

Label

The label must correspond to a LABEL command within the macro.

See Also

ASSERT

LABEL

ONCANCEL

ONERROR

RETURN


For Example...


PAUSE

Purpose

PAUSE pauses a macro until either Enter or the command specified in PAUSESET is pressed.  This command enables the user to type text or press keystrokes as if there were no macro running.  PAUSE does not prompt the user so this command is generally used in conjunction with PROMPT or BEEP.

Syntax

PAUSE

See Also

BEEP

PROMPT


For Example...


PERSIST

Purpose

PERSIST assigns the specified variables to the persist variable table.  This allows other macros and merges to use the specified variables.  Normally, variables are only recognized, and can only be used, by the macro in which they are defined.  PERSIST allows variables to be shared among macros and merges during the present session of WordPerfect.

Syntax

PERSIST (VariableName;VariableName;...VariableName)

Parameters

VariableName

Any variable is valid for this parameter.

See Also

ASSIGN

DISCARD

GLOBAL

LOCAL

PERSISTALL


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

ONERROR CALL(Replace@)

IF(EXISTS(EditReturn)=0)

PERSIST(EditReturn)

ELSE

ASSERT(ErrorCondition!)

ENDIF

ONERROR(Error@)

EditReturn:=""

DIALOGDEFINE(100; 50; 50; 200; 100; 1+2+16+512; "Edit Box Example")

DIALOGADDEDITBOX(100; 1000; 10; 10; 175; 50; 1+32+64; EditReturn; 100)

DIALOGDISPLAY(100; 1000)

DIALOGDESTROY(100)

Type(EditReturn)

QUIT

LABEL(Error@)

PROMPT("Something went wrong";"ERROR";;;)

PAUSE

QUIT

LABEL(Replace@)

GETSTRING(ans;"The variable EditReturn already exists.  Do you want to replace it?";"Replace the Variable?";1)

IF(TOLOWER(ans)<>"y")

QUIT

ENDIF

RETURN


PERSISTALL

Purpose

PERSISTALL allows other macros and merges to use all variables defined in the current macro during the present session of WordPerfect or Shared Code.  This command takes effect when it is encountered during macro execution, so only those variables defined after this command will be available to other macros.

Parameters

PERSISTALL

See Also

ASSIGN

DISCARD

GLOBAL

LOCAL

PERSIST


For Example...

APPLICATION(A1;"WordPerfect";Default!)

PERSISTALL

DialogDefine(100;50;50;200;100;1+16;"Your Address")

DialogAddText(100;1001;7;10;50;10;0;"Name")

DialogAddText(100;1002;7;25;50;10;0;"Street Address")

DialogAddText(100;1003;7;40;50;10;0;"City, State ZIP")

DialogAddEditBox(100;1004;65;10;120;12;32+64+1024;Name;100)

DialogAddEditBox(100;1005;65;25;120;12;32+64+1024;Add;100)

DialogAddEditBox(100;1006;65;40;120;12;32+64+1024;City;100)

DialogDisplay(100; 1004)

DialogDestroy(100)

Prompt("All the variables are now accessible in any macro/merge.")

WAIT(30)


CONTINUE

Purpose

CONTINUE is used in a SWITCH statement to instruct a macro, after executing one CASEOF, to continue to the next CASEOF and execute it without evaluating its expression.  This command is optional and is not required as part of a SWITCH statement.

Syntax

CONTINUE

See Also

CASEOF

DEFAULT

SWITCH


For Example...

APPLICATION(A1;"WordPerfect";Default!)

ChkBx1:=0

ChkBx2:=1

ChkBx3:=0

DialogDefine(100;50;50;200;100;1+2+16;"ADDRESSEE")

DialogAddRadioButton(100;2000;10;10;75;15;"Name Only";ChkBx1)

DialogAddRadioButton(100;2001;10;30;75;15;"Name and Address";ChkBx2)

DialogAddRadioButton(100;2002;10;50;75;15;"Address Only";ChkBx3)

DialogDisplay(100; 2000)

DialogDestroy(100)

SWITCH (1)

  CASEOF ChkBx1 : type("John Doe")

  CASEOF ChkBx2 : type("John Doe") HardReturn()

    CONTINUE

  CASEOF ChkBx3 : type("123 Anywhere")

ENDSWITCH

HardReturn()

HardReturn()


PROMPT

Purpose

PROMPT displays a message box with the title specified in the Title parameter, and the message sepcified in the Prompt parameter.  The macro then continues normally.  This message box will not remain on screen unless PAUSE is used between PROMPT and ENDPROMPT.  If PAUSE is used, the message box will stay on screen until the user chooses OK or Cancel.  Only one PROMPT message box can be on the screen at a time.  If a PROMPT message box is on the screen when another PROMPT is encountered, the second PROMPT replaces the first.

If the user chooses Cancel in the message box, the macro responds as if a Cancel condition has occurred.  For example, if the macro has an ONCANCEL command, macro execution is redirected to the specified label.  If the macro does not contain ONCANCEL, the macro will stop.  If the macro is paused when the user chooses OK in the PROMPT message box, the message box is dismissed, and the macro resumes.

Syntax

PROMPT (Title; Prompt; Icon; Horizontal Position; Vertical Position)

Parameters

Title (Character Expression)

Specifies the title bar text.

Prompt (Character Expression) (optional)

Specifies the prompt.  If this parameter is not specified, the Title becomes the prompt.

Icon (Numeric Expression) (optional)

Specifies an option icon representing the type of information contained in the message box.  The following numeric expressions specify the described icon:

0	No Icon (default value if parameter is not specified)

1	Stop Sign

2	Question Mark

3	Exclamation Point

4	Information Icon (the value can also be greater than 4 or less than 0)

Horizontal Position (Numeric Expression) (optional)

Specifies the horizontal position of the message box.  The position is measured in pixels (dots on the screen) from the leftmost point of the active application window to the left side of the message box.  If this parameter is omitted, the message box will be centered horizontally.

Vertical Position (Numeric Expression) (optional)

Specifies the vertical position of the message box.  The position is measured in pixels (dots on the screen) from the top of the active application window to the top of the message box.  If this parameter is omitted, the message box will be centered vertically.

See Also

BEEP

ENDPROMPT

PAUSE

WAIT


For Example...


QUIT

Purpose

QUIT stops a macro.  No commands following it are executed.  If the current macro was started by another macro, both macros stop.  Macros initiated in the current macro with CHAIN or RUN will not execute after QUIT occurs.

Syntax

QUIT


For Example...


REPEAT

Purpose

REPEAT is the opening command of a REPEAT-UNTIL conditional loop.  A REPEAT-UNTIL loop executes all commands between REPEAT and UNTIL until the condition set in UNTIL is true.  Since the condition is evaluated at the end, a REPEAT-UNTIL loop always executes at least once, regardless of whether the UNTIL condition is true or false.  For information on conditional loops whose test expressions are evaluated at the top of the loop, see WHILE and ENDWHILE.

Syntax

REPEAT

Parameters

There are no parameters, but REPEAT is followed by commands to execute at least once.

See Also

ENDWHILE

UNTIL

WHILE


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

MacroStatusPrompt(On!;"Press Esc to quit")

info:=1

REPEAT

Type(info)

HardReturn()

info:=info+1

UNTIL(info=15)

MacroStatusPrompt(Off!)


RETURN

Purpose

RETURN marks the end of a series of commands initiated by LABEL.  When RETURN is encountered, macro execution returns to the command immediately following the command that called the LABEL (usually CALL, CASE CALL) and continues from there.  If there is no CALL or CASE CALL to return to, and the macro containing this command is nested, RETURN signals the macro to return to the macro from which it was nested.  If the command is not in a nested file and there is no CALL or CASE CALL to return to, RETURN stops the macro.

If a macro encounters RETURN before a CALL or CASE CALL, the macro ends or returns to the macro that invoked the current macro.

Syntax

RETURN

See Also

CALL

LABEL

ONCANCEL

ONERROR

ONNOTFOUND


For Example...


BREAK

Purpose

BREAK breaks out of loops of statements created with FORNEXT, FOR, FOREACH, SWITCH, REPEAT, or WHILE.  At the point this command is encountered, the macro is redirected to the end of the loop or statement and resumes execution.  For example, if this command breaks out of a WHILE loop, the macro is redirected to the command immediately after ENDWHILE and continues from that point.

Syntax

BREAK

See Also

CASE

NEXT

REPEAT

WHILE


For Example...

APPLICATION(A1;"WordPerfect";Default!)

FOR(x;1;X<=9;X+1)

Type(x)

HardReturn()

IF(x=7)

BREAK

ENDIF

ENDFOR


NEXT

Purpose

NEXT executes the next cycle or iteration of a FOR, FOREACH, FORNEXT, WHILE or REPEAT loop.  Usually, ENDFOR, ENDWHILE, or UNTIL ends the current iteration and directs macro execution to the beginning the loop to begin the next iteration.  NEXT sends execution to the next iteration from a location within the loop rather than at the end of the loop.  For example, you might use nested IF statements are part of a loop and if a specific condition exists, NEXT causes the remaining commands to be ignored and the loop proceeds directly to the next iteration.

Syntax

NEXT

See Also

BREAK

FOR

FOREACH

REPEAT

WHILE


For Example...


CASEOF

Purpose

CASEOF creates individual cases against which a single SWITCH expression is compared.  Each CASEOF can contain one or more expressions which, when evaluated individually, may be true, or in other words, provide a match for the SWITCH expression.

For example,

SWITCH(Year)

CASEOF 1776:

GO(Independence)

CASEOF 1988;1992:

GO(Elections)

ENDSWITCH

The first CASEOF is true, or a match, if the SWITCH expression (variable Year) contains the number 1776.  The second CASEOF is a match if variable Year contains either 1988 or 1992.  In other words, if a CASEOF contains more than one expression, the semi-colon acts as an "or" rather than as an "and."  Both the SWITCH and the CASEOF expressions are case sensitive (capitalization) and must match exactly.  If a CASEOF match is found for the SWITCH expression, the commands immediately following that CASEOF will be executed and the macro does not evaluate any other CASEOF expression.

Syntax

CASEOF Expression;Expression;...:

Parameters

Expression

Specifies the expression to evaluate.  All expressions are valid for this parameter.

See Also

CONTINUE

DEFAULT

GO

SWITCH


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

a:=1

b:=0

c:=0

d:=0

DIALOGDEFINE(100; 50; 50; 100; 140; 1+2+16; "Which Form?")

DIALOGADDRADIOBUTTON(100; 1000; 10; 10; 50; 15; "Letter"; a)

DIALOGADDRADIOBUTTON(100; 1001; 10; 30; 50; 15; "Itinerary"; b)

DIALOGADDRADIOBUTTON(100; 1002; 10; 50; 50; 15; "Memo"; c)

DIALOGADDRADIOBUTTON(100; 1003; 10; 70; 50; 15; "Fax"; d)

DIALOGDISPLAY(100; 1)

DIALOGDESTROY(100)

SWITCH (1)

CASEOF a : CHAIN("Letter")

CASEOF b : CHAIN("Itin")

CASEOF c : CHAIN("Memo")

CASEOF d : CHAIN("Fax")

ENDSWITCH


RUN

Purpose

RUN command runs the macro specified in the Macro File parameter. After the macro runs, its "parent" macro (the macro that contains the RUN command) continues from the command immediately below the RUN command.  The macro this command runs must already be compiled.  This means that you must have already played the macro once, or you must have compiled the macro using the Macro Facility.

Syntax

RUN (MacroFile)

Parameters

MacroFile (Character Expression)

Specifies the macro to run.  This parameter may contain the macro name only, or the full pathname.

See Also

CHAIN

RETURN


For Example...


SENDKEYS

Purpose

SENDKEYS allows the user to send key codes to the window that has the current focus.  This allows users to create keystroke macros.  SENDKEYS includes an optional WAIT keyword.  WAIT acts as a qualifier on the SENDKEYS command.  Without the WAIT qualifier, SENDKEYS simulates the keystrokes specified by the KeyCode parameter and then immediately continues execution of the macro at the next command.  The simulated keystrokes are not processed by the application that has focus until the next command is processed.  Typically, they are not processed until the next product command is executed.  This allows macros to be written that send keystrokes to dialog boxes inside of WPWin.  For example, the following code fragment causes the string "mydoc.txt" to be sent to the File Open dialog in WPWin:

SENDKEYS WAIT ("mydoc.txt")

FileOpenDlg()

Since the keystrokes are not processed until after the next product command is executed, WPWin displays the Open File dialog box.  The keystrokes are then executed within the dialog.

When the WAIT qualifier is used, SENDKEYS does not complete until the application that has focus has received and processed the simulated keystrokes.  This allows synchronization of the macro with the application that is to receive the keystrokes.

SENDKEYS now supports two languages: a Markup language and a Keystring language.  See the KeyCode parameter for tables that describe both languages.

Syntax

SENDKEYS WAIT (KeyCode; Language)

Parameters

KeyCode (Character Expression)

Specifies the expression to send to an application.  See the MarkUp Language and the KeyString Language tables below to help you formulate this expression.

MarkUp Code	Meaning

\	Key is to be pressed

/	Key is to be released

|	Key is to be pressed and released

'	All text following this character (until the next occurrence of the character) will be sent without special interpretation as if it had been typed on the keyboard.

The following characters can be used in conjunction with the modifier characters mentioned above to send special characters:

Character	Meaning

A	Alt key

B	Backspace key

C	Control key

D	Down arrow key

E	End key

Fxx	A function key (where xx is a numeric value 01 to 16)

H	Home key

I	Insert key

K	Delete key

L	Left arrow key

M	Enter key

P	Page up key

Q	Page down key

R	Right arrow key

S	Shift key

T	Tab key

U	Up arrow key

Z	Escape key

xxx	Any 3 digit value.  These are interpreted in decimal (for example, 102 represents f)

Keystring	Description

The following meta-symbols are used to specify a key or keystring.

{VKnnn}	nnn = ANSI character number

{Alt}

{Ctrl}

{Control}

{Shift}

{0} - {9}	Digits

{A} - {Z}	Alphabet

{F1} - {F16}	Function keys

{NumLock}

{NumAdd}

{NumSubtract}

{NumMultiply}

{NumDivide}

{NumDecimal}

{Num0} - {Num9}	Numpad numbers

{Left}

{Right}

{Up}

{Dn}

{Down}

{PgDn}

{PageDown}

{PgUp}

{PageUp}

{Bksp}

{Backspace}

{Break}	Cancel

{CapsLock}

{Clear}

{Del}

{Delete}

{End}

{Enter}

{Esc}

{Escape}

{Help}	VK Help key

{Home}

{Ins}

{Insert}

{Minus}

{Pause}

{ScrLock}

{ScrollLock}

{PrintScrn}

{PrintScreen}

{Space}

{Tab}

{LeftBrace}	 {

{RightBrace}	 }

The meta-symbols are translated into a keydown message (WM_KEYDOWN or WM_SYSKEYDOWN) and a keyup message (WM_KEYUP or WM_SYSKEYUP).

The meta-symbols are not case-sensitive.  Spaces or other defined symbols (+ and -) are delimiters.  For example, the keystring "A B C Enter" would cause "ABC[Enter]" to be sent to the application..

The plus (+) and minus (-) characters can be used to combine metasymbols.  The + causes the preceding meta-symbol to defer its keyup message until the following meta-symbol has processed its keyup message.  For example, the keystring {Shift + Tab} would cause the Shift key to be pressed and held while Tab was pressed and released.  The Shift key would then be released.

If a meta-symbol does not follow a plus (+), then all keys that were previously combined with a + are left in the down state until released.  For example, {Shift+Control+} would cause both the Shift and Control keys to be left in a down state.

Keys can be released (have their keyup message immediately processed) by using the minus (-) character.  For example, the keystring "-Control-Shift" would cause the Control key to be released, followed by a release of the Shift key.

The plus (+) and minus (-) keys can be combined.  For example, the keystring {Shift+Del-Del+Ins} would cause the selected text to be cut to the Clipboard (Shift+Del) and then pasted at the insertion point (Shift+Ins).

Language (Numeric Expression) (optional)

Specifies which language is used to interpret the key codes.  If this parameter is not specified, the language defaults to 1.

Value	Description

0	5.1/5.2 Markup Language

1	6.0 Keystring Language


For Example...

//Opens the File Open Dialog box and lists all files with a .DOC extension

Application (A1; "WordPerfect"; Default; "US")

InhibitInput(Off!)

SENDKEYS("{Alt+F}{O}*.DOC{Enter}";1)

//Opens the Windows Clipboard, removes the contents, and closes.

Application (A1; "WordPerfect"; Default; "US")

APPEXECUTE("C:\Windows\Clipbrd.exe")

SENDKEYS WAIT("{Alt+E}{D}Y";1)

SENDKEYS WAIT("{Ctrl+Esc}{Alt+E}";1)


SPEED

Purpose

SPEED slows down macro execution.  Macro speed is incremented in tenths of a second.  For example, to specify a macro to wait one-half second, the command is SPEED(5).  The maximum delay is one minute or SPEED(600).  The default macro speed is SPEED(0).  SPEED is useful for debugging macros or making demonstration macros.

Syntax

SPEED (TenthsofSecond)

Parameters

TenthsofSecond (Numeric Expression)

A number between 0 and 600 specifying macro speed.

See Also

PAUSE

WAIT


For Example...

Display(On!)

FORNEXT(Count;1;20)

NUMSTR(Count;;Count)

TYPE("This is line "+Count+".")

HardReturn()

STRNUM(Count;Count)

ENDFOR

SPEED(30)

FORNEXT(Count;1;20)

NUMSTR(Count;;Count)

TYPE("This is line "+Count+".")

HardReturn()

STRNUM(Count;Count)

ENDFOR


STRLEN

Purpose

STRLEN returns the number of characters (length) of a character expression.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

STRLEN (String)

Parameters

String (Character Expression)

A character expression to evaluate.

Return Value

Contains the number of characters contained in the specified character expression.

See Also

ASSIGN

IF

NUMSTR

STRNUM

STRPOS

STRUNIT

Type


For Example...

APPLICATION(A1;"WordPerfect";Default!)

DECLARE Student[5]

student[1]:="David N.  CS 330  B"

student[2]:="John B.  Math 402  B"

student[3]:="Kerry R.  Physics 305  B"

student[4]:="Mark B.  PE 132  A"

student[5]:="Ralph D.  CS 351  A"

FOR(x;1;x<=5;x+1)

len:=STRLEN(student[x])

namepos:=STRPOS(student[x];" ")

IF((len=0) OR (namepos=0))

NEXT

name:="xxx"

ENDIF

name:=SUBSTR(student[x];1;namepos1)

grade:=SUBSTR(student[x];len;1)

Type(name)

FOR(space;1;space<=15-namepos;space+1)

Type(" ")

ENDFOR

Type(grade)

HardReturn()

ENDFOR


STRNUM

Purpose

STRNUM converts a character expression to a numeric expression.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

STRNUM (String)

Parameters

String (Character Expression)

Specifies the text to convert.

Return Value

A numeric expression resulting from the converted character expression.

See Also

ASSIGN

NUMSTR

STRLEN

STRPOS

STRUNIT

Type


For Example...


STRPOS

Purpose

STRPOS returns the position of a substring within an original string.  For example, "Perfect" is a substring of "WordPerfect" and begins at the fifth character, or position.  In this example, STRPOS returns a value of 5.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

STRPOS (String; Substring)

Parameters

String (Character Expression)

Specifies the original string.

Substring

Specifies the substring.

Return Value

Contains a numeric expression representing the position of a substring in the specified original string.

See Also

ASSIGN

IF

NUMSTR

STRLEN

STRNUM

STRUNIT

SUBSTR

Type


For Example...


STRUNIT

Purpose

STRUNIT converts a character expression to a measurement expression.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

STRUNIT (String)

Parameters

String (Character Expression)

Specifies the text to convert.

Return Value

Contains a measurement expression resulting from the converted character expression.

See Also

ASSIGN

NUMSTR

STRLEN

STRNUM

STRPOS

Type


For Example...

Num:="15"

ASSIGN(Number;STRNUM(Num))

ASSIGN(Unit;STRUNIT(Num))

ASSIGN(UnitString;UNITSTR(Unit;Centimeters!))

TYPE("The Number value is "+ Number)

HardReturn()

TYPE("The Unit value is "+ Unit)

Hardreturn()

TYPE("The Unit String value is "+ UnitString)

HardReturn()


SUBCHAR

Purpose

SUBCHAR returns part of a specified expression.  The first character (including codes) returned is the character specified in the Beginning parameter. (WordPerfect counts the characters in the String parameter from left to right.)  The length of the expression returned is specified in the Number of Chars parameter.

This command returns information characters, including codes.  To return strings measured in characters only, use SUBSTR.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

SUBCHAR (String; Beginning; NumberofChars)

Parameters

Original String (Character Expression)

Specifies the string from which to create a substring.

Beginning Position (Numeric Expression)

Specifies the number of characters from the left (or at what position) to begin the substring.  This parameter will also accept negative numbers to specify a position beginning at the right.

NumberofChars (Numeric Expression)

Specifies the number of characters (including the beginning character) to extract as the substring.

Return Value

A character expression which is the resulting substring created from the original string.

See Also

CHARLEN

CHARPOS


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

GETSTRING(Name;"Type your name";"NAME")

Name2:= SUBCHAR(Name;1;7)

Type(Name2)


SUBSTR

Purpose

SUBSTR creates a substring from an existing string.  For example, to create substring "Brad" from "Bradford", the command is SUBSTR("Bradford";1;4).  The value 1 specifies beginning the substring at the first character or position of the original string.  The value 4 represents extracting four consecutive characters, including the character at the beginning position, to create the substring.

SUBSTR is used in conjunction with commands that can evaluate its contents or perform an action such as ASSIGN, IF, and Type.

Syntax

SUBSTR (Original String; Beginning Position; Number of Characters)

Parameters

Original String (Character Expression)

Specifies the string from which to create a substring.

Beginning Position (Numeric Expression)

Specifies the number of characters from the left (or at what position) to begin the substring.  This parameter will also accept negative numbers to specify a position beginning at the right.

Number of Characters (Numeric Expression)

Specifies the number of characters (including the beginning position) to extract as the substring.

Return Value

Contains a character expression which is the resulting substring from the original string.

See Also

ASSIGN

IF

NUMSTR

STRLEN

STRPOS

SUBSTR

STRUNIT

Type


For Example...


SWITCH

Purpose

SWITCH is the opening command for a conditional SWITCH statement.  A complete switch statement includes the following commands:  SWITCH, CASEOF, CONTINUE (optional), DEFAULT (optional), and ENDSWITCH.  A switch statement compares a single SWITCH expression against individual CASEOF expressions and executes specific commands depending on which CASEOF matches the SWITCH expression.

The SWITCH command contains an expression to evaluate.  Any expression is valid, but it is usually a variable.  In most cases, the contents of this variable are assigned earlier in the macro with commands such as CHAR or GETSTRING.  This SWITCH expression is the "test" against which each individual case is compared.  The individual cases are created with the CASEOF command.  When an individual CASEOF expression matches the SWITCH expression, the macro executes whatever commands follow the CASEOF that provided the match.

Both the SWITCH and the CASEOF expressions are case sensitive (capitalization) and must match exactly.  If none of the CASEOF expressions match the SWITCH expression, the macro executes the commands between DEFAULT and ENDSWITCH.  If a DEFAULT command is not included, the macro is redirected to the commands following ENDSWITCH.

For example,

LABEL(Question@)

GETSTRING(YESNO;"Do you have a preference?";"Preference";1)

SWITCH(NTOC(YESNO))

CASEOF "Y";"y":  Type("Yes")

CASEOF "N";"n":  Type("No")

DEFAULT:	GO(Question@)

ENDSWITCH

In this example, GETSTRING asks the user a question. The user's response is stored in variable YESNO.  The switch statement that follows then evaluates that variable and executes appropriate commands depending on the contents of the variable.  Specifically, if the variable contains either an uppercase or a lowercase "y," the macro types the word "Yes."  If the variable YESNO contains either an uppercase or lowercase "n," the macro will type the word "No."  If the variable contains anything else, the macro returns to label Question and the user will have a chance to respond again.

For an alternate method of branching to subroutines, see CASE.

Syntax

SWITCH (Test)

Parameters

Test (Expression)

Specifies the expression to evaluate.  All expressions are valid for this parameter.

See Also

CASEOF

CONTINUE

DEFAULT

ENDSWITCH

GETSTRING

LABEL


For Example...


TOLOWER

Purpose

TOLOWER converts a character expression to lowercase letters.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

TOLOWER (String)

Parameters

String (Character Expression)

Specifies the text to convert.

Return Value

A character expression which is the lowercase text.

See Also

ASSIGN

IF

TOUPPER


For Example...


TOUPPER

Purpose

TOUPPER converts a character expression to uppercase letters.  Since this command returns a value, it must be used in an expression and must be used with commands that evaluate expressions, such as IF, ASSIGN, or Type.

Syntax

TOUPPER (String)

Parameters

String (Character Expression)

Specifies the text to convert.

Return Value

A character expression which is the uppercase text.

See Also

ASSIGN

IF

TOLOWER


For Example...


UNTIL

Purpose

UNTIL is the closing command of a REPEAT-UNTIL loop.  The loop continues until the expression in UNTIL is true.  For example, a macro that counts to ten could use the following REPEAT-UNTIL loop:

ASSIGN(Count;1)

REPEAT

ASSIGN(Count;Count + 1)

UNTIL(Count=10)

This example adds 1 to the value of variable Count each time the loop repeats.  When Count equals 10, the UNTIL expression is satisfied and the loop ends.  The macro then resumes with the command immediately following UNTIL.  UNTIL expressions are evaluated at the end of the loop.  As a result, a REPEAT-UNTIL loop always executes at least once, regardless of whether the condition is true or false.  For information on conditional loops that evaluate expressions at the beginning, and will not execute if the expression is false, see WHILE and ENDWHILE.

Syntax

UNTIL (Test)

Parameters

Test (Relational Expression)

Specifies an expression to evaluate.

See Also

ENDWHILE

REPEAT

WHILE


For Example...


VARERRCHK

Purpose

VARERRCHK determines whether undefined variables (variables that have not been assigned a value) cause an error message.  By default, undefined variables generate an error and stop the macro from executing further.  Undefined variables can occur in commands, such as Type, that use variables to perform an action.  For example, the command Type(Number) could generate an error if variable Number is not assigned earlier in the macro.  The same error is generated if the Type command is meant to type the word "Number", but the quotes defining it as a character expression are not included.  With VARERRCHK(Off!), a macro will continue running even if it contains undefined variables.

Syntax

VARERRCHK (State)

Parameters

State (Enumerated Type or Numeric Equivalent)

Specifies whether variable error checking is on.

Off!

On!


For Example...

APPLICATION(A1; "WordPerfect"; Default; "US")

VARERRCHK(Off!)

IF (Name="")

GETSTRING(Name;"Enter your name";"Name";15)

Type(Name)

ELSE

Type(Name)

ENDIF


WAIT

Purpose

WAIT suspends macro execution for a specified amount of time.  This is useful, for example, to display a prompt on the screen for a certain amount of time.  If a user begins typing while the macro is suspended, the keystrokes are ignored until the specified time has elapsed.  The length of WAIT is specified in tenths of a second, with a maximum of one minute, or WAIT(600).

Syntax

WAIT (TenthsofSeconds)

Parameters

TenthsofSeconds (Numeric Expression)

Specifies the amount of time to wait.

See Also

PAUSE

PROMPT


For Example...


WHILE

Purpose

WHILE is the opening command of a WHILE-ENDWHILE loop.  This loop repeatedly executes the commands between WHILE and ENDWHILE as long as the WHILE expression is true.  The expression is evaluated at the top of the loop.  If the expression is false, macro execution resumes with the command immediately following ENDWHILE.  For information on loops that evaluate expressions at the end of the loop, see REPEAT and UNTIL.

Syntax

WHILE (Test)

Parameters

Test (Relational Expression)

Specifies an expression to evaluate.

See Also

ENDWHILE

REPEAT

UNTIL


For Example...


?ConfirmCodesDelete

Purpose

?ConfirmCodesDelete indicates whether the environment preference Confirm Deletion of Codes, Stop Insertion Point at Hidden Codes is on or off.

Value	Description

False	Off

True	On


?ConfirmFormulaDelete

Purpose

?ConfirmFormulaDelete indicates whether the environment preference Confirm Deletion of Table Formulas is on or off.

Value	Description

False	Off

True	On


?Name

Purpose

?Name contains the current filename.


?CurrentPrinter

Purpose

?CurrentPrinter contains the name of the current printer.


?CurrentPrinterType

Purpose

?CurrentPrinterType contains a value representing whether the current printer driver is WordPerfect or Windows.

Value	Description

0	WordPerfect

4	Windows


CodePage

Purpose

CodePage specifies code page preferences.

Syntax

CodePage (Dos: Numeric Expression; Windows: Numeric Expression; InputFile: Numeric Expression; OutputFile: Numeric Expression)

Parameters

Dos: Numeric Expression

Specifies a DOS code page setting. Use the following numbers to specify code page settings:

333	Europa

437	US IBM Default

710	Arabic

850	PC Multilingual

8510	Alternate Greek

852	Eastern Language

853	Eastern Language

860	Portugal

8600	Alternate Portugal

8601	Alternate Portugal

861	Icelandic

863	Hebrew

863	Canada/French

865	Norway

866	Cyrillic

8660	Alternate Cyrillic

895	Czech-Kamenicky

897	Hungarian

Windows: Numeric Expression

Specifies a windows code page setting.  Use the following numbers to specify code page settings:

1004	Windows US

1250	Windows Latin-2

1251	Windows Cyrillic

1253	Windows Greek

1253	Windows US Standard

1254	Windows Turkish

InputFile: Numeric Expression

Specifies an input file code page setting.  Use any code number listed for the DOS or Windows parameter.

OutputFile: Numeric Expression

Specifies an output file code page setting.  Use any code number listed for the DOS or Windows parameter.


Route...

File, Preferences, Environment, Code Page, select options from the Code Page Settings pop-up lists.


For Example...

To specify a Cyrillic code page setting for DOS, windows, input files, and output files, the command is:

CodePage:

(

Dos: 866;

Windows: 1251;

InputFile: 866;

OutputFile: 866

)


CodePageDlg

Purpose

CodePageDlg displays the Code Page Preferences dialog box.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

CodePageDlg ()


EndnoteNumberDecrement

Purpose

EndnoteNumberDecrement decreases the last endnote number by one.

Syntax

EndnoteNumberDecrement ()

See Also

EndnoteNewNumber


Route...

Insert, Endnote, New Number, Decrease.


EndnoteNumberDisplay

Purpose

EndnoteNumberDisplay displays current endnote numbering.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

EndnoteNumberDisplay ()

See Also

EndnoteNewNumber


Route...

This command is not recordable. To use this command, you must type it into the macro.


EndnoteNumberIncrement

Purpose

EndnoteNumberIncrement increases the last endnote number by one.

Syntax

EndnoteNumberIncrement ()

See Also

EndnoteNewNumber


Route...

Insert, Endnote, New Number, Increase.


InsertDefaultBullet

Purpose

InsertDefaultBullet inserts another bullet or number of the last type inserted.

Syntax

InsertDefaultBullet ()


Route...

Press Ctrl+Shift+B.


InvokeDialog

Purpose

InvokeDialog displays a specified dialog box but does not pause the macro to allow information to be entered.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

InvokeDialog (Dialog: Macro Command)

Parameters

Dialog: Macro Command

Specifies a macro command which displays a dialog box.


For Example...

To invoke the Advance dialog box, the command is:

InvokeDialog

(

Dialog: AdvanceDlg

)


CASE CALL

Purpose

CASE CALL specifies to which LABEL the macro should be directed.  When the macro reaches the specified LABEL, it executes from that point until it encounters RETURN.  The macro then returns to the command immediately following CASE CALL and continues from there.

There are three parts to this command:  the Test, the Cases and Labels, and the Default Label.  CASE CALL checks the value of the Test parameter against the value of each of the Case parameters.  If a Case parameter contains the same value as the Test parameter, the macro is directed to the Label specified after the Case that provided the match.  If the Test parameter does not match any of the Cases, the macro is directed to the Default Label.

For example, when CASE CALL is constructed like this:

CASE CALL (YESNO;{"Y";yes@;"y";yes@;"N";no@;"n";no@};maybe@)

and variable YESNO (the Test parameter) contains the value "Y" or "y", the macro is redirected to LABEL(yes@).  If variable YESNO contains the value "N" or "n", the macro is redirected to LABEL(no@).  If variable YESNO doesn't equal either of the case parameters, the macro is redirected to LABEL(maybe@).

For information on an alternate method of branching to subroutines, see SWITCH.

Syntax

CASE CALL (Test;{Case;Label;Case;Label;...Case;Label};DefaultLabel)

Parameters

Test

Specifies the expression against which each Case will be compared.  This parameter can contain any expression or variable.

Case

Specifies an expression to be evaluated.  This parameter can contain any expression, but must be followed by a Label parameter.  The braces ({}) are optional if only one pair of Case and Label is specified.

Label

Specifies the LABEL command to which the macro is directed if the Case parameter immediately preceeding provides a match for the Test parameter.  The Label specified in this parameter must correspond to a LABEL found within the macro.  The braces ({}) are optional if only one pair of Case and Label is specified.

DefaultLabel

Specifies the LABEL command to which the macro is directed if none of the Cases provide a match for the Test.

See Also

CASE

LABEL

RETURN

SWITCH


For Example...

APPLICATION(A1;"WordPerfect";Default!)

LABEL(Start@)

MENU(Marg;DIGIT;;;{"Left Margin";"Right Margin";"Top Margin";"Bottom Margin"})

GETUNITS(x;"Enter a measurement in inches";"MARGIN")

NewMrgn:=UNITSTR(x;WPUnits!)

pos:=STRPOS(NewMrgn;"W")

NewMrgn:=SUBSTR(NewMrgn;1;pos-1)

DEFAULTUNITS(Inches)

CASE CALL(Marg;{1;Left@;2;Right@;3;Top@;4;Bottom@};Start@)

PROMPT(Marg+" Margin";"The margin is now set at "+NewMrgn;;;)

WAIT(20)

QUIT

LABEL(Left@)

MarginLeft(newmrgn)

Marg:="Left"

RETURN

LABEL(Right@)

MarginRight(newmrgn)

Marg:="Right"

RETURN

LABEL(Top@)

MarginTop(newmrgn)

Marg:="Top"

RETURN

LABEL(Bottom@)

MarginBottom(newmrgn)

Marg:="Bottom"

RETURN


?CurrentTemplate

Purpose

?CurrentTemplate contains the current template's path and filename.


?DefaultDocumentExtension

Purpose

?DefaultDocumentExtension contains the default extension for document filenames.


?DefaultTemplateExtension

Purpose

?DefaultTemplateExtension contains the default extension for template filenames.


?DefaultView

Purpose

?DefaultView contains a value representing the default view preference. The value of this variable is one of the numeric equivalents or enumerated types listed for the DefaultView parameter of PrefDisplaySet.

For Example:

IF

(

?DefaultView=1

)

BEEP

ENDIF


?DocBlank

Purpose

?DocBlank contains a value representing whether the current document is blank, meaning no characters were entered. If characters were entered and erased, the document is not blank.

Value	Description

False	Not blank

True	Blank


?EditScreen

Purpose

?EditScreen contains a value representing whether the current screen is an editing screen.

Value	Description

0	Not an editing screen

1	Editing screen


?InterimVersion

Purpose

?InterimVersion contains the interim release number of the current version of WordPerfect. For Example, the value assigned to the initial release is 0, and the value assigned to the first interim is 1.


?LabelsToDisplay

Purpose

?LabelsToDisplay contains a value representing whether to display labels for laser or tractor-feed printers, or both types. The value of this variable is one of the numeric equivalents or enumerated types listed for the LabelsDisplay parameter of PrefLocationOfPrinterFiles.

For Example:

IF

(

?LabelsToDisplay=1

)

BEEP

ENDIF


?MajorVersion

Purpose

?MajorVersion contains the major version number of the current WordPerfect version.


?MinorVersion

Purpose

?MinorVersion contains the minor version number of the current WordPerfect version.


?PathBackup

Purpose

?PathBackup contains the directory specified in Location of Files for Backup Files.


?PathDatabase

Purpose

?PathDatabase contains the directory specified for database files in the File Preferences dialog box.


?PathDatabaseSupplemental

Purpose

?PathDatabaseSupplemental contains the directory specified for supplemental database files in the File Preferences dialog box.


?PathDocument

Purpose

?PathDocument contains the directory specified for documents in the File Preferences dialog box.


?PathGraphics

Purpose

?PathGraphics contains the directory specified for graphics files in the File Preferences dialog box.


?PathGraphicsSupplemental

Purpose

?PathGraphicsSupplemental contains the directory specified for supplemental graphics files in the File Preferences dialog box.


?PathHyphenation

Purpose

?PathHyphenation contains the directory specified for Hyphenation files in the File Preferences dialog box.


?PathLabels

Purpose

?PathLabels contains the directory and filename specified for labels files in the File Preferences dialog box.


?PathMacros

Purpose

?PathMacros contains the directory specified for macros files in the File Preferences dialog box.


?PathMacrosSupplemental

Purpose

?PathMacrosSupplemental contains the directory specified for supplemental macros files in the File Preferences dialog box.


?PathPrinters

Purpose

?PathPrinters contains the directory specified for printer files in the File Preferences dialog box.


?PathPrintersSupplemental

Purpose

?PathPrintersSupplemental contains the directory specified for supplemental printer files in the File Preferences dialog box.


?PathSpreadsheet

Purpose

?PathSpreadsheet contains the directory specified for spreadsheet files in the File Preferences dialog box.


?PathSpreadsheetSupplemental

Purpose

?PathSpreadsheetSupplemental contains the directory specified for supplemental spreadsheet files in the File Preferences dialog box.


?PathTemplate

Purpose

?PathTemplate contains the directory specified for template files in the File Preferences dialog box.


?PathTemplateSupplemental

Purpose

?PathTemplateSupplemental contains the directory specified for supplemental template files in the File Preferences dialog box.


?RevealCodesActive

Purpose

?RevealCodesActive contains a value representing whether Reveal Codes is active.

Value	Description

0	Not active

1	Active


?SaveWorkspace

Purpose

?SaveWorkspace contains a value representing the current Save Workspace environment preference setting.

Value	Environment Preferences Setting

0	Always

1	Never

2	Prompt on Exit

For Example, the following macro will beep if Save Workspace is set to Never in the Environment Preferences dialog box.

IF

(

?SaveWorkspace=1

)

BEEP

ENDIF


?Substructure

Purpose

?Substructure contains a value representing whether a substructure is active.

Value	Description

False	No substructure active.

True	Substructure active


?UpdateQuickList

Purpose

?UpdateQuickList contains a value representing whether the Update QuickList with Changes file preference is on or off.

Value	Description

0	Off

1	On


?UserColorBlue

Purpose

?UserColorBlue contains a value representing the amount of blue in the current user-defined color. Values range from 0 to 255.


?UserColorGreen

Purpose

?UserColorGreen contains a value representing the amount of green in the current user-defined color. Values range from 0 to 255.


?UserColorRed

Purpose

?UserColorRed contains a value representing the amount of red in the current user-defined color. Values range from 0 to 255.


?UserInitials

Purpose

?UserInitials contains the user initials specified in environment preferences.


?UserName

Purpose

?UserName contains the user name specified in environment preferences.


FootnoteNumberDecrement

Purpose

FootnoteNumberDecrement decreases the last footnote number by one.

Syntax

FootnoteNumberDecrement ()

See Also

FootnoteNumberIncrement


Route...

Insert, Footnote, New Number, Decrease.


FootnoteNumberDisplay

Purpose

FootnoteNumberDisplay displays current footnote numbering.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

FootnoteNumberDisplay ()

See Also

FootnoteNewNumber


FootnoteNumberIncrement

Purpose

FootnoteNumberIncrement increases the last footnote number by one.

Syntax

FootnoteNumberIncrement ()

See Also

FootnoteNumberDecrement


Route...

Insert, Footnote, New Number, Increase.


DIALOGADDCHECKBOX

Purpose

DialogAddCheckBox command positions a check box in the dialog box and puts text to the right of the check box.

Syntax

DialogAddCheckBox (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Text: Character Expression; MacroVar: Variable)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the check box or boxes will be placed.

ControlId: Character Expression or Numeric Expression

Specifies the name or number of the check box that will become the default when the dialog box is displayed.  There can be only one default option in each dialog box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the check box, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the check box, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the check box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the check box in dialog units.

Text: Character Expression

Specifies the text that will appear next to the check box.

MacroVar: Variable

Holds the return value of the check box.  Before the macro runs, the variable needs to be initialized (set to 0).  Once the box is checked, this variable will be set to 1; if it is not checked, this variable will remain at 0.

See Also

DialogDefine


For Example...

//Builds a dialog that contains two check boxes.  If the user checks the "Option One" box (ControlId 2000), the variable ChkBx1 will be set to 1 and the text in the If statement will be typed.

Application(A1; "WordPerfect"; Default; "US")

ChkBx1:=0

ChkBx2:=0

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Check Box Example")

DialogAddCheckBox(100; 2000; 10; 10; 75; 15; "Option One"; ChkBx1)

DialogAddCheckBox(100; 2001; 10; 30; 75; 15; "Option Two"; ChkBx2)

DialogDisplay(100; 2000)

DialogDestroy(100)

If (ChkBx1 = 1)

Type("Option One was chosen")

EndIf


DIALOGADDCOLORWHEEL

Purpose

DialogAddColorWheel defines a color wheel control in the dialog box and returns a number representing the color chosen.

Syntax

DialogAddColorWheel (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; MacroVar: Variable)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the color wheel will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the color wheel that will become the default when the dialog box is displayed.  There can be only one default option in each dialog box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the color wheel, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

The VPos parameter specifies the vertical position of the color wheel, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

The Width parameter specifies the width of the color wheel in dialog units.

Height: Numeric Expression (optional)

The Height parameter specifies the height of the color wheel in dialog units.

MacroVar: Variable

The Variable parameter holds the return value of the color wheel.  This returns a number that must be broken into its Red, Green, and Blue properties using these formulas:

Red = Return % 256

Green = Return / 256 % 256

Blue = Return / 256 / 256.

Before the macro runs, the variable needs to be initialized (set to 0).

See Also

DialogDefine


For Example...

//Displays a dialog with a color wheel control.  Assigns to variables Blue, Green, and Red their respective color values.

Application(A1; "WordPerfect"; Default; "US)

Color:=0

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Color Wheel

Example")

DialogAddColorWheel(100; 1001; 10; 10; 75; 50; Color)

DialogDisplay(100; 1001)

DialogDestroy(100)

Blue:=Color/256/256

Green:=Color/256%256

Red:=Color%256


DIALOGADDCOMBOBOX

Purpose

DialogAddComboBox creates an edit box/dropdown list box containing items defined by DialogAddListItem.

Syntax

DialogAddComboBox (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression; MacroVar: Variable; LimitText: Numeric Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the combo box will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the combo box; this control id must be the same as that specified by the list items which are to go in the combo box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the combo box, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the combo box, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the combo box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the combo box in dialog units.

Style: Numeric Expression

Specifies the options for dialog box.  The values, styles, and  definitions are:

Value	Style	Definition

0	Simple	Appears as an edit box with an opened dropdown list.

8	Dropdown	Appears as an edit box with a dropdown list.

16	Droplist	Appears as a dropdown list that has a 3D border.

MacroVar: Variable

Holds the return value of the combo box.  The list item chosen or text in the edit box will be the return value as a character expression.

LimitText: Numeric Expression

Defines the limit to the number of characters allowed in the edit box.

See Also

DialogDefine

DialogAddListItem


For Example...

//Places two combo boxes in the dialog.  the second combo box control is the default when the dialog is displayed and contains three items, the first has three.  When the dialog is dismissed, the two items will be typed.

Application(A1; "WordPerfect"; Default; "US")

Combo1:="Item #1"

Combo2:=""

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Combo Box

Example")

DialogAddComboBox(100; 2000; 10; 10; 175; 50; 8;

Combo1; 10)

DialogAddListItem(100; 2000; "Item #1")

DialogAddListItem(100; 2000; "Item #2")

DialogAddListItem(100; 2000; "Item #3")

DialogAddComboBox(100; 2001; 10; 30; 175; 50; 16;

Combo2; 0)

DialogAddListItem(100; 2001; "9.5 x 4.0i Envelope")

DialogAddListItem(100; 2001; "7.5 x 3.88i Monarch")

DialogDisplay(100; 2001)

DialogDestroy(100)

Type(Combo1)

HardReturn()

Type(Combo2)


DIALOGADDCOUNTER

Purpose

DialogAddCounter defines a counter control that will accept numbers between a preset minimum and maximum value.  This option also has increment and decrement arrows.

Syntax

DialogAddCounter (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Format: Numeric Expression; MacroVar: Variable; CountMin: Numeric Expression; CountMax: Numeric Expression; CountStep: Numeric Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the counter will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the counter that will become the default when the dialog box is displayed.  There can be only one default option in each dialog box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the counter, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the counter, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the counter in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the counter in dialog units.

Format: Numeric Expression (optional)

Specifies the unit of measure to be used with counter.  The format definitions are:

Value	Format	Definition

0	Normal

1	"w"	WP units

2	"p"	Points

3	"c"	Centimeters

4	".0""	Inches with a decimal place

5	"%""	Percent

6	Inches

7	"i"	Inches.

MacroVar: Variable

Holds the return value of the counter.  The number entered in the counter will be returned in this variable.  Any number contained in this variable before displaying the dialog will be the initial number shown in the counter control.  Note that by assigning this variable a measurement, the result will be returned in the same unit of measure.

CountMin: Numeric Expression (optional)

Specifies the lowest, or minimum, value of the counter.

CountMax: Numeric Expression (optional)

Specifies the highest, or maximum, value of the counter.

CountStep: Numeric Expression (optional)

Specifies what the increment value will be if you use the increment arrows.

See Also

DialogDefine


For Example...

//Places a counter control in the dialog.  The initial value is set to 50 in variable Count. The limits are 0 to 100.  The step value when using the increment arrows is 10.

Application(A1; "WordPerfect"; Default; "US")

Count:=50

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Counter

Example")

DialogAddCounter(100; 1000; 20; 30; 40; 15; 1; Count; 0; 100;

10)

DialogDisplay(100; 1)

DialogDestroy(100)

NumStr(Count; ; Count)

Type(Count)


DIALOGADDEDITBOX

Purpose

DialogAddEditBox defines an edit box within the dialog box in which the user can type text.

Syntax

DialogAddEditBox (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression; MacroVar: Variable; LimitText: Numeric Expression

Parameters

Dialog: (Character Expression or Numeric Expression)

Specifies the name or number of the dialog box in which the edit box will be placed.

Control: (Character Expression or Numeric Expression)

Specifies the name or number of the edit box that will become the default when the dialog box is displayed.  There can be only one default option in each dialog box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the edit box, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the edit box, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the edit box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the edit box in dialog units.

Style: Numeric Expression

Defines the options for the edit box.  The styles, values and  definitions are:

Value	Style	Definition

1	Left	Left justified.

2	Right	Right justified when not used in conjunction with WPChars.

4	Center	Center justified when not used in conjunction with WPChars.

8	VScroll	Adds vertical scroll bar.

16	HScroll	Adds horizontal scroll bar.

32	WPChars	Accepts WordPerfect Characters.

64	Multiline	Multiple line ability.  See also WordWrap style option.

128	Uppercase	Exclusively uppercase.

256	Lowercase	Exclusively lowercase.

512	Password	Types "*" instead of an actual character.

1024	WordWrap	Wraps line if string exceeds the width of the edit box.

2048	SoftRet	SRt's are formatted into the output.

4096	Attributes	Allows attributes (bold, underline, etc.).

8192	NoTabs	No tabs will be exported with output.

16384	NoWPChar	WordPerfect character box is not accessible.

MacroVar: Variable

Holds the return value of the edit box.  The return contains the text last present in the edit box.  Any string contained in this variable before displaying the dialog will be the initial string shown in the edit box.

LimitText: Numeric Expression

Sets a limit to the number of characters allowed in the edit box.

See Also

DialogDefine


For Example...

//Puts an edit box control in the dialog. sets the WPChars, MultiLine, and WordWrap styles.  The output in EditReturn is

typed.

Application(A1; "WordPerfect"; Default; "US")

EditReturn:=""

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Edit Box

Example")

DialogAddEditBox(100; 1000; 10; 10; 175; 50; 32+64+1024;

EditReturn; 100)

DialogDisplay(100; 1000)

DialogDestroy(100)

Type(EditReturn)


DIALOGADDFILENAMEBOX

Purpose

DialogAddFileNameBox defines a filename box in the dialog box.  This is an edit box which allows you to bring up a file from the directory specified in the DefDir parameter.  The filetype (.bat, .doc, etc.) is specified in the Template parameter.  If you want to have a filename listed when the Filename box first appears, you can define the name to appear in a variable as shown in the example for this command.

Syntax

DialogAddFileNameBox (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression; MacroVar: Variable; DefaultDir: Character Expression; Template: Character Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the filename box will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the filename box that will become the default when the dialog box is displayed.  There can be only one default option in each dialog box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the filename box, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the filename box, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the filename box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the filename box in dialog units.

Style: Numeric Expression (optional)

Specifies the options for dialog box.  The styles, values and  definitions are:

Value	Style	Definition

1	DirOnly	Only directories may be selected.

2	NoValidate	Does no error checking to see if directory exists when used in conjunction with DirOnly.

MacroVar: Variable

Holds the return value of the filename box.

DefaultDir: Character Expression (optional)

Defines the directory which will become the default directory in the filename box.

Template: Character Expression (optional)

Designates which type of file will be brought up in the filename box (*.*, *.bat, etc.).

See Also

DialogDefine


For Example...

//Displays a filename edit control in the dialog.  The default

filename is "autoexec.bat" as assigned in variable FileNm.  The result is typed.

Application(A1; "WordPerfect"; Default; "US")

FileNm:="autoexec.bat"

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Filename Box

Example")

DialogAddFilenameBox(100; 1000; 20; 20; 125; 15; 0; FileNm;

"c:\"; "*.bat")

DialogDisplay(100; 1000)

DialogDestroy(100)

Type(FileNm)


DIALOGADDFRAME

Purpose

DialogAddFrame defines a frame in the dialog box.  This frame can be used in conjunction with other boxes within the dialog box.  For example, you can define a frame for an edit box within the dialog box.

Syntax

DialogAddFrame (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the frame will be placed.

Control: Character Expression or Numeric Expression

Specifies a name or number for the frame in the dialog box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the frame, in dialog units, from the left side of the dialog box.

Top Numeric Expression (optional)

Specifies the vertical position of the frame, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the frame in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the frame in dialog units.

Style: Numeric Expression (optional)

Specifies options for the frame in the dialog box.  The style, value and definitions are:

Value	Style	Definition

0	Frame	Displays a frame outline only.

0	Black	Color of frame.

1	Gray	Color of frame.

2	White	Color of frame.

4	Filled	Displays a blackfilled frame.

See Also

DialogDefine


For Example...

//Places a black filled frame in the dialog.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Frame Control

Example")

DialogAddFrame(100; 1000; 10; 10; 175; 50; 4)

DialogDisplay(100; 1000)

DialogDestroy(100)


DIALOGADDGROUPBOX

Purpose

DialogAddGroupBox defines a group box component within the dialog box.  This is a useful feature in a dialog box for showing relationships among items.  If, for example, you had several options in a dialog box that dealt with the address on a letter and the rest of the options dealt with the heading and content, you might group all the address components together in a group box.  This would make it simple for the user to see the relationship and logically proceed through the options.

Syntax

DialogAddGroupBox (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Title: Character Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the group box will be placed.

Control:  Character Expression or Numeric Expression

Specifies the name or number of the group box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the group box, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the group box, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the group box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the group box in dialog units.

Title: Character Expression

Specifies a title to be centered in the top line of the group box.

See Also

DialogDefine

DialogAddHLine

DialogAddVLine


For Example...

//Displays a group box with the title "Group Box"

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Group Box

Example")

DialogAddGroupBox(100; 1000; 10; 10; 175; 45; "Group Box")

DialogDisplay(100; 1000)

DialogDestroy(100)


DIALOGADDHOTSPOT

Purpose

DialogAddHotSpot defines an area of the dialog box as a "hot spot"; if you click on the hot spot, it will dismiss the dialog box.  A hot spot can be defined with the same HPos and VPos, Height and Width parameters as other options of the dialog box.   By so doing, you can make these other options become hot spots.

Syntax

DialogAddHotSpot (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the hot spot will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the hot spot.

Left: Numeric Expression (optional)

Specifies the horizontal position of the hot spot, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the hot spot, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the hot spot in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the hot spot in dialog units.

Style: Numeric Expression (optional)

Specifies options for the hot spot in the dialog box.  The style, value and definition is:

Value	Style	Definition

1	Click	Activated by a single click.

See Also

DialogDefine


For Example...

//Places a hot spot in the dialog that will be activated by a

single mouse click. If the hot spot is clicked on, the variable

Hot will contain the number 1000.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Hot Spot

Example")

DialogAddHotSpot(100; 1000; 20; 20; 30; 30; 1)

DialogDisplay(100; 1000)

NumStr(Hot; ; MacroDialogResult)

DialogDestroy(100)

Type(Hot)


DIALOGADDICON

Purpose

DialogAddIcon defines an Icon to be displayed in the dialog box.  Note:  The icon must be contained in a .DLL and you must know the name of the icon in order to define the IconName and ModuleLink parameters.

Syntax

DialogAddIcon (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; IconName: Character Expression; Instance: Numeric Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the icon will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the icon.

Left: Numeric Expression (optional)

Specifies the horizontal position of the icon, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the icon, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the icon in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the icon in dialog units.

IconName: Character Expression

Specifies the name of the desired icon.  The icon must be contained in a .DLL and you must know the name of the icon in order to define the IconName and ModuleLink parameters.

Instance: Numeric Expression (optional)

Specifies the handle of the DLL that contains the icon.  The icon must be contained in a .DLL and you must know the name of the icon in order to define the IconName and Instance parameters.

See Also

DialogDefine


For Example...

//Displays the WP icon in the dialog.

Application(A1; "WordPerfect"; Default; "US")

DllLoad(DllHandle;"c:\WPWin60\wpwp60us.dll")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Icon Example")

DialogAddIcon(100; 1000; 22; 22; 30; 30; "STAMPWP.ICO";

DllHandle)

DialogDisplay(100; 1000)

DialogDestroy(100)

DllFree(DllHandle)


DIALOGADDLISTBOX

Purpose

DialogAddListBox defines a list box containing options defined by the DialogAddListItem command.

Syntax

DialogAddListBox (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression; MacroVar: Variable)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the list box will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the list box; this control id must be the same as that specified by the list items which are to go in the list box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the list box, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the list box, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the list box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the list box in dialog units.

Style: Numeric Expression (optional)

Specifies options for the list box in the dialog box.  The style, value and definitions are:

Value	Style	Definition

1	Sort	Sorts the list items alphabetically

2	NameSearch	Allows name search in the list.

Variable: Variable

Contains the return value of the list item.  The list item chosen will return the value as a character expression.

See Also

DialogDefine

DialogAddListItem


For Example...

//Places five list items in a list box.  Item "Three" is the default item when the dialog is displayed.  Neither the Sort or NameSearch styles are used.  The list item selected is typed when the dialog is dismissed.

Application(A1; "WordPerfect"; Default; "US")

List:="Three"

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "List Box Example")

DialogAddListBox(100; 1000; 10; 10; 175; 55; 0; List)

DialogAddListItem(100; 1000; "One")

DialogAddListItem(100; 1000; "Two")

DialogAddListItem(100; 1000; "Three")

DialogAddListItem(100; 1000; "Four")

DialogAddListItem(100; 1000; "Five")

DialogDisplay(100; 1000)

DialogDestroy(100)

Type(List)


DIALOGADDLISTITEM

Purpose

DialogAddListItem defines a list item to be used in the combo box, list box, or popup button  defined in the DialogAddComboBox, DialogAddListBox, and DialogAddPopUpButton commands.

Syntax

DialogAddListItem (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Item: Character Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the list item will be placed.

Control: Character Expression or Numeric Expression

Contains the same name or number of the list box, combo box, or popup button into which the list item will be placed.

Item: Character Expression

Specifies a text string for list item.

See Also

DialogDefine

DialogAddListBox


For Example...

//Places five list items in a list box.  Item "Three" is the default item when the dialog is displayed.  Neither the Sort

or NameSearch styles are used.  The list item selected is typed when the dialog is dismissed.

Application(A1; "WordPerfect"; Default; "US")

List:="Three"

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "List Box

Example")

DialogAddListBox(100; 1000; 10; 10; 175; 55; 0; List)

DialogAddListItem(100; 1000; "One")

DialogAddListItem(100; 1000; "Two")

DialogAddListItem(100; 1000; "Three")

DialogAddListItem(100; 1000; "Four")

DialogAddListItem(100; 1000; "Five")

DialogDisplay(100; 1000)

DialogDestroy(100)

Type(List)


DIALOGADDPOPUPBUTTON

Purpose

DialogAddPopUpButton defines a popup list box in the dialog box containing items defined by the DialogAddListItem command.

Syntax

DialogAddPopUpButton (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; MacroVar: Variable)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the popup list box will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the popup list box; this control id must be the same as that specified by the list items which are to go in the popup list box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the popup list box, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the popup list box, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the popup list box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the popup list box in dialog units.

Variable: Variable

Contains the return value of the list item chosen from the popup list box.  The list item chosen will return the value as a character expression.

See Also

DialogDefine

DialogAddListItem


For Example...

//Places five list items in a popup list box.  Item "Three" is the default item when the dialog is displayed.  The list item

selected is typed when the dialog is dismissed.  Notice the mnemonics as a result of preceeding a character with the "&" character.

Application(A1; "WordPerfect"; Default; "US")

List:="T&hree"

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Pop Up Button

Example")

DialogAddPopUpButton(100; 1000; 10; 10; 40; 15; List)

DialogAddListItem(100; 1000; "&One")

DialogAddListItem(100; 1000; "&Two")

DialogAddListItem(100; 1000; "T&hree")

DialogAddListItem(100; 1000; "&Four")

DialogAddListItem(100; 1000; "F&ive")

DialogDisplay(100; 1000)

DialogDestroy(100)

Type(List)


DIALOGADDPUSHBUTTON

Purpose

DialogAddPushButton defines a push button in the dialog box.

Syntax

DialogAddPushButton (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression; ButtonText: Character Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the push button will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the push button that will become the default when the dialog box is displayed.  There can be only one default option in each dialog box.

Left: Numeric Expression (optional)

Specifies the horizontal position of the push button, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the push button, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the push button in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the push button in dialog units.

Style: Numeric Expression

Specifies options for the push button in the dialog box.  The style, value and definition are:

Value	Style	Definition

1	Default	Sets button as default.

ButtonText Character Expression

Specifies the text that will appear on the push button.

See Also

DialogDefine


For Example...

Application(A1;"Wordperfect";Default;"US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16+8; "Push Button Example")

DialogAddPushButton(100; 1000; 50; 20; 50; 15; 0; "Button &A")

B1 := MacroDialogResult

DialogAddPushButton(100; 1001; 50; 40; 50; 15; 1; "Button &B")

B2 := MacroDialogResult

DialogDisplay(100; 1001)

Result:=MacroDialogResult

If (Result = B1)

Type ("Button A")

EndIf

If(Result=B2)

Type("Button B")

EndIf

If(Result=1)

Type("OK")

EndIf

If(Result=2)

Type("Cancel")

EndIf

DialogDestroy(100)


DIALOGADDRADIOBUTTON

Purpose

DialogAddRadioButton defines a radio button in the dialog box.

Syntax

DialogAddRadioButton (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; ButtonText: Character Expression; MacroVar: Variable)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the radio button will be placed.

Control: Character Expression or Numeric Expression

Secifies the name or number of the radio button that will become the default when the dialog box is displayed.  There can be only one default option in each dialog box.

Left: Numeric Expression (optional)

Secifies the horizontal position of the radio button, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the radio button, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the radio button in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the radio button in dialog units.

ButtonText Character Expression

Specifies the text that will appear on the radio button.

MacroVar Variable

Holds the return value of the radio button.  The string of text in the Text parameter is assigned to this variable.

See Also

DialogDefine


For Example...

//Places three radio buttons in the dialog.  The variables Button1, Button2 and Button3 will contain either a 1 or 0 when

the dialog is dismissed.

Application(A1; "WordPerfect"; Default; "US")

Button1:=1

Button2:=0

Button3:=0

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Radio Button

Example")

DialogAddRadioButton(100; 1000; 10; 10; 50; 15; "Option &1";

Button1)

DialogAddRadioButton(100; 1001; 10; 30; 50; 15; "Option &2";

Button2)

DialogAddRadioButton(100; 1002; 10; 50; 50; 15; "Option &3";

Button3)

DialogDisplay(100; 1)

DialogDestroy(100)


DIALOGADDSCROLLBAR

Purpose

DialogAddScrollBar defines a horizontal or vertical scroll bar in the dialog box.  When you set the parameters below, you can set where the scroller appears initially in the scroll bar.  You can also set the MinValue and MaxValue parameters to give the scroll bar a range and set the Variable parameter to dictate where within that range the scroller will appear.

Syntax

DialogAddScrollBar (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression; MacroVar: Variable; Minimum: Numeric Expression; Maximum: Numeric Expresion)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the scroll bar will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the scroll bar.

Left: Numeric Expression (optional)

Specifies the horizontal position of the scroll bar, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the scroll bar, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the scroll bar in dialog units.

Height: Numeric Expression

Specifies the height of the scroll bar in dialog units.

Style: Numeric Expression

Specifies options for the scroll bar in the dialog box.  The style, value and definitions are:

Value	Style	Definition

1	Left/Top	Positions the scroll box at left or top (depending on scroll bar).  A number in the Variable will override this.

2	Right/Bot	Positions the scroll box at right or bottom.  A number in the Variable will override this.

8	VScroll	Specifies a vertical scroll bar.

16	HScroll	Specifies a horizontal scroll bar.

MacroVar: Variable

Contains the return value of the scroll bar.  This value is determined by the position of the scroller within the scroll bar.  You can set the value in the variable to dictate where within the range specified by the MinValue and MaxValue parameters you would like the scroller to appear.  You can also check this variable after the dialog box has been dismissed to determine the final setting of the scroller when the dialog box was dismissed.

Minimum: Numeric Expression (optional)

Specifies the lowest value of the range you specify for the scroll bar.

Maximum: Numeric Expression (optional)

Specifies the highest value of the range you specify for the scroll bar.

See Also

DialogDefine


For Example...

//Places a horizontal scroll bar in the dialog.  The range is 1 to 4.  The scroll box is positioned at the second position.  When

the dialog is dismissed, the position of the bar is typed.

Application(A1; "WordPerfect"; Default; "US")

BarPos:=2

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Scroll Bar

Example")

DialogAddScrollBar(100; 1000; 20; 20; 130; 15; 1+16; BarPos;

1; 4)

DialogDisplay(100;1000)

DialogDestroy(100)

NumStr(BarPos; ; BarPos)

Type(BarPos)


DIALOGADDTEXT

Purpose

DialogAddText displays text in a dialog box.  This text can be set in a visible recessed box or shadow box, or it can simply display right, center, or left justified in a nonvisible box within the dialog box.  In the HPos, VPos, Width, and Height parameters, the dialog units will specify the box position, regardless of whether the text box is visible or not.

Syntax

DialogAddText (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression; Text: Character Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the text will be displayed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the text.

Left: Numeric Expression (optional)

Specifies the horizontal position of the text box, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the text box, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the text box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the text box in dialog units.

Style: Numeric Expression (optional)

Specifies options for the text box in the dialog box.  The style, value and definitions are:

Value	Style	Definition

1	Left	Left justified.

2	Right	Right justified when not used in conjunction with WPChars.

4	Center	Center justified when not used in conjunction with WPChars.

8	RecessBox	Text displayed with recessed background.

16	ShadowBox	Text displayed with shadowed background.

32	WPChars	WordPerfect characters.

Text: Character Expression

Specifies the text to display in the text box.

See Also

DialogDefine


For Example...

//Displays two text box controls.  The first uses the RecessBox style, the second uses ShadowBox.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Text Control

Example")

DialogAddText(100; 1001; 10; 10; 75; 15; 8; "Recessed Box")

DialogAddText(100; 1002; 10; 30; 75; 15; 16; "Shadow Box")

DialogDisplay(100; 1)

DialogDestroy(100)


DIALOGADDVIEWER

Purpose

DialogAddViewer defines a miniwindow in the dialog box that displays a file.  This "miniwindow" has horizontal and vertical scroll bars attached at the bottom and right sides of the window.  Using this command, you define the positioning and size of the window and tell WordPerfect the name of the file to display.

Syntax

DialogAddViewer (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Filename: Character Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the viewer will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the viewer.

Left: Numeric Expression (optional)

Specifies the horizontal position of the viewer, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the viewer, in dialog units, from the top of the dialog box.

Width: Numeric Expression (optional)

Specifies the width of the viewer in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the viewer in dialog units.

Filename: Character Expression

Specifies the name of file to be viewed in the miniwindow.

See Also

DialogDefine


For Example...

//Displays a view box that shows the "autoexec.bat" file.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Viewer Example")

DialogAddViewer(100; 1000; 10; 10; 75; 50; "c:\autoexec.bat")

DialogDisplay(100; 1)

DialogDestroy(100)


DIALOGADDVLINE

Purpose

DialogAddVLine defines a vertical line in the dialog box.  As with the DialogAddGroupBox command, the DialogAddVLine command can be used to separate options in a dialog box into logical groupings to show relationships among options.

Syntax

DialogAddVLine (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Length: Numeric Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the vertical line will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the vertical line.

Left: Numeric Expression (optional)

Specifies the horizontal position of the vertical line, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the vertical line, in dialog units, from the top of the dialog box.

Length: Numeric Expression (optional)

Specifies the length of the vertical line in dialog units.

See Also

DialogDefine

DialogAddGroupBox

DialogAddHLine


For Example...

//Displays a horizontal and vertical line in the dialog.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "HLine and VLine

Example")

DialogAddHLine(100; 1000; 10; 10; 175)

DialogAddVLine(100; 1001; 100; 15; 50)

DialogDisplay(100; 1)

DialogDestroy(100)


DIALOGADDHLINE

Purpose

DialogAddHLine defines a horizontal line in the dialog box.  As with the DialogAddGroupBox command, the DialogAddHLine command can be used to separate options in a dialog box into logical groupings to show relationships among options.

Syntax

DialogAddHLine (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Length: Numeric Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box in which the horizontal line will be placed.

Control: Character Expression or Numeric Expression

Specifies the name or number of the horizontal line.

Left: Numeric Expression (optional)

Specifies the horizontal position of the horizontal line, in dialog units, from the left side of the dialog box.

Top: Numeric Expression (optional)

Specifies the vertical position of the horizontal line, in dialog units, from the top of the dialog box.

Length: Numeric Expression (optional)

Specifies the length of the horizontal line in dialog units.

See Also

DialogDefine

DialogAddGroupBox

DialogAddVLine


For Example...

//Displays a horizontal and vertical line in the dialog.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "HLine and VLine

Example")

DialogAddHLine(100; 1000; 10; 10; 175)

DialogAddVLine(100; 1001; 100; 15; 50)

DialogDisplay(100; 1)

DialogDestroy(100)


DIALOGDEFINE

Purpose

DialogDefine gives the dialog a specific identification (id) and specifies the position, size, function and look of the dialog.  Each dialog box must have a unique id so that when other options, such as radio buttons or scroll bars, are specified, the macro facility will know which dialog box displays with which options.  This id can be either a numeric or character expression, but the same id must be used later in such commands as DialogDisplay and DialogDestroy.

Syntax

DialogDefine (Dialog: Character Expression or Numeric Expression; Left: Numeric Expression; Top: Numeric Expression; Width: Numeric Expression; Height: Numeric Expression; Style: Numeric Expression; Caption: Character Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Defines the id of the dialog box.  All subsequent dialog commands that affect this dialog box must contain the same id as assigned here.

Left: Numeric Expression (optional)

Specifies the horizontal position of the dialog box in the document window in either dialog units or percentage of the screen from the left side of the screen (see Percent under the Style parameter).

Top: Numeric Expression (optional)

Specifies the vertical position of the dialog box in the document window in either dialog units or percentage of the screen from the top of the screen (see Percent under the Style parameter).

Width: Numeric Expression (optional)

Specifies the width of the dialog box in dialog units.

Height: Numeric Expression (optional)

Specifies the height of the dialog box in dialog units.

Style: Numeric Expression (optional)

Specifies the options that customize the appearance of the dialog box.  Use the number listed under Value to create the option listed under Style.  You may use more than one option by putting a "+" in between the options.  For example, if you want dialog box buttons for OK and Cancel and you wish the dialog to be placed by percentage in the middle of the screen, you would have 1+2+16 as the numbers for the Style parameter.

Value	Style	Definition

1	OK	Puts an "OK" button on the dialog box.

2	Cancel	Puts a "Cancel" button on the dialog box.

8	Modeless	Dialog box does not need to be dismissed before doing other tasks.  If this number isn't added to the style, the dialog box must be dismissed before doing other tasks.

16	Percent	Sets measurement to percent of the screen.  This will cause the values in the HPos and VPos parameters to become percentages of the screen size rather than fixed numbers.  For example, if this number is set, setting the HPos and VPos values to 50 and 50 will cause the dialog box to display in the center of the screen.

32	NoFrame	Takes the frame off the dialog box.

128	Sizeable	Allows resizing of the dialog box.

256	NoTitle	Takes the Title bar off the dialog box.

Caption

Specifies the title bar text.

See Also

DialogAddComboBox

DialogAddCounter

DialogAddEditBox

DialogAddFilenameBox

DialogAddFrame

DialogAddGroupBox

DialogAddHLine

DialogAddHotSpot

DialogAddIcon

DialogAddListBox

DialogAddListItem

DialogAddPopUpButton

DialogAddPushButton

DialogAddRadioButton

DialogAddScrollBar

DialogAddText

DialogAddViewer

DialogAddVLine

DialogDisplay


For Example...

//This will display a basic Dialog with OK and Cancel buttons.  It will be placed in the center of the screen and be 200 dialog units wide and 100 high.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Test Dialog")

DialogDisplay(100; 1)

DialogDestroy(100)


DIALOGDESTROY

Purpose

DialogDestroy purges from memory the dialog box specified in the DialogId parameter.  You must destroy a dialog box before creating another of the same name.

Syntax

DialogDestroy (Dialog: Character Expression or Numeric Expression)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box to be destroyed.  This id must match that of a dialog box previously created with the DialogDefine command.

See Also

DialogDefine

DialogDisplay


For Example...

//This will display a basic Dialog with OK and Cancel buttons.  It will be placed in the center of the screen and be 200 dialog units wide and 100 high.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Test Dialog")

DialogDisplay(100; 1)

DialogDestroy(100)


DIALOGDISPLAY

Purpose

DialogDisplay displays the dialog box specified in DialogId parameter.  The DialogDisplay command also allows you to indicate which button or control option you would like as the default (the one which will be activated if the user presses Enter instead of clicking on a choice).

Syntax

DialogDisplay (Dialog: Character Expression or Numeric Expression; Control: Character Expression or Numeric Expression; Label: Label)

Parameters

Dialog: Character Expression or Numeric Expression

Specifies the name or number of the dialog box to display.  This id must match the id in the DialogId parameter of the DialogDefine command.

Control:  Character Expression or Numeric Expression

Specifies the name or number of the button or control option that will become the default when the dialog box is displayed.  There can be only one default option in each dialog box.

Label:  Label (optional)

Specifies a callback procedure for a dialog box (See Callback Procedure below).

If this parameter is not specified, DIALOGDISPLAY remains active (it does not return) until the dialog box is dismissed.  A hot spot, an OK button, or a Cancel button could dismiss a dialog box.

If the Label parameter is specified, the dialog box continues to display until DIALOGUNDISPLAY is encountered.  In addition, DIALOGDISPLAY returns immediately.  This means that the macro should include a WHILE loop immediately after DIALOGDISPLAY to check for a condition that is set in a callback procedure.

Callback Procedure

A callback procedure is a separate section of the macro that responds to user actions in the dialog box.  The callback procedure begins with LABEL and ends with RETURN.  The label specified in LABEL should correspond with the Label parameter of DIALOGDISPLAY.

While a dialog box is displayed, the callback procedure is called when certain events occur.  The following user actions cause the macro to call the callback procedure:

Pressing Alt+F4

Double-clicking on the system menu

Choosing Close from the system menu

Selecting a push button, checkbox, radio button, or hot spot

Callback Array

When the macro calls a callback procedure, it creates an array that contains information about the user's actions.  The callback procedure can check the values in this array and make decisions based on the information.  For example, if the array indicates that the Cancel button was pressed, the callback procedure could use DAILOGUNDISPLAY to dismiss the dialog.

The name of the array is formed from the label name.  For example, if the Label name is CALLBACK@, the array elements will be CALLBACK[1], CALLBACK[2], and so on.  The array variable contains information about the message box and about which control was selected.  The array values and their explanations are as follows:

Array Values	Explanation

Array[1]=3	Dialog Box callback type

Array[2]=DialogId	ID of the dialog box in which the event occurred.  This is the value specified in the Dialog parameter of DIALOGDISPLAY.

Array[3]=Control ID	ID of the control that caused execution to move to the callback.  The value is 1 for the OK button and 2 for the Cancel button.  For user-defined controls, the value is the ControlId for that control.

Array[4]=Dialog Hwnd	Hand of the dialog box window in which the event occurred.

Array[5]=Message	Indicates the message that was generated in the dialog box.  There are two possibilities: WM_SYSCOMMAND (274) and WM_COMMAND (273).  See Messages, below.

Array[6]=wParam	The wParam on the message.  You can use this value if you are familiar with Windows programming.

Array[7]=lParam	The lParam on the message.  You can use this value if you are familiar with Windows programming.

Messages

When the callback procedure is called, Array[5] will contain one of two values:  WM_SYSCOMMAND or WM_COMMAND.  The numeric values for these commands are:  WM_SYSCOMMAND (274) and WM_COMMAND (273).  In your macro, you may consider defining variables with these values and then using the variables names within the macro.  For example:

WM_SYSCOMMAND:=274

WM_COMMAND:=273

Array[5] contains the WM_SYSCOMMAND message when the user presses Alt+F4, double-clicks on the system menu, or chooses Close from the system menu.

Array[5] contains the WM_COMMAND message when the user selects a push button, checkbox, radio button, or hot spot.  In the callback procedure, you can check Array[3] for the ID of the control.  If the Close or Cancel buttons have been pressed, Arary[3] will contain 1 or 2 respectively.  In addition, Array[6] will contain 1 or 2.

See Also

DialogDefine

DialogDestroy


For Example...

//See DialogUnDisplay for a more comprehensive example of the Label parameter of DialogDisplay.

Application(A1; "WordPerfect"; Default; "US")

DialogDefine(100; 50; 50; 200; 100; 1+2+16; "Test Dialog")

DialogDisplay(100; 1)

DialogDestroy(100)


?ButtonBarActive

Purpose

?ButtonBarActive contains a value representing whether the Button Bar is active in the current document.

Value	Description

0	Not active

1	Active


?NotFound

Purpose

?NotFound contains a value representing whether the object of the last search was not found.

Value	Description

False	Found

True	Not found


?PowerBarActive

Purpose

?PowerBarActive indicates whether the power bar is active in the current document.

Value	Description

False	Not active

True	Active


?RulerBarActive

Purpose

?RulerBarActive contains a value representing whether the ruler bar is active in the current document.

Value	Description

0	Not active

1	Active


?StatusBarActive

Purpose

?StatusBarActive contains a value representing whether the status bar is active in the current document.

Value	Description

False	Not Active

True	Active


?TemplateFile

Purpose

?TemplateFile contains the current template's filename.


?TemplateFileSupplemental

Purpose

?TemplateFileSupplemental contains the current supplemental template's filename.


BoxImageBrightness

Purpose

BoxImageBrightness adjusts the brightness (saturation) of a color or black and white image.

This command must be preceded by a command which specifies a box, such as BoxCreate, and followed by a closing command such as BoxEnd.

Syntax

BoxImageBrightness (Amount: Numeric Expression)

Parameters

Amount: Numeric Expression

Specifies the brightness of an image color.  Values range from -1.0 (all black) to 1.0 (all white).

See Also

BoxImageContrast

BoxCreate

BoxEdit

BoxEnd

?BoxImageBrightness


Route...

Graphics, Edit Box, Tools, Brightness Icon.


For Example...

To set the brightness of an image color to .5, the command sequence is:

BoxEdit

(

BoxNumber: 1

)

BoxImageBrightness

(

Amount: 0.5

)

BoxEnd

(

State: Save!

)


?Line

Purpose

?Line contains a measurement expression indicating the vertical position of the insertion point relative to the top of the page.


?SelectedTextSize

Purpose

?SelectedTextSize contains a value representing the number of bytes in selected text.


AppTaskList

Purpose

AppTaskList displays the Windows Task List.

Syntax

AppTaskList ()


Route...

Choose Switch To from the WordPerfect Control Menu.


BackTab

Purpose

BackTab inserts a Hard Back Tab [Hd Back Tab] code at the insertion point.

Syntax

BackTab ()


Route...

Layout, Paragraph, Back Tab.


BoxCaptionEditEnd

Purpose

BoxCaptionEditEnd closes a box caption.

This command must be preceded by BoxCaptionEdit and commands such as type that furnish or modify caption text.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

BoxCaptionEditEnd ()

See Also

BoxCaptionEdit

SubstructureExit


BoxTextEdit

Purpose

BoxTextEdit opens a text box.

This command must be followed by commands such as Type, which modify box contents, and by BoxTextEditEnd.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

BoxTextEdit ()

See Also

BoxTextEditEnd

BoxContentEdit


BoxTextEditEnd

Purpose

BoxTextEditEnd closes a text box.

This command must be preceded by BoxTextEdit and commands such as Type which modify box text.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

BoxTextEditEnd ()

See Also

BoxTextEdit

SubstructureExit


ButtonBarCreateDlg

Purpose

ButtonBarCreateDlg displays the Create Button Bar dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ButtonBarCreateDlg ()


ButtonBarEditDlg

Purpose

ButtonBarEditDlg displays the Button Bar Editor-WordPerfect dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ButtonBarEditDlg ()


ClipboardAppendTo

Purpose

ClipboardAppendTo adds the contents of the current document to the clipboard.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ClipboardAppendTo ()

See Also

Append

ClipboardRetrieve

ClipboardSaveTo


ClipboardRetrieve

Purpose

ClipboardRetrieve inserts clipboard contents at the insertion point.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ClipboardRetrieve ()

See Also

Append

ClipboardAppendTo

ClipboardSaveTo


ClipboardSaveTo

Purpose

ClipboardSaveTo saves selected text or graphics to the clipboard, replacing existing clipboard contents.

This command is not recordable. To use this command, you must type it into the macro.

If you do not select text or graphics before using this command, macro execution terminates or continues to a LABEL specified by ONERROR.

Syntax

ClipboardSaveTo ()

See Also

Append

ClipboardAppendTo

ClipboardRetrieve


CommentCreate

Purpose

CommentCreate opens the comment window to add a new comment.

Syntax

CommentCreate ()

See Also

CommentEdit

CommentConvert

CommentInformation


Route...

Insert, Comment, Create.


CommentsDisplaySetup

Purpose

CommentsDisplaySetup determines whether to display comments in the current document.

Syntax

CommentsDisplaySetup (OnOff: Numeric Equivalent or Enumerated Type)

Parameters

OnOff: Numeric Equivalent or Enumerated Type

Determines whether comments display is on or off.

0	Off!

1	On!


Route...

File, Preferences, Display icon, select Comments in the Show box.


For Example...

To display comments in the current document, the command is:

CommentsDisplaySetup

(

OnOff: On!

)


CommentInsertTime

Purpose

CommentInsertTime inserts the current time into a comment.

Syntax

CommentInsertTime ()

See Also

CommentCreate

CommentEdit

CommentInsertUserInitials

CommentInsertUserName


Route...

Insert, Comment, Create or Edit, Time button.


CommentInsertUserInitials

Purpose

CommentInsertUserInitials inserts the user initials specified in the Environment Preferences dialog box into a comment.

Syntax

CommentInsertUserInitials ()

See Also

CommentCreate

CommentEdit

CommentInsertTime

CommentInsertUserName


Route...

Insert, Comment, Create or Edit, Initials button.


CommentInsertUserName

Purpose

CommentInsertUserName inserts the user name specified in the Environment Preferences dialog box into a comment.

Syntax

CommentInsertUserName ()

See Also

CommentCreate

CommentEdit

CommentInsertTime

CommentInsertUserInitials


Route...

Insert, Comment, Create or Edit, Name button.


EndCenterOrAlignment

Purpose

EndCenterOrAlignment inserts an End of Centering/Alignment code at the insertion point.

Syntax

EndCenterOrAlignment ()


Route...

Layout, Line, Other Codes, End Centering/Alignment [END Cntr/Align], Insert.


FigurePaletteDlg

Purpose

FigurePaletteDlg displays the Image Tools palette in the Figure Editor.

Syntax

FigurePaletteDlg ()

See Also

FigurePaletteDlgEnd


Route...

Choose Tools from the Graphics feature bar.


FigurePaletteDlgEnd

Purpose

FigurePaletteDlgEnd closes the Image Tools palette in the Figure Editor.

Syntax

FigurePaletteDlgEnd ()

See Also

FigurePaletteDlg


Route...

Choose Tools from the Graphics feature bar.


FloatingCellBegin

Purpose

FloatingCellBegin positions the insertion point at the beginning of the current floating cell when the insertion point is in a floating cell.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

FloatingCellBegin ()

See Also

FloatingCellEnd


FloatingCellEnd

Purpose

FloatingCellEnd positions the insertion point at the end of the current floating cell when the insertion point is in a floating cell.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

FloatingCellEnd ()

See Also

FloatingCellBegin


GraphicCreateTextArt

Purpose

GraphicCreateTextArt opens a window for modifying the appearance of text.

Syntax

GraphicCreateTextArt ()


Route...

Graphics, TextArt.


HypertextEdit

Purpose

HypertextEdit modifies a hypertext link.

Syntax

HypertextEdit (Action: Numeric Equivalent or Enumerated Type; Macro: Character Expression; Bookmark: Character Expression; Appearance: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type

Determines whether a hypertext link jumps to a bookmark or runs a macro.

0	GoToBookmark!

1	RunMacro!

Macro: Character Expression (optional)

Specifies a macro to run.

Bookmark: Character Expression (optional)

Specifies a bookmark to jump to.

Appearance: Numeric Equivalent or Enumerated Type

Specifies whether a hypertext link will appear as highlighted text or as a button.

0	HighlightedText!

1	Button!

See Also

HypertextCreate

HypertextDelete


Route...

Tools, Hypertext, Edit, select options.


For Example...

To connect a hypertext link to a bookmark named Important, and to display the link as a button, the command is:

HypertextEdit

(

Action: GoToBookmark!;

Bookmark: "Important";

Appearance: Button!

)


LabelsOff

Purpose

LabelsOff turns off labels mode.

Syntax

LabelsOff ()

See Also

LabelsFileSelect

LabelsSelect


Route...

Layout, Labels, Off.


MacroMenuAdd

Purpose

MacroMenuAdd adds a macro to the macro submenu.

Syntax

MacroMenuAdd (UpdateBIF: Numeric Equivalent or Enumerated Type; MenuPos: Numeric Expression; Location: Numeric Equivalent or Enumerated Type; Filename: Character Expression; TemplateName: Character Expression)

Purpose

UpdateBIF: Numeric Equivalent or Enumerated Type

Determines whether to save a macro submenu addition.

0	No!

1	Yes!

MenuPos: Numeric Expression

Specifies a menu position for an added macro.

Location: Numeric Equivalent or Enumerated Type

Specifies the location of an added file.

1	FileOnDisk!

4	CurrentTemplate!

5	StandardTemplate!

Filename: Character Expression (optional)

Specifies a file containing a macro to add.

TemplateName: Character Expression (optional)

Specifies the template containing a macro to add.


Route...

Tools, Macro, Play or Record or Edit, Location, specify a location, OK, Menu, Insert, enter a macro name, Select.


For Example...

To add a macro named CHAIN.WCM, located in the standard template, to the first position in macro menu, the command is:

MacroMenuAdd

(

UpdateBIF: Yes!;

MenuPos: 1;

Location: FileOnDisk!;

Filename: "c:\wpwin\chain.wcm"

)


NumberingOptionDlg

Purpose

NumberingOptionDlg displays the Page Numbering Options dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

NumberingOptionDlg ()


Route...

Layout, Page, Numbering, Options.


PauseCommand

Purpose

PauseCommand pauses macro execution at a specified command.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PauseCommand (Token: Macro Command)

Parameters

Token: Macro Command

Specifies a macro command which pauses macro execution.


For Example...

To pause macro execution at HardReturn,  the command is:

PauseCommand

(

Token: HardReturn

)


PauseSet

Purpose

PauseSet specifies a macro command to signal a paused macro to resume play.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PauseSet (Token: Macro Token)

Parameters

Token: Macro Token

Specifies a macro token to signal a paused macro to resume play.


For Example...

To resume execution of a paused macro with a HardReturn, the command is:

PauseSet

(

Token: HardReturn

)


PrefBackupPath

Purpose

PrefBackupPath specifies the document backup directory and whether to update the QuickList.

Syntax

PrefBackupPath (BackupDir: Character Expression; UpdateQuickList: Numeric Equivalent or Enumerated Type)

Parameters

BackupDir: Character Expression

Specifies the document backup directory.

UpdateQuickList: Numeric Equivalent or Enumerated Type

Determines whether to update the quicklist.

0	No!

1	Yes!


Route...

File, Preferences, File, Documents/Backup, Backup Directory.


For Example...

To specify C:\WPWIN\FILES\ as the backup directory and to update the quicklist, the command is:

PrefBackupPath

(

BackupDir: "C:\WPWIN\FILES\";

UpdateQuickList: Yes!

)


PrefPowerBarEdit

Purpose

PrefPowerBarEdit opens and closes the Power Bar Preferences dialog box.

Syntax

PrefPowerBarEdit (Action: Numeric Equivalent or Enumerated Type)

Parameters

Action: Numeric Equivalent or Enumerated Type (optional)

Determines whether to enter or exit the Power Bar Preferences dialog box.

0	Exit!

1	Enter!


Route...

File, Preferences, Power Bar icon.


For Example...

To close the Power Bar Preferences dialog box, the command is:

PrefPowerBarEdit

(

Action: Exit!

)


PrefPowerBarFontFaceList

Purpose

PrefPowerBarFontFaceList specifies fonts to add to the Power Bar Font Face list.

Syntax

PrefPowerBarFontFaceList ({FontName: Character Expression})

Parameters

FontName: Character Expression

Specifies a font to add to the power bar Font Face list. Repeat this parameter for each font added. Enclose the repeated parameters in French braces, and place a semicolon between each font and the next occurrence of the FontName parameter.


Route...

File, Preferences, Power Bar icon, Fonts, select Fonts.


For Example...

To add Helvetica and Arial to the power bar Font Face list, the command is:

PrefPowerBarFontFaceList

(

{

FontName: "Helvetica";

FontName: "Arial"

}

)


PrinterControlDlg

Purpose

PrinterControlDlg displays the WP Print Process dialog box.

Syntax

PrinterControlDlg ()


Route...

File, Print, Control.


QuickFinderDlg

Purpose

QuickFinderDlg displays the QuickFinder dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

QuickFinderDlg ()


Route...

File, QuickFinder.


QuickFormat

Purpose

QuickFormat formats text based on the fonts and attributes or paragraph styles in effect at the insertion point.

Syntax

QuickFormat (Format: Numeric Equivalent or Enumerated Type)

Parameters

Format: Numeric Equivalent or Enumerated Type

Specifies whether to format text based on current fonts and attributes, paragraph styles, or both.

0	Off!

1	Attributes!

2	Styles!

3	StylesAndAttributes!


Route...

Layout, QuickFormat, select an option.


For Example...

To format text based on current paragraph styles, the command is:

QuickFormat

(

Format: Styles!

)


SelectSave

Purpose

SelectSave saves selected text as a new file.

Syntax

SelectSave (Filename: Character Expression)

Parameters

Filename: Character Expression

Specifies a filename for the new file containing the selection.


Route...

Select text, File, Save or Save As, Selected Text, OK, enter a filename.


For Example...

To save selected text as a file named DOC1.WPD, the command is:

SelectSave

(

Filename: "DOC1.WPD"

)


SetDocumentMapping

Purpose

SetDocumentMapping specifies which character map contains one-byte character, as opposed to extended characters, when additional character maps are installed.

Syntax

SetDocumentMapping (MapName: Character Expression; Location: Numeric Equivalent or Enumerated Type; Filename: Character Expression)

Parameters

MapName: Character Expression

Specifies a character map name.

Location: Numeric Equivalent or Enumerated Type

Specifies whether a character map is internal or external.

0	MapInternal!

1	MapExternal!

Filename: Character Expression (optional)

Specifies a file containing a character map.


Route...

Layout, Document, Character Mapping, select a character map from the Document Character Map list box, Apply.


For Example...

To specify an internal Greek character map as the map containing one-byte characters, the command is:

SetDocumentMapping

(

Mapname: "Greek";

Location: MapInternal!

)


SpecificStringEnd

Purpose

SpecificStringEnd is the closing command for a specific code search. This command must be preceded by SpecificSearchStringBegin, SpecificReplaceStringBegin, or SpecificDeleteStringBegin, and a command which specifies the object of the search.

Syntax

SpecificStringEnd ()

See Also

SpecificDeleteStringBegin

SpecificReplaceStringBegin

SpecificSearchStringBegin


Route...

Edit, Find or Replace, Type, Specific Codes, select a code type, specify a code, Find or Find Next.


For Example...

To search for a 12p font size code, the command sequence is:

SpecificSearchStringBegin ()

FontSize

(

FontSize: 12p

)

SpecificStringEnd ()


SubdividePageOff

Purpose

SubdividePageOff turns off the Layout option Subdivide Page.

Syntax

SubdividePageOff ()

See Also

SubdividePage


Route...

Layout, Page, Subdivide Page, Off.


TabCenter

Purpose

TabCenter inserts a Hard Centered Tab code at the insertion point.

Syntax

TabCenter (Type: Numeric Equivalent or Enumerated Type)

Parameters

Type: Numeric Equivalent or Enumerated Type

Determines whether the Hard Centered Tab code includes a dot leader.

0	Normal!

1	DotLeader!

See Also

TabDecimal

TabLeft

TabRight


Route...

Layout, Line, Other Codes, select Center from Hard Tab Codes options or select Center from Hard Tab Codes with Dot Leaders options.


For Example...

To insert a Hard Centered Tab code with a dot leader, the command is:

TabCenter

(

Type: DotLeader!

)


TabKey

Purpose

TabKey performs the functions of Tab.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

TabKey ()

See Also

Tab


TableBlockOff

Purpose

TableBlockOff turns off select mode in a table.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

TableBlockOff ()


Route...

Move the insertion point without pressing Shift.


TableBlockOn

Purpose

TableBlockOn turns on select mode in a table.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

TableBlockOn ()


Route...

Place insertion point inside table, and press Shift+F8.


TableNameChange

Purpose

TableNameChange assigns a new name to an existing table.

Syntax

TableNameChange (OldName: Character Expression; NewName: Character Expression; NewRef: Character Expression)

Parameters

OldName: Character Expression

Specifies a table name to change.

NewName: Character Expression

Specifies a new name for a table.

NewRef: Character Expression (optional)

Specifies a new reference.


Route...

Table, Names, Create.


For Example...

To specify a table named Old Table and rename it New Table, the command is:

TableNameChange

(

OldName: "Old Table";

NewName: "New Table";

)


ToACreateFullFormDlg

Purpose

ToACreateFullFormDlg displays the Create Full Form dialog box.

Syntax

ToACreateFullFormDlg ()


Route...

Tools, Table of Authorities, Create Full Form button.


ToADefinitionUnderline

Purpose

ToADefinitionUnderline specifies whether underlining is allowed in a table of authorities section.

Syntax

ToADefinitionUnderline (Section: Character Expression; Action: Numeric Equivalent or Enumerated Type)

Parameters

Section: Character Expression

Specifies a table of authorities section name.

Action: Numeric Equivalent or Enumerated Type

Determines whether to allow underline in the specified section.

0	NoToAUnderline!

1	ToAUnderline!


Route...

Tools, Table of Authorities, Define, Create, Select Underlining Allowed.


For Example...

To allow underlining in a table of authorities section named First Section, the command is:

ToADefinitionUnderline

(

Section: "First Section";

Action: ToAUnderline!

)


ToAEditSection

Purpose

ToAEditSection specifies a table of authorities section to edit.

Syntax

ToAEditSection (OldName: Character Expression; NewName: Character Expression)

Parameters

OldName: Character Expression

Specifies the current section.

NewName: Character Expression

Specifies the section to edit.


Route...

Tools, Table of Authorities, Edit Full Form, select a section.


For Example...

To switch from a section named First Section to edit a section named Second Section, the command is:

ToAEditSection

(

OldName: "First Section";

NewName: "Second Section"

)


WritingToolsDisable

Purpose

WritingToolsDisable determines whether to disable Writing Tools.

Syntax

WritingToolsDisable ()

See Also

?WritingToolsDisabledState


Route...

File, Preferences, Writing Tools icon, select or deselect writing tools.


PowerBarShow

Purpose

PowerBarShow determines whether to hide or show the power bar. If no parameter is specified, this command acts as a toggle.

Syntax

PowerBarShow (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether power bar display is on or off.

0	Off!

1	On!


Route...

View, Power Bar.


For Example...

To display the power bar, the command is:

PowerBarShow

(

State: On!

)


PrefPowerBarFontSizeList

Purpose

PrefPowerBarFontSizeList specifies a font size to add to the power bar Font Size list.

Syntax

PrefPowerBarFontSizeList (Size: Numeric Expression)

Parameters

Size: Numeric Expression

Specifies a font size to add to the power bar Font Size list.  This parameter may be repeated to add multiple font sizes to the Power Bar.


Route...

File, Preferences, Power Bar icon, Fonts, select sizes.


For Example...

To add font sizes to the Power Bar, the command is:

PrefPowerBarFontSizeList

(

Size: 8;

Size: 10;

Size: 12

)


?BoxCaptionPositionOffset

Purpose

?BoxCaptionPositionOffset contains a value representing the offset position of a graphics box caption. The value of this variable is either a measurement expression in the current unit of measure or a percentage of the box width or height. This variable must be preceded by BoxCreate or BoxEdit and followed by BoxEnd.

For Example:

BoxEdit

(

BoxNum: 1

)

Type

(

?BoxCaptionPositionOffset

)

BoxEnd

(

State: Save!

)


?BoxCaptionPositionSide

Purpose

?BoxCaptionPositionSide contains a value representing the side of a box where a caption is located. This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd, or be played from a box edit screen with a box selected. The value of this variable is one of the numeric equivalents or enumerated types listed for the Side parameter of BoxCaptionPosition.

For Example:

BoxEdit

(

BoxNum:1

)

IF

(

?BoxCaptionPosition=4

)

BEEP

ENDIF


?BoxCaptionRotation

Purpose

?BoxCaptionRotation contains a value representing the rotation of a box caption. This command must be preceded by BoxCreate or BoxEdit and followed by BoxEnd, or be played from a box edit screen with a box selected. The value of this variable is one of the numeric equivalents or enumerated types listed for BoxCaptionRotation.

For Example:

BoxEdit

(

BoxNum:1

)

IF

(

?BoxCaptionRotation=0

)

BEEP

ENDIF

BoxEnd

(

State: Save!

)


?Path

Purpose

?Path contains the current file path, but does not include the filename.


?MacroExecute

Purpose

?MacroExecute contains a value representing whether a macro is playing.

Value	Description

0	Not playing

1	Playing


?MacroRecord

Purpose

?MacroRecord contains a value representing whether a macro is recording.

Value	Description

0	Not recording

1	Recording


?PauseKey

Purpose

?PauseKey contains a value representing the keystroke specified to resume a paused macro.


?Random

Purpose

?Random contains a random number between 0 and 32767.


?TableDefaultLine

Purpose

?TableDefaultLine contains a value representing the default line style of the current table. The value of this variable is one of the numeric equivalents or enumerated types listed for TableDefaultLine.

For Example:

IF

(

?TableDefaultLine=0

)

BEEP

ENDIF


DDE, DLL, and OLE

The following definitions explain the meanings of DDE, DLL, and OLE.

DDE (Dynamic Data Exchange)

DDE is a method of the Windows operating system for transferring commands and other information between applications.  DDE makes possible an integrated work environment for increasing office productivity.  For example, you can use DDE to execute WP Office macro commands from a DDE supported application, such as WordPerfect for Windows.  The actions of transporting and executing commands is transparent to the user.

DLL (Dynamic Link Library)

DLL's contain executable functions that are called by Windows applications.  An example DLL is WPCMCR.DLL, which contains functions to display a message box, get the current day, month, and year, launch an application, and more.  Libraries are valuable because they share functions with more than one application at a time, conserving memory and other resources.

OLE (Object Linking and Embedding)

OLE is the standard method of sharing objects between applications.  An object consists of data, such as a drawing, a sound clip, or a spreadsheet cell.

Object linking creates a reference, or link, between an object in a client application and the object's source in a server application.  When you change a linked object or its source, all links to the source object update automatically.  For example, if you link data in a spreadsheet (server application) to a WordPerfect for Windows report (client application), the number values in the report update automatically whenever they change in the spreadsheet.

Object embedding does not link objects but copies objects from server applications to client applications.  Making changes to an embedded object in a client application only affects that object.  The source object in the server application does not change.


DDE and WP Office

WP Office and DDE enhance the functionality of WordPerfect for Windows.  Sending mail, assigning tasks, and scheduling appointments are only a few WP Office features available with DDE.  Before sending commands to WP Office with DDE, a WordPerfect macro must initiate a conversation to check if WP Office is running.  If WP Office does not respond, the macro must call a function that launches WP Office and try again.  (See Launching WP Office with DDE.)

To initiate a conversation with WP Office, a WordPerfect macro needs server and topic names.  The server name for WP Office is WPOFFICE40.  The topic name depends on the type of transaction.  To send a command, the topic name is COMMAND.  To request information, the topic name is GETOFFICEDATA.  The commands that send server and topic names to WP Office are unique to each application.  WordPerfect for Windows uses the command DDEINITIATE.

The following macro sends a command to WP Office from WordPerfect for Windows; the second macro requests information and inserts it into a WordPerfect document.

1	//(Macro opens WP Office Day Calendar from WordPerfect for Windows.)

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITIATE(hConv; "WPOFFICE40"; "COMMAND") //(Server and topic names.)

IF(hConv <> 0) //(If Wp Office is running, send command.)

DDEEXECUTE(hConv; "ViewOpenNamed(""Day""; Calendar!)")

ELSE //(If not running, beep!  See Launching WP Office with DDE.)

BEEP

ENDIF

DDETERMINATE(hConv)

2	//(Macro requests the WP Office version number, places the number in two WordPerfect variables, and types the number into a WordPerfect document.)

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITIATE(hConv; "WPOFFICE40"; "GETOFFICEDATA") //(Server and topic names.)

IF(hConv <> 0) //(If Wp Office is running, request information.)

DDEREQUEST(vMajor; hConv; "GetOfficeData(ID; MajorVersion!)")

DDEREQUEST(vMinor; hConv; "GetOfficeData(ID; MinorVersion!)")

Type("WP Office " + vMajor + "." + vMinor)

ELSE //(If not running, beep!  See Launching WP Office with DDE.)

BEEP

ENDIF

DDETERMINATE(hConv)


Launching WP Office with DDE

Before a WordPerfect macro sends macro commands to WP Office, it should check if WP Office is running.  If not running, the macro must launch WP Office before continuing.  The test macro below is executed from WordPerfect for Windows, and does the following:

1	Uses WordPerfect's DDEINITIATE command to test whether WP Office is running.

2	If WP Office is running, the test macro ends execution.  If the test macro was called by another macro, execution resumes in the originating macro.

3	If WP Office is not running, the test macro searches for the location of OFWIN.EXE.  If found, it tries to launch WP Office.  If not found, the test macro displays an error message and quits execution.

4	If unsuccessful at launching WP Office, the test macro displays an error message and quits execution.

5	If WP Office is successfully launched, the test macro ends execution.  If the test macro was called by another macro, execution resumes in the originating macro.

Test macro: OFWIN40.WCM

The user must play a macro similar to the test macro before sending macro commands to WP Office from WordPerfect for Windows.  The macro OFWIN40.WCM is a stand-alone example that runs from WordPerfect for Windows.

Password Protection

With password protection on, WP Office will not begin a conversation with another application until the password is entered.  While waiting, the application that initiates the conversation should poll for another connection to avoid monopolizing the CPU.  WordPerfect's DDEINITIATE command polls automatically; otherwise, you can poll with a command that performs the same function as WordPerfect's WAIT command.


WordPerfect and WP Office

WordPerfect for Windows and WP Office communicate freely because they use the same macro language.  The function of DDE is superseded by the Product Prefix parameter of the APPLICATION command.

The following macro uses the WP Office product prefix to send a WP Office product command; the second macro performs the same task with DDE:

1	//(Macro sends the ViewOpenNamed command to WP Office, where WP Office opens the Expanded Mail view.)

APPLICATION(OF; WPOF; "WPOFUS.WCD") //(See WP Office OF product prefix example)

APPLICATION(A1; "WordPerfect"; Default; "US")

OF.ViewOpenNamed(ViewName:"Expanded Mail"; ViewType:Mail!)

2	//(Macro sends the ViewOpenNamed command to WP Office with DDE.  WP Office opens the Expanded Mail view.

APPLICATION(A1; "WordPerfect"; Default; "US")

DDEINITIATE(hConv; "WPOFFICE40"; "COMMAND")

IF(hConv <> 0)  //(If Wp Office is running, send command.)

DDEEXECUTE(hConv; "ViewOpenNamed(ViewName:""Expanded Mail""; ViewType:Mail!)")

ELSE //(If not running, beep!  See Launching WP Office with DDE.)

BEEP

ENDIF

DDETERMINATE(hConv)

The OF product prefix macro has the advantage of being less complicated than the three-step DDE macro.  Other advantages of macros over DDE when sending commands between WP Office and WordPerfect are:

1	A macro can access all 1500 WP characters, not just ANSI characters.

2	Commands for different applications can be mixed in a macro, which is possible but more complicated with DDE.

3	Macros are more accessible to the end-user than DDE.

4	WordPerfect's DDEEXECUTE command sends a maximum of 80 bytes to WP Office.  This includes the length of the command and the contents of any variables.  To send a command longer than 80 bytes, you must use the OF product prefix.  See WP Office OF product prefix example.


DDE example

The following macro uses DDE to open the WP Office In Box.

//(Macro opens WP Office In Box from WordPerfect for Windows.)

APPLICATION(A1; "WordPerfect"; Default; "US")

//(Name of macro: Inbox.wcm)

CALL(OpenInbox@)

CALL(QuitMacro@)

LABEL(OpenInbox@)

IsLaunched:="No"

REPEAT

DDEINITIATE(hConv; "WPOFFICE40"; "COMMAND")

IF(hConv <> 0) //(If Wp Office is running, send command.)

DDEEXECUTE(hConv; "ViewOpen(Inbox!)")

IsLaunched:="Yes"

ELSE //(If not running, launch WP Office.)

GetWPData(MacroPath; MacroPath!)

RUN(MacroPath + "ofwin40.wcm") //(Launch WP Office.)

ENDIF

UNTIL(IsLaunched="Yes")

RETURN

LABEL(QuitMacro@)

DDETERMINATE(hConv)

QUIT


WP Office OF product prefix example

Before playing a macro that uses the OF product prefix to send commands from WordPerfect for Windows to WP Office, you should play a start-up macro that checks if WP Office is running.  The main macro will not play with an APPLICATION command for an application that is not running.

The following macros open the WP Office Day Calendar view.

Start-up Macro

//(Macro checks if WP Office is running, launches it if not, and plays the main macro.)

APPLICATION(WP;WPWP;DEFAULT;"WPWPUS.WCD") //(WordPerfect for Windows)

//(Name of macro: Calendar.wcm)

GetWPData(MacroPath; MacroPath!)

RUN(MacroPath + "ofwin40.wcm") //(Launch WP Office.)

CHAIN(MacroPath + "cal_1.wcm") //(Play main macro.)

Main Macro

//(Macro opens the WP Office Day Calendar from WordPerfect for Windows)

APPLICATION(OF; WPOF; "WPOFUS.WCD") //(WP Office)

APPLICATION(A1; "WordPerfect"; Default; "US")

//(Name of macro: Cal_1.wcm)

CALL(DayCalendar@)

CALL(QuitMacro@)

LABEL(DayCalendar@)

APPLOCATE(vDayCalendar; "Day")

IF(vDayCalendar=0) //(If Day Calendar not open, open.)

OF.ViewOpenNamed(ViewName:"Day"; ViewType:Calendar!)

ELSE //(If Day Calendar open, activate.)

APPACTIVATE(vDayCalendar)

ENDIF

RETURN

LABEL(QuitMacro@)

QUIT


Test Macro to Launch WP Office

APPLICATION(A1; "WordPerfect"; Default; "US")

//Macro name: OFWIN40.WCM

CALL(LoadDynamicLinkLibraries@)

CALL(LaunchWPOffice@)

CALL(QuitMacro@)

//***********************************************************

//	MAIN LABELS

//***********************************************************

LABEL(LoadDynamicLinkLibraries@)

DLLLOAD(MCRLink;"WPCMCR.DLL")

DLLLOAD(KernelLink;"KERNEL.EXE")

RETURN

LABEL(LaunchWPOffice@)

DDEINITIATE(hConv; "WPOFFICE40"; "COMMAND") //(Check if WP Office is running.)

IF(hConv = 0) //(If WP Office is not running, launch with the MCRWinExec function in the WPCMCR.DLL.)

CALL(GetPath@)

DLLCALL(MCRLink;"MCRWinExec";vReturnValue:WORD; {OfficePath+"ofwin.exe"; LOWORD(0)})

IF(vReturnValue < 32)

IF(NetDrive=1)

ErrorMsg:="WP Office is not available on the network drive "+OfficePath

ELSE

ErrorMsg:="WP Office is not available on "+OfficePath

ENDIF

CALL(ErrorMessage@)

ENDIF

ENDIF

WHILE(hConv = 0) //(Wait until OFWIN.EXE is running.)

DDEINITIATE(hConv; "WPOFFICE40"; "COMMAND") //(Check if Office exits unexpectedly)

DLLCALL(KernelLink; "GetModuleHandle";hOffice:WORD; {"OFWINFIL.EXE"})

IF(hOffice = 0)

ErrorMsg:="WP Office terminated abnormally or is not available"

Call(ErrorMessage@)

ENDIF

ENDWHILE

RETURN

LABEL(QuitMacro@)

DLLFREE(MCRLink)

DLLFREE(KernelLink)

DDETERMINATEALL

QUIT

//***********************************************************

//	SUB LABELS

//***********************************************************

LABEL(GetPath@) //(Get location of OFWIN.EXE.)

OfficePath:=""

NetDrive:=0

DLLCALL(MCRLink;"MCRGetSysIniString";nRetVal:WORD; {"WPWP";"App Server";"WPOF"; "Office 4.0 is not installed";ADDRESS (OfficePath)})

IF(OfficePath<>"Office 4.0 is not installed")

STRPOS(Pos;"?";OfficePath) //(Remove a question mark.)

IF(Pos=1)

NetDrive:=1

SUBSTR(OfficePath;Pos+1;nRetVal;OfficePath)

ENDIF

STRPOS(Pos;";";OfficePath) //(Get the path and filename to WP Office.)

SUBSTR(OfficePath;1;Pos-1;OfficePath) //(Delete the OFWINFIL.EXE filename from the path.)

STRPOS(Pos;"ofwinfil.exe";OfficePath)

SUBSTR(OfficePath;1;Pos-1;OfficePath)

ELSE

ErrorMsg:=OfficePath

CALL(ErrorMessage@)

ENDIF

RETURN

LABEL(ErrorMessage@)

DLLCALL (MCRLink; "MCRMessageBox"; vReturnValue:WORD; {LOWORD(0); ErrorMsg; "E-Mail Macro Error"; 16})

CALL(QuitMacro@)


Macro Introduction

A macro is a file containing one or more commands that directs WordPerfect for Windows to perform a task.  If, for example, you want to start each day by looking at your WP Office day calendar, checking your WP Office In Box for new messages, and then sending a memo to the office staff outlining the days activities, a macro can help you perform each of these tasks and even prompt you for information.  What you can do with Macros in WordPerfect for Windows is limited only by the restrictions of the program and your own imagination.

Begin by learning how to record, play, and edit a macro.  By studying the text of a compiled macro, you will become familiar with the structure and syntax of WordPerfect for Windows product commands.  Make changes to a macro, recompile and play it, and note how the changes affect macro execution.

When you are familiar with recording, playing, and editing macros, you will want to include programming commands in your macros.  Programming commands give you more control over macro execution.

See Also

Record a Macro

Play a Macro

Edit a Macro

Programming Basics


Record a Macro

Recording a macro can be as easy as clicking a menu item.

Steps

1	From the document window, choose Tools, Macro, Record to display the Record Macro dialog box.

2	Enter a name (such as view.wcm) in the Name text box.  (If you do not include the .wcm extension, WordPerfect adds it for you.)

3	Choose Record.

4	From the document window, choose File, Preferences, double-click the Display icon, select View/Zoom, select Draft, select 150%, OK, Close.  The steps in performing this task are recorded as a macro with the filename you entered in step 2.

5	Choose Tools, Macros, Record (to stop recording).  You just recorded a macro!

See Also

Play a Macro

Edit a Macro

Product and Programming Commands


Play a Macro

After recording and compiling, by playing a macro you accomplish in one step what required several steps to achieve during the recording session.

Steps

1	Choose Tools, Macro, Play.

2	Enter the full name of a macro to play.

3	Press Enter or click Play.

See Also

Record a Macro

Edit a Macro

Product and Programming Commands


Edit a Macro

WordPerfect's macros are saved as document files.  You can write, edit, and save a macro as you would any other document.

Steps

1	From the document window, choose Tools, Macro, Edit, enter a filename, Edit.

2	Add or delete macro commands.  WordPerfect uses a "free form" editor to compile a macro document, which means you can use formatting codes such as bold and tab to make the macro more readable.

3	Save changes by selecting Save & Compile, Close.

See Also

Play a Macro

Record a Macro


Macro Syntax

Macro syntax is the arrangement of macro elements.  It is the grammar of macro language.  For example:

1	If the product command Type(Text:"I love macros") is entered as Type(Text:I love macros) without double quotation marks around the parameter value "I love macros", the compiler generates an error message.

2	If the programming command NUMSTR is misspelled NUMBSTR or entered as NUM STR, the compiler generates an error message.

When writing or editing a macro, watch for:

1	Missing or misspelled command or parameter names.

2	Incorrect parameter values.  (If a parameter value is an integer, you cannot insert a character expression.)

3	Missing or misplaced semicolons and parentheses.

See Also

Macro Errors


Macro Errors

The first time a macro is played after it is recorded or edited, WordPerfect compiles, or translates, the macro into a language computers understand.  The compiler stops on a command it cannot read, either because the command is not part of the compiler's vocabulary (see APPLICATION), or  because the command was entered incorrectly.  When this happens, a window opens that helps identify the problem.  After noting the error, continue compiling to check for additional errors.  Pay attention to command syntax (the way a command is put together).  Missing semicolons and parentheses cause many compilation errors.

Compiling a macro is not the same as playing a macro.  New macros or newly edited macros are compiled only the first time they are played.  After that, a macro plays without having to be compiled until it is changed.

See Also

Macro Syntax


Recording a Dialog Box Command

You can record a dialog box command in a macro, as opposed to recording selections from a dialog box.

Steps

1	Choose Tools, Macro, Record.

2	Enter a filename in the Name text box.

3	Select Record.

4	From the document window, choose Layout, Font.  The check box on the title bar is only visible while recording a macro.

5	To include the Font dialog box in your macro, check the box on the title bar.

6	Select OK.

7	Choose Tools, Macro, Record (to stop recording).

Playing this macro displays the Font dialog box.

See Also

Recording Dialog Box Selections


Recording Dialog Box Selections

By recording a dialog box command in a macro, you can make selections when you play a macro.

Steps

1	Choose Tools, Macro, Record.

2	Enter a filename in the Name text box.

3	Select Record.

4	From the document window, choose Layout, Font to display the Font dialog box.

5	Select a Font face, style, and size.

7	Select OK.

8	Choose Tools, Macro, Record (to stop recording).

Playing this macro selects the Font face, style, and size you chose while recording the macro.

See Also

Recording a Dialog Box Command


Product and Programming Commands

WordPerfect's macro language is divided into programming commands and product commands.

1	Programming commands direct macro execution.  For example, CALL and LABEL commands used with loops and conditional statements direct macro execution when a user-defined condition is met.  Other commands, such as ONCANCEL, ONERROR, and ONNOTFOUND direct macro execution when a cancel, error, or not found condition is met.  A command, such as GETSTRING, causes macro execution to stop while a user types information that could be the subject of a memo, date of an appointment, or answer to a question.

2	Product commands correspond to product features and are a more direct way of doing what WordPerfect does through menu selection.  For example, the ButtonBarOptionsDlg product command is the same as choosing File, Preferences, Button Bar icon, and the Options button.  ButtonBarOptionsDlg in a macro reduces four steps to one.

Syntax Changes:  Programming Commands

You may notice that the syntax of some programming commands is different in WordPerfect 6.0 for Windows.  Only commands that return a value have changed.  In 5.1 and 5.2, these commands contained a Variable parameter in which the return value was placed.  In 6.0, these commands no longer require a Variable parameter.  Rather, the commands (and their remaining parameters) are designed to be evaluated as expressions.  This means that the value returned by the command can be assigned to a variable or evaluated in a conditional statement created with commands such as IF, REPEAT, or WHILE.  For example, EXISTS could be used as follows:

IF(EXISTS(TestVar)=0)

BEEP

ELSE

GO(Continue@)

ENDIF

This example checks the existence of variable TestVar.  Notice that EXISTS and its parameter specifying the variable to check are used as part of the IF expression.

If you are familiar with programming concepts, these changes in syntax will be a natural transition. If you are new to programming, the concepts are relatively easy to learn.  The syntax changes are based on the difference between Functions and Procedures.

Functions perform an action and then return a value.  EXISTS is an example of a Function; it checks to see whether the specified variable exists, then returns a value representing the variable table in which the variable exists.  On the other hand, procedures simply perform an action.  BEEP is an example of a Procedure; it causes the computer to beep, but does not confirm whether the computer beeped or not.

The help screens for commands that return a value no longer contain a description of the Variable parameter.  Rather, they contain a brief section entitled "Return Value" that describes the type of value returned by the command.

Note that WordPerfect 6.0 for Windows still recognizes and executes commands constructed with 5.1 and 5.2 syntax.

See Also

CALL and LABEL

DDE Basics

Loops and Conditional Statements

Macro Example


CALL and LABEL

The following suggestion will help organize a macro so it is easy to follow and understand.

CALL

Opening CALL commands outline a macro and define its basic functions.  The Macro Example topic under Programming Basics opens with five Call commands:

CALL(LoadDynamicLinkLibrary@)

CALL(CreateDialogBoxes@)

CALL(FillInDialogBox@)

CALL(SendMailToWPOffice@)

CALL(QuitMacro@)

The first command calls a LABEL that loads a dynamic link library; the second calls a LABEL that creates the macro's dialog boxes; the third calls a LABEL that allows the user to enter information; the fourth calls a LABEL that sends the information to WP Office as a mail message, the fifth calls a LABEL that quits the macro and performs clean-up operations.

CALL-LABEL names should describe the LABEL's function.  For example, if the first CALL command above called a LABEL named StartHere@, you would not know what function the macro performs before execution continues to the next CALL command.  This information can be important for debugging a macro or for modifying a macro months after it is written.

It may help to think of CALL and LABEL commands as people sending messengers on errands.  The first person (Call command) sends a messenger (LABEL command) on an errand.  When the messenger returns, the next person (CALL command) sends the next messenger (LABEL command) until all the messengers have been sent (macro ends).  The messengers (LABEL commands) return only after they have finished the errand they were sent to do.


Loops and Conditional Statements

Programming loops contain commands that repeat a specified number of times or until a specified condition is met.  For example, suppose you want to use WP Office to schedule a group of people for a meeting.  A macro can display a list of names, repeat or loop until you have finished selecting the names of the people who are to attend the meeting, and then schedule the meeting.  This is an example of a loop that repeats until the condition "cancel" is met.  WP Office includes the following loops and conditional statements:

1	IF-ENDIF

The commands in this statement run if the IF command test parameter is satisfied.  This is not a loop statement, but a conditional statement.  It can be included in a loop statement.

2	FOR-ENDFOR

The commands in this loop statement repeat a specified number of times.

3	FOREACH-ENDFOR

The commands in this loop statement repeat according to the number of expressions in the expression parameter of the FOREACH command.

4	REPEAT-UNTIL

The commands in this loop statement repeat until a specified condition is met.  The condition is checked at the end of the loop.

5	WHILE-ENDWHILE

The commands in this loop statement repeat only while a specified condition exists.  The condition is checked at the beginning of the loop.

Subroutines

A subroutine is a set of commands you may want to execute several times in a macro.  Instead of entering the commands at several locations in the macro, you include them only once and direct the macro to that location each time the commands are needed.  A subroutine is created with programming commands such as FUNCTION, LABEL, and PROCEDURE.  A macro is directed to a subroutine with programming commands such as CALL, GO, ONERROR, ONCANCEL, and ONNOTFOUND.  See the Macro Commands Index for more information on these commands.

Since there may be more than one subroutine in a macro, the name associated with each one must be unique.  The label name must be in the command that directs execution to the subroutine, for example GO(MyLabel).  The label must match the name of the FUNCTION, LABEL, or PROCEDURE to which execution is directed.


Macro Example

The following macros launch WP Office for Windows and create a dialog box in WordPerfect 6.0 for Windows, that a user fills in and sends as a mail message to WP Office.  These WP Office shipping macros are presented here to teach macro writing.  Click the comment buttons [image] for more detailed explanations.

Macro: Mail.wcm

APPLICATION(WP;WPWP;DEFAULT;"WPWPUS.WCD") //

//Name of macro: Mail.wcm

GetWPData(MacroPath; MacroPath!)

RUN(MacroPath + "ofwin40.wcm")

CHAIN(MacroPath + "mail_1.wcm")

Macro: Mail_1.wcm

APPLICATION(OF;WPOF;"WPOFUS.WCD") //

APPLICATION(WP;WPWP;DEFAULT;"WPWPUS.WCD")

//(Name of macro: mail_1.wcm

CALL(LoadDynamicLinkLibrary@) //

CALL(CreateDialogBoxes@)

CALL(FillInDialogBox@)

CALL(SendMailToWPOffice@)

CALL(QuitMacro@)

//***************************************************************

//     MAIN LABELS

//***************************************************************

LABEL(LoadDynamicLinkLibrary@) //

DLLLoad(MCRLink;"WPCMCR.DLL")

RETURN

LABEL(CreateDialogBoxes@) //

CALL(MainDialogBox@)

CALL(AttachmentDialogBox@)

RETURN

LABEL(FillInDialogBox@) //

StopLoop:="No"

REPEAT

DIALOGDISPLAY("MainDlg";"bTo")

CASE CALL(MacroDialogResult;{

 	1; Send@;

 	2; QuitMacro@;

 	3; AddressBook@;

 	4; Attachments@;

 	5; Route@};

 	UnknownErrorMsg@)

UNTIL(StopLoop="Yes")

RETURN

LABEL(SendMailToWPOffice@) //

CASE CALL(vMessage;{

"None"; MNone@;

"Page"; MPage@;

"Paragraph"; MParagraph@;

"Document"; MDocument@;

"Selected Text"; MSelectedText@};

UnknownErrorMsg@)

OF.SendMail(vTo; vSubj; vMsg; vAttachment; vCC; vBC; vFrom; vIsRouted)

RETURN

LABEL(QuitMacro@) //

DLLFree(MCRLink)

DIALOGDESTROY("MainDlg")

DIALOGDESTROY("AttachDlg")

QUIT

//***************************************************************

//     SUB LABELS

//***************************************************************

LABEL(Send@) //

IF(vTO="")

Title:="Send"

Message:="You must fill in the To: text box"

Buttons:=48

BEEP

CALL(MCRMessageBox@)

RETURN

ENDIF

IF(vMessage="None")

IF(vAttachment="")

Title:="None"

Message:="Send without a message or attachments?"

Buttons:=36

BEEP

CALL(MCRMessageBox@)

IF(Result=7)

RETURN

ENDIF

ENDIF

ENDIF

StopLoop:="Yes"

RETURN

LABEL(AddressBook@) //

OF.AddressBookDlg()

APPLOCATE(hwpwin;"WordPerfect  [*")

APPACTIVATE(hwpwin)

RETURN

LABEL(Attachments@) //

vAttachment:=""

DIALOGDISPLAY("AttachDlg"; 1)

IF(MacroDialogResult=2)

CALL(ClearAttachments@)

RETURN

ENDIF

NmbrOfFiles:=0

IF(vDocument=1) //

NmbrOfFiles:=NmbrOfFiles+1

 	GetWPData(vFileName; Name!)

IF(vFilename="")

ONCANCEL(CancelWithoutSave@)

FileSaveAsDlg()

GetWPData(vFileName; Name!)

ENDIF

 	GetWPData(vPath; Path!)

 	vAttachment:=vPath+vFileName

CALL(CheckWasDocModified@)

ENDIF

FOREACH(vAttachNew; {vAttach1; vAttach2; vAttach3; vAttach4; vAttach5}) //

IF(vAttachNew<>"")

NmbrOfFiles:=NmbrOfFiles+1

vAttachment:=vAttachment + ", " + vAttachNew

ENDIF

ENDFOR

NUMSTR(NmbrOfFiles; 0; NmbrOfFiles)

DIALOGADDTEXT("MainDlg";0;180;69;14;12;8;NmbrOfFiles)

RETURN

LABEL(Route@) //

IF(vIsRouted=0)

DIALOGADDTEXT("MainDlg";0;13;29;20;12;1;"&Route:")

vIsRouted:=1

ELSE

DIALOGADDTEXT("MainDlg";0;5;29;30;12;2;"&To:")

vIsRouted:=0

ENDIF

RETURN

LABEL(ClearAttachments@) //

vDocument:=0

vAttach1:=""

vAttach2:=""

vAttach3:=""

vAttach4:=""

vAttach5:=""

NmbrOfFiles:=0

vAttachment:=""

NUMSTR(NmbrOfFiles; 0; NmbrOfFiles)

DIALOGADDTEXT("MainDlg";0;180;69;14;12;8;NmbrOfFiles)

RETURN

LABEL(CheckWasDocModified@) //

 	GetWPData(DocWasModified; DocumentModified!)

IF(DocWasModified=TRUE)

Title:="Document Modified"

Message:="Save changes to " + vAttachment + "?"

Buttons:=35

BEEP

CALL(MCRMessageBox@)

IF(Result=1)

FileSave()

ENDIF

IF(Result=2)

CALL(QuitMacro@)

ENDIF

ENDIF

RETURN

//***************************************************************

//     MESSAGE LIST BOX LABELS

//***************************************************************

LABEL(MNone@) //

IF(vAttachment<>"")

vMsg:="<See attachments>"

ELSE

vMsg:=""

ENDIF

RETURN

LABEL(MPage@) //

ONERROR(UnknownErrorMsg@)

SelectPage()

GetWPData(TextIsSelected; SelectModeActive!)

IF(TextIsSelected=FALSE)

Title:="Page"

CALL(NoSelectedText@)

ENDIF

GetWPData(vMsg; SelectedTextWithHrt!)

RETURN

LABEL(MParagraph@) //

ONERROR(UnknownErrorMsg@)

SelectParagraph()

GetWPData(TextIsSelected; SelectModeActive!)

IF(TextIsSelected=FALSE)

Title:="Paragraph"

CALL(NoSelectedText@)

ENDIF

GetWPData(vMsg; SelectedTextWithHrt!)

RETURN

LABEL(MDocument@) //

ONERROR(UnknownErrorMsg@)

SelectAll()

GetWPData(TextIsSelected; SelectModeActive!)

IF(TextIsSelected=FALSE)

Title:="Document"

CALL(NoSelectedText@)

ENDIF

 	GetWPData(vMsg; SelectedTextWithHrt!)

RETURN

LABEL(MSelectedText@) //

ONERROR(UnknownErrorMsg@)

GetWPData(TextIsSelected; SelectModeActive!)

IF(TextIsSelected=FALSE)

Title:="Selected Text"

CALL(NoSelectedText@)

ENDIF

GetWPData(vMsg; SelectedTextWithHrt!)

RETURN

//***************************************************************

//     MESSAGE LABELS

//***************************************************************

LABEL(NoSelectedText@) //

Message:="No Text Selected - Ending Macro Execution"

Buttons:=48

BEEP

CALL(MCRMessageBox@)

CALL(QuitMacro@)

LABEL(UnknownErrorMsg@) //

Title:="Error"

Message:="An Unknown Error Occurred - Ending Macro Execution"

Buttons:=48

Beep

CALL(MCRMessageBox@)

CALL(QuitMacro@)

LABEL(CancelWithoutSave@) //

Title:="Save"

Message:="You Must Save Document - Ending Macro Execution"

Buttons:=48

Beep

CALL(MCRMessageBox@)

CALL(QuitMacro@)

LABEL(MCRMessageBox@) //

DllCall(MCRLink; "MCRMessageBox"; Result:Word; {LoWord(0);

AnsiString(Message); AnsiString(Title);(Buttons)})

RETURN

//***************************************************************

//     DIALOG BOXES

//***************************************************************

LABEL(MainDialogBox@) //

TitleName:="SEND MAIL"

DIALOGDEFINE("MainDlg";50;50;277;107;16;TitleName)

//From: text box

OF.GetOfficeData(vFrom; UserName!)

DIALOGADDTEXT("MainDlg";0;17;11;75;12;1;"&From:")

DIALOGADDEDITBOX("MainDlg";"bFrom";40;10;95;13;33;vFrom;100)

//To: text box

DIALOGADDTEXT("MainDlg";0;24;29;75;12;1;"&To:")

DIALOGADDEDITBOX("MainDlg";"bTo";40;27;95;13;33;vTo;100)

//Subject: text box

DIALOGADDTEXT("MainDlg";0;8;47;75;12;1;"S&ubject:")

DIALOGADDEDITBOX("MainDlg";"bSubj";40;45;175;13;33;vSubj;250)

//CC: text box

DIALOGADDTEXT("MainDlg";0;141;11;84;12;1;"&CC:")

DIALOGADDEDITBOX("MainDlg";"bCC";157;10;58;13;33;vCC;100)

//BC: text box

DIALOGADDTEXT("MainDlg";0;141;29;84;12;1;"&BC:")

DIALOGADDEDITBOX("MainDlg";"bBC";157;27;58;13;33;vBC;100)

//Message: list box

DIALOGADDTEXT("MainDlg";0;5;70;75;13;1;"&Message:")

vList1:="Document"

DIALOGADDPOPUPBUTTON("MainDlg"; "vMsgBx"; 40; 68; 60; 14; vMessage)

DIALOGADDLISTITEM("MainDlg"; "vMsgBx"; "None")

DIALOGADDLISTITEM("MainDlg"; "vMsgBx"; "Page")

DIALOGADDLISTITEM("MainDlg"; "vMsgBx"; "Paragraph")

DIALOGADDLISTITEM("MainDlg"; "vMsgBx"; "Document")

DIALOGADDLISTITEM("MainDlg"; "vMsgBx"; "Selected Text")

//Attachments

vAttachment:=""

DIALOGADDPUSHBUTTON("MainDlg";4;123;68;50;14;0;"&Attachments")

DIALOGADDTEXT("MainDlg";0;180;69;14;12;8;"0")

//Route option

vIsRouted:=0

DIALOGADDPUSHBUTTON("MainDlg";5;213;68;50;14;0;"&Routing Slip")

//Send button

DIALOGADDPUSHBUTTON("MainDlg";1;227;9;35;14;0;"&Send")

//Cancel button

DIALOGADDPUSHBUTTON("MainDlg";2;227;27;35;14;0;"&Cancel")

//Address button

DIALOGADDPUSHBUTTON("MainDlg";3;227;45;35;14;0;"&Address")

RETURN

LABEL(AttachmentDialogBox@) //

TitleName:="ATTACHMENTS"

DIALOGDEFINE("AttachDlg"; 50; 50; 155; 185; 1+2+16; TitleName)

//Attachment: Document

vDocument:=0

vDoc:="Attach Document"

DIALOGADDCHECKBOX("AttachDlg"; "Chk1"; 10; 10; 75; 14; vDoc; vDocument)

//Attachment: Files

DIALOGADDTEXT("AttachDlg"; 0; 10; 40; 30; 12; 1; "Files:")

GetWPData(MacroPath; MacroPath!)

DIALOGADDFILENAMEBOX("AttachDlg"; "Att1"; 10; 50; 125; 14; 0; vAttach1; MacroPath; "*.*")

DIALOGADDFILENAMEBOX("AttachDlg"; "Att2"; 10; 65; 125; 14; 0; vAttach2; MacroPath; "*.*")

DIALOGADDFILENAMEBOX("AttachDlg"; "Att3"; 10; 80; 125; 14; 0; vAttach3; MacroPath; "*.*")

DIALOGADDFILENAMEBOX("AttachDlg"; "Att4"; 10; 95; 125; 14; 0; vAttach4; MacroPath; "*.*")

DIALOGADDFILENAMEBOX("AttachDlg"; "Att5"; 10; 110; 125; 14; 0; vAttach5; MacroPath; "*.*")

RETURN


Comment...

Because a macro cannot begin with an APPLICATION command for an application that is not running, it is best to use a start-up macro to check if a secondary application is running before executing the main macro.  The Mail.wcm macro uses CHAIN to run the Ofwin40.wcm macro to check if WP Office is running and to launch it if not.  RUN plays Mail_1.wcm only if WP Office is successfully launched.


Comment...

The first APPLICATION command tells the macro that you are sending product commands to WP Office.  These commands must begin with WP Office's product prefix OF, followed by a period.  The second APPLICATION command tells the macro that WordPerfect is the default application.  Commands to WordPerfect do not require WordPerfect's product prefix WP.  The macro assumes the default application's product prefix for any command without a product prefix.


Comment...

The opening CALL commands call the macro's five main LABELs.  Each LABEL ends with a RETURN command that sends macro execution to the next CALL command.  The sequence is CALL -> LABEL {execute other commands} -> RETURN -> next CALL command.


Comment...

LABEL(LoadDynamicLinkLibrary@) loads the DLL named WPCMCR.DLL, which contains the MCRMessageBox function.  LABEL(MCRMessageBox@) uses this function to display a message.


Comment...

LABEL(CreateDialogBoxes@) calls two LABELs which create the macro's two dialog boxes.  The DIALOGDISPLAY commands that display these dialog boxes appear in LABEL(FillInDialogBox@) and LABEL(Attachments@).


Comment...

LABEL(FillInDialogBox@) displays the main dialog box for the user to fill in before sending to WP Office.  After the dialog box is filled in, macro execution branches to one of five LABELs, according to user selection.

DIALOGDISPLAY appears in a REPEAT-UNTIL loop statement and displays the main dialog box until the user selects Send or Cancel.  If the user selects Send, the StopLoop variable is assigned the value Yes.  Macro execution moves to RETURN which sends execution to the CALL command after CALL(FillInDialogBox@).  If the user selects Cancel, CASE CALL sends macro execution to LABEL(QuitMacro@), which terminates the macro.

For more information about the selections associated with this CASE CALL command, see the corresponding LABELs.


Comment...

CASE CALL sends macro execution to one of five LABELs, according to user selection.  For more information about the selections associated with CASE CALL, see the corresponding LABELs.

SendMail with the product prefix OF is the WP Office product command that sends the information entered into the main dialog box as a mail item.  Macro execution moves to RETURN which sends execution to the CALL command after CALL(SendMailToWPOffice@).


Comment...

LABEL(QuitMacro@) terminates the macro after performing three essential functions.  See DLLFREE, DIALOGDESTROY, and QUIT for more information.


Comment...

LABEL(Send@) checks if the To: text box is filled in.  If not, macro execution returns to the main dialog box so the user can fill it in.  If the mail item has no message or attachments - IF(vMessage="None") and IF(vAttachment="") - the user is prompted to continue or return to the main dialog box.  Both IF-ENDIF statements use CALL(MCRMessageBox@) to display a prompt message.

If all IF-ENDIF conditions are satisfied, the StopLoop variable is assigned the value Yes.  RETURN sends macro execution to LABEL(FillInDialogBox@).  When the REPEAT-UNTIL condition is satisfied - when StopLoop = "Yes" - RETURN sends macro execution to the CALL command after CALL(FillInDialogBox@).


Comment...

LABEL(AddressBook@) uses the WP Office product command AddressBookDlg() and the product prefix OF to open a WP Office user directory.  RETURN sends macro execution back to the main dialog box so the user can type the User ID into the To: text box field.


Comment...

LABEL(Attachments@) opens a second dialog box for adding attachments to your mail item.

The first IF-ENDIF statement checks if the user closes the dialog box by selecting Cancel.  If Cancel is selected - IF(MacroDialogResult=2) - macro execution continues to LABEL(ClearAttachments@).  RETURN sends macro execution back to LABEL(FillInDialogBox@).


Comment...

The second IF-ENDIF statement checks if the user wants to attach the current document to a mail item.  If the document is attached - IF(vDocument=1) - the NmbrOfFiles variable is assigned a value of one.  GetWPData gets the current document's filename and assigns it to the variable vFileName.  IF the document has not been saved - IF(vFilename="") - FileSaveAsDlg opens a WordPerfect dialog box which allows the user to save the current document to disk.  If the user selects Cancel, ONCANCEL sends macro execution to LABEL(CancelWithoutSave@).  If the user saves the current document, GetWPData gets the filename and assigns it to the variable vFilename.

The next GetWPData gets the current document path and assigns it to the variable vPath.  The contents of the variables vPath and vFilename are assigned to the variable vAttachment.  The variable vAttachment contains a path and filename, and looks something like this if typed: "c:\wpwin60\file1.doc".

The last step sends macro execution to LABEL(CheckWasDocModified@).  If the user wants to attach the current document, and the document is already saved, this LABEL checks if the document was modified after it was saved.  If the document was modified, the user is prompted to save the current document before sending it.


Comment...

The FOREACH-ENDFOR statement gets the number of attached files and assigns their filenames, separated by a comma, to the vAttachment variable.  The variable vAttachment contains the path and filename of each attachment, and looks something like this if typed: "c:\wpwin60\file1.doc, c:\data\file2.doc, c:\wpwin60\file3.doc".

NUMSTR converts the integer value of NmbrOfFiles to a character expression, which DIALOGADDTEXT displays as the number of attachments in the main dialog box.  RETURN sends macro execution back to LABEL(FillInDialogBox@).


Comment...

Selecting the Route button from the main dialog box calls LABEL(Route@), which assigns the number 1 or 0 to the variable vIsRouted.  If the mail item is not to be routed when the Route button is selected - IF(vIsRouted=0) - the number 1 is assigned to vIsRouted which sets the message to be routed.  If the mail item is already set to route when the Route button is selected (if the value of vIsRouted equals 1), the number 0 is assigned to vIsRouted and the message is not routed.

DIALOGADDTEXT displays Route: (if vIsRouted = 1) or To: (if vIsRouted = 0) when macro execution returns to LABEL(FillIndialogBox@).


Comment...

LABEL(ClearAttachments@) clears attachment variables, such as vDocument and vAttach1, when a user selects Cancel from the attachments dialog box.  DIALOGADDTEXT displays zero as the number of attachments when macro execution is returned to LABEL(FillInDialogBox@).


Comment...

LABEL(CheckWasDocModified@) prompts the user to save the current document if it was modified since the last save.  If the user selects Save - IF(Result=1) - FileSave saves the document.  If the user selects Cancel - IF(Result=2) - LABEL(QuitMacro@) terminates the macro after performing three essential functions.


Comment...

If None is selected for the message in the main dialog box, and if there is an attachment - IF(vAttachment<>"" - then "<See attachments>" is assigned the variable vMsg.  Otherwise, vMsg is assigned an empty value.  RETURN sends macro execution back to LABEL(SendMailToWPOffice@).


Comment...

If Page is selected for the message in the main dialog box, LABEL(MPage@) uses SelectPage to select the contents of the page with the insertion point.  After doing so, it checks if the page contains text with the SelectModeActive! parameter of GetWPData.  If no text was selected - IF(TextIsSelected=FALSE) - macro execution is sent to LABEL(NoSelectedText@) which displays a message and terminates the macro.  If text was selected, GetWPData assigns the text to the variable vMsg.  RETURN sends macro execution back to LABEL(SendMailToWPOffice@).


BoxEquationDefaultFont

Purpose

BoxEquationDefaultFont selects a default font and determines whether to change the default font size.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

BoxEquationDefaultFont (FontSize: Numeric Expression)

Parameters

FontSize: Numeric Equivalent or Enumerated Type, or Numeric Expression

Specifies a new default font size. To specify the default font size, select the numeric equivalent or enumerated type.

0	DefaultSize!

See Also

?BoxEquationFont


For Example...

To select the default font but specify a non-default font size, the command is:

EquationDefaultFont

(

FontSize: 14p

)


Char

Purpose

Char prompts the user for a keystroke. The ASCII numeric equivalent of the keystroke is then assigned to the variable specified in the Character parameter.

Only one character is accepted and assigned to the variable. If you enter more than one character, only the first is accepted.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

Char (Character: Variable; Prompt: Character Expression)

Parameters

Character: Variable

Specifies a variable to which the numeric equivalent of a keystroke is assigned. Any variable is valid for this parameter.

Prompt: Character Expression

Specifies a prompt to display above the entry field.

See Also

SWITCH

GETNUMBER

GETSTRING

IF


For Example...

To get the ASCII numeric equivalent of the letter A and assign it to the variable vNum, the command is:

Char

(

Character: vNum;

Prompt: "Enter a character"

)


ColorAdd

Purpose

ColorAdd adds a color to a color palette.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ColorAdd (PaletteName: Character Expression; PositionIndex: Numeric Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; ColorName: Character Expression)

Parameters

PaletteName: Character Expression

Names a color palette.

PositionIndex: Numeric Expression

Specifies the position at which the new color should appear in the list of palette colors.

Red: Numeric Expression

Specifies the amount of red in a color. Values range from 0 to 255.

Green: Numeric Expression

Specifies the amount of green in a color. Values range from 0 to 255.

Blue: Numeric Expression

Specifies the amount of green in a color. Values range from 0 to 255.

ColorName: Character Expression

Names the new color.

See Also

ColorDelete

ColorModify


For Example...

To add a color named Autumn to a palette named Seasons, the command is:

ColorAdd

(

PaletteName: Seasons;

PositionIndex: 0;

Red: 251;

Green: 160;

Blue: 90;

ColorName: "Autumn"

)


ColorDelete

Purpose

ColorDelete removes a color from a color palette.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ColorDelete (PaletteName: Character Expression; ColorName: Character Expression)

Parameters

PaletteName: Character Expression

Specifies a palette from which to delete a color.

ColorName: Character Expression

Specifies a color to delete.

See Also

ColorAdd

ColorModify


For Example...

To delete the color Cyan from a palette named Crayons, the command is:

ColorDelete

(

PaletteName: "Crayon";

ColorName: "Cyan"

)


ColorModify

Purpose

ColorModify modifies and renames a color.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ColorModify (PaletteName: Character Expression; CurrentColorName: Character Expression; Red: Numeric Expression; Green: Numeric Expression; Blue: Numeric Expression; NewColorName: Character Expression)

Parameters

PaletteName: Character Expression

Names a color palette.

CurrentColorName: Character Expression

Specifies a color to modify.

Red: Numeric Expression

Specifies the amount of red in a color. Values range from 0 to 255.

Green: Numeric Expression

Specifies the amount of green in a color. Values range from 0 to 255.

Blue: Numeric Expression

Specifies the amount of green in a color. Values range from 0 to 255.

NewColorName: Character Expression

Renames a modified color.

See Also

ColorAdd

ColorDelete


For Example...

To modify Black in a palette named Crayons and rename the color Slate, the command is:

ColorModify

(

PaletteName: "Crayons";

CurrentColorName: "Black";

Red: 51;

Green: 91;

Blue: 91;

NewColorName: "Slate"

)


ColorPaletteCreate

Purpose

ColorPaletteCreate names a palette to create, usually in conjunction with other commands such as ColorAdd.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ColorPaletteCreate (PaletteName: Character Expression)

Parameters

PaletteName: Character Expression

Names a new palette.

See Also

ColorPaletteDelete

ColorPaletteRename

ColorPaletteSelect


For Example...

To create a palette named Hues of Blue, the command is:

ColorPaletteCreate

(

PaletteName: "Hues of Blue"

)


ColorPaletteDelete

Purpose

ColorPaletteDelete names a palette to delete.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ColorPaletteDelete (PaletteName: Character Expression)

Parameters

PaletteName: Character Expression

Names a palette to delete.

See Also

ColorPaletteCreate

ColorPaletteRename

ColorPaletteSelect


For Example...

To delete a palette named Hues of Blue, the command is:

ColorPaletteDelete

(

PaletteName: "Hues of Blue"

)


ColorPaletteRename

Purpose

ColorPaletteRename renames an existing palette.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ColorPaletteRename (OldPaletteName: Character Expression; NewPaletteName: Character Expression)

Parameters

OldPaletteName: Character Expression

Specifies the current name of a palette.

NewPaletteName: Character Expression

Specifies a new name for a palette.

See Also

ColorPaletteCreate

ColorPaletteDelete

ColorPaletteSelect


For Example...

To change the name Jeff's Palette to Edward's Palette, the command is:

ColorPaletteRename

(

OldPaletteName: "Jeff's Palette";

NewPaletteName: "Edward's Palette"

)


ColorPaletteSelect

Purpose

ColorPaletteSelect names a palette to select.

Syntax

ColorPaletteSelect (PaletteName: Character Expression)

Parameters

PaletteName: Character Expression

Specifies a palette to select.

See Also

ColorPaletteCreate

ColorPaletteDelete

ColorPaletteRename


Route...

Graphics, Graphics Styles, Fill, Create or Edit, Palette, Open, highlight a palette, OK.


For Example...

To select a palette named Multi-Colors, the command is:

ColorPaletteSelect

(

PaletteName: "Multi-Colors"

)


PosFunction

Purpose

PosFunction positions the insertion point to the right of the next occurrence of the code specified in the Function parameter.

This command is not recordable.  To use this command, you must type it into the macro.

Syntax

PosFunction (Function: Numeric Equivalent or Enumerated Type)

Parameters

Function: Numeric Equivalent or Enumerated Type

Specifies a code.

129	HardSpace!

132	HardHyphen!

144	CancelHyphen!

204	HardEndOfLine!

207	SoftEndOfLine!

224	Tab!

See Also

PosCharacter


For Example...

To position the insertion point to the right of a Hard Space, the command is:

PosFunction

(

Function: HardSpace!

)


Comment...

If Paragraph is selected for the message in the main dialog box, LABEL(MParagraph@) uses SelectParagraph to select the paragraph with the insertion point.  After doing so, it checks if the paragraph contains text with the SelectModeActive! parameter of GetWPData.  If no text was selected - IF(TextIsSelected=FALSE) - macro execution is sent to LABEL(NoSelectedText@) which displays a message and terminates the macro.  If text was selected, GetWPData assigns the text to the variable vMsg.  RETURN sends macro execution back to LABEL(SendMailToWPOffice@).


Comment...

If Document is selected for the message in the main dialog box, LABEL(MDocument@) uses SelectAll to select the current document.  After doing so, it checks if the document contains text with the SelectModeActive! parameter of GetWPData.  If no text was selected - IF(TextIsSelected=FALSE) - macro execution is sent to LABEL(NoSelectedText@) which displays a message and terminates the macro.  If text was selected, GetWPData assigns the text to the variable vMsg.  RETURN sends macro execution back to LABEL(SendMailToWPOffice@).


Comment...

If Selected Text is chosen for the message in the main dialog box, LABEL(MParagraph@) checks for selected text with the SelectModeActive! parameter of GetWPData.  If no text was selected - IF(TextIsSelected=FALSE) - macro execution is sent to LABEL(NoSelectedText@) which displays a message and terminates the macro.  If text was selected, GetWPData assigns the text to the variable vMsg.  RETURN sends macro execution back to LABEL(SendMailToWPOffice@).


Comment...

LABEL(NoSelectedText@) uses CALL(MCRMessageBox@) to display the message "No Text Selected - Ending Macro Execution".  The Title variable is assigned a value in the LABEL that calls LABEL(NoSelectedText@).  LABEL(QuitMacro@) terminates the macro after performing three essential functions.


Comment...

LABEL(UnknownErroMsg@) uses CALL(MCRMessageBox@) to display the message "An Unknown Error Occurred - Ending Macro Execution".  This LABEL is here to handle unanticipated errors.  LABEL(QuitMacro@) terminates the macro after performing three essential functions.


Comment...

If you try to send the current document as an attachment before it is saved, you are prompted to save it in LABEL(Attachments@).  If you choose Cancel instead of Save, macro execution is sent to LABEL(CancelWithoutSave@) to display the message "You Must Save Document - Ending Macro Execution".  LABEL(QuitMacro@) terminates the macro after performing three essential functions.


Comment...

LABEL(MCRMessageBox@) displays a message specified in LABEL(NoSelectedText@), LABEL(UnknownErrorMsg@), or LABEL(CancelWithoutSave@).  DLLCALL calls the MCRMessageBox function, which is in a DLL named WPCMCR.DLL.  LABEL(LoadDynamicLinkLibrary@) loads this DLL at the start of the macro.


Comment...

LABEL(MainDialogBox@) creates the main dialog box without displaying it.  Each DIALOG command is preceded by a comment (//) explaining its function.  OF.GetOfficeData uses the OF product prefix to send the WP Office GetOfficeData command to WP Office.  This command obtains the name of the user sending the message and assigns it to the variable   vFrom.  When the main dialog box is displayed, the content of vFrom is displayed in the From: text box.  RETURN sends macro execution to the command following CALL(MainDialogBox@).


Comment...

LABEL(AttachmentDialogBox@) creates the attachment dialog box without displaying it.  Each DIALOG command is preceded by a comment (//) explaining its function.  RETURN sends macro execution to the RETURN following CALL(AttachmentDialogBox@), which sends macro execution to the command following CALL(CreateDialogBoxes@).


ColorPaletteDlg

Purpose

ColorPaletteDlg displays the Define Color Printing Palette dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

ColorPaletteDlg ()


Route...

Graphics, Graphics Styles, Fill, Create or Edit, Palette.


HeaderFooterDlg

Purpose

HeaderFooterDlg displays the Headers/Footers dialog box.

Syntax

HeaderFooterDlg ()


Route...

Layout, Header/Footer.


APPEXECUTEEXT

Purpose

APPEXECUTEEXT is an extended version of APPEXECUTE which accepts parameters to tell the application how to run iconized, maximized, windowed, or hidden.  APPEXECUTEEXT also returns a value to the macro if the application is not found.

APPEXECUTEEXT takes a result variable, a file path expression, and a show value, such as:

APPEXECUTEEXT( result; "c:\docs\test.exe"; 1 )

Like APPEXECUTE, it will attempt to load and execute the executable file specified by the path parameter.  Additionally, it will use the value in the Show Value parameter to specify to Windows how the application's window will appear after execution.

After completion, the Result Variable will contain the result returned from the attempt to execute the application.  A valueless than 32 means an error. Consult the Windows Programmer's Reference for specific details on each error value.  Unlike AppExecute, any errors other than invalid parameters will not result in a macro termination.  Therefore, error checking is the responsibility of the macro writer.

Syntax

APPEXECUTEEXT (CommandLine; ShowWindow)

Parameters

CommandLine (Character Expression)

Specifies the application to execute.

ShowWindow

Specifies how the window containing the specified application displays.

0	Hide the application's window

1	Show the window at it's normal size

2	Minimize the window (Icon size)

3	Maximize the window (Screen size)

Return Value

Contains the result of the attempt to execute the specified application.

See Also

DDEEXECUTE


For Example...

The following is an example of WordPerfect executing Excel and

causing a cell to be set to a value.  It then initiates an advise

loop and waits for a terminating value (9999) to occur in the

cell before terminating the macro:

APPLICATION(A1; "WordPerfect"; Default; "US")

AppLocate(hWndExc; "Microsoft Excel*")

If (hWndExc = 0)

   AppExecuteExt(result; "C:\EXCEL\EXCEL.EXE"; 1)

   If (result < 32)

      Type( "Can't execute Excel!" )

      HardReturn()

      Quit

   EndIf

EndIf

AppLocate(hWndExc; "Microsoft Excel*" )

If (hWndExc = 0)

   Type( "Can't locate the window" )

Else

   AppActivate( hWndExc )

EndIf

DDEINITIATE( hConv; "Excel"; "Sheet1" )

If (hConv = 0)

   BEEP

   Type( "Can't make a connection with Excel!" )

   HardReturn()

   Quit

EndIf

DDEPOKE( hConv; "R1C1"; "4321" )

DDEREQUEST( myData; hConv; "R1C1" )

Type( "Poked and requested: " )

Type( myData )

HardReturn()

DDEAdvise := 0

OnDDEAdvise(result; hConv; "R1C1") CALL (Lab1@)

If (result = 0)

   While (DDEAdvise = 0)

   myData := "EMPTY"

   EndWhile

Else

   Beep

   Type( "The OnDDEAdvise transaction did not complete!" )

   HardReturn()

EndIf

Type( "GoodBye!" )

HardReturn()

DDETERMINATEALL

Quit

Label (Lab1@)

   Beep

   Type( "Got a change at A1: " )

   DDEREQUEST( myData; hConv; "R1C1" )

   Type( myData )

   Substr(junk;1;4;myData )   // Because Excel appends CRLF

   If (junk = "9999")

      Type ("TermiOnDDEAdvise(result; hConv; "R1C1") CALL (Lab1@)

If (result = 0)

   While (DDEAdvise = 0)

   myData := "EMPTY"

   EndWhile

Else

   Beep

   Type( "The OnDDEAdvise transaction did not complete!" )

   HardReturn()

EndIf

Type( "GoodBye!" )

HardReturn()

DDETERMINATEALL

Quit

Label (Lab1@)

   Beep

   Type( "Got a change at A1: " )

   DDEREQUEST( myData; hConv; "R1C1" )

   Type( myData )

   Substr(junk;1;4;myData )   //


DDEEXECUTEEXT

Purpose

DDEEXECUTEEXT is similar to DDEEXECUTE, but allows extended DDE access to other applications.

If a conversation has already been established with another application, DDEEXECUTEEXT will attempt to cause the specified command to be executed by another application.  The Result Variable will return with the result of the transaction.  The return value will be nonzero number if the transaction was successful.  The hConv expression is an integer generally returned from a previous call to DDEInitiate().

If timeout is 0 or less, the command will be executed synchronously and DDEEXECUTEEXT will return immediately.  For asynchronous operations, an optional label specifies a macro subroutine to call when the command is completed.  If the label is omitted, the message indicating that the command is completed is ignored.

A fatal error will occur if the result parameter is not a variable name, if the hConv parameter is not a valid integer expression, if the command parameter is not a valid string expression, or if the label is invalid.

Syntax

DDEEXECUTEEXT ( Result Variable; Conversation Expression; Command; Timeout; Label)

Parameters

Result Variable

Contains the result of the transaction.  A return value of 0 indicates failure; any other number indicates success.

Conversation Expression (Numeric Expression)

An integer generally returned from a previous call to DDEINITIATE.

Command

Specifies the command to send to an application.  This parameter may be a WordPerfect variable or a command string.  A command string must be enclosed in quotation marks.

Timeout (Numeric Expression)

Specifies, in milliseconds, how long to wait for the application to execute the command specified in the Command parameter.

Label (optional)

Specifies the label or subroutine to call when the command specified in the Command parameter has executed.

See Also

DDEEXECUTE


For Example...

The following is an example of WordPerfect executing Excel,

sending a command to open a file, and causing a cell to be set to

a value.  It then initiates an advise loop and waits for a

terminating value (9999) to occur in the cell before terminating

the macro, at which time it will send a QUIT command to Excel:

APPLICATION(A1; "WordPerfect"; Default; "US")

AppLocate(hWndExcel; "Microsoft Excel*")

If (hWndExcel = 0)

   AppExecuteExt(res; "C:\EXCEL\EXCEL.EXE"; 1)

   If (res < 32)

      Type ( "Can't execute Excel!" )

      HardReturn()

      Beep

      Quit

   EndIf

EndIf

AppLocate(hWndExcel; "Microsoft Excel*" )

If (hWndExcel = 0)

   Type( "Can't locate the window" )

Else

   AppActivate( hWndExcel )

EndIf

DDEINITIATE( hConv; "Excel"; "System" )

If (hConv = 0)

   Beep

   Type( "Can't make a connection with Excel!" )

   HardReturn()

   Quit

EndIf

Ack := 0

DDEExecuteExt( res; hConv; "[OPEN(""C:\EXCEL\TEST1.XLS"")]"; 0;

   Lab2@)

While (Ack = 0)

   MyData := 1

EndWhile

If (res = 0)

   Beep

   Type( "Couldn't open TEST1.XLS!" )

   HardReturn()

   DDETerminate( hConv )

   Quit

EndIf

DDETerminate( hConv )

DDEINITIATE( hConv; "Excel"; "TEST1.XLS" )

If (hConv = 0)

   Beep

   Type( "Can't make 2nd connection with Excel!" )

   HardReturn()

   Quit

EndIf

DDEPOKE( hConv; "R1C1"; "4321" )

DDEREQUEST( myData; hConv; "R1C1" )

Type( "Poked and requested: " )

Type( myData )

HardReturn()

DDEAdvise := 0

OnDDEAdvise(result; hConv; "R1C1") CALL (Lab1@)

If (result = 0)

   While (DDEAdvise = 0)

      MyData := "EMPTY"

   EndWhile

Else

   Beep

   Type( "The OnDDEAdvise transaction did not complete!" )

   HardReturn()

EndIf

Type( "GoodBye!" )

HardReturn()

DDEExecuteExt( res; hConv; "[QUIT]"; 0;)

DDETERMINATEALL

Quit

Label (Lab1@)

   Beep

   Type( "Got a change at A1: " )

   DDEREQUEST( myData; hConv; "R1C1" )

   Type( myData )

   SubStr(junk;1;4;myData ) // Because Excel adds CRLF

   If (junk = "9999")

      Type ("Terminating value detected!.....")

      HardReturn()

      Beep

      DDEAdvise := 1

   EndIf

   Return

Label (Lab2@)

   Beep

   Type( "Got the ack from DDEExecuteExt" )

   Ack := 1

   HardReturn()

   Return


DIALOGUNDISPLAY

Purpose

DIALOGUNDISPLAY dismisses the specified dialog box and determines whether the control variables are set.  The dialog box specified in DIALOGUNDISPLAY must still be destroyed with DIALOGDESTROY.

Syntax

DIALOGUNDISPLAY (Dialog; Result)

Parameters

Dialog (Character Expression or Numeric Expression)

Specifies the name or number or the dialog to dismiss.

Result (Numeric Expression)

Specifies the control id that should be interpreted as closing the dialog box.  Specify 1 to indicate that the OK button closed the dialog box.  Specify 2 to indicate that the Cancel button closed the dialog box.  If the Cancel is specified, the control variables are not filled in.  The value specified in this parameter is placed in the MacroDialogResult variable.

See Also

DIALOGDESTROY

DIALOGDISPLAY


For Example...

This macro creates a dialog box that will display until the user attempts to close it in one of the following ways:  pressing Alt+F4; choosing Close from the System menu; double-clicking on the system ventilator; choosing OK; choosing Cancel.  If the user chooses Cancel, the control variables will not be filled in.

APPLICATION (A1;WordPerfect;Default;"US")

WM_SYSCOMMAND:=274	// Message for system commands

WM_COMMAND:=273	// Message for controls

editvar := ""	// Initialize variables

radiovar := ""

Done :=0

DIALOGDEFINE (1000;50;50;150;155;1+2+16;"Test Dialog")

DIALOGADDEDITBOX (1000;100;10;10;100;13;1;editvar;20)

DIALOGADDRADIOBUTTON (1000;101;10;30;100;10;"Select this item";radiovar)

DIALOGDISPLAY (1000;100;Callback@)

// Callback procedure is named Callback@

WHILE (Done=0)	// Stay in loop until Callback procedure sets Done:=1

ENDWHILE

Result:=MacroDialogResult

DIALOGDESTROY (1000)

QUIT

LABEL(Callback@)	// Dialog callback procedure

IF ((Callback[5]=WM_SYSCOMMAND) OR (Callback[3]=1))

// User attempted to close the dialog with either a

// system command or with the OK button

DIALOGUNDISPLAY (1000;1)	// Clear dialog.  Act as if OK button was pressed

Done := 1

RETURN

ELSE	// Otherwise, a control other than OK was pressed

IF (Callback[3]=2)	 // If Cancel was pressed

DIALOGUNDISPLAY (1000;2)	// Clear dialog and cancel

Done := 1

RETURN

ENDIF

Type ("The control ID is: "+Callback[3])	// A control other than OK or Cancel

ENDIF

RETURN


?FeatureBar

Purpose

?FeatureBar contains a value representing which feature bar is displayed.

Value	Description

0	No feature bar displayed

91	Footnote/Endnote

92	Header/Footer

94	Hypertext

109	Graphics Box

124	Mark List

125	Mark Table of Contents

127	Keyboard Merge

137	Mark Table of Authorities

138	Mark Index

143	Outline

167	Mark Cross Reference

243	Watermark

265	Merge Form

270	Merge Table

271	Merge Text

275	Figure Edit

290	Table Formula

337	Template

340	Box Caption Edit

341	Box Text Edit

342	Macro


?PathCurrent

Purpose

?PathCurrent contains the current directory.


?PathProgram

Purpose

?PathProgram contains the WordPerfect program directory (where WPWIN60.EXE is located).


?PathShared

Purpose

?PathShared contains the directory where WordPerfect shared code files are located.


BoxEquationFont

Purpose

BoxEquationFont specifies an equation font.

Syntax

BoxEquationFont (FontName: Character Expression; FontSize: Numeric Expression; Family: Numeric Equivalent or Enumerated Type; Attributes: Numeric Equivalent or Enumerated Type; Weight: Numeric Equivalent or Enumerated Type; Width: Numeric Equivalent or Enumerated Type; Source: Numeric Equivalent or Enumerated Type; Type: Numeric Equivalent or Enumerated Type; CharacterSet: Numeric Equivalent or Enumerated Type)

Parameters

FontName: Character Expression

Specifies a font name.

FontSize: Numeric Expression

Specifies a font size.

Family: Numeric Equivalent or Enumerated Type

Specifies a font family.

256	FamilyITCBenquiat!

2304	FamilyTimesRoman!

4352	FamilyTCGaramond!

6400	FamilyCenturySchoolbook!

8448	FamilyBodoni!

10496	FamilyITCLubalinGraph!

12544	FamilyAlbertus!

14592	FamilyCourier!

16640	FamilyHelvetica!

18688	FamilyITCRonda!

20736	FamilyMicroStyle!

22784	FamilyOptima!

24832	FamilyLetterGothic!

26880	FamilyBruch!

28928	FamilyParkAvenue!

30976	FamilySignetRoundhand!

33024	FamilyUnical!

37120	FamilyOldEnglish!

39168	FamilyITCZapfDingbats!

41216	FamilyBroadway!

43264	FamilyComputer!

45312	FamilyPTBarnum!

47360	FamilyPonderosa!

49408	FamilyMadrone!

51456	FamilyHobo!

53504	FamilyRevue!

Attributes: Numeric Equivalent or Enumerated Type

Specifies font attributes.

0	FontMatchNormal!

1	FontMatchItalic!

2	FontMatchOutline!

4	FontMatchShadow!

8	FontMatchSmallCaps!

Weight: Numeric Equivalent or Enumerated Type

Specifies a font weight.

0	WeightUnknown!

1	WeightUltraThin!

8	WeightUltraLight!

16	WeightExtraThin!

24	WeightThin!

32	WeightExtraLight!

48	WeightLight!

64	WeightDemiLight!

80	WeightSemiLight!

88	WeightBook!

96	WeightRegular!

104	WeightRoman!

112	WeightMedium!

128	WeightDemiBold!

136	WeightSemiBold!

144	WeightBold!

160	WeightExtraBold!

176	WeightHeavy!

192	WeightExtraHeavy!

208	WeightBlack!

224	WeightExtraBlack!

248	WeightUltraBlack!

254	WeightMaximum!

Width: Numeric Equivalent or Enumerated Type

Specifies a font width.

0	WidthUnknown!

16	WidthUltraCondensed!

32	WidthUltraCompressed!

48	WidthCompressed!

64	WidthExtraCondensed!

80	WidthCondensed!

96	WidthSemiCondensed!

112	WidthNormal!

128	WidthSemiExpanded!

144	WidthExpanded!

160	WidthExtraExpanded!

176	WidthUltraExpanded!

192	WidthDoubleWide!

224	WidthTripleWide!

Source: Numeric Equivalent or Enumerated Type

Determines whether the font source is a .PRS file or a .DRS file.

16	PRSFile!

20	DRSFile!

Type: Numeric Equivalent or Enumerated Type

Specifies a font type.

134	Speedo!

135	Intellifont!

138	Type1!

139	TrueType!

CharacterSet: Numeric Equivalent or Enumerated Type

Specifies a character set.

0	FontMatchASCII!

1	FontMatchMultiNational1!

2	FontMatchMultiNational2!

3	FontMatchBoxDrawing!

4	FontMatchTypographicSymbols!

5	FontMatchIconicSymbols!

6	FontMatchMath!

7	FontMatchMathExtension!

8	FontMatchGreek!

9	FontMatchHebrew!

10	FontMatchCyrillic!

11	FontMatchJapaneseKana!

12	FontMatchUserDefined!

13	FontMatchArabic!

14	FontMatchArabicScript!

See Also

BoxEquationFontSize


Route...

Graphics, Equation, Equation Font button, select a Font Face, a Font Size, and a Font Style from the Equation Font dialog box, OK.


For Example...

To specify an equation font, the command is:

BoxEquationFont

(

FontName: "Courier New Bold";

FontSize: 12p;

Family: FamilyCourier!;

Attributes: FontMatchNormal!;

Weight: WeightExtraBold!;

Width: WidthUnknown!;

Source: DRSFile!;

Type: TrueType!;

CharacterSet: FontMatchASCII!

)


ButtonBarShowToggle

Purpose

ButtonBarShowToggle determines whether to hide or show a Button Bar.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use ButtonBarShow

Syntax

ButtonBarShowToggle ()

See Also

ButtonBarShow


Route...

View, Button Bar.


CloseGraphicsControlBar

Purpose

CloseGraphicsControlBar closes the Graphics Control Bar.

Syntax

CloseGraphicsControlBar ()


Route...

Click the Close button on the Graphics Control Bar.


EndnotesSpaceBetween

Purpose

EndnotesSpaceBetween specifies the amount of space between endnotes.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

EndnotesSpaceBetween (Width: Numeric Expression)

Parameters

Width: Numeric Expression

Specifies the amount of space between endnotes.

See Also

EndnoteOptions


Route...

Insert, Endnote, Options, enter a Space value in the Spacing Between Notes entry box.


For Example...

To specify 0.2 inches of space between endnotes, the command is:

EndnotesSpaceBetween

(

Width: 0.2

)


FigureReset

Purpose

FigureReset resets all image attributes, restoring an image to its original state.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

FigureReset ()


Route...

In the image editor, Tools button, Reset icon.


FillStyleName

Purpose

FillStyleName names a user-created fill style.

This command must be preceded by FillStyleEdit and followed by FillStyleEnd.

Syntax

FillStyleName (FillName: Character Expression)

Parameters

FillName: Character Expression

Specifies a fill style name.


Route...

Graphics, Graphics Styles, Fill, highlight a fill style in the Styles list box, Options, Rename, enter a name, OK.


For Example...

To name a 10% grayscale fill NEW STYLE, the command sequence is:

FillStyleEdit

(

FillName: Fill10!;

Library: PersonalLibrary!

)

FillStyleName

(

FillName: "NEW STYLE"

)

FillStyleEnd

(

State: Save!

)


FontDoubleUnderlineToggle

Purpose

FontDoubleUnderlineToggle toggles Double Underline.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontDoubleUnderlineToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, select Double Underline from the Appearance list box; or click the Double Underline button on a Button Bar.


FontExtraLargeToggle

Purpose

FontExtraLargeToggle toggles Extra Large.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontExtraLargeToggle ()

See Also

AttributeRelativeSizeToggle


Route...

Layout, Font, select Extra Large from the Relative Size pop-up list; or click the Extra Large button on a Button Bar.


FontFineToggle

Purpose

FontFineToggle toggles Fine.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontFineToggle ()

See Also

AttributeRelativeSizeToggle


Route...

Layout, Font, select Fine from the Relative Size pop-up list; or click the Fine button on a Button Bar.


FontItalicToggle

Purpose

FontItalicToggle toggles Italic.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontItalicToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, select Italic from the Appearance list box; or click the Italic button on a Button Bar.


FontLargeToggle

Purpose

FontLargeToggle toggles Large.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontLargeToggle ()

See Also

AttributeRelativeSizeToggle


Route...

Layout, Font, select Large from the Relative Size pop-up list; or click the Large button on a Button Bar.


FontOutlineToggle

Purpose

FontOutlineToggle toggles the Outline font attribute.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontOutlineToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, select Outline from the Appearance list box; or click the Outline font attribute button on a Button Bar.


FontRedlineToggle

Purpose

FontRedlineToggle toggles Redline.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontRedlineToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, select Redline from the Appearance list box; or click the Redline button on a Button Bar.


FontShadowToggle

Purpose

FontShadowToggle toggles Shadow.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontShadowToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, select Shadow from the Appearance list box; or click the Shadow button on a Button Bar.


FontSmallCapsToggle

Purpose

FontSmallCapsToggle toggles Small Caps.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontSmallCapsToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, select Small Caps from the Appearance list box; or click the Small Caps button on a Button Bar.


FontSmallToggle

Purpose

FontSmallToggle toggles Small.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontSmallToggle ()

See Also

AttributeRelativeSizeToggle


Route...

Layout, Font, select Small from the Relative Size pop-up list; or click the Small button on a Button Bar.


FontStrikeoutToggle

Purpose

FontStrikeoutToggle toggles Strikeout.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontStrikeoutToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, select Strikeout from the Appearance list box; or click the Strikeout button on a Button Bar.


FontSubscriptToggle

Purpose

FontSubscriptToggle toggles Subscript.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributePositionToggle.

Syntax

FontSubscriptToggle ()

See Also

AttributePositionToggle


Route...

Layout, Font, select Subscript from the Position pop-up list; or click the Subscript button on a Button Bar.


FontSuperscriptToggle

Purpose

FontSuperscriptToggle toggles Superscript.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributePositionToggle.

Syntax

FontSuperscriptToggle ()

See Also

AttributePositionToggle


Route...

Layout, Font, select Superscript from the Position pop-up list; or click the Superscript button on a Button Bar.


FontUnderlineToggle

Purpose

FontUnderlineToggle toggles Underline.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeAppearanceToggle.

Syntax

FontUnderlineToggle ()

See Also

AttributeAppearanceToggle


Route...

Layout, Font, select Underline from the Appearance list box; or click the Underline button on a Button Bar.


FontVeryLargeToggle

Purpose

FontVeryLargeToggle toggles Very Large.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeRelativeSizeToggle.

Syntax

FontVeryLargeToggle ()

See Also

AttributeRelativeSizeToggle


Route...

Layout, Font, select Very Large from the Relative Size pop-up list; or click the Very Large button on a Button Bar.


FootnoteMinimum

Purpose

FootnoteMinimum specifies the amount of footnote text to keep together on a page.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

FootnoteMinimum (Width: Measurement Expression)

Parameters

Width: Measurement Expression

Specifies the amount of footnote text to keep together.

See Also

FootnoteOptions


Route...

Insert, Footnote, Options, enter an amount in the Amount of Footnote to Keep Together entry box.


For Example...

To keep 0.5" of footnote text together, the command is:

FootnoteMinimum

(

Width: 0.5"

)


FootnoteNewNumber

Purpose

FootnoteNewNumber increments subsequent footnotes from a specified number.

Syntax

FootnoteNewNumber (FootnoteNumber: Character Expression)

Parameters

FootnoteNumber: Character Expression

Specifies a new footnote number.  Note that this parameter is a character expression.  Footnotes can be numbered with arabic numerals, roman numerals, or letters.

See Also

FootnoteNewNumberDlg


Route...

Insert, Footnote, New Number, enter a number or select from options.


For Example...

To renumber footnotes beginning with "1", the command is:

FootnoteNewNumber

(

FootnoteNumber: "1"

)


HeaderFooterPlacement

Purpose

HeaderFooterPlacement specifies where to place headers and footers.

Syntax

HeaderFooterPlacement (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies where to place headers and footers

0	NoPages!

1	OddPages!

2	EvenPages!

3	AllPages!


Route...

Layout, Header/Footer, select a header or footer, Create or Edit, Placement button, select a placement option, OK.


For Example...

To place headers and footers on all pages, the command is:

HeaderFooterPlacement

(

State: AllPages!

)


OutlineBodyTextToggle

Purpose

OutlineBodyTextToggle toggles current or selected text between an outline and body text.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use OutlineChangeToBodyText.

Syntax

OutlineBodyTextToggle ()

See Also

OutlineChangeToBodyText


Route...

Tools, Outline, click the Body Text icon on the Outline Control Bar.


?DocReadOnly

Purpose

?DocReadOnly contains a value representing whether the current document is read-only.

Value	Description

False	Not read-only

True	Read-only


InsertFilename

Purpose

InsertFilename inserts the current filename at the insertion point.

Syntax

InsertFilename ()

See Also

InsertFilenameWithPath


Route...

Insert, Other, Filename.


MergeRun

Purpose

MergeRun merges a form file and a data file.

Syntax

MergeRun (FormFileType: Numeric Equivalent or Enumerated Type; FormFile: Character Expression; DataFileType: Numeric Equivalent or Enumerated Type; DataFile: Character Expression; OutputFileType: Numeric Equivalent or Enumerated Type; OutputFile: Character Expression)

Parameters

FormFileType: Numeric Equivalent or Enumerated Type

Specifies a form file type.

0	Current!

1	Clipboard!

2	FormFile!

FormFile: Character Expression

Specifies a form file.

DataFileType: Numeric Equivalent or Enumerated Type

Specifies a data file type.

0	NoData!

1	Clipboard!

2	DataFile!

DataFile: Character Expression

Specifies a data file.

OutputFileType: Numeric Equivalent or Enumerated Type

Specifies where to send merged output.

0	ToCurrentDoc!

1	ToNewDoc!

2	ToFile!

3	ToPrinter!

OutputFile: Character Expression (optional)

Specifies the file where merge output is sent when ToFile! is specified in the OutputFileType parameter.


Route...

Tools, Merge, Merge, select or enter a form filename, select or enter a data filename, select an option from the Output File pop-up list, OK.


For Example...

To merge a form file named C:\WPWIN60\FORM and a data file named C:\WPWIN60\DATA, and to create a new document to contain the output, the command is:

MergeRun

(

FormFileType: FormFile!;

FormFile: "C:\WPWIN60\FORM";

DataFileType: DataFile!;

DataFile: "C:\WPWIN60\DATA";

OutputFileType: ToNewDoc!

)


OutlineFamilyDragUp

Purpose

OutlineFamilyDragUp positions a selected outline family above the previous family.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command with the same functionality, use OutlineParagraphDragUp.

Syntax

OutLineFamilyDragUp ()

See Also

OutlineFamilyDragDown

OutlineParagraphDragUp

OutlineFamilySelect


Route...

Tools, Outline, Up Arrow button.


PageNumberSettingsDlg

Purpose

PageNumberSettingsDlg displays the Numbering Value dialog box.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PageNumberSettingsDlg ()


Route...

Layout, Page, Numbering, Value.


PageZoomFull

Purpose

PageZoomFull displays a full view of the current page.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PageZoomFull ()

See Also

DisplayZoom


Route...

View, Zoom, Full Page.


PaperSizeSelect

Purpose

PaperSizeSelect specifies a paper size for the current document.

Syntax

PaperSizeSelect (Name: Character Expression; Width: Numeric Expression; Height: Numeric Expression; Type: Numeric Equivalent or Enumerated Type)

Parameters

Name: Character Expression

Specifies a paper definition.

Width: Numeric Expression

Specifies a paper width.

Height: Numeric Expression

Specifies a paper height.

Type: Numeric Equivalent or Enumerated Type

Specifies a paper type.

1	Standard!

2	Bond!

3	Letterhead!

4	Labels!

5	Envelope!

6	Transparency!

7	Cardstock!

8	Glossy!

9	ClayBased!

255	Other!

See Also

PaperSizeAdd

PaperSizeDelete


Route...

Layout, Page, Paper Size, highlight an option from the Paper Definitions list box, Select.


For Example...

To select B5 landscape paper, the command is:

PaperSizeSelect

(

Name: "B5 Landscape";

Width: 7.1658";

Height: 10.1183";

Type: Other!

)


RepeatSet

Purpose

RepeatSet specifies the default setting for Repeat.

Syntax

RepeatSet (Value: Numeric Expression)

Parameters

Value: Numeric Expression

Specifies the number of times to repeat an action.

See Also

RepeatValue


Route...

Edit, Repeat, enter a number, Use as Default.


For Example...

To set the Repeat default at 5, the command is:

RepeatSet

(

Value: 5

)


ReplaceAll

Purpose

ReplaceAll replaces all occurrences of a matched word, code, or phrase.

This command must be preceded by other commands, such as SearchString, ReplaceString, or SearchNext.

Syntax

ReplaceAll (SearchMode: Numeric Equivalent or Enumerated Type)

Parameters

SearchMode: Numeric Equivalent or Enumerated Type

Specifies the scope of a search.

0	Regular!

1	Extended!

See Also

SearchString

ReplaceString

SearchNext


Route...

Edit, Replace, enter text to find, enter replacement text, Replace All.


For Example...

To replace all occurrences of the word "do" with "do not", starting from the insertion point and excluding substructures, the command sequence is:

SearchString

(

StrgToLookFor: "do"

)

ReplaceString

(

RplcStrg: "do not"

)

ReplaceAll

(

SearchMode: Regular!

)


SearchCaseSensitive

Purpose

SearchCaseSensitive specifies whether to match cases when executing a search.

Syntax

SearchCaseSensitive (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether a search is case-sensitive.

0	No!

1	Yes!

See Also

SearchString


Route...

Edit, Find, enter text to find, Match, Case, Find Next or Find Previous.


For Example...

To execute a case-sensitive search, the command is:

SearchCaseSensitive

(

State: Yes!

)


SelectOff

Purpose

SelectOff turns off Select mode.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectOff ()


Route...

When Select mode is on, move the insertion point.


SelectOn

Purpose

SelectOn turns on Select mode.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectOn (SelectMode: Numeric Equivalent or Enumerated Type)

Parameters

SelectMode: Numeric Equivalent or Enumerated Type

Specifies a selection type.

1	CharMode!

2	WordMode!

4	SentenceMode!

8	ParagraphMode!

16	PageMode!

32	RectangleMode!

64	TabularColumnMode!

128	DocMode!

256	CharNoCellMode!


Route...

Edit, Select, choose an option; or click and drag the mouse.


For Example...

To select the current sentence, the command is:

SelectOn

(

SelectMode: SentenceMode!

)


SelectToggle

Purpose

SelectToggle toggles Select mode.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SelectToggle ()


Route...

This command is not recordable. To use this command, you must type it into the macro.


SoftSpace

Purpose

SoftSpace inserts a space at the insertion point.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

SoftSpace ()

See Also

HardSpace


Route...

Press the Spacebar.


TableAutoCalc

Purpose

TableAutoCalc specifies an automatic calculation mode for tables.

Syntax

TableAutoCalc (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Specifies an automatic calculation mode for tables.

0	Off!

1	AutoTbl!

2	AutoDoc!

Syntax

TableCalculate

TableCalculateAll

TableCalculateDlg


Route...

Table, Calculate, select an option from the Automatic Calculation Mode group box, OK.


For Example...

To set automatic table calculation to calculate an entire document, the command is:

TableAutoCalc

(

State: AutoDoc!

)


FigureRetrieveDlg

Purpose

FigureRetrieveDlg displays the Insert Image dialog box.

Syntax

FigureRetrieveDlg ()


Route...

Graphics, Figure.


FontBold

Purpose

FontBold turns Bold on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeAppearanceOn or AttributeAppearanceOff.

Syntax

FontBold (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Bold is on or off.

0	Off!

1	On!

See Also

AttributeAppearanceOn

AttributeAppearanceOff


Route...

Layout, Font, select Bold from the Appearance list box; or click the Bold button on a Button Bar.


For Example...

To turn on Bold, the command is:

FontBold

(

State: On!

)


FontExtraLarge

Purpose

FontExtraLarge turns Extra Large on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, with similar functionality, use AttributeRelativeSize.

Syntax

FontExtraLarge (State:  Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Extra Large is on or off.

0	Off!

1	On!

See Also

AttributeRelativeSize


Route...

Layout, Font, select Extra Large from the Relative Size pop-up list; or click the Extra Large button on a Button Bar.


For Example...

To turn on Extra Large, the command is:

FontExtraLarge

(

State: On!

)


FontFine

Purpose

FontFine turns Fine on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeRelativeSize.

Syntax

FontFine (State:  Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Fine is on or off.

0	Off!

1	On!

See Also

AttributeRelativeSize


Route...

Layout, Font, select Fine from the Relative Size pop-up list; or click the Fine button on a Button Bar.


For Example...

To turn on Fine, the command is:

Fine

(

State: On!

)


FontItalic

Purpose

FontItalic turns Italic on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeAppearanceOn or AttributeAppearanceOff.

Syntax

FontItalic (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Italic is on or off.

0	Off!

1	On!

See Also

AttributeAppearanceOn

AttributeAppearanceOff


Route...

Layout, Font, select Italic from the Appearance list box; or click the Italic button on a Button Bar.


For Example...

To turn on Italic, the command is:

FontItalic

(

State: On!

)


FontLarge

Purpose

FontLarge turns Large on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command, use AttributeRelativeSize.

Syntax

FontLarge (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Large is on or off.

0	Off!

1	On!

See Also

AttributeRelativeSize


Route...

Layout, Font, select Large from the Relative Size pop-up list; or click the Large button on a Button Bar.


For Example...

To turn on Large, the command is:

Large

(

State: On!

)


FontOutline

Purpose

FontOutline turns the Outline font attribute on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeAppearanceOn or AttributeAppearanceOff.

Syntax

FontOutline (State:  Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Outline is on or off.

0	Off!

1	On!

See Also

AttributeAppearanceOn

AttributeAppearanceOff


Route...

Layout, Font, select Outline from the Appearance list box; or click the Outline button on a Button Bar.


For Example...

To turn on Outline, the command is:

FontOutline

(

State: On!

)


FontRedline

Purpose

FontRedline turns Redline on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeAppearanceOn or AttributeAppearanceOff.

Syntax

FontRedline (State:  Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Redline is on or off.

0	Off!

1	On!

See Also

AttributeAppearanceOn

AttributeAppearanceOff


Route...

Layout, Font, select Redline from the Appearance list box; or click the Redline button on a Button Bar.


For Example...

To turn on Redline, the command is:

FontRedline

(

State: On!

)


FontShadow

Purpose

FontShadow turns Shadow on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeAppearanceOn or AttributeAppearanceOff.

Syntax

FontShadow (State:  Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Shadow is on or off.

0	Off!

1	On!

See Also

AttributeAppearanceOn

AttributeAppearanceOff


Route...

Layout, Font, select Shadow from the Appearance list box; or click the Shadow button on a Button Bar.


For Example...

To turn on Shadow, the command is:

FontShadow

(

State: On!

)


FontSmall

Purpose

FontSmall turns Small on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeRelativeSize.

Syntax

FontSmall (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Small is on or off.

0	Off!

1	On!

See Also

AttributeRelativeSize


Route...

Layout, Font, select Small from the Relative Size pop-up list; or click the Small button on a Button Bar.


For Example...

To turn on Small, the command is:

FontSmall

(

State: On!

)


FontSmallCaps

Purpose

FontSmallCaps turns Small Caps on or off

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeAppearanceOn or AttributeAppearanceOff.

Syntax

FontSmallCaps (State: Numeric Equivalent or Enumerated Type

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Small Caps is on or off.

0	Off!

1	On!

See Also

AttributeAppearanceOn

AttributeAppearanceOff


Route...

Layout, Font, select Small Caps from the Appearance list box; or click the Small Caps button on a Button Bar.


For Example...

To turn on Small Caps, the command is:

FontSmallCaps

(

State: On!

)


FontStrikeout

Purpose

FontStrikeout turns Strikeout on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command with similar functionality, use AttributeAppearanceOn or AttributeAppearanceOff.

Syntax

FontStrikeout (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Strikeout is on or off.

0	Off!

1	On!

See Also

AttributeAppearanceOn

AttributeAppearanceOff


Route...

Layout, Font, select Strikeout from the Appearance list box; or click the Strikeout button on a Button Bar.


For Example...

To turn on Strikeout, the command is:

FontStrikeout

(

State: On!

)


FontSubscript

Purpose

FontSubscript turns Subscript on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributePosition.

Syntax

FontSubscript (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Subscript is on or off.

0	Off!

1	On!

See Also

AttributePosition


Route...

Layout, Font, select Subscript from the Position pop-up list; or click the Subscript button on a Button Bar.


For Example...

To turn on Subscript, the command is:

FontSubscript

(

State: On!

)


FontSuperscript

Purpose

FontSuperscript turns Superscript on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributePosition.

Syntax

FontSuperscript (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Superscript is on or off.

0	Off!

1	On!

See Also

AttributePosition


Route...

Layout, Font, select Superscript from the Position pop-up list; or click the Superscript button on a Button Bar.


For Example...

To turn on Superscript, the command is:

FontSuperscript

(

State: On!

)


FontUnderline

Purpose

FontUnderline turns Underline on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeAppearanceOn or AttributeAppearanceOff.

Syntax

FontUnderline (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Underline is on or off.

0	Off!

1	On!

See Also

AttributeAppearanceOn

AttributeAppearanceOff


Route...

Layout, Font, select Underline from the Appearance list box; or click the Underline button on a Button Bar.


For Example...

To turn on Underline, the command is:

FontUnderline

(

State: On!

)


FontVeryLarge

Purpose

FontVeryLarge turns Very Large on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command  with similar functionality, use AttributeRelativeSize.

Syntax

FontVeryLarge (State: Numeric Equivalent or Enumerated Type)

Parameters

State: Numeric Equivalent or Enumerated Type

Determines whether Very Large is on or off.

0	Off!

1	On!

See Also

AttributeRelativeSize


Route...

Layout, Font, select Very Large from the Relative Size pop-up list; or click the Very Large button on a Button Bar.


For Example...

To turn on Very Large, the command is:

FontVeryLarge

(

State: On!

)


PrefBackupDlg

Purpose

PrefBackupDlg displays the File Preferences dialog box with the Documents/Backup radio button selected.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

PrefBackupDlg ()


Route...

File, Preferences, File icon, Documents/Backup.


StyleOn

Purpose

StyleOn turns on a system style.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command with similar functionality, use StyleSystemOn.

Syntax

StyleOn (Style: Numeric Equivalent or Enumerated Type or Character Expression; Action: Numeric Equivalent or Enumerated Type)

Parameters

Style: Numeric Equivalent or Enumerated Type or Character Expression

Specifies a style. Select a numeric equivalent or enumerated type to specify a pre-defined style, or use a character expression to specify a user-created style.

0	NormalStyle!

16	FootnoteNumberInDocumentStyle!

17	EndnoteNumberInDocumentStyle!

18	FigureNumberStyle!

19	TableBoxNumberStyle!

20	TextBoxNumberStyle!

21	UserBoxNumberStyle!

22	EquationNumberStyle!

23	HypertextStyle!

24	TOC1Style!

25	TOC2Style!

26	TOC3Style!

27	TOC4Style!

28	TOC5Style!

29	Index1Style!

30	Index2Style!

31	ListStyle!

32	TOAStyle!

33	DocStyle!

34	BoxTextStyle!

35	CaptionStyle!

36	FootnoteStyle!

37	EndnoteStyle!

38	CommentStyle!

39	HeaderAStyle!

40	HeaderBStyle!

41	FooterAStyle!

42	FooterBStyle!

43	WatermarkAStyle!

44	WatermarkBStyle!

45	ParagraphOutlnStyle!

46	OutlineStyle!

47	LegalOutlnStyle!

48	BulletsOutlnStyle!

50	Legal_2OutlnStyle!

51	NumbersOutlnStyle!

52	Level1Style!

53	Level2Style!

54	Level3Style!

55	Level4Style!

56	Level5Style!

57	Level6Style!

58	Level7Style!

59	Level8Style!

60	Legal1Style!

61	Legal2Style!

62	Legal3Style!

63	Legal4Style!

64	Legal5Style!

65	Legal6Style!

66	Legal7Style!

67	Legal8Style!

68	Heading1Style!

69	Heading2Style!

70	Heading3Style!

71	Heading4Style!

72	Heading5Style!

73	Heading6Style!

74	Heading7Style!

75	Heading8Style!

Action: Numeric Equivalent or Enumerated Type (optional)

Determines whether to skip empty paragraphs.

1	SkipEmptyParagraphs!

See Also

StyleSystemOn

StyleOff


Route...

Layout, Styles, highlight a system style, Select.


For Example...

To turn on the Heading 1 system style and skip empty paragraphs, the command is:

StyleOn

(

Style: Heading1Style!

Action: SkipEmptyParagraphs!

)


TableFormulaCBar

Purpose

TableFormulaCBar displays the Table Formula Control Bar.

Syntax

TableFormulaCBar ()


Route...

Table, Formula Bar.


TableJoinCells

Purpose

TableJoinCells joins selected table cells to form one cell.

Syntax

TableJoinCells ()


Route...

Select cells, Table, Join, Cell.


TypeoverKey

Purpose

TypeoverKey turns Typeover mode on or off.

This command is not recordable. To use this command, you must type it into the macro. For a recordable command with similar functionality, use Typeover.

Syntax

TypeoverKey ()

See Also

Typeover


Route...

Press Insert.


WindowNext

Purpose

WindowNext moves the insertion point to the next open dialog box or document window.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

WindowNext ()


Route...

Press Alt + F6.


WindowPrevious

Purpose

WindowPrevious moves the insertion point to the previous open dialog box or document window.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

WindowPrevious ()


Route...

Press Alt + Shift + F6.


DDEChangeUpdateMode

Purpose

DDEChangeUpdateMode specifies whether to update a DDE link manually or automatically.

Syntax

DDEChangeUpdateMode (LinkName: Character Expression; UpdateMode: Numeric Equivalent or Enumerated Type)

Parameters

LinkName: Character Expression

Specifies a DDE link.

UpdateMode: Numeric Equivalent or Enumerated Type

Specifies whether to update a link manually or automatically.

0	Manual!

1	Automatic!


DDECreateLink

Purpose

DDECreateLink establishes a link between a WordPerfect document and a file in another application.  As data changes in the source file, the changes also appear in the WordPerfect document.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

DDECreateLink (LinkName: Character Expression; Source: Character Expression; UpdateMode: Numeric Equivalent or Enumerated Type; Format: Numeric Equivalent or Enumerated Type)

Parameters

LinkName: Character Expression

Specifies a link name.

Source: Character Expression

Specifies the application, the file and, optionally, an item within the file that is linked to a WordPerfect document. The application and filename are separated by a vertical bar (|). If an item (a section of a file) is specified, a second vertical bar separates the item from the filename.

UpdateMode: Numeric Equivalent or Enumerated Type

Specifies whether a link is updated manually or automatically.

0	Manual!

1	Automatic!

Format: Numeric Equivalent or Enumerated Type

Specifies a format for linked information.

0	WP6DOC!

1	WPDOC!

2	WPTEXT!

3	WPG20!

4	RTF!

5	TEXT!

6	OEMTEXT!

7	DIB!

8	BITMAP!

9	METAFILEPICT!


DDEDeleteLink

Purpose

DDEDeleteLink removes a DDELink.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

DDEDeleteLink (LinkName: Character Expression)

Parameters

LinkName: Character Expression

Specifies a link to remove.


DDEEditLink

Purpose

DDEEditLink changes the properties of a DDE Link.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

DDEEditLink (LinkName: Character Expression; NewName: Character Expression; NewSource: Character Expression)

Parameters

LinkName: Character Expression

Specifies a link to edit.

NewName: Character Expression (optional)

Specifie a new link name.

NewSource: Character Expression (optional)

Specifies a new source file.


DDEPasteLink

Purpose

DDEPasteLink establishes a link between a WordPerfect document and a file in another application. As data changes in the source file, the changes also appear in the WordPerfect document. After copying a selection in another application to the Clipboard, use DDEPasteLink to link it to a WordPerfect document.

Syntax

DDEPasteLink (Format: Numeric Equivalent or Enumerated Type)

Parameters

Format: Numeric Equivalent or Enumerated Type

Specifies a format for pasted information.

0	WP6DOC!

1	WPDOC!

2	WPTEXT!

3	WPG20!

4	RTF!

5	TEXT!

6	OEMTEXT!

7	DIB!

8	BITMAP!

9	METAFILEPICT!


DDEUpdateLink

Purpose

DDEUpdateLink updates a specified DDELink.

Syntax

DDEUpdateLink (LinkName: Character Expression)

Parameters

LinkName: Character Expression

Specifies a link to update.


?CellFill

Purpose

?CellFill contains a value representing the current cell's fill style. The value of this variable is one of the numeric equivalents or enumerated types listed for the Style parameter of FillStyleEdit.

For example, the following macro causes the computer to beep if the current cell contains a 20% shaded fill:

IF

(

?CellFill=1

)

BEEP

ENDIF

See Also

FillStyleEdit


GetAcceleratorText

Purpose

GetAcceleratorText assigns a macro command's accelerator text to a variable. When a command is mapped to a keystroke, the accelerator text is the written representation of the keystroke.

This command is not recordable. To use this command, you must type it into the macro.

Syntax

GetAcceleratorText (Variable: Variable; Token: Macro Command)

Parameters

Variable: Variable

Is assigned the accelerator text for the command specified by the Token parameter.  Any variable name is a valid value for this parameter.

Token: Macro Command

Specifies a macro command.

See Also

GetData


For Example...

To display the accelerator text for RulerBarShow, the command sequence is:

GetAcceleratorText

(

Variable: Ruler;

Token: RulerBarShow

)

Type

(

Ruler

)


MacroDialogResult

Purpose

MacroDialogResult is a variable, not a command.  It contains the result of selecting a pushbutton in a dialog box.  For more information, see User-defined Dialog Boxes.